/* A Bison parser, made by GNU Bison 3.0.4.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.4"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs

#define yylval          base_yylval
#define yychar          base_yychar
#define yylloc          base_yylloc

/* Copy the first part of user declarations.  */
#line 5 "preproc.y" /* yacc.c:339  */

#include "postgres_fe.h"

#include "preproc_extern.h"
#include "ecpg_config.h"
#include <unistd.h>

/* Location tracking support --- simpler than bison's default */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if (N)						\
			(Current) = (Rhs)[1];	\
		else						\
			(Current) = (Rhs)[0];	\
	} while (0)

/*
 * The %name-prefix option below will make bison call base_yylex, but we
 * really want it to call filtered_base_yylex (see parser.c).
 */
#define base_yylex filtered_base_yylex

/*
 * This is only here so the string gets into the POT.  Bison uses it
 * internally.
 */
#define bison_gettext_dummy gettext_noop("syntax error")

/*
 * Variables containing simple states.
 */
int struct_level = 0;
int braces_open; /* brace level counter */
char *current_function;
int ecpg_internal_var = 0;
char	*connection = NULL;
char	*input_filename = NULL;

static int	FoundInto = 0;
static int	initializer = 0;
static int	pacounter = 1;
static char	pacounter_buffer[sizeof(int) * CHAR_BIT * 10 / 3]; /* a rough guess at the size we need */
static struct this_type actual_type[STRUCT_DEPTH];
static char *actual_startline[STRUCT_DEPTH];
static int	varchar_counter = 1;
static int	bytea_counter = 1;

/* temporarily store struct members while creating the data structure */
struct ECPGstruct_member *struct_member_list[STRUCT_DEPTH] = { NULL };

/* also store struct type so we can do a sizeof() later */
static char *ECPGstruct_sizeof = NULL;

/* for forward declarations we have to store some data as well */
static char *forward_name = NULL;

struct ECPGtype ecpg_no_indicator = {ECPGt_NO_INDICATOR, NULL, NULL, NULL, {NULL}, 0};
struct variable no_indicator = {"no_indicator", &ecpg_no_indicator, 0, NULL};

static struct ECPGtype ecpg_query = {ECPGt_char_variable, NULL, NULL, NULL, {NULL}, 0};

static void vmmerror(int error_code, enum errortype type, const char *error, va_list ap) pg_attribute_printf(3, 0);

static bool check_declared_list(const char *name);

/*
 * Handle parsing errors and warnings
 */
static void
vmmerror(int error_code, enum errortype type, const char *error, va_list ap)
{
	/* localize the error message string */
	error = _(error);

	fprintf(stderr, "%s:%d: ", input_filename, base_yylineno);

	switch(type)
	{
		case ET_WARNING:
			fprintf(stderr, _("WARNING: "));
			break;
		case ET_ERROR:
			fprintf(stderr, _("ERROR: "));
			break;
	}

	vfprintf(stderr, error, ap);

	fprintf(stderr, "\n");

	switch(type)
	{
		case ET_WARNING:
			break;
		case ET_ERROR:
			ret_value = error_code;
			break;
	}
}

void
mmerror(int error_code, enum errortype type, const char *error, ...)
{
	va_list		ap;

	va_start(ap, error);
	vmmerror(error_code, type, error, ap);
	va_end(ap);
}

void
mmfatal(int error_code, const char *error, ...)
{
	va_list		ap;

	va_start(ap, error);
	vmmerror(error_code, ET_ERROR, error, ap);
	va_end(ap);

	if (base_yyin)
		fclose(base_yyin);
	if (base_yyout)
		fclose(base_yyout);

	if (strcmp(output_filename, "-") != 0 && unlink(output_filename) != 0)
		fprintf(stderr, _("could not remove output file \"%s\"\n"), output_filename);
	exit(error_code);
}

/*
 * string concatenation
 */

static char *
cat2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 2);

	strcpy(res_str, str1);
	if (strlen(str1) != 0 && strlen(str2) != 0)
		strcat(res_str, " ");
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return res_str;
}

static char *
cat_str(int count, ...)
{
	va_list		args;
	int			i;
	char		*res_str;

	va_start(args, count);

	res_str = va_arg(args, char *);

	/* now add all other strings */
	for (i = 1; i < count; i++)
		res_str = cat2_str(res_str, va_arg(args, char *));

	va_end(args);

	return res_str;
}

static char *
make2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return res_str;
}

static char *
make3_str(char *str1, char *str2, char *str3)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) +strlen(str3) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	strcat(res_str, str3);
	free(str1);
	free(str2);
	free(str3);
	return res_str;
}

/* and the rest */
static char *
make_name(void)
{
	return mm_strdup(base_yytext);
}

static char *
create_questionmarks(char *name, bool array)
{
	struct variable *p = find_variable(name);
	int count;
	char *result = EMPTY;

	/* In case we have a struct, we have to print as many "?" as there are attributes in the struct
	 * An array is only allowed together with an element argument
	 * This is essentially only used for inserts, but using a struct as input parameter is an error anywhere else
	 * so we don't have to worry here. */

	if (p->type->type == ECPGt_struct || (array && p->type->type == ECPGt_array && p->type->u.element->type == ECPGt_struct))
	{
		struct ECPGstruct_member *m;

		if (p->type->type == ECPGt_struct)
			m = p->type->u.members;
		else
			m = p->type->u.element->u.members;

		for (count = 0; m != NULL; m=m->next, count++);
	}
	else
		count = 1;

	for (; count > 0; count --)
	{
		sprintf(pacounter_buffer, "$%d", pacounter++);
		result = cat_str(3, result, mm_strdup(pacounter_buffer), mm_strdup(" , "));
	}

	/* removed the trailing " ," */

	result[strlen(result)-3] = '\0';
	return result;
}

static char *
adjust_outofscope_cursor_vars(struct cursor *cur)
{
	/* Informix accepts DECLARE with variables that are out of scope when OPEN is called.
	 * For instance you can DECLARE a cursor in one function, and OPEN/FETCH/CLOSE
	 * it in another functions. This is very useful for e.g. event-driver programming,
	 * but may also lead to dangerous programming. The limitation when this is allowed
	 * and doesn't cause problems have to be documented, like the allocated variables
	 * must not be realloc()'ed.
	 *
	 * We have to change the variables to our own struct and just store the pointer
	 * instead of the variable. Do it only for local variables, not for globals.
	 */

	char *result = EMPTY;
	int insert;

	for (insert = 1; insert >= 0; insert--)
	{
		struct arguments *list;
		struct arguments *ptr;
		struct arguments *newlist = NULL;
		struct variable *newvar, *newind;

		list = (insert ? cur->argsinsert : cur->argsresult);

		for (ptr = list; ptr != NULL; ptr = ptr->next)
		{
			char var_text[20];
			char *original_var;
			bool skip_set_var = false;
			bool var_ptr = false;

			/* change variable name to "ECPGget_var(<counter>)" */
			original_var = ptr->variable->name;
			sprintf(var_text, "%d))", ecpg_internal_var);

			/* Don't emit ECPGset_var() calls for global variables */
			if (ptr->variable->brace_level == 0)
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type == ECPGt_char_variable)
					 && (strncmp(ptr->variable->name, "ECPGprepared_statement", strlen("ECPGprepared_statement")) == 0))
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type != ECPGt_varchar
					  && ptr->variable->type->type != ECPGt_char
					  && ptr->variable->type->type != ECPGt_unsigned_char
					  && ptr->variable->type->type != ECPGt_string
					  && ptr->variable->type->type != ECPGt_bytea)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->u.element->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																			   mm_strdup("1"),
																			   ptr->variable->type->u.element->counter),
														  ptr->variable->type->size),
									  0);
			}
			else if ((ptr->variable->type->type == ECPGt_varchar
					  || ptr->variable->type->type == ECPGt_char
					  || ptr->variable->type->type == ECPGt_unsigned_char
					  || ptr->variable->type->type == ECPGt_string
					  || ptr->variable->type->type == ECPGt_bytea)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				if (ptr->variable->type->type == ECPGt_varchar ||
					ptr->variable->type->type == ECPGt_bytea)
					var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_struct
					 || ptr->variable->type->type == ECPGt_union)
			{
				newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
									  ECPGmake_struct_type(ptr->variable->type->u.members,
														   ptr->variable->type->type,
														   ptr->variable->type->type_name,
														   ptr->variable->type->struct_sizeof),
									  0);
				var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_array)
			{
				if (ptr->variable->type->u.element->type == ECPGt_struct
					|| ptr->variable->type->u.element->type == ECPGt_union)
				{
					newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->variable->type->u.element->u.members,
															   ptr->variable->type->u.element->type,
															   ptr->variable->type->u.element->type_name,
															   ptr->variable->type->u.element->struct_sizeof),
										  0);
				}
				else
				{
					newvar = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->variable->type->u.element->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																				   ptr->variable->type->u.element->size,
																				   ptr->variable->type->u.element->counter),
															  ptr->variable->type->size),
										  0);
					var_ptr = true;
				}
			}
			else
			{
				newvar = new_variable(cat_str(4, mm_strdup("*("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				var_ptr = true;
			}

			/* create call to "ECPGset_var(<counter>, <connection>, <pointer>. <line number>)" */
			if (!skip_set_var)
			{
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			/* now the indicator if there is one and it's not a global variable */
			if ((ptr->indicator->type->type == ECPGt_NO_INDICATOR) || (ptr->indicator->brace_level == 0))
			{
				newind = ptr->indicator;
			}
			else
			{
				/* change variable name to "ECPGget_var(<counter>)" */
				original_var = ptr->indicator->name;
				sprintf(var_text, "%d))", ecpg_internal_var);
				var_ptr = false;

				if (ptr->indicator->type->type == ECPGt_struct
					|| ptr->indicator->type->type == ECPGt_union)
				{
					newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->indicator->type->u.members,
															   ptr->indicator->type->type,
															   ptr->indicator->type->type_name,
															   ptr->indicator->type->struct_sizeof),
										  0);
					var_ptr = true;
				}
				else if (ptr->indicator->type->type == ECPGt_array)
				{
					if (ptr->indicator->type->u.element->type == ECPGt_struct
						|| ptr->indicator->type->u.element->type == ECPGt_union)
					{
						newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
											  ECPGmake_struct_type(ptr->indicator->type->u.element->u.members,
																   ptr->indicator->type->u.element->type,
																   ptr->indicator->type->u.element->type_name,
																   ptr->indicator->type->u.element->struct_sizeof),
											  0);
					}
					else
					{
						newind = new_variable(cat_str(4, mm_strdup("("),
													  mm_strdup(ecpg_type_name(ptr->indicator->type->u.element->type)),
													  mm_strdup(" *)(ECPGget_var("), mm_strdup(var_text)),
											  ECPGmake_array_type(ECPGmake_simple_type(ptr->indicator->type->u.element->type,
																					   ptr->indicator->type->u.element->size,
																					   ptr->indicator->type->u.element->counter),
																  ptr->indicator->type->size),
											  0);
						var_ptr = true;
					}
				}
				else if (atoi(ptr->indicator->type->size) > 1)
				{
					newind = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
				}
				else
				{
					newind = new_variable(cat_str(4, mm_strdup("*("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
					var_ptr = true;
				}

				/* create call to "ECPGset_var(<counter>, <pointer>. <line number>)" */
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			add_variable_to_tail(&newlist, newvar, newind);
		}

		if (insert)
			cur->argsinsert_oos = newlist;
		else
			cur->argsresult_oos = newlist;
	}

	return result;
}

/* This tests whether the cursor was declared and opened in the same function. */
#define SAMEFUNC(cur)	\
	((cur->function == NULL) ||		\
	 (cur->function != NULL && strcmp(cur->function, current_function) == 0))

static struct cursor *
add_additional_variables(char *name, bool insert)
{
	struct cursor *ptr;
	struct arguments *p;
	int (* strcmp_fn)(const char *, const char *) = ((name[0] == ':' || name[0] == '"') ? strcmp : pg_strcasecmp);

	for (ptr = cur; ptr != NULL; ptr=ptr->next)
	{
		if (strcmp_fn(ptr->name, name) == 0)
			break;
	}

	if (ptr == NULL)
	{
		mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" does not exist", name);
		return NULL;
	}

	if (insert)
	{
		/* add all those input variables that were given earlier
		 * note that we have to append here but have to keep the existing order */
		for (p = (SAMEFUNC(ptr) ? ptr->argsinsert : ptr->argsinsert_oos); p; p = p->next)
			add_variable_to_tail(&argsinsert, p->variable, p->indicator);
	}

	/* add all those output variables that were given earlier */
	for (p = (SAMEFUNC(ptr) ? ptr->argsresult : ptr->argsresult_oos); p; p = p->next)
		add_variable_to_tail(&argsresult, p->variable, p->indicator);

	return ptr;
}

static void
add_typedef(char *name, char *dimension, char *length, enum ECPGttype type_enum,
			char *type_dimension, char *type_index, int initializer, int array)
{
	/* add entry to list */
	struct typedefs *ptr, *this;

	if ((type_enum == ECPGt_struct ||
		 type_enum == ECPGt_union) &&
		initializer == 1)
		mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in type definition");
	else if (INFORMIX_MODE && strcmp(name, "string") == 0)
		mmerror(PARSE_ERROR, ET_ERROR, "type name \"string\" is reserved in Informix mode");
	else
	{
		for (ptr = types; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp(name, ptr->name) == 0)
				/* re-definition is a bug */
				mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", name);
		}
		adjust_array(type_enum, &dimension, &length, type_dimension, type_index, array, true);

		this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

		/* initial definition */
		this->next = types;
		this->name = name;
		this->brace_level = braces_open;
		this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
		this->type->type_enum = type_enum;
		this->type->type_str = mm_strdup(name);
		this->type->type_dimension = dimension; /* dimension of array */
		this->type->type_index = length;	/* length of string */
		this->type->type_sizeof = ECPGstruct_sizeof;
		this->struct_member_list = (type_enum == ECPGt_struct || type_enum == ECPGt_union) ?
		ECPGstruct_member_dup(struct_member_list[struct_level]) : NULL;

		if (type_enum != ECPGt_varchar &&
			type_enum != ECPGt_bytea &&
			type_enum != ECPGt_char &&
			type_enum != ECPGt_unsigned_char &&
			type_enum != ECPGt_string &&
			atoi(this->type->type_index) >= 0)
			mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

		types = this;
	}
}

/*
 * check an SQL identifier is declared or not.
 * If it is already declared, the global variable
 * connection will be changed to the related connection.
 */
static bool
check_declared_list(const char *name)
{
	struct declared_list *ptr = NULL;
	for (ptr = g_declared_list; ptr != NULL; ptr = ptr -> next)
	{
		if (!ptr->connection)
			continue;
		if (strcmp(name, ptr -> name) == 0)
		{
			if (connection && strcmp(ptr->connection, connection) != 0)
				mmerror(PARSE_ERROR, ET_WARNING, "connection %s is overwritten with %s by DECLARE statement %s", connection, ptr->connection, name);
			connection = mm_strdup(ptr -> connection);
			return true;
		}
	}
	return false;
}

#line 678 "preproc.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "preproc.h".  */
#ifndef YY_BASE_YY_PREPROC_H_INCLUDED
# define YY_BASE_YY_PREPROC_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int base_yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    SQL_ALLOCATE = 258,
    SQL_AUTOCOMMIT = 259,
    SQL_BOOL = 260,
    SQL_BREAK = 261,
    SQL_CARDINALITY = 262,
    SQL_CONNECT = 263,
    SQL_COUNT = 264,
    SQL_DATETIME_INTERVAL_CODE = 265,
    SQL_DATETIME_INTERVAL_PRECISION = 266,
    SQL_DESCRIBE = 267,
    SQL_DESCRIPTOR = 268,
    SQL_DISCONNECT = 269,
    SQL_FOUND = 270,
    SQL_FREE = 271,
    SQL_GET = 272,
    SQL_GO = 273,
    SQL_GOTO = 274,
    SQL_IDENTIFIED = 275,
    SQL_INDICATOR = 276,
    SQL_KEY_MEMBER = 277,
    SQL_LENGTH = 278,
    SQL_LONG = 279,
    SQL_NULLABLE = 280,
    SQL_OCTET_LENGTH = 281,
    SQL_OPEN = 282,
    SQL_OUTPUT = 283,
    SQL_REFERENCE = 284,
    SQL_RETURNED_LENGTH = 285,
    SQL_RETURNED_OCTET_LENGTH = 286,
    SQL_SCALE = 287,
    SQL_SECTION = 288,
    SQL_SHORT = 289,
    SQL_SIGNED = 290,
    SQL_SQLERROR = 291,
    SQL_SQLPRINT = 292,
    SQL_SQLWARNING = 293,
    SQL_START = 294,
    SQL_STOP = 295,
    SQL_STRUCT = 296,
    SQL_UNSIGNED = 297,
    SQL_VAR = 298,
    SQL_WHENEVER = 299,
    S_ADD = 300,
    S_AND = 301,
    S_ANYTHING = 302,
    S_AUTO = 303,
    S_CONST = 304,
    S_DEC = 305,
    S_DIV = 306,
    S_DOTPOINT = 307,
    S_EQUAL = 308,
    S_EXTERN = 309,
    S_INC = 310,
    S_LSHIFT = 311,
    S_MEMPOINT = 312,
    S_MEMBER = 313,
    S_MOD = 314,
    S_MUL = 315,
    S_NEQUAL = 316,
    S_OR = 317,
    S_REGISTER = 318,
    S_RSHIFT = 319,
    S_STATIC = 320,
    S_SUB = 321,
    S_VOLATILE = 322,
    S_TYPEDEF = 323,
    CSTRING = 324,
    CVARIABLE = 325,
    CPP_LINE = 326,
    IP = 327,
    IDENT = 328,
    UIDENT = 329,
    FCONST = 330,
    SCONST = 331,
    USCONST = 332,
    BCONST = 333,
    XCONST = 334,
    Op = 335,
    ICONST = 336,
    PARAM = 337,
    TYPECAST = 338,
    DOT_DOT = 339,
    COLON_EQUALS = 340,
    EQUALS_GREATER = 341,
    LESS_EQUALS = 342,
    GREATER_EQUALS = 343,
    NOT_EQUALS = 344,
    ABORT_P = 345,
    ABSENT = 346,
    ABSOLUTE_P = 347,
    ACCESS = 348,
    ACTION = 349,
    ADD_P = 350,
    ADMIN = 351,
    AFTER = 352,
    AGGREGATE = 353,
    ALL = 354,
    ALSO = 355,
    ALTER = 356,
    ALWAYS = 357,
    ANALYSE = 358,
    ANALYZE = 359,
    AND = 360,
    ANY = 361,
    ARRAY = 362,
    AS = 363,
    ASC = 364,
    ASENSITIVE = 365,
    ASSERTION = 366,
    ASSIGNMENT = 367,
    ASYMMETRIC = 368,
    ATOMIC = 369,
    AT = 370,
    ATTACH = 371,
    ATTRIBUTE = 372,
    AUTHORIZATION = 373,
    BACKWARD = 374,
    BEFORE = 375,
    BEGIN_P = 376,
    BETWEEN = 377,
    BIGINT = 378,
    BINARY = 379,
    BIT = 380,
    BOOLEAN_P = 381,
    BOTH = 382,
    BREADTH = 383,
    BY = 384,
    CACHE = 385,
    CALL = 386,
    CALLED = 387,
    CASCADE = 388,
    CASCADED = 389,
    CASE = 390,
    CAST = 391,
    CATALOG_P = 392,
    CHAIN = 393,
    CHAR_P = 394,
    CHARACTER = 395,
    CHARACTERISTICS = 396,
    CHECK = 397,
    CHECKPOINT = 398,
    CLASS = 399,
    CLOSE = 400,
    CLUSTER = 401,
    COALESCE = 402,
    COLLATE = 403,
    COLLATION = 404,
    COLUMN = 405,
    COLUMNS = 406,
    COMMENT = 407,
    COMMENTS = 408,
    COMMIT = 409,
    COMMITTED = 410,
    COMPRESSION = 411,
    CONCURRENTLY = 412,
    CONDITIONAL = 413,
    CONFIGURATION = 414,
    CONFLICT = 415,
    CONNECTION = 416,
    CONSTRAINT = 417,
    CONSTRAINTS = 418,
    CONTENT_P = 419,
    CONTINUE_P = 420,
    CONVERSION_P = 421,
    COPY = 422,
    COST = 423,
    CREATE = 424,
    CROSS = 425,
    CSV = 426,
    CUBE = 427,
    CURRENT_P = 428,
    CURRENT_CATALOG = 429,
    CURRENT_DATE = 430,
    CURRENT_ROLE = 431,
    CURRENT_SCHEMA = 432,
    CURRENT_TIME = 433,
    CURRENT_TIMESTAMP = 434,
    CURRENT_USER = 435,
    CURSOR = 436,
    CYCLE = 437,
    DATA_P = 438,
    DATABASE = 439,
    DAY_P = 440,
    DEALLOCATE = 441,
    DEC = 442,
    DECIMAL_P = 443,
    DECLARE = 444,
    DEFAULT = 445,
    DEFAULTS = 446,
    DEFERRABLE = 447,
    DEFERRED = 448,
    DEFINER = 449,
    DELETE_P = 450,
    DELIMITER = 451,
    DELIMITERS = 452,
    DEPENDS = 453,
    DEPTH = 454,
    DESC = 455,
    DETACH = 456,
    DICTIONARY = 457,
    DISABLE_P = 458,
    DISCARD = 459,
    DISTINCT = 460,
    DO = 461,
    DOCUMENT_P = 462,
    DOMAIN_P = 463,
    DOUBLE_P = 464,
    DROP = 465,
    EACH = 466,
    ELSE = 467,
    EMPTY_P = 468,
    ENABLE_P = 469,
    ENCODING = 470,
    ENCRYPTED = 471,
    END_P = 472,
    ENUM_P = 473,
    ERROR_P = 474,
    ESCAPE = 475,
    EVENT = 476,
    EXCEPT = 477,
    EXCLUDE = 478,
    EXCLUDING = 479,
    EXCLUSIVE = 480,
    EXECUTE = 481,
    EXISTS = 482,
    EXPLAIN = 483,
    EXPRESSION = 484,
    EXTENSION = 485,
    EXTERNAL = 486,
    EXTRACT = 487,
    FALSE_P = 488,
    FAMILY = 489,
    FETCH = 490,
    FILTER = 491,
    FINALIZE = 492,
    FIRST_P = 493,
    FLOAT_P = 494,
    FOLLOWING = 495,
    FOR = 496,
    FORCE = 497,
    FOREIGN = 498,
    FORMAT = 499,
    FORWARD = 500,
    FREEZE = 501,
    FROM = 502,
    FULL = 503,
    FUNCTION = 504,
    FUNCTIONS = 505,
    GENERATED = 506,
    GLOBAL = 507,
    GRANT = 508,
    GRANTED = 509,
    GREATEST = 510,
    GROUP_P = 511,
    GROUPING = 512,
    GROUPS = 513,
    HANDLER = 514,
    HAVING = 515,
    HEADER_P = 516,
    HOLD = 517,
    HOUR_P = 518,
    IDENTITY_P = 519,
    IF_P = 520,
    ILIKE = 521,
    IMMEDIATE = 522,
    IMMUTABLE = 523,
    IMPLICIT_P = 524,
    IMPORT_P = 525,
    IN_P = 526,
    INCLUDE = 527,
    INCLUDING = 528,
    INCREMENT = 529,
    INDENT = 530,
    INDEX = 531,
    INDEXES = 532,
    INHERIT = 533,
    INHERITS = 534,
    INITIALLY = 535,
    INLINE_P = 536,
    INNER_P = 537,
    INOUT = 538,
    INPUT_P = 539,
    INSENSITIVE = 540,
    INSERT = 541,
    INSTEAD = 542,
    INT_P = 543,
    INTEGER = 544,
    INTERSECT = 545,
    INTERVAL = 546,
    INTO = 547,
    INVOKER = 548,
    IS = 549,
    ISNULL = 550,
    ISOLATION = 551,
    JOIN = 552,
    JSON = 553,
    JSON_ARRAY = 554,
    JSON_ARRAYAGG = 555,
    JSON_EXISTS = 556,
    JSON_OBJECT = 557,
    JSON_OBJECTAGG = 558,
    JSON_QUERY = 559,
    JSON_SCALAR = 560,
    JSON_SERIALIZE = 561,
    JSON_TABLE = 562,
    JSON_VALUE = 563,
    KEEP = 564,
    KEY = 565,
    KEYS = 566,
    LABEL = 567,
    LANGUAGE = 568,
    LARGE_P = 569,
    LAST_P = 570,
    LATERAL_P = 571,
    LEADING = 572,
    LEAKPROOF = 573,
    LEAST = 574,
    LEFT = 575,
    LEVEL = 576,
    LIKE = 577,
    LIMIT = 578,
    LISTEN = 579,
    LOAD = 580,
    LOCAL = 581,
    LOCALTIME = 582,
    LOCALTIMESTAMP = 583,
    LOCATION = 584,
    LOCK_P = 585,
    LOCKED = 586,
    LOGGED = 587,
    MAPPING = 588,
    MATCH = 589,
    MATCHED = 590,
    MATERIALIZED = 591,
    MAXVALUE = 592,
    MERGE = 593,
    MERGE_ACTION = 594,
    METHOD = 595,
    MINUTE_P = 596,
    MINVALUE = 597,
    MODE = 598,
    MONTH_P = 599,
    MOVE = 600,
    NAME_P = 601,
    NAMES = 602,
    NATIONAL = 603,
    NATURAL = 604,
    NCHAR = 605,
    NESTED = 606,
    NEW = 607,
    NEXT = 608,
    NFC = 609,
    NFD = 610,
    NFKC = 611,
    NFKD = 612,
    NO = 613,
    NONE = 614,
    NORMALIZE = 615,
    NORMALIZED = 616,
    NOT = 617,
    NOTHING = 618,
    NOTIFY = 619,
    NOTNULL = 620,
    NOWAIT = 621,
    NULL_P = 622,
    NULLIF = 623,
    NULLS_P = 624,
    NUMERIC = 625,
    OBJECT_P = 626,
    OF = 627,
    OFF = 628,
    OFFSET = 629,
    OIDS = 630,
    OLD = 631,
    OMIT = 632,
    ON = 633,
    ONLY = 634,
    OPERATOR = 635,
    OPTION = 636,
    OPTIONS = 637,
    OR = 638,
    ORDER = 639,
    ORDINALITY = 640,
    OTHERS = 641,
    OUT_P = 642,
    OUTER_P = 643,
    OVER = 644,
    OVERLAPS = 645,
    OVERLAY = 646,
    OVERRIDING = 647,
    OWNED = 648,
    OWNER = 649,
    PARALLEL = 650,
    PARAMETER = 651,
    PARSER = 652,
    PARTIAL = 653,
    PARTITION = 654,
    PARTITIONS = 655,
    PASSING = 656,
    PASSWORD = 657,
    PATH = 658,
    PLACING = 659,
    PLAN = 660,
    PLANS = 661,
    POLICY = 662,
    POSITION = 663,
    PRECEDING = 664,
    PRECISION = 665,
    PRESERVE = 666,
    PREPARE = 667,
    PREPARED = 668,
    PRIMARY = 669,
    PRIOR = 670,
    PRIVILEGES = 671,
    PROCEDURAL = 672,
    PROCEDURE = 673,
    PROCEDURES = 674,
    PROGRAM = 675,
    PUBLICATION = 676,
    QUOTE = 677,
    QUOTES = 678,
    RANGE = 679,
    READ = 680,
    REAL = 681,
    REASSIGN = 682,
    RECHECK = 683,
    RECURSIVE = 684,
    REF_P = 685,
    REFERENCES = 686,
    REFERENCING = 687,
    REFRESH = 688,
    REINDEX = 689,
    RELATIVE_P = 690,
    RELEASE = 691,
    RENAME = 692,
    REPEATABLE = 693,
    REPLACE = 694,
    REPLICA = 695,
    RESET = 696,
    RESTART = 697,
    RESTRICT = 698,
    RETURN = 699,
    RETURNING = 700,
    RETURNS = 701,
    REVOKE = 702,
    RIGHT = 703,
    ROLE = 704,
    ROLLBACK = 705,
    ROLLUP = 706,
    ROUTINE = 707,
    ROUTINES = 708,
    ROW = 709,
    ROWS = 710,
    RULE = 711,
    SAVEPOINT = 712,
    SCALAR = 713,
    SCHEMA = 714,
    SCHEMAS = 715,
    SCROLL = 716,
    SEARCH = 717,
    SECOND_P = 718,
    SECURITY = 719,
    SELECT = 720,
    SEQUENCE = 721,
    SEQUENCES = 722,
    SERIALIZABLE = 723,
    SERVER = 724,
    SESSION = 725,
    SESSION_USER = 726,
    SET = 727,
    SETS = 728,
    SETOF = 729,
    SHARE = 730,
    SHOW = 731,
    SIMILAR = 732,
    SIMPLE = 733,
    SKIP = 734,
    SMALLINT = 735,
    SNAPSHOT = 736,
    SOME = 737,
    SPLIT = 738,
    SOURCE = 739,
    SQL_P = 740,
    STABLE = 741,
    STANDALONE_P = 742,
    START = 743,
    STATEMENT = 744,
    STATISTICS = 745,
    STDIN = 746,
    STDOUT = 747,
    STORAGE = 748,
    STORED = 749,
    STRICT_P = 750,
    STRING_P = 751,
    STRIP_P = 752,
    SUBSCRIPTION = 753,
    SUBSTRING = 754,
    SUPPORT = 755,
    SYMMETRIC = 756,
    SYSID = 757,
    SYSTEM_P = 758,
    SYSTEM_USER = 759,
    TABLE = 760,
    TABLES = 761,
    TABLESAMPLE = 762,
    TABLESPACE = 763,
    TARGET = 764,
    TEMP = 765,
    TEMPLATE = 766,
    TEMPORARY = 767,
    TEXT_P = 768,
    THEN = 769,
    TIES = 770,
    TIME = 771,
    TIMESTAMP = 772,
    TO = 773,
    TRAILING = 774,
    TRANSACTION = 775,
    TRANSFORM = 776,
    TREAT = 777,
    TRIGGER = 778,
    TRIM = 779,
    TRUE_P = 780,
    TRUNCATE = 781,
    TRUSTED = 782,
    TYPE_P = 783,
    TYPES_P = 784,
    UESCAPE = 785,
    UNBOUNDED = 786,
    UNCONDITIONAL = 787,
    UNCOMMITTED = 788,
    UNENCRYPTED = 789,
    UNION = 790,
    UNIQUE = 791,
    UNKNOWN = 792,
    UNLISTEN = 793,
    UNLOGGED = 794,
    UNTIL = 795,
    UPDATE = 796,
    USER = 797,
    USING = 798,
    VACUUM = 799,
    VALID = 800,
    VALIDATE = 801,
    VALIDATOR = 802,
    VALUE_P = 803,
    VALUES = 804,
    VARCHAR = 805,
    VARIADIC = 806,
    VARYING = 807,
    VERBOSE = 808,
    VERSION_P = 809,
    VIEW = 810,
    VIEWS = 811,
    VOLATILE = 812,
    WHEN = 813,
    WHERE = 814,
    WHITESPACE_P = 815,
    WINDOW = 816,
    WITH = 817,
    WITHIN = 818,
    WITHOUT = 819,
    WORK = 820,
    WRAPPER = 821,
    WRITE = 822,
    XML_P = 823,
    XMLATTRIBUTES = 824,
    XMLCONCAT = 825,
    XMLELEMENT = 826,
    XMLEXISTS = 827,
    XMLFOREST = 828,
    XMLNAMESPACES = 829,
    XMLPARSE = 830,
    XMLPI = 831,
    XMLROOT = 832,
    XMLSERIALIZE = 833,
    XMLTABLE = 834,
    YEAR_P = 835,
    YES_P = 836,
    ZONE = 837,
    FORMAT_LA = 838,
    NOT_LA = 839,
    NULLS_LA = 840,
    WITH_LA = 841,
    WITHOUT_LA = 842,
    MODE_TYPE_NAME = 843,
    MODE_PLPGSQL_EXPR = 844,
    MODE_PLPGSQL_ASSIGN1 = 845,
    MODE_PLPGSQL_ASSIGN2 = 846,
    MODE_PLPGSQL_ASSIGN3 = 847,
    UMINUS = 848
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED

union YYSTYPE
{
#line 612 "preproc.y" /* yacc.c:355  */

	double	dval;
	char	*str;
	int		ival;
	struct	when		action;
	struct	index		index;
	int		tagname;
	struct	this_type	type;
	enum	ECPGttype	type_enum;
	enum	ECPGdtype	dtype_enum;
	struct	fetch_desc	descriptor;
	struct  su_symbol	struct_union;
	struct	prep		prep;
	struct	exec		exec;
	struct describe		describe;

#line 1329 "preproc.c" /* yacc.c:355  */
};

typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif


extern YYSTYPE base_yylval;
extern YYLTYPE base_yylloc;
int base_yyparse (void);

#endif /* !YY_BASE_YY_PREPROC_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 1360 "preproc.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  3
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   162140

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  613
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  869
/* YYNRULES -- Number of rules.  */
#define YYNRULES  3884
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  7124

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   848

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   600,     2,     2,
     605,   606,   598,   596,   608,   597,   607,   599,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   610,   609,
     593,   595,   594,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   603,     2,   604,   601,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   611,     2,   612,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   602
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,  1739,  1739,  1742,  1746,  1756,  1758,  1760,  1762,  1764,
    1766,  1768,  1770,  1772,  1774,  1776,  1778,  1780,  1782,  1784,
    1786,  1788,  1790,  1792,  1794,  1796,  1798,  1800,  1802,  1804,
    1806,  1808,  1810,  1812,  1814,  1816,  1818,  1820,  1822,  1824,
    1826,  1844,  1846,  1848,  1850,  1852,  1854,  1856,  1858,  1860,
    1862,  1864,  1866,  1868,  1870,  1872,  1874,  1876,  1878,  1880,
    1882,  1884,  1886,  1888,  1890,  1892,  1894,  1896,  1898,  1900,
    1902,  1904,  1906,  1908,  1910,  1912,  1914,  1916,  1920,  1922,
    1924,  1926,  1928,  1930,  1932,  1934,  1936,  1938,  1940,  1942,
    1944,  1946,  1948,  1950,  1952,  1976,  1978,  1980,  1982,  1984,
    1986,  1988,  1990,  1992,  1994,  1996,  1998,  2000,  2002,  2030,
    2032,  2034,  2036,  2038,  2040,  2042,  2044,  2046,  2048,  2050,
    2052,  2058,  2060,  2062,  2064,  2066,  2068,  2070,  2072,  2074,
    2080,  2090,  2094,  2098,  2104,  2108,  2120,  2130,  2131,  2145,
    2152,  2158,  2169,  2175,  2184,  2191,  2197,  2206,  2213,  2221,
    2226,  2231,  2237,  2242,  2248,  2253,  2259,  2263,  2268,  2274,
    2282,  2290,  2294,  2299,  2305,  2310,  2316,  2321,  2327,  2331,
    2335,  2339,  2344,  2348,  2352,  2356,  2360,  2368,  2372,  2376,
    2380,  2384,  2388,  2396,  2404,  2408,  2417,  2419,  2427,  2431,
    2435,  2439,  2447,  2451,  2455,  2459,  2463,  2467,  2475,  2483,
    2491,  2495,  2503,  2507,  2511,  2515,  2523,  2528,  2534,  2538,
    2542,  2546,  2550,  2554,  2562,  2566,  2570,  2578,  2582,  2586,
    2594,  2598,  2602,  2606,  2614,  2618,  2622,  2626,  2631,  2635,
    2639,  2643,  2647,  2651,  2655,  2663,  2667,  2675,  2679,  2687,
    2691,  2705,  2709,  2713,  2717,  2725,  2729,  2733,  2737,  2745,
    2749,  2753,  2757,  2761,  2765,  2769,  2777,  2781,  2786,  2792,
    2796,  2804,  2812,  2816,  2820,  2824,  2832,  2836,  2844,  2848,
    2856,  2860,  2868,  2872,  2876,  2880,  2884,  2893,  2901,  2905,
    2913,  2917,  2925,  2933,  2937,  2941,  2945,  2949,  2957,  2961,
    2965,  2969,  2973,  2977,  2981,  2985,  2989,  2993,  2997,  3001,
    3005,  3009,  3013,  3017,  3021,  3025,  3029,  3033,  3037,  3045,
    3049,  3057,  3061,  3069,  3077,  3081,  3085,  3089,  3093,  3101,
    3109,  3113,  3117,  3121,  3125,  3129,  3133,  3137,  3141,  3145,
    3149,  3153,  3157,  3161,  3165,  3169,  3173,  3177,  3181,  3185,
    3189,  3193,  3197,  3201,  3205,  3209,  3213,  3217,  3221,  3225,
    3229,  3233,  3237,  3241,  3245,  3249,  3253,  3257,  3261,  3265,
    3269,  3273,  3277,  3281,  3285,  3289,  3293,  3297,  3301,  3305,
    3309,  3313,  3317,  3321,  3325,  3329,  3333,  3337,  3341,  3345,
    3349,  3357,  3361,  3369,  3374,  3380,  3385,  3391,  3395,  3399,
    3403,  3411,  3419,  3424,  3430,  3434,  3442,  3446,  3450,  3454,
    3462,  3466,  3474,  3478,  3482,  3486,  3494,  3498,  3506,  3510,
    3518,  3522,  3526,  3530,  3538,  3546,  3550,  3558,  3566,  3570,
    3578,  3582,  3586,  3590,  3598,  3614,  3622,  3630,  3638,  3642,
    3650,  3655,  3661,  3665,  3669,  3677,  3681,  3689,  3694,  3700,
    3704,  3708,  3712,  3716,  3720,  3724,  3728,  3732,  3736,  3740,
    3744,  3748,  3752,  3756,  3764,  3769,  3775,  3780,  3786,  3791,
    3797,  3801,  3809,  3817,  3821,  3825,  3829,  3833,  3838,  3844,
    3848,  3856,  3864,  3868,  3872,  3876,  3880,  3884,  3892,  3896,
    3900,  3904,  3908,  3912,  3916,  3921,  3927,  3932,  3938,  3943,
    3949,  3953,  3961,  3965,  3973,  3977,  3981,  3989,  3993,  4001,
    4009,  4013,  4021,  4025,  4033,  4038,  4044,  4048,  4056,  4061,
    4067,  4072,  4078,  4082,  4086,  4090,  4098,  4102,  4106,  4110,
    4114,  4118,  4122,  4126,  4130,  4138,  4142,  4147,  4153,  4157,
    4165,  4169,  4173,  4177,  4185,  4193,  4197,  4202,  4208,  4212,
    4216,  4220,  4224,  4228,  4232,  4236,  4240,  4244,  4252,  4256,
    4264,  4268,  4272,  4276,  4280,  4284,  4288,  4296,  4300,  4308,
    4312,  4320,  4325,  4331,  4336,  4342,  4346,  4354,  4362,  4367,
    4373,  4377,  4382,  4387,  4393,  4397,  4405,  4409,  4417,  4422,
    4428,  4432,  4436,  4440,  4445,  4451,  4459,  4467,  4471,  4475,
    4479,  4483,  4491,  4496,  4502,  4507,  4513,  4521,  4525,  4533,
    4537,  4541,  4549,  4554,  4560,  4564,  4569,  4575,  4579,  4583,
    4588,  4594,  4599,  4605,  4610,  4616,  4624,  4628,  4636,  4640,
    4648,  4652,  4656,  4664,  4668,  4676,  4684,  4688,  4693,  4699,
    4703,  4711,  4719,  4724,  4730,  4738,  4742,  4750,  4754,  4762,
    4767,  4773,  4778,  4784,  4788,  4796,  4800,  4804,  4808,  4812,
    4816,  4820,  4824,  4828,  4832,  4836,  4840,  4844,  4848,  4856,
    4861,  4867,  4871,  4875,  4879,  4887,  4891,  4899,  4903,  4911,
    4916,  4922,  4926,  4934,  4939,  4945,  4949,  4957,  4962,  4968,
    4973,  4979,  4987,  4992,  4998,  5002,  5010,  5014,  5022,  5027,
    5033,  5037,  5041,  5046,  5054,  5062,  5067,  5073,  5081,  5085,
    5089,  5093,  5097,  5101,  5105,  5109,  5113,  5117,  5121,  5125,
    5129,  5137,  5145,  5149,  5153,  5157,  5165,  5169,  5177,  5182,
    5188,  5192,  5200,  5205,  5211,  5215,  5223,  5231,  5235,  5243,
    5247,  5251,  5255,  5263,  5271,  5279,  5287,  5291,  5299,  5304,
    5310,  5314,  5322,  5327,  5333,  5337,  5341,  5349,  5353,  5357,
    5361,  5369,  5377,  5381,  5389,  5394,  5400,  5404,  5412,  5416,
    5424,  5428,  5436,  5444,  5452,  5460,  5465,  5471,  5476,  5482,
    5487,  5493,  5498,  5504,  5509,  5515,  5520,  5526,  5530,  5534,
    5538,  5542,  5550,  5558,  5562,  5570,  5574,  5582,  5586,  5590,
    5598,  5602,  5610,  5614,  5618,  5622,  5626,  5634,  5639,  5645,
    5649,  5657,  5665,  5669,  5677,  5681,  5689,  5697,  5702,  5708,
    5713,  5719,  5723,  5731,  5736,  5742,  5746,  5754,  5758,  5763,
    5769,  5773,  5777,  5781,  5789,  5794,  5801,  5803,  5811,  5815,
    5819,  5823,  5827,  5831,  5839,  5843,  5851,  5855,  5863,  5871,
    5875,  5883,  5891,  5895,  5899,  5903,  5911,  5920,  5924,  5928,
    5932,  5936,  5940,  5944,  5948,  5952,  5956,  5960,  5964,  5968,
    5972,  5976,  5980,  5988,  5996,  6000,  6008,  6012,  6020,  6024,
    6028,  6032,  6036,  6040,  6048,  6056,  6060,  6068,  6076,  6081,
    6087,  6091,  6099,  6103,  6107,  6111,  6115,  6124,  6129,  6135,
    6143,  6147,  6155,  6159,  6163,  6167,  6171,  6179,  6184,  6190,
    6195,  6201,  6205,  6210,  6216,  6222,  6228,  6236,  6240,  6248,
    6252,  6260,  6264,  6272,  6276,  6284,  6288,  6296,  6304,  6312,
    6316,  6320,  6324,  6328,  6332,  6336,  6340,  6344,  6348,  6352,
    6356,  6364,  6368,  6372,  6376,  6380,  6384,  6388,  6392,  6396,
    6400,  6404,  6408,  6412,  6420,  6424,  6428,  6432,  6436,  6444,
    6448,  6452,  6456,  6460,  6464,  6468,  6472,  6480,  6484,  6488,
    6496,  6500,  6508,  6512,  6520,  6524,  6532,  6536,  6544,  6552,
    6556,  6561,  6567,  6571,  6575,  6579,  6583,  6587,  6591,  6595,
    6599,  6603,  6607,  6611,  6615,  6619,  6623,  6627,  6631,  6635,
    6643,  6647,  6655,  6659,  6663,  6667,  6671,  6675,  6679,  6683,
    6687,  6691,  6699,  6704,  6710,  6714,  6722,  6726,  6730,  6734,
    6743,  6752,  6761,  6770,  6779,  6788,  6797,  6810,  6824,  6838,
    6852,  6866,  6880,  6894,  6913,  6932,  6951,  6965,  6984,  6998,
    7017,  7035,  7039,  7047,  7052,  7058,  7066,  7070,  7078,  7082,
    7086,  7090,  7094,  7102,  7106,  7114,  7118,  7122,  7126,  7130,
    7138,  7142,  7150,  7154,  7162,  7166,  7170,  7174,  7178,  7182,
    7186,  7190,  7194,  7198,  7202,  7206,  7210,  7214,  7218,  7222,
    7226,  7230,  7234,  7238,  7242,  7250,  7254,  7262,  7266,  7274,
    7279,  7285,  7289,  7297,  7301,  7309,  7313,  7321,  7329,  7333,
    7337,  7345,  7350,  7356,  7364,  7369,  7375,  7379,  7383,  7391,
    7395,  7399,  7407,  7411,  7415,  7419,  7423,  7427,  7435,  7439,
    7447,  7452,  7458,  7463,  7469,  7473,  7481,  7485,  7493,  7497,
    7501,  7509,  7514,  7520,  7524,  7532,  7537,  7543,  7547,  7552,
    7558,  7562,  7567,  7573,  7577,  7581,  7585,  7593,  7598,  7604,
    7608,  7616,  7620,  7628,  7632,  7640,  7644,  7648,  7652,  7660,
    7664,  7672,  7676,  7684,  7688,  7692,  7696,  7700,  7708,  7712,
    7716,  7720,  7724,  7732,  7740,  7748,  7752,  7756,  7764,  7768,
    7772,  7780,  7788,  7792,  7796,  7800,  7808,  7812,  7820,  7828,
    7832,  7840,  7845,  7851,  7855,  7863,  7867,  7871,  7875,  7879,
    7883,  7887,  7891,  7895,  7899,  7903,  7907,  7911,  7915,  7919,
    7923,  7927,  7935,  7939,  7943,  7947,  7951,  7959,  7963,  7971,
    7979,  7983,  7988,  7994,  7999,  8005,  8009,  8017,  8021,  8029,
    8034,  8040,  8048,  8052,  8060,  8064,  8068,  8076,  8080,  8088,
    8093,  8099,  8103,  8107,  8111,  8115,  8119,  8127,  8131,  8139,
    8143,  8151,  8155,  8159,  8163,  8171,  8175,  8183,  8187,  8195,
    8203,  8211,  8215,  8223,  8227,  8235,  8239,  8243,  8251,  8255,
    8260,  8266,  8274,  8279,  8285,  8293,  8297,  8301,  8305,  8313,
    8321,  8325,  8329,  8337,  8341,  8349,  8353,  8361,  8366,  8372,
    8376,  8384,  8388,  8392,  8396,  8400,  8404,  8408,  8412,  8416,
    8420,  8424,  8428,  8432,  8436,  8440,  8444,  8448,  8452,  8456,
    8460,  8464,  8468,  8472,  8476,  8480,  8484,  8488,  8492,  8496,
    8500,  8504,  8508,  8512,  8516,  8520,  8524,  8528,  8532,  8536,
    8540,  8544,  8548,  8552,  8556,  8560,  8564,  8568,  8572,  8576,
    8580,  8584,  8588,  8592,  8596,  8600,  8608,  8613,  8619,  8624,
    8630,  8634,  8638,  8642,  8646,  8650,  8658,  8663,  8669,  8673,
    8677,  8681,  8685,  8689,  8693,  8697,  8701,  8705,  8709,  8713,
    8717,  8721,  8725,  8729,  8733,  8737,  8741,  8745,  8749,  8753,
    8757,  8761,  8765,  8769,  8773,  8781,  8789,  8793,  8801,  8805,
    8809,  8817,  8821,  8825,  8829,  8833,  8841,  8849,  8853,  8857,
    8861,  8865,  8869,  8873,  8877,  8881,  8885,  8889,  8893,  8897,
    8901,  8905,  8909,  8913,  8917,  8921,  8925,  8929,  8933,  8937,
    8941,  8949,  8953,  8957,  8965,  8969,  8973,  8977,  8981,  8985,
    8989,  8997,  9001,  9009,  9013,  9017,  9021,  9029,  9037,  9041,
    9045,  9049,  9053,  9057,  9061,  9065,  9069,  9077,  9081,  9089,
    9097,  9101,  9105,  9113,  9117,  9125,  9129,  9133,  9137,  9141,
    9149,  9154,  9160,  9164,  9168,  9172,  9180,  9184,  9189,  9195,
    9203,  9208,  9214,  9222,  9226,  9234,  9238,  9242,  9246,  9250,
    9254,  9258,  9262,  9266,  9270,  9274,  9278,  9286,  9290,  9298,
    9302,  9307,  9313,  9317,  9321,  9325,  9329,  9337,  9341,  9345,
    9353,  9358,  9364,  9368,  9373,  9379,  9383,  9387,  9391,  9399,
    9403,  9407,  9412,  9418,  9426,  9434,  9439,  9445,  9449,  9457,
    9461,  9465,  9473,  9477,  9481,  9485,  9489,  9493,  9497,  9505,
    9510,  9516,  9520,  9524,  9528,  9536,  9544,  9548,  9552,  9556,
    9564,  9568,  9576,  9584,  9592,  9596,  9604,  9612,  9616,  9620,
    9624,  9628,  9632,  9636,  9644,  9649,  9655,  9663,  9667,  9671,
    9675,  9679,  9683,  9691,  9695,  9703,  9711,  9715,  9719,  9723,
    9727,  9735,  9740,  9746,  9750,  9758,  9762,  9770,  9774,  9782,
    9786,  9794,  9802,  9806,  9810,  9818,  9822,  9827,  9833,  9838,
    9844,  9849,  9855,  9860,  9866,  9871,  9877,  9882,  9888,  9896,
    9900,  9908,  9913,  9919,  9923,  9927,  9931,  9939,  9943,  9947,
    9951,  9955,  9959,  9963,  9967,  9971,  9975,  9983,  9989,  9999,
   10004, 10010, 10014, 10018, 10022, 10026, 10034, 10039, 10043, 10051,
   10056, 10062, 10070, 10074, 10082, 10086, 10090, 10094, 10098, 10106,
   10110, 10118, 10122, 10130, 10138, 10142, 10147, 10153, 10157, 10162,
   10168, 10173, 10179, 10187, 10192, 10198, 10206, 10211, 10217, 10221,
   10225, 10229, 10233, 10237, 10241, 10245, 10253, 10258, 10264, 10268,
   10273, 10279, 10287, 10291, 10299, 10303, 10311, 10319, 10323, 10331,
   10339, 10343, 10351, 10355, 10359, 10363, 10367, 10375, 10379, 10387,
   10391, 10399, 10404, 10410, 10418, 10426, 10430, 10434, 10438, 10442,
   10450, 10458, 10509, 10513, 10526, 10528, 10532, 10536, 10540, 10544,
   10553, 10559, 10563, 10571, 10575, 10583, 10587, 10595, 10599, 10603,
   10607, 10611, 10615, 10619, 10623, 10631, 10635, 10643, 10647, 10651,
   10655, 10659, 10663, 10667, 10675, 10679, 10683, 10691, 10695, 10703,
   10711, 10715, 10720, 10726, 10730, 10735, 10741, 10745, 10750, 10756,
   10761, 10767, 10772, 10774, 10780, 10784, 10788, 10792, 10796, 10800,
   10804, 10808, 10812, 10820, 10825, 10831, 10835, 10840, 10846, 10850,
   10858, 10863, 10869, 10874, 10880, 10888, 10892, 10900, 10904, 10912,
   10916, 10920, 10924, 10932, 10937, 10943, 10947, 10952, 10956, 10960,
   10964, 10972, 10976, 10984, 10988, 10996, 11004, 11008, 11012, 11020,
   11024, 11032, 11036, 11044, 11048, 11056, 11061, 11067, 11071, 11079,
   11083, 11087, 11091, 11095, 11103, 11111, 11119, 11127, 11135, 11140,
   11146, 11150, 11158, 11163, 11169, 11173, 11181, 11189, 11193, 11197,
   11201, 11209, 11214, 11220, 11224, 11232, 11237, 11243, 11247, 11255,
   11259, 11263, 11267, 11271, 11275, 11279, 11283, 11287, 11291, 11295,
   11299, 11307, 11311, 11315, 11319, 11323, 11327, 11335, 11339, 11343,
   11347, 11355, 11360, 11366, 11371, 11377, 11381, 11385, 11389, 11394,
   11400, 11404, 11408, 11412, 11420, 11425, 11431, 11435, 11443, 11447,
   11455, 11459, 11463, 11471, 11475, 11483, 11487, 11491, 11499, 11507,
   11512, 11518, 11522, 11530, 11538, 11542, 11550, 11555, 11561, 11566,
   11572, 11577, 11583, 11587, 11593, 11599, 11604, 11610, 11614, 11622,
   11630, 11634, 11642, 11646, 11654, 11658, 11662, 11670, 11674, 11682,
   11686, 11690, 11694, 11698, 11706, 11710, 11718, 11722, 11730, 11738,
   11743, 11749, 11753, 11761, 11765, 11769, 11773, 11777, 11781, 11789,
   11794, 11800, 11805, 11811, 11813, 11815, 11819, 11823, 11827, 11835,
   11845, 11856, 11865, 11869, 11873, 11877, 11881, 11885, 11889, 11893,
   11901, 11905, 11909, 11913, 11917, 11925, 11929, 11937, 11942, 11948,
   11952, 11956, 11960, 11964, 11968, 11972, 11976, 11980, 11984, 11988,
   11996, 12001, 12007, 12011, 12019, 12023, 12031, 12039, 12047, 12051,
   12059, 12063, 12071, 12079, 12087, 12091, 12095, 12099, 12103, 12107,
   12115, 12120, 12126, 12130, 12134, 12138, 12146, 12154, 12158, 12163,
   12169, 12173, 12177, 12181, 12185, 12189, 12193, 12197, 12201, 12205,
   12209, 12213, 12217, 12222, 12228, 12232, 12240, 12248, 12252, 12256,
   12260, 12264, 12268, 12272, 12276, 12280, 12284, 12288, 12292, 12296,
   12300, 12304, 12308, 12312, 12316, 12320, 12324, 12328, 12332, 12336,
   12340, 12344, 12348, 12352, 12356, 12360, 12364, 12368, 12372, 12376,
   12380, 12384, 12388, 12392, 12396, 12400, 12404, 12408, 12412, 12416,
   12420, 12424, 12428, 12432, 12436, 12440, 12444, 12448, 12452, 12456,
   12460, 12464, 12468, 12472, 12476, 12480, 12485, 12489, 12493, 12497,
   12501, 12505, 12509, 12513, 12517, 12525, 12529, 12533, 12537, 12541,
   12545, 12549, 12553, 12557, 12561, 12565, 12569, 12573, 12577, 12581,
   12585, 12589, 12593, 12597, 12601, 12605, 12609, 12617, 12621, 12625,
   12629, 12633, 12637, 12641, 12645, 12649, 12653, 12657, 12661, 12665,
   12669, 12677, 12681, 12685, 12689, 12693, 12697, 12701, 12709, 12713,
   12717, 12725, 12729, 12733, 12741, 12745, 12749, 12753, 12757, 12761,
   12765, 12769, 12773, 12777, 12781, 12785, 12789, 12793, 12797, 12801,
   12805, 12809, 12813, 12817, 12821, 12825, 12829, 12833, 12837, 12841,
   12845, 12849, 12853, 12857, 12861, 12865, 12869, 12873, 12877, 12881,
   12885, 12889, 12893, 12897, 12901, 12905, 12909, 12913, 12917, 12921,
   12925, 12929, 12933, 12937, 12941, 12945, 12949, 12953, 12957, 12961,
   12965, 12969, 12973, 12977, 12985, 12989, 12997, 13001, 13005, 13010,
   13016, 13024, 13028, 13036, 13040, 13048, 13052, 13060, 13064, 13069,
   13075, 13079, 13084, 13090, 13094, 13098, 13102, 13110, 13114, 13122,
   13127, 13133, 13138, 13144, 13149, 13155, 13159, 13167, 13175, 13179,
   13184, 13190, 13198, 13202, 13209, 13214, 13220, 13224, 13228, 13233,
   13239, 13243, 13251, 13255, 13259, 13263, 13267, 13275, 13279, 13283,
   13287, 13292, 13298, 13302, 13306, 13314, 13318, 13326, 13334, 13338,
   13342, 13350, 13354, 13362, 13366, 13370, 13374, 13378, 13382, 13386,
   13390, 13394, 13398, 13402, 13406, 13414, 13418, 13426, 13430, 13438,
   13442, 13446, 13450, 13454, 13458, 13466, 13470, 13478, 13482, 13490,
   13494, 13498, 13506, 13511, 13517, 13521, 13529, 13533, 13537, 13545,
   13549, 13557, 13565, 13569, 13573, 13577, 13581, 13585, 13589, 13593,
   13601, 13605, 13609, 13613, 13621, 13625, 13633, 13641, 13645, 13649,
   13653, 13657, 13665, 13669, 13673, 13681, 13685, 13693, 13701, 13705,
   13713, 13721, 13726, 13732, 13737, 13743, 13747, 13755, 13759, 13763,
   13767, 13775, 13780, 13786, 13790, 13799, 13801, 13809, 13814, 13820,
   13825, 13831, 13835, 13843, 13851, 13855, 13859, 13863, 13867, 13871,
   13875, 13879, 13884, 13890, 13894, 13902, 13906, 13910, 13914, 13918,
   13922, 13926, 13930, 13938, 13942, 13946, 13951, 13957, 13962, 13968,
   13976, 13980, 13988, 13993, 13999, 14003, 14007, 14011, 14016, 14022,
   14027, 14033, 14037, 14041, 14045, 14049, 14057, 14061, 14065, 14069,
   14073, 14080, 14084, 14092, 14096, 14104, 14108, 14113, 14119, 14123,
   14128, 14134, 14138, 14146, 14150, 14158, 14163, 14169, 14174, 14180,
   14184, 14192, 14196, 14200, 14204, 14212, 14216, 14224, 14228, 14236,
   14240, 14248, 14256, 14264, 14272, 14276, 14284, 14288, 14292, 14296,
   14300, 14304, 14308, 14312, 14316, 14320, 14324, 14328, 14332, 14336,
   14337, 14342, 14348, 14352, 14353, 14357, 14365, 14373, 14377, 14381,
   14385, 14393, 14397, 14405, 14409, 14413, 14417, 14425, 14429, 14437,
   14441, 14445, 14449, 14453, 14457, 14461, 14465, 14469, 14473, 14477,
   14481, 14485, 14489, 14493, 14497, 14501, 14505, 14509, 14513, 14517,
   14521, 14525, 14529, 14533, 14537, 14541, 14545, 14549, 14553, 14557,
   14561, 14565, 14569, 14573, 14577, 14581, 14585, 14589, 14593, 14597,
   14601, 14605, 14609, 14613, 14617, 14621, 14625, 14629, 14633, 14637,
   14641, 14645, 14649, 14653, 14657, 14661, 14665, 14669, 14673, 14677,
   14681, 14685, 14689, 14693, 14697, 14701, 14705, 14709, 14713, 14717,
   14721, 14725, 14729, 14733, 14737, 14741, 14745, 14749, 14753, 14757,
   14761, 14765, 14769, 14773, 14777, 14781, 14785, 14789, 14793, 14797,
   14801, 14805, 14809, 14813, 14817, 14821, 14825, 14829, 14833, 14837,
   14841, 14845, 14849, 14853, 14857, 14861, 14865, 14869, 14873, 14877,
   14881, 14885, 14889, 14893, 14897, 14901, 14905, 14909, 14913, 14917,
   14921, 14925, 14929, 14933, 14937, 14941, 14945, 14949, 14953, 14957,
   14961, 14965, 14969, 14973, 14977, 14981, 14985, 14989, 14993, 14997,
   15001, 15005, 15009, 15013, 15017, 15021, 15025, 15029, 15033, 15037,
   15041, 15045, 15049, 15053, 15057, 15061, 15065, 15069, 15073, 15077,
   15081, 15085, 15089, 15093, 15097, 15101, 15105, 15109, 15113, 15117,
   15121, 15125, 15129, 15133, 15137, 15141, 15145, 15149, 15153, 15157,
   15161, 15165, 15169, 15173, 15177, 15181, 15185, 15189, 15193, 15197,
   15201, 15205, 15209, 15213, 15217, 15221, 15225, 15229, 15233, 15237,
   15241, 15245, 15249, 15253, 15257, 15261, 15265, 15269, 15273, 15277,
   15281, 15285, 15289, 15293, 15297, 15301, 15305, 15309, 15313, 15317,
   15321, 15325, 15329, 15333, 15337, 15341, 15345, 15349, 15353, 15357,
   15361, 15365, 15369, 15373, 15377, 15381, 15385, 15389, 15393, 15397,
   15401, 15405, 15409, 15413, 15417, 15421, 15425, 15429, 15433, 15437,
   15441, 15445, 15449, 15453, 15457, 15461, 15465, 15469, 15473, 15477,
   15481, 15485, 15489, 15493, 15497, 15501, 15505, 15509, 15513, 15517,
   15521, 15525, 15529, 15533, 15537, 15541, 15545, 15549, 15553, 15557,
   15561, 15565, 15569, 15573, 15577, 15581, 15585, 15589, 15593, 15597,
   15601, 15605, 15609, 15613, 15617, 15621, 15625, 15629, 15633, 15637,
   15641, 15645, 15649, 15653, 15657, 15661, 15665, 15669, 15673, 15677,
   15681, 15685, 15689, 15693, 15697, 15701, 15705, 15709, 15713, 15721,
   15725, 15729, 15733, 15737, 15741, 15745, 15749, 15753, 15757, 15761,
   15765, 15769, 15773, 15777, 15781, 15785, 15789, 15793, 15797, 15801,
   15805, 15809, 15813, 15817, 15821, 15825, 15829, 15833, 15837, 15841,
   15845, 15849, 15853, 15857, 15861, 15865, 15869, 15873, 15877, 15881,
   15885, 15889, 15893, 15897, 15901, 15905, 15909, 15913, 15917, 15921,
   15925, 15929, 15933, 15937, 15941, 15945, 15949, 15953, 15957, 15965,
   15969, 15973, 15977, 15981, 15985, 15989, 15993, 15997, 16001, 16005,
   16009, 16013, 16017, 16021, 16025, 16029, 16033, 16037, 16041, 16045,
   16049, 16053, 16061, 16065, 16069, 16073, 16077, 16081, 16085, 16089,
   16093, 16097, 16101, 16105, 16109, 16113, 16117, 16121, 16125, 16129,
   16133, 16137, 16141, 16145, 16149, 16153, 16157, 16161, 16165, 16169,
   16173, 16177, 16181, 16185, 16189, 16193, 16197, 16201, 16205, 16209,
   16213, 16217, 16221, 16225, 16229, 16233, 16237, 16241, 16245, 16249,
   16253, 16257, 16261, 16265, 16269, 16273, 16277, 16281, 16285, 16289,
   16293, 16297, 16301, 16305, 16309, 16313, 16317, 16321, 16325, 16329,
   16333, 16337, 16341, 16345, 16349, 16353, 16357, 16361, 16369, 16373,
   16377, 16381, 16385, 16389, 16393, 16397, 16401, 16405, 16409, 16413,
   16417, 16421, 16425, 16429, 16433, 16437, 16441, 16445, 16449, 16453,
   16457, 16461, 16465, 16469, 16473, 16477, 16481, 16485, 16489, 16493,
   16497, 16501, 16505, 16509, 16513, 16517, 16521, 16525, 16529, 16533,
   16537, 16541, 16545, 16549, 16553, 16557, 16561, 16565, 16569, 16573,
   16577, 16581, 16585, 16589, 16593, 16597, 16601, 16605, 16609, 16613,
   16617, 16621, 16625, 16629, 16633, 16637, 16641, 16645, 16649, 16653,
   16657, 16661, 16665, 16669, 16673, 16677, 16681, 16685, 16689, 16693,
   16697, 16701, 16705, 16709, 16713, 16717, 16721, 16725, 16729, 16733,
   16737, 16741, 16745, 16749, 16753, 16757, 16761, 16765, 16769, 16773,
   16777, 16781, 16785, 16789, 16793, 16797, 16801, 16805, 16809, 16813,
   16817, 16821, 16825, 16829, 16833, 16837, 16841, 16845, 16849, 16853,
   16857, 16861, 16865, 16869, 16873, 16877, 16881, 16885, 16889, 16893,
   16897, 16901, 16905, 16909, 16913, 16917, 16921, 16925, 16929, 16933,
   16937, 16941, 16945, 16949, 16953, 16957, 16961, 16965, 16969, 16973,
   16977, 16981, 16985, 16989, 16993, 16997, 17001, 17005, 17009, 17013,
   17017, 17021, 17025, 17029, 17033, 17037, 17041, 17045, 17049, 17053,
   17057, 17061, 17065, 17069, 17073, 17077, 17081, 17085, 17089, 17093,
   17097, 17101, 17105, 17109, 17113, 17117, 17121, 17125, 17129, 17133,
   17137, 17141, 17145, 17149, 17153, 17157, 17161, 17165, 17169, 17173,
   17177, 17181, 17185, 17189, 17193, 17197, 17201, 17205, 17209, 17213,
   17217, 17221, 17225, 17229, 17233, 17237, 17241, 17245, 17249, 17253,
   17257, 17261, 17265, 17269, 17273, 17277, 17281, 17285, 17289, 17293,
   17297, 17301, 17305, 17309, 17313, 17317, 17321, 17325, 17329, 17333,
   17337, 17341, 17345, 17349, 17353, 17357, 17361, 17365, 17369, 17373,
   17377, 17381, 17385, 17389, 17393, 17397, 17401, 17405, 17409, 17413,
   17417, 17421, 17425, 17429, 17433, 17437, 17441, 17445, 17449, 17453,
   17457, 17461, 17465, 17469, 17473, 17477, 17481, 17485, 17489, 17493,
   17497, 17501, 17505, 17509, 17513, 17517, 17521, 17525, 17529, 17533,
   17537, 17541, 17545, 17549, 17553, 17557, 17561, 17565, 17569, 17573,
   17577, 17581, 17585, 17589, 17593, 17597, 17601, 17605, 17609, 17613,
   17617, 17621, 17625, 17629, 17633, 17637, 17641, 17645, 17649, 17653,
   17657, 17661, 17665, 17669, 17673, 17677, 17681, 17685, 17689, 17693,
   17697, 17701, 17705, 17709, 17713, 17717, 17721, 17725, 17729, 17733,
   17737, 17741, 17745, 17749, 17753, 17757, 17761, 17765, 17769, 17773,
   17777, 17781, 17785, 17789, 17793, 17797, 17801, 17805, 17809, 17813,
   17817, 17821, 17825, 17829, 17833, 17837, 17841, 17845, 17849, 17853,
   17857, 17861, 17865, 17869, 17873, 17877, 17881, 17885, 17889, 17893,
   17897, 17901, 17905, 17909, 17913, 17917, 17921, 17925, 17929, 17933,
   17937, 17941, 17945, 17949, 17953, 17957, 17961, 17965, 17969, 17973,
   17977, 17981, 17985, 17989, 17993, 17997, 18001, 18005, 18009, 18013,
   18017, 18021, 18025, 18029, 18033, 18037, 18041, 18045, 18049, 18053,
   18057, 18061, 18065, 18069, 18073, 18077, 18081, 18085, 18089, 18093,
   18097, 18101, 18105, 18109, 18113, 18117, 18121, 18125, 18129, 18133,
   18137, 18141, 18145, 18149, 18153, 18157, 18161, 18165, 18169, 18173,
   18177, 18181, 18191, 18192, 18195, 18201, 18207, 18213, 18214, 18215,
   18216, 18217, 18230, 18230, 18237, 18237, 18246, 18261, 18263, 18266,
   18268, 18272, 18284, 18300, 18304, 18315, 18316, 18319, 18331, 18340,
   18341, 18344, 18345, 18346, 18349, 18350, 18353, 18354, 18357, 18358,
   18361, 18363, 18365, 18367, 18371, 18378, 18385, 18401, 18435, 18445,
   18448, 18452, 18465, 18466, 18468, 18470, 18474, 18488, 18494, 18531,
   18593, 18602, 18604, 18605, 18608, 18610, 18611, 18614, 18615, 18616,
   18617, 18618, 18625, 18624, 18634, 18636, 18638, 18639, 18642, 18643,
   18644, 18645, 18648, 18649, 18653, 18652, 18669, 18668, 18684, 18683,
   18698, 18704, 18705, 18708, 18710, 18711, 18714, 18715, 18716, 18717,
   18720, 18721, 18724, 18732, 18749, 18757, 18765, 18773, 18801, 18809,
   18818, 18826, 18834, 18842, 18870, 18878, 18998, 19032, 19034, 19036,
   19040, 19044, 19043, 19094, 19096, 19095, 19110, 19116, 19123, 19128,
   19134, 19135, 19138, 19139, 19140, 19141, 19142, 19143, 19144, 19145,
   19146, 19149, 19150, 19151, 19152, 19153, 19154, 19155, 19156, 19157,
   19158, 19161, 19162, 19165, 19167, 19176, 19276, 19277, 19284, 19285,
   19286, 19292, 19301, 19304, 19305, 19306, 19307, 19310, 19311, 19312,
   19315, 19317, 19325, 19326, 19332, 19340, 19341, 19344, 19345, 19348,
   19353, 19360, 19365, 19372, 19379, 19379, 19381, 19388, 19389, 19392,
   19393, 19394, 19395, 19396, 19397, 19398, 19399, 19400, 19406, 19411,
   19421, 19426, 19431, 19438, 19439, 19451, 19462, 19473, 19477, 19478,
   19481, 19486, 19490, 19491, 19494, 19500, 19508, 19514, 19521, 19525,
   19526, 19529, 19532, 19536, 19537, 19540, 19546, 19555, 19560, 19570,
   19580, 19592, 19593, 19594, 19595, 19596, 19597, 19598, 19599, 19600,
   19601, 19602, 19603, 19604, 19605, 19606, 19613, 19614, 19617, 19618,
   19625, 19626, 19627, 19634, 19633, 19650, 19651, 19658, 19657, 19728,
   19734, 19740, 19748, 19754, 19760, 19766, 19772, 19778, 19784, 19790,
   19796, 19802, 19813, 19814, 19817, 19818, 19819, 19820, 19821, 19822,
   19823, 19824, 19825, 19826, 19827, 19828, 19829, 19830, 19831, 19832,
   19833, 19834, 19835, 19836, 19837, 19838, 19841, 19842, 19843, 19844,
   19845, 19846, 19850, 19851, 19852, 19853, 19854, 19855, 19856, 19859,
   19862, 19863, 19864, 19865, 19866, 19867, 19868, 19869, 19882, 19883,
   19884, 19885, 19886, 19887, 19888, 19893, 19894, 19895, 19896, 19897,
   19898, 19904, 19905, 19906, 19907, 19908, 19909, 19910, 19911, 19912,
   19913, 19914, 19917, 19918, 19919, 19920, 19921, 19922, 19923, 19924,
   19927, 19928, 19929, 19930, 19931, 19932, 19933, 19950, 19951, 19952,
   19955, 19956, 19957, 19958, 19959, 19960, 19964, 19964, 19967, 19973,
   19974, 19977, 19979, 19984, 19994, 20005, 20012, 20013, 20014, 20017,
   20050, 20052, 20054, 20056, 20058, 20060, 20061, 20064, 20066, 20074,
   20075, 20076, 20080, 20081, 20085, 20086, 20089, 20090, 20093, 20094,
   20095, 20096, 20097, 20100, 20101, 20102, 20103, 20104, 20105, 20106,
   20107, 20108, 20109, 20110, 20111, 20112, 20113, 20114, 20115, 20116,
   20117, 20118, 20119, 20120, 20121, 20122, 20123, 20124, 20125, 20126,
   20127, 20128, 20129, 20130, 20131, 20132, 20133, 20134, 20135, 20136,
   20137, 20138, 20139, 20140, 20141, 20142, 20143, 20144, 20145, 20146,
   20147, 20148, 20149, 20150, 20151, 20152, 20153, 20154, 20155, 20158,
   20159, 20160, 20161, 20164, 20165, 20166, 20167, 20168, 20169, 20170,
   20171, 20172, 20173, 20180, 20181, 20182, 20183, 20186, 20187, 20190,
   20191, 20194, 20195, 20206, 20207
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "SQL_ALLOCATE", "SQL_AUTOCOMMIT",
  "SQL_BOOL", "SQL_BREAK", "SQL_CARDINALITY", "SQL_CONNECT", "SQL_COUNT",
  "SQL_DATETIME_INTERVAL_CODE", "SQL_DATETIME_INTERVAL_PRECISION",
  "SQL_DESCRIBE", "SQL_DESCRIPTOR", "SQL_DISCONNECT", "SQL_FOUND",
  "SQL_FREE", "SQL_GET", "SQL_GO", "SQL_GOTO", "SQL_IDENTIFIED",
  "SQL_INDICATOR", "SQL_KEY_MEMBER", "SQL_LENGTH", "SQL_LONG",
  "SQL_NULLABLE", "SQL_OCTET_LENGTH", "SQL_OPEN", "SQL_OUTPUT",
  "SQL_REFERENCE", "SQL_RETURNED_LENGTH", "SQL_RETURNED_OCTET_LENGTH",
  "SQL_SCALE", "SQL_SECTION", "SQL_SHORT", "SQL_SIGNED", "SQL_SQLERROR",
  "SQL_SQLPRINT", "SQL_SQLWARNING", "SQL_START", "SQL_STOP", "SQL_STRUCT",
  "SQL_UNSIGNED", "SQL_VAR", "SQL_WHENEVER", "S_ADD", "S_AND",
  "S_ANYTHING", "S_AUTO", "S_CONST", "S_DEC", "S_DIV", "S_DOTPOINT",
  "S_EQUAL", "S_EXTERN", "S_INC", "S_LSHIFT", "S_MEMPOINT", "S_MEMBER",
  "S_MOD", "S_MUL", "S_NEQUAL", "S_OR", "S_REGISTER", "S_RSHIFT",
  "S_STATIC", "S_SUB", "S_VOLATILE", "S_TYPEDEF", "CSTRING", "CVARIABLE",
  "CPP_LINE", "IP", "IDENT", "UIDENT", "FCONST", "SCONST", "USCONST",
  "BCONST", "XCONST", "Op", "ICONST", "PARAM", "TYPECAST", "DOT_DOT",
  "COLON_EQUALS", "EQUALS_GREATER", "LESS_EQUALS", "GREATER_EQUALS",
  "NOT_EQUALS", "ABORT_P", "ABSENT", "ABSOLUTE_P", "ACCESS", "ACTION",
  "ADD_P", "ADMIN", "AFTER", "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS",
  "ANALYSE", "ANALYZE", "AND", "ANY", "ARRAY", "AS", "ASC", "ASENSITIVE",
  "ASSERTION", "ASSIGNMENT", "ASYMMETRIC", "ATOMIC", "AT", "ATTACH",
  "ATTRIBUTE", "AUTHORIZATION", "BACKWARD", "BEFORE", "BEGIN_P", "BETWEEN",
  "BIGINT", "BINARY", "BIT", "BOOLEAN_P", "BOTH", "BREADTH", "BY", "CACHE",
  "CALL", "CALLED", "CASCADE", "CASCADED", "CASE", "CAST", "CATALOG_P",
  "CHAIN", "CHAR_P", "CHARACTER", "CHARACTERISTICS", "CHECK", "CHECKPOINT",
  "CLASS", "CLOSE", "CLUSTER", "COALESCE", "COLLATE", "COLLATION",
  "COLUMN", "COLUMNS", "COMMENT", "COMMENTS", "COMMIT", "COMMITTED",
  "COMPRESSION", "CONCURRENTLY", "CONDITIONAL", "CONFIGURATION",
  "CONFLICT", "CONNECTION", "CONSTRAINT", "CONSTRAINTS", "CONTENT_P",
  "CONTINUE_P", "CONVERSION_P", "COPY", "COST", "CREATE", "CROSS", "CSV",
  "CUBE", "CURRENT_P", "CURRENT_CATALOG", "CURRENT_DATE", "CURRENT_ROLE",
  "CURRENT_SCHEMA", "CURRENT_TIME", "CURRENT_TIMESTAMP", "CURRENT_USER",
  "CURSOR", "CYCLE", "DATA_P", "DATABASE", "DAY_P", "DEALLOCATE", "DEC",
  "DECIMAL_P", "DECLARE", "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED",
  "DEFINER", "DELETE_P", "DELIMITER", "DELIMITERS", "DEPENDS", "DEPTH",
  "DESC", "DETACH", "DICTIONARY", "DISABLE_P", "DISCARD", "DISTINCT", "DO",
  "DOCUMENT_P", "DOMAIN_P", "DOUBLE_P", "DROP", "EACH", "ELSE", "EMPTY_P",
  "ENABLE_P", "ENCODING", "ENCRYPTED", "END_P", "ENUM_P", "ERROR_P",
  "ESCAPE", "EVENT", "EXCEPT", "EXCLUDE", "EXCLUDING", "EXCLUSIVE",
  "EXECUTE", "EXISTS", "EXPLAIN", "EXPRESSION", "EXTENSION", "EXTERNAL",
  "EXTRACT", "FALSE_P", "FAMILY", "FETCH", "FILTER", "FINALIZE", "FIRST_P",
  "FLOAT_P", "FOLLOWING", "FOR", "FORCE", "FOREIGN", "FORMAT", "FORWARD",
  "FREEZE", "FROM", "FULL", "FUNCTION", "FUNCTIONS", "GENERATED", "GLOBAL",
  "GRANT", "GRANTED", "GREATEST", "GROUP_P", "GROUPING", "GROUPS",
  "HANDLER", "HAVING", "HEADER_P", "HOLD", "HOUR_P", "IDENTITY_P", "IF_P",
  "ILIKE", "IMMEDIATE", "IMMUTABLE", "IMPLICIT_P", "IMPORT_P", "IN_P",
  "INCLUDE", "INCLUDING", "INCREMENT", "INDENT", "INDEX", "INDEXES",
  "INHERIT", "INHERITS", "INITIALLY", "INLINE_P", "INNER_P", "INOUT",
  "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD", "INT_P", "INTEGER",
  "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS", "ISNULL", "ISOLATION",
  "JOIN", "JSON", "JSON_ARRAY", "JSON_ARRAYAGG", "JSON_EXISTS",
  "JSON_OBJECT", "JSON_OBJECTAGG", "JSON_QUERY", "JSON_SCALAR",
  "JSON_SERIALIZE", "JSON_TABLE", "JSON_VALUE", "KEEP", "KEY", "KEYS",
  "LABEL", "LANGUAGE", "LARGE_P", "LAST_P", "LATERAL_P", "LEADING",
  "LEAKPROOF", "LEAST", "LEFT", "LEVEL", "LIKE", "LIMIT", "LISTEN", "LOAD",
  "LOCAL", "LOCALTIME", "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "LOCKED",
  "LOGGED", "MAPPING", "MATCH", "MATCHED", "MATERIALIZED", "MAXVALUE",
  "MERGE", "MERGE_ACTION", "METHOD", "MINUTE_P", "MINVALUE", "MODE",
  "MONTH_P", "MOVE", "NAME_P", "NAMES", "NATIONAL", "NATURAL", "NCHAR",
  "NESTED", "NEW", "NEXT", "NFC", "NFD", "NFKC", "NFKD", "NO", "NONE",
  "NORMALIZE", "NORMALIZED", "NOT", "NOTHING", "NOTIFY", "NOTNULL",
  "NOWAIT", "NULL_P", "NULLIF", "NULLS_P", "NUMERIC", "OBJECT_P", "OF",
  "OFF", "OFFSET", "OIDS", "OLD", "OMIT", "ON", "ONLY", "OPERATOR",
  "OPTION", "OPTIONS", "OR", "ORDER", "ORDINALITY", "OTHERS", "OUT_P",
  "OUTER_P", "OVER", "OVERLAPS", "OVERLAY", "OVERRIDING", "OWNED", "OWNER",
  "PARALLEL", "PARAMETER", "PARSER", "PARTIAL", "PARTITION", "PARTITIONS",
  "PASSING", "PASSWORD", "PATH", "PLACING", "PLAN", "PLANS", "POLICY",
  "POSITION", "PRECEDING", "PRECISION", "PRESERVE", "PREPARE", "PREPARED",
  "PRIMARY", "PRIOR", "PRIVILEGES", "PROCEDURAL", "PROCEDURE",
  "PROCEDURES", "PROGRAM", "PUBLICATION", "QUOTE", "QUOTES", "RANGE",
  "READ", "REAL", "REASSIGN", "RECHECK", "RECURSIVE", "REF_P",
  "REFERENCES", "REFERENCING", "REFRESH", "REINDEX", "RELATIVE_P",
  "RELEASE", "RENAME", "REPEATABLE", "REPLACE", "REPLICA", "RESET",
  "RESTART", "RESTRICT", "RETURN", "RETURNING", "RETURNS", "REVOKE",
  "RIGHT", "ROLE", "ROLLBACK", "ROLLUP", "ROUTINE", "ROUTINES", "ROW",
  "ROWS", "RULE", "SAVEPOINT", "SCALAR", "SCHEMA", "SCHEMAS", "SCROLL",
  "SEARCH", "SECOND_P", "SECURITY", "SELECT", "SEQUENCE", "SEQUENCES",
  "SERIALIZABLE", "SERVER", "SESSION", "SESSION_USER", "SET", "SETS",
  "SETOF", "SHARE", "SHOW", "SIMILAR", "SIMPLE", "SKIP", "SMALLINT",
  "SNAPSHOT", "SOME", "SPLIT", "SOURCE", "SQL_P", "STABLE", "STANDALONE_P",
  "START", "STATEMENT", "STATISTICS", "STDIN", "STDOUT", "STORAGE",
  "STORED", "STRICT_P", "STRING_P", "STRIP_P", "SUBSCRIPTION", "SUBSTRING",
  "SUPPORT", "SYMMETRIC", "SYSID", "SYSTEM_P", "SYSTEM_USER", "TABLE",
  "TABLES", "TABLESAMPLE", "TABLESPACE", "TARGET", "TEMP", "TEMPLATE",
  "TEMPORARY", "TEXT_P", "THEN", "TIES", "TIME", "TIMESTAMP", "TO",
  "TRAILING", "TRANSACTION", "TRANSFORM", "TREAT", "TRIGGER", "TRIM",
  "TRUE_P", "TRUNCATE", "TRUSTED", "TYPE_P", "TYPES_P", "UESCAPE",
  "UNBOUNDED", "UNCONDITIONAL", "UNCOMMITTED", "UNENCRYPTED", "UNION",
  "UNIQUE", "UNKNOWN", "UNLISTEN", "UNLOGGED", "UNTIL", "UPDATE", "USER",
  "USING", "VACUUM", "VALID", "VALIDATE", "VALIDATOR", "VALUE_P", "VALUES",
  "VARCHAR", "VARIADIC", "VARYING", "VERBOSE", "VERSION_P", "VIEW",
  "VIEWS", "VOLATILE", "WHEN", "WHERE", "WHITESPACE_P", "WINDOW", "WITH",
  "WITHIN", "WITHOUT", "WORK", "WRAPPER", "WRITE", "XML_P",
  "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT", "XMLEXISTS", "XMLFOREST",
  "XMLNAMESPACES", "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE",
  "XMLTABLE", "YEAR_P", "YES_P", "ZONE", "FORMAT_LA", "NOT_LA", "NULLS_LA",
  "WITH_LA", "WITHOUT_LA", "MODE_TYPE_NAME", "MODE_PLPGSQL_EXPR",
  "MODE_PLPGSQL_ASSIGN1", "MODE_PLPGSQL_ASSIGN2", "MODE_PLPGSQL_ASSIGN3",
  "'<'", "'>'", "'='", "'+'", "'-'", "'*'", "'/'", "'%'", "'^'", "UMINUS",
  "'['", "']'", "'('", "')'", "'.'", "','", "';'", "':'", "'{'", "'}'",
  "$accept", "prog", "toplevel_stmt", "stmt", "opt_single_name",
  "opt_qualified_name", "opt_concurrently", "opt_drop_behavior",
  "CallStmt", "CreateRoleStmt", "opt_with", "OptRoleList",
  "AlterOptRoleList", "AlterOptRoleElem", "CreateOptRoleElem",
  "CreateUserStmt", "AlterRoleStmt", "opt_in_database", "AlterRoleSetStmt",
  "DropRoleStmt", "CreateGroupStmt", "AlterGroupStmt", "add_drop",
  "CreateSchemaStmt", "OptSchemaEltList", "schema_stmt", "VariableSetStmt",
  "set_rest", "generic_set", "set_rest_more", "var_name", "var_list",
  "var_value", "iso_level", "opt_boolean_or_string", "zone_value",
  "opt_encoding", "NonReservedWord_or_Sconst", "VariableResetStmt",
  "reset_rest", "generic_reset", "SetResetClause",
  "FunctionSetResetClause", "VariableShowStmt", "ConstraintsSetStmt",
  "constraints_set_list", "constraints_set_mode", "CheckPointStmt",
  "DiscardStmt", "AlterTableStmt", "alter_table_cmds", "partitions_list",
  "SinglePartitionSpec", "partition_cmd", "index_partition_cmd",
  "alter_table_cmd", "alter_column_default", "opt_collate_clause",
  "alter_using", "replica_identity", "reloptions", "opt_reloptions",
  "reloption_list", "reloption_elem", "alter_identity_column_option_list",
  "alter_identity_column_option", "set_statistics_value",
  "set_access_method_name", "PartitionBoundSpec", "hash_partbound_elem",
  "hash_partbound", "AlterCompositeTypeStmt", "alter_type_cmds",
  "alter_type_cmd", "ClosePortalStmt", "CopyStmt", "copy_from",
  "opt_program", "copy_file_name", "copy_options", "copy_opt_list",
  "copy_opt_item", "opt_binary", "copy_delimiter", "opt_using",
  "copy_generic_opt_list", "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "column_compression", "opt_column_compression", "column_storage",
  "opt_column_storage", "ColQualList", "ColConstraint",
  "ColConstraintElem", "opt_unique_null_treatment", "generated_when",
  "ConstraintAttr", "TableLikeClause", "TableLikeOptionList",
  "TableLikeOption", "TableConstraint", "ConstraintElem",
  "DomainConstraint", "DomainConstraintElem", "opt_no_inherit",
  "opt_column_list", "columnList", "columnElem", "opt_c_include",
  "key_match", "ExclusionConstraintList", "ExclusionConstraintElem",
  "OptWhereClause", "key_actions", "key_update", "key_delete",
  "key_action", "OptInherit", "OptPartitionSpec", "PartitionSpec",
  "part_params", "part_elem", "table_access_method_clause", "OptWith",
  "OnCommitOption", "OptTableSpace", "OptConsTableSpace", "ExistingIndex",
  "CreateStatsStmt", "stats_params", "stats_param", "AlterStatsStmt",
  "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "OptParenthesizedSeqOptList",
  "SeqOptList", "SeqOptElem", "opt_by", "NumericOnly", "NumericOnly_list",
  "CreatePLangStmt", "opt_trusted", "handler_name", "opt_inline_handler",
  "validator_clause", "opt_validator", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "AlterForeignServerStmt",
  "CreateForeignTableStmt", "ImportForeignSchemaStmt",
  "import_qualification_type", "import_qualification",
  "CreateUserMappingStmt", "auth_ident", "DropUserMappingStmt",
  "AlterUserMappingStmt", "CreatePolicyStmt", "AlterPolicyStmt",
  "RowSecurityOptionalExpr", "RowSecurityOptionalWithCheck",
  "RowSecurityDefaultToRole", "RowSecurityOptionalToRole",
  "RowSecurityDefaultPermissive", "RowSecurityDefaultForCmd",
  "row_security_cmd", "CreateAmStmt", "am_type", "CreateTrigStmt",
  "TriggerActionTime", "TriggerEvents", "TriggerOneEvent",
  "TriggerReferencing", "TriggerTransitions", "TriggerTransition",
  "TransitionOldOrNew", "TransitionRowOrTable", "TransitionRelName",
  "TriggerForSpec", "TriggerForOptEach", "TriggerForType", "TriggerWhen",
  "FUNCTION_or_PROCEDURE", "TriggerFuncArgs", "TriggerFuncArg",
  "OptConstrFromTable", "ConstraintAttributeSpec",
  "ConstraintAttributeElem", "CreateEventTrigStmt",
  "event_trigger_when_list", "event_trigger_when_item",
  "event_trigger_value_list", "AlterEventTrigStmt", "enable_trigger",
  "CreateAssertionStmt", "DefineStmt", "definition", "def_list",
  "def_elem", "def_arg", "old_aggr_definition", "old_aggr_list",
  "old_aggr_elem", "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "opt_if_not_exists", "CreateOpClassStmt", "opclass_item_list",
  "opclass_item", "opt_default", "opt_opfamily", "opclass_purpose",
  "opt_recheck", "CreateOpFamilyStmt", "AlterOpFamilyStmt",
  "opclass_drop_list", "opclass_drop", "DropOpClassStmt",
  "DropOpFamilyStmt", "DropOwnedStmt", "ReassignOwnedStmt", "DropStmt",
  "object_type_any_name", "object_type_name", "drop_type_name",
  "object_type_name_on_any_name", "any_name_list", "any_name", "attrs",
  "type_name_list", "TruncateStmt", "opt_restart_seqs", "CommentStmt",
  "comment_text", "SecLabelStmt", "opt_provider", "security_label",
  "FetchStmt", "fetch_args", "from_in", "opt_from_in", "GrantStmt",
  "RevokeStmt", "privileges", "privilege_list", "privilege",
  "parameter_name_list", "parameter_name", "privilege_target",
  "grantee_list", "grantee", "opt_grant_grant_option", "GrantRoleStmt",
  "RevokeRoleStmt", "grant_role_opt_list", "grant_role_opt",
  "grant_role_opt_value", "opt_granted_by", "AlterDefaultPrivilegesStmt",
  "DefACLOptionList", "DefACLOption", "DefACLAction",
  "defacl_privilege_target", "IndexStmt", "opt_unique",
  "access_method_clause", "index_params", "index_elem_options",
  "index_elem", "opt_include", "index_including_params", "opt_collate",
  "opt_asc_desc", "opt_nulls_order", "CreateFunctionStmt",
  "opt_or_replace", "func_args", "func_args_list",
  "function_with_argtypes_list", "function_with_argtypes",
  "func_args_with_defaults", "func_args_with_defaults_list", "func_arg",
  "arg_class", "param_name", "func_return", "func_type",
  "func_arg_with_default", "aggr_arg", "aggr_args", "aggr_args_list",
  "aggregate_with_argtypes", "aggregate_with_argtypes_list",
  "opt_createfunc_opt_list", "createfunc_opt_list", "common_func_opt_item",
  "createfunc_opt_item", "func_as", "ReturnStmt", "opt_routine_body",
  "routine_body_stmt_list", "routine_body_stmt", "transform_type_list",
  "opt_definition", "table_func_column", "table_func_column_list",
  "AlterFunctionStmt", "alterfunc_opt_list", "opt_restrict",
  "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt", "oper_argtypes",
  "any_operator", "operator_with_argtypes_list", "operator_with_argtypes",
  "DoStmt", "dostmt_opt_list", "dostmt_opt_item", "CreateCastStmt",
  "cast_context", "DropCastStmt", "opt_if_exists", "CreateTransformStmt",
  "transform_element_list", "DropTransformStmt", "ReindexStmt",
  "reindex_target_relation", "reindex_target_all",
  "opt_reindex_option_list", "AlterTblSpcStmt", "RenameStmt", "opt_column",
  "opt_set_data", "AlterObjectDependsStmt", "opt_no",
  "AlterObjectSchemaStmt", "AlterOperatorStmt", "operator_def_list",
  "operator_def_elem", "operator_def_arg", "AlterTypeStmt",
  "AlterOwnerStmt", "CreatePublicationStmt", "PublicationObjSpec",
  "pub_obj_list", "AlterPublicationStmt", "CreateSubscriptionStmt",
  "AlterSubscriptionStmt", "DropSubscriptionStmt", "RuleStmt",
  "RuleActionList", "RuleActionMulti", "RuleActionStmt",
  "RuleActionStmtOrEmpty", "event", "opt_instead", "NotifyStmt",
  "notify_payload", "ListenStmt", "UnlistenStmt", "TransactionStmt",
  "TransactionStmtLegacy", "opt_transaction", "transaction_mode_item",
  "transaction_mode_list", "transaction_mode_list_or_empty",
  "opt_transaction_chain", "ViewStmt", "opt_check_option", "LoadStmt",
  "CreatedbStmt", "createdb_opt_list", "createdb_opt_items",
  "createdb_opt_item", "createdb_opt_name", "opt_equal",
  "AlterDatabaseStmt", "AlterDatabaseSetStmt", "DropdbStmt",
  "drop_option_list", "drop_option", "AlterCollationStmt",
  "AlterSystemStmt", "CreateDomainStmt", "AlterDomainStmt", "opt_as",
  "AlterTSDictionaryStmt", "AlterTSConfigurationStmt", "any_with",
  "CreateConversionStmt", "ClusterStmt", "cluster_index_specification",
  "VacuumStmt", "AnalyzeStmt", "utility_option_list", "analyze_keyword",
  "utility_option_elem", "utility_option_name", "utility_option_arg",
  "opt_analyze", "opt_verbose", "opt_full", "opt_freeze", "opt_name_list",
  "vacuum_relation", "vacuum_relation_list", "opt_vacuum_relation_list",
  "ExplainStmt", "ExplainableStmt", "PrepareStmt", "prep_type_clause",
  "PreparableStmt", "ExecuteStmt", "execute_param_clause", "InsertStmt",
  "insert_target", "insert_rest", "override_kind", "insert_column_list",
  "insert_column_item", "opt_on_conflict", "opt_conf_expr",
  "returning_clause", "DeleteStmt", "using_clause", "LockStmt", "opt_lock",
  "lock_type", "opt_nowait", "opt_nowait_or_skip", "UpdateStmt",
  "set_clause_list", "set_clause", "set_target", "set_target_list",
  "MergeStmt", "merge_when_list", "merge_when_clause",
  "merge_when_tgt_matched", "merge_when_tgt_not_matched",
  "opt_merge_when_condition", "merge_update", "merge_delete",
  "merge_insert", "merge_values_clause", "DeclareCursorStmt",
  "cursor_name", "cursor_options", "opt_hold", "SelectStmt",
  "select_with_parens", "select_no_parens", "select_clause",
  "simple_select", "with_clause", "cte_list", "common_table_expr",
  "opt_materialized", "opt_search_clause", "opt_cycle_clause",
  "opt_with_clause", "into_clause", "OptTempTableName", "opt_table",
  "set_quantifier", "distinct_clause", "opt_all_clause", "opt_sort_clause",
  "sort_clause", "sortby_list", "sortby", "select_limit",
  "opt_select_limit", "limit_clause", "offset_clause",
  "select_limit_value", "select_offset_value", "select_fetch_first_value",
  "I_or_F_const", "row_or_rows", "first_or_next", "group_clause",
  "group_by_list", "group_by_item", "empty_grouping_set", "rollup_clause",
  "cube_clause", "grouping_sets_clause", "having_clause",
  "for_locking_clause", "opt_for_locking_clause", "for_locking_items",
  "for_locking_item", "for_locking_strength", "locked_rels_list",
  "values_clause", "from_clause", "from_list", "table_ref", "joined_table",
  "alias_clause", "opt_alias_clause", "opt_alias_clause_for_join_using",
  "func_alias_clause", "join_type", "opt_outer", "join_qual",
  "relation_expr", "extended_relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "tablesample_clause", "opt_repeatable_clause",
  "func_table", "rowsfrom_item", "rowsfrom_list", "opt_col_def_list",
  "opt_ordinality", "where_clause", "where_or_current_clause",
  "OptTableFuncElementList", "TableFuncElementList", "TableFuncElement",
  "xmltable", "xmltable_column_list", "xmltable_column_el",
  "xmltable_column_option_list", "xmltable_column_option_el",
  "xml_namespace_list", "xml_namespace_el", "json_table",
  "json_table_path_name_opt", "json_table_column_definition_list",
  "json_table_column_definition", "path_opt",
  "json_table_column_path_clause_opt", "Typename", "opt_array_bounds",
  "SimpleTypename", "ConstTypename", "GenericType", "opt_type_modifiers",
  "Numeric", "opt_float", "Bit", "ConstBit", "BitWithLength",
  "BitWithoutLength", "Character", "ConstCharacter", "CharacterWithLength",
  "CharacterWithoutLength", "character", "opt_varying", "ConstDatetime",
  "ConstInterval", "opt_timezone", "opt_interval", "interval_second",
  "JsonType", "a_expr", "b_expr", "c_expr", "func_application",
  "func_expr", "func_expr_windowless", "func_expr_common_subexpr",
  "xml_root_version", "opt_xml_root_standalone", "xml_attributes",
  "xml_attribute_list", "xml_attribute_el", "document_or_content",
  "xml_indent_option", "xml_whitespace_option", "xmlexists_argument",
  "xml_passing_mech", "within_group_clause", "filter_clause",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "opt_window_exclusion_clause", "row", "explicit_row",
  "implicit_row", "sub_type", "all_Op", "MathOp", "qual_Op", "qual_all_Op",
  "subquery_Op", "expr_list", "func_arg_list", "func_arg_expr",
  "func_arg_list_opt", "type_list", "array_expr", "array_expr_list",
  "extract_list", "extract_arg", "unicode_normal_form", "overlay_list",
  "position_list", "substr_list", "trim_list", "in_expr", "case_expr",
  "when_clause_list", "when_clause", "case_default", "case_arg",
  "columnref", "indirection_el", "opt_slice_bound", "indirection",
  "opt_indirection", "opt_asymmetric", "json_passing_clause_opt",
  "json_arguments", "json_argument", "json_wrapper_behavior",
  "json_behavior", "json_behavior_type", "json_behavior_clause_opt",
  "json_on_error_clause_opt", "json_value_expr", "json_format_clause",
  "json_format_clause_opt", "json_quotes_clause_opt",
  "json_returning_clause_opt", "json_predicate_type_constraint",
  "json_key_uniqueness_constraint_opt", "json_name_and_value_list",
  "json_name_and_value", "json_object_constructor_null_clause_opt",
  "json_array_constructor_null_clause_opt", "json_value_expr_list",
  "json_aggregate_func", "json_array_aggregate_order_by_clause_opt",
  "opt_target_list", "target_list", "target_el", "qualified_name_list",
  "qualified_name", "name_list", "name", "attr_name", "file_name",
  "func_name", "AexprConst", "Iconst", "SignedIconst", "RoleId",
  "RoleSpec", "role_list", "NonReservedWord", "BareColLabel",
  "unreserved_keyword", "col_name_keyword", "type_func_name_keyword",
  "reserved_keyword", "bare_label_keyword", "statements", "statement",
  "CreateAsStmt", "$@1", "$@2", "at", "ECPGConnect", "connection_target",
  "opt_database_name", "db_prefix", "server", "opt_server", "server_name",
  "opt_port", "opt_connection_name", "opt_user", "ora_user", "user_name",
  "char_variable", "opt_options", "connect_options", "opt_opt_value",
  "prepared_name", "ECPGDeclareStmt", "ECPGCursorStmt",
  "ECPGExecuteImmediateStmt", "ECPGVarDeclaration",
  "single_vt_declaration", "precision", "opt_scale", "ecpg_interval",
  "ECPGDeclaration", "$@3", "sql_startdeclare", "sql_enddeclare",
  "var_type_declarations", "vt_declarations", "variable_declarations",
  "type_declaration", "$@4", "var_declaration", "$@5", "$@6",
  "opt_bit_field", "storage_declaration", "storage_clause",
  "storage_modifier", "var_type", "enum_type", "enum_definition",
  "struct_union_type_with_symbol", "$@7", "struct_union_type", "$@8",
  "s_struct_union_symbol", "s_struct_union", "simple_type",
  "unsigned_type", "signed_type", "opt_signed", "variable_list",
  "variable", "opt_initializer", "opt_pointer", "ECPGDeclare",
  "ECPGDisconnect", "dis_name", "connection_object", "execstring",
  "ECPGFree", "ECPGOpen", "opt_ecpg_using", "ecpg_using",
  "using_descriptor", "into_descriptor", "into_sqlda", "using_list",
  "UsingValue", "UsingConst", "ECPGDescribe", "opt_output",
  "ECPGAllocateDescr", "ECPGDeallocateDescr", "ECPGGetDescriptorHeader",
  "ECPGGetDescHeaderItems", "ECPGGetDescHeaderItem",
  "ECPGSetDescriptorHeader", "ECPGSetDescHeaderItems",
  "ECPGSetDescHeaderItem", "IntConstVar", "desc_header_item",
  "ECPGGetDescriptor", "ECPGGetDescItems", "ECPGGetDescItem",
  "ECPGSetDescriptor", "ECPGSetDescItems", "ECPGSetDescItem",
  "AllConstVar", "descriptor_item", "ECPGSetAutocommit", "on_off",
  "ECPGSetConnection", "ECPGTypedef", "$@9", "opt_reference", "ECPGVar",
  "$@10", "ECPGWhenever", "action", "ECPGKeywords", "ECPGKeywords_vanames",
  "ECPGKeywords_rest", "ECPGTypeName", "symbol", "ECPGColId", "ColId",
  "type_function_name", "ColLabel", "ECPGColLabel", "ECPGCKeywords",
  "all_unreserved_keyword", "ECPGunreserved_interval", "into_list",
  "ecpgstart", "c_args", "coutputvariable", "civarind", "char_civar",
  "civar", "indicator", "cvariable", "ecpg_param", "ecpg_bconst",
  "ecpg_fconst", "ecpg_sconst", "ecpg_xconst", "ecpg_ident",
  "quoted_ident_stringvar", "c_stuff_item", "c_stuff", "c_list", "c_term",
  "c_thing", "c_anything", "DeallocateStmt", "Iresult", "execute_rest",
  "ecpg_into", "opt_ecpg_into", "ecpg_fetch_into", "opt_ecpg_fetch_into", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,   719,   720,   721,   722,   723,   724,
     725,   726,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   746,   747,   748,   749,   750,   751,   752,   753,   754,
     755,   756,   757,   758,   759,   760,   761,   762,   763,   764,
     765,   766,   767,   768,   769,   770,   771,   772,   773,   774,
     775,   776,   777,   778,   779,   780,   781,   782,   783,   784,
     785,   786,   787,   788,   789,   790,   791,   792,   793,   794,
     795,   796,   797,   798,   799,   800,   801,   802,   803,   804,
     805,   806,   807,   808,   809,   810,   811,   812,   813,   814,
     815,   816,   817,   818,   819,   820,   821,   822,   823,   824,
     825,   826,   827,   828,   829,   830,   831,   832,   833,   834,
     835,   836,   837,   838,   839,   840,   841,   842,   843,   844,
     845,   846,   847,    60,    62,    61,    43,    45,    42,    47,
      37,    94,   848,    91,    93,    40,    41,    46,    44,    59,
      58,   123,   125
};
# endif

#define YYPACT_NINF -6499

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-6499)))

#define YYTABLE_NINF -3730

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-3730)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const int yypact[] =
{
   -6499,   616,  9936, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, 19866, -6499, -6499, -6499, -6499, -6499,  5621,
    1263,154401,  1162,100706,105899,  1404,110515, -6499, 85107,   478,
   -6499,  1125, -6499, -6499, -6499, -6499, -6499, -6499, -6499,  1228,
      76, 24692, -6499, -6499,106476,   549, 87419, -6499,107053,    41,
    1470,   151,   325, 24013,107630,102437,  1370,111092,   720,  1311,
   24157,    76, 41337,111669,  1915, 81052, -6499,101283,  1747,  1149,
  121478,  1570,  1612, 81632,121478,  1569,112246,  1913,  1880,  1709,
  122055,122632, 98975,  1279,121478,  2145,  1792, 83951,123209,  1953,
   -6499,112823, -6499,  1612, -6499, 85107, 78728,   239,  1898, -6499,
  123786,121478,  2051,  1917, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,    44, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,   969,
   -6499,   982,  2343,   118,   954,  1954, -6499, 17436, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499,  1990,  1760, -6499, -6499,
   -6499,  1998, -6499,  1943, -6499, -6499, -6499,  1891, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499,  2641,  6990,110515,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499,103014, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499,   312, -6499, -6499, -6499, -6499,
   -6499,110515,110515, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
  110515,  2173, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499,   489,  2436, -6499, -6499,
   85107,  3177,  3177,  2766,  1990,  2254,  2286,  2326,  2334,  2259,
    2368,   358, -6499, -6499, -6499, -6499, -6499,  2792, 87419,121478,
  121478,121478,  2492,121478,  2402,121478,   972, 87419,157981,113400,
    2578,  2405, 73393,124363, -6499, 87419,121478,155426, 87419,121478,
  121478,124940,121478,125517,121478,  2129,108207,121478,  2522,121478,
  121478,155937,126094,  2674, -6499,  2966,  1464, -6499,  2401, -6499,
     274, -6499,  2211, -6499,   291,   297,   299, -6499, -6499, -6499,
  153886,121478, 24446,  1570,  2792, -6499,  2051,121478,  2680,121478,
    2418,126671,121478, -6499,121478,  2510,127248,   975,  2431,157981,
    2519, 73989,  2614,121478,121478,157981,127825,128402,128979,121478,
  121478, -6499, -6499,  2581,121478, -6499,  2730,158492,   138,  2746,
    2922,  2821,   881, -6499, -6499,  3033,  2496, -6499, -6499,  3058,
  110515, -6499,108784, -6499, -6499, -6499,   358,   540, -6499,  2627,
    2655,  2662, -6499, -6499, -6499, -6499, -6499,161047,  1311, -6499,
   -6499,  2779, 87997,  2859, -6499, -6499,129556, 93777,  2639, -6499,
    1024, 88575,159003,  3011,  2622, 74585,  3057, -6499, 89153, -6499,
  159514, 89731, -6499, -6499, -6499, -6499, -6499,130133, -6499,130710,
    2720,  2859, -6499, 94355,160025, -6499,  2880,131287,131864,132441,
    2792, 13091, -6499,  2595,  1308,  2610,  2114,110515,110515,  1575,
  150781, -6499, -6499,  2665, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499,   391,  2414, 82212,  1004, 82792, -6499, -6499,
    1031,  1268,  1536,   391,  3140,  3140,   209,110515, -6499, -6499,
    2414, -6499,   973,   946,  2740,  2659,  2659,  2659,  2921,    55,
   -6499,  2659,  2836, -6499, -6499, -6499, -6499, -6499,112823, 82212,
   82792, -6499,  2695,   358,  1570,   242,  3190,  2782,153886,  1651,
  121478, -6499, -6499, -6499,  3220,  2769,  3075, -6499,  2774, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,  2994,  3010,
     198,  1001,  1570,   335, -6499,  3151, -6499,  3018, 49713, 49713,
    1554,110515,  1570, 83372,113977,145712,   310,161047,  1570,133018,
    2822,  1910,  3032, -6499, -6499, -6499,   541, -6499,  3302,  2839,
    3131,   906,  1464, 69881, -6499, -6499,  2838,  2211,112823, 97244,
   -6499, -6499, -6499, -6499,153886,  3199, 55122,121478,  2843, -6499,
    2841,  2843,  2849,  2854,   118, -6499,153886,121478,  1852,  1852,
    3339,  1852,  2123,  2157, -6499,  2442, -6499,  3226,  3185,  3186,
  112823,  2881,    76,  2882, -6499, -6499, -6499,  2912, -6499,  2887,
    2890, -6499,  1132,  3231, -6499, -6499, -6499, -6499, -6499,  3297,
   -6499, -6499, -6499, -6499, -6499, -6499,  3412,  3398,154915,154915,
    1043,  1054,   345,   329, -6499, -6499, -6499,  3243, -6499, -6499,
    3240,  3017,121478, -6499, -6499,121478, -6499,133595, -6499, -6499,
    3177,  2912,  1352,   233,  3082,  3213,  3140,  2030,  2612,  2612,
   -6499, -6499,  2955, -6499,   383, -6499,  2104,  2969,  1944,  2964,
    2140,  1904, -6499,   979,121478,   369,  3020,114554,  5369,  2972,
    2973,  2211,  3144,  1195,  3329,  3376,  6837,   358,115131, -6499,
   -6499, -6499, -6499,121478,121478, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499,  3036,   186, -6499, -6499,  2999,  3410,
    3247,  6202,   911,  3377,  3214,  1523,  7603,  3286,  2116,  3441,
   20323,  1850,  3442,  2185,  1957,134172,146289,  3402,  3448,  6109,
    2214,   957,  3299,  1111,  3377,  3437,  3246,  1523,  3453,  5936,
  121478,  3077, -6499,  3363,  3495,   162, -6499,   829, -6499, 41919,
   55122, 77566, -6499,  2211, -6499,  2426, -6499, -6499,153375, -6499,
    3146,  3312,  1203, 87419,  3086,121478,121478, -6499, 94933, 87419,
   -6499,  3321, 75181, 87419, -6499, 87419, -6499, -6499,  3454, 94933,
  121478,121478, -6499,121478, -6499, -6499,  3090, -6499, -6499, -6499,
   -6499, -6499,  2659,121478,  3555, 94933,  3336,   453,  2084,  3592,
  121478,  3341,  2084,  3138,134749, -6499, -6499,  2084, -6499, -6499,
  121478,121478,  3101,  1744,  3330,   945,  2084,  3345,  3591,  3594,
    3351,  3193,  3352,  2841, -6499,  3557,  3328,   964,   243,  2473,
    2084,  3168,135326,135903,121478,  3170,121478,  3569, 87419,  3205,
   87419, 87419,121478,  3488,121478, -6499,  3313,115708, -6499,  3121,
    3033, -6499, -6499, -6499, -6499,  2955, -6499,  1219, -6499, -6499,
   -6499, -6499, -6499, -6499,  3505, -6499,   267,  3513,  3136,  3516,
      29, -6499,  3194, -6499,  3194,  3194,  3142,  3142,  3338,  3155,
    3534, -6499, -6499, -6499, -6499,  2694,  3194,  3142, -6499, 96089,
   -6499,  2197,  2203, -6499,   343, -6499,  3657, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499,  3160, -6499,  1448, -6499, -6499,
    2447, -6499, -6499, -6499, -6499,  3197, -6499,  3539,   370, -6499,
    3540, -6499,  3161,136480, -6499,137057,137634,  3541,   373, -6499,
  157981,  3545,   370,  3547,  3161,  3548,   370,  3549,  1038,  3550,
   -6499,  1091,  3538,  3553,   343,  3554,  2485,  3161, -6499,  3556,
     377, -6499,  3559,   397, -6499,  3563,  3404, -6499, 16384, 13091,
   -6499,  9048,  2212, -6499, -6499, -6499, -6499, -6499, -6499, 55122,
    1066,  3279, -6499, -6499,  2449,  1575,  2414, -6499,110515,  2414,
  110515,   209,  2414,110515,  2414,110515,   209,  2414,110515,110515,
  110515,  2414, -6499, -6499,   401,   421, -6499, -6499, -6499, -6499,
   -6499,110515,  3188,121478, -6499,121478, -6499, -6499, -6499,103591,
  157981,104168, -6499,121478, -6499,   494,110515, -6499,110515, -6499,
    1570, -6499,  2955, -6499,  1308, 94933,  3686,157981,  3569,  2459,
   -6499, -6499,  3569, -6499, -6499,  3569,  3569, -6499, -6499, -6499,
    3474,121478,  3561,103591,157981,  3562, -6499,138211, -6499,161047,
    3419,  3195, -6499, -6499, -6499, -6499,  2475,  3729,   280,  3730,
   55122,  3206,   280,   280,  3208,  3573, -6499, -6499, -6499,   302,
    3210,  3212, -6499,   277,   277, -6499,  3215,  3216, -6499,   279,
    3217,  3221,  3734,   282,   287,  3222,  3223,  3227,  3228,  3230,
    3232,  3234,  3235,  3236,  3248,  3249,  3252,  3253,  2694,   280,
    3255, 55122, -6499,  3256,   277,  3259,  3262,  3263,  3742,  3264,
   -6499,  3743,  3274, -6499,   264,   272,  3275,  3276, -6499,  3456,
   -6499,   304,  3278,  3280,  3282,  3284,  3287,  3289,  3290,  3291,
   55122, 55122, 55122, -6499, 46708,  2211,  1570, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499,   313, -6499,151300, -6499,  3273,
   -6499, -6499,  3462, -6499, -6499, 55122, -6499, -6499,  3648,   861,
   -6499,   314, -6499, -6499,  2211, -6499, -6499,  1262, -6499, -6499,
   -6499, -6499, -6499,  3599,  3292,  2139,  2139,   326, -6499,106476,
  106476, -6499, -6499,  2006,  3293, -6499,  1247, -6499, -6499, -6499,
   -6499, -6499, -6499,160536,  3789, -6499,   387,  1570,   829,  2434,
    3725,151833,152347,  3607,  3607,  3581, -6499, -6499,121478, -6499,
   -6499,  2211,   214,  3611,  2488, -6499,  2665, 22656,  2525,  2843,
  121478,121478,  3800, -6499, -6499,  2526, -6499,  3301, -6499,  2841,
   -6499, -6499,   118,   118, 55122,   118,  1075,  1664, 50314, 55723,
    3669,  3537,  1974,  1754,  3671, -6499,  3542,  2123,  2157,112823,
  121478,112823,138788,  3443, 55122, -6499,  2912,  3315,  2272, -6499,
   97244,  3044,  3044,  3629, -6499, -6499,  3735,106476,  3381,154915,
   -6499, -6499,121478, -6499, -6499,116285, -6499, -6499, -6499,  2726,
    3311, -6499,  3331,121478,  3916,  2612,  2612, -6499, -6499,  3332,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,  1990,121478,
   -6499,  3333,  3337,  3334,  3342, -6499, 97244, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499,  3335, -6499, -6499, -6499, -6499,
   -6499,   358,  3343, -6499,  3799,  3432,  3433,  3493, 78147, -6499,
    3436,  3401,  3438,  3498, 85107,  3353,  3444,  3445,  3502,  3641,
   -6499, -6499,  3447,  3817,  3449,146866, -6499, -6499,  1527, -6499,
   -6499, -6499,  1527, -6499,  3373, -6499,  1739,   378,  1726,  3451,
     569,  1273,  3808, -6499,  1457, -6499, -6499,  3514, -6499, 13678,
  121478,  3745,  7710,  3597,   358,  3512, -6499, -6499, -6499,  3659,
    3464,121478,  3466,  3619,   358,  1823,147443, -6499, -6499,121478,
   -6499, -6499, -6499, -6499,  3181,  3790, 44929, -6499,  2287,  3472,
    3450,  3487,121478, 97821,  2606,  3598,  3618,  1952,  2630,   863,
    3544,121478,  1102,  3628,121478,  3396,  3485,  3486,  3746,  3406,
     507,  3844,  3399, -6499, -6499, -6499,  3811,  3621,  3741,  3786,
   11656,  3473,  3475, 91465, -6499,  3499,  1461, 75777,121478,121478,
    3501,  3503,148020,  3181,  3822,104745,104745,  3504,  3507, 68139,
    3842,  2227,  3509, -6499, -6499, -6499,  2227,  3510,  3511,148597,
    3181,  3833,121478,  3517,  3519,121478, 96089,   358, -6499,  3905,
     358,   358,  2221,  3911,  3523,   400,  3696,   710,  2084,  3399,
    2508, -6499,  3525,  3566,   390, -6499,  3676,121478,  3574,  3579,
    2219,  3638,  1570, -6499,  3639, -6499,  3580,  3650,  3583,  1353,
    3101, -6499, -6499,  1695,  3564,112823,  3675,  3678,  3702,  1102,
     303,  1020,  3705,  3399, -6499,  3587,  3588,  3406,  3406,121478,
  121478,121478,121478,121478,   365,  3991,   409,  3593,   490,  1508,
    3515, -6499,  2227,156448,  3595, -6499,  2227,121478,   498,  1103,
    3399,  2266, -6499,  2205, -6499, -6499, -6499,  1464, -6499, 55122,
   55122, 55122,  3518, -6499,  2860, 22656,  1012, -6499,   316, 11464,
    3508, -6499, -6499, -6499, -6499,121478,153886, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499,121478, -6499,121478,  3821, 94933,  3823,
    3744,  3825,  3826,   358,121478,121478,  3831,  3832,  3834, 94933,
    3835,  3836,  3837,  3749,  3614,   920,  3606,  3530,  4028,  3910,
  121478, 85107, -6499,  1527, -6499, 94933,  3761,  3923, -6499,121478,
    3781,   128, -6499,  3961,  3609, -6499, -6499,  1350,121478,101860,
    3101, -6499, -6499,  3929,157981,   430,  3930,  1570,  3604,  3932,
    3782,  1570,157981,  3838,121478,121478,121478,121478,   240, -6499,
  156448,  3801, -6499,121478,  3802,  2508,  3803,  4060,  1277,  2659,
  139365,  3925, -6499,139942,  3565,121478,  3568,  3568,  4061, 94933,
     439,  3858, -6499, -6499,  3570,  3140, -6499,  3121,  3572, -6499,
   -6499,  2574, -6499,  3715, -6499, 87419, -6499, -6499, 87419, -6499,
   -6499, 94933,121478,  3575, -6499,  3576, -6499, -6499, 55122, -6499,
   -6499, -6499,  3140, -6499, 94933,  3194,  3194, -6499, -6499,  4072,
    3666,  3667,  3140, -6499,  3140, -6499, 94933, -6499,  3585,  3586,
    3140,  3672, -6499,  3677,  3140, -6499,  2476, -6499, -6499, 87419,
   87419, -6499,157981,157981,  3967,   377,  3969,  3654,  3972,  3658,
   75777, 75777, -6499,   399, 87419, -6499,157981, 87419, -6499,121478,
   -6499,121478, -6499, -6499, -6499, -6499, 94933, 94933, -6499,157981,
  156448,  3973,121478,121478, -6499,121478,121478, -6499,121478,121478,
   -6499, 21229,  2257, -6499, 13091, -6499,  2531,  3607, -6499,  2173,
  140519,  2136,  1575, -6499,110515, -6499,110515,   209, -6499, -6499,
  110515, -6499,110515,   209, -6499,110515, -6499, -6499, -6499,110515,
  121478,  4189,  3596, -6499,  1262, -6499,121478,  2541, -6499, -6499,
    2544,  1446,121478,121478,   328, 87419,121478,  3839,121478, 87419,
   87419,121478,121478,121478,121478,121478,  3687,  3293,   488, -6499,
     349,   361,112823,  3841, -6499, -6499, -6499,  3602, -6499, -6499,
    2548,  2051,    60,121478, -6499,121478,121478,121478, -6499, -6499,
  101283,  3964,   183,104168,121478, -6499, -6499, 23576, 55122, 49112,
   -6499, -6499, 22656,  3655, 55122, 55122,  3610,  3140,  3140, -6499,
     410, 55122, 55122, 55122, 46107, 55122, 55122, 50915, 55122, 55122,
   55122, 55122, 55122, 55122,  3140,  3140,  3608, 55122,  9284, 55122,
   75777, 55122, 59329, 43123, 55122, 55122, 47309,  1063,  3215, 55122,
    3866, 60531, 55122,  2434,  3870, 55122,  2434,  9284,  4134,  4134,
    1898,  2265,  7858,  3616,  2211, -6499,  3140,  1168,   580, 94933,
   55122, 55122, 55122, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, 55122, -6499,
   85107, -6499, -6499, -6499, -6499, -6499, -6499,   211, -6499, -6499,
   -6499, -6499, -6499, -6499,  8046, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,121478, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, 47910, -6499, -6499, -6499, -6499,
    3620, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499,  2562, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, 48511,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499,  3623, -6499, -6499, 55122, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499,  3709, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
    1441, 55122, 55122, 55122, 55122, 55122, 55122, 55122, 55122, 55122,
   -6499, 55122,   598, -6499, -6499, -6499,  3970,  3648,  1295,   576,
    3624,  3845,105322, 49713,  3988, -6499, 41919, -6499,   261,110515,
   -6499, -6499,  2211,  3988, -6499, -6499, -6499, -6499, -6499,  2726,
    3630, -6499,  3644, -6499, -6499, -6499, -6499, -6499,121478,  3789,
   -6499, -6499,  3716, -6499, -6499, -6499, -6499,   317, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499,  3633, -6499, -6499, -6499,
   -6499,  3633, -6499, -6499,  3607,  3636,  3980,  3981,  1038,  1990,
  121478,  2852, 55122,   211,   342,121478, 55122,  3620,  2562, 55122,
    3623, 55122,  3709, -6499, 55122, -6499,  2549,  2016,121478,121478,
   -6499,  3956, -6499,  3640, -6499, 16479,  3956, -6499, -6499, 59930,
    3774,  3940,  3872, -6499, -6499, -6499,  3653, 22656, 55122, 55122,
   -6499,  2460, 22656,  2539, -6499, -6499, -6499, -6499, -6499, -6499,
    1081, -6499,121478,  1497,  3669,  1754,  3719,  1438,  4150,  3720,
  121478, -6499, 70458,  2557,  2462, -6499,  2912, -6499, -6499,   727,
   -6499,  1805, -6499,  4231, -6499,154915, -6499, -6499, -6499,  4189,
   -6499,  3058, -6499,  3058,  4256, -6499,110515, -6499, -6499, -6499,
   -6499,   346, -6499, -6499, 13091, 13091, -6499, -6499, -6499, -6499,
   -6499,157981,121478,121478,  3879, -6499,  4138, -6499, 96089, -6499,
    3665, -6499, 95511, 90309, -6499, -6499,  1338, -6499,  1724,157981,
   -6499,121478,121478, -6499, 85107,157981,121478,121478, -6499,157981,
    3718,121478,121478, -6499, -6499, -6499, -6499, -6499,152861,   143,
  101283,  3814, 99552, -6499, -6499,  3670,121478,  3907, -6499, -6499,
  141096, -6499,  3909,157981,121478,121478, 55122,  3912,121478,121478,
   -6499,   648,  3762,  3763, -6499,121478,  3764, 87419,  3679, 94933,
   87419, 76373, 87419, 87419,  4044, 94933,121478,121478,   208,112823,
     531,  1198,  3399,  3919, -6499,  1911, -6499,157981, -6499,121478,
    3913, -6499, -6499, -6499,116862,  4170,  3809, -6499, -6499, -6499,
  149174, -6499, -6499,  3917, -6499,  2563, -6499,157981,157981,121478,
   11751,  3689,141673,121478,     9,  3989,  3941,  4000,   189, -6499,
   -6499, -6499, 94933, -6499,121478,117439,121478,121478,  3990,121478,
  109361,142250,142827,   132,   869,  3996,121478,109938,  3997, -6499,
    3865,121478, -6499, -6499, 85685,157981,121478,   967, 85107, -6499,
    3982, -6499,121478, -6499,  1067, -6499,121478,  7961,  3934,  3805,
    3812,121478,   542,  1238,  3399,  4123,121478,121478,  3717,  2564,
  157981,121478, 85107, -6499,  3948,  1683,157981,121478,116862, -6499,
    3949, -6499,112823,  4057, -6499,  3721,  2659,  2838,  2423,  3721,
  157981,121478, -6499,  3721,121478,145712, -6499,157981,  1403, -6499,
  157981,121478,116862, -6499,  3952,  3894,157981,121478, 23167, -6499,
   -6499, -6499,   358, -6499, -6499, -6499, -6499, -6499,121478,121478,
     358,121478,121478,   358,  1790, -6499,157981,121478, -6499, -6499,
   -6499,  3862,157981,121478,121478,   332,121478, -6499,121478,157981,
    3775,121478,121478, -6499, -6499,121478,  8276,121478,121478,  3731,
  121478,121478,121478,121478,121478,157981,121478, -6499, -6499,  1696,
     131,   164,  1887,   958,121478,  4077,121478,143404,  1570,157981,
  121478,121478,  1570,121478, 85107,  2191, -6499, -6499,  3874, -6499,
  157981,  1403, -6499, 11813,121478,121478,121478,  3827,  3828,   405,
    3922, -6499, -6499, -6499,  1278,  1278,  3960, -6499, 55122, 55122,
   51516,  3747, -6499, -6499, 55122,  3146, -6499, -6499, -6499,   393,
    4240,   393,143981,   393,   393,  4056,  3813,  3816,   393,   393,
     393,  4038,   393,   393,   393,121478,  3942, -6499, -6499,  3942,
    1099, 55122, 94933,121478, -6499,  2568, -6499,  3765, -6499, -6499,
   85107,121478,   276,   232,  4136,  3992, 98398,  2357,  4120,121478,
    3815,121478,  4258,  3861,  1827, -6499,  2357,121478, -6499,  2452,
  101283, -6499, -6499, -6499, -6499, -6499, -6499, -6499,121478, -6499,
   -6499,  4125,121478, 63471,  3950, -6499,  1570,  3101,  3101,  3101,
    3101,  3767,  3101,121478,  3904,  4147,  2357,  3770,  4149, -6499,
    2508,  4151,  4153,121478,  4005, 98398,  3843,  3818,  4022,  4279,
    2659,  1570,  4026,  4011, -6499, 78147, -6499,  3101,  4293, 45518,
    4558,  7016,  4013,  4079, -6499, -6499,  4023,   970,121478,115708,
   -6499,  3797, -6499,  4135,  4137,  4159, -6499,   267, -6499,  4294,
    1927,  4162, 55122,  2572,  3806,   343, -6499, -6499,  3819,  3586,
    3824,  3829,  3830,  3840, -6499,  3140, 68716,  3846,  1387,  4065,
    3847, -6499,   370, -6499,  3161, -6499,121478, -6499,121478,121478,
  121478,121478,   373, -6499, -6499,   370,  3161,   370,  1038, -6499,
    4092,   343,  3161,  3946,  4177,   377, -6499,   397, -6499,  4041,
    1038, -6499, -6499, -6499, -6499, -6499, -6499, -6499,  4059,  2659,
    2574, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499,110515,  3058, -6499,  2575, -6499,121478, -6499,  4152,  4154,
    4156,  4157,  4160,  3848,  3849,  3864,121478,  3850,  3848,   358,
    3851,  3854, -6499,  3850,  3850,  3848,  3293,  3293,  3848,  3849,
  156959,  4303, 85107, -6499, -6499,  3915,  3857,  4190,   292, -6499,
    1009,   139,  4096, -6499, -6499, -6499, -6499, -6499, 94933, -6499,
  157981,  3878, -6499, -6499, -6499,  4064,  3855,156959,  1038,   199,
   -6499, 87419,121478, 94933, 87419,  4073, 87419, 87419, 94933,121478,
  121478,  2592, -6499,  2271, -6499,  2285, 55122,   487, -6499, 17123,
    2599, 55122,  3859,  3868, -6499, -6499, -6499, -6499, -6499, -6499,
    3869,  4196, -6499, -6499,  2604,  2618, 17463,  2635, 94933,  2270,
    3867, -6499,  3871,   252,  4063,  3863,  5506,  3897,  2619,  3873,
     263, -6499,  5506,   382,  3875,  8463,  4003,  3880,  2628,  3881,
    3883, -6499,  6295,  7244,  3884, 18056,  3885,  3886,  3888,  3877,
   59329, 59329, 46708,  1172, -6499, 59329,  3891,  4082,  2629, 16541,
    3892,  3893, 17906, 52117, 55122, 52117, 52117, 19009,  3895,  3896,
   -6499,  4244, -6499,  2634, 85107,  4050, 19084,  2653, -6499, 55122,
   85107,  7299, 55122, -6499, 55122,  3900, -6499, -6499,  3158,  3158,
    3158,  9284, -6499, -6499,  3898, -6499, 59329, 59329, -6499,  2591,
   46708, -6499, -6499,  4207, -6499, -6499,   505, -6499, -6499, -6499,
   -6499, -6499,  3876, -6499, -6499, -6499,  4094,  2635,  3250, 75777,
   10575, 55122,   509, 55122,  3620, 55122,  3958,  3158,  3158,  3158,
     394,   394,   311,   311,   311,  2444,   576, -6499, -6499, -6499,
    3902,  3903,  3845,  3908, 55122, -6499,  3927, 71035, -6499,  2757,
    2762,121478, 12660, 13727, 14600, -6499, -6499, -6499, 62883,  3951,
    1012, -6499, -6499, -6499,  3951,   524,  4256,  2726, -6499,  1464,
    3140,  1168,153375, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499,121478, 22656, -6499, -6499,  4145,  3918, -6499, -6499, 55122,
   -6499, -6499,  1335,  3906,  1321,  1164,  2612,  2612,  2460,  1178,
   -6499, -6499,  3959, -6499, 55122, -6499,  2621,  2704, -6499, -6499,
   -6499, -6499,  3293, -6499,  4178, -6499, -6499, -6499, 62883,  3953,
    3965,    95, 67558,  4139, -6499,121478, 62883, -6499,121478,   200,
   -6499,  3920, -6499, -6499, -6499, -6499,  1222, -6499, -6499, -6499,
    3921, -6499,  3914, -6499,  3926, -6499, -6499, -6499, -6499,   305,
    3928,  3924,  3935,  2170, -6499, -6499, -6499, -6499, 90309,  2447,
   -6499, 95511, -6499, 95511, -6499,  2447,  4372, -6499, 90309,  2376,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499,157981,157981,  4140,121478,  4143,  4142,
   55122,  1560, -6499,  4289,  1038, -6499, -6499,  4007, -6499, 22656,
   -6499, -6499, -6499, -6499, -6499,157981,121478, -6499,161047, -6499,
   -6499, 94933, -6499, -6499,121478,121478, -6499, -6499, -6499, 94933,
   -6499, -6499, -6499,121478,   994,  4008,  4009,121478, -6499,   980,
    3676, 12436,121478,121478,121478,  4245, -6499, -6499, -6499, -6499,
    4166, -6499,  4305, -6499, 90309, -6499,  3161,  1843,  4018,  3399,
   55122,  4176, -6499,   411,121478,  3937,  3938,  4313,    46,  4268,
    3943, -6499,  4052, -6499,  4075,  1513, -6499, -6499,  4085, -6499,
   -6499, -6499, -6499,  4323,  1038,  4324,  1038,121478,121478,121478,
  121478,  4088, -6499, -6499, -6499, -6499,  4089,  4233, -6499, 85107,
   85107, 85107,  2670, -6499, -6499,  1570, -6499, -6499, -6499, -6499,
   -6499, -6499,  4288, -6499,  2671, -6499,  2222,118016, -6499, -6499,
   -6499, -6499, -6499,  4336,157981,121478, 12645,121478,121478,121478,
    4191,  2186,  1577, 94933, -6499, 92043, -6499, -6499,  2681, -6499,
    3975,121478,  4049,157981,  4025, -6499, -6499, -6499,  4341,  2659,
    4113,104745,  4014,  4014,  2437, -6499, -6499, -6499, -6499,  4251,
    4173, -6499,   418,  4174,157981,  4039, -6499, -6499, -6499, -6499,
   -6499,  4348,  4067, -6499, -6499,  4068,  1334,  3399,  2508, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,  4091, -6499,
   -6499, -6499, -6499, -6499, -6499,  1975,  1975, -6499, -6499, -6499,
    1975,  1856,   515,  1337,  3399, -6499,  2071,  2008,121478,  4069,
   -6499,  4070, -6499,  4290, -6499, -6499,  4250,  4257,  4259,  4071,
    4076,  4132,  4086,  4087,  4148, -6499,  4090,  4158,  4095,  4163,
    4098,  4408,  1038, 94933,  4247,  1570,  4146,  4383,  1038, -6499,
   -6499,  4101, -6499,  4103, -6499,  2682,  4512,  4513, -6499,121478,
   -6499,   545,  1399,  3399, -6499,  4115, -6499,157981,121478, -6499,
   -6499, -6499, 55122,  4029,  4031,  4032, 22656, 22656, 55122, -6499,
   -6499, 22656,  4035, -6499, -6499, -6499, -6499, 94933, -6499,121478,
    4337, -6499, -6499,   393,121478,121478, -6499, -6499, -6499,121478,
   -6499, -6499, -6499,  4347, -6499,   535,   535, -6499, -6499,  4385,
    8879,  4036,   481, -6499, 85107, 72200,  2559,   226,  2084, -6499,
  161047,121478,161047, -6499,   232,  4264,121478,121478,121478,  4043,
    4042, -6499, -6499, -6499, -6499,157981,  1116,157981,  3140, -6499,
   -6499,  4119, -6499,121478,  2659,   540,  4419,  3775, -6499,  4543,
    3594,   430,  2236,   289,  3193,  4479,  2841,  4062, 55122,   227,
   -6499, -6499, -6499, -6499, -6499,  2211,121478,  3818, -6499, -6499,
   -6499, -6499,  1570, -6499,  4080,  4066, -6499,121478,  4423,121478,
  121478,121478,110515,  2051,  4074,121478,  4100, 94933,121478,  2729,
    3406,  4557,  4442,  2051,  3843,  4164,  4443,112823,  2686, -6499,
    4097, -6499,   970, -6499,  2701,   228, -6499,  1570,161047, 90887,
    4430, -6499,   996,  7016, -6499, -6499,   996,  1008,121478, -6499,
   -6499, -6499, -6499,  4309,  2337, -6499,  4426, -6499,121478, -6499,
   -6499, 66977, -6499, 94933,  4102, -6499,  2719, -6499,  2728, -6499,
   -6499, -6499,  3140, -6499, -6499,  2644,  2644,  4107, -6499, 69304,
   -6499,  4108, -6499,  2504, -6499, -6499, -6499,   377,  4165,  1038,
    4169,  1038, -6499, -6499, -6499, -6499,121478, -6499,121478,156448,
   -6499, -6499,121478, -6499,  4466,  4453, -6499, -6499, -6499, -6499,
    4236,  4237,  4255,  4260,  4261,121478,  3848, -6499,  4109,121478,
  121478,157981,  2059, -6499, -6499,157981,   230, -6499,   245, -6499,
  112823,  4246, -6499, -6499, -6499, -6499,  4491,  4493, -6499, -6499,
   -6499,  1658, -6499,103591,   458, -6499,157981,  4428,  4433,  4436,
    4437,   358,  4438,  4440,  4444,  4445,  4446, -6499, -6499, -6499,
    4121, 19351, 55122, -6499,  4519, 94933, -6499,  9459, -6499, -6499,
   -6499, 55122, -6499, -6499,  4439, -6499, -6499,  4205,  4208,  4161,
    3867,  4003, -6499,  4365,  4367, 55122,  4003,  4620,   413, 55122,
   55122, 55122, -6499, -6499,  4373,  4378, 55122,  2635,  2635, 55122,
   -6499,  4167, 55122, -6499, -6499, -6499, -6499,  2660, 55122, -6499,
   55122, -6499, -6499, 43725,  4674,  4674,  4168, 94933, 59329, 59329,
   59329, 59329,  1945,  3259, 59329, 59329, 59329, 59329, 59329, 59329,
   59329, 59329, 59329, 59329,   402, -6499,  4370, 55122, 55122, 52718,
   -6499, -6499, 94933,  4171,  3895,  4172,  4175, 55122, -6499, -6499,
   -6499,  2735, 61119,  4179, 85107, -6499, 55122, 12982,  2738,  4210,
   20046,  2211, 10012,  1570, 55122,  2657,  4104, 55122,  2739, 55122,
   -6499, -6499, -6499, -6499,  4515, -6499, -6499, -6499, -6499, -6499,
   -6499,  4404,  2635, -6499, -6499, 55122,  4180,  3622, 59329, 59329,
    3656, -6499,  3708, 55122, 46708, -6499,  3960, -6499, 44327,  4183,
   55122,149751, -6499, -6499,  1612,  1612,  1612,  1612, -6499,121478,
  121478,121478,  4187, 64059,  4521,  4188, 62295,118593,  4186,  2399,
   -6499,118593,119170,118593,118593,  4184,  2211, 55122,  4510,  4182,
    4510, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499,  4192, -6499,  4185, -6499,
   -6499,   829,  4193, -6499, -6499,   305, -6499, -6499,  2051, -6499,
    4197, -6499,  3906,  1925, -6499, -6499, -6499,  1305, -6499,  4254,
   -6499, -6499, -6499,  4186, 53319,  4326, -6499, -6499, -6499,  4226,
    2744, -6499, -6499,  4615,  4326, -6499,  2919, -6499,  2751, 70458,
    3953, 55122,  2211,  3140,  4200, -6499,  3058,   524, -6499, -6499,
   -6499, -6499, -6499,  2752,  2403, -6499, -6499, 90309, -6499,  4269,
    3161,  3161,  1926,  3848,  4538,  1926, 10482, -6499,  1845,121478,
   -6499,121478, -6499, -6499, -6499,  4676,  4239,  4253,  4485, -6499,
    2964, -6499, -6499,157981,121478, -6499, -6499, -6499,   559,  1401,
    3399, -6499,  4287, -6499, -6499,  4524,121478, -6499,  4681,  4304,
  121478, 11105,  4584,  4270, -6499, -6499, 64647,121478,121478,121478,
   -6499,121478,121478,  1845,119747, -6499,  4658,  1845,  4327,  4565,
    1769,  3406,  1549,  5060, -6499,   907, -6499, -6499,  4291, -6499,
  121478, -6499,121478, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
    4354, -6499, -6499, -6499, -6499, 85685, -6499, -6499,121478, -6499,
   85107, 72200, 85107, -6499, -6499, -6499,121478, -6499,  1862,   565,
    1449,  3399, -6499,  4302, -6499,  4592,  4306,  4307,  4364,  1512,
    1734,  4310,  4312,  4368,  4225,  4227,  4229, -6499, 85107, 72797,
    4395,121478,  3161,  4235,  4281,121478,  4014,120324, -6499,  4249,
   -6499, -6499,  4014,   391,  1570, -6499, -6499,  1570,  3161,  1570,
  121478,121478,121478,121478,   332, -6499, -6499, -6499,  4715,  4349,
  121478,121478,121478,121478, -6499,  4311, -6499, -6499, -6499,  2755,
  121478,121478,  4262,  4614,   307,  2501,157981,121478,121478,157981,
  121478,121478,121478,121478,121478,121478,121478,  4480, -6499,  4711,
    4634,   508,  4680,  4338,121478, -6499,121478,  1570, -6499,  3676,
  121478,121478,121478,121478, -6499, -6499, -6499, -6499, -6499,  3960,
   -6499,  4263,  4570,   393, -6499,  4571,  4574,  4576,   393, -6499,
   -6499,  2084, -6499,   547,121478, -6499,  2800,121478, -6499, -6499,
   -6499,  4197,  2612,  2612, -6499, -6499, -6499, -6499, -6499, -6499,
    4267,121478,121478, 59329, -6499,   504,  2029,  1693, -6499,  4563,
  121478,  3456, -6499, -6499, -6499,  1501,121478, -6499, -6499, -6499,
   -6499,  4275, -6499,   129,  4074, -6499,  4596, 98398,  3161,157981,
  157981,  3161, -6499, 94933,  4276,  3818, -6499,   993,  4366, -6499,
  157981,   430,144558,  3604,  4317,  4508, 11388, 62883, 63471,  1975,
   -6499,  4283,  4284, -6499, -6499,121478,  4264,156448,  2760,  2508,
    4783,  1348,  2610,  3878,100129,  4494,  4074,  4596, -6499,  3406,
    4522,  4520, -6499,  2051,121478,  3878,  3818,  1570,121478,  4270,
   -6499,   540, 72200,  2454, -6499, 90309, 55122, 55122, -6499,  4292,
   -6499,  4296,  7016, -6499,  4371,  4295,  4791, 55122, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499,  4389,  4308,121478,121478,
     970,121478,  4828, -6499, -6499,  4315,  4162, -6499,  4162, -6499,
    4314, -6499, -6499, -6499,  2463,  1990, 69304, 69304, 69304, 69304,
   69304, -6499, -6499,121478, -6499,121478, -6499,  1038, -6499,  4448,
    1038,121478,  2051,121478,121478,121478,121478,121478,  3848,   358,
    3854, -6499, -6499,  4659,156959,  4657, -6499, 85107, -6499, -6499,
   -6499, -6499, -6499,  2768,121478, -6499, -6499, -6499,  4732,  4672,
    1038,   183,  1194,  1194,  1194,  1194,  4628,  1194,  1194,  1194,
    1194,  1194, -6499, 55122, 22656, -6499,  4319, -6499, 22656,  4708,
    4616,  4619, -6499, -6499,  4320,  4566,  4568, -6499,  4330, 55122,
    4003, 20290, -6499, -6499,  4578,  4579, -6499,  4003,  4003, 20290,
   -6499, 20290,  4331, 11807, 20841, -6499,  2776, 55122, -6499,  4058,
    4058,  4058,  4002,  4691, -6499,  3182,  4058,  4058,  4058,   544,
     544,   298,   298,   298,  4674,   402, 21078, 21688, 21944,  4335,
   -6499, -6499, -6499,  3895, -6499, 56324,   850,  4819, 60531, -6499,
   -6499, -6499,  4391,  4392,  4352, -6499, 55122, 56925,  4353, 96089,
    4575, -6499,  2072, 55122, 55122,  1946, -6499,  9594, 55122, -6499,
   -6499,  1946,   602, 55122,  4252,  4867, 55122, 55122,  4027, 12126,
    4358, -6499,  2785, 55122, 12189,  4569, -6499,121478,121478,121478,
  121478, -6499, -6499, -6499, 55122,118593,119170,118593,118593,  4362,
   61707, 66400,  2399,  4363,121478, -6499, -6499,  4369, 62883,  4673,
    4583, -6499, 62883,  4583,  2113,  4583,  4678,  4469, 71612, -6499,
   -6499,  4374, -6499, -6499,  4593, -6499,  2287, 22656,  4848,  4721,
    1570,  4721,   524,   336,  1570, -6499,  4376, 75777, -6499, -6499,
   -6499, -6499,  4468, -6499,  4612, 22656, 49713, -6499,  2051,  2433,
  121478,  2211,   836, -6499, 55122,  4390,121478, -6499,  4326, 22656,
   -6499, 13091, -6499, -6499, -6499, -6499,  4458,  2791, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499,  4470,101283,  4743, -6499, -6499,
    2087,  4713,   511, -6499,  1038, -6499, 94933,121478,121478,121478,
    3353, -6499, -6499,121478,121478,121478,121478, -6499, -6499,157981,
  121478, -6499, -6499,121478, 55122,  2794, -6499,  4431,  4844,   417,
    2795, -6499,  2799,  1845, -6499,  2802, -6499, -6499,120901, -6499,
    4264,   332,   504,  4729,  4730,  4629, -6499,   358, -6499,  4889,
     504,  4633,   332, -6499, -6499, -6499, -6499,  2928, -6499, 94933,
    1038,  1038, -6499, -6499, -6499, -6499, -6499,  4406, -6499,  4877,
    4501,121478,121478,121478,121478,121478,157981,121478,121478,  3140,
    3140, 94933,  4402, -6499,  3140,  3140,  4403, -6499,157981,121478,
  121478, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499,  4498, -6499, 55122,  4870, -6499, -6499, -6499, -6499,
   -6499, 55122, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499,157981,121478,  4499, -6499,  4500, -6499,  1041,  4727,
   -6499, -6499,  4621,121478,121478,121478,121478,  4796, -6499, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,  4795,
  121478, -6499, -6499,  1570,  1570, 94933,  1038,  1038, -6499, -6499,
   -6499,  4509, -6499, -6499,  4420,  4741,   393, -6499,   393,   393,
     393, -6499,  4432, -6499,  2084,  4839, -6499,  1845,  2283,  4790,
   -6499, 55122, -6499,  1535,  4002, -6499,  4850,  4934, -6499, -6499,
   -6499, -6499,  3775,  2659,  3775, -6499, -6499, 87419,   480, -6499,
    4774,   276, 85107,  4675, 98398,  2071,  2187,  4441,  4580, -6499,
    3161,  3161,  4505,121478,  4942, -6499, -6499, -6499, -6499, -6499,
   -6499,157981,  4025, -6499,  4689,  1494,  4809,121478, 63471, -6499,
    4186, -6499, -6499, -6499,  1570, -6499, -6499,  4585,  3818, -6499,
    4833,121478,  4688, 98398,  3878, -6499,  2811, -6499, -6499, -6499,
    4502,  4933,  3843, -6499,  2071,  4494, -6499, -6499,  4914,  4564,
    4511,  4970, -6499,  4564,  4835,  4702,  4478, -6499,  4097, -6499,
  121478, -6499, 22656, 22656,  1570, 96667,   996, 94933,  4846, -6499,
   22656,121478,   952,  4477,  4656, -6499,  4810,121478, -6499,  1038,
    2820, -6499, -6499, -6499,  4487,  2450,  2450, -6499, -6499, -6499,
    1038,  1038, -6499,121478, -6499,  3848,  3848,  3848,  3848,  3848,
   -6499,  4714, -6499, -6499, -6499, -6499,  4802, -6499,156959, -6499,
    1038, -6499, -6499, -6499, -6499, -6499, -6499,  1194, -6499, -6499,
   -6499, -6499, -6499, 22656, -6499,121478, -6499, -6499, -6499, -6499,
   -6499, -6499,  3640,  4490, 55122,  1107, -6499, -6499,  4492,  4495,
    4003,  4003, -6499, -6499, 55122, -6499, 12374, 59329,  4852, -6499,
   55122, 55122, 55122, -6499,  4497,  2825,  2826, -6499, -6499,   850,
   -6499,  4819, -6499, -6499, -6499, 12909,  4549, 22656,  4613,  4503,
    1026,  1946,  1946,  9594,  1946, 55122, 55122,  1946,  1946, 55122,
   -6499, -6499, -6499, 13412, -6499,  4975,  3960, -6499, -6499, -6499,
   -6499,  4506, -6499, -6499, -6499, -6499, 86263,  4516,  4050,118593,
    4517,121478,  2399, 62883, -6499, -6499,  2415, -6499, 62883,  4808,
   -6499, 62883, 87419, -6499,121478,  4523,121478, -6499,  1852, 55122,
    4545, -6499,  4545, -6499,  2612, -6499, -6499, -6499, -6499, -6499,
    4646,  4504, -6499,110515,   927, -6499,    95, -6499, -6499,  4949,
   64647,  4907, 22083, 55122, -6499, -6499, -6499, -6499, -6499,156959,
    4739,156959,  1845, -6499, -6499, -6499, -6499, -6499, -6499,  4525,
   -6499, -6499, -6499, -6499,  4607, -6499, -6499,    97,  3841,  1845,
   -6499, 14002,  4854, 64647, 76969,121478, -6499,121478, -6499,  4687,
    4854,  4854, -6499, -6499, -6499, -6499,  5019,  4902,  4903, -6499,
   -6499,  4527, -6499, -6499, -6499,  4711, -6499, -6499, 72200,157981,
  121478, -6499,  4617, -6499, -6499, -6499, -6499, -6499, -6499, 65823,
   75777, -6499,  1512,  4528,  4529,  1734, -6499, -6499, -6499,121478,
   14052,  4531, 14430,  1602,  3841,121478,121478,  4532,  4533,  4535,
  121478,121478,  2829, -6499,  1966,  1703,  2190,  3848,  4900,121478,
   -6499, -6499, -6499,  4711, -6499, -6499,121478, -6499,   393, -6499,
   -6499, -6499, -6499, 85107, -6499,  2724,  4432,  1570, 87419,  5034,
    5034, 14804,  4777, -6499, -6499,   178,  4602,  4812,  4602,  4544,
  121478,  1501,  4546,  2833, -6499,121478,  4542,  4683,  1895,  1895,
  121478,121478,121478,  2844,  2051,  3161,  4281,   430,  4923, 98398,
    4971,  4264,   248, -6499,121478,  5045,110515,  2051,  4074,121478,
    4550,  1066, -6499,100129,  4773,  2559,121478,  2729,  4494,  3843,
    1774,121478, -6499,  1656, -6499,  2051, -6499,121478,112823, 64647,
    4910, -6499, 95511, -6499,  2848, -6499, -6499, -6499,  4630, 18743,
    3951,  4679,  4682,  4554,  2395,  4922,121478,  1265, -6499,  4581,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499,121478,   458, -6499,
   -6499, -6499, -6499,  4561, -6499,  5057, 55122,   407, -6499, -6499,
   -6499, -6499, -6499,  4792, -6499,  4572, -6499, -6499,  2901,  1107,
   22543, -6499,  4600, 59329, 22656, 22656, 22656, 55122, -6499, 55122,
   -6499, -6499, -6499, -6499,  1049, -6499, -6499,  4899,  4573,  1946,
    1946,  1946, -6499, 55122,  1623, 55122, -6499,  2858,  5069, 58728,
    5031, -6499,121478,  2861, -6499, 55122,  4582, -6499, -6499, 62883,
    2415,  4586,  2868,121478,  2875, 94933, 57526, 22656,121478, -6499,
   -6499, -6499, -6499,   448,  5002, -6499, -6499, -6499,  4638,121478,
    2876, -6499,   908,  2096,  1653, -6499,  5083,  5083, 22656,  2059,
    1926,   406, -6499,121478,  4694, -6499,  4844,  4598,  3775, -6499,
    4599, -6499, -6499,   466,  3406,121478,  3775,  3775,  2559,  4941,
   -6499, -6499, 55122,  4663, -6499,  1610,  3841,121478, 94933, -6499,
     194,  4967, -6499, 94933, 94933, -6499, -6499, -6499, 55122, -6499,
    4701, -6499, -6499, -6499, 55122, 55122,161558, -6499,  2071, -6499,
    4621, -6499, -6499,121478,121478,121478,121478,121478, -6499,  1038,
   -6499, -6499,  2879, -6499,150265, -6499, -6499,  3592,  1570,  3592,
    2005, -6499, -6499,  3592,  3592, -6499,  3951, -6499,  5034,   451,
   -6499, -6499,  4855,  4605, 55122,  4936, -6499,  1306,  4836, -6499,
    4609, -6499, 87419,  5141, -6499, 85107,  4074,  4596,121478, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -6499,  2886,  4264,  4984,  3818,  4511, -6499,121478,  4653, -6499,
   62883,  4264,  2051,  2610,  3878,  4494,  4074,  4596, -6499, -6499,
   -6499,  4624,  4520,  3843,  2729,  4765, -6499,  4775, -6499,  5089,
    4851,  5093,  3878, -6499,  4270,  2889,121478, -6499, -6499,  7016,
   96667, 94933, -6499, -6499, -6499,  4627,  5032,  4677,  4684, -6499,
   -6499, -6499,  2395, -6499,  1882,  5026,  4686, -6499,  4693,121478,
   -6499, -6499,  2932,  5161,  4264,  1038, 55122, 85107, 22656, -6499,
   -6499,  5030, -6499,   322,   296,   273,  4874,  4639, 55122,  4600,
    2900,  2903,  4705, -6499, -6499, -6499,  3895, 53920, 53920, 53920,
    4648, 22610,  4184, 86263,  4650, -6499, 59329,  2907, -6499,  1158,
  121478,  2917, -6499, 22656,121478, -6499, -6499, 55122, -6499,  2947,
   -6499,  4651,  1365,  4652, 42521,  4655, -6499, -6499, -6499, -6499,
   -6499, 22656,  4660, -6499,  5150,  5023,  5027,121478, -6499,  2051,
   -6499,  3951, 64647, -6499,  4797, -6499,  4932, -6499, -6499, 55122,
    4760,  4766, -6499,  5036, -6499, -6499,121478, -6499,121478,  4602,
   75777,  3906,   466,  2659,  4602,  4602,  4605, 14974, 55122, -6499,
    4778, -6499, -6499,  2948,  2023,  4853,  4853,  2952,  2956, 15041,
  121478,  2960,  2961, -6499,  2976,  3140, -6499, -6499,  3849,  2190,
    3849, -6499,  3848, -6499, -6499, 85107, -6499, -6499,157470, -6499,
   -6499, -6499,  1570, -6499,  1570,  4920, 79309, 79890,  1570,  1570,
   -6499, -6499, -6499, -6499,  5010, -6499,  2508, -6499, 15141,  4782,
   -6499, -6499, -6499,   577, -6499,  4916,  4918, -6499,  4698, -6499,
    2979, -6499,  2071,  4823,  4264, -6499, -6499,121478,  5191,  5196,
   -6499,  1518,121478,  4186, -6499,  4511,  3878, -6499,  3843,  2071,
    4494,  2559, 65235,  4564,  2729,  4520, -6499, -6499,  4924, -6499,
    4925, -6499,  4703,  5035, -6499,  2210,   996, -6499, -6499, -6499,
     424,  5065,  5067, -6499, -6499, -6499,  3592, -6499,  2061,  4704,
    5091, -6499, -6499, -6499, -6499, -6499,121478, -6499, -6499, -6499,
   -6499, -6499,  4752,   323,   334, -6499,  4754, -6499,  4898,  4904,
    1107,  2590, -6499, 22656, -6499, -6499, -6499, 58127,  4868,  1594,
   16621,  5102, -6499,  5102,  5102, -6499,121478,  4927, -6499, -6499,
  121478,  4002,  4722, 58728, 85107,  2983, -6499, 92621, -6499,  2984,
    2989, -6499, 55122,  4726, 55122, -6499, 57526,121478,  4728,  5206,
    5207,  1631, -6499, -6499, -6499, 70458,  5208, 22656,   552,   375,
  156959,  3841,  2990,  4014,  4733, -6499,  3906,  4812, -6499, -6499,
   -6499, -6499, 22656,121478, 87419,  5209, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499,  3841,  4822, -6499, -6499,161558, -6499,121478,
   -6499, -6499,  2993, -6499, -6499, -6499, 80471, -6499,  4477, -6499,
    4477, -6499, -6499, -6499,  2512,  4847,121478,   899,   899,  5147,
   -6499,  4804, -6499,  4737, -6499,  5268,  4878,121478, -6499, -6499,
    1512,  2051, 98398,  4264, -6499,  1066,  2729,  4494,  3843, 55122,
    3001, -6499,  4844,   417, -6499,  4520,  4564, -6499, -6499, 64647,
    4744,  3456,  5135, -6499, -6499, -6499,  1851, 87419, 87419,121478,
   -6499, -6499, -6499, 55122,  1501, -6499, -6499,  4784, -6499,  4785,
   -6499, -6499,  4974,  4976,  4742,  1107, -6499,  5248, -6499, -6499,
   -6499, -6499, -6499,   987, -6499, -6499, -6499, -6499,  5204,  3004,
   60531, -6499, -6499, -6499,121478,  4972,  1672,  5252,  4929,  3005,
   57526,  3008, -6499, -6499, -6499,121478,121478,121478,  1949,  2246,
   -6499,  4993,  4890, -6499, -6499,  4998,   260, -6499,   406, -6499,
   -6499, -6499, -6499, -6499,  4836,  1845,  1845,  3841, -6499,121478,
   -6499,  4758, -6499, -6499, -6499,157470, -6499,  4477, -6499, -6499,
   -6499, -6499,  5274, -6499,  1437, -6499, -6499, -6499, -6499,121478,
    4264,  4402,  4511, -6499, -6499,  4520,  3843,  2729, 15392, -6499,
   65235,121478,121478,  4564, -6499,  3012, 64647,  3818,  4919, -6499,
    1813, -6499, -6499, -6499, -6499, -6499, -6499, -6499,  1047,  4768,
    4776, -6499, -6499, 15733, 87419, -6499, -6499,  4928,  4943, -6499,
    4996, 54521,  4931, -6499,  4997, -6499,  4794, -6499,  4050, -6499,
   -6499, 59329,  5015, -6499, 59329,  1672, -6499, 59329,121478, -6499,
    4798, -6499, -6499,  3015, -6499,  1725,  1749,  2218, -6499, -6499,
   -6499, -6499, 70458, -6499,  4838,    95,  4799,121478, -6499, -6499,
    1845, -6499, -6499, -6499, 55122, -6499, -6499,  2659,  2659,  4264,
   -6499, -6499,  4564,  2729,  4520,  4844, -6499, -6499, -6499, -6499,
    5035, -6499,  3025,  4564,  4686,  2148, -6499, -6499,  2237,  2854,
    4882,  5158, -6499,  4801,  4911,  4912,  5190, -6499, -6499, -6499,
  145135,  5261,  4002, -6499,  4002, -6499,  4002, -6499, 55122, -6499,
  121478,121478, 86841,121478,  4805, -6499,  4869, 55122,  3026,  1845,
    3034, -6499, -6499, -6499, -6499,  4520,  4564,121478,  3456, -6499,
   64647,  3951,  5193, -6499,  1813,  4935,  4938, 84529, -6499, -6499,
   -6499,  1061,  3038, -6499, 93199,121478, 15981, -6499, -6499,  5340,
     319,  5231, -6499,  4875,  3041,  1303, -6499,  4564, -6499, -6499,
    3818, -6499, -6499,  1501, -6499,  4865,  4871,  3046, -6499, -6499,
   -6499, -6499, -6499, -6499,  1570,  1107,145135,  5044,   221,  3049,
   -6499, 55122, 86841, -6499, -6499,    95, -6499, -6499,  4564, 87419,
    5181,  5185, -6499, 84529,  2554,  4830, -6499, -6499,  5037,  1570,
    2901,  5037, -6499,  1278,  4895,  4894,  3951,  4840, 87419, 87419,
   -6499,121478,  4842, -6499,  1107, -6499,   273,  2901,  4837,121478,
    4875, -6499, 84529, -6499, -6499,  5293,145135, -6499,  1107,   273,
    1570, -6499, -6499,  3050,  4843,  3053, -6499,  1107, -6499,145135,
   -6499, -6499,  3054, -6499
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    3402,     0,     2,     1,  3837,  3841,  3845,  3846,  3768,  3847,
    3848,  3813,  3814,  3815,  3816,  3817,  3818,  3819,  3820,  3821,
    3822,  3823,  3824,  3826,  3825,  3827,  3828,  3829,  3830,  3831,
    3832,  3833,  3834,  3836,  3835,  3786,  3409,  3785,  3782,  3783,
    2451,  3850,  3838,  3851,  3839,  3840,  3842,  3843,  3812,  3844,
    3852,  3853,  3854,  3849,  3857,  3808,  3809,  3807,  3810,  3811,
    3855,  3856,  3799,  3800,  3801,  3802,  3858,  3410,  3411,  3804,
    3403,  3407,  3472,  3552,  3805,  3806,  3803,  3408,  3798,  3552,
       0,     0,  3604,  3566,     0,     0,     0,  3551,  3528,  3534,
    3657,     0,  3499,  3500,  3496,  3498,  3497,  3501,  3484,  2013,
    1481,   680,  1570,  1569,     0,  1481,     0,   282,     0,  1581,
       0,  1481,   455,  1138,  3426,     0,  3511,     0,     0,     0,
     680,  1481,     0,     0,  1740,     0,  3509,     0,     0,  2013,
       0,     0,  1754,     0,     0,  3510,     0,     0,     0,  1278,
       0,     0,     0,  1481,     0,     0,  1761,     0,     0,     0,
    3513,     0,  3512,  1754,  3653,  3529,     0,  1583,     0,  3508,
       0,     0,     0,     0,     3,    38,    73,    74,    31,    30,
      91,    56,    17,    64,   126,   125,   127,    43,    39,    81,
      26,    28,    40,    44,    66,    68,    33,    57,   103,    65,
      24,    63,    69,    89,    51,    12,    13,    52,    14,    53,
      15,    54,    99,    75,    92,    36,    62,    23,    45,    71,
      72,     5,    47,    79,    11,    58,    59,    61,    84,    85,
      86,   109,    87,   121,    42,   118,    96,    97,   115,    98,
     116,     9,   100,    55,    16,   112,   111,   113,    82,    48,
      83,    70,    90,   110,    27,   114,    18,    19,    21,    22,
      20,    60,    29,    67,    32,    88,   117,   107,   102,   122,
     120,     4,   128,   104,    76,     7,     8,    93,     6,    25,
      50,    10,    35,    34,    49,    41,   124,    37,  1581,    95,
     108,    94,   101,    80,   105,   123,   106,    78,   119,  1716,
    1703,  1763,  1707,  1739,     0,  1719,    46,  1740,   130,   131,
     132,   137,  3406,  3461,  3462,  3463,  3552,  3494,  3495,  3488,
    3504,  3523,  3503,  3516,  3524,  3502,  3530,     0,   134,   136,
     138,   141,   135,   129,   133,   140,   145,   139,   144,   142,
     143,   146,   147,   148,    77,  3479,  3478,     0,  3552,     0,
    3779,  2469,  2470,  2471,  2472,  2473,  2474,  2475,  2476,  2477,
    2478,  2479,  2480,  2481,  2482,  2483,  2485,  2484,  2486,  2487,
    2849,  2488,  2489,  2490,  2789,  2790,  2850,  2791,  2792,  2491,
    2492,  2493,  2494,  2495,  2496,  2497,  2498,  2499,  2793,  2500,
    2501,  2502,  2503,  2504,  2794,  2851,  2505,  2506,  2507,  2508,
    2509,  2510,  2852,  2511,  2512,  2513,  2514,  2515,  2516,  2517,
    2518,  2519,  2853,  2520,  2521,  2458,  2854,  2459,  2522,  2523,
    2524,  2525,  2526,  2795,  2796,  2527,  2528,  2529,  2530,  2531,
    2532,  2533,  2534,  2535,  2536,  2537,  2538,  2539,  2540,  2541,
    2542,  2543,  2544,  2545,  2546,  2547,  2548,  2549,  2550,  2551,
    2552,  2553,  2554,  2555,  2556,  2797,  2557,  2558,  2559,  2560,
    2798,  2561,  2562,  2563,  2564,  2799,  2565,  2566,  2567,  2568,
    2855,  2856,  2569,  2570,  2571,  2572,  2573,  2800,  2801,  2574,
    2575,  2576,  2577,  2578,  2579,  2857,  2580,  2581,  2582,  2583,
    2584,  2585,  2586,  2587,  2588,  2589,  2590,  2591,  2592,  2858,
    2802,  2593,  2594,  2595,  2803,  2804,  2596,  2859,  2860,  2597,
    2861,  2805,  2806,  2807,  2808,  2809,  2810,  2811,  2812,  2813,
    2814,  2815,  2598,  2599,  2600,  2601,  2602,  2603,  2604,  2605,
    2816,  2862,  2606,  2863,  2607,  2608,  2609,  2610,  2611,  2612,
    2613,  2614,  2615,  2616,  2617,  2618,  2619,  2817,  2620,  2621,
    2622,  2623,  2624,  2625,  2818,  2864,  2819,  2626,  2627,  2628,
    2629,  2630,  2631,  2632,  2633,  2820,  2821,  2634,  2635,  2636,
    2865,  2637,  2822,  2638,  2823,  2639,  2640,  2641,  2642,  2643,
    2644,  2645,  2646,  2647,  2648,  2649,  2824,  2866,  2650,  2867,
    2825,  2651,  2652,  2653,  2654,  2655,  2656,  2657,  2658,  2659,
    2660,  2661,  2662,  2663,  2664,  2665,  2826,  2666,  2827,  2669,
    2667,  2668,  2670,  2671,  2672,  2673,  2674,  2675,  2676,  2677,
    2678,  2679,  2680,  2828,  2681,  2682,  2683,  2684,  2685,  2686,
    2687,  2688,  2689,  2690,  2691,  2692,  2693,  2694,  2695,  2696,
    2697,  2698,  2699,  2868,  2700,  2701,  2702,  2703,  2704,  2829,
    2705,  2706,  2707,  2708,  2709,  2710,  2711,  2712,  2713,  2714,
    2715,  2716,  2717,  2718,  2460,  2719,  2720,  2830,  2721,  2722,
    2869,  2723,  2724,  2831,  2725,  2727,  2726,  2728,  2729,  2730,
    2731,  2732,  2733,  2734,  2735,  2736,  2737,  2738,  2739,  2740,
    2741,  2832,  2742,  2743,  2744,  2745,  2870,  2746,  2747,  2748,
    2749,  2750,  2751,  2752,  2833,  2834,  3426,  2753,  2754,  2835,
    2755,  2836,  2756,  2757,  2758,  2759,  2760,  2761,  2763,  2762,
    2764,  2765,  2766,  2767,  2768,  2769,  2770,  2771,  2772,  2773,
    2774,  2837,  2775,  2871,  2776,  2777,  2778,  2779,  2780,  2781,
    2782,  2783,  2784,  2785,  2786,  2838,  2839,  2840,  2841,  2842,
    2843,  2844,  2845,  2846,  2847,  2848,  2787,  2788,  3444,  2456,
    2457,  2464,  2465,  2466,  3419,  3440,  3446,  3775,  3445,  2463,
    3603,     0,     0,  3674,  3675,  3696,  3676,  3677,  3678,  3697,
    3698,  3679,  3680,  3681,  3682,  3683,  3684,  3685,  3686,  3687,
    3699,  3688,  3689,  3690,  3691,  3692,  3693,  3694,  3695,  3700,
    3701,  3750,  3751,  3752,  3753,  3754,  3756,  3755,  3565,  3723,
    3759,  3564,  3760,  3568,  3761,  3762,  3763,  3764,  3724,  3765,
    3567,  3757,  3720,  3569,  3562,  3563,  3721,  3672,  3673,  2431,
    3722,  3719,  3758,  3447,  3718,  3573,  3572,  1692,  3774,  1693,
       0,  3575,  3702,  3703,  3704,  3705,  3707,  3706,  3708,  2872,
    2873,  2874,  2875,  2876,  2877,  2878,  2879,  2880,  2881,  2882,
    2883,  3733,  2884,  2885,  2886,  3749,  2887,  2888,  3734,  2889,
    2890,  2891,  2892,  2893,  2894,  2895,  2896,  2897,  2898,  2899,
    2900,  2901,  2902,  2903,  2904,  2905,  2906,  2907,  2908,  2909,
    2910,  2911,  2912,  3735,  3736,  2913,  2914,  2915,  2916,  2917,
    2918,  2919,  2920,  2921,  2922,  2923,  2924,  2925,  2926,  2927,
    2928,  2929,  2930,  2931,  2932,  2933,  2934,  2935,  2936,  2937,
    3737,  2938,  2939,  3738,  2940,  2941,  2942,  3739,  2943,  2944,
    2945,  2946,  2947,  3743,  3744,  3745,  3746,  3747,  3748,  3732,
    3526,  3709,  3731,  3740,  3741,  3742,  3536,  3532,  3540,  3535,
       0,     0,     0,     0,  3552,  2002,  2003,  2004,  2001,  2014,
    2000,     0,  3467,  2005,  3515,  1480,  1479,  1494,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   679,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3416,     0,  1491,   159,     0,  3727,
    3721,  3730,     0,  2434,  3722,  3719,  3718,   425,   424,  1580,
       0,  1559,   680,     0,  1494,   454,  1740,     0,     0,     0,
       0,     0,     0,   897,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   151,     0,   153,     0,
       0,   479,   478,     0,     0,  1110,   484,     0,     0,     0,
       0,     0,   670,  3425,  3420,  3430,     0,  3423,  3424,  3718,
       0,  3861,  2667,  3456,  3457,  3859,     0,  2732,  1694,  1692,
    3774,     0,   283,   286,   287,   284,   285,     0,  1250,  1251,
    1253,     0,     0,  1263,   937,   938,     0,     0,     0,   951,
       0,     0,     0,   935,     0,     0,     0,   957,     0,   954,
       0,     0,   958,   955,   932,   956,   939,     0,   931,     0,
       0,  1263,   959,     0,     0,   933,     0,     0,     0,     0,
    1494,     0,  3518,  3519,  2580,  1620,   485,     0,     0,  1740,
       0,  1604,  1605,  1581,  1593,  1606,  1598,  1600,  1599,  1601,
    1602,  1597,  1603,  2471,  1034,  2488,  1034,  2568,  1031,  1032,
    1034,  1034,  1034,  2688,     0,     0,  1006,     0,  1017,  2452,
    1034,  2453,  3775,  1039,  2479,   564,   564,   564,     0,  1038,
    1043,   564,     0,  3514,  1462,  1503,  2433,  1753,     0,  2488,
    2568,  1007,  1461,     0,  2753,  1610,     0,     0,     0,     0,
    2707,  1471,   267,  3716,  2718,  2833,  2753,  3717,   266,   261,
     262,  3711,  3712,  3714,   235,  3715,  3713,  3710,     0,     0,
    1038,   564,     0,  1494,  1469,  1003,  1760,  1758,     0,  2418,
       0,     0,  2498,     0,  2514,  2609,   258,  2700,  2709,  2718,
    2833,  2753,  2786,   214,   224,   219,     0,   276,  2718,  2833,
    2753,     0,  1491,     0,  1720,  1869,  1868,  2427,     0,     0,
    3527,  1464,  1463,  1582,     0,  1585,     0,  2683,  1724,  1727,
    1587,  1725,  1716,     0,     0,  3405,     0,  1592,  1757,  1757,
       0,  1757,     0,  1708,  1716,  1711,  1715,     0,     0,     0,
       0,     0,  1481,     0,  3486,  3523,  3493,  3558,  3490,     0,
       0,  3548,  3544,  3541,  3549,  3550,  3543,  3531,  3473,     0,
    3481,  3480,  3787,  3788,  3605,  3418,  3437,     0,     0,     0,
       0,     0,     0,     0,  3574,  3576,  3578,  3538,  3537,  3533,
       0,     0,     0,  3663,  3664,     0,  3662,     0,  3659,  3661,
       0,  3558,     0,     0,     0,     0,     0,     0,     0,     0,
    3464,   664,  3466,   661,     0,  1465,     0,     0,     0,   962,
       0,  1506,  1095,     0,     0,     0,     0,     0,  1347,     0,
    1146,  1147,     0,  2456,     0,  2579,  1347,     0,     0,  2261,
    2272,  2273,  2274,  2502,  2561,  2269,  2270,  2271,  2263,  2264,
    2265,  2266,  2267,  2268,     0,     0,  1245,  2262,     0,  2579,
       0,  1347,     0,   186,     0,   163,  1347,     0,     0,  2579,
       0,     0,  2579,     0,     0,     0,     0,     0,  2579,     0,
       0,     0,     0,     0,   186,  2614,     0,   163,  2579,     0,
       0,     0,  1485,     0,     0,     0,  1487,  1490,  1477,     0,
    2342,     0,  2343,  2435,  1574,     0,  1573,  1567,  1577,  1572,
    1562,     0,  2427,     0,     0,     0,     0,   945,     0,     0,
     935,     0,     0,     0,   946,     0,   947,   948,     0,     0,
       0,     0,   944,     0,  1475,  1467,     0,  1612,  1614,  1613,
    1615,  1611,   564,     0,     0,     0,  2579,     0,   163,  1545,
       0,  2579,   163,     0,     0,   483,   482,   163,   481,   480,
    2502,  2561,     0,  1137,     0,  1220,   163,  2579,     0,   207,
    2579,   739,  2579,  1587,   152,     0,   683,     0,   851,  2614,
     163,     0,     0,     0,     0,     0,     0,   155,     0,     0,
       0,     0,     0,     0,     0,   669,   680,     0,  3429,  3435,
       0,  3427,  3606,  3862,  3860,  3466,  3561,     0,  3458,  1254,
     259,   260,  1252,   949,  2579,  1179,   158,     0,     0,  2579,
     163,  1962,  1991,  1969,  1991,  1991,  1958,  1958,  2542,  1971,
    2579,  1959,  1960,  1996,  2016,     0,  1991,  1958,  1963,     0,
    1961,  1999,  1999,  1986,   158,   966,  1941,  1942,  1943,  1944,
    1972,  1973,  1945,  1978,  1979,  1983,  1946,  2013,  1949,  3728,
    1958,  3729,  3726,  3725,   950,     0,   936,  2579,   158,  1143,
    2579,  2461,   196,     0,   934,  2502,  2561,  2579,   158,  1247,
       0,  2579,   158,  2579,   192,  2579,   158,  2579,   158,  2579,
     684,     0,     0,  2579,   158,  2579,  2614,   194,   953,  2579,
     158,   960,  2579,   158,  2429,  2579,     0,  1478,     0,     0,
    3792,  3796,     0,  3794,  3789,  3517,  3571,  3570,  3460,     0,
    3873,     0,  1694,  1595,     0,  1740,  1034,  1033,     0,  1034,
       0,  3883,  1034,     0,  1034,     0,  3883,  1034,     0,     0,
       0,  1034,  2454,  2455,     0,     0,  3882,  3878,  3881,  1008,
    1018,     0,  1040,     0,  1048,     0,  1047,  1046,  1045,     0,
       0,     0,  1049,     0,  1873,  1647,     0,  1015,     0,  1013,
       0,  1459,  3466,  1474,     0,     0,     0,     0,   155,     0,
    1276,  1273,   155,  1275,  1274,   155,   155,  1470,   265,   263,
       0,     0,     0,     0,     0,     0,  1476,     0,  1468,     0,
       0,     0,  3781,  3784,  2275,  3780,     0,  2790,  2791,  2792,
    2334,     0,  3723,  2793,  2794,  2851,  2149,  2135,  2144,  2150,
    2136,  2138,  2145,  2795,  2796,  2084,  2797,  2798,  2447,  2799,
    2800,  2801,  2803,  2804,  2805,  2806,  2807,  2808,  2809,  2810,
    2811,  2812,  2813,  2815,  2816,  2140,  2142,  2817,  2818,  2819,
    2821,     0,  2448,  2822,  2823,  2645,  2825,  2826,  2828,  2829,
    2146,  2831,  2832,  2147,  2833,  2834,  2835,  2836,  2446,   527,
    2148,  2837,  2839,  2840,  2841,  2842,  2844,  2845,  2846,  2847,
       0,     0,     0,  2424,     0,  2113,     0,  1950,  1951,  1974,
    1975,  1952,  1980,  1981,  1953,     0,  1954,  2423,  2017,  2220,
    2112,  2130,     0,  2118,  2119,     0,  2111,  2107,  2222,  1743,
    2419,     0,  2108,  2436,  2335,  2450,  2449,  3775,  2345,  2439,
    2437,  2438,  2440,  1743,  2417,     0,     0,     0,   227,     0,
       0,  3652,   278,     0,   279,  2425,  2718,   215,   257,   229,
     256,   230,   228,     0,  2500,   216,     0,     0,   217,     0,
       0,     0,     0,     0,     0,     0,   272,  1466,     0,  1871,
    1870,  2428,   971,     0,     0,  1584,  1581,  2285,     0,  1726,
       0,     0,     0,  1706,  1705,     0,  1589,  1591,  1565,  1587,
    1755,  1756,     0,     0,     0,     0,     0,     0,     0,     0,
    1813,  1771,  1772,  1774,  1810,  1814,  1822,     0,  1712,     0,
       0,     0,  1875,     0,     0,  3404,  3558,  3559,     0,  3553,
       0,  3552,  3552,  3546,  3545,  3542,     0,     0,  3439,     0,
    3443,  3441,     0,  3598,  3601,     0,  3599,  3600,  3602,     0,
    3607,  3608,     0,     0,     0,     0,     0,  3589,  3577,  3584,
    3586,  3588,  3587,  3596,  3592,  3595,  3597,  3539,  3552,     0,
    3665,  3671,  3668,  2516,     0,  3660,     0,  3470,  2007,  2008,
    2009,  2010,  2011,  2012,  3471,     0,  3468,  2006,  3469,   662,
     663,     0,     0,  1492,     0,     0,     0,     0,     0,  1178,
       0,     0,     0,     0,     0,   963,     0,     0,     0,     0,
    1514,  1515,  1516,     0,     0,     0,  1517,  1518,  1506,   269,
    1525,  1522,  1505,  1507,  1520,  1512,     0,     0,     0,     0,
       0,     0,     0,  1537,     0,   200,   201,     0,   696,   680,
       0,  2579,     0,     0,     0,     0,  1188,  1195,  1346,     0,
       0,     0,     0,     0,     0,     0,     0,  1189,  1187,     0,
    1190,   271,  1200,  1227,  1230,     0,     0,  1145,  1148,     0,
       0,     0,     0,     0,  1337,     0,     0,     0,  1337,     0,
       0,     0,  1346,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   294,   296,   309,   380,     0,     0,     0,  2579,
    1347,     0,     0,     0,  1249,     0,     0,     0,     0,     0,
       0,     0,     0,  1230,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   161,   162,   167,     0,     0,     0,     0,
    1230,     0,     0,     0,     0,     0,     0,     0,   647,   660,
       0,     0,     0,     0,     0,   657,     0,     0,   163,   299,
     637,   643,     0,     0,     0,   746,   745,     0,     0,     0,
       0,     0,     0,  1435,     0,  1434,     0,     0,     0,     0,
       0,  1535,  1534,     0,     0,     0,     0,     0,     0,     0,
    1337,     0,     0,   288,   290,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     417,   418,     0,     0,     0,   167,     0,     0,  1337,     0,
     301,     0,  3474,     0,  1486,  1483,  1484,     0,  1489,     0,
       0,     0,     0,  2121,     0,  2289,  1763,  2287,  1163,  2341,
       0,  2338,  2337,  2432,  2344,  1557,     0,   246,   247,   245,
    1575,   248,  1576,  1571,     0,  1558,     0,     0,     0,     0,
       0,     0,     0,     0,  2502,  2561,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   859,  1506,  1544,     0,     0,     0,   689,     0,
    2579,     0,   165,   898,     0,   849,   484,     0,     0,     0,
       0,  1411,   165,     0,     0,   203,     0,     0,   743,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   850,
       0,     0,   165,     0,  2579,   640,  2579,     0,   564,   564,
       0,     0,   154,   151,     0,     0,     0,     0,     0,     0,
       0,     0,  3433,  3428,  3431,     0,  3421,  3435,     0,  1698,
    1697,  1700,  1699,     0,  1696,     0,   156,   157,     0,  1237,
    1262,     0,     0,     0,  1990,  1977,  1985,  1984,     0,  1967,
    1966,  1965,     0,  1964,     0,  1991,  1991,  1989,  1968,  1941,
       0,     0,     0,  1995,     0,  1993,     0,   927,  1937,  1933,
       0,  2002,  2001,  2000,     0,  1947,  1958,  1955,   952,     0,
       0,  1231,     0,     0,  2579,   158,  2579,     0,  2579,     0,
       0,     0,  1239,   158,     0,  1233,     0,     0,  1235,     0,
    1437,     0,   943,   941,   940,   942,     0,     0,   925,     0,
       0,     0,     0,     0,   920,     0,     0,   922,     0,     0,
    3790,     0,     0,  3793,     0,  3520,     0,  3879,  1616,  3876,
       0,     0,  1740,  1594,     0,  1026,     0,  3883,  3884,  1011,
       0,  1021,     0,  3883,  1009,     0,  1022,  1019,  1020,     0,
       0,     0,  3877,  3766,  3772,  1025,     0,     0,   565,   567,
       0,     0,  2525,  2541,     0,  2569,  2602,  2603,  2655,  2673,
    2703,  2709,  2714,     0,  2746,  2758,     0,  1054,  1092,  1044,
     755,     0,     0,  1657,  1016,  1014,  1460,     0,  1608,  2294,
       0,  1740,     0,     0,  1277,     0,     0,   151,   264,   236,
       0,     0,  1092,     0,  2707,  1473,  1002,   680,     0,     0,
    2116,  2117,  2333,     0,     0,     0,     0,     0,     0,  2115,
       0,     0,     0,     0,  2390,     0,     0,  2390,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2040,     0,
       0,  2293,     0,     0,  2293,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2041,  2022,  2023,
    3724,  2113,  2285,     0,  2114,  2443,     0,  2013,  2275,     0,
    2272,  2273,  2274,  2948,  2949,  2950,  2951,  2952,  2953,  2954,
    2955,  2956,  2957,  2958,  2959,  2960,  2961,  2962,  2963,  2964,
       0,  2965,  2966,  2967,  2968,  2969,  2971,  2970,  2972,  2973,
    2974,  2975,  2976,  2977,  2348,  2979,  2980,  2981,  2982,  2983,
    2984,  2985,  2986,  2987,  2988,  2989,  2990,  2991,  2992,  2993,
    2994,  2995,  2996,  2997,  2998,  2999,  3000,  3001,  3002,  3003,
    3004,  3005,  3006,  3007,  3008,  3009,  3010,  3011,  3012,  3013,
    3014,  3015,  3016,  3017,  3018,  3019,  3020,  3021,  3022,  3023,
    3024,  3025,  3026,  3027,  3028,  3029,  3030,  3031,  3032,  3033,
    3034,  3035,  3036,  3037,  3038,  3039,  3040,  3041,  3042,  3043,
    3044,  3045,  3046,  3047,  3048,  3049,  3050,  3051,  3052,  3053,
    3054,  3055,  3056,  3057,  3058,  3059,  3060,  3061,  3062,  3063,
    3064,  3065,  3066,  3067,  3068,  3069,  3070,  3071,  3072,  3073,
    3074,  3075,  3076,  3077,  3078,  3079,  3080,  3081,  3082,  3083,
    3084,  3085,  3086,  3087,  3088,  3089,  3090,  3091,  3092,  3093,
    3094,  3095,  3096,  3097,  3098,  3099,  3100,  3101,  3102,  3103,
    3104,  3105,  3106,  3107,  3108,  3109,  3110,  3111,  3112,  3113,
    3114,  3115,  3116,  3117,  3118,  3119,  3120,  3121,  3122,  3123,
    3124,  3125,  3126,  3127,  3128,  3129,  3130,  3131,  3132,  3133,
    3134,  3135,  2055,  3136,  3137,  3138,  3139,  3140,  3141,  3142,
    3143,  3144,  3145,  3146,  3147,  3148,  3149,  3150,  3151,  3152,
    3153,  3154,  3155,  3156,  3157,  3158,  3159,  3160,  3161,  3162,
    3163,  3164,  3165,  3166,  3167,  3168,  3169,  3170,  3171,  3172,
    3173,  3174,  3175,  3176,  3177,  3178,  3179,  3180,  3181,  3182,
    3183,  3184,  3185,  3186,  3187,  3188,  3189,  3190,  3191,  3192,
    3193,  3194,  3195,  3196,  3197,  3198,  3199,  3200,  3201,  2057,
    3202,  3203,  3204,  3205,  3206,  3207,  3208,  3209,  3210,  3211,
    3212,  3213,  3214,  3215,  3216,  3217,  3218,  3219,  3220,  3221,
    3222,  3223,  3224,  3225,  3226,  3227,  3228,  3229,  3230,  3231,
    3232,  3233,  3234,  3235,  3236,  3237,  3238,  3239,  3240,  3243,
    3241,  3242,  3244,  3245,  3246,  3247,  3248,  3249,  3250,  3251,
    3252,  3253,  3254,  3255,  3256,  3257,  3258,  3259,  3260,  3261,
    3262,  3263,  3264,  3265,  3266,  3267,  3268,  3269,  3270,  3271,
    3272,  3273,  3274,  3275,  3276,  3277,  3278,  3279,  3280,  3281,
    3282,  3283,  3284,  3285,  3286,  3287,  3288,  3289,  3290,  3291,
    3292,  3293,  3294,  3295,  3296,  3297,  3298,  3299,  3300,  3302,
    3301,  3303,  3304,  3305,  3306,  3307,  3308,  3309,  3310,  3312,
    3311,  3313,  3314,  3315,  3316,  3317,  3318,  3319,  3320,  3321,
    3322,  3323,  3324,  3325,  3326,  3327,  3328,  3329,  3330,  3331,
    3332,  3333,  3334,  3335,  3336,  3337,  3338,  3339,  3340,  3341,
    3342,  3343,  3344,  3345,  3346,  3347,  3348,  3349,  3350,  3351,
    3352,  3353,  3354,  3355,  3356,  3357,  3358,  3360,  3359,  3361,
    3362,  3363,  3364,  3365,  3366,  3367,  3368,  3369,  3370,  3371,
    3372,  3373,  3374,  3375,  3376,  3377,  3378,  3379,  3380,  3381,
    3382,  3383,  3384,  3385,  3386,  3387,  3388,  3389,  3390,  3391,
    3392,  3393,  3394,  3395,  3396,  3397,  3398,  3399,  3400,  3401,
       0,  2269,  2270,  2271,  2263,  2264,  2265,  2266,  2267,  2268,
    2279,     0,     0,  2422,  2468,  2467,     0,  2222,     0,  2037,
       0,  2230,     0,     0,  1826,  1742,     0,  2441,  2336,     0,
    3773,  3776,  2109,  1826,  3649,  3648,  3647,  3646,  3617,     0,
    3611,  3612,     0,  3650,  3651,   280,   281,   277,     0,     0,
     232,   231,     0,   254,   255,   226,   253,     0,   249,   250,
     234,  2206,  2205,   233,   225,   222,   220,   237,   239,   240,
     223,   221,   275,   273,     0,     0,     0,     0,   158,  3552,
    1592,  1579,     0,     0,  2348,     0,  2283,     0,     0,  2281,
       0,     0,     0,  1823,     0,  1728,     0,  1732,  1592,     0,
    1588,  1723,  1722,  1764,  1765,  1129,  1721,  1793,  1794,     0,
       0,     0,     0,  1819,  1817,  1784,  1775,  1783,     0,     0,
    1781,     0,  1785,  2017,  1812,  1710,  1769,  1770,  1773,  1709,
       0,  1815,     0,  1660,  1813,  1774,  1644,     0,  1622,     0,
       0,  1876,     0,     0,     0,  3560,  3558,  3489,  1941,  3552,
    3482,  3552,  3547,     0,  3436,     0,  3417,  3442,  3583,  2728,
    3615,     0,  3616,     0,     0,  3580,     0,  3590,  3593,  3591,
    3594,     0,  1941,  3666,  3769,  3769,  1941,  2015,  3465,  3507,
    1493,     0,     0,     0,  1158,  1160,     0,  1159,     0,  1162,
       0,  1171,     0,     0,  1157,  1176,     0,  1165,  1163,     0,
    1533,     0,     0,   964,     0,     0,     0,     0,  1513,     0,
       0,     0,  2746,   268,  1516,  1521,  1508,  1519,     0,     0,
       0,     0,     0,  1094,  1093,     0,     0,     0,  1540,   558,
       0,   382,     0,     0,     0,     0,     0,     0,     0,     0,
     845,   842,     0,     0,   841,     0,   694,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   719,     0,
    1337,     0,   307,     0,  1197,     0,  1196,     0,  1201,     0,
       0,  1198,  1193,  1194,  2709,  2718,  2753,   270,  1199,  1229,
       0,  1228,  1224,     0,  1140,     0,  1141,     0,     0,     0,
       0,     0,     0,     0,  2553,     0,  2579,     0,   527,   320,
     344,   549,     0,  1336,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   366,
       0,     0,   369,   368,     0,     0,     0,     0,     0,   374,
       0,   352,     0,   353,     0,   373,     0,     0,     0,     0,
       0,     0,  1337,     0,   303,     0,     0,     0,     0,     0,
       0,     0,     0,  1246,     0,   772,     0,     0,  2709,  1225,
       0,  1420,     0,  2745,  1421,  1424,   564,     0,   564,  1426,
       0,     0,  1423,  1425,     0,     0,   189,     0,   184,   188,
       0,     0,  2709,  1226,     0,     0,     0,     0,     0,   645,
     646,   659,     0,   650,   651,   648,   652,   653,     0,     0,
       0,     0,     0,     0,     0,   644,     0,     0,   741,   740,
     744,     0,     0,     0,     0,     0,     0,  1429,     0,     0,
    1220,     0,     0,  1428,  1436,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1280,  1279,     0,
       0,     0,     0,  1347,     0,   888,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   191,   759,     0,   758,
       0,   185,   190,     0,     0,     0,     0,     0,     0,     0,
       0,   244,  1482,  1488,  1763,  1763,  1763,  2127,     0,     0,
       0,     0,  1762,  2339,  2342,  1562,  1568,  1561,  1560,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   431,   428,   429,   431,
       0,     0,     0,     0,   861,     0,   864,   867,  1504,   511,
       0,     0,   686,   719,     0,     0,   487,   198,     0,     0,
       0,     0,   774,     0,  1220,  1219,   160,   151,   207,   485,
       0,   206,   208,   210,   211,   212,   209,   213,     0,   738,
     742,     0,     0,     0,     0,   682,     0,     0,     0,     0,
       0,     0,     0,  1896,     0,     0,   183,     0,     0,   635,
     639,     0,  3412,     0,     0,   487,   603,   393,  2579,     0,
     564,     0,  2579,     0,   150,     0,   848,     0,     0,     0,
    1182,  1182,     0,     0,   788,   787,     0,     0,     0,     0,
    3434,     0,  3506,     0,     0,     0,  1695,   158,  1180,     0,
     163,     0,     0,     0,     0,   158,  1988,  1987,  1938,  1934,
       0,     0,     0,     0,   967,     0,     0,     0,     0,     0,
       0,  1956,   158,  1144,   197,  2462,     0,   929,     0,     0,
       0,     0,   158,  1248,   917,   158,   193,   158,   158,   685,
       0,   158,   195,     0,     0,   158,   961,   158,  2430,     0,
     158,  3791,  3797,  3795,  1619,  3880,  3874,  3875,  2579,   564,
    1700,  1596,  1023,  1030,  1012,  1029,  1028,  1010,  1027,  1024,
    3582,     0,     0,  3771,     0,  1041,     0,   563,     0,     0,
       0,     0,     0,  1062,  1063,     0,     0,  1059,  1064,     0,
    1066,  1050,  1052,  1060,  1061,  1067,  1056,  1055,  1068,  1069,
       0,     0,     0,  1081,   753,     0,     0,     0,     0,  1654,
       0,  1652,     0,  1874,  1656,  1645,  3505,  1609,     0,  1607,
       0,   628,  1271,  1270,  1272,     0,  1038,     0,   158,     0,
    1472,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2298,     0,  2299,     0,     0,  2332,  2328,     0,
       0,     0,     0,     0,  2305,  2306,  2307,  2304,  2308,  2303,
       0,     0,  2309,  2302,     0,     0,  2383,  2400,     0,  2113,
    2383,  2411,     0,  2410,  2416,     0,  2289,  2017,     0,     0,
    2407,  2401,     0,  2407,     0,     0,  2390,     0,     0,     0,
       0,  2190,     0,     0,     0,  2289,  2292,     0,     0,  2829,
       0,     0,     0,     0,  2085,     0,     0,  2256,     0,  2289,
       0,     0,     0,     0,     0,     0,     0,  2285,  2324,     0,
     525,     0,  2075,     0,     0,     0,  2204,     0,  2201,     0,
       0,     0,     0,  2345,     0,     0,  2444,  2018,  2033,  2034,
    2035,  2038,  2421,  2021,     0,  2347,     0,     0,  2019,  2046,
       0,  2325,  2071,     0,  2076,  2061,  2391,  2310,  2311,  2312,
    2313,  2078,     0,  2054,  2059,  2063,     0,  2400,  2042,     0,
    2039,     0,  2348,  2284,     0,  2282,     0,  2030,  2031,  2032,
    2024,  2025,  2026,  2027,  2028,  2029,  2036,  2260,  2258,  2259,
       0,     0,  2230,     0,     0,  2058,     0,     0,  2129,  2572,
    2609,     0,  1754,  1754,  1754,  1741,  1752,  2420,     0,  1891,
    1763,  3778,  3777,  2346,  1891,     0,     0,     0,  2426,     0,
       0,  2013,     0,   274,  1872,   969,   970,   968,  1941,  1564,
    1578,  1592,  2286,  1586,  1730,     0,     0,  1566,  1590,     0,
    1127,  1128,     0,  1132,  2829,  2705,     0,     0,     0,     0,
    1786,  1820,     0,  1811,     0,  1787,  2436,  2437,  1788,  1791,
    1792,  1782,  1821,  1658,     0,  1816,  1714,  1713,     0,  1894,
       0,     0,     0,  1636,  1624,     0,     0,  1877,     0,  1826,
    1662,     0,  2345,  1824,  3487,  3554,  3492,  3522,  3483,  3525,
       0,  3438,  3618,  3619,     0,  3609,  3610,  3579,  3585,  3656,
       0,  3770,     0,     0,  1387,  1281,  1348,  1161,     0,  1958,
    1172,     0,  1156,     0,  1155,  1958,     0,  1173,     0,  1958,
    1388,  1282,  1349,   965,  1389,  1283,  1350,  1390,  1524,  1284,
    1523,  1511,  1510,  1509,     0,     0,     0,     0,     0,     0,
       0,     0,   826,  2579,   158,  1538,  1391,     0,  1285,   381,
    1539,  1351,  1543,   844,   843,     0,     0,  1352,     0,   695,
     700,     0,   702,   703,  2502,  2561,   704,   707,   708,     0,
     710,   699,   698,     0,     0,     0,     0,     0,   716,   718,
       0,     0,     0,     0,     0,     0,  1191,  1192,  1392,  1288,
       0,  1353,     0,  1139,     0,  1289,   199,     0,     0,   295,
       0,  2579,   322,     0,     0,     0,     0,     0,     0,     0,
       0,   826,   509,   826,     0,  1339,   319,   350,     0,   365,
     360,   361,   359,  2579,   158,  2579,   158,     0,     0,     0,
       0,     0,   362,   357,   358,   354,     0,     0,   367,  2474,
    2543,  2719,     0,   727,   729,     0,   734,   370,  1309,   389,
     388,   387,     0,   375,     0,   394,   397,     0,   372,   351,
     349,   346,   310,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1241,     0,  1395,  1354,     0,  1376,
    1380,     0,     0,     0,   766,  1398,  1295,  1357,     0,   564,
       0,     0,   579,   579,   564,  1409,  1296,   187,  1326,     0,
       0,   172,     0,     0,     0,     0,   166,   176,  1399,  1297,
    1358,     0,     0,  1400,  1298,     0,     0,   300,   638,   649,
     654,  1303,   658,   655,  1366,   656,  1407,  1299,     0,  1403,
    1329,  1361,   407,   623,   406,  1220,  1220,  1410,  1430,  1300,
    1220,     0,  1337,     0,   289,   291,     0,   155,     0,     0,
    1301,     0,  1359,     0,  1402,  1328,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1546,     0,     0,     0,     0,
       0,     0,   158,     0,     0,     0,  1339,  2579,   158,   886,
    1401,     0,  1334,     0,  1374,     0,     0,     0,   419,     0,
    1327,  1337,     0,   302,  1305,     0,  1368,     0,     0,   242,
     241,   243,     0,     0,     0,     0,  2290,  2291,     0,  2288,
    2122,  2341,     0,  1556,   991,   977,   990,     0,   973,  2541,
       0,   976,   978,     0,     0,     0,   979,   983,   984,     0,
     975,   972,   974,     0,   430,     0,     0,   783,   784,     0,
       0,     0,     0,   863,     0,     0,  1536,     0,   163,   693,
       0,     0,     0,   688,   718,   723,     0,     0,     0,     0,
     486,   490,   494,   495,   496,     0,     0,     0,     0,   177,
     164,     0,   906,     0,   564,     0,   776,  1220,  1413,     0,
     207,   202,     0,     0,   739,     0,  1587,  2805,     0,     0,
     618,  2131,   621,  2132,  2133,   620,     0,   393,   858,   856,
     855,   857,   879,   854,     0,  1895,  1897,     0,     0,     0,
       0,     0,     0,     0,   489,     0,     0,   567,     0,   606,
       0,     0,     0,     0,   603,     0,     0,     0,     0,   875,
    3725,   847,     0,  1150,     0,  1168,  1151,     0,     0,     0,
       0,  1205,  1212,  1181,  1206,  1183,  1212,     0,     0,   789,
     793,   792,   796,   794,     0,   790,   667,  3432,  3426,  1701,
    1702,     0,  1238,     0,     0,  1532,     0,  1530,     0,  1957,
    1970,   928,     0,  1997,  1998,  1999,  1999,     0,  1939,     0,
    3863,  3871,  3870,     0,  1982,  1948,  1232,   158,     0,   158,
       0,   158,  1240,  1234,  1236,  1438,     0,   926,     0,     0,
     919,   921,     0,   923,     0,     0,  3581,  3767,  1042,   566,
       0,     0,     0,     0,     0,     0,  1058,   665,  1065,     0,
       0,     0,  1080,  1075,  1077,     0,  1092,  1086,     0,   752,
       0,     0,  1655,  1648,  1650,  1649,     0,     0,  1646,  2295,
     918,     0,   634,     0,  1092,  1083,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1759,  2296,  2297,
       0,     0,     0,  2329,     0,     0,  2166,     0,  2137,  2139,
    2152,     0,  2167,  2120,     0,  2382,  2379,     0,     0,     0,
    2383,  2390,  2186,     0,     0,     0,  2390,     0,  2410,     0,
       0,     0,  2181,  2183,     0,     0,     0,  2400,  2400,     0,
    2188,     0,     0,  2168,  2141,  2143,  2153,     0,     0,  2276,
       0,  2156,  2155,     0,  2087,  2088,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2102,  2157,  2255,     0,     0,     0,
    2159,  2158,     0,     0,  2323,     0,     0,     0,  2164,   526,
    2169,     0,     0,     0,     0,  2175,     0,  2212,     0,     0,
       0,  2110,  2286,     0,     0,     0,     0,     0,     0,     0,
    2393,  2394,  2395,  2392,     0,  2077,  2062,  2080,  2056,  2060,
    2064,     0,  2400,  2079,  2082,     0,     0,  2050,     0,     0,
    2048,  2072,  2044,     0,     0,  2073,     0,  2128,     0,     0,
       0,  2233,  2228,  2229,  1754,  1754,  1754,  1754,  1751,     0,
       0,     0,  2814,     0,  2705,  2848,     0,  1852,  1825,  1827,
    1837,  1852,  1859,  1852,  1852,  1889,  2427,     0,  1796,     0,
    1796,  3631,  3633,  3634,  3635,  3636,  3637,  3639,  3640,  3642,
    3643,  3644,  3632,  3638,  3641,  3645,  3622,  3623,     0,  3613,
    3614,   218,     0,   251,   238,  3656,  1563,  1731,  1740,  1766,
       0,  2277,  1132,     0,  1768,  1789,  1790,     0,  1779,     0,
    1818,  1776,  1659,  1643,     0,  1641,  1628,  1630,  1629,     0,
       0,  1631,  2345,     0,  1641,  1623,     0,  1667,     0,     0,
    1894,     0,  1666,     0,  3556,  3475,     0,     0,  3655,  3658,
    3670,  3667,  3485,     0,  1958,  1153,  1154,     0,  1177,     0,
    1097,  1098,     0,  1096,     0,     0,     0,   557,   560,     0,
    1541,     0,  1408,  1325,   697,     0,     0,     0,     0,   712,
     671,   713,   715,     0,     0,   714,   717,   720,  1337,     0,
     308,  1311,     0,  1372,  1185,     0,     0,  1142,     0,     0,
       0,     0,     0,  1113,   548,  1112,     0,     0,     0,     0,
     826,     0,     0,   552,     0,   508,   505,   345,     0,     0,
       0,     0,   163,     0,   324,   337,   400,   343,     0,   377,
       0,   348,     0,   341,   363,   355,   364,   356,   376,   378,
       0,   731,   732,   730,   726,     0,   733,   735,     0,   391,
       0,     0,     0,   409,   371,   408,     0,  1394,     0,  1337,
       0,   304,  1307,     0,  1370,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1375,     0,     0,
       0,     0,   771,     0,   768,     0,   579,     0,  1422,     0,
    1419,  1417,   579,     0,     0,   169,   168,     0,   175,     0,
       0,     0,     0,     0,     0,  1431,  1432,  1433,     0,     0,
       0,     0,     0,     0,   413,     0,   314,   316,   315,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   420,   384,
       0,   882,     0,     0,     0,   422,     0,     0,  1386,     0,
       0,     0,     0,     0,  1393,  1290,  2125,  2126,  2123,  1763,
    2340,     0,     0,     0,   988,     0,     0,     0,     0,   433,
     434,   163,   432,   457,     0,   826,     0,     0,   860,   865,
     873,  2645,  2263,  2264,   871,   866,   868,   870,   869,   872,
       0,     0,     0,     0,   530,     0,     0,     0,   517,     0,
       0,   527,   510,   513,   514,     0,     0,   689,   692,   690,
     691,     0,   711,     0,   489,   537,   593,     0,   179,     0,
       0,   180,   178,     0,     0,   393,   773,     0,   770,  1412,
       0,   205,     0,   743,     0,     0,     0,     0,     0,  1220,
     681,     0,   878,   880,   852,     0,   723,     0,     0,   640,
       0,   564,  1620,   628,     0,   595,   489,   593,   602,     0,
       0,   610,   392,     0,     0,   628,   393,     0,     0,  1113,
     874,     0,     0,     0,  1149,     0,     0,     0,  1202,  1207,
    1203,     0,  1182,  1164,     0,  1204,     0,     0,  1210,  1135,
    1184,  1136,  1454,  1455,  1452,  1453,     0,     0,     0,     0,
       0,     0,  3449,  1691,  3459,     0,     0,  1528,     0,  1976,
       0,  1994,  1992,  1935,     0,  3552,     0,     0,     0,     0,
       0,  1940,   930,     0,   913,     0,   915,   158,   760,     0,
     158,     0,     0,     0,     0,     0,     0,     0,  1057,     0,
    1051,  1053,  1078,     0,     0,  1092,  1091,     0,  1082,  1090,
    1088,  1089,  1087,     0,     0,  1653,  1651,   626,     0,     0,
     158,  1092,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2300,     0,  2331,  2327,     0,  2134,  2301,  2381,
    2397,  2399,  2187,  2389,     0,     0,     0,  2412,     0,     0,
    2390,  2350,  2404,  2403,     0,     0,  2402,  2390,  2390,  2350,
    2189,  2350,     0,     0,     0,  2256,     0,     0,  2086,  2098,
    2099,  2100,  2316,     0,  2105,     0,  2095,  2096,  2097,  2089,
    2090,  2091,  2092,  2093,  2094,  2101,  2320,  2319,     0,     0,
    2161,  2162,  2163,  2322,  2170,     0,  2492,  2213,     0,  2174,
    2203,  2202,     0,     0,     0,  2177,     0,     0,  2199,     0,
    2257,  2445,  2020,     0,     0,  2047,  2326,  2065,     0,  2081,
    2083,  2043,  2276,     0,     0,     0,     0,     0,  2052,     0,
       0,  2253,     0,     0,     0,  2235,  2232,     0,     0,     0,
       0,  1745,  1744,  1750,     0,  1852,  1859,  1852,  1852,     0,
       0,  1716,     0,  1837,     0,  1851,  1835,  1850,     0,     0,
    1865,  1863,     0,  1865,     0,  1865,     0,  1829,     0,  1855,
    1831,  1850,  1833,  1839,     0,  1881,  2428,  1890,     0,  1809,
    2122,  1809,     0,     0,     0,  3654,     0,     0,  1767,  1130,
    1131,  1777,     0,  1780,     0,  1892,     0,  1642,     0,     0,
       0,  1633,  1639,  1621,     0,     0,     0,  1663,  1641,  1664,
    3491,     0,  3555,  3620,  3621,  1174,     0,     0,  1166,  1103,
    1104,  1107,  1105,  1102,  1106,     0,     0,     0,   826,   829,
       0,     0,     0,   827,   158,  1286,     0,     0,     0,     0,
     672,  1406,  1287,     0,     0,     0,     0,  1186,  1340,     0,
       0,  1310,   826,     0,     0,     0,   574,     0,  1126,  1126,
       0,   321,     0,   554,   615,     0,   507,   506,     0,   504,
     723,     0,     0,   328,   338,     0,   333,     0,  1338,     0,
       0,     0,     0,   332,   335,   334,   404,     0,   401,     0,
     158,   158,   379,   728,   390,   395,   396,   399,  1345,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   907,   890,     0,     0,   908,   909,     0,     0,
       0,  1243,  1244,  1242,  1377,  1378,  1384,  1381,  1379,  1383,
    1382,  1385,     0,  1293,     0,     0,   764,  1341,  1414,  1416,
    1415,     0,  1418,   173,   170,   171,   174,  1342,  1323,  1304,
    1367,   624,     0,     0,     0,  1302,     0,  1360,     0,     0,
    1319,  1313,     0,     0,     0,     0,     0,     0,  1405,  1333,
    1365,  1404,  1331,  1363,  1330,  1362,  1332,  1364,  1324,     0,
       0,  1899,   887,     0,     0,     0,   158,   158,   885,   762,
    1306,     0,  1369,  1315,     0,     0,     0,   980,     0,     0,
       0,   982,   438,   458,   163,     0,   782,   846,     0,     0,
     862,     0,   515,     0,   521,   528,     0,     0,   532,   533,
     531,   516,  1220,   564,  1220,   815,   816,     0,     0,   836,
       0,   687,     0,     0,   487,     0,   534,     0,     0,   491,
     182,   181,     0,     0,     0,   777,   781,   779,   778,   780,
     775,     0,   766,   207,  2579,     0,     0,     0,     0,   622,
     616,   619,  1427,   853,     0,  1898,   756,     0,   393,   636,
    3414,     0,     0,   487,   628,  3413,     0,   492,   497,   498,
     511,     0,   603,   594,     0,   595,   604,   605,     0,   612,
    1502,     0,   629,   612,     0,     0,     0,   876,     0,   877,
       0,  1152,  1169,  1170,     0,     0,  1212,     0,     0,  1214,
    1209,     0,     0,   795,   798,   791,   674,     0,  3422,   158,
       0,  1531,  1936,  3864,     0,  3865,  3866,  3867,  3868,  3869,
     158,   158,  1269,     0,   924,  1072,  1073,  1074,  1071,  1070,
     666,     0,  1076,  1035,  1085,   754,     0,   627,     0,  1036,
     158,  1005,   997,  1004,   993,   996,   998,     0,  1000,  1001,
     995,   992,   994,  2330,  2151,     0,  2396,  2398,  2185,  2409,
    2408,  2184,  2415,     0,     0,  2378,  2406,  2405,     0,     0,
    2390,  2390,  2154,  2165,     0,  2255,  2286,     0,     0,  2106,
       0,     0,     0,  2160,  2838,     0,     0,  2217,  2218,     0,
    2214,  2215,  2210,  2211,  2176,     0,  2633,  2194,     0,     0,
    2209,  2069,  2067,  2066,  2051,     0,     0,  2049,  2045,     0,
    2074,  2219,  2252,  2286,  2221,     0,  1763,  1749,  1748,  1747,
    1746,     0,  1836,  1832,  1834,  1840,     0,  2843,     0,  1841,
    1848,     0,  1828,     0,  1864,  1860,     0,  1861,     0,     0,
    1862,     0,     0,  1830,     0,  1848,     0,  1888,  1757,     0,
    2224,  2442,  2224,  3624,     0,  3627,  3625,  3626,  3630,   252,
    1735,     0,  1778,     0,  3879,  1625,     0,  1626,  1632,     0,
       0,     0,     0,     0,  1668,  1661,  3557,  1167,  1175,     0,
       0,     0,   559,   831,   830,   833,   828,   832,  1542,     0,
     705,   706,   709,  1312,     0,  1373,  1321,     0,  1657,   550,
     323,     0,   569,     0,     0,     0,  1119,   153,  1118,     0,
     569,   569,   503,   502,   511,   331,     0,     0,     0,   325,
     403,     0,   405,   326,   330,   384,   347,   340,     0,     0,
       0,  1308,     0,  1371,  1317,  1344,  1396,  1291,  1355,     0,
       0,   896,     0,     0,     0,     0,  1397,  1292,  1356,     0,
       0,     0,     0,     0,  1657,     0,     0,     0,     0,     0,
       0,     0,     0,   311,     0,     0,     0,  1551,     0,     0,
     383,   884,   883,   384,   421,  1335,     0,  2124,     0,   981,
     986,   987,   985,     0,   427,   435,   438,     0,     0,  1260,
    1260,     0,     0,   512,   529,     0,   614,   573,   614,     0,
       0,     0,     0,     0,   724,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   769,   768,   204,     0,   487,
       0,   723,     0,   881,     0,     0,     0,     0,   489,     0,
       0,  3873,   488,     0,     0,   500,     0,   606,   595,   603,
       0,     0,   625,     0,  1495,     0,   631,     0,     0,     0,
     825,  1208,     0,  1222,     0,  1163,  1133,  1217,     0,  1740,
    1891,     0,     0,     0,     0,   808,     0,   678,  3448,  3452,
    1261,  1529,  3872,   914,   916,   761,  1079,     0,  1092,  1084,
     999,  2380,  2414,  2349,  2351,     0,     0,  2372,  2365,  2368,
    2366,  2367,  2369,     0,  2364,     0,  2182,  2413,  2362,  2376,
    2315,  2257,  2103,     0,  2318,  2317,  2321,     0,  2171,     0,
    2172,  2216,  2178,  2195,     0,  2179,  2207,     0,     0,  2070,
    2068,  2053,  2254,     0,  2239,     0,  1884,     0,  1887,     0,
       0,  1838,     0,     0,  1842,     0,     0,  1844,  1846,     0,
       0,     0,     0,     0,     0,  2431,     0,  1808,     0,  1718,
    1717,  3629,  3628,     0,  1738,  2278,  1893,  1640,     0,     0,
       0,  1114,     0,     0,  1641,  1670,  1682,  1682,  1665,  1080,
       0,   158,   701,     0,     0,   297,  1126,     0,  1220,   575,
    2645,   576,  1125,  1129,   152,     0,  1220,  1220,   499,     0,
     329,   339,     0,   386,   398,     0,  1657,     0,     0,   894,
     903,   903,   891,     0,     0,   910,  1294,   765,     0,   578,
       0,   292,  1320,  1314,     0,     0,     0,   318,     0,   317,
       0,  1553,  1554,     0,     0,     0,     0,     0,  1343,   158,
    1316,   989,     0,   460,   468,   439,   443,  1545,     0,  1545,
       0,   440,   444,  1545,  1545,   437,  1891,   456,  1260,     0,
    1257,  1256,   562,   642,     0,     0,   519,     0,   584,   518,
       0,   837,     0,     0,   722,     0,   489,   593,     0,   547,
     538,   539,   540,   541,   543,   542,   544,   545,   546,   536,
     535,     0,   723,   900,   393,  1502,   763,     0,     0,   736,
       0,   723,     0,  1620,   628,   595,   489,   593,  1617,   493,
     511,     0,   610,   603,   606,     0,   607,     0,   611,     0,
       0,     0,   628,  1555,  1113,     0,     0,   826,  1221,  1182,
       0,     0,  1211,  1215,  1216,     0,     0,     0,     0,  1264,
     802,   803,   797,   799,     0,   810,   814,   673,     0,     0,
     677,   668,     0,  3450,   723,   158,     0,     0,  2363,  2370,
    2371,     0,  2192,     0,     0,  2388,     0,     0,     0,  2104,
       0,     0,  2197,  2196,  2208,  2180,  2234,     0,     0,     0,
       0,  1920,  1889,     0,     0,  1883,     0,     0,  1914,     0,
       0,     0,  1849,  1867,     0,  1845,  1843,     0,  1856,     0,
    1858,  2521,  2801,  2702,     0,  1795,  1797,  1800,  1802,  1801,
    1803,  1799,  2223,  2225,     0,     0,     0,     0,  1729,     0,
    1638,  1891,     0,  1635,     0,  1677,     0,  1669,  1671,     0,
       0,     0,  1099,     0,  1100,  1322,     0,  1120,     0,   614,
       0,  1132,  1129,   564,   614,   614,   642,     0,     0,   342,
       0,   305,  1318,     0,     0,   905,   905,     0,     0,     0,
       0,     0,     0,   415,     0,     0,   313,   312,  1547,     0,
    1548,  1549,  1552,   423,   436,     0,   466,   465,     0,   463,
     462,   464,     0,   453,     0,     0,     0,     0,     0,     0,
     426,  1255,  1259,  1258,     0,   520,     0,   522,     0,     0,
     570,   571,   572,     0,   524,   580,   581,   834,     0,   839,
       0,   725,     0,     0,   723,   592,   747,     0,     0,     0,
    1496,     0,     0,   617,   757,  1502,   628,  3415,   603,     0,
     595,   501,     0,   612,   606,   610,   608,   609,     0,  1499,
       0,   630,     0,  1122,   824,     0,  1212,  1223,  1218,  1213,
    1458,     0,     0,   800,   805,   804,  1545,   809,     0,     0,
       0,   676,   675,  3453,  3455,  3454,     0,   751,  1037,  2352,
    2353,  2377,     0,     0,     0,  2356,     0,  2354,     0,     0,
    2376,     0,  2193,  2314,  2200,  2173,  2198,  2789,     0,  2761,
       0,  2251,  2240,  2251,  2251,  2231,     0,  2350,  1882,  1885,
       0,  1917,     0,     0,     0,     0,  1902,     0,  1847,     0,
       0,  1857,     0,     0,     0,  1804,     0,     0,     0,     0,
       0,     0,  1627,  1637,  1115,     0,  1679,  1681,     0,     0,
       0,  1657,     0,   579,     0,  1116,  1132,   573,   826,   826,
     336,   327,   385,     0,     0,     0,   901,   904,   892,   893,
     912,   911,   767,  1657,     0,   411,   410,     0,   414,     0,
     461,   471,     0,   469,   441,   446,     0,   452,   451,   448,
     447,   442,   445,   561,     0,     0,     0,     0,     0,     0,
     582,     0,   583,     0,   838,     0,     0,     0,   749,   899,
       0,     0,   487,   723,  1497,  3873,   606,   595,   603,     0,
       0,   597,  1126,  1126,   474,   610,   612,  1500,  1501,     0,
       0,   527,     0,  1134,  1457,  1456,  1740,     0,     0,     0,
     811,   812,   807,     0,     0,  3451,  2357,     0,  2360,     0,
    2361,  2355,  2385,  2387,     0,  2373,  2374,     0,  2244,  2243,
    2242,  2246,  2245,     0,  2238,  2236,  2237,  1919,     0,     0,
       0,  1915,  1916,  1900,     0,     0,  1904,  1854,  1880,     0,
       0,     0,  1798,  2226,  2227,     0,     0,     0,  1891,     0,
    1684,     0,     0,  1672,  1673,     0,     0,  1674,   158,   298,
     568,   826,   577,  1117,   584,   553,   551,  1657,   895,     0,
     293,     0,   416,  1550,   467,     0,   450,   449,   641,   523,
     613,   589,     0,   588,     0,   586,   585,   835,   840,     0,
     723,   889,  1502,   737,  1618,   610,   603,   606,     0,   596,
       0,   153,   153,   612,   472,     0,     0,   393,     0,  1440,
    1740,  1439,  1441,  1449,  1446,  1448,  1447,  1445,     0,  1267,
    1268,   801,   806,     0,     0,  2358,  2359,     0,     0,  2191,
       0,     0,     0,  2248,     0,  2249,     0,  1886,     0,  1903,
    1906,     0,     0,  1912,     0,  1905,  1907,     0,     0,  1866,
       0,  1878,  1806,     0,  1805,     0,     0,     0,  1634,  1678,
    1680,  1675,     0,  1676,     0,     0,     0,     0,  1685,  1101,
     555,   826,   306,   902,     0,   470,   587,   564,   564,   723,
     748,  1498,   612,   606,   610,  1126,   598,   600,   599,   476,
    1122,  1123,     0,   612,   814,     0,  1450,  1444,  1716,  1703,
       0,     0,   813,     0,     0,     0,     0,  2241,  2247,  2250,
       0,     0,  1910,  1911,  1913,  1908,  1909,  1853,     0,  1807,
       0,     0,     0,     0,  1683,  1689,     0,     0,     0,   556,
       0,   591,   590,   750,   475,   610,   612,   153,   527,  1121,
       0,  1891,     0,  1442,  1740,     0,     0,   819,  2384,  2386,
    2375,  2626,     0,  1921,     0,     0,     0,  1734,  1733,  2805,
       0,     0,  1737,     0,     0,     0,   412,   612,   473,   601,
     393,  1124,  1108,     0,  1443,     0,     0,     0,   817,   820,
     823,   821,   822,  1929,     0,  2378,     0,     0,  1932,     0,
    1879,     0,     0,  1686,  1690,     0,  1687,   477,   612,     0,
       0,     0,   785,     0,     0,     0,  1922,  1923,  1932,     0,
    2362,  1932,  1901,  1763,     0,     0,  1891,     0,     0,     0,
     818,     0,     0,  1918,  2376,  1931,  2388,  2362,     0,     0,
       0,  1109,   819,  1265,  1266,     0,     0,  1926,  2376,  2388,
       0,  1736,  1688,     0,     0,     0,  1924,  2376,   786,     0,
    1927,  1925,     0,  1928
};

  /* YYPGOTO[NTERM-NUM].  */
static const int yypgoto[] =
{
   -6499, -6499,  5152,  -669, -2098, -5679, -1589,  5108, -6499, -6499,
   -1357,   441,  3237, -1442, -6499, -6499, -6499,  1380, -6499, -6499,
   -6499, -6499,  4093, -6499, -3427, -6499, -6499,   126,  4045, -1806,
     114,  3589,  1472, -6499, -1404, -6499, -6499,  -970,   -69, -6499,
    4078,   157, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -1219, -6499,  -825,  1993, -6499,  2083,  1298, -3557, -6499, -6499,
   -2046, -4342, -6499,   514, -6499,   543, -4675, -6499, -5398, -1232,
   -6499, -6499, -6499,  1971, -6499, -6499, -6499,  1918,  1083,  -566,
   -6499, -6499, -6499, -6499, -6499, -6499, -1044, -6499, -6499, -1363,
     -65,  -995, -3482, -4859, -6499, -6499,   357,  -606, -2015, -6499,
     556, -6499,   557, -6499, -5404, -6499,  -172, -3289, -4912, -6499,
   -6499, -6499,  -576, -2029,  1331, -6499,  1394, -6499, -1134, -1593,
    1761, -2830, -1191, -6499,  -465, -4135, -1335, -1056, -1051, -1223,
   -4898, -5458, -6499, -6499, -1364, -4299, -5802, -6034, -5492, -5684,
    1339, -6499,  -200,   363, -6499, -4159, -4922,   -61,   338, -6499,
     -59,   -58, -6499,   350,  -982, -1365, -2112, -6499,  -665, -6499,
   -6499, -6499, -3990, -6499, -6499, -6499,   108, -6499, -6499, -6499,
   -6499,   398, -6499, -6499, -6499, -6499, -6499, -6499, -3643,  1948,
    1950, -6499, -4948, -6499, -1339, -6499,   561, -4004,  1317, -6499,
   -6499,  1078,  4118,   384, -6499, -6499, -6499, -6499, -6499, -6499,
   -2220, -6499, -6499, -6499, -6499,  -177,  -548, -6499, -6499, -6499,
   -6499, -6499, -6499, -6499,   -55, -6499,  1037,   320, -6499, -6499,
    -858, -6499, -6499, -6499, -6499, -6499, -6499, -1431, -5785, -1567,
   -1537, -6499, -4057, -6499, -6499, -6499,  -522, -6499, -6499, -6499,
   -6499, -6499, -1384, -6499,  1135, -4690, -6499, -6499,   362, -6499,
   -6499, -6499, -6499, -6499, -1198,  -458,  3254, -6499,  -716,  -960,
   -6499, -6499, -6499,  -456, -6499, -6499, -6499, -6499, -6499,  -814,
   -1626,  5431,  4540, -1560,  9251, -1282,  -891, -6499, -6499, -6499,
   -3379, -6499, -6499, -4909, -6499,  5421,   177,  -462,   -53, -6499,
    -106,     6,  3882, -6499,   976, -1642, -3691,   306,  -673, -6499,
   -6499, -6499,   300, -6499, -2456, -6499, -6499, -6499, -6499, -4662,
     -52, -6499, -4920, -5795, -5192, -4736, -1402, -6499, -5014, -4939,
   -4630, -6499,  1970, -6499, -6499,  -800,  -956,  3224, -6499, -2001,
    2319, -1956, -6499, -3132,   379,  1485,  3233, -3769,  -859,  3211,
   -3537, -6499, -1034,  1062, -6499,  -551, -4330, -6499, -6499, -6499,
   -3364,  -811, -6499, -6499,  1462,   -81, -6499, -6499, -6499, -6499,
   -1002,  3164,  -933, -6499, -6499,  4507, -6499, -5534, -6499,  4459,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499, -2002,
    1235, -6499, -1170, -6499, -6499,  2074,   588, -6499, -6499, -6499,
   -6499,  1328,  -148, -6499, -6499, -6499, -6499, -6499, -6499, -6499,
   -1186, -1433, -6499, -6499, -6251, -6499, -6499, -6499, -6499, -6499,
    2529, -1349, -1128,  4342,  -476,   -50, -5913, -6499, -6499,  -780,
   -6499,  3551, -6499, -6499, -6499, -6499, -6499,   371,   372, -6499,
   -6499, -6499, -6499, -4656, -6499, -6499, -5582, -6499, -6499,  2053,
   -6499, -6499,  1361,   -67,  3346, -6499, -6499, -6499,   -76, -6499,
   -6499, -1419,  2448, -6499, -2837, -6499,  -912, -6499, -6499, -2366,
     -49, -4896,   -70, -6499, -6499, -5654, -1346,   146, -6499, -6499,
   -4629,   -66, -6499, -6499, -6499, -6499, -5669, -6499,   -63, -5361,
     752, -3827, -6499,   -64, -6499,  -622, -6499, -6499,  -624, -6499,
   -6499, -6499, -4424,   -48,     5,  3954,  1885,   -57,  5826,  -161,
    -137,   -94,   -68,   113,  3710, -6499, -6499, -6499, -5145,  3755,
   -6499,   -89, -1224, -6499, -6499, -1262,  -245,   315,  1613,  -954,
    2424,  3691,  3694, -6499,  1603,  2457, -2878, -2874, -6499,   828,
   -1190, -1042, -6499, -6499, -6499, -6499,   195,  -947,  2443, -6499,
    3706, -6499, -6499, -6499, -2802, -3862, -3886,   858, -4515, -4437,
   -6499,   244,   224, -1750,  -565,  -149, -1947, -1179,  1741, -6499,
   -6499,   866,  -792, -6499, -6499,  -790, -3882,   793, -6499, -5583,
   -3300,   872, -1375, -1153, -6499, -1263, -6499, -1000,   882, -6499,
   -6498, -1399, -6499, -4174,  1597, -2175, -1514, -6499, -6499, -1469,
   20099, -6499, -6499, -6499, 21472, 26618, -6499, -6499, 27695, 29681,
   -6499, -1235, 30963, 10667, -1489, -1459, -1174, 32404, 34365, -2497,
    4803,   112, -6499, -3461, -3311, -6499, -6499, -6499,  -508,   950,
     392, -6499, -6499, -5613, -4956, -6499,  2594,  -244, -6499,  -996,
    1720,  -994, -6499, -6499, -6499, -3147, -5368, -3332,  2608, -6499,
   -6499, -6499,  -817, -6499, 34137, -3722, -6499,  -962, -1412, -2077,
    3113, -3436, -2343, -6499, -6499, -6499, -3613, -6499, -6499, -6499,
    -945,  1745, -6499, -6499,  1871, -6499, -6499, -6499, -1348,  2146,
   -1184, -3611,  1750, -5057, -6499,  -723, -4755, -5557, -6499, -6069,
   -1374, -2408, -1373, -3540, -4421, -2477,  1768, -3622, -6499, -2381,
    1848,  1045, -6499, -2889, -6499, -6499, -1168,  2623, -1183, 19269,
    -777, 22591, -1753, -6499,  2834, -4697,  5160,   -75,  -828,  6169,
    -968,  -905, -6499,  7727, 10213,  6913, -4200, -6499, -6499, -6499,
     -47, -6499, -6499, -6499, -6499,  4999,  1179, -6499,  4181, -6499,
    2049,  3354, -6499, -6499,  2494,  -979,   -43, -6499,  -910, -6499,
     -87, -6499, -6499, -6499, -6499,   426,   218,   147,  5578, -6499,
   -6499, -6499, -6499, -6499, -6499,  3766, -6499, -6499, -1678, -6499,
   -6499, -6499, -6499, -6499,  5402,  -268, -6499,  4587,  -262, -6499,
   -6499, -6499, -6499, -6499, -6499, -6499, -6499, -6499,  3777,  2518,
   -6499,  4384, -6499, -6499, -6499,    64,  4012, -6499, -6499, -6499,
    -625,  -913,  4409,  4410,  2498, -6499, -6499, -6499, -6499, -6499,
   -6499, -6499, -6499,  2509, -6499, -6499,  1748, -2955,  2503, -6499,
   -6499,   867, -6499, -6499,   293, -6499,   873, -6499,  3887, -6499,
   -6499, -6499,   914, -6499, -6499, -6499,  -504, 25869,    69,   101,
     115,  2514, -6499, 17216, 12016,   124,  -949, 12141, 30578,   -46,
   -6499,  5395,  2511,  2001, -1130, -6499,  7379,  3260, 25494, -6499,
   -1129,    80,    -2, -1126,  1504,  -733, -1338,  4106,  -725, -2371,
   -6499,  5733, -6499, -4119, -5778, -1214,  -184,  4589, -1362
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     1,   163,   164,  1498,  1503,  2333,  2359,   165,   166,
    2135,  3577,  3428,  4429,  4430,   167,   168,  2131,   169,   170,
     171,   172,  2049,   173,  2305,  3591,   174,  3263,  1234,  1235,
    1236,  3116,  3117,  3522,  3118,  3105,  1869,  2251,  2071,  1199,
    1200,  2030,  2072,   176,   177,  1863,  3097,   178,   179,   180,
    2102,  6022,  6023,  2194,  2103,  2104,  2043,  5631,  6499,  4213,
    3385,  4481,  4214,  4215,  4935,  4936,  4293,  4964,  5026,  6513,
    6514,   181,  2210,  2211,   182,   183,  3559,  4395,  5081,  6044,
    6045,  6305,  1017,  5654,  5655,  6292,  6293,  6530,  6712,  6713,
    3592,  1048,  4476,  5165,  4420,  5726,  4421,  5727,  4422,  5728,
    5519,  5520,  4925,  4926,  4406,  5112,  5113,  2568,  5667,  5114,
    4423,  5686,  6339,  4424,  3351,  3278,  3279,  6545,  3626,  2480,
    2478,  6238,  6318,  5505,  5506,  5000,  6554,  6555,  6556,  6855,
    5688,  5732,  5733,  6750,  6751,  4479,  5171,  5739,  6102,  6316,
    4171,   185,  4449,  4450,   186,  2327,  4602,  1131,  3629,  1049,
    1132,  3593,   190,  3619,  6547,  3620,  2161,  3442,  5094,  4578,
     191,  1526,  4889,  6127,  6400,  6401,  1116,   192,  2313,   193,
     194,  3572,  4413,   195,  3296,  4119,   196,   197,  4138,  4139,
    4140,   198,  5122,  6063,  2105,  4202,  4203,  4204,  4205,  4956,
     199,  2308,  3600,  3601,   200,   201,   202,  3766,  3767,   203,
    3508,   204,   205,   206,   207,  4994,  5586,  5702,  4244,  4436,
    5138,  5700,   208,  4399,  3594,  3647,  4514,  4515,  6125,  6392,
    6393,  6394,  6606,  6891,  6396,  6608,  6772,  6610,  5677,  7047,
    7048,  6377,  4878,  5483,   210,  5678,  5679,  6560,   211,  3294,
     212,   213,  2282,  3565,  3566,  5095,  3636,  4488,  4489,  5151,
    5152,   214,  4335,   215,  5562,  5563,  1050,  6568,  6505,  6698,
     216,   217,  5566,  5567,   218,   219,   220,   221,   222,  1117,
    1461,  1462,  1119,  1630,  1631,  4079,  1574,   223,  3128,   224,
    4375,   225,  1730,  5802,   226,  1156,  1657,  1658,  3595,   228,
    1168,  3786,  1170,  3750,  3751,  2496,  4582,  4583,  5255,   229,
     230,  4586,  4587,  5262,  3763,   231,  2036,  3273,  3274,  5475,
    3596,  1051,  4165,  6220,  5966,  6221,  6761,  6962,  5967,  4003,
    4824,   233,  1052,  2077,  3335,  1598,  1599,  3640,  4494,  3241,
    3242,  2234,  5192,  3244,  4496,  3245,  2009,  3246,  1545,  1546,
    4502,  4503,  4504,  4505,  5188,  5198,  5199,  6119,  6385,  5195,
    2301,  6113,  6114,   234,  2074,  3332,   235,   236,   237,  2114,
    1384,  1608,  1609,   238,  1078,  1079,   239,  6310,   240,  1548,
     241,  6123,   242,   243,  1715,  1716,  1189,   244,   245,  3355,
    4938,   246,  2075,   247,   248,  4238,  4239,  5578,   249,   250,
     251,  3414,  3415,   252,   253,   254,   255,   256,  6881,  6965,
    6966,  6967,  5206,  6766,   257,  1701,   258,   259,   260,   261,
     996,  1426,  1427,  1428,  1345,  3597,  6104,   263,   264,  2031,
    2032,  2033,  2034,  3268,   265,   266,   267,  4526,  4527,   268,
     269,   270,   271,  2285,   272,   273,  6283,   274,   275,  2255,
     276,   277,  1435,  1436,  1437,  1438,  2253,  3991,  1011,  1255,
    1896,  1902,  1906,  1907,  1908,   279,  1134,   280,  1706,  1466,
    1135,  1650,  1136,  3187,  4033,  4839,  4840,  4841,  4844,  5931,
    5447,  1137,  4029,   284,  2503,  3772,  3775,  4025,  1138,  4039,
    4040,  4041,  4848,  1139,  6224,  6225,  6226,  6227,  6480,  6823,
    6824,  6827,  6938,  1140,  1158,  1537,  3655,  1141,  1815,   290,
     291,   292,  1264,  1258,  1259,  3996,  6214,  6468,   294,  3074,
    3965,  1178,  1912,  1218,  1219,  1272,  3532,  3153,  3154,  3178,
    3179,  1921,  1922,  3166,  3170,  3171,  4015,  4009,  3159,  5429,
    6455,  6456,  6457,  6458,  6459,  6460,  5910,  3174,  3175,  1924,
    1925,  1926,  3183,   295,  3969,  4778,  4779,  4780,  5405,  5406,
    6919,  5420,  5416,  5895,  6197,  4781,  1245,  1695,  1933,  5903,
    6921,  4782,  6186,  6187,  6435,  5425,  4788,  4835,  4464,  4465,
    4466,  4783,  6655,  6656,  6915,  6916,  6437,  6438,  4784,  6647,
    7022,  7023,  7054,  7080,  3247,  2389,  1576,  1816,  1577,  2397,
    1817,  2373,  1579,  1818,  1819,  1820,  1582,  1821,  1822,  1823,
    1585,  2365,  1824,  1825,  2383,   952,   953,  1826,  1897,  6439,
    1828,  1829,  1830,  4785,  1831,  5358,  5859,  5845,  3887,  3888,
    3113,  6178,  5354,  4713,  5348,  3067,  3071,  6209,  6462,  6463,
    3958,  4762,  5385,  5876,  6430,  6641,  6642,  6794,  1832,  1833,
    1834,  3950,  3060,  1387,  1835,  5097,  3062,  3878,  3856,  2237,
    3857,  2510,  2531,  3805,  3820,  3821,  3926,  3858,  3866,  3871,
    3879,  3912,  1836,  3807,  3808,  4624,  2533,  1837,  1432,  2240,
    1433,  3082,  3907,  5825,  6143,  6144,  6415,  6416,  6154,  6417,
    6155,  6145,  4635,  4636,  6630,  3832,  3927,  4639,  3840,  3841,
    4657,  4646,  3833,  1838,  4648,  1853,  1839,  1840,  2497,  1246,
    6193,   827,  2242,  1175,  1841,  1842,  1843,  1341,   748,  1601,
    1602,   750,  3063,   811,   812,   999,   926,  3064,     2,    70,
    1142,  4473,  6087,   297,   298,  1054,  1055,  1056,  1528,  1529,
    2343,  2346,  1948,  3206,   754,   755,   828,  5768,  6128,  6403,
    1125,   299,   300,   301,   302,   303,  1342,  2002,   954,    71,
      79,    72,  1298,   337,   338,  3199,   304,   944,   305,  1936,
    1287,  4854,   306,   307,   308,   309,   310,  1122,   311,  1289,
     312,  1290,   313,   314,   315,   316,  1297,   317,  1938,  1939,
    5462,  1940,   318,   319,   814,   815,  1648,   320,   321,  1314,
    2447,  1316,  1677,  1954,  1968,  1969,  1970,   322,   762,   323,
     324,   325,  1960,  1961,   326,  3090,  3091,  3211,  3092,   327,
    4052,  4053,   328,  4806,  4807,  5916,  4808,   329,  3086,   330,
     331,  1249,  4859,   332,   940,   333,  1328,   816,   817,   818,
    1001,   930,  1204,   819,  1003,  4206,   932,   820,   821,   822,
    2472,    73,  4060,  2473,  1845,   829,  1846,  3080,  1847,  1848,
    1849,  1850,  1851,  1852,   824,  1304,  1640,  1641,  4061,  1643,
      77,  1644,   334,  4543,  2448,  1678,  3716,  2458,  2459
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
      75,  1263,  1244,   282,   175,   293,   278,   283,   184,   286,
     285,  1358,   187,  1927,   188,   189,   288,  2236,   209,  1391,
     227,   232,  1396,   262,   281,   287,   296,  1886,  1065,  1492,
    1071,  1686,  1687,  1688,  2250,  2160,  1209,  1692,  1284,  1385,
     813,  1864,   934,  2405,  1285,  1913,  1273,  1915,  3455,  1185,
    1160,  1854,  3243,  3379,  3350,  2379,   293,  1133,  1160,  4170,
    2215,   813,  2165,  1891,  1248,  3863,  3788,  2015,  3349,  1892,
    3839,  1057,  1064,  3713,  1070,  3336,   934,  1692,  2228,   758,
    1064,  2521,    74,  2385,  2310,  2244,  3362,  2369,  2370,   826,
    2477,   831,  4790,  1064,  4419,  1206,  4604,  1312,  2378,  1346,
    3614,  1206,  1206,  1878,  4506,  1439,  4298,  1539,  2295,   934,
    4072,  4074,  1058,  1008,  4923,  5150,  4927,  1080,  5001,  2513,
    3243,  2283,  1068,  2515,  2319,  2288,  2516,  2517,  2395,  1176,
    2292,  1651,  1614,  1169,  3975,  3827,  3831,  3834,  3835,  2302,
    1362,  3844,  4452,  3846,  3847,  3779,  1627,  4895,  1210,  1394,
    4846,  3487,  3488,  2322,  3526,  1386,  1275,   927,  1990,  1992,
    1993,  4441,  4378,  1416,  4381,  4382,  4833,  3843,   994,  4386,
    4387,  4388,  1540,  4390,  4391,  4392,  5201,  2078,  3416,  3416,
    5507,  2159,  3416,  1971,  1973,  5176,  3804,  1976,  3482,   928,
    2193,   927,  5438,  2363,  4332,  4951,  2106,  4953,  1460,  1276,
    2220,  1487,  1267,   929,  3669,  5098,  1315,  1496,  5716,   993,
    3703,  4847,   931,  5477,  1386,  5453,  3515,  1653,   997,  1510,
    4438,  2124,  1624,   928,   927,  1439,  2141,   282,   175,   293,
     278,   283,   184,   286,   285,  3633,   187,   929,   188,   189,
     288,  5725,   209,  1676,   227,   232,   931,   262,   281,   287,
     296,  6106,  5830,  5742,  5831,  1198,   928,  1871,  1891,  5746,
    3327,  3253,  1241,  3200,  3200,  5685,  5724,  5419,  6153,  5735,
     929,  5546,  6218,  1233,  1261,  6190,  6322,  6099,  1386,   931,
    4822,  3974,  4721,  1439,  2369,  2370,  1340,  6067,  6243,  6235,
    4641,  4018,  4453,  3989,  1898,  6362,  1303,  4021,  1612,  4863,
    1893,  1616,  1157,  2443,  2464,  4744,  2385,  5734,  2396,  4741,
    1157,  3997,  5160,  6358,  6375,  2378,  3327,  5968,  1920,  2366,
    2367,  6202,  1540,  6204,  2073,  1923,  6095,  1532,  6583,  1950,
    1951,  2377,  1307,  3327,  4858,  3088,  6098, -2435,  2275,  5601,
   -1999,  1633,  1963,  4643,  5417,  6271,  5422,  5423, -1999,  1439,
   -3728,  2318,  3416, -1958,  4654, -1971, -1991,  2073, -1996, -3728,
   -3728,  1439,  2073, -2016,  5804,  5805,  5806, -3729,  5808,  5809,
    5810,  5811,  5812, -3726,  6319, -3725, -3729, -3729, -2854,  3126,
   -1986,  4677, -3726, -3726, -3725, -3725,    39, -2854, -2854,    39,
      39,  5850, -2434,    39,  2589,    39,  1642,  1953,  1956,   340,
    2356,  1340,   340,  6626,    38,    39,   340,  1732,  1733,  4409,
      40,    38,    39,    40,  2470,   340,   340,    40,  5186,  3784,
    5224,    38,    39,  3307,  1732,  1733,  3133,    40,   340,  6622,
    6777,  4852,  6570,    38,  1963,  6504,  2449,  3761,  1329,    40,
    1344,  6779,  6313,  6285,  6286,  1724,  4606,  3968,  7078,  1015,
    6934,  1519,  5115,  3353,  3768,  3905,    35,   340,  3611,  3135,
      37,   340,    38,    39,  2045,  3480,    39,  4133,    40,    39,
    -163,   340,    40,  4654,  5147,  -163,  2356,  2589,  5259,    35,
    6623,  -163,  3494,    37,  3761,  4677,    39,  1253,  1857,  1704,
    3150,  4133,  5749,  2262,    39,  6350,  4896,  2267,  2297,  2268,
    1868,  1674,   936,  2356,  4643,   336,  2356,  2366,  2367,  3133,
    2356,  3745,   937,  1317,  6409,  6883,  6311,  4592,  1340,  2266,
    3275,  2003,  4292,  4410,  6764,  4322,  3497,  3575,  5683,  2228,
    2356,  4791,  2356,  1540,  4792,  4793,  3644,  3903,  1465,  2356,
    3276,  2225,  3135,  2244,  2377,  4794,  4795,  4796,  5614,  4797,
    4798,  6756,  4164,  3341,  4799,  4800,  4801, -2625,  2567,  3645,
    4359,  6784,  6585,  6542,  1013,  5965,  4134,  1511,  4323,  6234,
    6248,  3764,  5974,  1690,  1991,  4000,  6465,  3103,  3780,  2046,
    2115,  6825,  6628,   146,  2257,  6060,  3769,  6501,  4187,  4169,
    4134,  2133,  4094,  4596,  1009,  3814,   955,  1009,  4837,  3589,
    3380,  4326,  4135,  4324,  1512,  5633,  5665,  3500,  7115,    35,
    5976,    39,  4730,    37, -1113,  2134,     3,   938,  5982,  4644,
    6449,  7122,  3905,   151,  7079,  3075,  5260,  4677,  5634,  6883,
    4655,  2584,  3439,  5666,  4913,  1386,  4327,  4838, -1526,  3075,
    6363,   956,  2413,  1513,  1637,  4136,  1010,  6466,  3353,  1266,
    6629,  4919,  6935,  1057,  3345,  4188,  3127,  4453,  2116,  2589,
    3078,  6826,  6744,  1691,  3612,  3353,  4001,   158,  2403,  3122,
    3123,   955,  3765,  3815,  1310,  1311,  1331,  5020,  1563, -2261,
    4597,  3353,  1285,  3590,  1663,  4095, -2261,  2446,  1668,  1669,
    1670,  3133,  3353,  1514,  1058,  3353,   949,  3947,  1681,  4622,
    2280, -2280,  2107,  5946,  3948,  2403,  6061,  4802, -2280,  3353,
    2357,  6765,  3761,  3104,  4454,  3353,   956,  4453,  1064,  1064,
    6543,  6873,  2498,   162,  3135,  4453,  3646,  3904,  5087,  2226,
    2244,  3284,  4169,  3576,  5684,  4411,  2281,  1728,   995,  2512,
    3277,  2004,  3761,  2453,  -459,  3422,  5615,  6820,  1676,  4655,
    4113,  3816,  1675,  1676,  3817,  4137,  2522,  3458,  6821,  2526,
    4374,  5098,    87,  6883,  1301,  2501,   939,  4593,    88,    89,
    5261,  4896,  6727,  2252,  6541,    92,    93,  1318,  6410,  4137,
    4644,    94,  6755,  6314,  5116,  5005,  2357,  1303,  1880,  5580,
      95,  2403,    96,  5694,    97,  3473,  3474,  3746,  3450,  2113,
      99,  3453,  6091,  3380,  4634,  6683,  1691,  1691,  4849,  6936,
    6688,  6689,  1524,  2357,  1964,  3770,  2357,  3524,  3525,  1072,
    2357,  3481,  2502,  5187,  1540,  3347,  1985,  3460, -2625,  5935,
    4412,  6952,  2364,  3312,  5743,  5148,  3771,  1409,  5257,  3381,
    2357,  2047,  2357,  3906,  1254,  3613,  5975,  1705,  2281,  2357,
    2380,  2381,  2583,  1727,  6624,  1308,  5148,  5984,  2380,  2381,
    4645,  5588,  6627,  5513,  1430,  6937, -2435,  5592,  1431,  2382,
    4803,  4656,  3705,  3818,  3089,  2358,  4731,  2384,  3523, -3728,
    6516,  5419,  2368,  3734,  2372, -1991,  2471, -1996,  6625,  6778,
    5402,  3394,  2543,  1959,   934,  6171, -3729,  6578,  6140,  4692,
    6780,  3800, -3726,  3101, -3725, -2625,  1964, -2854,  3676, -1986,
    2048,  1309,  3059,  3495,  2442,   116,  3585, -2625,  2586,  3076,
    7006, -2434,  3980,  3744,  7061,  1965,  1966,  3681,  1154,  1155,
    1016,  5015,  5016,  5914,  4804,  3759,  5017,  6709,  4360,  4865,
    3395,  4866,  1965,  1966,  6865,   122,  1467,  3348,   293,  6951,
    1468,  2386,  1470,  1469,  1338,  1339,  6581,  3498,  5882,  1471,
    5884,  5885,  2133,  4732,  6875,  3363,   126,  6864,  1540,  1263,
    3207,  7037,  3193,  3184,  3531,  1534,  1540,  1540,  2400,  1518,
    3185,  2411,  5098,  1338,  1339,  2433,  2134,  1154,  1155,  6894,
    3819,  3198,  3056,  3057,  3058,  3059,  -163,  -163,  4687,  4688,
    4689,  4690,  4691,  4692,  5074,  2436,  2125,  2403,  3501,   927,
    4748,  1464,  6829,  5141,  5254,  3382,  3514,  1303,   129,  1064,
    1430,  1422,  4810,  4046,  1431,  7107,  5079,  5080,  5657,  1694,
    1928,  1343,  6851,  5021,  6840,  5307,  5308,  3226,  3502,  7116,
    3331,   928,  3381,  1519,  6487,  3806,  3383,  4059,  7121,  4142,
    3762,  4063,  4805,  4733,  5312,   929,  5947,  1655,  2281,  1881,
    4227,   293, -2261,  5060,  1320,  6954,  5254,  6799,  1656,   955,
    1662,  3384,  1667,  5139,  2037,  1541,  1080,  5493,  1671,  4454,
    3949,  1647,  5160,  5551, -2280,  1064,  2281,  3285,  4114,  3331,
    5653,  6754,  5695,  6822,  5656,  3724,  2403,   135,  5467,  1694,
    5293,  3727,  2502,  2443,  1662,  1667,  3331,  5775,  5776,  5777,
    5778,  5779,  3378,  3380,   956,  3403,  2199,  5196,  6728,    75,
    5370,  2126,  6748,  2314,  3146,  1423,  1073,  1275,  3896,  4018,
    1520,  1932,  1652,  6349,  4827,  3838,  1882, -1930, -1704,  4454,
    3666,  3667,  4689,  4690,  4691,  4692,  1343,  4454,  1721,  1277,
    1661,  7005,  1666,  3072,  4816,  1356,  1943,  4209,  1483,  2200,
    6902,   941,  1680,   942,  6736,  4510,  2315,  3557,  6942,  3452,
    1276,  2356,  3054,  3055,  3056,  3057,  3058,  3059,  1303,  1206,
     813,  6747,  1703,  1206,  1697,  1699,  2299,  1074,  5696,  2038,
     760,  1424,  6957,  6958,  2454,  3627,  3380,  2456,  1674,  6121,
    2460,    74,  2462,  5202,  1268,  2465,  2204,  1595,  2052,  2469,
    1726,  3106,  2205,  4219,  5929,  4210,  3119,  3119,  3382,  1674,
    1858,  5766, -1704,   150,  1870,  1541,  1872,  5507,  6900,  6355,
    1075,  5451,  1076,  3715,  4594,  3306,  2244,  4850,  1734,  4133,
    1278,  4677,  1277,  6903,   152,  4678,  4679,  4680,  3265,  3383,
    2422,  1148,  1734,  4891,  1425,  4677,  4511,  6852,  7069,  4678,
    4679,  4680,   155,  1343,  6874, -3447,  6654,  5579,  3880,  6787,
      39,  6473,  1269,  5096,  3384,  1149,   339,   159,  1148,  5697,
    5847,  6996,  2029,  3079,  1535,  5710,  4071,  1861,  6017,  6866,
    2045,  3380,  1279,  2423,  5203,  6981, -2564,  6146,  6254,  1521,
    1386,  6176,  1149,  3364,  6491,  2127,   758,   758,  4143,  3756,
    3757,  1975,  6018,  3157,  6818,  3378,  2058,  3365,   927,  3366,
    6147,  2206,  1660, -2604,  1665,  4189,  6148,  4162,  7039,  2349,
    4211,  3380,   340,  1278,   945,  1952,  3228,  1522,  4134,  4047,
    6149,  1439,  6853,  2350,  3370,  6904,  1955, -1704,  2128,  4932,
     928,  1867,  3381,  2391,  2201,  1875,  1696,  1698,  1674,  1206,
    1206,  2316,  1682,  4674,  4675,  1873,  1270,  5193,  4694,  4661,
    1899,  6854,  5129,  2039,  6191,  4397,  6085,  1646,   340,  5537,
    3371,  6959,  1725,  2129,  6177,   934,  3367,    39,  3099,  3314,
    4228,  3160,  4190,  1974,  6566,  4330,  1270,  2584,  5848,  3321,
    2351,  1702,  1523,  6574,  1524,  2046,  3663,  6422,  1525,  4725,
    4726,  7085,   946,   945, -1704,  1369,  2040,   830,  1999,  2000,
    1944,  5942,  1370,  1371,  1372,  3881,  6116,  3380,  3158,  6563,
    3380,   946,  6577,  6097,  3684,  3381,  1541,  2227,  3558,  3161,
    5197,  5930,  4220,  4681,  3683,  5959,   761,  1343,  3696,  6474,
    6591,  2041,  4682,  4369,  6592,  5508,  6617,  6576,  5698,  6580,
    7004,  3702,  4453,  3286,  7053,  4453,  4682,  6562,  2202,  3073,
    6122,  7011,    35,  5204,  6150,  2317,    37,  1357,  3693,  3483,
    1484,  2357,  3440,  3665,  4595,  3443,  3444,   943,  2424,  4439,
     947,   946,  3380,   948,  3380,  1280,  4512,  6579,  6153,  3658,
     927,  4083,  6905,  3568,  2352,  2207,    76,  2300,  3455,   947,
    4212,  4513,  2392,  1721,  7038,  1148, -3447,  1271,  1343,  1198,
    2183,  4048,  5892,  4048,  3327,  2042,  5896,  4137,  3382,  1596,
    3381, -1704,   928,  6977,  5699,  3073,  3701,  1987,  4683,  1149,
    3721,  4892,  3380, -1792,  1676,  7067,   929, -2564,  2208,  5205,
    1676,  1683,  4683,  6686,  6550,  2243,  3163,  4828,  3854,  3383,
   -2628,  5801,  3516,  3932,  4259,  5130,  3801,  3803,  6483,   947,
    3381,  6994,   948,  3810, -2604, -1704,  7086,  2353, -1704,  3824,
    3825, -2431, -3447,  2209,  3384,   759,  1675,   293,  1280,  -721,
    6798,  3848,   935,  1386,  1386,  6477,    35,  1675,  3545,  3682,
      37,  3868,  2425,  6019,  4398,  4453,  1685,  3883,  4929,  1313,
    1006,  3382,   949, -2564,  3695,  1988,  6738,  3697,  1059,  4260,
    3530,  6888,  3164,  6398,  1077,  3378,   935,  6947,  4030,  5934,
    6423,   949,  6151,  2391,  2341,  3287,    75,    75,  4495,    75,
   -2604,  6532,  3383,  6534,  6152,  1207,    39,  6538,  6539,  3623,
    1988,  1207,  1207,  1263,  6745,  5756,  1422,  4144,  3707,   935,
    3290,  1647,  1270,  2455,  3970,  2457,  3381,  3384,  2461,  3381,
    2463,  3291,  4979,  2466,  2467,  2468,  3624,  5100,  6064,  3243,
    2354,  4261,  2348,  3243,  5441,  3747,  2475,  4452,  2019,  3753,
    3754,   949,  1212,  1989,  5647,  7065,  3738,  4229,  2506,  5651,
   -1791,  2504,  3275,  2505,  6551,  3743,  3382,  3933,  3378,  3748,
    3222,   946,  3934,  3799,  3755,  4820,  1285,  3758,    74,    74,
    5721,    74,  4076,  4930,  2379,  5103, -1792,  1541,  1989,   950,
    2244,  3381,  3288,  3381,  3973,  6888,  6674,  3383,  6871,  6872,
    4829,    35,  2020,  1386,  1126,    37,  3382,  5722,  2393,  3953,
    5675,  4684,  4685,  4686,  4687,  4688,  4689,  4690,  4691,  4692,
    1423,  5559,  3384,  3935,  1127,  4684,  4685,  4686,  4687,  4688,
    4689,  4690,  4691,  4692,  3472,  3151,  3152,  3383,  3156,  3580,
    1932,  3381,  1932,  1148,  6552,  5712,  5105,  4980,  5098,   947,
    6369,  4316,  2392,  5013,  2130,  6863,  5023,  4317,  6370,   955,
    6364,  1128,  3384,  3378,  6948,  4262,  1430,  1149,   950,    93,
    1431, -2628,  6399,  4815,  2585,   949,   813,   813,  1276,  1276,
    3131,  1276,  5674,  2587,  3717,  3676,  1424,    97, -2670,  5096,
    4031, -1958,  4853,   951,  6789,  1710,  4453,  4453,  6663,  3077,
      87,  5267,  3382,  3378,   956,  3382,    88,    89,  1012,  2507,
     949,  3292,  6936,    92,    93,  5715,  2021,  5577,  5062,    94,
    5495,  6685,  6911,  4023,  4092,  3739,  3623,  5442,    95,  6888,
      96,  1541,    97,  3383,  3108,  3110,  3383, -2628,    99,  1541,
    1541,  6427,  3625, -1791,  4454,  5670,  4362,  4454,  3280,  1425,
    5721,  1216,  5560,  3624,  3293,  2095,  1291,  6052,  3384,  3740,
    3954,  3384,  5108,   146,   813,  3581,  4318,  3382,  5553,  3382,
    3983,   949,  6950,  3741, -1958,  1292,  3281,  5722,  3936,  5676,
    3401,  3264,  3277,  3093,  3094,  1293,  4673,  1711,  1375,  1376,
    1377,  1378,  1379,  1380,  1381,  1382,  1383,  4263,  3383,  3378,
    3383,  7007,  3378,   151,  4077,  4264,  4078,   758,  4265,  5109,
    6769,  1910,  3742,  5723,  4931,  4932,  1343,  3382,  2281,  3281,
   -2456,  1343,  1343,  3384,  -186,  3384,  5110,  3503,   934,  6365,
    2542,  4981,  3445,    35,  3160,  1066,  4024,    37,  3419,  1206,
    3269,  3423,  6371,  5564,  6366,  4933,  4266,   158,  3383,  1916,
    1172,  -402,  3270,   116,  6329,  -186,  1028,  1217,  5523,  4022,
     160,  7003,  6569,  6790,  3378,  5561,  3378,  6194,   138,   927,
    3271,  3204,  6198,  3384,  4982,  6200,  5268,  3322,   102,   103,
    1206,  -402,  3161,   122,   161,    87,  2588,  4454,  2393,  2589,
    1294,    88,    89,  5524,  6912,  2026,  3476,  5479,  2027,  6913,
     146,   928,  3409,  4032,   126,  3218,  3220,  6428,  6330,  4983,
    5096,  6331,  2171,  2394,  3378,   927,  6833,  1911,  6332,  3433,
    5671,  3133,  2029,    99,  6584,  2019,  3402,  2029, -3730,  4266,
    1030,  5111,  1855,  4278,  6270,  6914,  1206,  1918,  6429, -2670,
     151,  1343,  6500,   927,  1126,  2133,  6333,   928,  3282,  3162,
    4319,  1971,  1973,  1206,  3135,  1976,   129,  4453,  5446,  6079,
    1295,  4453,  1422,  6817,  1127,  4146,  4325,  6138, -1958,  2134,
    1712,  2133,  3243,  3504,  5565,   928,  3323,  1177,  2172,  2020,
    4242,  4159,  3243,  6742,   158,  5480,  4547,  3446,  1919,   929,
    5258,  5525,  3447,  4320,  1343,  2134,  6397,   160,  2243,  3163,
    6961,  1128,  6284,  2029,  1343, -2670,  6334,  2029,  5270,  1856,
    5323,  3584,  5324,  4907,  1713,  2589,  1714,  -402,  -402,  6335,
    2173,   161,  3459,  5439,  5294,  2332,  3455,  2174,  4321,  5298,
    3467,  2175,  6336,  -485,  1183,   135,  5469,   134,   116,  1296,
     162,  5319,  5320,  5321,  5322,  6367,  3272,  5326,  5327,  5328,
    5329,  5330,  5331,  5332,  5333,  5334,  5335,  6990,  3243,  3095,
    1059,  4243,  6066,  5481,  4147,  3164,  1423,  5482,   122,  1916,
    2403,  6223, -3730,  1881,  6879,   134,  1187, -3730,  2403,  4277,
    3135,  6991,  5668,  4458,  4459,  4460,  4461,  1343,  4463,   126,
    1343,  1343,  2095,  2021,  4254,   934,  4908,  5297,  6386,  3736,
    5440,  6090,  5302,  5303,  2162,  5027,  2349,  4452,  6229,  5018,
    6231,  5374,  5375,  4491,  1041,  5549,  1042,  4304,  4454,  4454,
    2350,  5024,  4363,  4364,  4365,  6281,  6763,  6039, -3730,  6040,
    6041,  6042,  1424,  3096,  7041,  5306,  6077,  5282,   146,  6746,
    5943,   129,  4252,  2296,  4253,  4369,  4346,  2163,  3426,  6282,
    1882,  5069,  2205,  3429,  4353,  7031,  5669,  1918,  2022,  -485,
    5022,   150,  1721,  4524,  3416,  3599,  1186,  5325,  6056,  3604,
    6058,  2436,  5025,  6445,  1188,  4909,   146,  3720,   151, -1958,
    6595,  6561,   152,  4331,  4328,  7096,  3140, -1958,  5019,  2368,
   -1958,  2014, -1958,  3736,  5550,  1425,  6604,  2023,  2010,  5239,
     155,  2024,  7109,  1343,  4123,   141,  4127,  4128,   138,  5061,
     927,  2176,  3994,  3773,  5944,   159,   151,  3736,  1916,  4329,
     135,  5410,   158,  1540,  1917,  7084,  1028,  6535,  4126,  3506,
    4156,  1996,  6536,  3512,  1997,   160,  2025,  2011,  3995,  5470,
     146,  2012,   928,  3830,   293,  6337,  5471,  6605,  6338,  2300,
    2177,  1877, -1762,  5472,  2178,  5411,   929,  4453, -1762,   161,
     158,  4347,  5479,  3445,  2164,  3567,  3358,  6695,  3359,  6612,
    5898,  6068,  2026,   160,  3785,  2027,  2013,  4049,   162, -1451,
     151,  2352, -1451, -3730,  6540,  6188,    35,  6537,  6253,  2179,
      37,  6475,  5473,  5413,  5172,  4251,  2180,   161,  4120,    75,
    1030,  1467,    75,   293,   935,  1468,  1918,  1470,  1469,  6867,
    -633,  6762,  5436,  4425,  1471,  5474,  6880,  1215,  6476,  3722,
    6069,  3723,  1006,  3370,   158,  3725,  2028,  3726,  1129,  5508,
    3728,  1006,   759,  1242,  3729,  3360,  6289,   160,  5915,  1006,
   -1762,   759,  1006,  4057,  1386,  6696,   150, -1716,  6573,  2133,
    5480,  1654, -1716,  1998,  2353,   759,  4484,  1919,  2005,  3371,
   -1716,   161,  5508,  1256,  1990, -1716, -1716,   152,  4787,  4155,
    2143, -1716,  3084,  2134,   759,  6770,   146,  3085,  4259,  4454,
    1130,    74,  4813,  4454,    74,   155,  1265,  2589,  6281,  3789,
   -3730, -1762,  6048,   759,  2016,  6963, -1527,  2300,  3822,   759,
     159,  2006,  3054,  3055,  3056,  3057,  3058,  3059,  6831,  1709,
    6771,   759,  6282,  2144, -3521, -1716,   151,  4849,  3446,  3133,
   -1716,  5415,  1281,  3447,   934, -1715,  6049,  6953,  5481,  5409,
    1405,  1536,  5482,  4260,  2436,  4453,  2007,  2017, -1715,  2168,
    4976,   759,  4453,  2436, -1715,  5409,  1006,  4453, -1716,  6673,
    4453,  1593,  3135, -1716,  4442,  1006,   759,  2354,  3111,  4258,
     158,  1406,  1006,  4093,   759,  1006,  5664,  1288,  2195,  7063,
    3681,  7066,  2018,   160, -1138,  1894,  2146,  1593,   759,  4453,
    2146,  5253,  2169,  4977,  1041,    76,  1042,  1905,  4426,   957,
    3519,  6835,  6836, -1715,   759,  4261,  1123,   161,  2147, -1716,
    1014,  3112,  2147,  3520, -1716,  2584,  2133,  5410,  5508, -1716,
    1120,  2196,  4453,  1046, -1716,  2197,   162,  2170,  4978,  6291,
    3517,  1148,  7091,  5410,  1268,  1511, -1715,  5254,   141,  1250,
    2134,  2588,  1213,  3521,  2589,  7108,  7112, -1763,  3464,   927,
       8,  5411,  4350, -1763,  1575,  1149,  2198,    38,  7117,  4295,
    2148,  4296,   759,    40,  2148,  4300,  5412,  5411,  7068,  3425,
    4528,  5100,  1512,  3518,  1028,  7092,  3133,  5101,  4789,  3465,
    1575,   928,  5412, -3730,  2320,  5209,  1313, -1715,  5028,  5413,
    5210,  5102,  1006,  1006,  1319,   929,  2430, -1715, -1111,  1207,
    6929,   759,  1269,  1207,  3902,  5413,  6992,  1734,  2321,  3135,
    4677,  5142,  5616,  3586,  4678,  4679,  4680,  6390,  5414,  5103,
    2431,  5104,  6281,   935,  7013,  6930,  3353,  7014,   759,  4262,
    1006,  6993,  5363,  3616,  5414, -1763,  5617,  3913,  3354,  3914,
     759,  6391,  1332,  3676,  6940,  2136,  6282,  4279,  1030,  4862,
    3353,  1330,  2149,  2380,  2381,  4282,  2149,  4864,  4285,  2380,
    2381,  1514,  3361,  6195,  2212,  3915,   340,  2216,  4453,  5793,
   -1716,  4897,  2382,  6785,  1333, -1716,  4427,    40,  2384,  6786,
    5105,  4727,   759,   759,  1430,  5800, -1763,  4961,  1431,  4454,
    2444,  5536,  6503,  5823,  2445,  5926,  1270,  6507,  6508,  4962,
    5828,  5829,  5750,  2375,  2376,  1032,  4937,  5210,  4610,  5106,
    4612,  4613,  6596,  1903,  1334,  2150, -1704,  5415,  6295,  2150,
    2151,  4811,  1335,  2123,  2151,  2035,  5096, -3730,  2140,  4428,
    3916,  3988, -3730,  5415,  1336,  2444,  3454,  1285,  1430,  3712,
    3454,  1903,  1431,  1430,  6489,  4618,  5158,  1431, -1715,  3144,
    3196,  3197,  6494,  6495,  6999,  5526,  1337,  5533,  4453,  4619,
    1430,  4263, -2435,  4620,  1431,  6296,  5494,  1344,   146,  4264,
    4676,  2153,  4265,  5511,  7094,  2153,  2244,  7097,  1352,  1207,
    1207,  3243,  4704, -3730,  4019,  4020,  3917,  3918,  3919,  3920,
    6297,  5107,  4900,  3921,  3922,  1354,  5108,  4746,  4703,  3923,
    4705,  4706,  4607,  1006,  1006,   935,  6928,  5717,   151,  6298,
     998,  1485,   759,  1486,  6299,  3528,  3529,  1006,  4728,  1367,
    2155,  4682,  1593,  1006,  2155,   102,   103,  1006,  6196,  1006,
    1368,  5269,  1041,  1593,  1042,  3889,  6300,  5552,  3892,  4576,
    6301,  3140,  6188,  5109,  2156, -1138,  4869,  1271,  2156,  1593,
    6378,  2368,   158,  3254,  1411,  6302,  5881,  1420,  1045,  6828,
    5110,  2296,  4759, -1786, -1786,   160,  2158,  4454,  4566,  1421,
    2158,    35,   340,  5466,  4454,    37,  1429,  4971,  2368,  4454,
    3254,  5508,  4454,    40,  3917,  3918,  3919,  3920,  5088,   161,
    1473, -2427,  1006,  1475,  1006,  1006,  1430,  5145,  1685,  1488,
    1431,  1489,  2245,  1480,  2246, -2428,  2146,  4683,   162,  4453,
    1430,  4454,  1685,  1507,  1431,  2261,  5221,  5222,  5228,  5229,
    5230,  5117,  2368,  1493,  2014,  2452,  2270,  2246,  2147,  5226,
    5227,  5228,  5229,  5230,  3990,  2514,  -632,  2246, -3730,  5773,
    3196,  4044,  2278,  1593,  4454, -1789, -1789,  1540,  2529,    87,
     162,  2368,  1515,  3254,  4577,    88,    89,  3924,  1516,  5409,
    5936,  6303,    92,    93,  3130,  5111,  2246,  1517,    94,  3925,
    5226,  5227,  5228,  5229,  5230,  3981,  1530,    95,  5231,    96,
    2148,    97,  1386,  1527,   759,  4996, -3456,    99,  6848,  1543,
    5002,  6752,  4453,  5736,  1547,  5029,  4870,  4871,   340,  7042,
    4034,  3143,  3148,  3144,  2246,  5729,  3653,  3714,  3654,  3144,
    6246,  6247,    76,    76, -3457,    76,  6304,  3735,  4884,  3736,
    3737,  1538,  3736,  1006,  3777,  3993,  3778,  2436, -1790, -1790,
    4141,  4453,  1594,  4043,  4096,  3144,  4099,  5410,  1603,  4153,
    4234,  4154,  4235,  1303,  4403, -3730,  4404,  1604,  4529,  5530,
    3144,  4568,  1621,  3736,  4495,  4821,  1610,  3054,  3055,  3056,
    3057,  3058,  3059,  1628,   759,  1321,  1322,  4637,  4617,  4638,
    3144,  5411,  2149,   758,  7101,  4626,  1121,  3144,   934,  1593,
    4632,   759,  3144,  1540,  1323,  1649,  5412,  1324,  1009,  1975,
    4454,    40,    75,    75,  4633,  4652,  3144,  4362,   759,  3243,
    2380,  2381,   116,   759,  4663,  4696,  3144,  3144,  2588,  5413,
    4710,  2589,  3144,  1684,  1006, -3730, -3730, -3730,  4017,  4017,
    4684,  4685,  4686,  4687,  4688,  4689,  4690,  4691,  4692,  4715,
    6090,  4716,   122,  4249,  1685,  2150,  1541,  4764,  5414,  4765,
    2151,  4453,  4766,  3133,  4767,  4992,  4954,  4959,  4955,  4960,
    3134,  6643,  6644,   126,  1206,  1006,  3454,  4987,  5058,  4988,
    4988,  5169,  5180,  5170,  5181,  1693,  5008,  5454,  5508,  1689,
    5135,  1974,  2509,  1700,    74,    74,  3135,  5184,  1325,  5185,
    4454,  6795,  6796,  2053,  1006,  1006,  1006,  3119,  1006,  1707,
    4873,  2153,  1872,   927,  5510,  5217,  5512,  5218,   934,  5515,
    2588,  3065,   934,  2589,  5219,   129,  3144,  1708,  1718,  1006,
    6162,  5344,  1326,  5345,  5355,  5366,  5356,  3144,  1343,  2054,
    5449,  1719,  5450,  6158,  6159,   928,   934,  5455,  5465,  5456,
    4078,  5609,  5658,  3098,  5659,  3133,  5718,  5415,  3736,   929,
    2155,  1720, -3730,  3973,  5795,  1722,  2502,   759,  2243,  1206,
    3109,  1721,  5835,  1327,  3144,   759,   759,  5838,  1723,  5839,
    4294,  5872,  1729,  3144,  2156,  3681,  1731,  5938,  3135,  4078,
    5962,  5969,  5963,  3736,  1876,  5970,  1872,  3736,  5971,  6752,
    3736,  5263,  2055,  1879,   135,  5508,  2158,  6092,  1006,  6093,
    1883,  1884,  1006,  1006,  3136,  5536,  6131,  1885,  5218,  3137,
    1872,  6168,  6170,  6169,  3144,  6279,  1890,  6280,  1006,  6324,
    5118,  6325,  5120,   927,   935,  1895,  1901,   927,  4453,  2056,
    6344,  1900,  3736,   759,  6379,  1903,  6380,  5128,   934,  5131,
    1904,  4454,  2228,  6413,  6432,  6414,  6433,  6442,  1914,  2436,
    4745,   927,  6877,  1929,  6448,   928,  5155,  1930,  1931,   928,
    3139,  6450,  6471,  5155,  6472,  6524,  1934,  6525,  5960,   929,
     935,  1935,  6565,   929,  3098,  6593,  4339,  6472,  1941,  2057,
    4343,  1942,  4216,   928,  3973,  1540,  6634,  1540,  4716,  6635,
    1937,  3144,  1593,  6652,  1946,  6653, -3730,   929,   935,  1945,
    1947, -3730,  1343,  6658,   934,  2436,  4240,  1949,  5190,  1207,
    1343,  1977,  2035,  1343,  1978,  1979,  2035,  4376,  3140,  4376,
     150,  4376,  4376,  2059,  4454,   949,  4376,  4376,  4376,  5508,
    4376,  4376,  4376,  6661,  6694,  5155,  3778,  1994,  6700,  4453,
    3778,   152,  6701,  2001,  3778,  4453,  6704,  6705,  3144,  3144,
    1207,  2014, -3730,   927,  2008,  5527,  2061,  2076, -3727,   155,
    1593,  2079,  6706,  4454,  6707,  6734,  2050,  6735,  4821,  6803,
    6807,  6804,  2436,  1540,   159,  6808,  6830,  3144,  3736,  6844,
    2081,  6845,  5426,  2082,  4457,   928,  2117,  6869,  5490,  6870,
    6907,  6922,  5155,  3144,  6924,  5763,  3144,  1593,  6960,   929,
    6472,  6989,   141,  6666,  3329,  2119,  1207,  2063,  4240,  4485,
    3140,  7009,  7035,  7010,  5450,  3142,  2064,  2118,  5271,   927,
    7036,  2113,  3144,  1207,  7055,  2065,  7056,  7064,  2130,  3144,
    1593,  2132,  7072,  3330,  7073,  7082,  7118,  6804,  7073,  7120,
    7123,  7056,  7056,  5897,  2142,  5900,  6419,  2067,  2145,  2167,
    3186,   928,  3189,  2184,  4542,  2185,  2068,  2203,  2213,  5149,
    2217,  2069,  6405,  2214,  2223,   929,  2222,  2224,  1303,  2254,
    2256,  2258,  2263,  4454,  4407,  2269,  2274,  2277,  2279,  4453,
    2284,  1263,  2588,  2287,  2289,  2589,  2281,  2303,  2298,  2304,
    3399,  5316,  -150,  2306,  2309,  4451,   934,   759,  2311,  7040,
    5639,  2307,  2312,  2323,  5652,  2330,  2332, -3730,  2335,  2339,
     974,  2345,  2355,  1006,  1006,  1006,  2588,  3133,  2070,  2589,
    2360,  2361,  3050,  2362, -3730,  5343,  2364,  2368,  2371,  1263,
     759, -3730, -3730, -3730,  3054,  3055,  3056,  3057,  3058,  3059,
    2372,  2374,  1593,  2398,  2388,  2390,  2399,  2402,  2410,  2403,
    3135,  3133,  2414,  1593,  2416,  2417,  2419,  2421, -3730,  2426,
    2427,  2429,  2439,  2432,  2450,   935,  2435,  2035,  2588,  1593,
    2438,  2589,  1347,  2476,  2511,  2518,  5382,  2527,  5248,  6112,
    2528,  1359,  2520,  2523,  3135, -1962, -1969,  5644,   759,  1359,
   -1960,  2534,  1359,  2535,  2536,  2537,   759,  2538, -1963, -1961,
     162,  2540,  2541,  3133,   759,  2567,  2542,  2544,  2545,  1343,
   -3730,   927,  2546,  2547, -3730,  2548,  3066,  2549,   934,  2550,
    2551,  2552,  5373,  1593,   934,  5860,  3054,  3055,  3056,  3057,
    3058,  3059,  3068,  2553,  2554,  3540,  3135,  2555,  2556,  1006,
    2557,  2559,  1006,   928,  2560,  1593,  3551,  2561,  2562,  2563,
    4454,  1263,  1006,  4769,  4770,  4771,  5376,   929,  1593,  2564,
    2565,  2566,  3569,  2569,  3070,  2570,  4588,  2571, -3730,  2572,
    1593,  3072,  2573, -3730,  2574,  2575,  2576,  3102,  3114,  1674,
    3073,  3098,  3124,  1006,  1006,  3129,   759,   759,  3147,  3149,
    1917,  1919,  3180,  3195,  3182,  3192,  1347,  3202,  1006,  3213,
     759,  1006, -3730,  3205,  3203,  1359,  3214, -3730,  5377,  3216,
    1593,  1593,  1359,   759,   759,  1359,  3643,  3230,  3224,  6651,
    3221,  3227, -3674, -3669, -3730,    76,  5276,  3225,    76,  3229,
    3231,  3232,  3233,   927,  3249,  3250,  3251,  3252,  3659,   927,
    3254,  3257,  3255,  3256,  3258,  3259,  3260,  3261,  3267,  3283,
    3289,  1575,  3309,  3295, -3730,  3313,  3315,  3316, -3730, -3730,
    1541,  4454,  3317,  3674,  3319,   928,  3320,  4454,  3333,  1006,
    3337,   928,  3338,  1006,  1006,  3339,  3357,  3356,  3368,   929,
    3372,  3374,  3140,  3375,  3376,   929,  3386,  3387,  4711,  3388,
    3377,  3378,  3390,  3391,  4718,  3389,  3396,  3400,  3397,  3406,
    3410,  3407,  3420,  3700,  1575,  3421,  3424,  3427,  3430,  3431,
   -3730,  3434,  1006,  1006,  3441,  3436,  3140,  3437,  1006,  1006,
    3448,  3449,  3451,  3456,  3823,  1006,  1006,  1006,  1006,  1006,
    1006,  1006,  1006,  1006,  1006,  1006,  1006,  1006,  2095,  3466,
    3468,  1006,  1343,  1006,  5729,  1006,  1006,  1006,  1006,  1006,
    1006,  3470,  3475,  1006,  3477,  1006,  1006,  3478,  2244,  1006,
    4451,  4734,  1734,  4735,  3457,  4677,  4826,  4826,  3140,  4678,
    4679,  4680,  3462,  1593,  1006,  1006,  1006,  3463,  3469, -3730,
    6073,  3471,  3479,  3973,  3484,  3485,  3486,  2588,  3496,  4736,
    2589,  3499,  1006,  3510,   935,  3539,  1541,  3541,  3534,  3543,
    3544,  4454,  3542,  3505,  3527,  3548,  3549,  3555,  3550,  3552,
    3553,  3554,  3556, -3730,  3560,  3561,  3562,  3563,  1734,  3570,
    4451,  4677,  3133,  3574,  4821, -3730, -3730, -3730,  4451, -3730,
    3571,  1023,  3579,   934,   934,   934,  3587,  3598,  2164,  3602,
    3603,  5690,  5691,  3615,  3618,  3621,  3631,  3606,  3622,  3642,
    3635,  3648,  4821,  3639,  3916,  3135,  3656,  3649,  3652,  3668,
    3661,  3662,  3670,  3671,  1734, -3730,  3897,  4677,  3675,  3676,
    3678,  4678,  4679,  4680,  3686,  3679,  3688,  3689,  6492,  3690,
    3704,  3691,  3731,  4957,  3732,  3760, -3730,  3774,  3776,  5364,
    3749,  3787,  3884,  3806,  3851,  3811,  3890,  2589,  3054,  3055,
    3056,  3057,  3058,  3059,  3894,  3910,  3951,  3931,  3929,  3956,
    3917,  3918,  3919,  3920,  3957,  3968,  3979,  4737,  3976,  3977,
   -3730,  3982,  3984,  4738,  3985,  3986,  1269,  5869,  3999,  4011,
    4012,  4013,  3054,  3055,  3056,  3057,  3058,  3059,  4035,  1006,
    5006,  4014,  4028,  4036,  4050,  3088,  4067,  4068,   927,   927,
     927,  4070,  4088,  4097,  4102,  4100,  4105,  1347,  5924,  4110,
    4115,  4116,  4118,  1359,  4121,  4129,  4145,  1359,  1873,  1359,
    1877,  4150, -3730, -3730,  4160,  4152,  4682,  6046, -3730,  4166,
     928,   928,   928,  4167,  3054,  3055,  3056,  3057,  3058,  3059,
    4168,  4178,  4223,  1006,   929,   929,   929,  4191,  4196,  4197,
    4225,  4230,  4217,  4224,  5576,  4233,  4241,  4248,  4250,  4251,
    4271,  4272,  1734,  5051,  4288,  4677,  4308,  2300,  5179,  4678,
    4679,  4680,  4334,  4349,  1270,  4357,  4358,  4361,  4377, -3730,
    4383,  4389,  2334,  4370,  2336,  2337,  4384,  5865,   934,  4385,
    4405,  4431,  4394,  4416,  4417,  4821,  4435,  4437,  4445,  1006,
    4433,  4456,  4462,  4467,  4468,  4469,  4470,  4475,  4471,  4472,
    4480,  4376,  4683,  5846,  4482,  5162,  4478,  4483,  4486,  4487,
    4492,  4507,  4508,  5082,  5082,  4509,  4518,  4519,  4682,  4520,
    4521,  4739,  4523,  5099,  4525,  4556,  4533,  3140,  1541,  1997,
    1541,  4534,  4530,  4740,  6982,  4558,  5163,  6984,  4559,  4562,
    6986,  4564,  4532,  4570,  6112,  4571,  5175,  4572,  4573,  1064,
    4575,  4574,  4585,  4589,  5214,  5921,  4535,  4591,  4683,  4598,
    4601,  1694,  4603,  4631,  4611,  4651,  4536,  4647,  3828,  4709,
    4634,  4712,  4544,  4545,  4729,  4743,  2436,  2433,  2400,  4579,
    5153,  4580,  4590,  1691,  5213,  4628,  5785,  5786,  5787,  5788,
    5789,  4649, -2253,   927,  4629,  4630,  4753,  4642,  1064,  4653,
    4724,  4817,  4673,  4659,  4683,  1343,  4760,  4664,  4662,  4665,
    4669,  4823,  4671,  4362,  4672,  5189,  1541,  4695,  4700,  4701,
    4830,  4867,  4708,  3144, -3730,   928,  4723,  4754,  4756,  4832,
    4787,  5380,  4834,  4758,  4836,  4851,  4879,  4843,  4872,   929,
    4875,  4857,  4856,  4818,  4874,  4881,  4893,  4894,  3567,  4904,
    4855,  5957,  2444,  4905,  4860,  4906,  4910,  4542,  4912,  6057,
    4918,  4861,  4916,  4917,  4921,  4924,  4682,  4928,  4922,  4939,
    4940,  4942,  4948,  4949,  4950,  1006,  1006,  1006,  1006,  1006,
    1006,  1006,  1006,  1006,  4958,  1006,  4966,  4991,  4993,  4975,
    4989,  4995,  4997,  4999,  5003,  5004,  5007,  1006,  5010,  5009,
    1006,  5014,  5032,  5033,  5790,  5011,  5012,  5030,  5031,  5036,
    5034,  5038,  5035,  1263,  5037,  4684,  4685,  4686,  4687,  4688,
    4689,  4690,  4691,  4692,  5039,  5040,  5047,  5041,  5042,  5050,
    5054, -3730,  3455,  5044,  6184,  1263,  5046,  5043,  5052,  5056,
    1386,  5057,  5045,  3054,  3055,  3056,  3057,  3058,  3059,  3494,
    3497,  5073,  4683,  5063,  6013,  5066,  1006,  5067,  5068,  5070,
    1006,  5078,  5086,  1006,  5084,  1006,  5121,  5133,  1006,  5126,
    5127, -3730, -3730, -3730,  4687,  4688,  4689,  4690,  4691,  4692,
    5137,  5140,  5144,  1006,  5157,  5173,  4497,  2543,   934,  5174,
    5178,  5194,  1006,  1006,  5155,  5387,  5388,  5389,  5390,  5164,
    1734,  5208,  5177,  4677,  6206,  5211,  5154,  4678,  4679,  4680,
    2053,  1343,  5182,  5241,  5242,  5243,  5244,  4684,  4685,  4686,
    4687,  4688,  4689,  4690,  4691,  4692,  5167,  5216,  5233,   759,
    3715,  5223,  5235,  5225,  5245,  5264,  5265,  5249,  5266,  5246,
    5247,  5361,  5272,  6518,  2529,  6520,  2054,  5273,    76,    76,
    5274,  5275,  5277,  6075,  5278,   759,  5285,  5289,  5279,  5280,
    5281,  5290,  1593,  5295,  5291,  5296,  1593,  1593,  1467,  5299,
     293,  5304,  1468,   759,  1470,  1469,  5305,  4677,   935,   759,
   -2252,  1471,  5368,   759,  5357,  5369,  5428,  5292,  5399,  5443,
    5424,  5446,   759,  5310,  5448,  5452,  5317,  5340,  5341,  5476,
    5433,  5342,  5487,   927,  5486,  5349,  5372,   759,  5430,  2055,
    1006,  5383,  5394,  5400,  5408,  5461,  5488,  5468,  5489,  5434,
    5432,  1006,  5437,  1593,  1006,  5496,  1006,  1006,  5497,  1593,
    5499,  5503,  5500,  4164,  5518,   928,  5522,  5521,  5542,  5539,
    5554,   759,  5555,  5558,  5556,  5557,  2056,  5570,  5568,   929,
    5569,  5571,  5582,  5572,  1207,  5573,  6024,  6025,  5350,  6027,
    5584,   759,   759,  5585,  5602,  4684,  4685,  4686,  4687,  4688,
    4689,  4690,  4691,  4692,  5591,  5613,  1593,  5603,  5629,  5630,
    5608,  5632,  5980,  5528,  5646,  5648,  5635,  5612,  5649,  5645,
    5650,  4498,  5661,  5672,  6671,  5687,  2057,  2449,   935,   759,
    5682,  5693,   935,  5707,  5701,  4451,  5708,  6341,  4451,  5713,
    6529,  5720,  5714,  5731, -3730,  6682,  4122,  5737,  5738,  5757,
    5754,  5755,  4130,  5758,   759,  5759,   935,  5761,  5767,   934,
     759,  3761,  5791,  5762,   934,  5797,   934,  5783,  5772,  5798,
    2059,  5769,  5807,  5815,   759,  5814,  5818,  5816,  5593,  1207,
    5817,   759,  4267,  5819,   759,  5820,  5821,  5832,  5837,  4294,
     759,  5843,   934,  6718,  6720,  5826,  5827,  1734,  5849,  4172,
    4677,  5852,  5853,  2061,  4678,  4679,  4680,  5774,  5854,  5099,
     759,  5858,  6241,  1285,  5871, -2254,   759,  5886,  5875,  5889,
    5893,  5894,  5866,   759,  5891,  5901,  5902,  5908,  5907,  5906,
    4683,  5909,  5920,  5922,  5923,  5933,  5937,  5581,  5939,   759,
    5941,  5945,  5965,  5964,  5977,  5978,  5979,  5981,  6260,   141,
    5983,  5988,  5594,   759,  4499,  5595,  5989,  5596,   935,  5990,
    6002,  6005,  6011,  2064,   759,  4267,  6009,  6015,  6016,  6020,
    6021,  6255,  2065,  6028,   927,  6029,  6037,  6036,  4451,   927,
    3330,   927,  1006,  1006,  1006,  6038,  6047,  6043,  1006,  6050,
    6054,  1343,  6055,  6259,  2067,  6062,  6070,  6065,  6072,  6071,
    6074,  6078,  6080,  2068,  6084,  5638,   928,   927,  2069,  6086,
    6089,   928,  6096,   928,  6094,  1006,  1593,  6261,  6100,  1343,
     929,  4376,  6101,  6103,   935,   929,  4376,   929,  6105,  4500,
    6108,  4267,  6107,  6109,  4216,  3736,  5547,  6118,  6124,   928,
    4267,  6126,  6308,  6132,  6137,  6136,  6142,  6173,  6156,  6163,
    6174,  6157,  6167,   929,  6183,  6199,  6208,  1006,  6213,  6175,
    6215,  6219,  4240,  6222,  6185,  2070,  5740,  6230,  6245,  4501,
    4267,  6189,  6192,  6847,  6711,  6233,  6237,  6249,  6203,  6250,
    6251,  6232,  6252,  6263,  6264,  6257,  6268,  6274,  6275,  4490,
    6276,  6287,  6309,  1593,  5671,  6315,  6317,  1386,  6327,  6320,
    6347,  6323,  6328,  6352,  6348,  6360,  6357,  6376,  6381,  4401,
    6389,  4682,    69,  6395,  6387,  6407,  1006,  6388,  2146,  6406,
    6411,  4821,  1999,  2000,  6424,  5744,  6402,  6434,  6412,  6425,
    5099,  6724,  6440,  1386,  6467,  5213,  6469,  6444,  6479,  1347,
    2147,  6447,  1347,  4684,  4685,  4686,  4687,  4688,  4689,  4690,
    4691,  4692,  6486,  6488,  6490,  6496,  6498,  6421,  6504,  6510,
    6546,   934,  6549,  6544,  6553,  6557,  5518,  6559,  6567,  6572,
    6586,  6426,  6925,  6926,  4542,  4542,  4542,  4542,  4542,  6582,
    6587,  6588,  6589,  1359,  1359,  6590,  6599,  6607,  6600,  6601,
    6611,  6616,  2148,  5528,  6609,  6632,  6602,  4683,  1359,  6621,
    3286,  1359,  6631,  6636,  6645,  6650,  6662,  6664,  6668,  4451,
    4451,  6669,  1343,  6666,   759,  6670,   935,  6676,  6667,  6675,
    5803,  5803,  5803,  5803,  6678,  5803,  5803,  5803,  5803,  5803,
    6679,  6697,  1593,  6680,   759,  1159,  6693,  6716,  6723,  5529,
    6726,   759,  6737,  1159,  6729,  1006,  6731,  1593,  1006,  6740,
    1006,  1006,  1593,  6733,  6741,  6757,  6758,  6760,  6759,  6773,
    1006,  5530,  6511,  6512,  6767,  1006,  6768,  6774,  6776,  1359,
    6781,  6782,  6788,  1359,  1359,  6793,   927,  6783,  5824,  1343,
    6800,  6810,  1593,  4761,  2149,  6815,  6816,  6819,  6839,  6832,
    6841,  6849,  6727,  6857,  6858,  6728,  6878,  6859,  6899,  6876,
    6895,  6896,  6897,  6901,  6898,  6906,  6931,  6910,   928,  6687,
    6918,  6933,  6932,  6944,  1006,  1006,  1006,  6920,  6946,  1006,
    5940,  6515,   929,  6964,  6976,  4599,  6970,  1006,  1006,  1006,
    1006,  4588,  6983,  6979,  6971,  6978,  6974,  6995,   935,  1540,
    4609,  5925,  5927,  1006,   935,  4614,  1006,  2150,  1006,  6980,
    7015,  6975,  2151,  6988,  6997,  7016,  7017,  7018,  7019,  7020,
    1006,  1006,  7025,  4849,  1006,  6441, -2016,  7033,  3454,  7043,
    7045,  7062,  5531,  7046,  6936,  4640,  6441,  7070,  5911,  7077,
    7088,  5918,  5919,  7071,  7089,  1006,  7093,  1006,  7099,  1006,
    7079,  6711,  7100,  7110,  7114,  7102,  4294,  7106,  7119,  1283,
    6383,  2182,  3511,  2153,  4814,  6517,  2080,  4294,  1006,    75,
    4684,  4685,  4686,  4687,  4688,  4689,  4690,  4691,  4692,  4305,
    4222,  3121,  1006,  4934,  5545,  6842,  4348,  4396,  5538,  5083,
    6306,  6710,  6945,  2181,  5689,  6660,   759,  6359,  6684,  5534,
    5535,  6053,  2583,  6340,  4914,  4877,  6834,  4569,  6239,  6941,
    6732,  2053,  2155,  1006,  6730,  6856,  6956,  4920,  6082,  5719,
    6522,  5711,  5741,  5917,  6690,  5681,  5543,  4952,  1006,  2166,
    4451,  4414,  5143,  4415,  4451,  6076,  2156,  5706,  6346,  5183,
    5765,  2449,  1006,  7012,  6603,  7113,  7090,  2054,  6321,  5089,
    1006,    74,  6861,  5747,  6262,  6506,  6699,  3578,  2158,  6265,
    5532,  1118,  1463,  4924,  1181,  5250,  6482,  5794,  7008,  4443,
    5792,  3641,  4073,  4868,  5751,  5200,  3657,  3637,  6384,  6597,
    1622,  5053,  1593,  2499,  3692,  1593,  5574,  1593,  4345,  4998,
    6882,  7044,  1593,  3266,  1887,  1542,  2588,  5770,  4373,  2589,
    5771,  6998,  3536,  2590,  2591,  2592,  5928,  3998,   759,   759,
    2055,  5457,  6478,  6481,  1006,  4565,  2451,  1343,  3083,  4027,
    3145,  3132,  4819,  3177,  5822,  3176,  4008,  4831,  5431,   759,
    6923,  3133,   759,  1540,  6812,  1593,  5912,  4026,  3134,  6531,
    3181,  6031,  6032,  1593,  5403,  6446,   934,  2056,  5899,  5396,
    5883,  6649,  6648,  5458,  4376,  5397,  4376,  4376,  4376,  7083,
    7059,  6909,  6985,  6801,  3135,  5398,    87,  7076,  1593,  6420,
   -3476,  3952,    88,    89,  1006,  3378,  5351,  6659,  6210,    92,
      93,  6813,  4757,  1386,  6814,    94,  3955,  3870,  4623,  4751,
    4372,  7075,  4749,  6619,    95,  7081,    96,  2057,    97,    98,
    4742,  4658,   335,  5300,    99,  1306,  3967,  5212,  4517,  4051,
    6809,  3651,  6811,   935,   935,   935,  6775,  1173,  3201,  1286,
    1645,  2347,  6083,  3194,  4045,  1986,  2508,  4056,  4885,  4058,
    1957,  1958,  4055,  5463,  4809,  5913,  4888,  2058,   759,  5435,
    5464,  2059,  1299,  4567,  3733,    78,  4062,  1593,  6838,  1593,
    6217,     0,     0,  3087,  2441,  1679,     0,   759,     0,     0,
       0,   927,  6111,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2060,  2061,     0,     0,     0,   759,     0,
       0,     0,  3136,     0,     0,     0,     0,  3137,     0,     0,
       0,     0,     0,   928,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   929,     0,     0,
    3138,  2782,  6515,     0,     0,  5803,  2062,     0,     0,   116,
     141,  6889,  6890,  7001,  7002,  2063,     0,     0,     0,     0,
    4451,  7098,     0,     0,  2064,     0,     0,     0,  3139,     0,
    4984,     0,  4986,  2065,     0,     0,     0,  1593,     0,   122,
       0,  2066,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2067,     0,     0,     0,     0,
     126,   759,     0,     0,  2068,     0,  1006,     0,     0,  2069,
       0,  2849,  1006,     0,     0,     0,     0,     0,     0,     0,
       0,  1593,     0,     0,     0,     0,  3140,     0,     0,  3141,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   289,
       0,     0,     0,     0,     0,     0,     0,     0,   935,  1593,
       0,     0,   129,     0,   759,     0,   759,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2070,     0,  6216,   759,
    5049,   759,     0,     0,     0,     0,     0,     0,     0,  5136,
    1540,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     289,     0,  1006,     0,     0,     0,     0,     0,     0,  6374,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5071,     0,     0,     0,     0,     0,
       0,  1593,  7000,  3142,     0,     0,  5099,     0,  1262,     0,
       0,   135,     0,     0,  6212,     0,     0,   934,  4451,  6353,
       0,     0,   759,  1593,     0,  4451,     0,     0,     0,     0,
    4451,     0,     0,  4451,     0,     0,     0,  6345,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1593,     0,     0,
    6354,  2083,     0,     0,     0,  7034,  4376,  2084,     0,     0,
       0,     0,  4451,  1064,     0,  6307,     0,     0,  6372,   282,
     175,   293,   278,   283,   184,   286,   285,     0,   187,     0,
     188,   189,   288,   759,   209,     0,   227,   232,  1343,   262,
     281,   287,   296,     0,  4172,  4451,     0,     0,     0,     0,
       0,     0,  2086,     0,     0,   759,     0,     0,     0,   759,
    3050,     0,     0,     0,     0,     0,     0,     0,     0,  3051,
    3052,  3053,  3054,  3055,  3056,  3057,  3058,  3059,     0,     0,
     759,  1159,   927,     0,     0,     0,  4650,   150,     0,  1274,
    5215,     0,     0,   289,     0,     0,  1006,     0,     0,  1593,
       0,  1347,  7103,  7104,  1359,  1006,  1359,  1359,   152,  2087,
       0,     0,     0,     0,   928,     0,  2088,     0,     0,  1006,
    2089,     0,     0,  1006,  1006,  1006,   155,     0,   929,     0,
    1006,     0,     0,  1006,     0,     0,  1006,  6294,     0,     0,
       0,   159,  1006,     0,  1006,     0,     0,  1006,  2090,     0,
       0,  1593,  1006,  1006,  1006,  1006,     0,     0,  1006,  1006,
    1006,  1006,  1006,  1006,  1006,  1006,  1006,  1006,     0,     0,
       0,  1006,  1006,  1006,  2083,     0,  1593,     0,     0,     0,
    2084,  1006,     0,     0,  2091,     0,  1006,     0,   935,     0,
    1006,  4451,  5286,     0,     0,  2186,  1159,     0,  1006,     0,
       0,  1006,     0,  1006,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1006,
     749,     0,  1006,  1006,     0,  2086,     0,  1006,  1006,     0,
       0,     0,  1006,     0,  1006,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5318,     0,     0,  1006,     0,   934,
    1006,    69,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1006,  1541,  1263,  2189,  6575,  6533,     0,  2093,  5339,
       0,     0,     0,  1159,     0,  1159,     0,  1159,  2094,     0,
    2187,  4451,  2087,  1159,  1672,  1673,     0,     0,  2095,  2088,
       0,     0,     0,  2089,     0,     0,     0,     0,     0,     0,
    2096,     0,     0,     0,  2053,     0,     0,     0,  1006,  1159,
    1159,     0,     0,  1159,     0,     0,     0,     0,     0,     0,
       0,  2090,     0,     0,     0,  1006,     0,     0,     0,     0,
       0,   934,     0,     0,     0,     0,     0,     0,     0,     0,
    2054,  1593,     0,  2218,  1343,  2588,  2098,  2099,  2589,     0,
       0,     0,  2590,  2591,  2592,     0,     0,  2091,     0,     0,
       0,     0,     0,     0,   927,     0,     0,   759,     0,     0,
    3132,     0,     0,     0,     0,     0,     0,     0,  2219,     0,
    3133,     0,  6672,     0,     0,     0,     0,  3134,     0,     0,
    1006,     0,     0,     0,     0,     0,   928,     0,     0,     0,
       0,     0,     0,  2055,     0,     0,     0,   998,     0,     0,
     929,     0,     0,  3135,     0,     0,     0,  2188,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   935,
       0,     0,  4451,     0,   935,  1593,   935,  2189,     0,     0,
    2056,  2093,     0,  1967,     0,     0,   927,     0,     0,   934,
       0,  2094,  2101,     0,     0,     0,     0,     0,     0,     0,
       0,  2095,   935,  1593,     0,     0,  1995,     0,  1672,  1673,
       0,     0,     0,  2096,     0,     0,     0,     0,   928,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2057,     0,   929,     0,     0,     0,  1541,  1159,     0,     0,
    6714,  6620,  6715,     0,     0,     0,  6721,  6722,     0,     0,
     759,     0,     0,   759,     0,  4451,  2190,     0,     0,  2098,
    2099,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2058,  3136,     0,     0,  2059,     0,  3137,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2191,     0,     0,  4451,     0,     0,     0,     0,  3138,
    2782,     0,  2192,     0,   927,     0,  2120,  2061,  1159,     0,
       0,     0,     0,     0,     0,     0,     0,  1006,   934,     0,
       0,     0,     0,     0,     0,     0,     0,  3139,     0,     0,
       0,     0,     0,     0,     0,  1347,   928,     0,  1359,     0,
    1359,  1359,     0,   759,   759,     0,     0,  1593,     0,  2121,
     929,     0,     0,   141,   759,     0,     0,     0,  2063,  6294,
       0,  1006,  1006,     0,     0,  2101,     0,  2064,     0,     0,
    2849,   759,     0,     0,     0,     0,  2065,     0,     0,     0,
       0,     0,     0,     0,  2122,  3140,     0,     0,  3141,     0,
       0,     0,  2387,     0,  6862,  5748,  1593,     0,  2067,  1593,
    1006,  1006,     0,     0,  4451,     0,  6884,  2068,   293,     0,
    6885,  1006,  2069,  6886,     0,     0,  2401,     0,     0,  6887,
       0,     0,     0,     0,     0,     0,  2412,     0,     0,  6969,
    2415,     0,  3173,   927,  2418,     0,  2420,     0,     0,     0,
    5692,     0,  2428,     0,     0,     0,     0,     0,  2434,     0,
       0,  2437,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   928,     0,     0,   759,  2070,
       0,   935,     0,     0,     0,     0,     0,     0,     0,   929,
       0,     0,  3142,     0,     0,     0,     0,     0,  6802,     0,
       0,     0,     0,     0,     0,     0,     0,  1006,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    69,    69,
       0,    69,   998,  1006,     0,     0,     0,     0,     0,     0,
    6884,     0,   293,     0,  6885,     0,     0,  6886,     0,     0,
       0,  1006,     0,  6887,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   289,  1541,     0,     0,     0,     0,     0,  1006,
       0,     0,  1006,     0,     0,     0,     0,     0,     0,     0,
    1006,  1006,   998,  1593,     0,     0,     0,  1006,  1006,     0,
     998,  4451,  1006,     0,     0,     0,     0,  1006,     0,  3050,
    1006,  1006,     0,     0,     0,     0,     0,  1006,  3051,  3052,
    3053,  3054,  3055,  3056,  3057,  3058,  3059,     0,  1006,     0,
       0,  4666,     0,  4667,  1006,     0,     0,     0,     0,     0,
       0,     0,  1006,     0,     0,     0,  1006,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2083,     0,     0,     0,     0,     0,  2084,     0,
       0,     0,     0,     0,  6884,     0,   293,     0,  6885,     0,
    1006,  6886,     0,  2085,     0,   289,  1262,  6887,  1006,     0,
       0,     0,     0,     0,     0,    76,     0,     0,     0,     0,
       0,   934,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4451,  2086,     0,     0,     0,     0,  4451,     0,
    1593,     0,     0,     0,   753,     0,     0,     0,     0,     0,
       0,   925,     0,   759,     0,     0,     0,     0,  1006,     0,
       0,     0,     0,     0,     0,  7052,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    87,     0,   934,  3077, -3477,
       0,    88,    89,     0,     0,   925,  1159,     0,    92,    93,
    2087,  1159,  1159,  1593,    94,     0,     0,  2088,     0,     0,
       0,  2089,  7074,    95,     0,    96,   934,    97,    98,     0,
     759,  1300,     0,    99,     0,  1593,     0,     0,   925,     0,
       0,  7052,   759,     0,     0,     0,     0,  7095,     0,  2090,
       0,     0,     0,  5949,     0,     0,   927,     0,  1006,     0,
    1274,     0,     0,     0,     0,  1006,     0,  7051,     0,     0,
    7052,     0,     0,     0,     0,     0,   759,     0,  5911,     0,
       0,     0,     0,     0,     0,  2091,     0,     0,   928,  3210,
       0,     0,  4451,     0,  4497,  3217,  3219,     0,     0,     0,
       0,     0,   929,     0,     0,     0,  5985,  1363,     0,  1593,
       0,  7050,   927,     0,     0,     0,  1395,     0,  2053,     0,
       0,     0,     0,  7051,     0,     0,     0,     0,  6001,     0,
    1417,  1159,     0,     0,     0,  1006,     0,     0,     0,     0,
       0,   927,     0,     0,   928,     0,     0,     0,   116,     0,
       0,  1006,  7051,     0,  2054,     0,   935,     0,   929,     0,
       0,     0,     0,     0,     0,  2092,     0,  7050,   749,  2093,
       0,     0,     0,   928,   749,   759,     0,     0,   122,  2094,
       0,     0,  1006,     0,  1159,     0,   749,   929,     0,  2095,
       0,     0,     0,     0,  1159,     0,  7050,     0,     0,   126,
       0,  2096,  6033,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2055,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1593,
       0,  1593,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2097,     0,     0,  2098,  2099,     0,
       0,   129,     0,     0,  2056,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   759,     0,     0,     0,     0,  1159,     0,  2100,
    1159,  1159,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2588,     0,     0,  2589,  1006,  4498,
       0,  2590,  2591,  2592,  2057,     0,     0,     0,  1006,     0,
       0,  1006,     0,     0,  1006,  1006,  1006,     0,     0,  3132,
    3837,  3837,     0,     0,  6117,     0,     0,     0,     0,  3133,
     135,     0,     0,     0,     0,  3864,  3134,     0,     0,  1006,
    1006,     0,     0,  1006,  3885,     0,     0,     0,  2059,  2588,
       0,     0,  2589,  2101,     0,     0,  2590,  2591,  2592,     0,
    1006,     0,  3135,     0,     0,     0,     0,  1006,     0,     0,
       0,     0,  1006,     0,  3132,  1006,  1006,     0,     0,     0,
       0,  2061,     0,  1006,  3133,     0,     0,     0,     0,     0,
       0,  3134,     0,  1159,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1006,     0,     0,  1006,     0,     0,
       0,     0,     0,   759,     0,   759,     0,  3135,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   141,     0,     0,
     756,     0,  2063,     0,     0,     0,     0,  1006,     0,     0,
       0,  2064,     0,     0,     0,     0,     0,   749,   749,     0,
    2065,   289,     0,     0,     0,     0,   150,     0,  3330,     0,
       0,     0,  1593,   759,     0,     0,     0,     0,     0,     0,
       0,     0,  2067,  1006,  1161,  3650,     0,   152,     0,     0,
    3136,  2068,  1161,  3687,     0,  3137,  2069,     0,     0,     0,
       0,  3694,     0,     0,     0,   155,     0,     0,     0,     0,
       0,     0,  3664,     0,     0,     0,     0,  4500,  3138,  2782,
     159,     0,  3672,     0,  3673,     0,     0,   935,     0,     0,
    3677,     0,  1006,     0,  3680,     0,     0,     0,     0,     0,
       0,     0,  2530,     0,     0,  3136,  3139,     0,     0,     0,
    3137,     0,     0,  2070,     0,     0,     0,  4501,     0,     0,
       0,     0,  2539,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3138,  2782,     0,     0,     0,     0,     0,
       0,    69,     0,     0,    69,     0,     0,   998,     0,  2849,
     998,     0,     0,  1006,     0,     0,  1593,     0,     0,     0,
       0,  3139,     0,     0,  3140,     0,     0,  3141,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2581,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1006,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2849,     0,     0,  1006,     0,     0,
       0,  1006,     0,  1006,     0,     0,     0,     0,     0,  3140,
       0,     0,  3141,     0,     0,     0,     0,  1006,     0,  1006,
       0,     0,     0,  1006,     0,     0,     0,  3812,  3813,  1006,
       0,     0,     0,  1006,     0,     0,     0,     0,     0,  1593,
    1006,     0,     0,     0,  3849,  3850,     0,     0,     0,     0,
       0,  3142,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2053,     0,     0,  1274,  1274,
       0,  1274,     0,     0,     0,     0,  3895,     0,     0,     0,
     998,     0,     0,     0,     0,     0,  1006,     0,     0,     0,
       0,     0,  1593,     0,     0,     0,     0,  1593,  1593,     0,
       0,  2054,  1006,     0,     0,     0,  3142,     0,  1006,  1006,
     759,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   759,     0,
       0,     0,  5049,     0,     0,  2083,     0,     0,   751,     0,
       0,  2084,     0,     0,     0,   923,     0,     0,  1006,     0,
       0,     0,     0,     0,     0,     0,  1006,     0,  3050,   935,
       0,     0,     0,     0,  2055,     0,     0,  3051,  3052,  3053,
    3054,  3055,  3056,  3057,  3058,  3059,     0,     0,     0,   923,
       0,     0,  4668,   925,  1006,  2509,  2086,     0,     0,     0,
    2509,  2509,     0,     0,     0,     0,     0,     0,  1201,     0,
       0,  2056,     0,     0,  1201,  1201,     0,     0,     0,     0,
    1360,   753,   923,  3050,  1593,  1593,     0,     0,  1360,     0,
     753,  1360,  3051,  3052,  3053,  3054,  3055,  3056,  3057,  3058,
    3059,     0,     0,     0,   753,     0,  6615,  4719,     0,     0,
    1006,   935,     0,  2087,     0,     0,     0,     0,     0,     0,
    2088,  2057,  1006,   753,  2089,     0,     0,     0,     0,     0,
       0,  1006,  1006,  1006,     0,     0,     0,  1006,  2588,     0,
    1006,  2589,   753,     0,     0,  2590,  2591,  2592,   753,     0,
       0,  1006,  2090,     0,     0,     0,     0,     0,  1006,     0,
     753,  2058,  4010,  3132,     0,  2059,     0,     0,     0,     0,
       0,     0,     0,  3133,     0,     0,  1006,     0,  6598,     0,
    3134,   998,   998,  1006,     0,     0,     0,     0,  2091,     0,
     753,     0,     0,     0,     0,     0,     0,  2137,  2061,     0,
       0,     0,  1006,     0,  1360,   753,  3135,     0,     0,     0,
       0,  1360,     0,   753,  1360,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   753,     0,   935,
       0,     0,   759,     0,     0,     0,     0,     0,     0,     0,
    2138,     0,     0,   753,   141,     0,     0,     0,     0,  2063,
       0,     0,     0,     0,     0,     0,  2083,     0,  2064,     0,
       0,     0,  2084,     0,     0,     0,     0,  2065,  2189,     0,
       0,     0,  2093,     0,     0,  2139,     0,     0,     0,     0,
       0,     0,  2094,     0,     0,     0,  1006,     0,     0,  2067,
       0,     0,  2095,     0,     0,     0,     0,     0,  2068,     0,
       0,   753,     0,  2069,  2096,     0,     0,  2086,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   749,     0,
       0,     0,     0,     0,  3136,     0,     0,     0,     0,  3137,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     753,  1006,     0,     0,     0,     0,     0,  3310,     0,     0,
    2098,  2099,  3138,  2782,     0,     0,     0,  1006,   935,  3905,
    2070,  1593,   925,     0,  2087,     0,  1006,   753,  1006,     0,
    1006,  2088,     0,     0,     0,  2089,     0,     0,     0,   753,
    3139,     0,  3311,     0,   759,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1006,     0,
       0,     0,     0,  2090,     0,     0,     0,     0,     0,     0,
       0,   759,     0,     0,     0, -2978,     0,     0,     0,     0,
       0,   753,   753,  2849,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3987,     0,  3140,  2091,
       0,  3141,   998,     0,     0,     0,   998,     0,     0,  3210,
       0,     0,     0,  1006,  6806,     0,  2101,     0,     0,     0,
       0,     0,     0,  1006,     0,     0,     0,     0, -2978,     0,
       0,  1006,  1006,     0,     0,     0,     0,  1006,   289,     0,
       0, -2978,     0,     0,     0,     0,     0, -2978,     0,     0,
       0,     0,     0, -2978,     0,     0,     0,     0,     0, -2978,
       0,     0, -2978,     0,  1006,     0, -2978,     0,     0,     0,
    6917,     0,     0,     0,  1006,     0,     0,     0,     0,  2189,
       0,     0,     0,  2093,     0,     0,     0,     0,  4016,  4016,
    1161,     0,     0,  2094,     0,  3142, -2978,   289, -2978,     0,
       0,     0,     0,  2095,   925,     0,     0,     0,     0,   759,
       0,   753,     0,     0,     0,  2096,     0,     0,     0,     0,
       0,     0,  1360,     0,     0,     0,  1360,     0,  1360, -2978,
    3829,  2083,     0,     0,  1006,     0,     0,  2084,     0,     0,
    1006,  1967,  3509,     0,    69,    69,     0,     0,     0,     0,
       0,     0,  2186,     0,  3882,     0,     0,     0,  1006,     0,
       0,  2098,  2099,     0,     0,  1006,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1006,     0,     0,  1006,  6917,
   -2978,  1006,  2086,     0, -2978,     0,     0,     0,  1159,     0,
   -2978,     0,     0,  2100,     0,     0,     0,     0,     0,     0,
       0,     0,  3050,     0,     0,  1161,     0,     0,  1006,     0,
       0,  3051,  3052,  3053,  3054,  3055,  3056,  3057,  3058,  3059,
       0,     0,     0,     0,  3893,     0,     0,     0,     0,     0,
       0,     0,     0,  3588,     0,     0,     0,  2187,     0,  2087,
       0,  3605,     0,     0,     0,     0,  2088,     0,     0,  3509,
    2089, -2978,  1006,     0,     0,     0,  1006,     0,     0,     0,
       0,  1006,     0,     0,     0,     0,     0,  2101,     0,     0,
       0,  6059,     0,     0,  1006,  4174,     0,     0,  2090,     0,
       0,   935,  1161,   753,  1161,     0,  1161,     0,  1593,     0,
       0,     0,  1161,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   998,  2588,     0,     0,  2589,  3906,     0,     0,
    2590,  2591,  2592,     0,  2091,     0,     0,     0,  1161,  1161,
       0,     0,  1161,     0,     0,  1006,  1006,     0,  3132,     0,
       0,     0,  3685,  1006,     0,     0,     0,   935,  3133,     0,
       0, -2978,     0,     0,     0,  3134,  3911,     0,     0,     0,
       0,     0,  1006,  1006,     0,     0,     0,     0,     0,  3509,
       0,     0,  1159,   753,     0, -2978,   935, -2978, -2978,     0,
    1159,  3135,     0,  1159,  2188,     0,     0,     0,     0,     0,
     753,  7058,     0,     0,     0,  1159,     0,     0,     0, -2978,
       0,     0,     0,     0,  2189,     0,     0,   753,  2093,     0,
       0,     0,   753,     0,     0,     0,     0,     0,  2094,     0,
       0,     0, -2978,     0, -2978, -2978,     0,     0,  2095,     0,
       0,     0,     0,  3864,  3864,     0,     0,   923,  3864,     0,
    2096,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   756,   756,     0,
       0,     0,  1972,     0,     0,   751,     0,     0,     0,     0,
       0,     0,     0,     0,   751,     0,     0,     0,     0,  3864,
    3864,     0,     0,  4302,     0,     0,  2098,  2099,   751,     0,
     998,     0,     0,     0,     0,     0,     0,   998,     0,  3136,
       0,     0,   998,     0,  3137,   998,  6201,   751,     0,     0,
       0,     0,     0,     0,     0,     0,  1161,     0,  4303,     0,
       0,     0,     0,     0,     0,     0,   751,  3138,  2782,  2192,
       0,     0,   751,     0,   998,  4522,     0,     0,     0,     0,
       0,     0,     0,  4531,   751,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3139,   753,     0,     0,     0,
    4546,     0,     0,     0,   753,   753,     0,   998,     0,     0,
    4552,     0,     0,  4553,   751,  4554,  4555,     0,     0,  4557,
       0,     0,     0,  4560,     0,  4561,     0,  1161,  4563,   751,
       0,     0,  2101,     0,     0,     0,     0,   751,  2849,     0,
       0,     0,     0,  1359,     0,  4537,  4540,     0,     0,     0,
       0,   751,     0,  3140,     0,     0,  3141,     0,     0,     0,
       0,     0,     0,   925,     0,     0,     0,   751,     0,     0,
       0,     0,   753,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1359,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4605,     0,     0,   925,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1159,
       0,     0,     0,     0,     0,   751,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   925,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3142,     0,     0,   998,     0,     0,     0,     0,     0,     0,
       0,     0,  1201,     0,   751,     0,  1201,     0,     0,  2588,
       0,     0,  2589,  3911,     0,     0,  2590,  2591,  2592,     0,
       0,     0,     0,     0,     0,     0,   923,     0,     0,     0,
       0,   751,     0,     0,  3132,     0,     0,     0,     0,     0,
       0,     0,     0,   751,  3133,     0,     0,     0,     0,     0,
       0,  3134,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   289,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3135,     0,     0,
       0,     0,     0,   998,     0,   751,   751,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3050,     0,     0,
       0,     0,     0,     4,     0,     0,  3051,  3052,  3053,  3054,
    3055,  3056,  3057,  3058,  3059,     0,     0,     0,     0,  4660,
       0,     0,     5,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     6,     7,     0,     0,     0,     0,     0,     9,
      10,     0,     0,    11,    12,    13,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    33,    34,    35,     0,     0,
       0,    37,     0,    38,    39,     0,   753,     0,     0,    40,
       0,     0,  1201,  1201,     0,     0,     0,  3210,     0,     0,
    4812,     0,  1159,     0,     0,  3136,     0,     0,     0,     0,
    3137,     0,     0,     0,     0,     0,  6558,     0,   923,   753,
       0,     0,     0,     0,     0,   751,  4825,  4825,     0,     0,
       0,     0,     0,  3138,  2782,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   998,     0,     0,    41,     0,     0,
       0,     0,     0,     0,   925,     0,     0,     0,     0,     0,
       0,  3139,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4880,     0,     0,     0,     0,   753,     0,     0,
       0,     0,     0,     0,     0,   753,     0,     0,     0,     0,
       0,     0,     0,   753,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2849,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1161,     0,     0,     0,  3140,
    1161,  1161,  3141,     0,     0,     0,    42,   998,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    43,     0,     0,
       0,     0,  4941,     0,  4943,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   998,     0,     0,     0,
       0,    44,  1360,  1360,     0,   753,   753,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1360,   756,   753,
    1360,     0,     0,     0,     0,     0,    45,   751,     0,     0,
       0,     0,   753,   753,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3142,     0,     0,     0,
       0,     0,     0,     0,  2588,     0,     0,  2589,     0,     0,
       0,  2590,  2591,  2592,   749,     0,     0,     0,     0,     0,
    1161,     0,     0,     0,     0,     0,     0,     0,     0,    46,
       0,     0,    47,     0,     0,     0,     0,     0,  1360,  3133,
    4064,     0,  1360,  1360,     0,     0,  3134,     0,     0,     0,
       0,     0,     0,     0,     0,    48,   998,   751,  4080,     0,
       0,     0,     0,     0,  4084,     0,     0,     0,  4087,     0,
       0,     0,  3135,  1161,   751,     0,     0,     0,     0,     0,
    5048,     0,     0,  1161,     0,     0,  5055,     0,     0,     0,
       0,   751,  4106,     0,     0,     0,   751,     0,     0,  3837,
       0,     0,     0,  3050,     0,     0,     0,     0,     0,     0,
       0,     0,  3051,  3052,  3053,  3054,  3055,  3056,  3057,  3058,
    3059,  3864,  3864,  3864,  3864,  5085,  4148,  3864,  3864,  3864,
    3864,  3864,  3864,  3864,  3864,  3864,  3864,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   749,     0,     0,     0,
       0,    49,     0,     0,     0,  5347,     0,     0,     0,     0,
       0,     0,     0,   925,     0,     0,  1161,     0,  1359,  1161,
    1161,     0,     0,     0,     0,     0,     0,     0,     0,  2588,
       0,     0,  2589,     0,  4207,     0,  2590,  2591,  2592,     0,
    3136,  3864,  3864,     0,     0,  3137,     0,     0,     0,     0,
       0,     0,     0,     0,  3132,  1159,    50,     0,     0,  4236,
       0,     0,     0,     0,  3133,  4245,     0,     0,  3138,  2782,
       0,  3134,     0,    51,     0,     0,     0,     0,  5132,  4255,
       0,     0,     0,   998,     0,     0,   749,     0,    52,  4268,
     751,  1359,  1359,     0,     0,  4273,  3139,  3135,   751,   751,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4286,     0,     0,    53,     0,
       0,  4289,     0,     0,     0,     0,     0,     0,  4297,     0,
       0,     0,  1161,    54,    55,    56,    57,    58,    59,  2849,
       0,    60,    61,  1638,  4314,  5232,     0,  5234,    66,  5236,
       0,     0,     0,     0,  3140,     0,     0,   923,  4340,     0,
       0,     0,     0,     0,  2588,     0,   751,  2589,     0,   749,
       0,  2590,  2591,  2592,     0,     0,     0,     0,  2581,     0,
       0,     0,  5220,     0,     0,     0,     0,     0,     0,  4540,
       0,     0,     0,     0,   998,     0,     0,     0,     0,  3133,
     998,     0,     0,   923,     0,     0,  3134,     0,     0,     0,
       0,     0,     0,     0,     0,  3136,     0,     0,  6973,     0,
    3137,     0,     0,     0,     0,     0,  2581,     0,     0,     0,
       0,   923,  3135,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1201,  3138,  2782,     0,     0,     0,     0,     0,
    3911,  3142,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1159,     0,     0,     0,     0,  4755,     0,     0,     0,
       0,  3139,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1201,  4777,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2849,     0,  7030,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3140,
       0,     0,  3141,     0,   998,     0,     0,     0,     0,  1201,
       0,     0,     0,     0,  4777,     0,     0,     0,  1262,     0,
    3136,     0,  4777,     0,     0,  3137,  1201,     0,  3050,     0,
       0,     0,     0,     0,     0,     0,     0,  3051,  3052,  3053,
    3054,  3055,  3056,  3057,  3058,  3059,     0,     0, -3730, -3730,
       0,     0,     0,     0,     0,     0,  7030,     0,     0,     0,
       0,     0,     0,  7087,     0,     0,  3864,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3139,     0,     0,     0,
       0,     0,  1359,  1359,     0,     0,     0,     0,     0,  4584,
       0,     0,     0,     0,     0,     0,  3142,     0,     0,     0,
     751,     4,     0,     0,     0,     0,     0,     0,     0,  4600,
       0,     0,     0,     0,     0,     0,  4584,     0,     0, -3730,
       5,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       6,     7,     0,   751,  3140,     8,     0,     9,    10,     0,
       0,    11,    12,    13,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    34,    35,     0,    36,   923,    37,
       0,    38,    39,  5460,     0,     0,     0,    40,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   751,     0,     0,     0,     0,     0,     0,     0,   751,
       0,     0,     0,  3050,     0,     0,     0,   751,     0,     0,
       0,     0,  3051,  3052,  3053,  3054,  3055,  3056,  3057,  3058,
    3059,     0,     0,     0,     0,  5287,     0,     0,     0,     0,
       0,  3142,     0,     0,     0,    41,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2588,     0,     0,  2589,     0,     0,     0,  2590,
    2591,  2592,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3132,   753,     0,
       0,  1159,     0,     0,     0,     0,     0,  3133,     0,   751,
     751,     0,     0,     0,  3134,     0,     0,     0,     0,     0,
       0,     0,     0,   751,   753,     0,     0,     0,     0,  1159,
       0,  5851,     0,     0,    42,     0,   751,   751,     0,     0,
    3135,     0,   753,  1159,     0,     0,     0,   925,   753,     0,
       0,     0,   753,     0,  1159,    43,     0,     0,  3050,     0,
       0,   753,     0,     0,     0,     0,     0,  3051,  3052,  3053,
    3054,  3055,  3056,  3057,  3058,  3059,   753,     0,     0,    44,
       0,     0,     0,  5888,     0,     0,     0,     0,     0,     0,
    1348,  1350,     0,  1360,  1353,  1360,  1360,     0,     0,     0,
       0,     0,     0,     0,    45,     0,     0,     0,     0,     0,
     753,     0,     0,     0,  1403,     0,     0,     0,     0,     0,
       0,  1413,     0,     0,     0,     0,     0,     0,     0,     0,
     753,   753,  1672,  1673,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1474,     0,  1477,     0,     0,  1479,     0,    46,  3136,     0,
      47,     0,     0,  3137,  4882,     0,     0,   925,   753,  1504,
       0,   925,     0,     0,   752,  1508,     0,     0,     0,   289,
       0,   924,     0,    48,     0,     0,  3138,  2782,     0,   289,
       0,     0,     0,   753,     0,   925,     0,     0,     0,   753,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   753,  3139,   924,     0,   923,     0,     0,
     753,     0,  1159,   753,     0,  5782,     0,   289,  5784,   753,
       0,     0,     0,     0,  1202,     0,     0,     0,     0,     0,
    1202,  1202,     0,     0,     0,     0,     0,     0,   924,   753,
       0,     0,     0,     0,     0,   753,     0,  2849,  5799,     0,
       0,     0,   753,     0,     0,     0,  4540,  4540,  4540,  4540,
    4540,     0,  3140,  4967,     0,  3141,     0,     0,   753,    49,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1159,
       0,     0,   753,     0,     0,     0,     0,   925,     0,     0,
       0,     0,     0,   753,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    50,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    51,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   925,     0,     0,    52,     0,     0,  3142,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    53,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5064,     0,     0,     0,
       0,    54,    55,    56,    57,    58,    59,     0,     0,    60,
      61,    62,    63,     0,    64,    65,    66,    67,    68,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2588,     0,     0,  2589,     0,     0,     0,  2590,
    2591,  2592,     0,     0,     0,     0,     0,     0,     0,     0,
    2581,     0,     0,     0,   756,     0,     0,  3132,     0,     0,
       0,     0,  5948,  3210,     0,     0,  3050,  3133,     0,  5395,
    1972,     0,  5401,     0,  3134,  3051,  3052,  3053,  3054,  3055,
    3056,  3057,  3058,  3059,     0,     0,     0,     0,  5360,     0,
       0,    69,     0,     0,  2111,  2112,     0,     0,     0,     0,
    3135,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3864,     0,     0,     0,   289,     0,     0,  1161,  5986,  5987,
       0,     0,     0,     0,     0,  2588,     0,     0,  2589,     0,
       0,     0,  2590,  2591,  2592,     0,     0,     0,     0,     0,
       0,     0,     0,   753,     0,   925,     0,     0,     0,     0,
    3132,  1159,     0,     0,     0,     0,     0,  1159,     0,     0,
    3133,     0,  1159,   753,     0,     0,  2259,  3134,     0,     0,
     753,     0,     0,     0,     0,     0,     0,  1360,     0,  1360,
    1360,  2271,     0,     0,     0,     0,     0,     0,     0,  5999,
    6000,     0,     0,  3135,  6003,  6004,     0,     0,  3509,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2293,  2294,     0,  6034,  6035,     0,     0,  3136,     0,
    5252,     0,     0,  3137,  5256,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2331,     0,     0,
       0,     0,     0,     0,     0,     0,  3138,  2782,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   925,     0,     0,
       0,     0,     0,   925,  3139,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1161,     0,     0,     0,     0,     0,     0,     0,  1161,
       0,     0,  1161,     0,     0,     0,     0,     0,     0,     0,
       0,  3136,     0,     0,  1161,     0,  3137,  2849,     0,     0,
       0,     0,     0,     0,     0,     0,  2407,  2409,     0,     0,
       0,     0,  3140,     0,     0,  3141,     0,     0,     0,  3138,
    2782,     0,     0,     0,     0,     0,     0,  6130,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  6133,  6134,
       0,     0,     0,     0,     0,   753,     0,  3139,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  6139,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   751,     0,     0,     0,     0,     0,     0,     0,
    2849,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3140,     0,     0,   751,  3142,
       0,     0,     0,     0,     0,     0,  3864,     0,     0,     0,
       0,     0,     0,  4777,     0,     0,   751,     0,     0,     0,
       0,   923,   751,     0,     0,     0,   751,     0,     0,     0,
       0,     0,  3864,     0,     0,   751,     0,     0,     0,   289,
       0,     0,     0,     0,     0,     0,     0,   753,   753,     0,
     751,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   753,     0,
       0,   753,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   751,     0,     0,     0,     0,     0,
       0,     0,  3142,     0,     0,     0,     0,  1201,     0,     0,
       0,     0,  5491,     0,   751,   751,  3050,     0,   289,     0,
       0,     0,     0,     0,  6211,  3051,  3052,  3053,  3054,  3055,
    3056,  3057,  3058,  3059,     0,     0,     0,     0,  5478,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   923,   751,     0,     0,   923,     0,     0,     0,     0,
       0,     0,   925,   925,   925,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   751,  1161,   923,
       0,     0,     0,   751,     0,     0,     0,   753,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   751,  1159,     0,
       0,     0,  1201,   924,   751,     0,   753,   751,     0,  3050,
       0,     0,     0,   751,     0,     0,     0,     0,  3051,  3052,
    3053,  3054,  3055,  3056,  3057,  3058,  3059,   753,     0,     0,
       0,   752,     0,   751,     0,  2588,     0,     0,  2589,   751,
     752,     0,  2590,  2591,  2592,     0,   751,     0,     0,     0,
       0,     0,     0,     0,   752,  5618,     0,     0,  5621,     0,
    3132,     0,   751,     0,     0,     0,     0,     0,     0,     0,
    3133,     0,     0,   752,     0,     0,   751,  3134,     0,     0,
       0,   923,     0,     0,  4777,     0,     0,   751,  4777,  3864,
       0,     0,   752,     0,     0,     0,     0,     0,   752,     0,
       0,     0,     0,  3135,     0,     0,     0,     0,     0,     0,
     752,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     753,     0,     0,     0,   289,   289,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     752,     0,     0,     0,     0,     0,     0,   923,     0,     0,
       0,     0,     0,     0,     0,   752,     0,     0,     0,  5703,
       0,     0,     0,   752,     0,     0,     0,   925,     0,     0,
    3328,     0,     0,   753,     0,   753,  3509,   752,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   753,  6484,
     753,     0,     0,   752,     0,  3373,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1161,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3136,     0,     0,     0,     0,  3137,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  6523,     0,  3138,
    2782,   752,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   753,     0,     0,     0,     0,     0,     0,  3461,     0,
       0,     0,     0,  4584,     0,     0,     0,  3139,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1202,     0,
     752,     0,  1202,     0,     0,     0,     0,     0,     0,     0,
    3489,  3490,  3491,  3492,  1159,     0,  3864,     0,     0,     0,
       0,     0,   924,     0,     0,     0,     0,   752,  2588,     0,
    2849,  2589,   753,     0,     0,  2590,  2591,  2592,     0,   752,
       0,     0,     0,     0,     0,  3140,     0,   751,  3141,   923,
       0,     0,     0,  3132,   753,     0,     0,     0,   753,     0,
       0,     0,     0,  3133,     0,     0,     0,   751,     0,     0,
    3134,     0,     0,  6618,   751,  3546,  3547,     0,     0,   753,
       0,   752,   752,     0,     0,     0,     0,     0,     0,     0,
       0,  3564,     0,     0,     0,     0,  3135,     0,     0,     0,
       0,     0,     0,     0,  2588,     0,     0,  2589,     0,     0,
       0,  2590,  2591,  2592,     0,     0,     0,     0,     0,     0,
       0,     0,  6613,     0,     0,  3607,  3608,  3609,  3610,  3132,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3133,
       0,     0,  3142,     0,     0,     0,  3134,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  6908,     0,     0,     0,     0,     0,     0,
       0,   923,  3135,     0,     0,     0,     0,   923,  1202,  1202,
       0,     0,     0,     0,     0,     0,     0,   925,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   924,     0,     0,     0,     0,     0,
       0,   752,     0,     0,  3136,     0,     0,     0,     0,  3137,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  6708,     0,     0,     0,     0,
       0,     0,  3138,  2782,  3706,     0,     0,     0,     0,  3050,
    3710,     0,     0,     0,     0,     0,     0,     0,  3051,  3052,
    3053,  3054,  3055,  3056,  3057,  3058,  3059,     0,     0,   751,
    3139,  5502,     0,     0,  3864,     0,     0,  3864,     0,  4777,
    3864,     0,     0,     0,  4777,  5996,     0,  4777,     0,     0,
    3136,     0,     0,     0,     0,  3137,     0,  6006,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2083,     0,  2849,  1587,     0,     0,  2084,  3138,  2782,
       0,     0,     0,     0,     0,     0,     0,     0,  3140,     0,
       0,  3141,     0,     0,     0,     0,     0,     0,     0,     0,
    1587,     0,     0,     0,  1161,     0,  3139,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2086,     0,     0,     0,   753,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   751,   751,   752,     0,     0,     0,     0,     0,  2849,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   751,     0,  3140,   751,  2083,  3141,     0,     0,
       0,     0,  2084,     0,     0,     0,     0,     0,     0,  2087,
       0,     0,     0,     0,     0,  3142,  2088,     0,   925,     0,
    2089,     0,     0,   925,     0,   925,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2588,     0,     0,
    2589,     0,     0,     0,  2590,  2591,  2592,  2086,  2090,  3908,
     289,   925,     0,   752,     0,     0,     0,     0,  2083,     0,
       0,     0,  3132,   289,  2084,     0,     0,     0,     0,     0,
     752,     0,  3133,     0,     0,     0,   923,   923,   923,  3134,
       0,   289,     0,     0,  2091,     0,  6939,   752,     0,     0,
       0,  3142,   752,     0,     0,   289,     0,     0,     0,   753,
       0,   751,   753,     0,  2087,  3135,     0,     0,     0,  2086,
       0,  2088,     0,     0,     0,  2089,     0,  4584,     0,     0,
     751,     0,  3050,     0,     0,     0,     0,     0,     0,     0,
       0,  3051,  3052,  3053,  3054,  3055,  3056,  3057,  3058,  3059,
    1161,   751,     0,  2090,  5709,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2092,     0,  2087,     0,  2093,     0,
       0,     0,     0,  2088,     0,  4777,     0,  2089,  2094,  2091,
       0,     0,     0,     0,     0,     0,     0,     0,  2095,     0,
       0,     0,   753,   753,     0,     0,     0,     0,  3050,     0,
    2096,     0,     0,   753,     0,  2090,     0,  3051,  3052,  3053,
    3054,  3055,  3056,  3057,  3058,  3059,     0,     0,  3533,     0,
     753,     0,     0,  3136,     0,     0,     0,     0,  3137,     0,
       0,     0,     0,     0,   751,     0,   752,     0,     0,     0,
       0,  2091,     0,  3392,   752,   752,  2098,  2099,     0,     0,
       0,  3138,  2782,     0,     0,     0,     0,     0,  4584,  2189,
    4584,     0,     0,  2093,     0,  1587,     0,     0,     0,     0,
       0,     0,     0,  2094,     0,     0,  1587,     0,  3393,  3139,
       0,   923,     0,  2095,     0,     0,     0,   751,     0,   751,
       0,     0,  1587,     0,     0,  2096,     0,     0,     0,     0,
       0,     0,   751,   924,   751,     0,     0,     0,     0,     0,
       0,     0,   752,     0,     0,     0,     0,   753,     0,     0,
     925,  2189,  2849,     0,     0,  2093,  4777,  7049,   289,     0,
       0,     0,     0,     0,     0,  2094,     0,  3140,  4158,     0,
    3141,  2098,  2099,     0,     0,  2095,     0,     0,     0,   924,
       0,     0,  2101,     0,     0,     0,  2588,  2096,     0,  2589,
       0,     0,     0,  2590,  2591,  2592,     0,     0,     0,     0,
       0,     0,     0,  2100,     0,   751,     0,   924,     0,   933,
       0,  3132,     0,  7049,     0,     0,  1587,     0,  1202,     0,
       0,  3133,     0,     0,     0,     0,     0,  1004,  3134,     0,
    4351,     0,     0,  2098,  2099,     0,     0,     0,     0,     0,
       0,     0,  7049,   933,     0,     0,     0,     0,     0,  2588,
       0,     0,  2589,     0,  3135,     0,  2590,  2591,  2592,  1202,
    2581,     0,  1205,     0,  3142,  4352,   751,     0,  1205,  1205,
       0,     0,     0,     0,  3132,   289,   933,  2101,     0,     0,
       0,     0,     0,     0,  3133,     0,     0,     0,   751,     0,
       0,  3134,   751,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   751,     0,  1202,     0,  3135,     0,     0,
    1161,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1202,     0,     0,     0,     0,     0,     0,  2101,
       0,     0,     0,     0,     0,     0,     0,     0,  1161,     0,
       0,     0,  1587,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1161,     0,     0,     0,  3908,     0,     0,     0,
       0,  3050,  3136,  1161,     0,     0,     0,  3137,     0,     0,
    3051,  3052,  3053,  3054,  3055,  3056,  3057,  3058,  3059,     0,
       0,     0,   753,  5833,     0,     0,     0,     0,     0,     0,
    3138,  2782,     0,     0,     0,     0,   752,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   923,     0,     0,     0,     0,     0,     0,  3139,     0,
       0,     0,     0,     0,  2588,  3136,     0,  2589,     0,   752,
    3137,  2590,  2591,  2592,     0,     0,     0,     0,     0,   753,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3132,
       0,   753,     0,  3138,  2782,     0,     0,     0,     0,  3133,
       0,  2849,     0,     0,   924,     0,  3134,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3140,     0,     0,  3141,
       0,  3139,     0,     0,     0,   753,     0,   752,     0,     0,
       0,     0,  3135,     0,     0,   752,     0,     0,     0,     0,
       0,  2083,     0,   752,     0,     0,     0,  2084,     0,     0,
       0,     0,     0,  3107,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2849,     0,     0,  4131,     0,     0,
       0,  1161,     0,     0,     0,     0,     0,   289,     0,  3140,
       0,     0,  3141,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2086,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   289,     0,     0,   925,     0,     0,     0,     0,
       0,     0,     0,  3142,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   753,   752,   752,     0,     0,     0,
     751,     0,     0,     0,     0,     0,     0,     0,  1161,   752,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2087,
    3136,     0,   752,   752,     0,  3137,  2088,     0,     0,     0,
    2089,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3142,     0,  3138,  2782,
       0,     0,     0,     0,     0,  1587,     0,     0,  2090,     0,
       0,     0,   923,     0,     0,     0,     0,   923,     0,   923,
       0,     0,     0,     0,     0,     0,  3139,     0,     0,  4280,
       0,     0,  4283,     0,     0,     0,  6968,     0,     0,     0,
    3050,   753,     0,     0,  2091,   923,     0,     0,     0,  3051,
    3052,  3053,  3054,  3055,  3056,  3057,  3058,  3059,     0,     0,
       0,     0,  5870,     0,     0,     0,     0,     0,     0,  2849,
    2083,     0,     0,  1587,     0,     0,  2084,     0,     0,     0,
       0,     0,     0,     0,  3140,     0,     0,  3141,     0,     0,
       0,     0,     0,   751,     0,     0,   751,     0,     0,     0,
       0,     0,     0,  3050,     0,     0,     0,     0,     0,     0,
    1587,     0,  3051,  3052,  3053,  3054,  3055,  3056,  3057,  3058,
    3059,  2086,     0,  4380,  2189,  5874,     0,     0,  2093,     0,
       0,     0,     0,     0,     0,     0,  4393,     0,  2094,     0,
       0,     0,     0,  1587,  4402,     0,     0,     0,  2095,     0,
       0,     0,     0,   924,     0,     0,     0,     0,     0, -2748,
    2096,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     289,     0,     0,     0,     0,     0,     0,     0,  2087,  4584,
       0,  3142,   753,  4446,   753,  2088,   751,   751,     0,  2089,
       0,     0,     0,     0,     0,     0,     0,   751,     0,     0,
       0,     0,     0,  4898,  4474,     0,  2098,  2099,     0,     0,
       0,     0, -2748,     0,   751,     0,     0,  2090,     0,     0,
       0,     0,     0,     0,     0, -2748,     0,     0,     0,     0,
    1161, -2748,   753,     0,     0,     0,  1161, -2748,  4899,     0,
       0,  1161,  1360, -2748,     0,     0, -2748,     0,     0,     0,
   -2748,     0,     0,  2091,     0,  1587,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1587,     0,     0,  4548,
       0,  4550,     0,     0,     0,     0,     0,     0,     0,     0,
   -2748,     0,  1587,     0,     0,     0,   925,     0,  3050,     0,
       0,  1360,     0,     0,     0,     0,     0,  3051,  3052,  3053,
    3054,  3055,  3056,  3057,  3058,  3059,     0,     0,     0,     0,
    6161,   751,  2101, -2748,   923,     0,     0,     0,     0,  2588,
       0,     0,  2589,     0,     0,     0,  2590,  2591,  2592,     0,
       0,     0,     0,  2189,     0,     0,  1587,  2093,     0,     0,
       0,     0,     0,     0,  3132,     0,     0,  2094,     0,     0,
       0,     0,     0,     0,  3133,     0,     0,  2095,  1587,     0,
       0,  3134,     0,     0, -2748,     0,     0,     0, -2748,  2096,
       0,  1587,     0,  4608, -2748,     0,     0,     0,     0,     0,
    4615,     0,     0,  1587,     0,     0,     0,  3135,     0,     0,
       0,     0,  2588,     0,     0,  2589,     0,     0,     0,  2590,
    2591,  2592,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   933,  4969,     0,     0,  2098,  2099,  3132,     0,     0,
       0,     0,     0,  1587,  1587,     0,     4,  3133,     0,  1004,
       0,     0,     0,  1590,  3134, -2748,     0,     0,  1004,     0,
       0,     0,     0,     0,     0,     5,  1004,  4970,     0,  1004,
       0,     0,     0,     0,     0,     6,     7,     0,     0,  1590,
    3135,     0,     9,    10,     0,     0,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,     0,     0,     0,    37,  1177,    38,    39,     0,     0,
       0,     0,    40,     0,     0,  3136,     0,     0,     0,     0,
    3137,     0,     0,     0,     0,     0,     0,     0,     0,   753,
       0,  2101,     0,     0,     0, -2748,     0,     0,     0,     0,
       0,     0,     0,  3138,  2782,     0,     0,   753,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0, -2748,
       0, -2748, -2748,  1004,     0,     0,   751,     0,  1591,     0,
      41,  3139,  1004,     0,     0,     0,     0,     0,   925,  1004,
       0,     0,  1004, -2748,     0,     0,     0,     0,  3136,     0,
       0,     0,     0,  3137,  1591,     0,  1587,     0,     0,     0,
       0,     0,     0, -2748,     0,     0, -2748, -2748,     0, -2748,
       0,     0,     0,     0,  2849,     0,  3138,  2782,     0,     0,
       0,     0,     0,   751,     0,     0,     0,     0,     0,  3140,
       0,     0,  3141,     0,     0,   751,     0,     0,     0,     0,
       0,     0,     0,     0,  3139,     0,     0,     0,     0,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     925,     0,     0,     0,     0,     0,     0,     0,     0,   751,
      43,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2849,     0,     0,
       0,     0,     0,     0,    44,     0,     0,     0,     0,  1004,
    1004,     0,  3140,     0,     0,  3141,  1205,  1161,     0,     0,
    1205,     0,     0,     0,     0,  4886,  4887,     0,     0,    45,
       0,     0,     0,     0,     0,     0,  3142,     0,     0,     0,
       0,     0,     0,  5352,     0,     0,     0,  1004,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   923,
       0,     0,     0,     0,     0,     0,     0,     0,   752,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   751,     0,
       0,     0,    46,     0,     0,    47,     0,     0,   925,     0,
       0,   753,     0,     0,   752,  2238,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    48,  3142,
       0,     0,   752,     0,  1590,     0,     0,   924,   752,     0,
       0,     0,   752,     0,     0,  1590,     0,     0,     0,  5353,
       0,   752,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1590,  2588,  3050,     0,  2589,   752,     0,     0,  2590,
    2591,  2592,  3051,  3052,  3053,  3054,  3055,  3056,  3057,  3058,
    3059,     0,     0,     0,     0,  6172,     0,  3132,     0,     0,
       0,     0,     0,     0,     0,   751,     0,  3133,     0,     0,
     752,     0,     0,     0,  3134,     0,     0,     0,     0,     0,
       0,     0,     0,  1202,     0,     0,  1205,  1205,     0,     0,
     752,   752,     0,     0,    49,     0,     0,     0,     0,     0,
    3135,     0,     0,     0,     0,     0,  3050,   925,     0,     0,
    1004,  1004,   933,     0,     0,  3051,  3052,  3053,  3054,  3055,
    3056,  3057,  3058,  3059,  1004,  1590,     0,   924,   752,  1591,
    1004,   924,     0,   753,  1004,     0,  1004,     0,     0,     0,
    1591,     0,     0,     0,     0,     0,     0,  1360,     0,    50,
       0,     0,     0,   752,     0,   924,  1591,     0,     0,   752,
     753,     0,     0,     0,     0,     0,    51,     0,     0,     0,
    5072,     0,     0,   752,     0,     0,     0,     0,  1202,     0,
     752,    52,     0,   752,     0,     0,     0,     0,     0,   752,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1004,
       0,  1004,  1004,     0,     0,     0,   751,     0,   751,   752,
       0,    53,     0,  1161,     0,   752,     0,     0,  3136,     0,
    1360,  1360,   752,  3137,     0,     0,    54,    55,    56,    57,
      58,    59,     0,     0,    60,    61,  1638,     0,   752,     0,
       0,    66,  1639,     0,     0,     0,  3138,  2782,     0,     0,
    1591,     0,   752,     0,     0,     0,   751,   924,     0,     0,
       0,  1590,     0,   752,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3139,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   753,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     923,  1081,     0,     0,     0,     0,  3297,  2849,     0,     0,
       0,  6614,     0,   924,     0,     0,     0,     0,     0,     0,
    1004,     0,  3140,     0,     0,  3141,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5240,  3298,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1084,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1085,     0,  1591,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1447,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1004,     0,     0,     0,     0,  3299,     0,     0,  3142,
       0,     0,     0,     0,     0,     0, -2750,     0,     0,  1088,
       0,     0,     0,     0,     0,  1587,     0,     0,  1089,  1587,
    1587,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1090,  1004,     0,     0,     0,     0,  3300,     0,     0,
     925,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0, -2750,
       0,  1004,  1004,  1004,  1450,  1004,     0,     0,     0,     0,
       0,     0, -2750,     0,     0,     0,  1587,     0, -2750,     0,
       0,     0,  1587,   752, -2750,   924,  1004,     0,     0,     0,
   -2750,     0,     0, -2750,     0,     0,   925, -2750,     0,     0,
       0,     0,     0,   752,     0,     0,  3050,     0,     0,     0,
     752,  1360,  1360,   751,     0,  3051,  3052,  3053,  3054,  3055,
    3056,  3057,  3058,  3059,  1094,   925,     0, -2750,  6182,  1587,
       0,   751,     0,     0,  3248,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
   -2750,     0,   923,     0,     0,  1004,     0,     0,  3301,  1004,
    1004,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1004,     0,     0,     0,     0,
       0,     0,  2588,     0,     0,  2589,     0,     0,     0,  2590,
    2591,  2592,  3248,     0,     0,   974,  3302,   924,     0,  1099,
       0, -2750,     0,   924,     0, -2750,     0,  3132,     0,     0,
       0, -2750,     0,     0,     0,     0,     0,  3133,     0,     0,
       0,     0,     0,     0,  3134,     0,     0,  1454,     0,  1590,
    3303,     0,  2588,     0,   923,  2589,     0,  1103,     0,  2590,
    2591,  2592,     0,     0,  1104,     0,     0,  1105,     0,  1591,
    3135,     0,     0,     0,     0,   933,     0,  3132,     0,     0,
       0,     0,  1590,     0,     0,     0,  1205,  3133,  1106,     0,
       0,     0, -2750,     0,  3134,     0,  1456,     0,     0,     0,
       0,     0,     0,  1108,     0,     0,  1457,     0,     0,     0,
       0,  1110,     0,     0,     0,   752,     0,     0,     0,  3304,
    3135,     0,     0,     0,     0,     0,  3305,  1205,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1591,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1587,
       0,     0,  1177,  1115,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2238,  2238,  2238,     0,     0,
       0,     0,   923,     0,  1591,   751,     0,     0,     0,     0,
       0,     0, -2750,  1205,     0,     0,     0,     0,  3136,     0,
       0,     0,     0,  3137,  1590,     0,     0,     0,     0,     0,
    1205,     0,     0,     0,     0,  1590, -2750,  1591, -2750, -2750,
       0,     0,     0,     0,     0,     0,  3138,  2782,     0,     0,
       0,  1590,  1587,     0,     0,     0,  1587,   752,   752,     0,
   -2750,     0,     0,     0,     0,     0,     0,     0,  3136,     0,
       0,     0,     0,  3137,  3139,     0,     0,     0,   752,     0,
   -2750,   752,     0, -2750, -2750,     0, -2750,     0,  5660,     0,
       0,     0,     0,     0,     0,     0,  3138,  2782,     0,     0,
       0,     0,  5662,     0,     0,  1590,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2849,     0,     0,
    1004,  1004,  1004,     0,  3139,     0,     0,  1590,     0,     0,
       0,   923,  3140,     0,     0,  3141,     0,     0,     0,     0,
    1590,     0,     0,     0,     0,     0,     0,     0,     0,  1591,
       0,     0,  1590,     0,     0,     0,     0,   751,     0,     0,
    1591,     0,   924,   924,   924,     0,     0,  2849,     0,     0,
       0,     0,   933,     0,     0,     0,  1591,     0,     0,     0,
       0,     0,  3140,     0,   751,  3141,     0,   752,     0,     0,
       0,     0,  1590,  1590,     0,  1587,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   752,     0,     0,     0,
    1587,     0,     0,     0,     0,  1587,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   752,     0,  3142,
    1591,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1587,  1004,     0,     0,  1004,
       0,     0,  1591,     0,     0,     0,     0,     0,     0,  1004,
    2588,     0,     0,  2589,     0,  1591,     0,  2590,  2591,  2592,
       0,     0,     0,     0,     0,     0,     0,  1591,     0,  3142,
       0,     0,     0,     0,     0,  3132,     0,     0,     0,     0,
    1004,  1004,     0,     0,     0,  3133,     0,     0,     0,     0,
       0,     0,  3134,     0,     0,  1004,     0,     0,  1004,     0,
       0,     0,     0,  2238,     0,     0,     0,  1591,  1591,     0,
     752,     0,   751,     0,     0,     0,     0,  2238,  3135,     0,
    2238,     0,     0,     0,     0,     0,  3050,     0,     0,     0,
       0,     0,     0,     0,     0,  3051,  3052,  3053,  3054,  3055,
    3056,  3057,  3058,  3059,     0,  1590,     0,     0,  6236,     0,
       0,     0,     0,     0,     0,     0,     0,   924,     0,     0,
       0,     0,     0,   752,     0,   752,  1004,     0,     0,     0,
    1004,  1004,     0,     0,     0,     0,  3050,     0,   752,     0,
     752,     0,     0,     0,     0,  3051,  3052,  3053,  3054,  3055,
    3056,  3057,  3058,  3059,     0,     0,     0,     0,  6267,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1004,
    1004,     0,     0,     0,     0,  1004,  1004,     0,     0,     0,
       0,     0,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,
    1004,  1004,  1004,  1004,  1004,     0,  3136,     0,  1004,     0,
    1004,  3137,  1004,  1004,  1004,  1004,  1004,  1004,     0,     0,
    1004,   752,  1004,  1004,     0,     0,  1004,     0,     0,     0,
       0,     0,     0,     0,  3138,  2782,     0,     0,     0,     0,
    1591,  1004,  1004,  1004,     0,  1587,     0,     0,  1587,     0,
    1587,     0,     0,     0,   923,  1587,     0,     0,     0,  1004,
       0,   933,  3139,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0, -2767,
       0,     0,   752,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1587,     0,
       0,     0,     0,     0,   752,  2849,  1587,     0,   752,     0,
     923,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3140,     0,     0,  3141,     0,     0,     0,     0,     0,   752,
       0,  1587, -2767,     0,     0,     0,     0,     0,     0,   923,
       0,     0,     0,     0,     0, -2767,     0,     0,     0,     0,
       0, -2767,     0,     0,     0,     0,     0, -2767,     0,     0,
       0,     0,     0, -2767,     0,     0, -2767,     0,     0,     0,
   -2767,     0,     0,     0,     0,     0,  6026,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  6030,     0,     0,  2588,     0,     0,  2589,     0,     0,
   -2767,  2590,  2591,  2592,     0,     0,  1004,     0,     0,     0,
    1587,     0,  1587,     0,     0,     0,     0,  3142,     0,  3132,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3133,
       0,     0,     0, -2767,     0,     0,  3134,   924,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1004,     0,  3135,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  6088,     0, -2767,     0,     0,     0, -2767,     0,
       0,     0,     0,     0, -2767,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1587,     0,     0,     0,     0,     0,  1004,     0,     0,     0,
       0,     0,     0,     0,  3050,     0,     0,     0,     0,     0,
       0,     0,     0,  3051,  3052,  3053,  3054,  3055,  3056,  3057,
    3058,  3059,     0,     0,     0,     0,  6269,     0,     0,     0,
       0,     0,     0,     0,  1587, -2767,     0,     0,     0,     0,
       0,     0,     0,     0,  2588,     0,     0,  2589,     0,     0,
       0,  2590,  2591,  2592,     0,     0,     0,     0,     0,     0,
    3136,     0,  1587,     0,     0,  3137,     0,     0,     0,  3132,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3133,
       0,     0,  2238,     0,     0,     0,  3134,     0,  3138,  2782,
       0,     0,     0,     0,     0,  1177,   752,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2588,  3135,     0,  2589,     0,  3139,     0,  2590,  2591,
    2592,     0,     0,     0,     0, -2767,     0,     0,     0,     0,
       0,     0,     0,     0,  1587,     0,  3132,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3133,     0,     0, -2767,
       0, -2767, -2767,  3134,     0,     0,  1587,     0,   924,  2849,
       0,     0,     0,   924,     0,   924,     0,     0,     0,     0,
       0,     0,     0, -2767,  3140,     0,     0,  3141,     0,  3135,
    1587,     0,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,
    1004,   924,  1004, -2767,     0,     0, -2767, -2767,     0, -2767,
       0,     0,     0,     0,  1004,     0,  6242,  1004,  6244,     0,
       0,  2588,     0,     0,  2589,     0,     0,     0,  2590,  2591,
    2592,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3136,     0,     0,     0,     0,  3137,  3132,     0,     0,   752,
       0,     0,   752,     0,  4069,     0,  3133,     0,  3248,  4075,
       0,     0,     0,  3134,     0,     0,     0,     0,  3138,  2782,
       0,     0,     0,  1004,     0,     0,     0,  1004,     0,     0,
    1004,  3142,  1004,     0,     0,  1004,     0,     0,     0,  3135,
       0,     0,  1587,     0,     0,     0,  3139,     0,     0,     0,
    1004,     0,     0,     0,     0,     0,     0,  3136,     0,  1004,
    1004,     0,  3137,     0,     0,  1590,     0,     0,     0,     0,
       0,  1590,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3138,  2782,     0,     0,  2849,
       0,     0,   752,   752,  1587,     0,     0,     0,     0,     0,
       0,     0,     0,   752,  3140,     0,     0,  3141,  6373,     0,
       0,     0,     0,  3139,     0,     0,     0,     0,  1590,  1587,
     752,     0,     0,     0,     0,     0,     0,     0,     0,  1591,
       0,     0,     0,  1591,  1591,     0,     0,     0,  3050,     0,
       0,     0,     0,     0,     0,   933,     0,  3051,  3052,  3053,
    3054,  3055,  3056,  3057,  3058,  3059,  2849,  3136,     0,     0,
    6312,     0,  3137,     0,     0,     0,     0,     0,     0,     0,
       0,  3140,     0,     0,  3141,     0,     0,  1004,     0,     0,
       0,     0,     0,     0,     0,  3138,  2782,     0,  1004,     0,
    1591,  1004,     0,  1004,  1004,     0,  1591,     0,     0,     0,
       0,  3142,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3139,     0,     0,     0,   752,     0,     0,
     924,  1205,  2588,     0,     0,  2589,     0,     0,     0,  2590,
    2591,  2592,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1591,     0,     0,     0,  3132,     0,     0,
       0,     0,     0,     0,     0,     0,  2849,  3133,     0,     0,
       0,     0,     0,     0,  3134,   933,     0,     0,  3142,   933,
       0,  3140,     0,     0,  3141,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1587,  6519,     0,  6521,     0,     0,
    3135,     0,     0,   933,     0,     0,  2238,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3050,     0,
       0,     0,     0,     0,     0,     0,  1205,  3051,  3052,  3053,
    3054,  3055,  3056,  3057,  3058,  3059,     0,     0,  1590,     0,
    6691,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3142,     0,
       0,     0,     0,     0,     0,  3050,     0,     0,  1587,     0,
       0,     0,     0,     0,  3051,  3052,  3053,  3054,  3055,  3056,
    3057,  3058,  3059,     0,     0,   933,     0,  6702,     0,     0,
       0,  3248,     0,     0,     0,  3248,  1587,     0,  3136,     0,
       0,     0,     0,  3137,     0,     0,     0,     0,     0,  1004,
    1004,  1004,     0,     0,     0,  1004,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3138,  2782,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1004,  1591,     0,     0,     0,     0,     0,     0,
       0,   933,   752,     0,  3139,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3050,     0,     0,     0,     0,
       0,     0,     0,     0,  3051,  3052,  3053,  3054,  3055,  3056,
    3057,  3058,  3059,     0,  1004,     0,     0,  6725,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2849,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   752,
       0,     0,  3140,     0,     0,  3141,  1591,     0,     0,     0,
    1591,   752,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1590,     0,     0,     0,     0,     0,
    1587,     0,     0,  1004,     0,     0,     0,     0,     0,  1590,
       0,     0,     0,  2588,  1590,   752,  2589,     0,  6739,     0,
    2590,  2591,  2592,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3132,     0,
       0,     0,     0,     0,  1590,     0,     0,     0,  3133,  1587,
       0,     0,  1587,     0,     0,  3134,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3142,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3135,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   924,     0,     0,     0,     0,
       0,     0,     0,   933,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   752,     0,     0,     0,     0,  1591,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1004,     0,  1591,  1004,     0,  1004,  1004,  1591,
       0,     0,     0,     0,     0,     0,     0,  1004,     0,     0,
       0,     0,  1004,     0,     0,     0,     0,     0,     0,     0,
    6843,     0,     0,     0,     0,     0,     0,     0,     0,  1591,
       0,     0,     0,     0,     0,     0,  3050,     0,     0,     0,
       0,     0,     0,     0,     0,  3051,  3052,  3053,  3054,  3055,
    3056,  3057,  3058,  3059,     0,     0,     0,     0,  6955,  3136,
       0,  1004,  1004,  1004,  3137,     0,  1004,     0,     0,     0,
       0,   752,     0,     0,  1004,  1004,  1004,  1004,     0,     0,
       0,     0,     0,     0,     0,   933,  1587,  3138,  2782,     0,
    1004,   933,     0,  1004,     0,  1004,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1004,  1004,     0,
       0,  1004,     0,     0,     0,  3139,     0,     0,     0,     0,
       0,  2588,     0,     0,  2589,     0,     0,     0,  2590,  2591,
    2592,     0,  1004,     0,  1004,     0,  1004,     0,     0,     0,
       0,     0,     0,     0,  3248,     0,  3132,  4075,     0,  4075,
    6943,     0,     0,     0,  3248,  1004,  3133,     0,  2849,     0,
       0,     0,     0,  3134,     0,     0,     0,     0,     0,  1004,
       0,     0,     0,  3140,     0,     0,  3141,     0,     0,     0,
       0,     0,  1504,  1504,     0,     0,     0,     0,     0,  3135,
       0,     0,     0,     0,     0,     0,     0,  1590,     0,     0,
    1004,     0,     0,     0,     0,  1590,     0,     0,     0,     0,
       0,     0,   752,  1587,   752,  1004,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1004,
    3248,     0,     0,     0,     0,     0,     0,  1004,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   752,     0,     0,     0,  1587,     0,     0,  1591,
    3142,     0,  1591,     0,  1591,     0,     0,     0,     0,  1591,
       0,     0,     0,     0,     0,     0,     0,     0,  1587,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1004,     0,     0,     0,     0,     0,  3136,     0,  1590,
       0,  1590,  3137,     0,     0,     0,   924,     0,  1504,     0,
       0,     0,  1591,     0,     0,     0,     0,     0,     0,     0,
    1591,     0,     0,     0,     0,  3138,  2782,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1591,     0,     0,     0,     0,
       0,  1004,  1587,  3139,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3050,     0,     0,
       0,     0,     0,     0,     0,     0,  3051,  3052,  3053,  3054,
    3055,  3056,  3057,  3058,  3059,     0,     0,     0,     0,  6972,
     933,   933,   933,     0,     0,     0,  2849,     0,     0,  1590,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3140,     0,     0,  3141,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1591,     0,  1591,     0,  2238,     0,
       0,     0,     0,     0,  2238,     0,     0,     0,     0,     4,
       0,     0,     0,  1590,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     5,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     6,     7,
       0,  4075,     0,     0,  1587,     9,    10,     0,     0,    11,
      12,    13,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    35,     0,     0,     0,    37,  3142,    38,
      39,     0,     0,     0,     0,    40,     0,     0,     0,     0,
       0,     0,     0,     0,  1591,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   752,
       0,     0,     0,  1590,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1004,     0,     0,     0,   752,     0,  1004,
       0,     0,     0,     0,     0,  4075,     0,     0,  1591,     0,
       0,     0,     0,    41,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   924,  1590,
       0,     0,     0,     0,     0,   933,  1591,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2588,
       0,     0,  2589,     0,     0,  3050,  2590,  2591,  2592,     0,
       0,     0,     0,     0,  3051,  3052,  3053,  3054,  3055,  3056,
    3057,  3058,  3059,     0,  3132,     0,     0,  7060,  4000,  1004,
       0,     0,     0,     0,  3133,     0,     0,     0,     0,     0,
       0,  3134,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1591,     0,
     924,  2588,     0,    43,  2589,     0,     0,  3135,  2590,  2591,
    2592,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1591,  1590,     0,     0,     0,     0,  3132,    44,     0,     0,
       0,     0,     0,     0,     0,  1587,  3133,     0,     0,     0,
       0,     0,     0,  3134,  1591,     0,     0,     0,     0,     0,
       0,     0,    45,     0,     0,     0,     0,     0,     0,  4001,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3135,
       0,     0,     0,  1590,     0,     0,     0,     0,     0,     0,
       0,  2588,     0,     0,  2589,     0,     0,     0,  2590,  2591,
    2592,     0,     0,     0,     0,     0,     0,     0,  1590,     0,
       0,     0,     0,     0,     0,    46,  3132,     0,    47,     0,
       0,     0,     0,     0,     0,     0,  3133,     0,   924,     0,
       0,   752,     0,  3134,     0,  3136,     0,     0,     0,     0,
    3137,    48,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1004,     0,     0,  1591,     0,     0,  3135,
       0,     0,  1004,  3138,  2782,     0,     0,     0,     0,  1587,
       0,     0,  4697,     0,     0,     0,  1004,     0,  4698,     0,
    1004,  1004,  1004,     0,     0,     0,     0,  1004,     0,     0,
    1004,  3139,     0,  1004,     0,     0,     0,  3136,     0,  1004,
       0,  1004,  3137,     0,  1004,     0,     0,     0,  1591,  1004,
    1004,  1004,  1004,     0,     0,  1004,  1004,  1004,  1004,  1004,
    1004,  1004,  1004,  1004,  1004,  3138,  2782,     0,  1004,  1004,
    1004,     0,     0,  1591,  2849,     0,     0,    49,  1004,     0,
       0,     0,     0,  1004,     0,   933,     0,  1004,     0,  3140,
       0,  6791,  3141,  3139,     0,  1004,     0,   924,  1004,     0,
    1004,     0,  1587,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3248,     0,     0,  1004,  3136,     0,  1004,
    1004,     0,  3137,   752,  1004,  1004,     0,     0,     0,  1004,
       0,  1004,    50,     0,     0,     0,  2849,     0,     0,     0,
       0,     0,     0,     0,  1004,  3138,  2782,  1004,     0,    51,
     752,  3140,     0,     0,  3141,  1587,     0,     0,  1004,     0,
    1587,  1587,     0,     0,    52,     0,     0,     0,     0,     0,
       0,     0,     0,  3139,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3142,     0,     0,     0,
       0,     0,     0,     0,    53,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1004,     0,  4075,     0,    54,
      55,    56,    57,    58,    59,     0,  2849,    60,    61,  1638,
    2440,     0,  1004,     0,    66,     0,     0,     0,     0,     0,
       0,  3140,     0,     0,  3141,  4075,     0,     0,  1591,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4699,     0,
       0,     0,  4002,     0,     0,     0,     0,     0,     0,     0,
    6792,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1587,     0,
       0,     0,     0,     0,     0,     0,     0,  1004,   752,     0,
       0,     0,     0,  3050,     0,     0,     0,     0,     0,     0,
       0,     0,  3051,  3052,  3053,  3054,  3055,  3056,  3057,  3058,
    3059,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   933,     0,  3142,     0,
       0,   933,  1591,   933,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3050,     0,     0,     0,   933,
    1591,     0,     0,     0,  3051,  3052,  3053,  3054,  3055,  3056,
    3057,  3058,  3059,     0,     0,     0,     0,     0,     0,  1590,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4075,     0,
       0,  3248,     0,  2588,     0,  3050,  2589,     0,     0,     0,
    2590,  2591,  2592,     0,  3051,  3052,  3053,  3054,  3055,  3056,
    3057,  3058,  3059,     0,     0,     0,     0,     0,  3132,     0,
     924,  4625,     0,     0,     0,     0,     0,     0,  3133,     0,
       0,     0,     0,     0,  1004,  3134,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3135,     0,     0,  1591,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   924,     0,  1004,  1004,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   924,     0,     0,     0,     0,
       0,     0,  1002,  1591,  1587,     0,  1591,  1004,  1004,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1004,     0,
       0,     0,     0,  1171,     0,     0,  1174,     0,     0,     0,
    1182,     0,     0,     0,     0,     0,  1191,     0,  1211,     0,
    1214,     0,     0,     0,     0,     0,     0,  1247,     0,     0,
       0,     0,  1252,     0,     0,  1590,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3136,
       0,     0,     0,     0,  3137,     0,     0,     0,   933,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3138,  2782,     0,
       0,     0,     0,     0,  1004,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    80,
    1004,     0,     0,     0,    81,  3139,     0,     0,    82,     0,
      83,     0,    84,    85,     0,     0,     0,     0,  1004,     0,
       0,     0,     0,    86,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    90,
      91,     0,     0,     0,     0,     0,  1004,     0,  2849,  1004,
       0,     0,     0,     0,     0,     0,     0,  1004,  1004,     0,
    1591,     0,  1590,  3140,  1004,  1004,  3141,     0,     0,  1004,
       0,     0,     0,     0,  1004,     0,     0,  1004,  1004,     0,
       0,     0,     0,     0,  1004,     0,   100,     0,     0,     0,
       0,     0,     0,     0,     0,  1004,     0,   101,     0,   102,
     103,  1004,     0,  2588,     0,     0,  2589,     0,     0,  1004,
    2590,  2591,  2592,  1004,     0,  1590,     0,  1282,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   106,  3132,     0,
       0,     0,     0,     0,     0,     0,     0,  1590,  3133,   107,
       0,   108,   109,     0,     0,  3134,     0,  1004,   110,     0,
     111,     0,     0,     0,     0,  1004,     0,     0,     0,     0,
    3142,     0,     0,   112,     0,   113,     0,     0,     0,     0,
       0,  3135,     0,     0,     0,     0,     0,     0,     0,     0,
     114,     0,   115,     0,     0,   117,     0,  1591,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     118,     0,   119,     0,     0,  1004,   120,     0,     0,     0,
       0,  1590,     0,   121,     0,     0,     0,     0,     0,     0,
       0,     0,   123,     0,   124,     0,     0,     0,     0,     0,
       0,   125,     0,     0,     0,     0,     0,     0,     0,     0,
    1591,     0,     0,     0,     0,     0,     0,     0,     0,   127,
       0,  1587,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1591,     0,     0,     0,   128,  3050,     0,     0,
       0,     0,     0,     0,     0,     0,  3051,  3052,  3053,  3054,
    3055,  3056,  3057,  3058,  3059,  1004,     0,     0,     0,  3136,
       0,     0,  1004,     0,  3137,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3138,  2782,     0,
     130,   131,     0,     0,     0,     0,   132,     0,     0,     0,
       0,  6115,     0,  1590,     0,     0,  1591,     0,     0,     0,
       0,   133,     0,     0,     0,  3139,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     134,     0,  1004,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1004,     0,
       0,     0,     0,   933,     0,     0,     0,     0,  2849,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3140,     0,     0,  3141,     0,   136,  1004,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   137,     0,     0,     0,     0,     0,   138,
     139,     0,   140,     0,     0,     0,     0,   141,     0,     0,
       0,     0,     0,   142,     0,     0,   143,     0,     0,     0,
       0,     0,     0,   144,     0,     0,  1591,     0,  1591,     0,
     145,   146,     0,     0,     0,     0,     0,     0,   147,     0,
       0,     0,   148,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   149,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3142,   151,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   153,     0,   154,  1004,     0,     0,     0,     0,
       0,     0,     0,     0,   156,  1004,     0,     0,  1004,     0,
     157,  1004,  1004,  1004,     0,   158,  2588,     0,     0,  2589,
       0,     0,     0,  2590,  2591,  2592,     0,     0,   160,     0,
       0,     0,     0,     0,  4075,     0,  1004,  1004,     0,     0,
    1004,  3132,     0,     0,  4702,     0,     0,     0,     0,     0,
       0,  3133,   161,     0,     0,     0,     0,  1004,  3134,     0,
       0,     0,     0,     0,  1004,     0,     0,     0,     0,  1004,
       0,   162,  1004,  1004,     0,  -149,  4634,  3050,     0,     0,
    1004,     0,     0,     0,  3135,     0,  3051,  3052,  3053,  3054,
    3055,  3056,  3057,  3058,  3059,     0,     0,     0,     0,     0,
       0,  1004,     0,     0,  1004,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1004,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4075,  1591,
       0,     0,     0,     0,     0,     0,  2588,     0,     0,  2589,
    1004,     0,     0,  2590,  2591,  2592,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3132,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3133,  3136,     0,  1002,  1349,  1349,  3137,  3134,  1349,
       0,     0,     0,  1361,   933,  1247,     0,     0,  1388,  1004,
       0,  1361,     0,     0,  1361,     0,     0,  1247,     0,  1349,
    3138,  2782,  1247,     0,  3135,     0,  1349,     0,  1247,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1590,     0,     0,     0,     0,     0,  1442,  3139,     0,
       0,     0,     0,  1247,     0,  1349,     0,  1349,     0,     0,
    1349,     0,     0,     0,     0,     0,     0,  1388,     0,     0,
    1004,     0,  1499,  1591,  1349,     0,     0,     0,     0,     0,
    1349,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2849,     0,     0,  1590,     0,     0,     0,     0,  1590,
    1590,     0,     0,     0,     0,     0,  3140,  1004,     0,  3141,
       0,     0,     0,     0,     0,     0,     0,     0,  1002,     0,
       0,     0,     0,     0,  1004,     0,     0,  1361,  1004,     0,
    1004,  1388,     0,     0,  1361,     0,     0,  1361,     0,     0,
       0,     0,  3136,     0,  1004,     0,  1004,  3137,     0,     0,
    1004,     0,     0,  1349,     0,     0,  1004,     0,     0,     0,
    1004,     0,     0,     0,     0,     0,  1591,  1004,     0,     0,
    3138,  2782,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3139,     0,
       0,     0,     0,  3142,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1004,  1247,     0,  6115,  1590,     0,  1591,
       0,     0,     0,     0,  1591,  1591,  1717,     0,     0,  1004,
       0,     0,     0,     0,     0,  1004,  1004,     0,     0,     0,
       0,  2849,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1844,  1844,  3140,     0,     0,  3141,
    1247,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1004,     0,     0,     0,  1247,
    4670,     0,     0,  1004,  1247,     0,   933,     0,     0,     0,
       0,     0,  1844,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1247,     0,     0,     0,     0,     0,     0,
    3050,  1004,     0,     0,     0,     0,  1247,     0,     0,  3051,
    3052,  3053,  3054,  3055,  3056,  3057,  3058,  3059,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1591,  1591,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3142,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1004,   933,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1004,
       0,     0,     0,     0,     0,     0,     0,     0,  1004,  1004,
    1004,     0,     0,  1247,  1004,     0,     0,  1004,     0,     0,
       0,     0,     0,     0,  1247,     0,     0,     0,  1004,  1349,
    1349,     0,     0,     0,     0,  1004,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1004,     0,     0,     0,     0,     0,     0,
    1004,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1004,
    3050,     0,     0,     0,     0,  1844,  1844,     0,     0,  3051,
    3052,  3053,  3054,  3055,  3056,  3057,  3058,  3059,     0,  1002,
       0,  1349,     0,     0,     0,  1361,   933,     0,  1388,  1361,
       0,  1361,     0,  1590,     0,     0,  1349,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1247,     0,     0,     0,     0,     0,  1349,  1349,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1004,     0,     0,     0,     0,  1247,  1247,
    1247,     0,  1349,     0,  1002,     0,  1002,  1002,     0,     0,
       0,     0,     0,  2344,     0,     0,    80,     0,     0,     0,
       0,    81,     0,     0,     0,    82,     0,    83,     0,    84,
      85,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      86,     0,     0,     0,     0,     0,     0,     0,  1004,     0,
       0,     0,     0,     0,     0,     0,    90,    91,     0,     0,
       0,     0,     0,     0,  1004,   933,     0,     0,  1591,     0,
       0,     0,     0,  1004,     0,  1004,     0,  1004,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1349,
       0,  1349,  1349,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   100,     0,  1004,     0,     0,     0,     0,
       0,     0,     0,     0,   101,     0,   102,   103,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1844,     0,     0,     0,     0,
       0,     0,     0,     0,   106,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   107,     0,   108,   109,
    1004,     0,     0,     0,     0,   110,     0,   111,     0,  2479,
    1004,  2479,     0,     0,     0,  1247,     0,  1171,  1004,  1004,
     112,     0,   113,     0,  1004,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   114,     0,   115,
       0,     0,   117,     0,     0,     0,     0,  2519,     0,  1247,
       0,  1004,     0,  2525,     0,     0,     0,   118,     0,   119,
       0,  1004,     0,   120,     0,     0,  1844,     0,     0,     0,
    6382,     0,     0,     0,     0,     0,     0,     0,     0,   123,
       0,   124,     0,     0,     0,     0,     0,     0,   125,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   127,  1844,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1004,     0,   128,     0,     0,     0,  1004,     0,     0,
       0,     0,     0,     0,     0,     0,  1844,  1844,  1844,     0,
    1844,     0,     0,     0,     0,  1004,     0,     0,     0,     0,
    1590,     0,  1004,     0,     0,     0,     0,     0,     0,     0,
       0,  1844,  1004,     0,     0,  1004,     0,     0,  1004,     0,
       0,     0,     0,     0,     0,     0,     0,   130,   131,     0,
       0,     0,     0,   132,     0,     0,     0,  2238,     0,     0,
       0,     0,     0,     0,     0,  1004,     0,     0,   133,  2588,
       0,     0,  2589,     0,     0,     0,  2590,  2591,  2592,     0,
       0,     0,     0,     0,  1247,     0,     0,   134,     0,     0,
       0,     0,     0,     0,  3132,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3133,     0,     0,     0,     0,  1004,
    1844,  3134,     0,  1004,  1844,  1844,     0,     0,  1004,     0,
       0,     0,     0,     0,     0,  1247,  1247,  1247,  3191,     0,
    1844,  1004,     0,     0,     0,   136,     0,  3135,   933,     0,
       0,     0,     0,     0,  2588,  1591,     0,  2589,     0,     0,
     137,  2590,  2591,  2592,     0,     0,   138,   139,     0,   140,
       0,     0,     0,     0,   141,     0,     0,  5197,     0,  3132,
     142,     0,  4714,   143,     0,     0,     0,     0,     0,  3133,
     144,     0,  1004,  1004,     0,     0,  3134,   145,   146,     0,
    1004,     0,     0,     0,   933,   147,     0,     0,     0,   148,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1004,
    1004,   149,  3135,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   933,     0,     0,     0,     0,   151,     0,
       0,     0,     0,     0,     0,     0,  4707,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   153,
       0,   154,     0,     0,     0,  3136,     0,  3318,     0,     0,
    3137,   156,     0,     0,     0,  1349,     0,   157,     0,     0,
       0,     0,   158,     0,     0,     0,     0,     0,  1247,  3352,
       0,     0,     0,  3138,  2782,   160,     0,  1247,     0,     0,
    1349,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   161,
       0,  3139,     0,  1388,     0,  1247,     0,     0,     0,     0,
       0,  3418,  3418,     0,     0,  3418,     0,     0,   162,     0,
    3136,     0,  -149,     0,     0,  3137,     0,     0,  1247,     0,
       0,  1247,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2849,     0,     0,     0,  3138,  2782,
       0,     0,     0,  1349,     0,     0,     0,     0,     0,  3140,
       0,     0,  3141,     0,     0,     0,     0,     0,     0,     0,
       0,  1247,     0,     0,     0,     0,  3139,     0,     0,     0,
       0,     0,     0,     0,     0,  1349,  1349,  1349,  1349,  1247,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2588,     0,  1247,  2589,     0,     0,     0,  2590,  2591,
    2592,     0,     0,     0,     0,  1844,  1844,  1844,     0,  2849,
       0,     0,     0,     0,     0,     0,  3132,     0,     0,     0,
       0,  1247,     0,     0,  3140,     0,  3133,  3141,     0,     0,
       0,     0,  1247,  3134,     0,     0,     0,     0,     0,     0,
    1349,  1349,     0,     0,     0,     0,  3142,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1349,     0,     0,  3135,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1247,  3418,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1349,  1349,  1349,  1349,     0,     0,     0,     0,     0,  1247,
       0,     0,     0,     0,     0,     0,  1247,     0,     0,  3634,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3142,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1002,     0,     0,  1002,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1844,     0,     0,     0,     0,     0,
       0,     0,     0,  3050,     0,     0,     0,     0,     0,     0,
       0,     0,  3051,  3052,  3053,  3054,  3055,  3056,  3057,  3058,
    3059,     0,     0,     0,     0,  1361,  1361,  3136,     0,     0,
       0,     0,  3137,     0,     0,     0,  1388,  1388,     0,     0,
    1361,     0,     0,  1361,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3138,  2782,     0,  1349,  1349,
       0,     0,     0,     0,     0,  1349,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1247,     0,  3050,     0,
       0,     0,     0,  3139,     0,     0,     0,  3051,  3052,  3053,
    3054,  3055,  3056,  3057,  3058,  3059,     0,     0,     0,     0,
       0,     0,  2479,     0,     0,     0,     0,     0,     0,  1349,
       0,  1361,     0,     0,  3752,  1361,  1361,     0,  1247,  1247,
       0,  1349,     0,     0,     0,     0,  2849,     0,  1247,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1247,
       0,  3140,  1247,  3634,  3141,     0,  1171,     0,     0,  1171,
    3790,     0,     0,     0,  1844,  1844,     0,     0,     0,     0,
    1844,  1844,     0,     0,     0,     0,     0,  1844,  1844,  1844,
    1844,  1844,  1844,  1844,  1844,  1844,  1844,  1844,  1844,  1844,
       0,     0,     0,  1844,     0,  1844,  1388,  1844,  1844,  1844,
    1844,  1844,  1844,     0,     0,  1844,     0,  1844,  1844,     0,
       0,  1844,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1844,  1844,  1844,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1844,     0,     0,     0,  3142,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1349,  5283,     0,     0,     0,    80,
       0,     0,     0,     0,    81,     0,     0,     0,    82,     0,
      83,     0,    84,    85,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    86,     0,     0,     0,     0,     0,     0,
       0,    87,     0,     0,     0,     0,     0,    88,    89,    90,
      91,     0,     0,     0,    92,    93,     0,     0,     0,     0,
      94,     0,     0,     0,     0,     0,     0,     0,     0,    95,
       0,    96,     0,    97,    98,  3050,     0,     0,     0,    99,
       0,     0,     0,     0,  3051,  3052,  3053,  3054,  3055,  3056,
    3057,  3058,  3059,     0,     0,     0,   100,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   101,     0,   102,
     103,  1844,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   104,     0,     0,     0,     0,     0,   105,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   106,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   107,
       0,   108,   109,     0,     0,     0,     0,     0,   110,     0,
     111,     0,     0,     0,     0,  1844,     0,     0,     0,     0,
       0,     0,     0,   112,     0,   113,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     114,     0,   115,     0,   116,   117,     0,     0,     0,     0,
       0, -1740,     0,     0,     0,     0,     0,     0,     0,     0,
     118,     0,   119,     0,     0,     0,   120,     0,     0,     0,
       0,  1844,     0,   121,   122,     0,     0,     0,     0,     0,
       0,     0,   123,     0,   124,     0,     0,     0,     0,     0,
       0,   125,     0,     0,     0,   126,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   127,
       0,     0,     0,     0,     0,     0,  2588,     0,     0,  2589,
       0,     0,     0,  2590,  2591,  2592,   128,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3132, -1740,     0,  5359,     0,     0,   129,     0,     0,
       0,  3133,     0,     0,     0,     0,     0,     0,  3134,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     130,   131,     0,     0,  3135,     0,   132,     0,     0,     0,
       0,     0,     0,     0, -1740,     0,     0,     0,     0,     0,
       0,   133,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     134,     0,     0,     0,     0,     0,   135,     0,  1366,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1400,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1419,     0,     0,     0,     0,     0,  1844,  1844,  1844,
    1844,  1844,  1844,  1844,  1844,  1844,     0,  1844,   136,     0,
    1440,     0,     0,     0,     0,     0,  1472,     0,  1247,  1844,
       0,     0,  1844,   137,     0,     0,     0,     0,     0,   138,
     139,     0,   140,     0,     0,     0,     0,   141,     0,     0,
       0,     0,  3136,   142,  1247,     0,   143,  3137,     0,     0,
       0,     0,     0,   144,     0,     0,     0,     0,     0,     0,
     145,   146,     0,     0,     0,     0,     0,     0,   147,     0,
    3138,  2782,   148,     0,     0,     0,  1247,     0,  1844,     0,
       0,  1349,  1844,     0,   149,  1844,     0,  1844,     0,     0,
    1844,     0,   150,     0,  1247,  1247,     0,     0,  3139,     0,
    2588,   151,     0,  2589,     0,  1844,     0,  2590,  2591,  2592,
       0,     0,     0,   152,  1844,  1844,     0,     0,     0,     0,
       0,     0,   153,     0,   154,  3132,     0,     0,  1247,     0,
       0,   155,     0,     0,   156,  3133,  4037, -1740,  4042,     0,
     157,  2849,  3134,     0,     0,   158,   159,     0,  2083,     0,
       0,     0,     0,     0,  2084,     0,  3140,     0,   160,  3141,
       0,  2146,     0,     0,     0,     0,     0,     0,  3135,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   161,  2147,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2086,
       0,   162,     0,     0,     0,  -149,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1171,     0,  1171,     0,
       0,     0,     0,  1865,     0,     0,     0,     0,     0,     0,
       0,     0,  1844,     0,     0,  2148,     0,     0,     0,     0,
       0,     0,  1889,  1002,     0,     0,  1361,  1388,  1361,  1361,
       0,     0,  1349,  3142,     0,  1247,  2087,     0,     0,     0,
       0,     0,     0,  2088,     0,     0,  1909,  2089,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3136,     0,  3352,     0,
       0,  3137,     0,     0,     0,  2090,     0,     0,     0,     0,
       0,  4175,  1247,     0,     0,     0,     0,     0,  4186,     0,
       0,     0,     0,     0,  3138,  2782,     0,  1247,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2149,     0,     0,
       0,  2091,     0,     0,     0,     0,     0,  1247,     0,     0,
       0,     0,  3139,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1247,     0,
    3050,     0,     0,     0,     0,     0,     0,  2110,     0,  3051,
    3052,  3053,  3054,  3055,  3056,  3057,  3058,  3059,     0,     0,
       0,     0,     0,     0,     0,  2849,     0,     0,     0,     0,
    2150,     0,     0,     0,  1349,  2151,     0,  1349,     0,     0,
    3140,     0,     0,  3141,     0,     0,     0,     0,     0,     0,
       0,  2152,     0,     0,     0,  2093,     0,     0,     0,     0,
       0,  5824,     0,  1247,  1247,  2094,     0,     0,     0,     0,
    1247,     0,     0,     0,     0,  2095,     0,     0,     0,     0,
    4333,     0,  4336,  4338,     0,     0,  2153,  2096,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1844,  1844,  1844,     0,     0,     0,
    1844,     0,     0,  2291,     0,     0,     0,     0,  1349,     0,
    2154,     0,     0,  2098,  2099,  2155,     0,  3142,     0,     0,
       0,  1349,     0,     0,     0,     0,     0,  1844,     0,  1349,
       0,  2325,  2328,  2329,     0,     0,     0,     0,     0,  2156,
       0,     0,  3352,     0,     0,  2157,     0,  1247,     0,     0,
       0,     0,     0,  4440,     0,     0,  1171,     0,     0,     0,
       0,  2158,     0,     0,     0,     0,     0,     0,  1349,  4455,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4333,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1349,
       0,  4477,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2344,     0,     0,     0,  2101,
       0,     0,     0,     0,  3050,     0,     0,     0,  1844,     0,
       0,     0,     0,  3051,  3052,  3053,  3054,  3055,  3056,  3057,
    3058,  3059,  4541,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1349,     0,  1349,     0,  1349,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2588,     0,     0,  2589,     0,     0,     0,  2590,  2591,
    2592,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3132,     0,     0,     0,
       0,     0,  2479,     0,     0,     0,  3133,     0,  1865,     0,
       0,     0,     0,  3134,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3135,
       0,     0,  1865,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1002,  1349,     0,
    1361,     0,  1361,  1361,     0,  1349,     0,     0,     0,     0,
       0,     0,  1844,     0,     0,     0,     0,  1844,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1844,  1844,  1844,     0,
       0,  1844,     0,     0,     0,     0,     0,     0,  5834,  1844,
    1844,  1844,  1844,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1844,     0,  3136,  1844,     0,
    1844,     0,  3137,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1844,  1844,     0,     0,  1844,     0,     0,     0,
       0,     0,     0,     0,     0,  3138,  2782,     0,     0,     0,
       0,     0,     0,     0,     0,  1388,     0,  1844,     0,  1844,
       0,  1844,     0,     0,     0,     0,     0,  3125,  2588,     0,
       0,  2589,     0,  3139,     0,  2590,  2591,  2592,     0,     0,
    1844,     0,     0,  4763,     0,     0,     0,  1247,     0,     0,
       0,     0,     0,  3132,  4786,     0,  1578,     0,     0,     0,
       0,     0,     0,  3133,     0,     0,     0,     0,     0,  3188,
    3134,     0,     0,     0,     0,     0,  2849,  1247,     0,     0,
       0,     0,  1578,     0,     0,  1844,     0,     0,     0,     0,
       0,  3140,     0,     0,  3141,     0,  3135,     0,     0,     0,
    1844,     0,     0,     0,     4,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4786,     0,     0,     0,  4842,     0,
       0,  4845,  4786,     5,  4042,     0,     0,     0,     0,     0,
       0,     0,     0,     6,     7,     0,     0,     0,     0,     0,
       9,    10,     0,     0,    11,    12,    13,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    35,     0,
       0,     0,    37,     0,    38,    39,     0,     0,     0,     0,
      40,     0,     0,     0,     0,     0,  1844,     0,  3142,     0,
       0,     0,     0,     0,     0,  5840,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1349,  1349,     0,     0,  3136,     0,     0,     0,     0,  3137,
       0,  3340,     0,     0,     0,     0,     0,     0,     0,     0,
    3369,     0,     0,     0,     0,     0,     0,     0,    41,     0,
       0,     0,  3138,  2782,     0,     0,  1844,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3405,     0,
       0,     0,     0,     0,  3417,  3417,     0,     0,  3417,     0,
    3139,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3435,     0,     0,  3438,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3050,     0,     0,     0,     0,
       0,     0,     0,  4965,  3051,  3052,  3053,  3054,  3055,  3056,
    3057,  3058,  3059,  2849,     0,     0,     0,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1247,  3140,     0,
       0,  3141,     0,     0,     0,     0,     0,  3418,    43,     0,
       0,     0,  3493,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3513,     0,     0,     0,
       0,     0,    44,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3535,     0,     0,    45,     0,     0,
       0,     0,     0,     0,  1247,  3538,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1578,     0,     0,
       0,     0,     0,     0,     0,  3142,     0,     0,  1578,     0,
       0,     0,     0,     0,     0,     0,     0,  3582,  3417,     0,
      46,     0,     0,    47,  1578,     0,     0,     0,  1844,     0,
       0,     0,     0,     0,  1844,     0,     0,     0,     0,     0,
       0,     0,  3617,     0,     0,  1349,    48,     0,     0,  3630,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1247,  1247,  1247,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1247,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3050,     0,  1844,     0,     0,     0,  1578,     0,
       0,  3051,  3052,  3053,  3054,  3055,  3056,  3057,  3058,  3059,
       0,     0,     0,     0,     0,  2479,  1247,  1247,     0,     0,
       0,  1247,    49,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1247,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3719,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    50,     0,     0,
       0,     0,     0,     0,     0,  4541,     0,     0,     0,     0,
       0,  1865,  1865,     0,    51,     0,     0,     0,  2588,     0,
       0,  2589,     0,     0,     0,  2590,  2591,  2592,  1349,    52,
       0,     0,  3781,     0,     0,  3783,     0,     0,     0,     0,
       0,     0,     0,  3132,     0,  3752,  5251,     0,     0,     0,
       0,     0,     0,  3133,  1578,     0,  1247,     0,     0,    53,
    3134,     0,     0,     0,     0,     0,     0,     0,     0,  1247,
       0,     0,     0,     0,    54,    55,    56,    57,    58,    59,
       0,     0,    60,    61,  1638,  3711,  3135,     0,  1844,    66,
       0,     0,     0,     0,     0,     0,     0,  1844,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1844,     0,     0,     0,  1844,  1844,  1844,     0,     0,
       0,     0,  1844,     0,     0,  1844,     0,     0,  1844,     0,
       0,     0,     0,     0,  1844,     0,  1844,     0,     0,  1844,
       0,     0,     0,     0,  1844,  1844,  1844,  1844,     0,     0,
    1844,  1844,  1844,  1844,  1844,  1844,  1844,  1844,  1844,  1844,
       0,     0,     0,  1844,  1844,  1844,     0,     0,     0,     0,
       0,     0,     0,  1844,     0,     0,     0,     0,  1844,  5841,
       0,     0,  1844,     0,     0,     0,     0,     0,     0,     0,
    1844,     0,     0,  1844,     0,  1844,     0,     0,     0,     0,
       0,     0,     0,     0,  3136,     0,     0,     0,     0,  3137,
       0,  1844,     0,     0,  1844,  1844,     0,     0,     0,  1844,
    1844,     0,     0,     0,  1844,     0,  1844,  5386,     0,     0,
       0,     0,  3138,  2782,     0,  1247,  1247,  1247,     0,  1002,
       0,     0,  4786,  5407,     0,     0,     0,  5407,  5421,  5407,
    5407,     0,     0,  1844,     0,     0,     0,     0,     0,     0,
    3139,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2588,     0,     0,  2589,     0,     0,
       0,  2590,  2591,  2592,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3132,
    1844,     0,     0,  2849,     0,     0,     0,     0,     0,  3133,
       0,     0,     0,     0,     0,  4042,  3134,  1844,  3140,     0,
       0,  3141,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3135,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1578,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5509,  2479,  3352,  2479,     0,     0,  2479,     0,
    5517,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5541,     0,
       0,     0,     0,  2588,  5842,  3142,  2589,     0,     0,     0,
    2590,  2591,  2592,     0,     0,  1578,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3132,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3133,     0,
       0,     0,     0,     0,     0,  3134,     0,     0,     0,     0,
    3136,     0,  1578,  5590,     0,  3137,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3135,     0,     0,     0,     0,     0,     0,  3138,  2782,
       0,     0,     0,     0,     0,  1578,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3139,     0,     0,     0,
    5636,     0,  3050,     0,     0,     0,     0,     0,     0,     0,
       0,  3051,  3052,  3053,  3054,  3055,  3056,  3057,  3058,  3059,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1349,     0,     0,     0,     0,     0,  2849,
       0,     0,     0,     0,     0,     0,     0,  1349,     0,  1844,
       0,     0,     0,     0,  3140,     0,  1247,  3141,     0,     0,
       0,     0,  5680,     0,     0,     0,     0,     0,     0,     0,
       0,  3966,     0,  3352,     0,     0,     0,     0,     0,  3136,
       0,     0,     0,     0,  3137,     0,     0,  1578,  1247,     0,
       0,     0,     0,  4786,  4455,     0,     0,  3978,  1578,     0,
       0,  4333,     0,     0,     0,     0,     0,  3138,  2782,     0,
    5730,     0,     0,     0,  1578,     0,     0,     0,     0,     0,
    1247,     0,     0,     0,     0,     0,     0,     0,     0,  1909,
       0,     0,  1844,  1844,     0,  3139,     0,     0,     0,     0,
       0,     0,     0,  1844,     0,     0,     0,  1909,  1909,     0,
       0,  3142,     0,     0,  2479,  1247,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1578,     0,
       0,     0,  4541,  4541,  4541,  4541,  4541,     0,  2849,     0,
       0,  1865,     0,     0,     0,     0,     0,  1247,     0,     0,
    1578,     0,     0,  3140,     0,     0,  3141,     0,     0,     0,
       0,     0,     0,  1578,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1578,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1844,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1844,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1578,  1578,     0,  3050,     0,
       0,     0,     0,  1844,     0,     0,     0,  3051,  3052,  3053,
    3054,  3055,  3056,  3057,  3058,  3059,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1580,
    3142,  1844,     0,     0,  1844,     0,     0,     0,     0,     0,
       0,     0,  1844,  1844,     0,     0,     0,     0,     0,  1844,
    1844,     0,     0,     0,  1844,  1580,     0,     0,     0,  1844,
       0,     0,  1844,  1844,     0,     0,     0,     0,     0,  1844,
       0,     0,     0,  1247,  1247,  1247,  1247,     0,     0,     0,
    1844,  5407,  5421,  5407,  5407,     0,  1844,  5407,     0,     0,
    5890,     0,     0,  2588,  4786,  4176,  2589,     0,  4786,     0,
    2590,  2591,  2592,     0,  5905,     0,     0,     0,     0,     0,
    4198,  6223,     0,     0,     0,     0,     0,     0,  3132,     0,
       0,     0,     0,  1388,     0,     0,     0,     0,  3133,     0,
    4226,     0,  1844,     0,     0,  3134,  4842,  3050,     0,     0,
    1844,     0,  4042,     0,   810,     0,  3051,  3052,  3053,  3054,
    3055,  3056,  3057,  3058,  3059,     0,     0,     0,  1578,     0,
    2588,  3135,  1171,  2589,     0,   810,     0,  2590,  2591,  2592,
       0,     0,     0,     0,     0,  1053,  1063,     0,  1069,     0,
       0,     0,     0,     0,  1063,  3132,     0,     0,  6646,  3352,
    1844,     0,     0,     0,     0,  3133,     0,  1063,     0,     0,
       0,     0,  3134,     0,  5973,     0,  2588,     0,     0,  2589,
       0,     0,     0,  2590,  2591,  2592,  4306,  4307,     0,     0,
       0,  1260,  1260,  4313,     0,     0,     0,     0,  3135,     0,
       0,  3132,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3133,     0,     0,     0,     0,     0,     0,  3134,     0,
       0,     0,     0,     0,  6418,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1844,     0,     0,     0,  3135,     0,     0,  1844,     0,  3136,
       0,     0,     0,     0,  3137,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1349,     0,     0,     0,     0,     0,  3138,  2782,     0,
       0,     0,     0,     0,     0,     0,  1349,     0,     0,     0,
    4434,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3139,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3136,  1844,     0,     0,
       0,  3137,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1002,     0,     0,     0,     0,     0,     0,
    3352,     0,     0,     0,  3138,  2782,     0,     0,  2849,  2479,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1580,     0,  3136,  3140,  4455,     0,  3141,  3137,     0,     0,
    1302,  1580,  3139,     0,     0,     0,     0,  1349,     0,  4477,
       0,     0,     0,     0,     0,     0,     0,  1580,     0,     0,
    3138,  2782,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1247,     0,     0,     0,
       0,     0,     0,     0,     0,  2849,     0,  1247,  3139,     0,
       0,     0,     0,  6129,     0,     0,     0,     0,     0,     0,
    3140,     0,     0,  3141,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3142,  2849,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3140,     0,     0,  3141,
    1844,  1580,     0,     0,     0,     0,     0,     0,     0,     0,
    1844,     0,     0,  1844,     0,     0,  1844,  1844,  1844,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1844,  1844,     0,     0,  1844,     0,  3142,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1002,     0,     0,  5407,     0,     0,     0,  4786,
       0,     0,     0,     0,  4786,     0,     0,  4786,  1002,     0,
    4333,     0,  6205,     0,     0,  1844,     0,  3050,     0,     0,
       0,     0,     0,  3142,     0,     0,  3051,  3052,  3053,  3054,
    3055,  3056,  3057,  3058,  3059,     0,  5509,     0,     0,  1844,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1580,     0,  5509,
    1388,  1349,     0,  1349,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3050,     0,     0,     0,     0,     0,
       0,     0,     0,  3051,  3052,  3053,  3054,  3055,  3056,  3057,
    3058,  3059,     0,     0,     0,  1361,  1388,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4768,     0,     0,     0,     0,     0,  1247,  1247,     0,     0,
    3050,     0,     0,     0,     0,     0,     0,     0,     0,  3051,
    3052,  3053,  3054,  3055,  3056,  3057,  3058,  3059,     0,     0,
    1909,     0,  2083,     0,  1361,     0,     0,     0,  2084,     0,
       0,     0,     0,     0,     0,  2146,  5680,     0,     0,     0,
       0,  1247,     0,     0,     0,     0,  1247,  1053,     0,     0,
       0,     0,     0,     0,     0,  3352,     0,  2147,     0,     0,
       0,     0,     0,     0,     0,  1247,     0,     0,     0,  5730,
       0,     0,  6361,  2086,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1349,  1247,  5509,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1578,     0,     0,
       0,  1578,  1578,     0,     0,     0,     0,     0,     0,  2148,
       0,     0,  1063,  1063,     0,     0,     0,     0,     0,     0,
       0,     0,  1844,     0,     0,     0,     0,     0,     0,     0,
    2087,     0,     0,     0,     0,     0,     0,  2088,     0,  1844,
       0,  2089,     0,  1844,     0,  1844,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1578,  1844,
       0,  1844,     0,     0,  1578,  1844,     0,     0,     0,  2090,
       0,  1844,     0,     0,     0,  4786,     0,     0,     0,  6205,
       0,  1302,  1844,     0,  6464,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2149,     0,     0,     0,  2091,     0,     0,     0,     0,
       0,  1578,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1247,     0,     0,     0,     0,     0,     0,  1844,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1580,     0,     0,     0,  1844,     0,     0,     0,     0,     0,
    1844,  1844,     0,     0,     0,     0,     0,     0,     0,  1349,
    1349,  1349,  1349,     0,  2150,     0,     0,     0,     0,  2151,
    4990,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3417,     0,     0,     0,     0,  2152,     0,     0,     0,  2093,
    1844,     0,     0,     0,     0,     0,     0,     0,  1002,  2094,
       0,     0,     0,     0,     0,     0,     0,     0,  1580,  2095,
       0,     0,  1351,     0,     0,     0,  1355,     0,     0,     0,
    2153,  2096,     0,  1247,  1390,     0,  4786,  1392,     0,     0,
    1397,  1398,     0,  1401,     0,  1404,     0,  1865,  1410,     0,
    1412,     0,     0,     0,     0,  1580,     0,     0,     0,     0,
       0,     0,  1247,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1441,     0,  4275,     0,     0,  2098,  2099,  2155,
       0,     0,     0,  1478,     0,     0,     0,  1482,  1580,     0,
       0,     0,  1844,     0,  1494,  1495,     0,     0,  1501,     0,
    1505,  1506,     0,  2156,  1844,     0,     0,     0,     0,  4276,
       0,     0,     0,  1844,  1844,  1844,     0,     0,     0,  1002,
       0,  1302,  1844,  1063,     0,  2158,  6657,     0,     0,     0,
       0,  1578,     0,  1844,     0,     0,     0,     0,     0,  1081,
    1844,     0,     0,     0,  3791,     0,     0,  1550,     0,     0,
       0,     0,     0,  2479,     0,  5123,  5124,  5125,  5509,     0,
       0,     0,     0,     0,     0,  1844,     0,     0,  1618,     0,
    1620,     0,  5134,     0,  2479,     0,  1388,     0,     0,  1634,
    1636,     0,     0,  2101,  1844,     0,     0,     0,     0,  1063,
       0,     0,     0,     0,     0,  1084,  3792,     0,     0,     0,
    1580,     0,     0,     0,  1578,     0,     0,     0,  1578,  5159,
    5161,  1580,  1085,     0,  5166,     0,     0,     0,     0,     0,
       0,     0,  2479,  2479,     0,     0,     0,  1580,     0,     0,
    1447,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1349,  3793,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1088,  6753,     0,
       0,     0,     0,     0,     0,     0,  1089,     0,     0,     0,
       0,  1580,  1302,     0,   810,     0,     0,     0,     0,  1090,
       0,     0,     0,     0,     0,  3794,     0,     0,     0,     0,
       0,     0,  6129,  1580,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1580,     0,  1260,     0,
       0,     0,  1450,  1844,     0,     0,     0,     0,  1580,     0,
       0,     0,     0,     0,     0,     0,  4333,     0,     0,  1844,
       0,     0,  1865,     0,     0,     0,     0,  1578,  1844,     0,
    1844,     0,  1844,  6464,     0,     0,     0,     0,     0,     0,
    3795,  4042,  1578,     0,     0,     0,     0,  1578,  1580,  1580,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1361,     0,  1094,  1980,     0,     0,  1981,     0,  1984,     0,
       0,     0,     0,     0,     0,  1349,     0,  1578,     0,     0,
       0,     0,  2479,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2044,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3352,     0,
       0,     0,     0,     0,     0,  1844,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5509,     0,     0,     0,     0,
       0,     0,     0,  1361,  1361,  6892,     0,     0,     0,  1844,
       0,     0,     0,   974,  3796,     0,     0,  1099,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2221,     0,     0,     0,     0,  1844,     0,     0,     0,
    6657,     0,     0,     0,     0,  1454,  1844,     0,  3797,     0,
       0,  2479,  2479,  6927,     0,  1103,     0,  2260,  5391,  5392,
    5393,     0,  1104,     0,     0,  1105,     0,     0,     0,     0,
       0,     0,  2272,     0,  2273,  1349,     0,     0,     0,     0,
       0,  1580,     0,     0,  2276,     0,  1106,     0,     0,     0,
       0,  2286,     0,     0,  1456,     0,     0,     0,     0,     0,
       0,  1108,     0,     0,  1457,     0,  6753,  1349,  1349,  1110,
       0,     0,  5509,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3798,     0,  1018,     0,     0,     0,
    1002,     0,     0,  2338,     0,  2340,     0,  1844,     0,     0,
       0,     0,     0,     0,  1019,     0,     0,  1844,     0,     0,
    1844,  1115,     0,  1844,  6987,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4042,  1020,
       0,     0,     0,  4842,     0,     0,     0,     0,     0,     0,
    1844,     0,  1021,     0,     0,     0,     0,  1578,     0,     0,
    1578,     0,  1578,     0,     0,     0,     0,  1578,     0,  -898,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  7024,  1022,     0,     0,
       0,     0,     0,  1023,  1844,     0,  7027,  7028,  1002,  7032,
       0,     0,     0,  1844,     0,     0,     0,     0,     0,     0,
    1578,  1024,     0,  1349,     0,     0,  5509,     0,  1578,     0,
       0,     0,     0,     0,  1025,     0,     0,     0,     0,     0,
       0,  6657,     0,  1026,     0,     0,     0,     0,     0,     0,
    1081,     0,     0,  1578,     0,  1082,  1027,     0,     0,     0,
       0,     0,     0,     0,     0,  1028,     0,     0,     0,  1029,
       0,     0,  7024,     0,     0,     0,     0,  1844,  1002,     0,
       0,     0,     0,     0,  2500,  1002,     0,     0,     0, -1111,
       0,     0,     0,  1083,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1361,  1361,  1084,     0,     0,     0,
       0,     0,     0,     0,     0,  7111,     0,     0,     0,     0,
       0,     0,  7024,  1085,     0,     0,     0,     0,     0,     0,
       0,     0,  1578,     0,  1578,  7024,     0,     0,     0,  1030,
       0,  1086,     0,     0,     0,     0,     0,     0,     0,  -633,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1087,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1088,  5673,
       0,     0,     0,     0,     0,     0,     0,  1089,     0,     0,
       0,     0,     0,  1031,     0,     0,  1032,     0,     0,     0,
    1090,     0,     0,     0,     0,     0,  1091,     0,     0,     0,
       0,  5705,     0,  1092,     0,     0,     0,     0,     0,     0,
    1033,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1578,  1093,  1034,     0,     0,     0,     0,     0,
       0,     0,  -485,  3630,     0,     0,     0,     0,     0,     0,
     810,   810,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1035,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1036,     0,     0,     0,  1578,     0,  5764,  -485,
       0,     0,  1037,     0,     0,     0,     0,     0,     0,     0,
       0,  1260,  1634,  1094,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1038,  1578,     0,     0,     0,     0,     0,
    3719,  1039,     0,     0,     0,     0,     0,     0,  -485,     0,
       0,  1040,     0,  1041,     0,  1042,  1043,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1095,   810,  1081,
       0,  1044,     0,  3208,  1443,     0,  3208,     0,     0,  1045,
    1096,     0,  1046,     0,  3215,  1047,     0,     0,     0,     0,
       0,     0,     0,     0,  1097,     0,     0,     0,  -485,     0,
    3223,     0,     0,     0,   974,  1098,  1578,     0,  1099,     0,
       0,     0,  1444,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1084,  1445,     0,  1578,     0,
       0,     0,     0,     0,     0,     0,  1100,     0,  1446,  1101,
       0,     0,  1085,  1102,     0,     0,  1103,     0,     0,     0,
       0,     0,  1578,  1104,     0,     0,  1105,     0,     0,     0,
    1447,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3308,     0,     0,     0,     0,     0,  1106,     0,     0,
       0,     0,     0,     0,  1448,  1107,  5877,  5878,  5879,  5880,
       0,     0,  1108,     0,     0,  1109,     0,  1088,     0,     0,
    1110,     0,     0,     0,     0,     0,  1089,     0,  1111,     0,
    1112,     0,     0,     0,     0,  1113,     0,     0,     0,  1090,
       0,     0,     0,     0,     0,  1449,     0,     0,     0,  1114,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3404,
    1580,     0,  1115,     0,  1580,  1580,     0,     0,     0,     0,
       0,     0,  1450,     0,  1578,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1451,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1580,     0,     0,     0,     0,  1578,  1580,     0,     0,
       0,     0,  1094,     0,     0,     0,     0,     0,     0,     0,
     958,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1578,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1580,     0,  1452,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   959,     0,     0,     0,  3537,     0,     0,     0,     0,
       0,     0,     0,  1097,     0,     0,     0,     0,   960,     0,
       0,     0,     0,   974,  1453,     0,     0,  1099,     0,     0,
       0,     0,     0,     0,     0,     0,   961,     0,     0,     0,
    3573,     0,   962,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1454,     0,     0,  1455,     0,
     963,     0,  1102,     0,     0,  1103,     0,     0,     0,     0,
       0,     0,  1104,   964,     0,  1105,     0,     0,     0,     0,
       0,     0,   965,     0,     0,     0,  3638,     0,     0,     0,
       0,     0,     0,     0,     0,   966,  1106,     0,     0,     0,
       0,   967,     0,     0,  1456,     0,     0,     0,   968,     0,
       0,  1108,     0,  3660,  1457,     0,     0,     0,     0,  1110,
       0,     0,     0,     0,     0,     0,  1578,  1458,   969,  1112,
       0,     0,     0,     0,  1459,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1115,     0,     0,     0,     0,   970,     0,     0,     0,
    3698,     0,  3699,     0,     0,     0,     0,     0,     0,  6110,
       0,     0,     0,     0,     0,     0,  1634,  3708,   971,  3709,
    6120,     0,     0,     0,  1580,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1578,  3730,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   972,  1634,     0,     0,     0,  1634,     0,     0,
       0,     0,  1634,     0,     0,  1634,     0,     0,  1578,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   973,
       0,     0,     0,     0,     0,     0,  3782,  1580,     0,   974,
     975,  1580,     0,   976,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   977,     0,     0,   978,     0,     0,     0,   979,     0,
       0,   980,     0,     0,     0,     0,     0,     0,   981,     0,
       0,   982,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   983,     0,     0,     0,     0,     0,     0,     0,
     984,     0,     0,     0,     0,   985,     0,   986,     0,     0,
     987,     0,     0,     0,     0,   988,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   989,     0,     0,     0,     0,
     990,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1578,     0,   991,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   992,     0,     0,
    1580,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1580,     0,     0,     0,     0,
    1580,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1578,     0,     0,  1578,     0,     0,     0,     0,  6277,
    6278,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1580,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  6326,     0,     0,     0,     0,  1865,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  6356,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1578,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  6493,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1580,     0,     0,  1580,     0,  1580,     0,     0,     0,     0,
    1580,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   757,     0,   823,   823,     0,
     823,     0,     0,     0,     0,  1578,     0,     0,     0,     0,
       0,     0,     0,  1580,     0,     0,     0,     0,   823,     0,
       0,  1580,   823,     0,     0,     0,     0,     0,   823,   823,
       0,   823,     0,     0,     0,     0,  6571,   823,     0,  1162,
       0,     0,     0,     0,     0,     0,  1580,  1162,     0,     0,
     823,     0,     0,     0,     0,     0,     0,     0,  1578,     0,
       0,     0,     0,     0,     0,  6594,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1578,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3971,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1580,     0,  1580,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1578,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1580,     0,  1302,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4065,  4066,     0,     0,     0,     0,     0,
       0,     0,     0,   823,     0,     0,     0,     0,     0,     0,
       0,     0,  4081,  4082,     0,     0,     0,  4085,  4086,  1580,
       0,     0,  4089,  4090,     0,     0,  1578,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4101,     0,     0,
       0,  4104,     0,     0,     0,  4107,  4108,  1580,     0,  4111,
    4112,     0,     0,     0,     0,     0,  4117,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4132,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4149,     0,     0,     0,     0,  4151,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4157,     0,     0,     0,  4163,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4173,     0,     0,  4177,  1580,
    4179,  4182,  4184,     0,     0,     0,     0,  4192,  4195,     0,
       0,     0,     0,     0,     0,     0,     0,  4208,     0,     0,
       0,  1580,     0,  4218,     0,  1000,     0,  4221,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4231,  4232,     0,
       0,     0,  4237,     0,     0,  1580,     0,     0,  4246,  4247,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1203,     0,  4256,     0,     0,  4257,  1203,  1203,     0,     0,
       0,     0,  4269,  4270,     0,     0,     0,     0,  4274,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4281,     0,     0,  4284,     0,     0,     0,     0,  4287,     0,
       0,     0,     0,     0,  4290,  4291,     0,  1634,     0,  1634,
       0,     0,  4299,  1634,     0,     0,  4301,     0,     0,     0,
       0,  4309,  4310,  4311,  4312,     0,     0,  4315,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1578,     0,     0,
       0,  4341,  4342,     0,  4344,     0,     0,  1580,     0,     0,
       0,     0,     0,     0,     0,  4354,  4355,  4356,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1580,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4408,     0,     0,     0,     0,     0,     0,     0,
    4432,     0,     0,     0,  1580,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4444,
     823,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1578,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4516,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   823,   823,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4549,     0,  4551,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1578,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1302,     0,   823,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1634,     0,  1580,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1578,     0,     0,
       0,     0,  1578,  1578,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4616,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1580,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   757,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1580,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1578,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1531,   823,     0,   823,     0,     0,     0,
     757,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1580,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   823,     0,
       0,   823,   823,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   757,     0,  1162,
       0,  1162,     0,     0,     0,     0,     0,   757,     0,     0,
       0,   823,     0,     0,  1580,     0,     0,  1580,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1162,  1162,     0,     0,   757,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1634,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4883,     0,     0,
       0,     0,     0,     0,     0,   823,     0,   823,     0,     0,
       0,     0,     0,     0,  4890,     0,     0,     0,  4890,     0,
       0,     0,     0,  4901,  4902,  4903,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4915,  1578,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4944,  4945,
    4946,  4947,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   757,   757,     0,     0,  1962,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4968,     0,  4972,  4973,
    4974,     0,     0,     0,     0,     0,     0,  1000,     0,     0,
       0,  1580,     0,     0,     0,     0,  1000,     0,     0,     0,
       0,     0,     0,     0,  1000,     0,     0,  1000,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   757,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   757,     0,     0,     0,     0,     0,     0,     0,
    5059,     0,     0,     0,     0,     0,     0,     0,     0,  5065,
       0,  1000,     0,     0,     0,     0,  1589,     0,  1580,     0,
    1000,     0,     0,     0,     0,     0,     0,  1000,     0,     0,
    1000,     0,     0,     0,     0,  5075,  5076,     0,     0,     0,
    5077,     0,  1589,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5119,     0,     0,     0,     0,     0,     0,     0,
       0,  1580,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1580,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1634,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5156,     0,
       0,     0,     0,  1063,     0,     0,     0,     0,     0,  5168,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1000,  1000,     0,
       0,     0,     0,     0,  1203,     0,     0,     0,  1203,  5207,
       0,     0,     0,     0,     0,     0,     0,  1580,     0,  1053,
       0,     0,  1063,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1578,     0,  1000,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5237,     0,  5238,
       0,     0,   823,     0,   823,     0,     0,   823,     0,   823,
       0,     0,   823,   823,   823,     0,  1634,     0,  2474,     0,
       0,     0,     0,     0,     0,   823,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     823,     0,   823,     0,     0,     0,     0,     0,   823,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1580,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1203,  1203,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1000,  1000,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1000,     0,     0,     0,     0,  1589,  1000,     0,
       0,     0,  1000,     0,  1000,     0,     0,     0,  1589,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3081,     0,     0,  1589,     0,     0,     0,     0,     0,
       0,     0,     0,   823,   823,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     757,     0,     0,     0,     0,   757,   757,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1000,     0,  1000,
    1000,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1589,     0,
       0,   823,     0,   757,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3212,     0,     0,     0,     0,     0,     0,
    1580,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5484,     0,  5485,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5492,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   757,     0,  5498,     0,     0,
       0,  5501,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5514,     0,     0,     0,     0,     0,  1000,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5540,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   757,  5544,
       0,     0,     0,     0,     0,     0,     0,  5548,   757,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1589,     0,     0,     0,     0,     0,
       0,     0,  5583,     0,  1580,     0,  5587,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5597,  5598,  5599,  5600,     0,     0,     0,     0,  1000,
       0,  5604,  5605,  5606,  5607,     0,     0,     0,     0,     0,
       0,  5610,  5611,     0,     0,     0,     0,     0,  5619,  5620,
       0,  5622,  5623,  5624,  5625,  5626,  5627,  5628,     0,     0,
       0,   757,     0,     0,   757,   757,     0,  5637,     0,     0,
    1000,  5640,  5641,  5642,  5643,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4890,     0,  1580,     0,  1000,
    1000,  1000,     0,  1000,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5663,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1000,  1581,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1580,  1581,     0,     0,     0,  1580,  1580,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   757,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5745,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1000,     0,     0,     0,  1000,  1000,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4890,  1000,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5780,     0,  5781,     0,     0,     0,
       0,     0,     0,     0,  1634,  1634,  1634,  1634,  1634,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1580,     0,  5796,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1589,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1203,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1203,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1589,     0,     0,   823,     0,
     823,     0,     0,     0,   823,     0,   823,     0,     0,   823,
       0,     0,     0,   823,     0,     0,     0,     0,  3081,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1589,     0,     0,     0,     0,     0,     0,     0,
       0,  1203,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1203,     0,
       0,     0,     0,     0,     0,  1589,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1581,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1581,  5950,  5951,
    5952,     0,     0,     0,  5953,  5954,  5955,  5956,     0,     0,
       0,  5958,     0,  1581,     0,     0,     0,     0,  1000,  1000,
    1000,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1589,     0,  1580,
       0,     0,     0,     0,     0,     0,     0,     0,  1589,     0,
       0,     0,  5991,  5992,  5993,  5994,  5995,     0,  5997,  5998,
       0,     0,     0,     0,  1589,     0,     0,     0,     0,     0,
    6007,  6008,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1581,     0,     0,
       0,     0,     0,     0,  6014,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1634,  1634,     0,  1634,  1589,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1000,     0,     0,  1000,     0,     0,
    1589,     0,     0,     0,     0,     0,     0,  1000,     0,     0,
       0,     0,     0,  1589,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1589,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1000,  1000,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1000,     0,     0,  1000,     0,     0,     0,
       0,     0,     0,     0,     0,  1589,  1589,     0,  6081,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1581,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1000,     0,     0,     0,  1000,  1000,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  6135,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1000,  1000,     0,
       0,     0,     0,  1000,  1000,     0,  6141,     0,     0,     0,
    1000,  1000,  1000,  1000,  1000,  1000,  1000,  1000,  1000,  1000,
    1000,  1000,  1000,     0,     0,     0,  1000,     0,  1000,     0,
    1000,  1000,  1000,  1000,  1000,  1000,     0,     0,  1000,     0,
    1000,  1000,     0,     0,  1000,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1589,  1000,
    1000,  1000,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1000,     0,     0,
       0,     0,  1634,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1580,  1634,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2474,     0,     0,     0,
       0,     0,     0,  3972,     0,     0,     0,     0,     0,     0,
       0,  6256,     0,  3212,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    6266,     0,     0,     0,     0,     0,  6272,  6273,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    6288,     0,     0,     0,  1000,     0,  1581,  6290,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  6342,  6343,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  6351,     0,  1063,  1000,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  6368,     0,  1581,     0,     0,     0,     0,   757,
       0,     0,     0,     0,     0,  4054,     0,  1962,     0,     0,
     823,     0,     0,     0,     0,     0,     0,  4890,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  6404,     0,
       0,  1581,     0,     0,  1000,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   757,     0,  1581,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1583,  1634,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1634,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1583,     0,
    6470,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  6485,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  6502,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1581,     0,  1634,     0,
       0,     0,     0,     0,     0,     0,     0,  1581,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1581,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  6564,
    1000,  1000,  1000,  1000,  1000,  1000,  1000,  1000,  1000,     0,
    1000,     0,     0,     0,     0,     0,   757,     0,     0,     0,
       0,     0,  1000,     0,   757,  1000,     0,   757,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1581,     0,   757,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1581,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4890,     0,  1581,     0,     0,     0,     0,     0,     0,     0,
       0,  1000,     0,     0,  1581,  1000,     0,     0,  1000,     0,
    1000,     0,     0,  1000,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1000,     0,
       0,     0,     0,     0,     0,  1634,     0,  1000,  1000,     0,
       0,     0,     0,     0,  1581,  1581,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  6681,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  6703,     0,     0,     0,     0,     0,  1589,     0,     0,
       0,  1589,  1589,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1583,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1583,  1000,     0,     0,     0,     0,
       0,     0,     0,  6743,     0,     0,  1000,     0,  1589,  1000,
    1583,  1000,  1000,     0,  1589,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1203,
       0,     0,     0,     0,     0,     0,     0,  1581,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1589,     0,     0,     0,   823,  2474,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  6797,     0,     0,
       0,     0,     0,   757,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1583,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  6837,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1203,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  6850,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  6860,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1000,  1000,  1000,
    1583,     0,     0,  1000,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1000,  1589,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    6949,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3212,  1000,     0,     0,     0,   757,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1589,     0,     0,     0,  1589,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1000,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1589,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1000,     0,  1589,  1000,     0,  1000,  1000,  1589,     0,     0,
       0,     0,     0,     0,     0,  1000,     0,     0,     0,     0,
    1000,     0,  7105,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1589,     0,     0,
       0,     0,     0,  1583,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1000,
    1000,  1000,     0,     0,  1000,     0,     0,     0,     0,     0,
       0,     0,  1000,  1000,  1000,  1000,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1000,     0,
       0,  1000,     0,  1000,     0,     0,     0,     0,     0,     0,
       0,  1583,     0,     0,     0,  1000,  1000,     0,     0,  1000,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1000,     0,  1000,     0,  1000,     0,     0,     0,  1583,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1000,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1000,     0,     0,
       0,  1583,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1581,     0,     0,     0,
    1581,  1581,     0,     0,     0,     0,     0,     0,  1000,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1000,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1000,     0,   757,
       0,     0,     0,     0,     0,  1000,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1581,     0,     0,
       0,     0,     0,  1581,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1589,     0,     0,
    1589,     0,  1589,     0,     0,     0,     0,  1589,     0,     0,
       0,     0,     0,  1583,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1583,     0,   823,     0,     0,  1000,
    1581,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1583,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1589,     0,     0,     0,     0,     0,     0,     0,  1589,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   823,     0,     0,     0,     0,
       0,     0,     0,  1589,     0,     0,     0,     0,     0,  1000,
       0,     0,     0,     0,  1583,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1583,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1583,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1583,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1589,     0,  1589,   757,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1583,  1583,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1581,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1589,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1000,     0,     0,     0,     0,     0,  1000,     0,     0,
       0,     0,     0,     0,     0,     0,  1589,     0,     0,     0,
       0,     0,     0,  1581,     0,     0,     0,  1581,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1589,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1583,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1000,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1589,     0,     0,     0,
    4054,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1589,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1589,     0,     0,     0,  1581,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1581,     0,     0,     0,     0,  1581,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1581,     0,     0,     0,
       0,     0,     0,     0,     0,   757,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   757,     0,     0,     0,     0,     0,     0,
       0,  1000,     0,     0,  1589,     0,     0,   757,     0,     0,
    1000,     0,     0,     0,     0,     0,     0,     0,   757,     0,
       0,     0,     0,     0,  1000,     0,     0,     0,  1000,  1000,
    1000,     0,     0,     0,     0,  1000,     0,     0,  1000,     0,
       0,  1000,     0,     0,     0,     0,     0,  1000,     0,  1000,
       0,     0,  1000,     0,     0,     0,  1589,  1000,  1000,  1000,
    1000,     0,     0,  1000,  1000,  1000,  1000,  1000,  1000,  1000,
    1000,  1000,  1000,     0,     0,     0,  1000,  1000,  1000,     0,
       0,  1589,     0,     0,     0,     0,  1000,     0,     0,     0,
       0,  1000,     0,     0,     0,  1000,     0,     0,     0,     0,
       0,     0,     0,  1000,     0,     0,  1000,     0,  1000,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1000,     0,     0,  1000,  1000,     0,
       0,     0,  1000,  1000,     0,     0,     0,  1000,     0,  1000,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1000,     0,     0,  1000,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1000,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   757,     0,     0,     0,
       0,     0,     0,     0,  1005,     0,  1581,     0,     0,  1581,
       0,  1581,     0,     0,     0,     0,  1581,     0,     0,     0,
       0,     0,     0,  1000,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1000,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1589,     0,     0,  1581,
       0,     0,     0,   757,     0,     0,     0,  1581,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1584,     0,
       0,     0,  1581,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1000,     0,     0,     0,     0,
       0,     0,     0,     0,  1584,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1589,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1581,     0,  1581,     0,     0,     0,     0,  1589,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3212,     0,     0,
       0,     0,     0,  1583,     0,     0,     0,  1583,  1583,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1581,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1000,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1583,  1581,     0,     0,     0,     0,
    1583,     0,  1589,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   757,  1000,  1000,     0,     0,
       0,   757,     0,  1581,     0,     0,   757,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1583,     0,     0,
       0,  1589,     0,     0,  1589,  1000,  1000,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1000,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1581,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1581,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1584,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1584,  1581,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1000,     0,     0,     0,  1584,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1000,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1000,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1000,     0,     0,  1000,     0,     0,
       0,     0,     0,     0,     0,  1000,  1000,     0,  1589,     0,
       0,     0,  1000,  1000,     0,     0,     0,  1000,     0,     0,
       0,     0,  1000,  1581,     0,  1000,  1000,     0,     0,     0,
    1584,     0,  1000,     0,     0,     0,     0,  1583,     0,     0,
       0,     0,     0,  1000,     0,     0,     0,     0,     0,  1000,
       0,     0,     0,     0,     0,     0,     0,  1000,     0,     0,
       0,  1000,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1581,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1000,     0,     0,     0,     0,
    1581,     0,     0,  1000,     0,     0,     0,     0,     0,     0,
    1583,     0,     0,     0,  1583,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1589,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1000,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1584,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1589,     0,
       0,     0,     0,     0,     0,     0,     0,   823,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1589,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1000,     0,     0,     0,     0,     0,     0,
    1000,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1583,     0,     0,     0,     0,     0,     0,
       0,     0,   757,     0,     0,  1581,     0,     0,  1583,     0,
       0,     0,     0,  1583,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1589,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1583,     0,     0,     0,     0,     0,     0,
    1000,     0,     0,     0,     0,     0,  1005,     0,     0,     0,
       0,     0,     0,     0,     0,  1005,  1000,     0,     0,     0,
       0,     0,     0,  1005,     0,     0,  1005,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1000,     0,  1581,
     823,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1581,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1589,     0,  1589,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1005,     0,     0,     0,     0,  1592,     0,     0,     0,  1005,
       0,     0,     0,     0,     0,     0,  1005,     0,     0,  1005,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1584,
       0,  1592,     0,  1000,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1000,     0,     0,  1000,     0,     0,  1000,
    1000,  1000,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1000,  1000,     0,     0,  1000,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1581,     0,     0,     0,  1000,     0,  1584,     0,     0,
       0,     0,  1000,  1583,     0,     0,  1583,  1000,  1583,     0,
    1000,  1000,     0,  1583,     0,     0,     0,     0,  1000,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   757,     0,
       0,     0,     0,     0,  1584,     0,  1005,  1005,     0,  1000,
    1581,     0,  1000,  1581,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1583,     0,     0,     0,
       0,     0,     0,     0,  1583,     0,     0,  1584,     0,     0,
       0,     0,  1000,     0,  1005,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1583,
       0,     0,     0,     0,     0,     0,     0,  1589,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1000,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   757,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1000,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1583,     0,
    1583,     0,     0,     0,     0,     0,     0,     0,     0,  1584,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1584,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1584,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1581,  1000,     0,
       0,  1589,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1005,  1005,     0,
       0,     0,     0,     0,     0,  1000,     0,     0,     0,     0,
    1584,  1005,     0,     0,     0,     0,  1592,  1005,  1583,     0,
       0,  1005,  1000,  1005,     0,     0,  1000,  1592,  1000,     0,
       0,     0,  1584,     0,     0,     0,     0,     0,     0,     0,
    1586,     0,  1000,  1592,  1000,  1584,     0,     0,  1000,     0,
       0,     0,     0,     0,  1000,     0,     0,  1584,  1000,     0,
       0,     0,  1583,     0,  1589,  1000,  1586,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1005,     0,  1005,  1005,
    1583,     0,     0,     0,  1581,     0,     0,  1584,  1584,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1000,     0,     0,     0,     0,     0,  1589,     0,     0,
       0,     0,  1589,  1589,     0,     0,     0,  1000,     0,     0,
       0,     0,     0,  1000,  1000,     0,     0,  1592,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1581,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1583,     0,     0,     0,     0,     0,     0,  1581,
       0,     0,     0,  1000,     0,     0,     0,     0,     0,     0,
       0,  1000,     0,     0,  1583,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1583,  1000,
       0,     0,     0,     0,     0,     0,     0,  1005,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1589,
    1589,     0,     0,  1581,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1584,     0,     0,     0,     0,  1000,     0,     0,     0,     0,
       0,     0,     0,  1592,     0,     0,     0,  1000,     0,     0,
       0,     0,     0,     0,     0,     0,  1000,  1000,  1000,     0,
       0,     0,  1000,     0,     0,  1000,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1000,     0,  1005,     0,
    1583,     0,     0,  1000,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1000,     0,     0,     0,     0,     0,     0,  1000,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1005,
       0,     0,     0,     0,     0,     0,     0,  1000,     0,     0,
       0,     0,  1583,     0,     0,  1581,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1005,  1005,
    1005,     0,  1005,     0,     0,     0,     0,  1583,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1586,     0,  1005,     0,     0,     0,     0,     0,     0,
       0,     0,  1586,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1586,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1000,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1005,     0,     0,     0,  1005,  1005,     0,     0,
       0,     0,     0,     0,     0,     0,  1000,     0,     0,     0,
       0,     0,  1005,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1000,     0,     0,     0,  1589,     0,     0,     0,
       0,  1000,  1586,  1000,     0,  1000,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1583,  1000,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1592,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1581,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1000,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1000,     0,
       0,     0,     0,     0,     0,     0,  1000,  1000,     0,     0,
       0,     0,  1000,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1592,     0,  1583,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1586,  1000,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1000,
       0,     0,     0,     0,  1583,     0,     0,     0,     0,     0,
       0,  1592,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1592,     0,     0,     0,     0,     0,
    1581,     0,     0,     0,     0,     0,     0,     0,     0,  1000,
       0,     0,     0,     0,     0,  1000,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1000,     0,     0,     0,     0,     0,     0,
    1000,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1000,     0,     0,  1000,     0,     0,  1000,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1005,  1005,  1005,
       0,     0,     0,  1000,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1581,     0,     0,     0,     0,  1583,     0,
       0,     0,     0,     0,     0,     0,  1592,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1592,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1000,     0,     0,
       0,  1000,     0,  1592,     0,     0,  1000,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1581,  1583,     0,  1000,
    1583,  1581,  1581,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1589,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1592,     0,  1584,
       0,     0,     0,  1584,  1584,     0,     0,     0,     0,     0,
    1000,  1000,     0,  1005,     0,     0,  1005,     0,  1000,  1592,
       0,     0,     0,     0,     0,     0,  1005,     0,     0,     0,
       0,     0,  1592,     0,     0,     0,     0,  1000,  1000,     0,
       0,     0,     0,     0,  1592,     0,     0,     0,     0,     0,
       0,  1586,     0,     0,     0,     0,     0,  1005,  1005,     0,
    1584,     0,     0,     0,     0,     0,  1584,     0,     0,     0,
       0,     0,  1005,     0,     0,  1005,     0,     0,     0,  1581,
       0,     0,     0,     0,  1592,  1592,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1584,     0,     0,     0,     0,     0,  1586,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1583,     0,     0,     0,     0,     0,
       0,     0,     0,  1005,     0,     0,     0,  1005,  1005,     0,
       0,     0,     0,     0,     0,     0,  1586,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1005,  1005,     0,  1586,
       0,     0,  1005,  1005,     0,     0,     0,     0,     0,  1005,
    1005,  1005,  1005,  1005,  1005,  1005,  1005,  1005,  1005,  1005,
    1005,  1005,     0,     0,     0,  1005,     0,  1005,     0,  1005,
    1005,  1005,  1005,  1005,  1005,     0,     0,  1005,     0,  1005,
    1005,     0,     0,  1005,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1592,  1005,  1005,
    1005,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1583,     0,     0,     0,     0,  1005,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1586,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1586,     0,  1583,     0,     0,     0,     0,     0,
       0,     0,     0,  1584,     0,     0,     0,     0,  1586,     0,
       0,     0,     0,     0,     0,     0,  1583,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1581,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1586,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1584,     0,     0,     0,
    1584,     0,     0,     0,  1586,     0,     0,     0,     0,     0,
    1583,     0,     0,  1005,     0,     0,     0,  1586,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1586,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1005,     0,  1586,
    1586,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1005,     0,     0,     0,     0,     0,     0,
       0,     0,  1583,     0,     0,     0,     0,     0,     0,  1584,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1584,     0,     0,     0,     0,  1584,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1588,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1584,
       0,     0,     0,     0,     0,     0,     0,  1588,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1586,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1005,
    1005,  1005,  1005,  1005,  1005,  1005,  1005,  1005,     0,  1005,
       0,     0,  1581,     0,     0,     0,     0,     0,     0,     0,
       0,  1005,     0,     0,  1005,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1583,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1005,     0,     0,     0,  1005,     0,     0,  1005,     0,  1005,
       0,     0,  1005,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1005,     0,     0,
       0,     0,     0,     0,     0,     0,  1005,  1005,     0,  1584,
       0,     0,  1584,     0,  1584,     0,     0,     0,     0,  1584,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1584,     0,     0,     0,     0,  1583,     0,     0,
    1584,     0,     0,     0,     0,     0,  1592,     0,     0,     0,
    1592,  1592,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1584,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1588,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1588,  1005,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1005,     0,  1592,  1005,  1588,
    1005,  1005,     0,  1592,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1583,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1584,     0,  1584,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1592,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1583,     0,     0,     0,     0,  1583,  1583,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1588,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1584,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1584,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1583,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1584,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1005,  1005,  1005,  1588,
       0,     0,  1005,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1005,
    1592,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1584,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1584,  1005,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1586,     0,     0,  1584,  1586,  1586,     0,     0,     0,
       0,     0,     0,  1592,     0,     0,     0,  1592,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1005,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1586,     0,     0,     0,     0,     0,  1586,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1584,     0,     0,     0,
       0,     0,     0,     0,     0,  1586,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1583,     0,     0,     0,  1592,     0,  1584,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1005,
       0,  1592,  1005,     0,  1005,  1005,  1592,     0,     0,     0,
       0,     0,     0,  1584,  1005,     0,     0,     0,     0,  1005,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1592,     0,     0,     0,
       0,     0,  1588,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1005,  1005,
    1005,     0,     0,  1005,     0,     0,     0,     0,     0,     0,
       0,  1005,  1005,  1005,  1005,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1005,     0,     0,
    1005,     0,  1005,     0,     0,     0,     0,     0,     0,     0,
    1588,     0,     0,     0,  1005,  1005,     0,     0,  1005,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1005,
       0,  1005,     0,  1005,     0,     0,     0,  1588,     0,     0,
       0,     0,     0,     0,     0,  1586,     0,     0,     0,     0,
       0,     0,  1005,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1005,     0,  1584,     0,
    1588,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1005,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1005,     0,     0,     0,     0,     0,  1586,     0,
       0,     0,  1586,     0,     0,     0,  1005,     0,     0,     0,
       0,     0,     0,     0,  1005,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1584,     0,     0,     0,  1592,     0,     0,  1592,
       0,  1592,     0,     0,     0,     0,  1592,     0,     0,     0,
       0,     0,  1588,     0,     0,     0,     0,     0,     0,     0,
    1584,     0,     0,  1588,     0,     0,     0,     0,  1005,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1588,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1592,
       0,     0,     0,     0,     0,     0,     0,  1592,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1583,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1592,     0,     0,     0,     0,     0,  1005,     0,
       0,  1586,     0,  1588,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1586,     0,     0,     0,
       0,  1586,     0,     0,     0,  1588,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1588,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1588,  1586,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1592,     0,  1592,  1584,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1588,  1588,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1584,     0,     0,  1584,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1592,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1005,     0,     0,     0,     0,     0,  1005,     0,     0,     0,
       0,     0,     0,     0,     0,  1592,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1592,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1588,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1005,     0,     0,     0,
       0,  1586,     0,     0,  1586,     0,  1586,     0,     0,     0,
    1584,  1586,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1592,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1592,     0,     0,
       0,     0,     0,     0,  1586,     0,     0,     0,     0,     0,
       0,     0,  1586,     0,     0,     0,     0,     0,     0,     0,
       0,  1592,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1586,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1584,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1586,     0,  1586,     0,
    1005,     0,     0,  1592,     0,     0,     0,     0,     0,  1005,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1584,     0,     0,  1005,     0,     0,     0,  1005,  1005,  1005,
       0,     0,     0,     0,  1005,     0,     0,  1005,     0,     0,
    1005,     0,  1584,     0,     0,     0,  1005,     0,  1005,     0,
       0,  1005,     0,     0,     0,  1592,  1005,  1005,  1005,  1005,
       0,     0,  1005,  1005,  1005,  1005,  1005,  1005,  1005,  1005,
    1005,  1005,     0,     0,     0,  1005,  1005,  1005,     0,     0,
    1592,     0,     0,     0,     0,  1005,     0,     0,     0,     0,
    1005,     0,     0,     0,  1005,     0,  1586,     0,     0,     0,
       0,     0,  1005,     0,     0,  1005,     0,  1005,     0,     0,
       0,     0,     0,     0,     0,     0,  1584,     0,     0,     0,
       0,     0,     0,  1005,     0,     0,  1005,  1005,     0,     0,
       0,  1005,  1005,     0,     0,     0,  1005,     0,  1005,     0,
    1586,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1005,     0,     0,  1005,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1005,     0,     0,  1586,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1005,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1005,
       0,     0,     0,     0,     0,     0,     0,     0,  1584,     0,
    1586,     0,     0,     0,     0,  1592,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1586,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1586,     0,     0,     0,
       0,     0,     0,     0,  1005,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1592,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1592,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1827,  1827,     0,     0,     0,  1586,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1586,     0,  1588,     0,     0,     0,  1588,  1588,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1586,     0,     0,     0,  1584,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1005,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1588,     0,     0,     0,     0,     0,  1588,
       0,  1592,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1005,  1005,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1588,     0,     0,     0,
    1592,     0,     0,  1592,  1005,  1005,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1005,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1584,  2235,  2239,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1586,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1005,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1005,     0,     0,
       0,     0,     0,     0,     0,     0,  1584,     0,     0,     0,
       0,     0,     0,     0,     0,  1005,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1005,  1586,     0,  1005,     0,     0,     0,
       0,     0,     0,     0,  1005,  1005,     0,  1592,     0,  1584,
       0,  1005,  1005,     0,  1584,  1584,  1005,     0,     0,     0,
       0,  1005,  1586,     0,  1005,  1005,     0,     0,     0,     0,
       0,  1005,     0,     0,  3061,     0,  1588,     0,     0,     0,
       0,     0,  1005,     0,     0,     0,     0,     0,  1005,     0,
       0,     0,     0,     0,     0,     0,  1005,     0,     0,     0,
    1005,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1005,     0,     0,     0,     0,     0,
       0,     0,  1005,     0,  3061,     0,     0,     0,     0,  1588,
       0,     0,     0,  1588,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1584,     0,  1592,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1005,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1586,     0,     0,     0,
       0,     0,     0,     0,     0,  2532,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1592,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1592,
       0,     0,     0,     0,     0,  1586,  2558,     0,  1586,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1005,     0,     0,     0,     0,     0,     0,  1005,
       0,     0,     0,     0,     0,  2577,  2578,  2579,     0,  2582,
       0,     0,  1588,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1588,     0,     0,
    3069,     0,  1588,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1592,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1588,     0,     0,     0,     0,     0,     0,  1005,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1005,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3155,
       0,     0,     0,  3167,  3172,     0,  1005,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1586,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1592,     0,  1592,     0,     0,  1584,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3061,     0,     0,     0,  3061,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1005,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1005,     0,     0,  1005,     0,     0,  1005,  1005,
    1005,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1005,  1005,     0,     0,  1005,     0,  1586,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1005,     0,     0,     0,     0,     0,
       0,  1005,  1588,     0,     0,  1588,  1005,  1588,     0,  1005,
    1005,     0,  1588,     0,     0,     0,     0,  1005,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1586,     0,     0,     0,     0,     0,  1005,     0,
       0,  1005,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1586,  1588,     0,     0,     0,     0,
       0,     0,     0,  1588,     0,     0,     0,     0,     0,     0,
       0,  1005,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1588,     0,
       0,     0,     0,     0,     0,     0,  1592,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1005,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2235,  2235,  2235,     0,  1586,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1005,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1588,     0,  1588,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3061,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1005,     0,     0,
    1592,     0,     0,     0,     0,  3061,     0,     0,     0,  3865,
       0,     0,     0,     0,     0,  1584,     0,     0,     0,     0,
       0,     0,     0,     0,  3061,  3061,  3061,     0,     0,  3061,
    1586,     0,     0,     0,  1005,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1588,     0,     0,
       0,  1005,     0,     0,     0,  1005,     0,  1005,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1005,     0,  1005,     0,     0,     0,  1005,     0,     0,
       0,     0,     0,  1005,     0,     0,     0,  1005,     0,     0,
       0,  1588,     0,  1592,  1005,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1588,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1005,     0,     0,     0,     0,     0,  1592,     0,     0,     0,
       0,  1592,  1592,     0,     0,     0,  1005,     0,     0,     0,
       0,     0,  1005,  1005,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1588,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1005,     0,     0,     0,     0,     0,     0,  3809,
    1005,     0,     0,  1588,     0,     0,     0,     0,  3826,  3826,
    3826,  3826,  3836,  3842,  3826,  3845,  3826,  3826,     0,     0,
       0,     0,  3852,     0,  3853,     0,  3855,  1588,  1005,  3869,
    3872,  3877,     0,     0,     0,     0,     0,  3886,     0,     0,
    3891,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1586,     0,     0,     0,  3898,  3899,  3900,  1592,  1592,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3901,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1005,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1005,     0,     0,     0,
       0,     0,     0,     0,     0,  1005,  1005,  1005,     0,     0,
       0,  1005,     0,     0,  1005,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1005,     0,     0,     0,  1588,
       0,     0,  1005,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1005,     0,     0,     0,     0,     0,     0,  1005,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1586,  1005,     0,     0,     0,
       0,  1588,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1588,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3909,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1005,     0,     0,     0,     0,     0,     0,     0,  1586,     0,
       0,     0,     0,     0,  3928,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3061,     0,     0,     0,
       0,     0,     0,     0,     0,  1005,     0,     0,     0,     0,
       0,  1586,     0,     0,     0,     0,  1586,  1586,     0,     0,
    3930,  1005,     0,     0,     0,  1592,     0,     0,     0,     0,
    1005,     0,  1005,     0,  1005,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1588,  1005,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3061,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3061,     0,     0,     0,     0,  3061,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1005,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1005,     0,     0,
       0,     0,     0,     0,  1586,  1005,  1005,     0,     0,     0,
       0,  1005,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1588,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1005,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1005,     0,
       0,     0,     0,  1588,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3937,  3938,  3939,  3940,
    3941,  3942,  3943,  3944,  3945,     0,  3946,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1827,     0,
       0,  2235,     0,     0,     0,     0,     0,     0,  1005,     0,
       0,     0,     0,     0,  1005,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1005,     0,     0,     0,     0,     0,     0,  1005,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1005,
       0,     0,  1005,     0,     0,  1005,     0,  3901,     0,     0,
       0,  3909,     0,     0,  3928,     0,  3930,     0,     0,  3992,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1005,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2578,  2579,     0,     0,  1588,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1005,     0,     0,     0,
    1005,     0,     0,     0,     0,  1005,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1588,     0,  1005,  1588,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1592,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1586,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1005,
    1005,     0,     0,     0,     0,     0,     0,  1005,     0,     0,
       0,  4109,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1005,  1005,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1588,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1588,     0,     0,  4366,  4367,  2235,     0,     0,     0,  4371,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4400,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1588,     0,     0,  3061,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3061,     0,  1588,     0,     0,     0,     0,
       0,     0,     0,  3061,     0,     0,     0,     0,     0,  3061,
       0,     0,  3061,     0,     0,     0,     0,  1586,     0,  3061,
    3061,     0,  3061,     0,     0,     0,     0,  3865,  3865,     0,
    4693,     0,  3865,     0,     0,     0,  3061,     0,     0,  3061,
       0,     0,     0,     0,  3061,     0,     0,     0,     0,     0,
       0,     0,     0,  3061,     0,     0,     0,     0,  3061,     0,
       0,     0,     0,     0,     0,  3061,  3061,  3061,  3061,  1588,
       0,     0,     0,  3865,  3865,     0,  3061,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3061,     0,  3061,     0,     0,
       0,     0,     0,     0,  3061,  3061,  3061,  3061,  3061,  3061,
    3061,  3061,  3061,  3061,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3061,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1588,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4621,     0,     0,     0,     0,  4627,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2582,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3877,     0,
    3877,  3877,     0,     0,     0,     0,  3061,     0,     0,     0,
       0,     0,     0,     0,  4717,     0,     0,  4720,     0,  4722,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4747,     0,  4750,     0,
    4752,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3155,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3172,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1588,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4876,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3061,  3061,     0,     0,     0,  3061,     0,
       0,     0,     0,     0,     0,     0,  1588,     0,     0,     0,
       0,     0,     0,     0,     0,  4911,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3061,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1588,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1588,     0,     0,     0,     0,  1588,  1588,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2235,     0,     0,
       0,     0,     0,  2235,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3061,     0,
       0,     0,     0,     0,  3061,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1588,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4693,  4693,  5146,     0,  3865,  3865,  3865,  3865,     0,
       0,  3865,  3865,  3865,  3865,  3865,  3865,  3865,  3865,  3865,
    3865,  4693,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3061,     0,     0,  3061,     0,  3061,
       0,     0,  4693,  4693,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3061,  3865,  3865,  3061,     0,  3061,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5284,     0,     0,
       0,     0,     0,     0,     0,     0,  5288,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3826,     0,     0,  3061,  5301,  3826,  3826,     0,     0,     0,
       0,  3842,     0,     0,  5309,     0,     0,  5311,     0,     0,
       0,     0,     0,  5313,     0,  5314,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3061,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1588,  5336,  5337,  5338,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3886,     0,     0,     0,     0,     0,     0,     0,  5362,
       0,     0,  5365,     0,  5367,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5371,     0,     0,     0,     0,     0,     0,     0,  5378,  5379,
       0,     0,     0,     0,     0,  5384,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5427,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5445,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5459,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3865,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3061,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3061,     0,     0,     0,  3061,     0,     0,  1588,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3061,     0,
       0,     0,     0,     0,     0,     0,  3061,     0,  3061,     0,
    3061,  3061,     0,     0,     0,     0,  4693,  4693,  4693,  4693,
       0,     0,     0,  4693,  4693,  4693,  4693,  4693,  4693,  4693,
    4693,  4693,  4693,  3061,  3061,  3061,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3061,
       0,     0,  3061,     0,  3061,     0,     0,     0,  3061,     0,
       0,  4693,  4693,     0,     0,  3061,  3061,     0,     0,     0,
       0,  3061,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5752,  5753,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5760,     0,  3061,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3061,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3061,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5813,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3155,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5836,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5855,  5857,     0,     0,     0,     0,     0,  5861,  5862,
       0,     0,     0,  5863,     0,     0,     0,     0,  5864,     0,
       0,  5867,  5868,     0,     0,     0,     0,     0,  5873,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3826,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4693,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1827,     0,     0,     0,     0,     0,     0,     0,  5932,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5961,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3061,
    3061,     0,     0,     0,     0,     0,     0,  3061,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  6010,
    3061,     0,     0,     0,     0,     0,  6012,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3061,  3865,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3061,     0,  3061,     0,     0,     0,  3061,  3061,
    3061,  3061,     0,     0,  3061,  3061,     0,     0,     0,     0,
    3061,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  6051,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3061,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3061,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3061,     0,  3061,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3061,  3826,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  6160,
       0,     0,     0,     0,     0,  6164,  6165,  6166,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    6179,  6180,     0,     0,  6181,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  6207,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3061,  6228,  4693,
    3865,  3061,  3061,  3061,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3061,  3061,  3061,     0,
       0,     0,     0,     0,     0,     0,  3865,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3061,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3061,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  6408,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3886,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3061,     0,     0,     0,     0,
    6431,     0,     0,     0,     0,     0,  4693,     0,     0,     0,
    6443,     0,     0,     0,     0,     0,     0,     0,  3061,     0,
       0,  6461,     0,  3865,     0,     0,  4693,     0,     0,     0,
    3061,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3061,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  6497,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  6509,  3061,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3061,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  6548,
       0,     0,     0,     0,     0,  3061,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3061,  3826,     0,     0,     0,     0,     0,  3061,     0,     0,
       0,     0,     0,  6633,     0,     0,     0,     0,  4693,     0,
    3865,     0,  6640,  6640,  6640,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3061,     0,     0,     0,     0,  2582,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3061,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  6677,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  6692,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  6640,     0,     0,  3061,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3061,  6461,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3865,     0,
       0,  3865,     0,     0,  3865,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  6868,     0,     0,     0,     0,  4693,
       0,  4693,     0,  4693,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  6893,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3061,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  6461,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  6640,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   832,   763,   764,   765,   766,   767,   768,   769,
       0,   770,   771,  7026,     0,   772,   773,   774,   775,   776,
     777,   833,   778,   779,   780,   834,     0,   781,   782,   783,
     784,   835,   836,   785,   786,   787,     0,   788,   837,   838,
     789,   790,     0,     0,     0,   791,   792,     0,     0,     0,
       0,   793,     0,     0,     0,     0,     0,     0,     0,     0,
     794,     0,   795,     0,   796,   797,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2235,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   839,   350,   351,   352,
     840,   841,   842,   843,   844,   845,   846,   353,   354,   355,
     847,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   848,   369,   370,   371,   372,   373,
     374,   375,   849,   850,   376,   377,   851,   378,   379,   852,
     380,   381,   382,   383,   384,   853,   385,   854,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   855,   856,
     396,   397,   398,   399,   400,   401,   857,   402,   403,   404,
     858,   859,   860,   861,   406,   862,   863,   864,   408,   409,
     410,   411,   802,   412,   413,   414,   415,   865,   416,   866,
     417,   418,   419,   420,   421,   422,   423,   867,   424,   425,
     426,   427,   868,   869,   428,   429,   430,   431,   432,   870,
     433,   434,   435,   436,   871,   437,   438,   439,   440,   872,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     873,   451,   874,   452,   453,   454,   455,   456,   875,   457,
     876,   458,   459,   460,   877,   461,   462,   463,   464,   465,
     878,   466,   467,   879,   468,   469,   470,   880,   471,   472,
     804,   473,   474,   475,   476,   477,   478,   479,   881,   480,
     481,   482,   483,   484,   485,   486,   487,   882,   488,   489,
     490,   883,   491,   492,   493,   884,   494,   885,   495,   886,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   887,   888,   519,   520,   521,   522,   523,
     889,   524,   525,   526,   890,   891,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   805,   539,
     540,   806,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,   892,
     558,   559,   560,   561,   893,   562,   563,   564,   565,   566,
     567,   894,   568,   569,   570,   895,   896,   571,   572,   573,
     897,   898,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,   899,   593,   594,   595,   596,   597,   598,   599,   600,
     601,   900,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,   617,   901,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   902,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
     807,   648,   903,   649,   650,   651,   652,   653,   904,   655,
     656,   657,   658,   659,   660,   661,   662,   663,   664,   905,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   906,   683,
     684,   907,   908,   685,   686,   687,   688,   689,   690,   691,
     692,   909,   693,   694,   695,   910,   911,   697,   698,   699,
     700,   701,   912,   702,   703,   704,   705,   706,   707,   708,
     709,   710,   913,   914,   711,   712,   713,   714,   715,   915,
     916,   716,   717,   718,   719,   720,   917,   721,   918,   722,
     723,   724,   725,   726,   727,   919,   920,   728,   921,   922,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   744,   745,   809,   746,   747,
       0,     0,     0,     0,   832,   763,   764,   765,   766,   767,
     768,   769,     0,   770,   771,     0,     0,   772,   773,   774,
     775,   776,   777,   833,   778,   779,   780,   834,  1121,   781,
     782,   783,   784,   835,   836,   785,   786,   787,     0,   788,
     837,   838,   789,   790,     0,     0,     0,   791,   792,     0,
       0,     0,     0,   793,     0,     0,     0,     0,     0,     0,
       0,     0,   794,     0,   795,     0,   796,   797,    35,   340,
       0,     0,    37,     0,    38,    39,     0,  1732,  1733,  1734,
      40,  1735,     0,     0,     0,     0,     0,     0,     0,   341,
     342,   343,   344,   345,   346,   347,   348,   349,  2229,   350,
     351,   352,     0,     0,     0,     0,  1736,     0,     0,   353,
     354,   355,     0,   356,   357,   358,   359,   360,   361,   362,
     363,   364,  1737,   366,  1738,  1739,     0,   369,   370,   371,
     372,   373,   374,   375,  1740,  1741,   376,   377,  1742,  1743,
     379,     0,   380,   381,   382,   383,  1744,     0,  1745,     0,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     800,     0,   396,   397,   398,   399,   400,   401,     0,   402,
     403,   404,     0,  1746,  1747,  1748,  1749,  1750,  1751,  1752,
     408,   409,   410,   411,   802,   412,  1753,  1754,   415,  1755,
     416,     0,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,  2230,     0,   428,   429,  1558,   431,
     432,     0,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,   444,  1756,   446,   447,   448,
     449,  1757,  1758,   451,     0,   452,   453,   454,  1759,   456,
       0,   457,     0,   458,   459,   460,     0,   461,   462,   463,
     464,   465,     0,   466,  1760,     0,  1761,   469,   470,     0,
     471,   472,   804,   473,   474,   475,   476,   477,   478,   479,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,     0,   491,   492,   493,  1561,  1762,     0,
    1763,     0,   496,   497,   498,   499,   500,  1764,  1765,  1766,
    1767,  1768,  1769,  1770,  1771,  1772,   510,  1773,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,  1774,   521,
     522,   523,     0,   524,   525,   526,  1775,  1776,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,  1777,   538,
     805,   539,   540,   806,   541,   542,   543,  1778,   545,  1779,
     547,   548,   549,   550,   551,   552,   553,   554,   555,  1780,
     557,  1781,   558,   559,   560,   561,  1782,  1783,   563,  1784,
     565,   566,   567,     0,   568,   569,   570,     0,     0,  1785,
     572,   573,     0,     0,   574,   575,   576,   577,   578,   579,
    1786,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,   595,  1787,   597,   598,
     599,   600,   601,     0,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,  1788,   614,   615,   616,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,     0,   631,   632,   633,   634,   635,
     636,   637,   638,  1789,   640,   641,   642,   643,   644,   645,
     646,   647,   807,   648,     0,   649,   650,   651,   652,   653,
    1790,   655,   656,   657,   658,   659,   660,   661,   662,  1791,
     664,     0,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,   679,   680,  1792,   682,
       0,   683,   684,  1793,     0,   685,   686,   687,   688,   689,
     690,   691,   692,     0,   693,  1794,  1795,     0,     0,   697,
     698,  1796,   700,  1797,  1798,   702,   703,   704,   705,   706,
     707,   708,   709,   710,     0,  1799,   711,   712,   713,   714,
     715,  1800,     0,   716,   717,   718,   719,   720,   808,  1801,
    2231,   722,   723,   724,   725,   726,   727,     0,     0,   728,
       0,     0,   729,   730,   731,   732,   733,   734,   735,  1802,
    1803,  1804,  1805,   740,  1806,  1807,  1808,  1809,   745,   809,
     746,   747,     0,  1810,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1811,  1812,  2232,     0,     0,
       0,     0,     0,     0,  1814,  2233,   832,   763,   764,   765,
     766,   767,   768,   769,     0,   770,   771,     0,     0,   772,
     773,   774,   775,   776,   777,   833,   778,   779,   780,   834,
       0,   781,   782,   783,   784,   835,   836,   785,   786,   787,
       0,   788,   837,   838,   789,   790,     0,     0,     0,   791,
     792,     0,     0,     0,     0,   793,     0,     0,     0,     0,
       0,     0,     0,     0,   794,     0,   795,     0,   796,   797,
      35,   340,     0,     0,    37,     0,    38,    39,     0,  1732,
    1733,  1734,    40,  1735,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,  1736,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,   360,
     361,   362,   363,   364,  1737,   366,  1738,  1739,     0,   369,
     370,   371,   372,   373,   374,   375,  1740,  1741,   376,   377,
    1742,  1743,   379,     0,   380,   381,   382,   383,  1744,     0,
    1745,     0,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   800,     0,   396,   397,   398,   399,   400,   401,
       0,   402,   403,   404,     0,  1746,  1747,  1748,  1749,  1750,
    1751,  1752,   408,   409,   410,   411,   802,   412,  1753,  1754,
     415,  1755,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
    1558,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,  1756,   446,
     447,   448,   449,  1757,  1758,   451,     0,   452,   453,   454,
    1759,   456,     0,   457,     0,   458,   459,   460,     0,   461,
     462,   463,   464,   465,     0,   466,  1760,     0,  1761,   469,
     470,     0,   471,   472,   804,   473,   474,   475,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,     0,   491,   492,   493,  1561,
    1762,     0,  1763,     0,   496,   497,   498,   499,   500,  1764,
    1765,  1766,  1767,  1768,  1769,  1770,  1771,  1772,   510,  1773,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
    1774,   521,   522,   523,     0,   524,   525,   526,  1775,  1776,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
    1777,   538,   805,   539,   540,   806,   541,   542,   543,  1778,
     545,  1779,   547,   548,   549,   550,   551,   552,   553,   554,
     555,  1780,   557,  1781,   558,   559,   560,   561,  1782,  1783,
     563,  1784,   565,   566,   567,     0,   568,   569,   570,     0,
       0,  1785,   572,   573,     0,     0,   574,   575,   576,   577,
     578,   579,  1786,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,   595,  1787,
     597,   598,   599,   600,   601,     0,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,  1788,   614,   615,
     616,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,     0,   631,   632,   633,
     634,   635,   636,   637,   638,  1789,   640,   641,   642,   643,
     644,   645,   646,   647,   807,   648,   146,   649,   650,   651,
     652,   653,  1790,   655,   656,   657,   658,   659,   660,   661,
     662,  1791,   664,     0,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
    1792,   682,     0,   683,   684,  1793,   151,   685,   686,   687,
     688,   689,   690,   691,   692,     0,   693,  1794,  1795,     0,
       0,   697,   698,  1796,   700,  1797,  1798,   702,   703,   704,
     705,   706,   707,   708,   709,   710,     0,  1799,   711,   712,
     713,   714,   715,  1800,     0,   716,   717,   718,   719,   720,
    2580,  1801,     0,   722,   723,   724,   725,   726,   727,     0,
       0,   728,     0,   160,   729,   730,   731,   732,   733,   734,
     735,  1802,  1803,  1804,  1805,   740,  1806,  1807,  1808,  1809,
     745,   809,   746,   747,     0,  1810,     0,   161,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1811,  1812,     0,
       0,     0,     0,     0,     0,     0,  1814,  6665,   832,   763,
     764,   765,   766,   767,   768,   769,     0,   770,   771,     0,
       0,   772,   773,   774,   775,   776,   777,   833,   778,   779,
     780,   834,     0,   781,   782,   783,   784,   835,   836,   785,
     786,   787,     0,   788,   837,   838,   789,   790,     0,     0,
       0,   791,   792,     0,     0,     0,     0,   793,     0,     0,
       0,     0,     0,     0,     0,     0,   794,     0,   795,     0,
     796,   797,    35,   340,     0,     0,    37,     0,    38,    39,
       0,  1732,  1733,  1734,    40,  1735,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
    1736,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,   360,   361,   362,   363,   364,  1737,   366,  1738,  1739,
       0,   369,   370,   371,   372,   373,   374,   375,  1740,  1741,
     376,   377,  1742,  1743,   379,     0,   380,   381,   382,   383,
    1744,     0,  1745,     0,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   800,     0,   396,   397,   398,   399,
     400,   401,     0,   402,   403,   404,     0,  1746,  1747,  1748,
    1749,  1750,  1751,  1752,   408,   409,   410,   411,   802,   412,
    1753,  1754,   415,  1755,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,  1558,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
    1756,   446,   447,   448,   449,  1757,  1758,   451,     0,   452,
     453,   454,  1759,   456,     0,   457,     0,   458,   459,   460,
       0,   461,   462,   463,   464,   465,     0,   466,  1760,     0,
    1761,   469,   470,     0,   471,   472,   804,   473,   474,   475,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,     0,   491,   492,
     493,  1561,  1762,     0,  1763,     0,   496,   497,   498,   499,
     500,  1764,  1765,  1766,  1767,  1768,  1769,  1770,  1771,  1772,
     510,  1773,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,  1774,   521,   522,   523,     0,   524,   525,   526,
    1775,  1776,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,  1777,   538,   805,   539,   540,   806,   541,   542,
     543,  1778,   545,  1779,   547,   548,   549,   550,   551,   552,
     553,   554,   555,  1780,   557,  1781,   558,   559,   560,   561,
    1782,  1783,   563,  1784,   565,   566,   567,     0,   568,   569,
     570,     0,     0,  1785,   572,   573,     0,     0,   574,   575,
     576,   577,   578,   579,  1786,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
     595,  1787,   597,   598,   599,   600,   601,     0,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,  1788,
     614,   615,   616,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,     0,   631,
     632,   633,   634,   635,   636,   637,   638,  1789,   640,   641,
     642,   643,   644,   645,   646,   647,   807,   648,     0,   649,
     650,   651,   652,   653,  1790,   655,   656,   657,   658,   659,
     660,   661,   662,  1791,   664,     0,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,  1792,   682,     0,   683,   684,  1793,     0,   685,
     686,   687,   688,   689,   690,   691,   692,     0,   693,  1794,
    1795,     0,     0,   697,   698,  1796,   700,  1797,  1798,   702,
     703,   704,   705,   706,   707,   708,   709,   710,     0,  1799,
     711,   712,   713,   714,   715,  1800,     0,   716,   717,   718,
     719,   720,   808,  1801,     0,   722,   723,   724,   725,   726,
     727,     0,     0,   728,     0,     0,   729,   730,   731,   732,
     733,   734,   735,  1802,  1803,  1804,  1805,   740,  1806,  1807,
    1808,  1809,   745,   809,   746,   747,     0,  1810,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1811,
    1812,     0,     0,     0,     0,     0,     0,     0,  1814,  3867,
     832,   763,   764,   765,   766,   767,   768,   769,     0,   770,
     771,     0,     0,   772,   773,   774,   775,   776,   777,   833,
     778,   779,   780,   834,     0,   781,   782,   783,   784,   835,
     836,   785,   786,   787,     0,   788,   837,   838,   789,   790,
       0,     0,     0,   791,   792,     0,     0,     0,     0,   793,
       0,     0,     0,     0,     0,     0,     0,     0,   794,     0,
     795,     0,   796,   797,    35,   340,     0,     0,    37,     0,
      38,    39,     0,  1732,  1733,  1734,    40,  1735,     0,     0,
       0,     0,     0,     0,     0,   341,   342,   343,   344,   345,
     346,   347,   348,   349,     0,   350,   351,   352,     0,     0,
       0,     0,  1736,     0,     0,   353,   354,   355,     0,   356,
     357,   358,   359,   360,   361,   362,   363,   364,  1737,   366,
    1738,  1739,     0,   369,   370,   371,   372,   373,   374,   375,
    1740,  1741,   376,   377,  1742,  1743,   379,     0,   380,   381,
     382,   383,  1744,     0,  1745,     0,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   800,     0,   396,   397,
     398,   399,   400,   401,     0,   402,   403,   404,     0,  1746,
    1747,  1748,  1749,  1750,  1751,  1752,   408,   409,   410,   411,
     802,   412,  1753,  1754,   415,  1755,   416,     0,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,   426,   427,
       0,     0,   428,   429,  1558,   431,   432,     0,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,   444,  1756,   446,   447,   448,   449,  1757,  1758,   451,
       0,   452,   453,   454,  1759,   456,     0,   457,     0,   458,
     459,   460,     0,   461,   462,   463,   464,   465,     0,   466,
    1760,     0,  1761,   469,   470,     0,   471,   472,   804,   473,
     474,   475,   476,   477,   478,   479,     0,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,     0,
     491,   492,   493,  1561,  1762,     0,  1763,     0,   496,   497,
     498,   499,   500,  1764,  1765,  1766,  1767,  1768,  1769,  1770,
    1771,  1772,   510,  1773,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,  1774,   521,   522,   523,     0,   524,
     525,   526,  1775,  1776,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,  1777,   538,   805,   539,   540,   806,
     541,   542,   543,  1778,   545,  1779,   547,   548,   549,   550,
     551,   552,   553,   554,   555,  1780,   557,  1781,   558,   559,
     560,   561,  1782,  1783,   563,  1784,   565,   566,   567,     0,
     568,   569,   570,     0,     0,  1785,   572,   573,     0,     0,
     574,   575,   576,   577,   578,   579,  1786,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   595,  1787,   597,   598,   599,   600,   601,     0,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,  1788,   614,   615,   616,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
       0,   631,   632,   633,   634,   635,   636,   637,   638,  1789,
     640,   641,   642,   643,   644,   645,   646,   647,   807,   648,
       0,   649,   650,   651,   652,   653,  1790,   655,   656,   657,
     658,   659,   660,   661,   662,  1791,   664,     0,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   674,   675,   676,
     677,   678,   679,   680,  1792,   682,     0,   683,   684,  1793,
       0,   685,   686,   687,   688,   689,   690,   691,   692,     0,
     693,  1794,  1795,     0,     0,   697,   698,  1796,   700,  1797,
    1798,   702,   703,   704,   705,   706,   707,   708,   709,   710,
       0,  1799,   711,   712,   713,   714,   715,  1800,     0,   716,
     717,   718,   719,   720,   808,  1801,     0,   722,   723,   724,
     725,   726,   727,     0,     0,   728,     0,     0,   729,   730,
     731,   732,   733,   734,   735,  1802,  1803,  1804,  1805,   740,
    1806,  1807,  1808,  1809,   745,   809,   746,   747,     0,  1810,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1811,  1812,     0,     0,     0,     0,     0,     0,     0,
    1814,  5315,   832,   763,   764,   765,   766,   767,   768,   769,
       0,   770,   771,     0,     0,   772,   773,   774,   775,   776,
     777,   833,   778,   779,   780,   834,     0,   781,   782,   783,
     784,   835,   836,   785,   786,   787,     0,   788,   837,   838,
     789,   790,     0,     0,     0,   791,   792,     0,     0,     0,
       0,   793,     0,     0,     0,     0,     0,     0,     0,     0,
     794,     0,   795,     0,   796,   797,    35,   340,     0,     0,
      37,     0,    38,    39,     0,  1732,  1733,  1734,    40,  1735,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,  1736,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,   360,   361,   362,   363,   364,
    1737,   366,  1738,  1739,     0,   369,   370,   371,   372,   373,
     374,   375,  1740,  1741,   376,   377,  1742,  1743,   379,     0,
     380,   381,   382,   383,  1744,     0,  1745,     0,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   800,     0,
     396,   397,   398,   399,   400,   401,     0,   402,   403,   404,
       0,  1746,  1747,  1748,  1749,  1750,  1751,  1752,   408,   409,
     410,   411,   802,   412,  1753,  1754,   415,  1755,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,  1558,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,  1756,   446,   447,   448,   449,  1757,
    1758,   451,     0,   452,   453,   454,  1759,   456,     0,   457,
       0,   458,   459,   460,     0,   461,   462,   463,   464,   465,
       0,   466,  1760,     0,  1761,   469,   470,     0,   471,   472,
     804,   473,   474,   475,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,     0,   491,   492,   493,  1561,  1762,     0,  1763,     0,
     496,   497,   498,   499,   500,  1764,  1765,  1766,  1767,  1768,
    1769,  1770,  1771,  1772,   510,  1773,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,  1774,   521,   522,   523,
       0,   524,   525,   526,  1775,  1776,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,  1777,   538,   805,   539,
     540,   806,   541,   542,   543,  1778,   545,  1779,   547,   548,
     549,   550,   551,   552,   553,   554,   555,  1780,   557,  1781,
     558,   559,   560,   561,  1782,  1783,   563,  1784,   565,   566,
     567,     0,   568,   569,   570,     0,     0,  1785,   572,   573,
       0,     0,   574,   575,   576,   577,   578,   579,  1786,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,  1787,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,  1788,   614,   615,   616,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,     0,   631,   632,   633,   634,   635,   636,   637,
     638,  1789,   640,   641,   642,   643,   644,   645,   646,   647,
     807,   648,     0,   649,   650,   651,   652,   653,  1790,   655,
     656,   657,   658,   659,   660,   661,   662,  1791,   664,     0,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,  1792,   682,     0,   683,
     684,  1793,     0,   685,   686,   687,   688,   689,   690,   691,
     692,     0,   693,  1794,  1795,     0,     0,   697,   698,  1796,
     700,  1797,  1798,   702,   703,   704,   705,   706,   707,   708,
     709,   710,     0,  1799,   711,   712,   713,   714,   715,  1800,
       0,   716,   717,   718,   719,   720,   808,  1801,     0,   722,
     723,   724,   725,   726,   727,     0,     0,   728,     0,     0,
     729,   730,   731,   732,   733,   734,   735,  1802,  1803,  1804,
    1805,   740,  1806,  1807,  1808,  1809,   745,   809,   746,   747,
       0,  1810,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1811,  1812,     0,     0,     0,     0,     0,
       0,     0,  1814,  5381,   832,   763,   764,   765,   766,   767,
     768,   769,     0,   770,   771,     0,     0,   772,   773,   774,
     775,   776,   777,   833,   778,   779,   780,   834,     0,   781,
     782,   783,   784,   835,   836,   785,   786,   787,     0,   788,
     837,   838,   789,   790,     0,     0,     0,   791,   792,     0,
       0,     0,     0,   793,     0,     0,     0,     0,     0,     0,
       0,     0,   794,     0,   795,     0,   796,   797,    35,     0,
       0,     0,    37,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   341,
     342,   343,   344,   345,   346,   347,   348,   349,     0,   350,
     351,   352,     0,     0,     0,     0,     0,     0,     0,   353,
     354,   355,     0,   356,   357,   358,   359,   360,   361,   362,
     363,     0,  1551,   366,  1552,  1553,     0,   369,   370,   371,
     372,   373,   374,   375,     0,     0,   376,   377,  1554,  1555,
     379,     0,   380,   381,   382,   383,     0,     0,   385,     0,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     800,     0,   396,   397,   398,   399,   400,   401,     0,   402,
     403,   404,     0,     0,     0,     0,   406,     0,     0,     0,
     408,   409,   410,   411,   802,   412,  1556,  1557,   415,     0,
     416,     0,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,     0,     0,   428,   429,  1558,   431,
     432,     0,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,   444,     0,   446,   447,   448,
     449,     0,     0,   451,     0,   452,   453,   454,  1559,   456,
       0,   457,     0,   458,   459,   460,     0,   461,   462,   463,
     464,   465,     0,   466,     0,     0,     0,   469,   470,     0,
     471,   472,   804,   473,   474,   475,   476,   477,   478,   479,
    3234,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,  3235,     0,   491,   492,   493,  1561,  1562,     0,
    1563,     0,   496,   497,   498,   499,   500,  1564,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,     0,   521,
     522,   523,     0,   524,   525,   526,     0,     0,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,     0,   538,
     805,   539,   540,   806,   541,   542,   543,  1565,   545,  1566,
     547,   548,   549,   550,   551,   552,   553,   554,     0,     0,
     557,     0,   558,   559,   560,   561,     0,     0,   563,  1567,
     565,   566,   567,     0,   568,   569,   570,     0,     0,   571,
     572,   573,     0,     0,   574,   575,  3237,   577,   578,   579,
       0,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,   595,     0,   597,     0,
     599,   600,   601,     0,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,  1568,   614,   615,   616,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,     0,   631,   632,   633,   634,   635,
     636,   637,   638,     0,   640,   641,   642,   643,   644,   645,
     646,   647,   807,   648,     0,   649,   650,   651,   652,   653,
       0,   655,   656,  3238,   658,   659,   660,   661,   662,  1570,
     664,     0,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,   679,   680,     0,   682,
       0,   683,   684,     0,     0,   685,   686,   687,   688,   689,
     690,   691,   692,     0,   693,  1571,  1572,     0,     0,   697,
     698,     0,   700,     0,     0,   702,   703,   704,   705,   706,
     707,   708,   709,   710,     0,     0,   711,   712,   713,   714,
     715,     0,     0,   716,   717,   718,   719,   720,     0,  1573,
    3239,   722,   723,   724,   725,   726,   727,     0,     0,   728,
       0,     0,   729,   730,   731,   732,   733,   734,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   809,
     746,   747,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   832,   763,   764,   765,   766,   767,   768,
     769,     0,   770,   771,     0,  3334,   772,   773,   774,   775,
     776,   777,   833,   778,   779,   780,   834,     0,   781,   782,
     783,   784,   835,   836,   785,   786,   787,     0,   788,   837,
     838,   789,   790,     0,     0,     0,   791,   792,     0,     0,
       0,     0,   793,     0,     0,     0,     0,     0,     0,     0,
       0,   794,     0,   795,     0,   796,   797,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,   360,   361,   362,   363,
       0,  1551,   366,  1552,  1553,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,  1554,  1555,   379,
       0,   380,   381,   382,   383,     0,     0,   385,     0,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   800,
       0,   396,   397,   398,   399,   400,   401,     0,   402,   403,
     404,     0,     0,     0,     0,   406,     0,     0,     0,   408,
     409,   410,   411,   802,   412,  1556,  1557,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,  1558,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,     0,   446,   447,   448,   449,
       0,     0,   451,     0,   452,   453,   454,  1559,   456,     0,
     457,     0,   458,   459,   460,     0,   461,   462,   463,   464,
     465,     0,   466,     0,     0,     0,   469,   470,     0,   471,
     472,   804,   473,   474,   475,   476,   477,   478,   479,  3234,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
     489,  3235,     0,   491,   492,   493,  1561,  1562,     0,  1563,
       0,   496,   497,   498,   499,   500,  1564,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,     0,   521,   522,
     523,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,     0,   538,   805,
     539,   540,   806,   541,   542,   543,  1565,   545,  1566,   547,
     548,   549,   550,   551,   552,   553,   554,     0,     0,   557,
       0,   558,   559,   560,   561,     0,     0,   563,  1567,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,  3237,   577,   578,   579,     0,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,   595,     0,   597,     0,   599,
     600,   601,     0,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,  1568,   614,   615,   616,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,     0,   631,   632,   633,   634,   635,   636,
     637,   638,     0,   640,   641,   642,   643,   644,   645,   646,
     647,   807,   648,     0,   649,   650,   651,   652,   653,     0,
     655,   656,  3238,   658,   659,   660,   661,   662,  1570,   664,
       0,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,     0,   682,     0,
     683,   684,     0,     0,   685,   686,   687,   688,   689,   690,
     691,   692,     0,   693,  1571,  1572,     0,     0,   697,   698,
       0,   700,     0,     0,   702,   703,   704,   705,   706,   707,
     708,   709,   710,     0,     0,   711,   712,   713,   714,   715,
       0,     0,   716,   717,   718,   719,   720,     0,  1573,  3239,
     722,   723,   724,   725,   726,   727,     0,     0,   728,     0,
       0,   729,   730,   731,   732,   733,   734,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   809,   746,
     747,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   832,   763,   764,   765,   766,   767,   768,   769,
       0,   770,   771,     0,  4493,   772,   773,   774,   775,   776,
     777,   833,   778,   779,   780,   834,     0,   781,   782,   783,
     784,   835,   836,   785,   786,   787,     0,   788,   837,   838,
     789,   790,     0,     0,     0,   791,   792,     0,     0,     0,
       0,   793,     0,     0,     0,     0,     0,     0,     0,     0,
     794,     0,   795,     0,   796,   797,    35,   340,     0,     0,
      37,     0,    38,    39,     0,  1732,  1733,  1734,    40,  1735,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,  1736,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,   360,   361,   362,   363,   364,
    1737,   366,  1738,  1739,     0,   369,   370,   371,   372,   373,
     374,   375,  1740,  1741,   376,   377,  1742,  1743,   379,     0,
     380,   381,   382,   383,  1744,     0,  1745,     0,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   800,     0,
     396,   397,   398,   399,   400,   401,     0,   402,   403,   404,
       0,  1746,  1747,  1748,  1749,  1750,  1751,  1752,   408,   409,
     410,   411,   802,   412,  1753,  1754,   415,  1755,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,  1558,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,  1756,   446,   447,   448,   449,  1757,
    1758,   451,     0,   452,   453,   454,  1759,   456,     0,   457,
       0,   458,   459,   460,     0,   461,   462,   463,   464,   465,
       0,   466,  1760,     0,  1761,   469,   470,     0,   471,   472,
     804,   473,   474,   475,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,     0,   491,   492,   493,  1561,  1762,     0,  1763,     0,
     496,   497,   498,   499,   500,  1764,  1765,  1766,  1767,  1768,
    1769,  1770,  1771,  1772,   510,  1773,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,  1774,   521,   522,   523,
       0,   524,   525,   526,  1775,  1776,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,  1777,   538,   805,   539,
     540,   806,   541,   542,   543,  1778,   545,  1779,   547,   548,
     549,   550,   551,   552,   553,   554,   555,  1780,   557,  1781,
     558,   559,   560,   561,  1782,  1783,   563,  1784,   565,   566,
     567,     0,   568,   569,   570,     0,     0,  1785,   572,   573,
       0,     0,   574,   575,   576,   577,   578,   579,  1786,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,  1787,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,  1788,   614,   615,   616,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,  3828,   631,   632,   633,   634,   635,   636,   637,
     638,  1789,   640,   641,   642,   643,   644,   645,   646,   647,
     807,   648,   146,   649,   650,   651,   652,   653,  1790,   655,
     656,   657,   658,   659,   660,   661,   662,  1791,   664,     0,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,  1792,   682,     0,   683,
     684,  1793,   151,   685,   686,   687,   688,   689,   690,   691,
     692,     0,   693,  1794,  1795,     0,     0,   697,   698,  1796,
     700,  1797,  1798,   702,   703,   704,   705,   706,   707,   708,
     709,   710,     0,  1799,   711,   712,   713,   714,   715,  1800,
       0,   716,   717,   718,   719,   720,  2580,  1801,     0,   722,
     723,   724,   725,   726,   727,     0,     0,   728,     0,   160,
     729,   730,   731,   732,   733,   734,   735,  1802,  1803,  1804,
    1805,   740,  1806,  1807,  1808,  1809,   745,   809,   746,   747,
       0,  1810,     0,   161,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1811,  1812,     0,     0,     0,     0,     0,
       0,     0,  1814,   832,   763,   764,   765,   766,   767,   768,
     769,     0,   770,   771,     0,     0,   772,   773,   774,   775,
     776,   777,   833,   778,   779,   780,   834,     0,   781,   782,
     783,   784,   835,   836,   785,   786,   787,     0,   788,   837,
     838,   789,   790,     0,     0,     0,   791,   792,     0,     0,
       0,     0,   793,     0,     0,     0,     0,     0,     0,     0,
       0,   794,     0,   795,     0,   796,   797,    35,   340,     0,
       0,    37,     0,    38,    39,     0,  1732,  1733,  1734,    40,
    1735,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,  1736,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,   360,   361,   362,   363,
     364,  1737,   366,  1738,  1739,     0,   369,   370,   371,   372,
     373,   374,   375,  1740,  1741,   376,   377,  1742,  1743,   379,
       0,   380,   381,   382,   383,  1744,     0,  1745,     0,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   800,
       0,   396,   397,   398,   399,   400,   401,     0,   402,   403,
     404,     0,  1746,  1747,  1748,  1749,  1750,  1751,  1752,   408,
     409,   410,   411,   802,   412,  1753,  1754,   415,  1755,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,  1558,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,  1756,   446,   447,   448,   449,
    1757,  1758,   451,     0,   452,   453,   454,  1759,   456,     0,
     457,     0,   458,   459,   460,     0,   461,   462,   463,   464,
     465,     0,   466,  1760,     0,  1761,   469,   470,     0,   471,
     472,   804,   473,   474,   475,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
     489,   490,     0,   491,   492,   493,  1561,  1762,     0,  1763,
       0,   496,   497,   498,   499,   500,  1764,  1765,  1766,  1767,
    1768,  1769,  1770,  1771,  1772,   510,  1773,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,  1774,   521,   522,
     523,     0,   524,   525,   526,  1775,  1776,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,  1777,   538,   805,
     539,   540,   806,   541,   542,   543,  1778,   545,  1779,   547,
     548,   549,   550,   551,   552,   553,   554,   555,  1780,   557,
    1781,   558,   559,   560,   561,  1782,  1783,   563,  1784,   565,
     566,   567,     0,   568,   569,   570,     0,     0,  1785,   572,
     573,     0,     0,   574,   575,   576,   577,   578,   579,  1786,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,   595,  1787,   597,   598,   599,
     600,   601,     0,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,  1788,   614,   615,   616,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,     0,   631,   632,   633,   634,   635,   636,
     637,   638,  1789,   640,   641,   642,   643,   644,   645,   646,
     647,   807,   648,   146,   649,   650,   651,   652,   653,  1790,
     655,   656,   657,   658,   659,   660,   661,   662,  1791,   664,
       0,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,  1792,   682,     0,
     683,   684,  1793,   151,   685,   686,   687,   688,   689,   690,
     691,   692,     0,   693,  1794,  1795,     0,     0,   697,   698,
    1796,   700,  1797,  1798,   702,   703,   704,   705,   706,   707,
     708,   709,   710,     0,  1799,   711,   712,   713,   714,   715,
    1800,     0,   716,   717,   718,   719,   720,  2580,  1801,     0,
     722,   723,   724,   725,   726,   727,     0,     0,   728,     0,
     160,   729,   730,   731,   732,   733,   734,   735,  1802,  1803,
    1804,  1805,   740,  1806,  1807,  1808,  1809,   745,   809,   746,
     747,     0,  1810,     0,   161,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1811,  1812,     0,     0,     0,     0,
       0,     0,     0,  1814,   832,   763,   764,   765,   766,   767,
     768,   769,     0,   770,   771,     0,     0,   772,   773,   774,
     775,   776,   777,   833,   778,   779,   780,   834,     0,   781,
     782,   783,   784,   835,   836,   785,   786,   787,     0,   788,
     837,   838,   789,   790,     0,     0,     0,   791,   792,     0,
       0,     0,     0,   793,     0,     0,     0,     0,     0,     0,
       0,     0,   794,     0,   795,     0,   796,   797,    35,   340,
       0,     0,    37,     0,    38,    39,     0,  1732,  1733,  1734,
      40,  1735,     0,     0,     0,     0,     0,     0,     0,   341,
     342,   343,   344,   345,   346,   347,   348,   349,     0,   350,
     351,   352,     0,     0,     0,     0,  1736,     0,     0,   353,
     354,   355,     0,   356,   357,   358,   359,   360,   361,   362,
     363,   364,  1737,   366,  1738,  1739,  3873,   369,   370,   371,
     372,   373,   374,   375,  1740,  1741,   376,   377,  1742,  1743,
     379,     0,   380,   381,   382,   383,  1744,     0,  1745,     0,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     800,     0,   396,   397,   398,   399,   400,   401,     0,   402,
     403,   404,     0,  1746,  1747,  1748,  1749,  1750,  1751,  1752,
     408,   409,   410,   411,   802,   412,  1753,  1754,   415,  1755,
     416,     0,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,     0,     0,   428,   429,  1558,   431,
     432,     0,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,   444,  1756,   446,   447,   448,
     449,  1757,  1758,   451,     0,   452,   453,   454,  1759,   456,
       0,   457,     0,   458,   459,   460,  3874,   461,   462,   463,
     464,   465,     0,   466,  1760,     0,  1761,   469,   470,     0,
     471,   472,   804,   473,   474,   475,   476,   477,   478,   479,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,     0,   491,   492,   493,  1561,  1762,     0,
    1763,     0,   496,   497,   498,   499,   500,  1764,  1765,  1766,
    1767,  1768,  1769,  1770,  1771,  1772,   510,  1773,   512,   513,
     514,   515,   516,   517,   518,     0,  3875,   519,  1774,   521,
     522,   523,     0,   524,   525,   526,  1775,  1776,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,  1777,   538,
     805,   539,   540,   806,   541,   542,   543,  1778,   545,  1779,
     547,   548,   549,   550,   551,   552,   553,   554,   555,  1780,
     557,  1781,   558,   559,   560,   561,  1782,  1783,   563,  1784,
     565,   566,   567,     0,   568,   569,   570,     0,     0,  1785,
     572,   573,     0,     0,   574,   575,   576,   577,   578,   579,
    1786,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,   595,  1787,   597,   598,
     599,   600,   601,     0,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,  1788,   614,   615,   616,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,     0,   631,   632,   633,   634,   635,
     636,   637,   638,  1789,   640,   641,   642,   643,   644,   645,
     646,   647,   807,   648,     0,   649,   650,   651,   652,   653,
    1790,   655,   656,   657,   658,   659,   660,   661,   662,  1791,
     664,     0,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,   679,   680,  1792,   682,
       0,   683,   684,  1793,     0,   685,   686,   687,   688,   689,
     690,   691,   692,     0,   693,  1794,  1795,     0,  3876,   697,
     698,  1796,   700,  1797,  1798,   702,   703,   704,   705,   706,
     707,   708,   709,   710,     0,  1799,   711,   712,   713,   714,
     715,  1800,     0,   716,   717,   718,   719,   720,   808,  1801,
       0,   722,   723,   724,   725,   726,   727,     0,     0,   728,
       0,     0,   729,   730,   731,   732,   733,   734,   735,  1802,
    1803,  1804,  1805,   740,  1806,  1807,  1808,  1809,   745,   809,
     746,   747,     0,  1810,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1811,  1812,     0,     0,     0,
       0,     0,     0,     0,  1814,   832,   763,   764,   765,   766,
     767,   768,   769,     0,   770,   771,     0,     0,   772,   773,
     774,   775,   776,   777,   833,   778,   779,   780,   834,     0,
     781,   782,   783,   784,   835,   836,   785,   786,   787,     0,
     788,   837,   838,   789,   790,     0,     0,     0,   791,   792,
       0,     0,     0,     0,   793,     0,     0,     0,     0,     0,
       0,     0,     0,   794,     0,   795,     0,   796,   797,    35,
     340,     0,     0,    37,     0,    38,    39,     0,  1732,  1733,
    1734,    40,  1735,     0,     0,     0,     0,     0,     0,     0,
     341,   342,   343,   344,   345,   346,   347,   348,   349, -2283,
     350,   351,   352,     0,     0,     0, -2283,  1736,     0,     0,
     353,   354,   355,     0,   356,   357,   358,   359,   360,   361,
     362,   363,   364,  1737,   366,  1738,  1739,     0,   369,   370,
     371,   372,   373,   374,   375,  1740,  1741,   376,   377,  1742,
    1743,   379,     0,   380,   381,   382,   383,  1744,     0,  1745,
       0,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   800,     0,   396,   397,   398,   399,   400,   401,     0,
     402,   403,   404,     0,  1746,  1747,  1748,  1749,  1750,  1751,
    1752,   408,   409,   410,   411,   802,   412,  1753,  1754,   415,
    1755,   416,     0,   417,   418,   419,   420,   421,   422,   423,
       0,   424,   425,   426,   427,     0,     0,   428,   429,  1558,
     431,   432,     0,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,   444,  1756,   446,   447,
     448,   449,  1757,  1758,   451,     0,   452,   453,   454,  1759,
     456,     0,   457,     0,   458,   459,   460,     0,   461,   462,
     463,   464,   465,     0,   466,  1760,     0,  1761,   469,   470,
       0,   471,   472,   804,   473,   474,   475,   476,   477,   478,
     479,     0,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488,   489,   490,     0,   491,   492,   493,  1561,  1762,
       0,  1763,     0,   496,   497,   498,   499,   500,  1764,  1765,
    1766,  1767,  1768,  1769,  1770,  1771,  1772,   510,  1773,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,  1774,
     521,   522,   523,     0,   524,   525,   526,  1775,  1776,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,  1777,
     538,   805,   539,   540,   806,   541,   542,   543,  1778,   545,
    1779,   547,   548,   549,   550,   551,   552,   553,   554,   555,
    1780,   557,  1781,   558,   559,   560,   561,  1782,  1783,   563,
    1784,   565,   566,   567,     0,   568,   569,   570,     0,     0,
    1785,   572,   573,     0,     0,   574,   575,   576,   577,   578,
     579,  1786,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,   595,  1787,   597,
     598,   599,   600,   601,     0,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,  1788,   614,   615,   616,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,     0,   631,   632,   633,   634,
     635,   636,   637,   638,  1789,   640,   641,   642,   643,   644,
     645,   646,   647,   807,   648,     0,   649,   650,   651,   652,
     653,  1790,   655,   656,   657,   658,   659,   660,   661,   662,
    1791,   664, -2283,   665,   666,   667,   668,   669,   670,   671,
     672,   673,   674,   675,   676,   677,   678,   679,   680,  1792,
     682,     0,   683,   684,  1793,     0,   685,   686,   687,   688,
     689,   690,   691,   692,     0,   693,  1794,  1795,     0,     0,
     697,   698,  1796,   700,  1797,  1798,   702,   703,   704,   705,
     706,   707,   708,   709,   710,     0,  1799,   711,   712,   713,
     714,   715,  1800,     0,   716,   717,   718,   719,   720,   808,
    1801,     0,   722,   723,   724,   725,   726,   727,     0,     0,
     728,     0,     0,   729,   730,   731,   732,   733,   734,   735,
    1802,  1803,  1804,  1805,   740,  1806,  1807,  1808,  1809,   745,
     809,   746,   747,     0,  1810,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1811,  1812,     0,     0,
       0,     0,     0,     0,     0,  1814,   832,   763,   764,   765,
     766,   767,   768,   769,     0,   770,   771,     0,     0,   772,
     773,   774,   775,   776,   777,   833,   778,   779,   780,   834,
       0,   781,   782,   783,   784,   835,   836,   785,   786,   787,
       0,   788,   837,   838,   789,   790,     0,     0,     0,   791,
     792,     0,     0,     0,     0,   793,     0,     0,     0,     0,
       0,     0,     0,     0,   794,     0,   795,     0,   796,   797,
      35,   340,     0,     0,    37,     0,    38,    39,     0,  1732,
    1733,  1734,    40,  1735,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
   -2281,   350,   351,   352,     0,     0,     0, -2281,  1736,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,   360,
     361,   362,   363,   364,  1737,   366,  1738,  1739,     0,   369,
     370,   371,   372,   373,   374,   375,  1740,  1741,   376,   377,
    1742,  1743,   379,     0,   380,   381,   382,   383,  1744,     0,
    1745,     0,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   800,     0,   396,   397,   398,   399,   400,   401,
       0,   402,   403,   404,     0,  1746,  1747,  1748,  1749,  1750,
    1751,  1752,   408,   409,   410,   411,   802,   412,  1753,  1754,
     415,  1755,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
    1558,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,  1756,   446,
     447,   448,   449,  1757,  1758,   451,     0,   452,   453,   454,
    1759,   456,     0,   457,     0,   458,   459,   460,     0,   461,
     462,   463,   464,   465,     0,   466,  1760,     0,  1761,   469,
     470,     0,   471,   472,   804,   473,   474,   475,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,     0,   491,   492,   493,  1561,
    1762,     0,  1763,     0,   496,   497,   498,   499,   500,  1764,
    1765,  1766,  1767,  1768,  1769,  1770,  1771,  1772,   510,  1773,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
    1774,   521,   522,   523,     0,   524,   525,   526,  1775,  1776,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
    1777,   538,   805,   539,   540,   806,   541,   542,   543,  1778,
     545,  1779,   547,   548,   549,   550,   551,   552,   553,   554,
     555,  1780,   557,  1781,   558,   559,   560,   561,  1782,  1783,
     563,  1784,   565,   566,   567,     0,   568,   569,   570,     0,
       0,  1785,   572,   573,     0,     0,   574,   575,   576,   577,
     578,   579,  1786,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,   595,  1787,
     597,   598,   599,   600,   601,     0,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,  1788,   614,   615,
     616,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,     0,   631,   632,   633,
     634,   635,   636,   637,   638,  1789,   640,   641,   642,   643,
     644,   645,   646,   647,   807,   648,     0,   649,   650,   651,
     652,   653,  1790,   655,   656,   657,   658,   659,   660,   661,
     662,  1791,   664, -2281,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
    1792,   682,     0,   683,   684,  1793,     0,   685,   686,   687,
     688,   689,   690,   691,   692,     0,   693,  1794,  1795,     0,
       0,   697,   698,  1796,   700,  1797,  1798,   702,   703,   704,
     705,   706,   707,   708,   709,   710,     0,  1799,   711,   712,
     713,   714,   715,  1800,     0,   716,   717,   718,   719,   720,
     808,  1801,     0,   722,   723,   724,   725,   726,   727,     0,
       0,   728,     0,     0,   729,   730,   731,   732,   733,   734,
     735,  1802,  1803,  1804,  1805,   740,  1806,  1807,  1808,  1809,
     745,   809,   746,   747,     0,  1810,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1811,  1812,     0,
       0,     0,     0,     0,     0,     0,  1814,   832,   763,   764,
     765,   766,   767,   768,   769,     0,   770,   771,     0,     0,
     772,   773,   774,   775,   776,   777,   833,   778,   779,   780,
     834,     0,   781,   782,   783,   784,   835,   836,   785,   786,
     787,     0,   788,   837,   838,   789,   790,     0,     0,     0,
     791,   792,     0,     0,     0,     0,   793,     0,     0,     0,
       0,     0,     0,     0,     0,   794,     0,   795,     0,   796,
     797,    35,   340,     0,     0,    37,     0,    38,    39,     0,
    1732,  1733,  1734,    40,  1735,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,  1736,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
     360,   361,   362,   363,   364,  1737,   366,  1738,  1739,     0,
     369,   370,   371,   372,   373,   374,   375,  1740,  1741,   376,
     377,  1742,  1743,   379,     0,   380,   381,   382,   383,  1744,
       0,  1745,     0,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   800,     0,   396,   397,   398,   399,   400,
     401,     0,   402,   403,   404,     0,  1746,  1747,  1748,  1749,
    1750,  1751,  1752,   408,   409,   410,   411,   802,   412,  1753,
    1754,   415,  1755,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,  1558,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,  1756,
     446,   447,   448,   449,  1757,  1758,   451,     0,   452,   453,
     454,  1759,   456,     0,   457,     0,   458,   459,   460,     0,
     461,   462,   463,   464,   465,     0,   466,  1760,     0,  1761,
     469,   470,     0,   471,   472,   804,   473,   474,   475,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,   489,   490,     0,   491,   492,   493,
    1561,  1762,     0,  1763,     0,   496,   497,   498,   499,   500,
    1764,  1765,  1766,  1767,  1768,  1769,  1770,  1771,  1772,   510,
    1773,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,  1774,   521,   522,   523,     0,   524,   525,   526,  1775,
    1776,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,  1777,   538,   805,   539,   540,   806,   541,   542,   543,
    1778,   545,  1779,   547,   548,   549,   550,   551,   552,   553,
     554,   555,  1780,   557,  1781,   558,   559,   560,   561,  1782,
    1783,   563,  1784,   565,   566,   567,     0,   568,   569,   570,
       0,     0,  1785,   572,   573,     0,     0,   574,   575,   576,
     577,   578,   579,  1786,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
    1787,   597,   598,   599,   600,   601,     0,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,  1788,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,     0,   631,   632,
     633,   634,   635,   636,   637,   638,  1789,   640,   641,   642,
     643,   644,   645,   646,   647,   807,   648,     0,   649,   650,
     651,   652,   653,  1790,   655,   656,   657,   658,   659,   660,
     661,   662,  1791,   664,     0,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,  1792,   682,     0,   683,   684,  1793,     0,   685,   686,
     687,   688,   689,   690,   691,   692,     0,   693,  1794,  1795,
       0,     0,   697,   698,  1796,   700,  1797,  1798,   702,   703,
     704,   705,   706,   707,   708,   709,   710,     0,  1799,   711,
     712,   713,   714,   715,  1800,     0,   716,   717,   718,   719,
     720,   808,  1801,     0,   722,   723,   724,   725,   726,   727,
       0,     0,   728,     0,     0,   729,   730,   731,   732,   733,
     734,   735,  1802,  1803,  1804,  1805,   740,  1806,  1807,  1808,
    1809,   745,   809,   746,   747,     0,  1810,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1811,  1812,
       0,     0,     0,     0,     0,  2529,  3802,  1814,   832,   763,
     764,   765,   766,   767,   768,   769,     0,   770,   771,     0,
       0,   772,   773,   774,   775,   776,   777,   833,   778,   779,
     780,   834,     0,   781,   782,   783,   784,   835,   836,   785,
     786,   787,     0,   788,   837,   838,   789,   790,     0,     0,
       0,   791,   792,     0,     0,     0,     0,   793,     0,     0,
       0,     0,     0,     0,     0,     0,   794,     0,   795,     0,
     796,   797,    35,   340,     0,     0,    37,     0,    38,    39,
       0,  1732,  1733,  1734,    40,  1735,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
    1736,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,   360,   361,   362,   363,   364,  1737,   366,  1738,  1739,
       0,   369,   370,   371,   372,   373,   374,   375,  1740,  1741,
     376,   377,  1742,  1743,   379,     0,   380,   381,   382,   383,
    1744,     0,  1745,     0,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   800,     0,   396,   397,   398,   399,
     400,   401,     0,   402,   403,   404,     0,  1746,  1747,  1748,
    1749,  1750,  1751,  1752,   408,   409,   410,   411,   802,   412,
    1753,  1754,   415,  1755,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,  1558,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
    1756,   446,   447,   448,   449,  1757,  1758,   451,     0,   452,
     453,   454,  1759,   456,     0,   457,     0,   458,   459,   460,
       0,   461,   462,   463,   464,   465,     0,   466,  1760,     0,
    1761,   469,   470,     0,   471,   472,   804,   473,   474,   475,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,     0,   491,   492,
     493,  1561,  1762,     0,  1763,     0,   496,   497,   498,   499,
     500,  1764,  1765,  1766,  1767,  1768,  1769,  1770,  1771,  1772,
     510,  1773,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,  1774,   521,   522,   523,     0,   524,   525,   526,
    1775,  1776,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,  1777,   538,   805,   539,   540,   806,   541,   542,
     543,  1778,   545,  1779,   547,   548,   549,   550,   551,   552,
     553,   554,   555,  1780,   557,  1781,   558,   559,   560,   561,
    1782,  1783,   563,  1784,   565,   566,   567,     0,   568,   569,
     570,     0,     0,  1785,   572,   573,     0,     0,   574,   575,
     576,   577,   578,   579,  1786,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
     595,  1787,   597,   598,   599,   600,   601,     0,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,  1788,
     614,   615,   616,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,     0,   631,
     632,   633,   634,   635,   636,   637,   638,  1789,   640,   641,
     642,   643,   644,   645,   646,   647,   807,   648,     0,   649,
     650,   651,   652,   653,  1790,   655,   656,   657,   658,   659,
     660,   661,   662,  1791,   664,     0,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,  1792,   682,     0,   683,   684,  1793,     0,   685,
     686,   687,   688,   689,   690,   691,   692,     0,   693,  1794,
    1795,     0,     0,   697,   698,  1796,   700,  1797,  1798,   702,
     703,   704,   705,   706,   707,   708,   709,   710,     0,  1799,
     711,   712,   713,   714,   715,  1800,     0,   716,   717,   718,
     719,   720,   808,  1801,     0,   722,   723,   724,   725,   726,
     727,     0,     0,   728,     0,     0,   729,   730,   731,   732,
     733,   734,   735,  1802,  1803,  1804,  1805,   740,  1806,  1807,
    1808,  1809,   745,   809,   746,   747,     0,  1810,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1811,
    1812,  1813,     0,     0,     0,     0,     0,     0,  1814,   832,
     763,   764,   765,   766,   767,   768,   769,     0,   770,   771,
       0,     0,   772,   773,   774,   775,   776,   777,   833,   778,
     779,   780,   834,     0,   781,   782,   783,   784,   835,   836,
     785,   786,   787,     0,   788,   837,   838,   789,   790,     0,
       0,     0,   791,   792,     0,     0,     0,     0,   793,     0,
       0,     0,     0,     0,     0,     0,     0,   794,     0,   795,
       0,   796,   797,    35,   340,     0,     0,    37,     0,    38,
      39,     0,  1732,  1733,  1734,    40,  1735,     0,     0,     0,
       0,     0,     0,     0,   341,   342,   343,   344,   345,   346,
     347,   348,   349,  3165,   350,   351,   352,     0,     0,     0,
       0,  1736,     0,     0,   353,   354,   355,     0,   356,   357,
     358,   359,   360,   361,   362,   363,   364,  1737,   366,  1738,
    1739,     0,   369,   370,   371,   372,   373,   374,   375,  1740,
    1741,   376,   377,  1742,  1743,   379,     0,   380,   381,   382,
     383,  1744,     0,  1745,     0,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   800,     0,   396,   397,   398,
     399,   400,   401,     0,   402,   403,   404,     0,  1746,  1747,
    1748,  1749,  1750,  1751,  1752,   408,   409,   410,   411,   802,
     412,  1753,  1754,   415,  1755,   416,     0,   417,   418,   419,
     420,   421,   422,   423,     0,   424,   425,   426,   427,     0,
       0,   428,   429,  1558,   431,   432,     0,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
     444,  1756,   446,   447,   448,   449,  1757,  1758,   451,     0,
     452,   453,   454,  1759,   456,     0,   457,     0,   458,   459,
     460,     0,   461,   462,   463,   464,   465,     0,   466,  1760,
       0,  1761,   469,   470,     0,   471,   472,   804,   473,   474,
     475,   476,   477,   478,   479,     0,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,   489,   490,     0,   491,
     492,   493,  1561,  1762,     0,  1763,     0,   496,   497,   498,
     499,   500,  1764,  1765,  1766,  1767,  1768,  1769,  1770,  1771,
    1772,   510,  1773,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,  1774,   521,   522,   523,     0,   524,   525,
     526,  1775,  1776,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,  1777,   538,   805,   539,   540,   806,   541,
     542,   543,  1778,   545,  1779,   547,   548,   549,   550,   551,
     552,   553,   554,   555,  1780,   557,  1781,   558,   559,   560,
     561,  1782,  1783,   563,  1784,   565,   566,   567,     0,   568,
     569,   570,     0,     0,  1785,   572,   573,     0,     0,   574,
     575,   576,   577,   578,   579,  1786,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,   595,  1787,   597,   598,   599,   600,   601,     0,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
    1788,   614,   615,   616,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,     0,
     631,   632,   633,   634,   635,   636,   637,   638,  1789,   640,
     641,   642,   643,   644,   645,   646,   647,   807,   648,     0,
     649,   650,   651,   652,   653,  1790,   655,   656,   657,   658,
     659,   660,   661,   662,  1791,   664,     0,   665,   666,   667,
     668,   669,   670,   671,   672,   673,   674,   675,   676,   677,
     678,   679,   680,  1792,   682,     0,   683,   684,  1793,     0,
     685,   686,   687,   688,   689,   690,   691,   692,     0,   693,
    1794,  1795,     0,     0,   697,   698,  1796,   700,  1797,  1798,
     702,   703,   704,   705,   706,   707,   708,   709,   710,     0,
    1799,   711,   712,   713,   714,   715,  1800,     0,   716,   717,
     718,   719,   720,   808,  1801,     0,   722,   723,   724,   725,
     726,   727,     0,     0,   728,     0,     0,   729,   730,   731,
     732,   733,   734,   735,  1802,  1803,  1804,  1805,   740,  1806,
    1807,  1808,  1809,   745,   809,   746,   747,     0,  1810,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1811,  1812,     0,     0,     0,     0,     0,     0,     0,  1814,
     832,   763,   764,   765,   766,   767,   768,   769,     0,   770,
     771,     0,     0,   772,   773,   774,   775,   776,   777,   833,
     778,   779,   780,   834,     0,   781,   782,   783,   784,   835,
     836,   785,   786,   787,     0,   788,   837,   838,   789,   790,
       0,     0,     0,   791,   792,     0,     0,     0,     0,   793,
       0,     0,     0,     0,     0,     0,     0,     0,   794,     0,
     795,     0,   796,   797,    35,   340,     0,     0,    37,     0,
      38,    39,     0,  1732,  1733,  1734,    40,  1735,     0,     0,
       0,     0,     0,     0,     0,   341,   342,   343,   344,   345,
     346,   347,   348,   349,     0,   350,   351,   352,     0,     0,
       0,     0,  1736,     0,     0,   353,   354,   355,     0,   356,
     357,   358,   359,   360,   361,   362,   363,   364,  1737,   366,
    1738,  1739,     0,   369,   370,   371,   372,   373,   374,   375,
    1740,  1741,   376,   377,  1742,  1743,   379,     0,   380,   381,
     382,   383,  1744,     0,  1745,     0,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   800,     0,   396,   397,
     398,   399,   400,   401,     0,   402,   403,   404,     0,  1746,
    1747,  1748,  1749,  1750,  1751,  1752,   408,   409,   410,   411,
     802,   412,  1753,  1754,   415,  1755,   416,     0,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,   426,   427,
       0,     0,   428,   429,  1558,   431,   432,     0,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,   444,  1756,   446,   447,   448,   449,  1757,  1758,   451,
       0,   452,   453,   454,  1759,   456,     0,   457,     0,   458,
     459,   460,     0,   461,   462,   463,   464,   465,     0,   466,
    1760,     0,  1761,   469,   470,     0,   471,   472,   804,   473,
     474,   475,   476,   477,   478,   479,     0,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,     0,
     491,   492,   493,  1561,  1762,     0,  1763,     0,   496,   497,
     498,   499,   500,  1764,  1765,  1766,  1767,  1768,  1769,  1770,
    1771,  1772,   510,  1773,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,  1774,   521,   522,   523,     0,   524,
     525,   526,  1775,  1776,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,  1777,   538,   805,   539,   540,   806,
     541,   542,   543,  1778,   545,  1779,   547,   548,   549,   550,
     551,   552,   553,   554,   555,  1780,   557,  1781,   558,   559,
     560,   561,  1782,  1783,   563,  1784,   565,   566,   567,     0,
     568,   569,   570,     0,     0,  1785,   572,   573,     0,     0,
     574,   575,   576,   577,   578,   579,  1786,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   595,  1787,   597,   598,   599,   600,   601,     0,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,  1788,   614,   615,   616,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
    3828,   631,   632,   633,   634,   635,   636,   637,   638,  1789,
     640,   641,   642,   643,   644,   645,   646,   647,   807,   648,
       0,   649,   650,   651,   652,   653,  1790,   655,   656,   657,
     658,   659,   660,   661,   662,  1791,   664,     0,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   674,   675,   676,
     677,   678,   679,   680,  1792,   682,     0,   683,   684,  1793,
       0,   685,   686,   687,   688,   689,   690,   691,   692,     0,
     693,  1794,  1795,     0,     0,   697,   698,  1796,   700,  1797,
    1798,   702,   703,   704,   705,   706,   707,   708,   709,   710,
       0,  1799,   711,   712,   713,   714,   715,  1800,     0,   716,
     717,   718,   719,   720,   808,  1801,     0,   722,   723,   724,
     725,   726,   727,     0,     0,   728,     0,     0,   729,   730,
     731,   732,   733,   734,   735,  1802,  1803,  1804,  1805,   740,
    1806,  1807,  1808,  1809,   745,   809,   746,   747,     0,  1810,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1811,  1812,     0,     0,     0,     0,     0,     0,     0,
    1814,   832,   763,   764,   765,   766,   767,   768,   769,     0,
     770,   771,     0,     0,   772,   773,   774,   775,   776,   777,
     833,   778,   779,   780,   834,     0,   781,   782,   783,   784,
     835,   836,   785,   786,   787,     0,   788,   837,   838,   789,
     790,     0,     0,     0,   791,   792,     0,     0,     0,     0,
     793,     0,     0,     0,     0,     0,     0,     0,     0,   794,
       0,   795,     0,   796,   797,    35,   340,     0,     0,    37,
       0,    38,    39,     0,  1732,  1733,  1734,    40,  1735,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,  1736,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,   360,   361,   362,   363,   364,  1737,
     366,  1738,  1739,     0,   369,   370,   371,   372,   373,   374,
     375,  1740,  1741,   376,   377,  1742,  1743,   379,     0,   380,
     381,   382,   383,  1744,     0,  1745,     0,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   800,     0,   396,
     397,   398,   399,   400,   401,     0,   402,   403,   404,     0,
    1746,  1747,  1748,  1749,  1750,  1751,  1752,   408,   409,   410,
     411,   802,   412,  1753,  1754,   415,  1755,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,  1558,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,  1756,   446,   447,   448,   449,  1757,  1758,
     451,     0,   452,   453,   454,  1759,   456,     0,   457,     0,
     458,   459,   460,     0,   461,   462,   463,   464,   465,     0,
     466,  1760,     0,  1761,   469,   470,     0,   471,   472,   804,
     473,   474,   475,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,   489,   490,
       0,   491,   492,   493,  1561,  1762,     0,  1763,     0,   496,
     497,   498,   499,   500,  1764,  1765,  1766,  1767,  1768,  1769,
    1770,  1771,  1772,   510,  1773,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,  1774,   521,   522,   523,     0,
     524,   525,   526,  1775,  1776,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,  1777,   538,   805,   539,   540,
     806,   541,   542,   543,  1778,   545,  1779,   547,   548,   549,
     550,   551,   552,   553,   554,   555,  1780,   557,  1781,   558,
     559,   560,   561,  1782,  1783,   563,  1784,   565,   566,   567,
       0,   568,   569,   570,     0,     0,  1785,   572,   573,     0,
       0,   574,   575,   576,   577,   578,   579,  1786,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,   595,  1787,   597,   598,   599,   600,   601,
       0,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,  1788,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,     0,   631,   632,   633,   634,   635,   636,   637,   638,
    1789,   640,   641,   642,   643,   644,   645,   646,   647,   807,
     648,     0,   649,   650,   651,   652,   653,  1790,   655,   656,
     657,   658,   659,   660,   661,   662,  1791,   664,     0,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,  1792,   682,     0,   683,   684,
    1793,     0,   685,   686,   687,   688,   689,   690,   691,   692,
       0,   693,  1794,  1795,     0,     0,   697,   698,  1796,   700,
    1797,  1798,   702,   703,   704,   705,   706,   707,   708,   709,
     710,     0,  1799,   711,   712,   713,   714,   715,  1800,     0,
     716,   717,   718,   719,   720,   808,  1801,  4368,   722,   723,
     724,   725,   726,   727,     0,     0,   728,     0,     0,   729,
     730,   731,   732,   733,   734,   735,  1802,  1803,  1804,  1805,
     740,  1806,  1807,  1808,  1809,   745,   809,   746,   747,     0,
    1810,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1811,  1812,     0,     0,     0,     0,     0,     0,
       0,  1814,   832,   763,   764,   765,   766,   767,   768,   769,
       0,   770,   771,     0,     0,   772,   773,   774,   775,   776,
     777,   833,   778,   779,   780,   834,     0,   781,   782,   783,
     784,   835,   836,   785,   786,   787,     0,   788,   837,   838,
     789,   790,     0,     0,     0,   791,   792,     0,     0,     0,
       0,   793,     0,     0,     0,     0,     0,     0,     0,     0,
     794,     0,   795,     0,   796,   797,    35,   340,     0,     0,
      37,     0,    38,    39,     0,  1732,  1733,  1734,    40,  1735,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,  1736,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,   360,   361,   362,   363,   364,
    1737,   366,  1738,  1739,     0,   369,   370,   371,   372,   373,
     374,   375,  1740,  1741,   376,   377,  1742,  1743,   379,     0,
     380,   381,   382,   383,  1744,     0,  1745,     0,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   800,     0,
     396,   397,   398,   399,   400,   401,     0,   402,   403,   404,
       0,  1746,  1747,  1748,  1749,  1750,  1751,  1752,   408,   409,
     410,   411,   802,   412,  1753,  1754,   415,  1755,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,  1558,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,  1756,   446,   447,   448,   449,  1757,
    1758,   451,     0,   452,   453,   454,  1759,   456,     0,   457,
       0,   458,   459,   460,  3874,   461,   462,   463,   464,   465,
       0,   466,  1760,     0,  1761,   469,   470,     0,   471,   472,
     804,   473,   474,   475,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,     0,   491,   492,   493,  1561,  1762,     0,  1763,     0,
     496,   497,   498,   499,   500,  1764,  1765,  1766,  1767,  1768,
    1769,  1770,  1771,  1772,   510,  1773,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,  1774,   521,   522,   523,
       0,   524,   525,   526,  1775,  1776,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,  1777,   538,   805,   539,
     540,   806,   541,   542,   543,  1778,   545,  1779,   547,   548,
     549,   550,   551,   552,   553,   554,   555,  1780,   557,  1781,
     558,   559,   560,   561,  1782,  1783,   563,  1784,   565,   566,
     567,     0,   568,   569,   570,     0,     0,  1785,   572,   573,
       0,     0,   574,   575,   576,   577,   578,   579,  1786,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,  1787,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,  1788,   614,   615,   616,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,     0,   631,   632,   633,   634,   635,   636,   637,
     638,  1789,   640,   641,   642,   643,   644,   645,   646,   647,
     807,   648,     0,   649,   650,   651,   652,   653,  1790,   655,
     656,   657,   658,   659,   660,   661,   662,  1791,   664,     0,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,  1792,   682,     0,   683,
     684,  1793,     0,   685,   686,   687,   688,   689,   690,   691,
     692,     0,   693,  1794,  1795,     0,     0,   697,   698,  1796,
     700,  1797,  1798,   702,   703,   704,   705,   706,   707,   708,
     709,   710,     0,  1799,   711,   712,   713,   714,   715,  1800,
       0,   716,   717,   718,   719,   720,   808,  1801,     0,   722,
     723,   724,   725,   726,   727,     0,     0,   728,     0,     0,
     729,   730,   731,   732,   733,   734,   735,  1802,  1803,  1804,
    1805,   740,  1806,  1807,  1808,  1809,   745,   809,   746,   747,
       0,  1810,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1811,  1812,     0,     0,     0,     0,     0,
       0,     0,  1814,   832,   763,   764,   765,   766,   767,   768,
     769,     0,   770,   771,     0,     0,   772,   773,   774,   775,
     776,   777,   833,   778,   779,   780,   834,     0,   781,   782,
     783,   784,   835,   836,   785,   786,   787,     0,   788,   837,
     838,   789,   790,     0,     0,     0,   791,   792,     0,     0,
       0,     0,   793,     0,     0,     0,     0,     0,     0,     0,
       0,   794,     0,   795,     0,   796,   797,    35,   340,     0,
       0,    37,     0,    38,    39,     0,  1732,  1733,  1734,    40,
    1735,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,  1736,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,   360,   361,   362,   363,
     364,  1737,   366,  1738,  1739,     0,   369,   370,   371,   372,
     373,   374,   375,  1740,  1741,   376,   377,  1742,  1743,   379,
       0,   380,   381,   382,   383,  1744,     0,  1745,     0,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   800,
       0,   396,   397,   398,   399,   400,   401,     0,   402,   403,
     404,     0,  1746,  1747,  1748,  1749,  1750,  1751,  1752,   408,
     409,   410,   411,   802,   412,  1753,  1754,   415,  1755,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,  1558,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,  1756,   446,   447,   448,   449,
    1757,  1758,   451,     0,   452,   453,   454,  1759,   456,     0,
     457,     0,   458,   459,   460,     0,   461,   462,   463,   464,
     465,     0,   466,  1760,     0,  1761,   469,   470,     0,   471,
     472,   804,   473,   474,   475,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
     489,   490,     0,   491,   492,   493,  1561,  1762,     0,  1763,
       0,   496,   497,   498,   499,   500,  1764,  1765,  1766,  1767,
    1768,  1769,  1770,  1771,  1772,   510,  1773,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,  1774,   521,   522,
     523,     0,   524,   525,   526,  1775,  1776,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,  1777,   538,   805,
     539,   540,   806,   541,   542,   543,  1778,   545,  1779,   547,
     548,   549,   550,   551,   552,   553,   554,   555,  1780,   557,
    1781,   558,   559,   560,   561,  1782,  1783,   563,  1784,   565,
     566,   567,     0,   568,   569,   570,     0,     0,  1785,   572,
     573,     0,     0,   574,   575,   576,   577,   578,   579,  1786,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,   595,  1787,   597,   598,   599,
     600,   601,     0,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,  1788,   614,   615,   616,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,     0,   631,   632,   633,   634,   635,   636,
     637,   638,  1789,   640,   641,   642,   643,   644,   645,   646,
     647,   807,   648,     0,   649,   650,   651,   652,   653,  1790,
     655,   656,   657,   658,   659,   660,   661,   662,  1791,   664,
       0,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,  1792,   682,     0,
     683,   684,  1793,     0,   685,   686,   687,   688,   689,   690,
     691,   692,     0,   693,  1794,  1795,  3931,     0,   697,   698,
    1796,   700,  1797,  1798,   702,   703,   704,   705,   706,   707,
     708,   709,   710,     0,  1799,   711,   712,   713,   714,   715,
    1800,     0,   716,   717,   718,   719,   720,   808,  1801,     0,
     722,   723,   724,   725,   726,   727,     0,     0,   728,     0,
       0,   729,   730,   731,   732,   733,   734,   735,  1802,  1803,
    1804,  1805,   740,  1806,  1807,  1808,  1809,   745,   809,   746,
     747,     0,  1810,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1811,  1812,     0,     0,     0,     0,
       0,     0,     0,  1814,   832,   763,   764,   765,   766,   767,
     768,   769,     0,   770,   771,     0,     0,   772,   773,   774,
     775,   776,   777,   833,   778,   779,   780,   834,     0,   781,
     782,   783,   784,   835,   836,   785,   786,   787,     0,   788,
     837,   838,   789,   790,     0,     0,     0,   791,   792,     0,
       0,     0,     0,   793,     0,     0,     0,     0,     0,     0,
       0,     0,   794,     0,   795,     0,   796,   797,    35,   340,
       0,     0,    37,     0,    38,    39,     0,  1732,  1733,  1734,
      40,  1735,     0,     0,     0,     0,     0,     0,     0,   341,
     342,   343,   344,   345,   346,   347,   348,   349,     0,   350,
     351,   352,     0,     0,     0,     0,  1736,     0,     0,   353,
     354,   355,     0,   356,   357,   358,   359,   360,   361,   362,
     363,   364,  1737,   366,  1738,  1739,     0,   369,   370,   371,
     372,   373,   374,   375,  1740,  1741,   376,   377,  1742,  1743,
     379,     0,   380,   381,   382,   383,  1744,     0,  1745,     0,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     800,     0,   396,   397,   398,   399,   400,   401,     0,   402,
     403,   404,  5444,  1746,  1747,  1748,  1749,  1750,  1751,  1752,
     408,   409,   410,   411,   802,   412,  1753,  1754,   415,  1755,
     416,     0,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,     0,     0,   428,   429,  1558,   431,
     432,     0,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,   444,  1756,   446,   447,   448,
     449,  1757,  1758,   451,     0,   452,   453,   454,  1759,   456,
       0,   457,     0,   458,   459,   460,     0,   461,   462,   463,
     464,   465,     0,   466,  1760,     0,  1761,   469,   470,     0,
     471,   472,   804,   473,   474,   475,   476,   477,   478,   479,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,     0,   491,   492,   493,  1561,  1762,     0,
    1763,     0,   496,   497,   498,   499,   500,  1764,  1765,  1766,
    1767,  1768,  1769,  1770,  1771,  1772,   510,  1773,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,  1774,   521,
     522,   523,     0,   524,   525,   526,  1775,  1776,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,  1777,   538,
     805,   539,   540,   806,   541,   542,   543,  1778,   545,  1779,
     547,   548,   549,   550,   551,   552,   553,   554,   555,  1780,
     557,  1781,   558,   559,   560,   561,  1782,  1783,   563,  1784,
     565,   566,   567,     0,   568,   569,   570,     0,     0,  1785,
     572,   573,     0,     0,   574,   575,   576,   577,   578,   579,
    1786,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,   595,  1787,   597,   598,
     599,   600,   601,     0,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,  1788,   614,   615,   616,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,     0,   631,   632,   633,   634,   635,
     636,   637,   638,  1789,   640,   641,   642,   643,   644,   645,
     646,   647,   807,   648,     0,   649,   650,   651,   652,   653,
    1790,   655,   656,   657,   658,   659,   660,   661,   662,  1791,
     664,     0,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,   679,   680,  1792,   682,
       0,   683,   684,  1793,     0,   685,   686,   687,   688,   689,
     690,   691,   692,     0,   693,  1794,  1795,     0,     0,   697,
     698,  1796,   700,  1797,  1798,   702,   703,   704,   705,   706,
     707,   708,   709,   710,     0,  1799,   711,   712,   713,   714,
     715,  1800,     0,   716,   717,   718,   719,   720,   808,  1801,
       0,   722,   723,   724,   725,   726,   727,     0,     0,   728,
       0,     0,   729,   730,   731,   732,   733,   734,   735,  1802,
    1803,  1804,  1805,   740,  1806,  1807,  1808,  1809,   745,   809,
     746,   747,     0,  1810,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1811,  1812,     0,     0,     0,
       0,     0,     0,     0,  1814,   832,   763,   764,   765,   766,
     767,   768,   769,     0,   770,   771,     0,     0,   772,   773,
     774,   775,   776,   777,   833,   778,   779,   780,   834,     0,
     781,   782,   783,   784,   835,   836,   785,   786,   787,     0,
     788,   837,   838,   789,   790,     0,     0,     0,   791,   792,
       0,     0,     0,     0,   793,     0,     0,     0,     0,     0,
       0,     0,     0,   794,     0,   795,     0,   796,   797,    35,
     340,     0,     0,    37,     0,    38,    39,     0,  1732,  1733,
    1734,    40,  1735,     0,     0,     0,     0,     0,     0,     0,
     341,   342,   343,   344,   345,   346,   347,   348,   349,     0,
     350,   351,   352,     0,     0,     0,     0,  1736,     0,     0,
     353,   354,   355,     0,   356,   357,   358,   359,   360,   361,
     362,   363,  6637,  1737,   366,  1738,  1739,     0,   369,   370,
     371,   372,   373,   374,   375,  1740,  1741,   376,   377,  1742,
    1743,   379,     0,   380,   381,   382,   383,  1744,     0,  1745,
       0,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   800,     0,   396,   397,   398,   399,   400,   401,     0,
     402,   403,   404,  6638,  1746,  1747,  1748,  1749,  1750,  1751,
    1752,   408,   409,   410,   411,   802,   412,  1753,  1754,   415,
    1755,   416,     0,   417,   418,   419,   420,   421,   422,   423,
       0,   424,   425,   426,   427,     0,     0,   428,   429,  1558,
     431,   432,     0,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,   444,  1756,   446,   447,
     448,   449,  1757,  1758,   451,     0,   452,   453,   454,  1759,
     456,     0,   457,     0,   458,   459,   460,     0,   461,   462,
     463,   464,   465,     0,   466,  1760,     0,  1761,   469,   470,
       0,   471,   472,   804,   473,   474,   475,   476,   477,   478,
     479,     0,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488,   489,   490,     0,   491,   492,   493,  1561,  1762,
       0,  1763,     0,   496,   497,   498,   499,   500,  1764,  1765,
    1766,  1767,  1768,  1769,  1770,  1771,  1772,   510,  1773,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,  1774,
     521,   522,   523,     0,   524,   525,   526,  1775,  1776,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,  1777,
     538,   805,   539,   540,   806,   541,   542,   543,  1778,   545,
    1779,   547,   548,   549,   550,   551,   552,   553,   554,   555,
    1780,   557,  1781,   558,   559,   560,   561,  1782,  1783,   563,
    1784,   565,   566,   567,     0,   568,   569,   570,     0,     0,
    1785,   572,   573,     0,     0,   574,   575,   576,   577,   578,
     579,  1786,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,   595,  1787,   597,
     598,   599,   600,   601,     0,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,  1788,   614,   615,   616,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,     0,   631,   632,   633,   634,
     635,   636,   637,   638,  1789,   640,   641,   642,   643,   644,
     645,   646,   647,   807,   648,     0,   649,   650,   651,   652,
     653,  1790,   655,   656,   657,   658,   659,   660,   661,   662,
    1791,   664,     0,   665,   666,   667,   668,   669,   670,   671,
     672,   673,   674,   675,   676,   677,   678,   679,   680,  1792,
     682,     0,   683,   684,  1793,     0,   685,   686,   687,   688,
     689,   690,   691,   692,     0,   693,  1794,  1795,     0,     0,
     697,   698,  1796,   700,  1797,  1798,   702,   703,   704,   705,
     706,  6639,   708,   709,   710,     0,  1799,   711,   712,   713,
     714,   715,  1800,     0,   716,   717,   718,   719,   720,   808,
    1801,     0,   722,   723,   724,   725,   726,   727,     0,     0,
     728,     0,     0,   729,   730,   731,   732,   733,   734,   735,
    1802,  1803,  1804,  1805,   740,  1806,  1807,  1808,  1809,   745,
     809,   746,   747,     0,  1810,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1811,  1812,     0,     0,
       0,     0,     0,     0,     0,  1814,   832,   763,   764,   765,
     766,   767,   768,   769,     0,   770,   771,     0,     0,   772,
     773,   774,   775,   776,   777,   833,   778,   779,   780,   834,
       0,   781,   782,   783,   784,   835,   836,   785,   786,   787,
       0,   788,   837,   838,   789,   790,     0,     0,     0,   791,
     792,     0,     0,     0,     0,   793,     0,     0,     0,     0,
       0,     0,     0,     0,   794,     0,   795,     0,   796,   797,
      35,   340,     0,     0,    37,     0,    38,    39,     0,  1732,
    1733,  1734,    40,  1735,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,  1736,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,   360,
     361,   362,   363,   364,  1737,   366,  1738,  1739,     0,   369,
     370,   371,   372,   373,   374,   375,  1740,  1741,   376,   377,
    1742,  1743,   379,     0,   380,   381,   382,   383,  1744,     0,
    1745,     0,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   800,     0,   396,   397,   398,   399,   400,   401,
       0,   402,   403,   404,  6638,  1746,  1747,  1748,  1749,  1750,
    1751,  1752,   408,   409,   410,   411,   802,   412,  1753,  1754,
     415,  1755,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
    1558,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,  1756,   446,
     447,   448,   449,  1757,  1758,   451,     0,   452,   453,   454,
    1759,   456,     0,   457,     0,   458,   459,   460,     0,   461,
     462,   463,   464,   465,     0,   466,  1760,     0,  1761,   469,
     470,     0,   471,   472,   804,   473,   474,   475,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,     0,   491,   492,   493,  1561,
    1762,     0,  1763,     0,   496,   497,   498,   499,   500,  1764,
    1765,  1766,  1767,  1768,  1769,  1770,  1771,  1772,   510,  1773,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
    1774,   521,   522,   523,     0,   524,   525,   526,  1775,  1776,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
    1777,   538,   805,   539,   540,   806,   541,   542,   543,  1778,
     545,  1779,   547,   548,   549,   550,   551,   552,   553,   554,
     555,  1780,   557,  1781,   558,   559,   560,   561,  1782,  1783,
     563,  1784,   565,   566,   567,     0,   568,   569,   570,     0,
       0,  1785,   572,   573,     0,     0,   574,   575,   576,   577,
     578,   579,  1786,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,   595,  1787,
     597,   598,   599,   600,   601,     0,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,  1788,   614,   615,
     616,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,     0,   631,   632,   633,
     634,   635,   636,   637,   638,  1789,   640,   641,   642,   643,
     644,   645,   646,   647,   807,   648,     0,   649,   650,   651,
     652,   653,  1790,   655,   656,   657,   658,   659,   660,   661,
     662,  1791,   664,     0,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
    1792,   682,     0,   683,   684,  1793,     0,   685,   686,   687,
     688,   689,   690,   691,   692,     0,   693,  1794,  1795,     0,
       0,   697,   698,  1796,   700,  1797,  1798,   702,   703,   704,
     705,   706,  6639,   708,   709,   710,     0,  1799,   711,   712,
     713,   714,   715,  1800,     0,   716,   717,   718,   719,   720,
     808,  1801,     0,   722,   723,   724,   725,   726,   727,     0,
       0,   728,     0,     0,   729,   730,   731,   732,   733,   734,
     735,  1802,  1803,  1804,  1805,   740,  1806,  1807,  1808,  1809,
     745,   809,   746,   747,     0,  1810,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1811,  1812,     0,
       0,     0,     0,     0,     0,     0,  1814,   832,   763,   764,
     765,   766,   767,   768,   769,     0,   770,   771,     0,     0,
     772,   773,   774,   775,   776,   777,   833,   778,   779,   780,
     834,     0,   781,   782,   783,   784,   835,   836,   785,   786,
     787,     0,   788,   837,   838,   789,   790,     0,     0,     0,
     791,   792,     0,     0,     0,     0,   793,     0,     0,     0,
       0,     0,     0,     0,     0,   794,     0,   795,     0,   796,
     797,    35,   340,     0,     0,    37,     0,    38,    39,     0,
    1732,  1733,  1734,    40,  1735,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,  1736,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
     360,   361,   362,   363,   364,  1737,   366,  1738,  1739,     0,
     369,   370,   371,   372,   373,   374,   375,  1740,  1741,   376,
     377,  1742,  1743,   379,     0,   380,   381,   382,   383,  1744,
       0,  1745,     0,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   800,     0,   396,   397,   398,   399,   400,
     401,     0,   402,   403,   404,     0,  1746,  1747,  1748,  1749,
    1750,  1751,  1752,   408,   409,   410,   411,   802,   412,  1753,
    1754,   415,  1755,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,  1558,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,  1756,
     446,   447,   448,   449,  1757,  1758,   451,     0,   452,   453,
     454,  1759,   456,     0,   457,     0,   458,   459,   460,     0,
     461,   462,   463,   464,   465,     0,   466,  1760,     0,  1761,
     469,   470,     0,   471,   472,   804,   473,   474,   475,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,   489,   490,     0,   491,   492,   493,
    1561,  1762,     0,  1763,     0,   496,   497,   498,   499,   500,
    1764,  1765,  1766,  1767,  1768,  1769,  1770,  1771,  1772,   510,
    1773,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,  1774,   521,   522,   523,     0,   524,   525,   526,  1775,
    1776,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,  1777,   538,   805,   539,   540,   806,   541,   542,   543,
    1778,   545,  1779,   547,   548,   549,   550,   551,   552,   553,
     554,   555,  1780,   557,  1781,   558,   559,   560,   561,  1782,
    1783,   563,  1784,   565,   566,   567,     0,   568,   569,   570,
       0,     0,  1785,   572,   573,     0,     0,   574,   575,   576,
     577,   578,   579,  1786,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
    1787,   597,   598,   599,   600,   601,     0,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,  1788,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,     0,   631,   632,
     633,   634,   635,   636,   637,   638,  1789,   640,   641,   642,
     643,   644,   645,   646,   647,   807,   648,     0,   649,   650,
     651,   652,   653,  1790,   655,   656,   657,   658,   659,   660,
     661,   662,  1791,   664,     0,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,  1792,   682,     0,   683,   684,  1793,     0,   685,   686,
     687,   688,   689,   690,   691,   692,     0,   693,  1794,  1795,
       0,     0,   697,   698,  1796,   700,  1797,  1798,   702,   703,
     704,   705,   706,   707,   708,   709,   710,     0,  1799,   711,
     712,   713,   714,   715,  1800,     0,   716,   717,   718,   719,
     720,   808,  1801,     0,   722,   723,   724,   725,   726,   727,
       0,     0,   728,     0,     0,   729,   730,   731,   732,   733,
     734,   735,  1802,  1803,  1804,  1805,   740,  1806,  1807,  1808,
    1809,   745,   809,   746,   747,     0,  1810,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1811,  1812,
       0,     0,     0,     0,     0,     0,     0,  1814,   832,   763,
     764,   765,   766,   767,   768,   769,     0,   770,   771,     0,
       0,   772,   773,   774,   775,   776,   777,   833,   778,   779,
     780,   834,     0,   781,   782,   783,   784,   835,   836,   785,
     786,   787,     0,   788,   837,   838,   789,   790,     0,     0,
       0,   791,   792,     0,     0,     0,     0,   793,     0,     0,
       0,     0,     0,     0,     0,     0,   794,     0,   795,     0,
     796,   797,    35,   340,     0,     0,    37,     0,    38,    39,
       0,  1732,  1733,  1734,    40,  1735,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
    1736,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,   360,   361,   362,   363,   364,  1737,   366,  1738,  1739,
       0,   369,   370,   371,   372,   373,   374,   375,  1740,  1741,
     376,   377,  1742,  1743,   379,     0,   380,   381,   382,   383,
    1744,     0,  1745,     0,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   800,     0,   396,   397,   398,   399,
     400,   401,     0,   402,   403,   404,     0,  1746,  1747,  1748,
    1749,  1750,  1751,  1752,   408,   409,   410,   411,   802,   412,
    1753,  1754,   415,  1755,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,  1558,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
    1756,   446,   447,   448,   449,  1757,  1758,   451,     0,   452,
     453,   454,  1759,   456,     0,   457,     0,   458,   459,   460,
       0,   461,   462,   463,   464,   465,     0,   466,  1760,     0,
    1761,   469,   470,     0,   471,   472,   804,   473,   474,   475,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,     0,   491,   492,
     493,  1561,  1762,     0,  1763,     0,   496,   497,   498,   499,
     500,  1764,  1765,  1766,  1767,  1768,  1769,  1770,  1771,  1772,
     510,  1773,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,  1774,   521,   522,   523,     0,   524,   525,   526,
    1775,  1776,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,  1777,   538,   805,   539,   540,   806,   541,   542,
     543,  1778,   545,  1779,   547,   548,   549,   550,   551,   552,
     553,   554,   555,  1780,   557,  1781,   558,   559,   560,   561,
    1782,  1783,   563,  1784,   565,   566,   567,     0,   568,   569,
     570,     0,     0,  1785,   572,   573,     0,     0,   574,   575,
     576,   577,   578,   579,  1786,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
     595,  1787,   597,   598,   599,   600,   601,     0,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,  1788,
     614,   615,   616,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,     0,   631,
     632,   633,   634,   635,   636,   637,   638,  1789,   640,   641,
     642,   643,   644,   645,   646,   647,   807,   648,     0,   649,
     650,   651,   652,   653,  1790,   655,   656,   657,   658,   659,
     660,   661,   662,  1791,   664,     0,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,  1792,   682,     0,   683,   684,  1793,     0,   685,
     686,   687,   688,   689,   690,   691,   692,     0,   693,  1794,
    1795,     0,     0,   697,   698,  1796,   700,  1797,  1798,   702,
     703,   704,   705,   706,   707,   708,   709,   710,     0,  1799,
     711,   712,   713,   714,   715,  1800,     0,   716,   717,   718,
     719,   720,   808,  1801,     0,   722,   723,   724,   725,   726,
     727,     0,     0,   728,     0,     0,   729,   730,   731,   732,
     733,   734,   735,  1802,  1803,  1804,  1805,   740,  1806,  1807,
    1808,  1809,   745,   809,   746,   747,     0,  1810,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3168,
    3169,     0,     0,     0,     0,     0,     0,     0,  1814,   832,
     763,   764,   765,   766,   767,   768,   769,     0,   770,   771,
       0,     0,   772,   773,   774,   775,   776,   777,   833,   778,
     779,   780,   834,     0,   781,   782,   783,   784,   835,   836,
     785,   786,   787,     0,   788,   837,   838,   789,   790,     0,
       0,     0,   791,   792,     0,     0,     0,     0,   793,     0,
       0,     0,     0,     0,     0,     0,     0,   794,     0,   795,
       0,   796,   797,    35,   340,     0,     0,    37,     0,    38,
      39,     0,  1732,  1733,  1734,    40,  1735,     0,     0,     0,
       0,     0,     0,     0,   341,   342,   343,   344,   345,   346,
     347,   348,   349,     0,   350,   351,   352,     0,     0,     0,
       0,  1736,     0,     0,   353,   354,   355,     0,   356,   357,
     358,   359,   360,   361,   362,   363,   364,  1737,   366,  1738,
    1739,     0,   369,   370,   371,   372,   373,   374,   375,  1740,
    1741,   376,   377,  1742,  1743,   379,     0,   380,   381,   382,
     383,  1744,     0,  1745,     0,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   800,     0,   396,   397,   398,
     399,   400,   401,     0,   402,   403,   404,     0,  1746,  1747,
    1748,  1749,  1750,  1751,  1752,   408,   409,   410,   411,   802,
     412,  1753,  1754,   415,  1755,   416,     0,   417,   418,   419,
     420,   421,   422,   423,     0,   424,   425,   426,   427,     0,
       0,   428,   429,  1558,   431,   432,     0,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
     444,  1756,   446,   447,   448,   449,  1757,  1758,   451,     0,
     452,   453,   454,  1759,   456,     0,   457,     0,   458,   459,
     460,     0,   461,   462,   463,   464,   465,     0,   466,  1760,
       0,  1761,   469,   470,     0,   471,   472,   804,   473,   474,
     475,   476,   477,   478,   479,     0,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,   489,   490,     0,   491,
     492,   493,  1561,  1762,     0,  1763,     0,   496,   497,   498,
     499,   500,  1764,  1765,  1766,  1767,  1768,  1769,  1770,  1771,
    1772,   510,  1773,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,  1774,   521,   522,   523,     0,   524,   525,
     526,  1775,  1776,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,  1777,   538,   805,   539,   540,   806,   541,
     542,   543,  1778,   545,  1779,   547,   548,   549,   550,   551,
     552,   553,   554,   555,  1780,   557,  1781,   558,   559,   560,
     561,  1782,  1783,   563,  1784,   565,   566,   567,     0,   568,
     569,   570,     0,     0,  1785,   572,   573,     0,     0,   574,
     575,   576,   577,   578,   579,  1786,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,   595,  1787,   597,   598,   599,   600,   601,     0,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
    1788,   614,   615,   616,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,     0,
     631,   632,   633,   634,   635,   636,   637,   638,  1789,   640,
     641,   642,   643,   644,   645,   646,   647,   807,   648,     0,
     649,   650,   651,   652,   653,  1790,   655,   656,   657,   658,
     659,   660,   661,   662,  1791,   664,     0,   665,   666,   667,
     668,   669,   670,   671,   672,   673,   674,   675,   676,   677,
     678,   679,   680,  1792,   682,     0,   683,   684,  1793,     0,
     685,   686,   687,   688,   689,   690,   691,   692,     0,   693,
    1794,  1795,     0,     0,   697,   698,  1796,   700,  1797,  1798,
     702,   703,   704,   705,   706,   707,   708,   709,   710,     0,
    1799,   711,   712,   713,   714,   715,  1800,     0,   716,   717,
     718,   719,   720,   808,  1801,     0,   722,   723,   724,   725,
     726,   727,     0,     0,   728,     0,     0,   729,   730,   731,
     732,   733,   734,  5844,  1802,  1803,  1804,  1805,   740,  1806,
    1807,  1808,  1809,   745,   809,   746,   747,     0,  1810,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1811,  1812,     0,     0,     0,     0,     0,     0,     0,  1814,
     832,   763,   764,   765,   766,   767,   768,   769,     0,   770,
     771,     0,     0,   772,   773,   774,   775,   776,   777,   833,
     778,   779,   780,   834,     0,   781,   782,   783,   784,   835,
     836,   785,   786,   787,     0,   788,   837,   838,   789,   790,
       0,     0,     0,   791,   792,     0,     0,     0,     0,   793,
       0,     0,     0,     0,     0,     0,     0,     0,   794,     0,
     795,     0,   796,   797,    35,   340,     0,     0,    37,     0,
      38,    39,     0,  1732,  1733,  1734,    40,  1735,     0,     0,
       0,     0,     0,     0,     0,   341,   342,   343,   344,   345,
     346,   347,   348,   349,     0,   350,   351,   352,     0,     0,
       0,     0,  1736,     0,     0,   353,   354,   355,     0,   356,
     357,   358,   359,   360,   361,   362,   363,   364,  1737,   366,
    1738,  1739,     0,   369,   370,   371,   372,   373,   374,   375,
    1740,  1741,   376,   377,  1742,  1743,   379,     0,   380,   381,
     382,   383,  1744,     0,  1745,     0,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   800,     0,   396,   397,
     398,   399,   400,   401,     0,   402,   403,   404,     0,  1746,
    1747,  1748,  1749,  1750,  1751,  1752,   408,   409,   410,   411,
     802,   412,  1753,  1754,   415,  1755,   416,     0,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,   426,   427,
       0,     0,   428,   429,  1558,   431,   432,     0,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,   444,  1756,   446,   447,   448,   449,  1757,  1758,   451,
       0,   452,   453,   454,  1759,   456,     0,   457,     0,   458,
     459,   460,     0,   461,   462,   463,   464,   465,     0,   466,
    1760,     0,  1761,   469,   470,     0,   471,   472,   804,   473,
     474,   475,   476,   477,   478,   479,     0,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,     0,
     491,   492,   493,  1561,  1762,     0,  1763,     0,   496,   497,
     498,   499,   500,  1764,  1765,  1766,  1767,  1768,  1769,  1770,
    1771,  1772,   510,  1773,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,  1774,   521,   522,   523,     0,   524,
     525,   526,  1775,  1776,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,  1777,   538,   805,   539,   540,   806,
     541,   542,   543,  1778,   545,  1779,   547,   548,   549,   550,
     551,   552,   553,  5856,   555,  1780,   557,  1781,   558,   559,
     560,   561,  1782,  1783,   563,  1784,   565,   566,   567,     0,
     568,   569,   570,     0,     0,  1785,   572,   573,     0,     0,
     574,   575,   576,   577,   578,   579,  1786,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   595,  1787,   597,   598,   599,   600,   601,     0,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,  1788,   614,   615,   616,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
       0,   631,   632,   633,   634,   635,   636,   637,   638,  1789,
     640,   641,   642,   643,   644,   645,   646,   647,   807,   648,
       0,   649,   650,   651,   652,   653,  1790,   655,   656,   657,
     658,   659,   660,   661,   662,  1791,   664,     0,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   674,   675,   676,
     677,   678,   679,   680,  1792,   682,     0,   683,   684,  1793,
       0,   685,   686,   687,   688,   689,   690,   691,   692,     0,
     693,  1794,  1795,     0,     0,   697,   698,  1796,   700,  1797,
    1798,   702,   703,   704,   705,   706,   707,   708,   709,   710,
       0,  1799,   711,   712,   713,   714,   715,  1800,     0,   716,
     717,   718,   719,   720,   808,  1801,     0,   722,   723,   724,
     725,   726,   727,     0,     0,   728,     0,     0,   729,   730,
     731,   732,   733,   734,   735,  1802,  1803,  1804,  1805,   740,
    1806,  1807,  1808,  1809,   745,   809,   746,   747,     0,  1810,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1811,  1812,     0,     0,     0,     0,     0,     0,     0,
    1814,   832,   763,   764,   765,   766,   767,   768,   769,     0,
     770,   771,     0,     0,   772,   773,   774,   775,   776,   777,
     833,   778,   779,   780,   834,     0,   781,   782,   783,   784,
     835,   836,   785,   786,   787,     0,   788,   837,   838,   789,
     790,     0,     0,     0,   791,   792,     0,     0,     0,     0,
     793,     0,     0,     0,     0,     0,     0,     0,     0,   794,
       0,   795,     0,   796,   797,    35,   340,     0,     0,    37,
       0,    38,    39,     0,  1732,  1733,  1734,    40,  1735,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,  1736,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,   360,   361,   362,   363,   364,  1737,
     366,  1738,  1739,     0,   369,   370,   371,   372,   373,   374,
     375,  1740,  1741,   376,   377,  1742,  1743,   379,     0,   380,
     381,   382,   383,  1744,     0,  1745,     0,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   800,     0,   396,
     397,   398,   399,   400,   401,     0,   402,   403,  6451,     0,
    1746,  1747,  1748,  1749,  1750,  1751,  1752,   408,   409,   410,
     411,   802,   412,  1753,  1754,   415,  1755,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,  1558,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,  1756,   446,   447,   448,   449,  1757,  1758,
     451,     0,   452,   453,   454,  1759,   456,     0,   457,     0,
     458,   459,   460,     0,   461,   462,   463,   464,   465,     0,
     466,  1760,     0,  6452,   469,   470,     0,   471,   472,   804,
     473,   474,   475,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,   489,   490,
       0,   491,   492,   493,  1561,  1762,     0,  1763,     0,   496,
     497,   498,   499,   500,  1764,  1765,  1766,  1767,  1768,  1769,
    1770,  1771,  1772,   510,  1773,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,  1774,   521,   522,   523,     0,
     524,   525,   526,  1775,  1776,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,  1777,   538,   805,   539,   540,
     806,   541,   542,   543,  1778,   545,  1779,   547,   548,   549,
     550,   551,   552,   553,   554,   555,  1780,   557,  1781,   558,
     559,   560,   561,  1782,  1783,   563,  1784,   565,   566,   567,
       0,   568,   569,   570,     0,     0,  1785,   572,   573,     0,
       0,   574,   575,   576,   577,   578,   579,  1786,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,   595,  1787,   597,   598,   599,   600,   601,
       0,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,  1788,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,     0,   631,   632,   633,   634,   635,  6453,   637,   638,
    1789,   640,   641,   642,   643,   644,   645,   646,   647,   807,
     648,     0,   649,   650,   651,   652,   653,  1790,   655,   656,
     657,   658,   659,   660,   661,   662,  1791,   664,     0,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,  1792,   682,     0,   683,   684,
    1793,     0,   685,   686,   687,   688,   689,   690,   691,   692,
       0,   693,  1794,  1795,     0,     0,   697,   698,  1796,   700,
    1797,  1798,   702,   703,   704,   705,   706,   707,   708,   709,
     710,     0,  1799,   711,   712,   713,   714,   715,  1800,     0,
     716,   717,   718,   719,   720,   808,  1801,     0,   722,   723,
     724,   725,   726,   727,     0,     0,   728,     0,     0,   729,
     730,   731,   732,   733,   734,   735,  1802,  1803,  1804,  1805,
     740,  1806,  1807,  1808,  1809,   745,   809,   746,   747,     0,
    1810,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1811,  1812,     0,     0,     0,     0,     0,     0,
       0,  6454,   832,   763,   764,   765,   766,   767,   768,   769,
       0,   770,   771,     0,     0,   772,   773,   774,   775,   776,
     777,   833,   778,   779,   780,   834,     0,   781,   782,   783,
     784,   835,   836,   785,   786,   787,     0,   788,   837,   838,
     789,   790,     0,     0,     0,   791,   792,     0,     0,     0,
       0,   793,     0,     0,     0,     0,     0,     0,     0,     0,
     794,     0,   795,     0,   796,   797,    35,   340,     0,     0,
      37,     0,    38,    39,     0,  1732,  1733,  1734,    40,  1735,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,  1736,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,   360,   361,   362,   363, -3730,
    1737,   366,  1738,  1739,     0,   369,   370,   371,   372,   373,
     374,   375,  1740,  1741,   376,   377,  1742,  1743,   379,     0,
     380,   381,   382,   383,  1744,     0,  1745,     0,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   800,     0,
     396,   397,   398,   399,   400,   401,     0,   402,   403,   404,
    6638,  1746,  1747,  1748,  1749,  1750,  1751,  1752,   408,   409,
     410,   411,   802,   412,  1753,  1754,   415,  1755,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,  1558,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,  1756,   446,   447,   448,   449,  1757,
    1758,   451,     0,   452,   453,   454,  1759,   456,     0,   457,
       0,   458,   459,   460,     0,   461,   462,   463,   464,   465,
       0,   466,  1760,     0,  1761,   469,   470,     0,   471,   472,
     804,   473,   474, -3730,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,     0,   491,   492,   493,  1561,  1762,     0,  1763,     0,
     496,     0,     0,   499,   500,  1764,  1765,  1766,  1767,  1768,
    1769,  1770,  1771,  1772,   510,  1773,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,  1774,   521,   522, -3730,
       0,   524,   525,   526,  1775,  1776,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,  1777,   538,   805,   539,
     540,   806,   541,   542,   543,  1778,   545,  1779,   547,   548,
     549,   550,   551,   552,   553,   554,   555,  1780,   557,  1781,
     558,   559,     0,   561,  1782,  1783,   563,  1784,   565,   566,
     567,     0,   568,   569,   570,     0,     0,  1785,   572,   573,
       0,     0,   574,   575,   576,   577,   578,   579,  1786,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,  1787,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,  1788,   614,   615,   616,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,     0,   631,   632,   633,   634,   635,   636,   637,
     638,  1789,   640,   641,   642,   643,   644,   645,   646,   647,
     807,   648,     0,   649,   650,   651,   652,   653,  1790,   655,
     656,   657,   658,   659, -3730,   661,   662,  1791,   664,     0,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,  1792,   682,     0,   683,
     684,  1793,     0,   685,   686,   687,   688,   689,   690,   691,
     692,     0,   693,  1794,  1795,     0,     0,   697,   698,  1796,
     700,  1797,  1798,   702,   703,   704,   705,   706,  6639,   708,
     709,   710,     0,  1799,   711,   712,   713,   714,   715,  1800,
       0,   716,   717,   718,   719,   720,   808,  1801,     0,   722,
     723,   724,   725,   726,   727,     0,     0,   728,     0,     0,
     729,   730,   731,   732,   733,   734,   735,  1802,  1803,  1804,
    1805,   740,  1806,  1807,  1808,  1809,   745,   809,   746,   747,
       0, -3730,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1811,  1812,     0,     0,     0,     0,     0,
       0,     0,  1814,   832,   763,   764,   765,   766,   767,   768,
     769,     0,   770,   771,     0,     0,   772,   773,   774,   775,
     776,   777,   833,   778,   779,   780,   834,     0,   781,   782,
     783,   784,   835,   836,   785,   786,   787,     0,   788,   837,
     838,   789,   790,     0,     0,     0,   791,   792,     0,     0,
       0,     0,   793,     0,     0,     0,     0,     0,     0,     0,
       0,   794,     0,   795,     0,   796,   797,    35,   340,     0,
       0,    37,     0,    38,    39,     0,  1732,  1733,  1734,    40,
    1735,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,  1736,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,   360,   361,   362,   363,
     364,  1737,   366,  1738,  1739,     0,   369,   370,   371,   372,
     373,   374,   375,  1740,  1741,   376,   377,  1742,  1743,   379,
       0,   380,   381,   382,   383,  1744,     0,  1745,     0,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   800,
       0,   396,   397,   398,   399,   400,   401,     0,   402,   403,
     404,     0,  1746,  1747,  1748,  1749,  1750,  1751,  1752,   408,
     409,   410,   411,   802,   412,  1753,  1754,   415,  6436,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,  1558,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,  1756,   446,   447,   448,   449,
    1757,  1758,   451,     0,   452,   453,   454,  1759,   456,     0,
     457,     0,   458,   459,   460,     0,   461,   462,   463,   464,
     465,     0,   466,  1760,     0,  1761,   469,   470,     0,   471,
     472,   804,   473,   474,   475,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
     489,   490,     0,   491,   492,   493,  1561,  1762,     0,  1763,
       0,   496,   497,   498,   499,   500,  1764,  1765,  1766,  1767,
    1768,  1769,  1770,  1771,  1772,   510,  1773,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,  1774,   521,   522,
     523,     0,   524,   525,   526,  1775,  1776,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,  1777,   538,   805,
     539,   540,   806,   541,   542,   543,  1778,   545,  1779,   547,
     548,   549,   550,   551,   552,   553,   554,   555,  1780,   557,
       0,   558,   559,   560,   561,  1782,  1783,   563,  1784,   565,
     566,   567,     0,   568,   569,   570,     0,     0,  1785,   572,
     573,     0,     0,   574,   575,   576,   577,   578,   579,  1786,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,   595,  1787,   597,   598,   599,
     600,   601,     0,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,  1788,   614,   615,   616,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,     0,   631,   632,   633,   634,   635,   636,
     637,   638,  3859,   640,   641,   642,   643,   644,   645,   646,
     647,   807,   648,     0,   649,   650,   651,   652,   653,  1790,
     655,   656,   657,   658,   659,   660,   661,   662,  1791,   664,
       0,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,  1792,   682,     0,
     683,   684,  1793,     0,   685,   686,   687,   688,   689,   690,
     691,   692,     0,   693,  1794,  1795,     0,     0,   697,   698,
    1796,   700,  1797,  1798,   702,   703,   704,   705,   706,   707,
     708,   709,   710,     0,     0,   711,   712,   713,   714,   715,
    1800,     0,   716,   717,   718,   719,   720,   808,  1801,     0,
     722,   723,   724,   725,   726,   727,     0,     0,   728,     0,
       0,   729,   730,   731,   732,   733,   734,   735,  1802,  1803,
    1804,  1805,   740,  1806,  1807,  1808,  1809,   745,   809,   746,
     747,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3860,  3861,     0,     0,     0,     0,
       0,     0,     0,  3862,   832,   763,   764,   765,   766,   767,
     768,   769,     0,   770,   771,     0,     0,   772,   773,   774,
     775,   776,   777,   833,   778,   779,   780,   834,     0,   781,
     782,   783,   784,   835,   836,   785,   786,   787,     0,   788,
     837,   838,   789,   790,     0,     0,     0,   791,   792,     0,
       0,     0,     0,   793,     0,     0,     0,     0,     0,     0,
       0,     0,   794,     0,   795,     0,   796,   797,    35,   340,
       0,     0,    37,     0,    38,    39,     0,  1732,  1733,  1734,
      40,  1735,     0,     0,     0,     0,     0,     0,     0,   341,
     342,   343,   344,   345,   346,   347,   348,   349,     0,   350,
     351,   352,     0,     0,     0,     0,  1736,     0,     0,   353,
     354,   355,     0,   356,   357,   358,   359,   360,   361,   362,
     363,   364,  1737,   366,  1738,  1739,     0,   369,   370,   371,
     372,   373,   374,   375,  1740,  1741,   376,   377,  1742,  1743,
     379,     0,   380,   381,   382,   383,  1744,     0,  1745,     0,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     800,     0,   396,   397,   398,   399,   400,   401,     0,   402,
     403,   404,     0,  1746,  1747,  1748,  1749,  1750,  1751,  1752,
     408,   409,   410,   411,   802,   412,  1753,  1754,   415,     0,
     416,     0,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,     0,     0,   428,   429,  1558,   431,
     432,     0,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,   444,  1756,   446,   447,   448,
     449,  1757,  1758,   451,     0,   452,   453,   454,  1759,   456,
       0,   457,     0,   458,   459,   460,     0,   461,   462,   463,
     464,   465,     0,   466,  1760,     0,  1761,   469,   470,     0,
     471,   472,   804,   473,   474,   475,   476,   477,   478,   479,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,     0,   491,   492,   493,  1561,  1762,     0,
    1763,     0,   496,   497,   498,   499,   500,  1764,  1765,  1766,
    1767,  1768,  1769,  1770,  1771,  1772,   510,  1773,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,  1774,   521,
     522,   523,     0,   524,   525,   526,  1775,  1776,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,  1777,   538,
     805,   539,   540,   806,   541,   542,   543,  1778,   545,  1779,
     547,   548,   549,   550,   551,   552,   553,   554,   555,  1780,
     557,     0,   558,   559,   560,   561,  1782,  1783,   563,  1784,
     565,   566,   567,     0,   568,   569,   570,     0,     0,  1785,
     572,   573,     0,     0,   574,   575,   576,   577,   578,   579,
    1786,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,   595,  1787,   597,   598,
     599,   600,   601,     0,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,  1788,   614,   615,   616,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,     0,   631,   632,   633,   634,   635,
     636,   637,   638,  3859,   640,   641,   642,   643,   644,   645,
     646,   647,   807,   648,     0,   649,   650,   651,   652,   653,
    1790,   655,   656,   657,   658,   659,   660,   661,   662,  1791,
     664,     0,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,   679,   680,  1792,   682,
       0,   683,   684,  1793,     0,   685,   686,   687,   688,   689,
     690,   691,   692,     0,   693,  1794,  1795,     0,     0,   697,
     698,  1796,   700,  1797,  1798,   702,   703,   704,   705,   706,
     707,   708,   709,   710,     0,     0,   711,   712,   713,   714,
     715,  1800,     0,   716,   717,   718,   719,   720,   808,  1801,
       0,   722,   723,   724,   725,   726,   727,     0,     0,   728,
       0,     0,   729,   730,   731,   732,   733,   734,   735,  1802,
    1803,  1804,  1805,   740,  1806,  1807,  1808,  1809,   745,   809,
     746,   747,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3860,  3861,     0,     0,     0,
       0,     0,     0,     0,  3862,   832,   763,   764,   765,   766,
     767,   768,   769,     0,   770,   771,     0,     0,   772,   773,
     774,   775,   776,   777,   833,   778,   779,   780,   834,     0,
     781,   782,   783,   784,   835,   836,   785,   786,   787,     0,
     788,   837,   838,   789,   790,     0,     0,     0,   791,   792,
       0,     0,     0,     0,   793,     0,     0,     0,     0,     0,
       0,     0,     0,   794,     0,   795,     0,   796,   797,    35,
     340,     0,     0,    37,     0,    38,    39,     0,  1732,  1733,
       0,    40,  1735,     0,     0,     0,     0,     0,     0,     0,
     341,   342,   343,   344,   345,   346,   347,   348,   349,     0,
     350,   351,   352,     0,     0,     0,     0,  1736,     0,     0,
     353,   354,   355,     0,   356,   357,   358,   359,   360,   361,
     362,   363,   364,  1737,   366,  1738,  1739,     0,   369,   370,
     371,   372,   373,   374,   375,  1740,  1741,   376,   377,  1742,
    1743,   379,     0,   380,   381,   382,   383,  1744,     0,  1745,
       0,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   800,     0,   396,   397,   398,   399,   400,   401,     0,
     402,   403,   404,     0,  1746,  1747,  1748,  1749,  1750,  1751,
    1752,   408,   409,   410,   411,   802,   412,  1753,  1754,   415,
       0,   416,     0,   417,   418,   419,   420,   421,   422,   423,
       0,   424,   425,   426,   427,     0,     0,   428,   429,  1558,
     431,   432,     0,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,   444,  1756,   446,   447,
     448,   449,  1757,  1758,   451,     0,   452,   453,   454,  1759,
     456,     0,   457,     0,   458,   459,   460,     0,   461,   462,
     463,   464,   465,     0,   466,  1760,     0,  1761,   469,   470,
       0,   471,   472,   804,   473,   474,   475,   476,   477,   478,
     479,     0,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488,   489,   490,     0,   491,   492,   493,  1561,  1762,
       0,  1763,     0,   496,   497,   498,   499,   500,  1764,  1765,
    1766,  1767,  1768,  1769,  1770,  1771,  1772,   510,  1773,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,  1774,
     521,   522,   523,     0,   524,   525,   526,  1775,  1776,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,  1777,
     538,   805,   539,   540,   806,   541,   542,   543,  1778,   545,
    1779,   547,   548,   549,   550,   551,   552,   553,   554,   555,
    1780,   557,     0,   558,   559,   560,   561,  1782,  1783,   563,
    1784,   565,   566,   567,     0,   568,   569,   570,     0,     0,
     571,   572,   573,     0,     0,   574,   575,   576,   577,   578,
     579,  1786,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,   595,  1787,   597,
     598,   599,   600,   601,     0,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,  1788,   614,   615,   616,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,     0,   631,   632,   633,   634,
     635,   636,   637,   638,  4004,  4005,   641,   642,   643,   644,
     645,   646,   647,   807,   648,     0,   649,   650,   651,   652,
     653,  1790,   655,   656,   657,   658,   659,   660,   661,   662,
    1791,   664,     0,   665,   666,   667,   668,   669,   670,   671,
     672,   673,   674,   675,   676,   677,   678,   679,   680,  1792,
     682,     0,   683,   684,  1793,     0,   685,   686,   687,   688,
     689,   690,   691,   692,     0,   693,  1794,  1795,     0,     0,
     697,   698,  1796,   700,  1797,  1798,   702,   703,   704,   705,
     706,   707,   708,   709,   710,     0,     0,   711,   712,   713,
     714,   715,  1800,     0,   716,   717,   718,   719,   720,   808,
    1801,     0,   722,   723,   724,   725,   726,   727,     0,     0,
     728,     0,     0,   729,   730,   731,   732,   733,   734,   735,
    1802,  1803,  1804,  1805,   740,  1806,  1807,  1808,  1809,   745,
     809,   746,   747,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4006,  4007,     0,     0,
       0,     0,     0,     0,     0,  3862,   832,   763,   764,   765,
     766,   767,   768,   769,     0,   770,   771,     0,     0,   772,
     773,   774,   775,   776,   777,   833,   778,   779,   780,   834,
       0,   781,   782,   783,   784,   835,   836,   785,   786,   787,
       0,   788,   837,   838,   789,   790,     0,     0,     0,   791,
     792,     0,     0,     0,     0,   793,     0,     0,     0,     0,
       0,     0,     0,     0,   794,     0,   795,     0,   796,   797,
      35,   340,     0,     0,    37,     0,    38,    39,     0,  1732,
    1733,     0,    40,  1735,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,  1736,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,   360,
     361,   362,   363,   364,  1737,   366,  1738,  1739,     0,   369,
     370,   371,   372,   373,   374,   375,  1740,  1741,   376,   377,
    1742,  1743,   379,     0,   380,   381,   382,   383,  1744,     0,
    1745,     0,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   800,     0,   396,   397,   398,   399,   400,   401,
       0,   402,   403,   404,     0,  1746,  1747,  1748,  1749,  1750,
    1751,  1752,   408,   409,   410,   411,   802,   412,  1753,  1754,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
    1558,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,  1756,   446,
     447,   448,   449,  1757,  1758,   451,     0,   452,   453,   454,
    1759,   456,     0,   457,     0,   458,   459,   460,     0,   461,
     462,   463,   464,   465,     0,   466,  1760,     0,  1761,   469,
     470,     0,   471,   472,   804,   473,   474,   475,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,     0,   491,   492,   493,  1561,
    1762,     0,  1763,     0,   496,   497,   498,   499,   500,  1764,
    1765,  1766,  1767,  1768,  1769,  1770,  1771,  1772,   510,  1773,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
    1774,   521,   522,   523,     0,   524,   525,   526,  1775,  1776,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
    1777,   538,   805,   539,   540,   806,   541,   542,   543,  1778,
     545,  1779,   547,   548,   549,   550,   551,   552,   553,   554,
     555,  1780,   557,     0,   558,   559,   560,   561,  1782,  1783,
     563,  1784,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,   577,
     578,   579,  1786,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,   595,  1787,
     597,   598,   599,   600,   601,     0,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,  1788,   614,   615,
     616,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,     0,   631,   632,   633,
     634,   635,   636,   637,   638,  3859,   640,   641,   642,   643,
     644,   645,   646,   647,   807,   648,     0,   649,   650,   651,
     652,   653,  1790,   655,   656,   657,   658,   659,   660,   661,
     662,  1791,   664,     0,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
    1792,   682,     0,   683,   684,  1793,     0,   685,   686,   687,
     688,   689,   690,   691,   692,     0,   693,  1794,  1795,     0,
       0,   697,   698,  1796,   700,  1797,  1798,   702,   703,   704,
     705,   706,   707,   708,   709,   710,     0,     0,   711,   712,
     713,   714,   715,  1800,     0,   716,   717,   718,   719,   720,
     808,  1801,     0,   722,   723,   724,   725,   726,   727,     0,
       0,   728,     0,     0,   729,   730,   731,   732,   733,   734,
     735,  1802,  1803,  1804,  1805,   740,  1806,  1807,  1808,  1809,
     745,   809,   746,   747,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   832,   763,   764,   765,   766,   767,
     768,   769,     0,   770,   771,     0,  3862,   772,   773,   774,
     775,   776,   777,   833,   778,   779,   780,   834,     0,   781,
     782,   783,   784,   835,   836,   785,   786,   787,     0,   788,
     837,   838,   789,   790,     0,     0,     0,   791,   792,     0,
       0,     0,     0,   793,     0,     0,     0,     0,     0,     0,
       0,     0,   794,     0,   795,     0,   796,   797,    35,   340,
       0,     0,    37,     0,    38,    39,     0,  1732,  1733,     0,
      40,  1735,     0,     0,     0,     0,     0,     0,     0,   341,
     342,   343,   344,   345,   346,   347,   348,   349,     0,   350,
     351,   352,     0,     0,     0,     0,  1736,     0,     0,   353,
     354,   355,     0,   356,   357,   358,   359,   360,   361,   362,
     363,   364,  1737,   366,  1738,  1739,     0,   369,  5346,   371,
     372,   373,   374,   375,  1740,  1741,   376,   377,  1742,  1743,
     379,     0,   380,   381,   382,   383,  1744,     0,  1745,     0,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     800,     0,   396,   397,   398,   399,   400,   401,     0,   402,
     403,   404,     0,  1746,  1747,  1748,  1749,  1750,  1751,  1752,
     408,   409,   410,   411,   802,   412,  1753,  1754,   415,     0,
     416,     0,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,     0,     0,   428,   429,  1558,   431,
     432,     0,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,   444,  1756,   446,   447,   448,
     449,  1757,  1758,   451,     0,   452,   453,   454,  1759,   456,
       0,   457,     0,   458,   459,   460,     0,   461,   462,   463,
     464,   465,     0,   466,  1760,     0,  1761,   469,   470,     0,
     471,   472,   804,   473,   474,   475,   476,   477,   478,   479,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,     0,   491,   492,   493,  1561,  1762,     0,
    1763,     0,   496,   497,   498,   499,   500,  1764,  1765,  1766,
    1767,  1768,  1769,  1770,  1771,  1772,   510,  1773,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,  1774,   521,
     522,   523,     0,   524,   525,   526,  1775,  1776,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,  1777,   538,
     805,   539,   540,   806,   541,   542,   543,  1778,   545,  1779,
     547,   548,   549,   550,   551,   552,   553,   554,   555,  1780,
     557,     0,   558,   559,   560,   561,  1782,  1783,   563,  1784,
     565,   566,   567,     0,   568,   569,   570,     0,     0,   571,
     572,   573,     0,     0,   574,   575,   576,   577,   578,   579,
    1786,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,   595,  1787,   597,   598,
     599,   600,   601,     0,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,  1788,   614,   615,   616,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,     0,   631,   632,   633,   634,   635,
     636,   637,   638,  3859,   640,   641,   642,   643,   644,   645,
     646,   647,   807,   648,     0,   649,   650,   651,   652,   653,
    1790,   655,   656,   657,   658,   659,   660,   661,   662,  1791,
     664,     0,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,   679,   680,  1792,   682,
       0,   683,   684,  1793,     0,   685,   686,   687,   688,   689,
     690,   691,   692,     0,   693,  1794,  1795,     0,     0,   697,
     698,  1796,   700,  1797,  1798,   702,   703,   704,   705,   706,
     707,   708,   709,   710,     0,     0,   711,   712,   713,   714,
     715,  1800,     0,   716,   717,   718,   719,   720,   808,  1801,
       0,   722,   723,   724,   725,   726,   727,     0,     0,   728,
       0,     0,   729,   730,   731,   732,   733,   734,   735,  1802,
    1803,  1804,  1805,   740,  1806,  1807,  1808,  1809,   745,   809,
     746,   747,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   832,   763,   764,   765,   766,   767,   768,   769,
       0,   770,   771,     0,  3862,   772,   773,   774,   775,   776,
     777,   833,   778,   779,   780,   834,     0,   781,   782,   783,
     784,   835,   836,   785,   786,   787,     0,   788,   837,   838,
     789,   790,     0,     0,     0,   791,   792,     0,     0,     0,
       0,   793,     0,     0,     0,     0,     0,     0,     0,     0,
     794,     0,   795,     0,   796,   797,    35,   340,     0,     0,
      37,     0,    38,    39,     0,  1732,  1733,     0,    40,  1735,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,  1736,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,   360,   361,   362,   363,   364,
    1737,   366,  1738,  1739,     0,   369,   370,   371,   372,   373,
     374,   375,  1740,  1741,   376,   377,  1742,  1743,   379,     0,
     380,   381,   382,   383,  1744,     0,  1745,     0,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   800,     0,
     396,   397,   398,   399,   400,   401,     0,   402,   403,   404,
       0,  1746,  1747,  1748,  1749,  1750,  1751,  1752,   408,   409,
     410,   411,   802,   412,  1753,  1754,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,  1558,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,  1756,   446,   447,   448,   449,  1757,
    1758,   451,     0,   452,   453,   454,  1759,   456,     0,   457,
       0,   458,   459,   460,     0,   461,   462,   463,   464,   465,
       0,   466,  1760,     0,  1761,   469,   470,     0,   471,   472,
     804,   473,   474,   475,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,     0,   491,   492,   493,  1561,  1762,     0,  1763,     0,
     496,   497,   498,   499,   500,  1764,  1765,  1766,  1767,  1768,
    1769,  1770,  1771,  1772,   510,  1773,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,  1774,   521,   522,   523,
       0,   524,   525,   526,  1775,  1776,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,  1777,   538,   805,   539,
     540,   806,   541,   542,   543,  1778,   545,  1779,   547,   548,
     549,   550,   551,   552,   553,   554,   555,  1780,   557,     0,
     558,   559,   560,   561,  1782,  1783,   563,  1784,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,   577,   578,   579,  1786,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,  1787,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,  1788,   614,   615,   616,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,     0,   631,   632,   633,   634,   635,   636,   637,
     638,  3859,   640,   641,   642,   643,   644,   645,   646,   647,
     807,   648,     0,   649,   650,   651,   652,   653,  1790,   655,
     656,   657,   658,   659,   660,   661,   662,  1791,   664,     0,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,  1792,   682,     0,   683,
     684,  1793,     0,   685,   686,   687,   688,   689,   690,   691,
     692,     0,   693,  1794,  1795,     0,     0,   697,   698,  1796,
     700,  1797,  1798,   702,   703,   704,   705,   706,   707,   708,
     709,   710,     0,     0,   711,   712,   713,   714,   715,  1800,
       0,   716,   717,   718,   719,   720,   808,  1801,     0,   722,
     723,   724,   725,   726,   727,     0,     0,   728,     0,     0,
     729,   730,   731,   732,   733,   734,   735,  1802,  1803,  1804,
    1805,  5887,  1806,  1807,  1808,  1809,   745,   809,   746,   747,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     832,   763,   764,   765,   766,   767,   768,   769,     0,   770,
     771,     0,  3862,   772,   773,   774,   775,   776,   777,   833,
     778,   779,   780,   834,     0,   781,   782,   783,   784,   835,
     836,   785,   786,   787,     0,   788,   837,   838,   789,   790,
       0,     0,     0,   791,   792,     0,     0,     0,     0,   793,
       0,     0,     0,     0,     0,     0,     0,     0,   794,     0,
     795,     0,   796,   797,    35,     0,     0,     0,    37,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   341,   342,   343,   344,   345,
     346,   347,   348,   349,     0,   350,   351,   352,     0,     0,
       0,     0,     0,     0,     0,   353,   354,   355,     0,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,     0,   369,   370,   371,   372,   373,   374,   375,
       0,  1741,   376,   377,   799,   378,   379,     0,   380,   381,
     382,   383,  1744,     0,  1745,     0,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   800,     0,   396,   397,
     398,   399,   400,   401,     0,   402,   403,   404,     0,  1746,
    1747,  1748,  1749,  1750,  1751,  1752,   408,   409,   410,   411,
     802,   412,   413,   414,   415,     0,   416,     0,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,   426,   427,
       0,     0,   428,   429,   430,   431,   432,     0,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,   444,   445,   446,   447,   448,   449,  1757,     0,   451,
       0,   452,   453,   454,   455,   456,     0,   457,     0,   458,
     459,   460,     0,   461,   462,   463,   464,   465,     0,   466,
    1760,     0,   468,   469,   470,     0,   471,   472,   804,   473,
     474,   475,   476,   477,   478,   479,     0,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,     0,
     491,   492,   493,     0,   494,     0,   495,     0,   496,   497,
     498,   499,   500,  4447,  1765,  1766,  1767,  1768,  1769,  1770,
    1771,  1772,  4772,  1773,   512,   513,   514,   515,   516,   517,
     518,  4773,     0,   519,  1774,   521,   522,   523,     0,   524,
     525,   526,  1775,  1776,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,  1777,   538,   805,   539,   540,   806,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,  1780,   557,     0,   558,   559,
     560,   561,     0,  1783,   563,   564,   565,   566,   567,     0,
     568,   569,   570,     0,  1243,   571,   572,   573,     0,     0,
     574,   575,   576,   577,   578,   579,  1786,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   595,  1787,   597,   598,   599,   600,   601,     0,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
       0,   631,   632,   633,   634,   635,   636,   637,   638,   639,
    4774,   641,   642,   643,   644,   645,   646,   647,   807,   648,
     146,   649,   650,   651,   652,   653,  1790,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   664,     0,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   674,   675,   676,
     677,   678,   679,   680,  1792,   682,     0,   683,   684,  1793,
     151,   685,   686,   687,   688,   689,   690,   691,   692,     0,
     693,   694,   695,     0,     0,   697,   698,  1796,   700,  1797,
       0,   702,   703,   704,   705,   706,   707,   708,   709,   710,
       0,     0,   711,   712,   713,   714,   715,  1800,     0,   716,
     717,   718,   719,   720,  2580,   721,     0,   722,   723,   724,
     725,   726,   727,     0,     0,   728,     0,   160,   729,   730,
     731,   732,   733,   734,   735,  1802,  1803,  1804,  1805,   740,
    1806,  1807,  1808,  1809,  4775,   809,   746,   747,     0,     0,
       0,   161,     0,     0,     0,     0,     0,     0,   832,   763,
     764,   765,   766,   767,   768,   769,     0,   770,   771,     0,
    4776,   772,   773,   774,   775,   776,   777,   833,   778,   779,
     780,   834,     0,   781,   782,   783,   784,   835,   836,   785,
     786,   787,     0,   788,   837,   838,   789,   790,     0,     0,
       0,   791,   792,     0,     0,     0,     0,   793,     0,     0,
       0,     0,     0,     0,     0,     0,   794,     0,   795,     0,
     796,   797,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,  1741,
     376,   377,   799,   378,   379,     0,   380,   381,   382,   383,
    1744,     0,  1745,     0,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   800,     0,   396,   397,   398,   399,
     400,   401,     0,   402,   403,   404,     0,  1746,  1747,  1748,
    1749,  1750,  1751,  1752,   408,   409,   410,   411,   802,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,  1757,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,   460,
       0,   461,   462,   463,   464,   465,     0,   466,  1760,     0,
     468,   469,   470,     0,   471,   472,   804,   473,   474,   475,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,   497,   498,   499,
     500,  4447,  1765,  1766,  1767,  1768,  1769,  1770,  1771,  1772,
    4772,  1773,   512,   513,   514,   515,   516,   517,   518,  4773,
       0,   519,  1774,   521,   522,   523,     0,   524,   525,   526,
    1775,  1776,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,  1777,   538,   805,   539,   540,   806,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,  1780,   557,     0,   558,   559,   560,   561,
       0,  1783,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,  1243,   571,   572,   573,     0,     0,   574,   575,
     576,   577,   578,   579,  1786,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
     595,  1787,   597,   598,   599,   600,   601,     0,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,     0,   631,
     632,   633,   634,   635,   636,   637,   638,   639,  4774,   641,
     642,   643,   644,   645,   646,   647,   807,   648,     0,   649,
     650,   651,   652,   653,  1790,   655,   656,   657,   658,   659,
     660,   661,   662,   663,   664,     0,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,  1792,   682,     0,   683,   684,  1793,     0,   685,
     686,   687,   688,   689,   690,   691,   692,     0,   693,   694,
     695,     0,     0,   697,   698,  1796,   700,  1797,     0,   702,
     703,   704,   705,   706,   707,   708,   709,   710,     0,     0,
     711,   712,   713,   714,   715,  1800,     0,   716,   717,   718,
     719,   720,   808,   721,     0,   722,   723,   724,   725,   726,
     727,     0,     0,   728,     0,     0,   729,   730,   731,   732,
     733,   734,   735,  1802,  1803,  1804,  1805,   740,  1806,  1807,
    1808,  1809,  4775,   809,   746,   747,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   832,   763,   764,   765,
     766,   767,   768,   769,     0,   770,   771,     0,  4776,   772,
     773,   774,   775,   776,   777,   833,   778,   779,   780,   834,
       0,   781,   782,   783,   784,   835,   836,   785,   786,   787,
       0,   788,   837,   838,   789,   790,     0,     0,     0,   791,
     792,     0,     0,     0,     0,   793,     0,     0,     0,     0,
       0,     0,     0,     0,   794,     0,   795,     0,   796,   797,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,  1741,   376,   377,
     799,   378,   379,     0,   380,   381,   382,   383,  1744,     0,
    1745,     0,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   800,     0,   396,   397,   398,   399,   400,   401,
       0,   402,   403,   404,     0,  1746,  1747,  1748,  1749,  1750,
    1751,  1752,   408,   409,   410,   411,   802,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,  1757,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,   460,     0,   461,
     462,   463,   464,   465,     0,   466,  1760,     0,   468,   469,
     470,     0,   471,   472,   804,   473,   474,   475,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,   497,   498,   499,   500,  4447,
    1765,  1766,  1767,  1768,  1769,  1770,  1771,  1772,   510,  1773,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
    1774,   521,   522,   523,     0,   524,   525,   526,  1775,  1776,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
    1777,   538,   805,   539,   540,   806,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,  1780,   557,     0,   558,   559,   560,   561,     0,  1783,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,   577,
     578,   579,  1786,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,   595,  1787,
     597,   598,   599,   600,   601,     0,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,     0,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   807,   648,     0,   649,   650,   651,
     652,   653,  1790,   655,   656,   657,   658,   659,   660,   661,
     662,   663,   664,     0,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
    1792,   682,     0,   683,   684,  1793,     0,   685,   686,   687,
     688,   689,   690,   691,   692,     0,   693,   694,   695,     0,
       0,   697,   698,  1796,   700,  1797,     0,   702,   703,   704,
     705,   706,   707,   708,   709,   710,     0,     0,   711,   712,
     713,   714,   715,  1800,     0,   716,   717,   718,   719,   720,
     808,   721,     0,   722,   723,   724,   725,   726,   727,     0,
       0,   728,     0,     0,   729,   730,   731,   732,   733,   734,
     735,  1802,  1803,  1804,  1805,   740,  1806,  1807,  1808,  1809,
     745,   809,   746,   747,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   832,   763,   764,   765,   766,   767,
     768,   769,     0,   770,   771,     0,  4448,   772,   773,   774,
     775,   776,   777,   833,   778,   779,   780,   834,     0,   781,
     782,   783,   784,   835,   836,   785,   786,   787,     0,   788,
     837,   838,   789,   790,     0,     0,     0,   791,   792,     0,
       0,     0,     0,   793,     0,     0,     0,     0,     0,     0,
       0,     0,   794,     0,   795,     0,   796,   797,    35,     0,
       0,     0,    37,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   341,
     342,   343,   344,   345,   346,   347,   348,   349,     0,   350,
     351,   352,     0,     0,     0,     0,     0,     0,     0,   353,
     354,   355,     0,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,     0,   369,   370,   371,
     372,   373,   374,   375,     0,  1741,   376,   377,   799,   378,
     379,     0,   380,   381,   382,   383,  1744,     0,  1745,     0,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     800,     0,   396,   397,   398,   399,   400,   401,     0,   402,
     403,   404,     0,  1746,  1747,  1748,  1749,  1750,  1751,  1752,
     408,   409,   410,   411,   802,   412,   413,   414,   415,     0,
     416,     0,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,     0,     0,   428,   429,   430,   431,
     432,     0,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,   444,   445,   446,   447,   448,
     449,  1757,     0,   451,     0,   452,   453,   454,   455,   456,
       0,   457,     0,   458,   459,   460,     0,   461,   462,   463,
     464,   465,     0,   466,  1760,     0,   468,   469,   470,     0,
     471,   472,   804,   473,   474,   475,   476,   477,   478,   479,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,     0,   491,   492,   493,     0,   494,     0,
     495,     0,   496,   497,   498,   499,   500,  4447,  1765,  1766,
    1767,  1768,  1769,  1770,  1771,  1772,  4772,  1773,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,  1774,   521,
     522,   523,     0,   524,   525,   526,  1775,  1776,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,  1777,   538,
     805,   539,   540,   806,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,  1780,
     557,     0,   558,   559,   560,   561,     0,  1783,   563,   564,
     565,   566,   567,     0,   568,   569,   570,     0,     0,   571,
     572,   573,     0,     0,   574,   575,   576,   577,   578,   579,
    1786,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,   595,  1787,   597,   598,
     599,   600,   601,     0,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,     0,   631,   632,   633,   634,   635,
     636,   637,   638,   639,  4774,   641,   642,   643,   644,   645,
     646,   647,   807,   648,     0,   649,   650,   651,   652,   653,
    1790,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     664,     0,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,   679,   680,  1792,   682,
       0,   683,   684,  1793,     0,   685,   686,   687,   688,   689,
     690,   691,   692,     0,   693,   694,   695,     0,     0,   697,
     698,  1796,   700,  1797,     0,   702,   703,   704,   705,   706,
     707,   708,   709,   710,     0,     0,   711,   712,   713,   714,
     715,  1800,     0,   716,   717,   718,   719,   720,   808,   721,
       0,   722,   723,   724,   725,   726,   727,     0,     0,   728,
       0,     0,   729,   730,   731,   732,   733,   734,   735,  1802,
    1803,  1804,  1805,   740,  1806,  1807,  1808,  1809,  4775,   809,
     746,   747,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   832,   763,   764,   765,   766,   767,   768,   769,
       0,   770,   771,     0,   162,   772,   773,   774,   775,   776,
     777,   833,   778,   779,   780,   834,     0,   781,   782,   783,
     784,   835,   836,   785,   786,   787,     0,   788,   837,   838,
     789,   790,     0,     0,     0,   791,   792,     0,     0,     0,
       0,   793,     0,     0,     0,     0,     0,     0,     0,     0,
     794,     0,   795,     0,   796,   797,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,  1741,   376,   377,   799,   378,   379,     0,
     380,   381,   382,   383,  1744,     0,  1745,     0,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   800,     0,
     396,   397,   398,   399,   400,   401,     0,   402,   403,   404,
       0,  1746,  1747,  1748,  1749,  1750,  1751,  1752,   408,   409,
     410,   411,   802,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,  1757,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,   460,     0,   461,   462,   463,   464,   465,
       0,   466,  1760,     0,   468,   469,   470,     0,   471,   472,
     804,   473,   474,   475,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,   497,   498,   499,   500,  4447,  1765,  1766,  1767,  1768,
    1769,  1770,  1771,  1772,   510,  1773,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,  1774,   521,   522,   523,
       0,   524,   525,   526,  1775,  1776,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,  1777,   538,   805,   539,
     540,   806,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,  1780,   557,     0,
     558,   559,   560,   561,     0,  1783,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,   577,   578,   579,  1786,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,  1787,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,     0,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
     807,   648,     0,   649,   650,   651,   652,   653,  1790,   655,
     656,   657,   658,   659,   660,   661,   662,   663,   664,     0,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,  1792,   682,     0,   683,
     684,  1793,     0,   685,   686,   687,   688,   689,   690,   691,
     692,     0,   693,   694,   695,     0,     0,   697,   698,  1796,
     700,  1797,     0,   702,   703,   704,   705,   706,   707,   708,
     709,   710,     0,     0,   711,   712,   713,   714,   715,  1800,
       0,   716,   717,   718,   719,   720,   808,   721,     0,   722,
     723,   724,   725,   726,   727,     0,     0,   728,     0,     0,
     729,   730,   731,   732,   733,   734,   735,  1802,  1803,  1804,
    1805,   740,  1806,  1807,  1808,  1809,   745,   809,   746,   747,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     832,   763,   764,   765,   766,   767,   768,   769,     0,   770,
     771,     0,  5504,   772,   773,   774,   775,   776,   777,   833,
     778,   779,   780,   834,     0,   781,   782,   783,   784,   835,
     836,   785,   786,   787,     0,   788,   837,   838,   789,   790,
       0,     0,     0,   791,   792,     0,     0,     0,     0,   793,
       0,     0,     0,     0,     0,     0,     0,     0,   794,     0,
     795,     0,   796,   797,    35,     0,     0,     0,    37,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   341,   342,   343,   344,   345,
     346,   347,   348,   349,     0,   350,   351,   352,     0,     0,
       0,     0,     0,     0,     0,   353,   354,   355,     0,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,     0,   369,   370,   371,   372,   373,   374,   375,
       0,  1741,   376,   377,   799,   378,   379,     0,   380,   381,
     382,   383,  1744,     0,  1745,     0,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   800,     0,   396,   397,
     398,   399,   400,   401,     0,   402,   403,   404,     0,  1746,
    1747,  1748,  1749,  1750,  1751,  1752,   408,   409,   410,   411,
     802,   412,   413,   414,   415,     0,   416,     0,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,   426,   427,
       0,     0,   428,   429,   430,   431,   432,     0,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,   444,   445,   446,   447,   448,   449,  1757,     0,   451,
       0,   452,   453,   454,   455,   456,     0,   457,     0,   458,
     459,   460,     0,   461,   462,   463,   464,   465,     0,   466,
    1760,     0,   468,   469,   470,     0,   471,   472,   804,   473,
     474,   475,   476,   477,   478,   479,     0,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,     0,
     491,   492,   493,     0,   494,     0,   495,     0,   496,   497,
     498,   499,   500,  4447,  1765,  1766,  1767,  1768,  1769,  1770,
    1771,  1772,   510,  1773,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,  1774,   521,   522,   523,     0,   524,
     525,   526,  1775,  1776,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,  1777,   538,   805,   539,   540,   806,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,  1780,   557,     0,   558,   559,
     560,   561,     0,  1783,   563,   564,   565,   566,   567,     0,
     568,   569,   570,     0,     0,   571,   572,   573,     0,     0,
     574,   575,   576,   577,   578,   579,  1786,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   595,  1787,   597,   598,   599,   600,   601,     0,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
       0,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,   807,   648,
       0,   649,   650,   651,   652,   653,  1790,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   664,     0,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   674,   675,   676,
     677,   678,   679,   680,  1792,   682,     0,   683,   684,  1793,
       0,   685,   686,   687,   688,   689,   690,   691,   692,     0,
     693,   694,   695,     0,     0,   697,   698,  1796,   700,  1797,
       0,   702,   703,   704,   705,   706,   707,   708,   709,   710,
       0,     0,   711,   712,   713,   714,   715,  1800,     0,   716,
     717,   718,   719,   720,   808,   721,     0,   722,   723,   724,
     725,   726,   727,     0,     0,   728,     0,     0,   729,   730,
     731,   732,   733,   734,   735,  1802,  1803,  1804,  1805,   740,
    1806,  1807,  1808,  1809,   745,   809,   746,   747,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   832,   763,
     764,   765,   766,   767,   768,   769,     0,   770,   771,     0,
    6749,   772,   773,   774,   775,   776,   777,   833,   778,   779,
     780,   834,     0,   781,   782,   783,   784,   835,   836,   785,
     786,   787,     0,   788,   837,   838,   789,   790,     0,     0,
       0,   791,   792,     0,     0,     0,     0,   793,     0,     0,
       0,     0,     0,     0,     0,     0,   794,     0,   795,     0,
     796,   797,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,   799,   378,   379,     0,   380,   381,   382,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   800,     0,   396,   397,   398,   399,
     400,   401,     0,   402,   403,   404,     0,     0,     0,     0,
     406,     0,     0,     0,   408,   409,   410,   411,   802,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,   460,
       0,   461,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   804,   473,   474,   475,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,   521,   522,   523,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   805,   539,   540,   806,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,   560,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
     595,   596,   597,   598,   599,   600,   601,     0,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,     0,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,   807,   648,     0,   649,
     650,   651,   652,   653,     0,   655,   656,   657,   658,   659,
     660,   661,   662,   663,   664,     0,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,   681,   682,     0,   683,   684,     0,     0,   685,
     686,   687,   688,   689,   690,   691,   692,     0,   693,   694,
     695,     0,     0,   697,   698,   699,   700,   701,     0,   702,
     703,   704,   705,   706,   707,   708,   709,   710,     0,     0,
     711,   712,   713,   714,   715,     0,     0,   716,   717,   718,
     719,   720,   808,   721,     0,   722,   723,   724,   725,   726,
     727,     0,     0,   728,     0,     0,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   744,   745,   809,   746,   747,   763,   764,   765,   766,
     767,   768,   769,     0,   770,   771,     0,     0,   772,   773,
     774,   775,   776,   777,     0,   778,   779,   780,  6258,     0,
     781,   782,   783,   784,     0,     0,   785,   786,   787,     0,
     788,     0,     0,   789,   790,     0,     0,     0,   791,   792,
       0,     0,     0,     0,   793,     0,     0,     0,     0,     0,
       0,     0,     0,   794,     0,   795,     0,   796,   797,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     341,   342,   343,   344,   345,   346,   347,   348,   349,     0,
     350,   351,   352,     0,     0,     0,     0,     0,  5404,     0,
     353,   354,   355,     0,   356,   357,   358,   359,     0,   361,
     362,   363,   364,   365,     0,   367,   368,     0,   369,   370,
     371,   372,   373,   374,   375,     0,     0,   376,   377,   799,
     378,   379,     0,   380,   381,   382,   383,   384,     0,     0,
       0,   386,   387,   388,   389,   390,   391,     0,   393,   394,
     395,   800,     0,   396,   397,   398,   399,   400,   401,     0,
   -1852,   403,   404,     0,     0,     0,     0,     0,     0,     0,
       0,   408,   409,   410,   411,   802,   412,   413,   414,   415,
       0,   416,     0,   417,   418,   419,   420,   421,   422,   423,
       0,   424,   425,   426,   427,     0,     0,   428,   429,   430,
     431,   432,     0,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,     0,   451,     0,   452,   453,   454,   455,
     456,     0,   457,     0,   458,   459,     0,     0, -1852,   462,
     463,   464,   465,     0,   466,   467,     0,   468,   469,   470,
       0,   471,   472,   804,   473,   474,     0,   476,   477,   478,
     479,     0,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488, -1852,   490,     0,   491,   492,   493,     0,   494,
       0,   495,     0,   496,     0,     0,   499, -1852,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,   520,
   -1852,   522,     0,     0,   524,   525,   526,     0,     0,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   805,   539,   540,   806,   541,   542,   543,   544, -1852,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,     0,   558,   559,     0,   561,     0,   562,   563,
     564,   565,   566,   567,     0,   568,   569,   570,     0,     0,
     571,   572,   573,     0,     0,   574,   575,   576,     0,   578,
       0,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,   595,   596,   597,
     598,   599,   600,   601,     0,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,     0,   631,   632, -1852,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   807,   648,     0,   649,   650,   651,   652,
     653,     0,   655,   656,   657,   658,   659,     0,   661,   662,
     663,   664,     0,   665,   666,   667,   668,   669,   670,   671,
     672,   673,   674,   675,   676,   677,   678,   679,   680,   681,
     682,     0,   683,   684,     0,     0,   685,     0,   687,   688,
     689,   690,   691,   692,     0,   693,   694,   695,     0,     0,
     697,   698,   699,   700,   701,     0,   702,   703,   704,   705,
     706,   707,   708,   709,   710,     0,     0,   711,   712,   713,
     714,   715,     0,     0,   716,   717,   718,   719,   720,   808,
     721,     0,   722,     0,   724,   725,   726,   727,     0,     0,
     728,     0,     0,   729,   730,   731,   732,   733,   734,   735,
     736,   737,   738,   739,   740,   741,   742,   743,   744,   745,
     809,   746,   747,   763,   764,   765,   766,   767,   768,   769,
       0,   770,   771,     0,     0,   772,   773,   774,   775,   776,
     777,     0,   778,   779,   780,     0,  1903,   781,   782,   783,
     784,     0,     0,   785,   786,   787,     0,   788,     0,     0,
     789,   790,     0,     0,     0,   791,   792,     0,     0,     0,
       0,   793,     0,     0,     0,     0,     0,     0,     0,     0,
     794,     0,   795,     0,   796,   797,    35,   340,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,     0,   361,   362,   363,   364,
     365,     0,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,   799,   378,   379,     0,
     380,   381,   382,   383,   384,     0,     0,     0,   386,   387,
     388,   389,   390,   391,     0,   393,   394,   395,   800,     0,
     396,   397,   398,   399,   400,   401,     0,     0,   403,   404,
       0,     0,     0,     0,     0,     0,     0,     0,   408,   409,
     410,   411,   802,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,     0,     0,     0,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
     804,   473,   474,     0,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,     0,     0,   499,     0,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,     0,   522,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   805,   539,
     540,   806,   541,   542,   543,   544,     0,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,     0,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,     0,   578,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,     0,   631,   632,     0,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
     807,   648,   146,   649,   650,   651,   652,   653,     0,   655,
     656,   657,   658,   659,     0,   661,   662,   663,   664,     0,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,     0,   683,
     684,     0,   151,   685,     0,   687,   688,   689,   690,   691,
     692,     0,   693,   694,   695,     0,     0,   697,   698,   699,
     700,   701,     0,   702,   703,   704,   705,   706,   707,   708,
     709,   710,     0,     0,   711,   712,   713,   714,   715,     0,
       0,   716,   717,   718,   719,   720,  2580,   721,     0,   722,
       0,   724,   725,   726,   727,     0,     0,   728,     0,   160,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   744,   745,   809,   746,   747,
       0,     0,     0,   161,   763,   764,   765,   766,   767,   768,
     769,     0,   770,   771,     0,     0,   772,   773,   774,   775,
     776,   777,   162,   778,   779,   780,     0,     0,   781,   782,
     783,   784,     0,     0,   785,   786,   787,     0,   788,     0,
       0,   789,   790,     0,     0,     0,   791,   792,     0,     0,
       0,     0,   793,     0,     0,     0,     0,     0,     0,     0,
       0,   794,     0,   795,     0,   796,   797,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,     0,   361,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,   799,   378,   379,
       0,   380,   381,   382,   383,   384,     0,     0,     0,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,   800,
       0,   396,   397,   398,   399,   400,   401,     0,     0,   403,
     404,     0,     0,     0,     0,     0,     0,     0,     0,   408,
     409,   410,   411,   802,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   804,   473,   474,     0,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499,     0,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,     0,   522,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   805,
     539,   540,   806,   541,   542,   543,   544,     0,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,   595,   596,   597,   598,   599,
     600,   601,     0,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,     0,   631,   632,     0,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,   807,   648,   146,   649,   650,   651,   652,   653,     0,
     655,   656,   657,   658,   659,     0,   661,   662,   663,   664,
       0,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,   681,   682,     0,
     683,   684,     0,   151,   685,     0,   687,   688,   689,   690,
     691,   692,     0,   693,   694,   695,     0,     0,   697,   698,
     699,   700,   701,     0,   702,   703,   704,   705,   706,   707,
     708,   709,   710,     0,     0,   711,   712,   713,   714,   715,
       0,     0,   716,   717,   718,   719,   720,  2580,   721,     0,
     722,     0,   724,   725,   726,   727,     0,     0,   728,     0,
     160,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   744,   745,   809,   746,
     747,     0,     0,     0,   161,   763,   764,   765,   766,   767,
     768,   769,     0,   770,   771,     0,     0,   772,   773,   774,
     775,   776,   777,   162,   778,   779,   780,     0,     0,   781,
     782,   783,   784,     0,     0,   785,   786,   787,     0,   788,
       0,     0,   789,   790,     0,     0,     0,   791,   792,     0,
       0,     0,     0,   793,     0,     0,     0,     0,     0,     0,
       0,     0,   794,     0,   795,     0,   796,   797,    35,     0,
       0,     0,    37,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   341,
     342,   343,   344,   345,   346,   347,   348,   349,     0,   350,
     351,   352,     0,     0,     0,     0,     0,     0,     0,   353,
     354,   355,     0,   356,   357,   358,   359,     0,   361,   362,
     363,   364,   365,     0,   367,   368,     0,   369,   370,   371,
     372,   373,   374,   375,     0,     0,   376,   377,   799,   378,
     379,     0,   380,   381,   382,   383,   384,     0,     0,     0,
     386,   387,   388,   389,   390,   391,     0,   393,   394,   395,
     800,     0,   396,   397,   398,   399,   400,   401,     0,     0,
     403,   404,     0,     0,     0,     0,  3411,     0,     0,     0,
     408,   409,   410,   411,   802,   412,   413,   414,   415,     0,
     416,     0,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,     0,     0,   428,   429,   430,   431,
     432,     0,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,     0,   451,     0,   452,   453,   454,   455,   456,
       0,   457,     0,   458,   459,     0,     0,     0,   462,   463,
     464,   465,     0,   466,   467,     0,   468,   469,   470,     0,
     471,   472,   804,   473,   474,     0,   476,   477,   478,   479,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   490,     0,   491,   492,   493,     0,   494,     0,
     495,     0,   496,     0,     0,   499,     0,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,     0,
     522,     0,     0,   524,   525,   526,     0,     0,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     805,   539,   540,   806,   541,   542,   543,   544,     0,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,     0,   558,   559,     0,   561,     0,   562,   563,   564,
     565,   566,   567,     0,   568,   569,   570,     0,  1243,   571,
     572,   573,     0,     0,   574,   575,   576,     0,   578,     0,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,   595,   596,   597,   598,
     599,   600,   601,     0,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,     0,   631,   632,     0,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,   807,   648,     0,   649,   650,   651,   652,   653,
       0,   655,   656,   657,   658,   659,     0,   661,   662,   663,
     664,     0,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,   679,   680,   681,   682,
       0,   683,   684,     0,  3412,  3413,     0,   687,   688,   689,
     690,   691,   692,     0,   693,   694,   695,     0,     0,   697,
     698,   699,   700,   701,     0,   702,   703,   704,   705,   706,
     707,   708,   709,   710,     0,     0,   711,   712,   713,   714,
     715,     0,     0,   716,   717,   718,   719,   720,   808,   721,
       0,   722,     0,   724,   725,   726,   727,     0,     0,   728,
       0,     0,   729,   730,   731,   732,   733,   734,   735,   736,
     737,   738,   739,   740,   741,   742,   743,   744,   745,   809,
     746,   747,   763,   764,   765,   766,   767,   768,   769,     0,
     770,   771,     0,     0,   772,   773,   774,   775,   776,   777,
       0,   778,   779,   780,  2281,     0,   781,   782,   783,   784,
       0,     0,   785,   786,   787,     0,   788,     0,     0,   789,
     790,     0,     0,     0,   791,   792,     0,     0,     0,     0,
     793,     0,     0,     0,     0,     0,     0,     0,     0,   794,
       0,   795,     0,   796,   797,    35,     0,     0,     0,    37,
       0,     0,    39,     0,     0,     0,     0,    40,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,     0,   361,   362,   363,   364,   365,
       0,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,   376,   377,   799,   378,   379,     0,   380,
     381,   382,   383,   384,     0,     0,     0,   386,   387,   388,
     389,   390,   391,     0,   393,   394,   395,   800,     0,   396,
     397,   398,   399,   400,   401,     0,     0,   403,   404,     0,
       0,     0,     0,     0,     0,     0,     0,   408,   409,   410,
     411,   802,   412,   413,   414,   415,     0,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,     0,
     451,     0,   452,   453,   454,   455,   456,     0,   457,     0,
     458,   459,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,   804,
     473,   474,     0,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
       0,     0,   499,     0,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,     0,   522,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   805,   539,   540,
     806,   541,   542,   543,   544,     0,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,     0,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,     0,   578,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,   595,   596,   597,   598,   599,   600,   601,
       0,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,     0,   631,   632,     0,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   807,
     648,     0,   649,   650,   651,   652,   653,     0,   655,   656,
     657,   658,   659,     0,   661,   662,   663,   664,     0,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,   681,   682,     0,   683,   684,
       0,     0,   685,     0,   687,   688,   689,   690,   691,   692,
       0,   693,   694,   695,     0,     0,   697,   698,   699,   700,
     701,     0,   702,   703,   704,   705,   706,   707,   708,   709,
     710,     0,     0,   711,   712,   713,   714,   715,     0,     0,
     716,   717,   718,   719,   720,   808,   721,     0,   722,     0,
     724,   725,   726,   727,     0,     0,   728,     0,     0,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   744,   745,   809,   746,   747,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     763,   764,   765,   766,   767,   768,   769,     0,   770,   771,
    4538,  4539,   772,   773,   774,   775,   776,   777,     0,   778,
     779,   780,     0,     0,   781,   782,   783,   784,     0,     0,
     785,   786,   787,     0,   788,     0,     0,   789,   790,     0,
       0,     0,   791,   792,     0,     0,     0,     0,   793,     0,
       0,     0,     0,     0,     0,     0,     0,   794,     0,   795,
       0,   796,   797,    35,     0,     0,     0,    37,     0,     0,
      39,     0,     0,     0,     0,    40,     0,     0,     0,     0,
       0,     0,     0,     0,   341,   342,   343,   344,   345,   346,
     347,   348,   349,     0,   350,   351,   352,     0,     0,     0,
       0,     0,     0,     0,   353,   354,   355,     0,   356,   357,
     358,   359,     0,   361,   362,   363,   364,   365,     0,   367,
     368,     0,   369,   370,   371,   372,   373,   374,   375,     0,
       0,   376,   377,   799,   378,   379,     0,   380,   381,   382,
     383,   384,     0,     0,     0,   386,   387,   388,   389,   390,
     391,     0,   393,   394,   395,   800,     0,   396,   397,   398,
     399,   400,   401,     0,     0,   403,   404,     0,     0,     0,
       0,     0,     0,     0,     0,   408,   409,   410,   411,   802,
     412,   413,   414,   415,     0,   416,     0,   417,   418,   419,
     420,   421,   422,   423,     0,   424,   425,   426,   427,     0,
       0,   428,   429,   430,   431,   432,     0,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,     0,   451,     0,
     452,   453,   454,   455,   456,     0,   457,     0,   458,   459,
       0,     0,     0,   462,   463,   464,   465,     0,   466,   467,
       0,   468,   469,   470,     0,   471,   472,   804,   473,   474,
       0,   476,   477,   478,   479,     0,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,     0,   490,     0,   491,
     492,   493,     0,   494,     0,   495,     0,   496,     0,     0,
     499,     0,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,   520,     0,   522,     0,     0,   524,   525,
     526,     0,     0,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   805,   539,   540,   806,   541,
     542,   543,   544,     0,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,     0,   558,   559,     0,
     561,     0,   562,   563,   564,   565,   566,   567,     0,   568,
     569,   570,     0,     0,   571,   572,   573,     0,     0,   574,
     575,   576,     0,   578,     0,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,   595,   596,   597,   598,   599,   600,   601,     0,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,     0,
     631,   632,     0,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,   807,   648,     0,
     649,   650,   651,   652,   653,     0,   655,   656,   657,   658,
     659,     0,   661,   662,   663,   664,     0,   665,   666,   667,
     668,   669,   670,   671,   672,   673,   674,   675,   676,   677,
     678,   679,   680,   681,   682,     0,   683,   684,     0,     0,
     685,     0,   687,   688,   689,   690,   691,   692,     0,   693,
     694,   695,     0,     0,   697,   698,   699,   700,   701,     0,
     702,   703,   704,   705,   706,   707,   708,   709,   710,     0,
       0,   711,   712,   713,   714,   715,     0,     0,   716,   717,
     718,   719,   720,   808,   721,     0,   722,     0,   724,   725,
     726,   727,     0,     0,   728,     0,     0,   729,   730,   731,
     732,   733,   734,   735,   736,   737,   738,   739,   740,   741,
     742,   743,   744,   745,   809,   746,   747,   763,   764,   765,
     766,   767,   768,   769,     0,   770,   771,     0,     0,   772,
     773,   774,   775,   776,   777,     0,   778,   779,   780,  4539,
       0,   781,   782,   783,   784,     0,     0,   785,   786,   787,
       0,   788,     0,     0,   789,   790,     0,     0,     0,   791,
     792,     0,     0,     0,     0,   793,     0,     0,     0,     0,
       0,     0,     0,     0,   794,     0,   795,     0,   796,   797,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,     0,
     361,   362,   363,   364,   365,     0,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
     799,   378,   379,     0,   380,   381,   382,   383,   384,     0,
       0,     0,   386,   387,   388,   389,   390,   391,     0,   393,
     394,   395,   800,     0,   396,   397,   398,   399,   400,   401,
       0,     0,   403,   404,     0,     0,     0,     0,     0,     0,
       0,     0,   408,   409,   410,   411,   802,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,     0,     0,     0,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,   804,   473,   474,     0,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,     0,     0,   499,     0,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,     0,   522,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   805,   539,   540,   806,   541,   542,   543,   544,
       0,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,     0,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,     0,
     578,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,   595,   596,
     597,   598,   599,   600,   601,     0,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,     0,   631,   632,     0,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   807,   648,     0,   649,   650,   651,
     652,   653,     0,   655,   656,   657,   658,   659,     0,   661,
     662,   663,   664,     0,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
     681,   682,     0,   683,   684,     0,     0,   685,     0,   687,
     688,   689,   690,   691,   692,     0,   693,   694,   695,     0,
       0,   697,   698,   699,   700,   701,     0,   702,   703,   704,
     705,   706,   707,   708,   709,   710,     0,     0,   711,   712,
     713,   714,   715,     0,     0,   716,   717,   718,   719,   720,
     808,   721,     0,   722,     0,   724,   725,   726,   727,     0,
       0,   728,     0,     0,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   809,   746,   747,   763,   764,   765,   766,   767,   768,
     769,     0,   770,   771,     0,     0,   772,   773,   774,   775,
     776,   777,     0,   778,   779,   780,  1888,     0,   781,   782,
     783,   784,     0,     0,   785,   786,   787,     0,   788,     0,
       0,   789,   790,     0,     0,     0,   791,   792,     0,     0,
       0,     0,   793,     0,     0,     0,     0,     0,     0,     0,
       0,   794,     0,   795,     0,   796,   797,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,     0,   361,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,   799,   378,   379,
       0,   380,   381,   382,   383,   384,     0,     0,     0,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,   800,
       0,   396,   397,   398,   399,   400,   401,     0,     0,   403,
     404,     0,     0,     0,     0,     0,     0,     0,     0,   408,
     409,   410,   411,   802,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   804,   473,   474,     0,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499,     0,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,     0,   522,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   805,
     539,   540,   806,   541,   542,   543,   544,     0,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,   595,   596,   597,   598,   599,
     600,   601,     0,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,     0,   631,   632,     0,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,   807,   648,     0,   649,   650,   651,   652,   653,     0,
     655,   656,   657,   658,   659,     0,   661,   662,   663,   664,
       0,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,   681,   682,     0,
     683,   684,     0,     0,   685,     0,   687,   688,   689,   690,
     691,   692,     0,   693,   694,   695,     0,     0,   697,   698,
     699,   700,   701,     0,   702,   703,   704,   705,   706,   707,
     708,   709,   710,     0,     0,   711,   712,   713,   714,   715,
       0,     0,   716,   717,   718,   719,   720,   808,   721,     0,
     722,     0,   724,   725,   726,   727,     0,     0,   728,     0,
       0,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   744,   745,   809,   746,
     747,   763,   764,   765,   766,   767,   768,   769,     0,   770,
     771,     0,     0,   772,   773,   774,   775,   776,   777,     0,
     778,   779,   780,  4038,     0,   781,   782,   783,   784,     0,
       0,   785,   786,   787,     0,   788,     0,     0,   789,   790,
       0,     0,     0,   791,   792,     0,     0,     0,     0,   793,
       0,     0,     0,     0,     0,     0,     0,     0,   794,     0,
     795,     0,   796,   797,    35,     0,     0,     0,    37,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   341,   342,   343,   344,   345,
     346,   347,   348,   349,     0,   350,   351,   352,     0,     0,
       0,     0,     0,     0,     0,   353,   354,   355,     0,   356,
     357,   358,   359,     0,   361,   362,   363,   364,   365,     0,
     367,   368,     0,   369,   370,   371,   372,   373,   374,   375,
       0,     0,   376,   377,   799,   378,   379,     0,   380,   381,
     382,   383,   384,     0,     0,     0,   386,   387,   388,   389,
     390,   391,     0,   393,   394,   395,   800,     0,   396,   397,
     398,   399,   400,   401,     0,     0,   403,   404,     0,     0,
       0,     0,     0,     0,     0,     0,   408,   409,   410,   411,
     802,   412,   413,   414,   415,     0,   416,     0,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,   426,   427,
       0,     0,   428,   429,   430,   431,   432,     0,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,     0,   451,
       0,   452,   453,   454,   455,   456,     0,   457,     0,   458,
     459,     0,     0,     0,   462,   463,   464,   465,     0,   466,
     467,     0,   468,   469,   470,     0,   471,   472,   804,   473,
     474,     0,   476,   477,   478,   479,     0,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,     0,   490,     0,
     491,   492,   493,     0,   494,     0,   495,     0,   496,     0,
       0,   499,     0,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,   520,     0,   522,     0,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   805,   539,   540,   806,
     541,   542,   543,   544,     0,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,     0,   558,   559,
       0,   561,     0,   562,   563,   564,   565,   566,   567,     0,
     568,   569,   570,     0,     0,   571,   572,   573,     0,     0,
     574,   575,   576,     0,   578,     0,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   595,   596,   597,   598,   599,   600,   601,     0,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
       0,   631,   632,     0,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,   807,   648,
       0,   649,   650,   651,   652,   653,     0,   655,   656,   657,
     658,   659,     0,   661,   662,   663,   664,     0,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   674,   675,   676,
     677,   678,   679,   680,   681,   682,     0,   683,   684,     0,
       0,   685,     0,   687,   688,   689,   690,   691,   692,     0,
     693,   694,   695,     0,     0,   697,   698,   699,   700,   701,
       0,   702,   703,   704,   705,   706,   707,   708,   709,   710,
       0,     0,   711,   712,   713,   714,   715,     0,     0,   716,
     717,   718,   719,   720,   808,   721,     0,   722,     0,   724,
     725,   726,   727,     0,     0,   728,     0,     0,   729,   730,
     731,   732,   733,   734,   735,   736,   737,   738,   739,   740,
     741,   742,   743,   744,   745,   809,   746,   747,   763,   764,
     765,   766,   767,   768,   769,     0,   770,   771,     0,     0,
     772,   773,   774,   775,   776,   777,     0,   778,   779,   780,
    4761,     0,   781,   782,   783,   784,     0,     0,   785,   786,
     787,     0,   788,     0,     0,   789,   790,     0,     0,     0,
     791,   792,     0,     0,     0,     0,   793,     0,     0,     0,
       0,     0,     0,     0,     0,   794,     0,   795,     0,   796,
     797,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
       0,   361,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,   799,   378,   379,     0,   380,   381,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,   800,     0,   396,   397,   398,   399,   400,
     401,     0,     0,   403,   404,     0,     0,     0,     0,     0,
       0,     0,     0,   408,   409,   410,   411,   802,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   804,   473,   474,     0,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,     0,   522,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   805,   539,   540,   806,   541,   542,   543,
     544,     0,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,     0,   631,   632,
       0,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,   807,   648,     0,   649,   650,
     651,   652,   653,     0,   655,   656,   657,   658,   659,     0,
     661,   662,   663,   664,     0,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,   681,   682,     0,   683,   684,     0,     0,   685,     0,
     687,   688,   689,   690,   691,   692,     0,   693,   694,   695,
       0,     0,   697,   698,   699,   700,   701,     0,   702,   703,
     704,   705,   706,   707,   708,   709,   710,     0,     0,   711,
     712,   713,   714,   715,     0,     0,   716,   717,   718,   719,
     720,   808,   721,     0,   722,     0,   724,   725,   726,   727,
       0,     0,   728,     0,     0,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     744,   745,   809,   746,   747,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   832,   763,   764,   765,   766,
     767,   768,   769,     0,   770,   771,     0,  5904,   772,   773,
     774,   775,   776,   777,   833,   778,   779,   780,   834,     0,
     781,   782,   783,   784,   835,   836,   785,   786,   787,     0,
     788,   837,   838,   789,   790,     0,     0,     0,   791,   792,
       0,     0,     0,     0,   793,     0,     0,     0,     0,     0,
       0,     0,     0,   794,     0,   795,     0,   796,   797,    35,
     340,     0,     0,    37,     0,    38,    39,     0,     0,     0,
    1369,    40,     0,     0,     0,     0,     0,  1370,  1371,  1372,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   839,
     350,   351,   352,   840,   841,   842,   843,   844,   845,   846,
     353,   354,   355,   847,   356,   357,   358,   359,   360,   361,
     362,   363,     0,  1551,   366,  1552,  1553,   848,   369,   370,
     371,   372,   373,   374,   375,   849,   850,   376,   377,  1554,
    1555,   379,   852,   380,   381,   382,   383,     0,   853,   385,
     854,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   800,   856,   396,   397,   398,   399,   400,   401,   857,
     402,   403,   404,     0,   859,   860,   861,   406,   862,   863,
     864,   408,   409,   410,   411,   802,   412,  1556,  1557,   415,
     865,   416,   866,   417,   418,   419,   420,   421,   422,   423,
     867,   424,   425,   426,   427,   868,   869,   428,   429,  1558,
     431,   432,   870,   433,   434,   435,   436,   871,   437,   438,
     439,   440,   872,   441,   442,   443,   444,     0,   446,   447,
     448,   449,     0,   873,   451,   874,   452,   453,   454,  1559,
     456,   875,   457,   876,   458,   459,   460,   877,   461,   462,
     463,   464,   465,   878,   466,     0,   879,     0,   469,   470,
     880,   471,   472,   804,   473,   474,   475,   476,   477,   478,
     479,   881,   480,   481,   482,   483,   484,   485,   486,   487,
     882,   488,   489,     0,     0,   491,   492,   493,  1561,  1562,
     885,  1563,   886,   496,   497,   498,   499,   500,  1564,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   512,
     513,   514,   515,   516,   517,   518,   887,   888,   519,     0,
     521,   522,   523,   889,   524,   525,   526,   890,   891,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,     0,
     538,   805,   539,   540,   806,   541,   542,   543,  1565,   545,
    1566,   547,   548,   549,   550,   551,   552,   553,   554,  5090,
       0,   557,   892,   558,   559,   560,   561,   893,     0,   563,
    1567,   565,   566,   567,   894,   568,   569,   570,   895,   896,
    5091,   572,   573,   897,   898,   574,   575,     0,   577,   578,
     579,     0,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   899,   593,   594,   595,     0,   597,
       0,   599,   600,   601,   900,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,  1568,   614,   615,   616,
     617,   901,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   902,   631,   632,   633,   634,
     635,   636,   637,   638,     0,   640,   641,   642,   643,   644,
     645,   646,   647,   807,   648,   903,   649,   650,   651,   652,
     653,   904,   655,   656,  3238,   658,   659,   660,   661,   662,
    1570,   664,   905,   665,   666,   667,   668,   669,   670,   671,
     672,   673,   674,   675,   676,   677,   678,   679,   680,     0,
     682,   906,   683,   684,   907,   908,   685,   686,   687,   688,
     689,   690,   691,   692,   909,   693,  1571,  1572,     0,   911,
     697,   698,     0,   700,     0,   912,   702,   703,   704,   705,
     706,   707,   708,   709,   710,     0,   914,   711,   712,   713,
     714,   715,   915,   916,   716,   717,   718,   719,   720,     0,
    1573,   918,   722,   723,   724,   725,   726,   727,   919,   920,
     728,   921,   922,   729,   730,   731,   732,   733,   734,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     809,   746,   747,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1375,  1376,  1377,  5092,  5093,  1380,  1381,
    1382,  1383,   832,   763,   764,   765,   766,   767,   768,   769,
       0,   770,   771,     0,     0,   772,   773,   774,   775,   776,
     777,   833,   778,   779,   780,   834,     0,   781,   782,   783,
     784,   835,   836,   785,   786,   787,     0,   788,   837,   838,
     789,   790,     0,     0,     0,   791,   792,     0,     0,     0,
       0,   793,     0,     0,     0,     0,     0,     0,     0,     0,
     794,     0,   795,     0,   796,   797,    35,   340,     0,     0,
      37,     0,    38,    39,     0,     0,     0,  1369,    40,     0,
       0,     0,     0,     0,  1370,  1371,  1372,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   839,   350,   351,   352,
     840,   841,   842,   843,   844,   845,   846,   353,   354,   355,
     847,   356,   357,   358,   359,   360,   361,   362,   363,     0,
    1551,   366,  1552,  1553,   848,   369,   370,   371,   372,   373,
     374,   375,   849,   850,   376,   377,  1554,  1555,   379,   852,
     380,   381,   382,   383,     0,   853,   385,   854,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   800,   856,
     396,   397,   398,   399,   400,   401,   857,   402,   403,   404,
       0,   859,   860,   861,   406,   862,   863,   864,   408,   409,
     410,   411,   802,   412,  1556,  1557,   415,   865,   416,   866,
     417,   418,   419,   420,   421,   422,   423,   867,   424,   425,
     426,   427,   868,   869,   428,   429,  1558,   431,   432,   870,
     433,   434,   435,   436,   871,   437,   438,   439,   440,   872,
     441,   442,   443,   444,     0,   446,   447,   448,   449,     0,
     873,   451,   874,   452,   453,   454,  1559,   456,   875,   457,
     876,   458,   459,   460,   877,   461,   462,   463,   464,   465,
     878,   466,     0,   879,     0,   469,   470,   880,   471,   472,
     804,   473,   474,   475,   476,   477,   478,   479,   881,   480,
     481,   482,   483,   484,   485,   486,   487,   882,   488,   489,
       0,     0,   491,   492,   493,  1561,  1562,   885,  1563,   886,
     496,   497,   498,   499,   500,  1564,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   512,   513,   514,   515,
     516,   517,   518,   887,   888,   519,     0,   521,   522,   523,
     889,   524,   525,   526,   890,   891,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,     0,   538,   805,   539,
     540,   806,   541,   542,   543,  1565,   545,  1566,   547,   548,
     549,   550,   551,   552,   553,   554,  5575,     0,   557,   892,
     558,   559,   560,   561,   893,     0,   563,  1567,   565,   566,
     567,   894,   568,   569,   570,   895,   896,  5091,   572,   573,
     897,   898,   574,   575,     0,   577,   578,   579,     0,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,   899,   593,   594,   595,     0,   597,     0,   599,   600,
     601,   900,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,  1568,   614,   615,   616,   617,   901,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   902,   631,   632,   633,   634,   635,   636,   637,
     638,     0,   640,   641,   642,   643,   644,   645,   646,   647,
     807,   648,   903,   649,   650,   651,   652,   653,   904,   655,
     656,  3238,   658,   659,   660,   661,   662,  1570,   664,   905,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,     0,   682,   906,   683,
     684,   907,   908,   685,   686,   687,   688,   689,   690,   691,
     692,   909,   693,  1571,  1572,     0,   911,   697,   698,     0,
     700,     0,   912,   702,   703,   704,   705,   706,   707,   708,
     709,   710,     0,   914,   711,   712,   713,   714,   715,   915,
     916,   716,   717,   718,   719,   720,     0,  1573,   918,   722,
     723,   724,   725,   726,   727,   919,   920,   728,   921,   922,
     729,   730,   731,   732,   733,   734,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   809,   746,   747,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1375,  1376,  1377,  5092,  5093,  1380,  1381,  1382,  1383,   763,
     764,   765,   766,   767,   768,   769,     0,   770,   771,     0,
       0,   772,   773,   774,   775,   776,   777,     0,   778,   779,
     780,     0,     0,   781,   782,   783,   784,     0,     0,   785,
     786,   787,     0,   788,     0,     0,   789,   790,     0,     0,
       0,   791,   792,     0,     0,     0,     0,   793,     0,     0,
       0,     0,     0,     0,     0,     0,   794,     0,   795,     0,
     796,   797,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,  1369,     0,     0,     0,     0,     0,     0,
    1370,  1371,  1372,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,     0,   361,   362,   363,   364,   365,     0,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,   799,   378,   379,     0,   380,  1373,   382,   383,
     384,     0,     0,     0,   386,   387,   388,   389,   390,   391,
       0,   393,   394,   395,   800,     0,   396,   397,   398,   399,
     400,   401,     0,     0,   403,   404,     0,     0,     0,     0,
       0,     0,     0,     0,   408,   409,   410,   411,   802,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,  1374,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,     0,
       0,     0,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   804,   473,   474,     0,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,     0,     0,   499,
       0,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,     0,   522,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   805,   539,   540,   806,   541,   542,
     543,   544,     0,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,     0,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,     0,   578,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
     595,   596,   597,   598,   599,   600,   601,     0,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,     0,   631,
     632,     0,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,   807,   648,     0,   649,
     650,   651,   652,   653,     0,   655,   656,   657,   658,   659,
       0,   661,   662,   663,   664,     0,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,   681,   682,     0,   683,   684,     0,     0,   685,
       0,   687,   688,   689,   690,   691,   692,     0,   693,   694,
     695,     0,     0,   697,   698,   699,   700,   701,     0,   702,
     703,   704,   705,   706,   707,   708,   709,   710,     0,     0,
     711,   712,   713,   714,   715,     0,     0,   716,   717,   718,
     719,   720,   808,   721,     0,   722,     0,   724,   725,   726,
     727,     0,     0,   728,     0,     0,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   744,   745,   809,   746,   747,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1375,  1376,  1377,  1378,
    1379,  1380,  1381,  1382,  1383,   763,   764,   765,   766,   767,
     768,   769,     0,   770,   771,     0,     0,   772,   773,   774,
     775,   776,   777,     0,   778,   779,   780,     0,     0,   781,
     782,   783,   784,     0,     0,   785,   786,   787,     0,   788,
       0,     0,   789,   790,     0,     0,     0,   791,   792,     0,
       0,     0,     0,   793,     0,     0,     0,     0,     0,     0,
       0,     0,   794,     0,   795,     0,   796,   797,    35,     0,
       0,     0,    37,     0,     0,     0,     0,     0,     0,  1369,
       0,     0,     0,     0,     0,     0,  1370,  1371,  1372,   341,
     342,   343,   344,   345,   346,   347,   348,   349,     0,   350,
     351,   352,     0,     0,     0,     0,     0,     0,     0,   353,
     354,   355,     0,   356,   357,   358,   359,     0,   361,   362,
     363,   364,   365,     0,   367,   368,     0,   369,   370,   371,
     372,   373,   374,   375,     0,     0,   376,   377,   799,   378,
     379,     0,   380,  1490,   382,   383,   384,     0,     0,     0,
     386,   387,   388,   389,   390,   391,     0,   393,   394,   395,
     800,     0,   396,   397,   398,   399,   400,   401,     0,     0,
     403,   404,     0,     0,     0,     0,     0,     0,     0,     0,
     408,   409,   410,   411,   802,   412,   413,   414,   415,     0,
     416,     0,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,     0,     0,   428,   429,   430,   431,
     432,     0,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,     0,  1491,     0,   452,   453,   454,   455,   456,
       0,   457,     0,   458,   459,     0,     0,     0,   462,   463,
     464,   465,     0,   466,   467,     0,   468,   469,   470,     0,
     471,   472,   804,   473,   474,     0,   476,   477,   478,   479,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   490,     0,   491,   492,   493,     0,   494,     0,
     495,     0,   496,     0,     0,   499,     0,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,     0,
     522,     0,     0,   524,   525,   526,     0,     0,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     805,   539,   540,   806,   541,   542,   543,   544,     0,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,     0,   558,   559,     0,   561,     0,   562,   563,   564,
     565,   566,   567,     0,   568,   569,   570,     0,     0,   571,
     572,   573,     0,     0,   574,   575,   576,     0,   578,     0,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,   595,   596,   597,   598,
     599,   600,   601,     0,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,     0,   631,   632,     0,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,   807,   648,     0,   649,   650,   651,   652,   653,
       0,   655,   656,   657,   658,   659,     0,   661,   662,   663,
     664,     0,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,   679,   680,   681,   682,
       0,   683,   684,     0,     0,   685,     0,   687,   688,   689,
     690,   691,   692,     0,   693,   694,   695,     0,     0,   697,
     698,   699,   700,   701,     0,   702,   703,   704,   705,   706,
     707,   708,   709,   710,     0,     0,   711,   712,   713,   714,
     715,     0,     0,   716,   717,   718,   719,   720,   808,   721,
       0,   722,     0,   724,   725,   726,   727,     0,     0,   728,
       0,     0,   729,   730,   731,   732,   733,   734,   735,   736,
     737,   738,   739,   740,   741,   742,   743,   744,   745,   809,
     746,   747,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1375,  1376,  1377,  1378,  1379,  1380,  1381,  1382,
    1383,   763,   764,   765,   766,   767,   768,   769,     0,   770,
     771,     0,     0,   772,   773,   774,   775,   776,   777,     0,
     778,   779,   780,     0,     0,   781,   782,   783,   784,     0,
       0,   785,   786,   787,     0,   788,     0,     0,   789,   790,
       0,     0,     0,   791,   792,     0,     0,     0,     0,   793,
       0,     0,     0,     0,     0,     0,     0,     0,   794,     0,
     795,     0,   796,   797,    35,     0,     0,     0,    37,     0,
       0,     0,     0,     0,     0,  1369,     0,     0,     0,     0,
       0,     0,  1370,  1371,  1372,   341,   342,   343,   344,   345,
     346,   347,   348,   349,     0,   350,   351,   352,     0,     0,
       0,     0,     0,     0,     0,   353,   354,   355,     0,   356,
     357,   358,   359,     0,   361,   362,   363,   364,   365,     0,
     367,   368,     0,   369,   370,   371,   372,   373,   374,   375,
       0,     0,   376,   377,   799,   378,   379,     0,   380,  1605,
     382,   383,   384,     0,     0,     0,   386,   387,   388,   389,
     390,   391,     0,   393,   394,   395,   800,     0,   396,   397,
     398,   399,   400,   401,     0,     0,   403,   404,     0,     0,
       0,     0,     0,     0,     0,     0,   408,   409,   410,   411,
     802,   412,   413,   414,   415,     0,   416,     0,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,   426,   427,
       0,     0,   428,   429,   430,   431,   432,     0,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,     0,  1606,
       0,   452,   453,   454,   455,   456,     0,   457,     0,   458,
     459,     0,     0,     0,   462,   463,   464,   465,     0,   466,
     467,     0,   468,   469,   470,     0,   471,   472,   804,   473,
    1607,     0,   476,   477,   478,   479,     0,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,     0,   490,     0,
     491,   492,   493,     0,   494,     0,   495,     0,   496,     0,
       0,   499,     0,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,   520,     0,   522,     0,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   805,   539,   540,   806,
     541,   542,   543,   544,     0,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,     0,   558,   559,
       0,   561,     0,   562,   563,   564,   565,   566,   567,     0,
     568,   569,   570,     0,     0,   571,   572,   573,     0,     0,
     574,   575,   576,     0,   578,     0,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   595,   596,   597,   598,   599,   600,   601,     0,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
       0,   631,   632,     0,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,   807,   648,
       0,   649,   650,   651,   652,   653,     0,   655,   656,   657,
     658,   659,     0,   661,   662,   663,   664,     0,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   674,   675,   676,
     677,   678,   679,   680,   681,   682,     0,   683,   684,     0,
       0,   685,     0,   687,   688,   689,   690,   691,   692,     0,
     693,   694,   695,     0,     0,   697,   698,   699,   700,   701,
       0,   702,   703,   704,   705,   706,   707,   708,   709,   710,
       0,     0,   711,   712,   713,   714,   715,     0,     0,   716,
     717,   718,   719,   720,   808,   721,     0,   722,     0,   724,
     725,   726,   727,     0,     0,   728,     0,     0,   729,   730,
     731,   732,   733,   734,   735,   736,   737,   738,   739,   740,
     741,   742,   743,   744,   745,   809,   746,   747,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1375,  1376,
    1377,  1378,  1379,  1380,  1381,  1382,  1383,   763,   764,   765,
     766,   767,   768,   769,     0,   770,   771,     0,     0,   772,
     773,   774,   775,   776,   777,     0,   778,   779,   780,     0,
       0,   781,   782,   783,   784,     0,     0,   785,   786,   787,
       0,   788,     0,     0,   789,   790,     0,     0,     0,   791,
     792,     0,     0,     0,     0,   793,     0,     0,     0,     0,
       0,     0,     0,     0,   794,     0,   795,     0,   796,   797,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,  1369,     0,     0,     0,     0,     0,     0,  1370,  1371,
    1372,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,     0,
     361,   362,   363,   364,   365,     0,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
     799,   378,   379,     0,   380,  2264,   382,   383,   384,     0,
       0,     0,   386,   387,   388,   389,   390,   391,     0,   393,
     394,   395,   800,     0,   396,   397,   398,   399,   400,   401,
       0,     0,   403,   404,     0,     0,     0,     0,     0,     0,
       0,     0,   408,   409,   410,   411,   802,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,  2265,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,     0,     0,     0,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,   804,   473,   474,     0,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,     0,     0,   499,     0,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,     0,   522,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   805,   539,   540,   806,   541,   542,   543,   544,
       0,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,     0,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,     0,
     578,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,   595,   596,
     597,   598,   599,   600,   601,     0,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,     0,   631,   632,     0,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   807,   648,     0,   649,   650,   651,
     652,   653,     0,   655,   656,   657,   658,   659,     0,   661,
     662,   663,   664,     0,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
     681,   682,     0,   683,   684,     0,     0,   685,     0,   687,
     688,   689,   690,   691,   692,     0,   693,   694,   695,     0,
       0,   697,   698,   699,   700,   701,     0,   702,   703,   704,
     705,   706,   707,   708,   709,   710,     0,     0,   711,   712,
     713,   714,   715,     0,     0,   716,   717,   718,   719,   720,
     808,   721,     0,   722,     0,   724,   725,   726,   727,     0,
       0,   728,     0,     0,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   809,   746,   747,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1375,  1376,  1377,  1378,  1379,  1380,
    1381,  1382,  1383,   763,   764,   765,   766,   767,   768,   769,
       0,   770,   771,     0,     0,   772,   773,   774,   775,   776,
     777,     0,   778,   779,   780,     0,     0,   781,   782,   783,
     784,     0,     0,   785,   786,   787,     0,   788,     0,     0,
     789,   790,     0,     0,     0,   791,   792,     0,     0,     0,
       0,   793,     0,     0,     0,     0,     0,     0,     0,     0,
     794,     0,   795,     0,   796,   797,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,  1369,     0,     0,
       0,     0,     0,     0,  1370,  1371,  1372,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,     0,   361,   362,   363,   364,
     365,     0,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,   799,   378,   379,     0,
     380,   381,   382,   383,   384,     0,     0,     0,   386,   387,
     388,   389,   390,   391,     0,   393,   394,   395,   800,     0,
     396,   397,   398,   399,   400,   401,     0,     0,   403,   404,
       0,     0,     0,     0,     0,     0,     0,     0,   408,   409,
     410,   411,   802,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,     0,     0,     0,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
     804,   473,   474,     0,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,     0,     0,   499,     0,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,     0,   522,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   805,   539,
     540,   806,   541,   542,   543,   544,     0,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,     0,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,     0,   578,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,     0,   631,   632,     0,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
     807,   648,     0,   649,   650,   651,   652,   653,     0,   655,
     656,   657,   658,   659,     0,   661,   662,   663,   664,     0,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,     0,   683,
     684,     0,     0,   685,     0,   687,   688,   689,   690,   691,
     692,     0,   693,   694,   695,     0,     0,   697,   698,   699,
     700,   701,     0,   702,   703,   704,   705,   706,   707,   708,
     709,   710,     0,     0,   711,   712,   713,   714,   715,     0,
       0,   716,   717,   718,   719,   720,   808,   721,     0,   722,
       0,   724,   725,   726,   727,     0,     0,   728,     0,     0,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   744,   745,   809,   746,   747,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1375,  1376,  1377,  1378,  1379,  1380,  1381,  1382,  1383,   763,
     764,   765,   766,   767,   768,   769,     0,   770,   771,     0,
       0,   772,   773,   774,   775,   776,   777,     0,   778,   779,
     780,     0,     0,   781,   782,   783,   784,     0,     0,   785,
     786,   787,     0,   788,     0,     0,   789,   790,     0,     0,
       0,   791,   792,     0,     0,     0,     0,   793,     0,     0,
       0,     0,     0,     0,     0,     0,   794,     0,   795,     0,
     796,   797,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,  1369,     0,     0,     0,     0,     0,     0,
    1370,  1371,  1372,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,     0,   361,   362,   363,   364,   365,     0,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,   799,   378,   379,     0,   380,  4124,   382,   383,
     384,     0,     0,     0,   386,   387,   388,   389,   390,   391,
       0,   393,   394,   395,   800,     0,   396,   397,   398,   399,
     400,   401,     0,     0,   403,   404,     0,     0,     0,     0,
       0,     0,     0,     0,   408,   409,   410,   411,   802,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,  4125,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,     0,
       0,     0,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   804,   473,   474,     0,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,     0,     0,   499,
       0,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,     0,   522,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   805,   539,   540,   806,   541,   542,
     543,   544,     0,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,     0,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,     0,   578,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
     595,   596,   597,   598,   599,   600,   601,     0,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,     0,   631,
     632,     0,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,   807,   648,     0,   649,
     650,   651,   652,   653,     0,   655,   656,   657,   658,   659,
       0,   661,   662,   663,   664,     0,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,   681,   682,     0,   683,   684,     0,     0,   685,
       0,   687,   688,   689,   690,   691,   692,     0,   693,   694,
     695,     0,     0,   697,   698,   699,   700,   701,     0,   702,
     703,   704,   705,   706,   707,   708,   709,   710,     0,     0,
     711,   712,   713,   714,   715,     0,     0,   716,   717,   718,
     719,   720,   808,   721,     0,   722,     0,   724,   725,   726,
     727,     0,     0,   728,     0,     0,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   744,   745,   809,   746,   747,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1375,  1376,  1377,  1378,
    1379,  1380,  1381,  1382,  1383,   763,   764,   765,   766,   767,
     768,   769,     0,   770,   771,     0,     0,   772,   773,   774,
     775,   776,   777,     0,   778,   779,   780,     0,     0,   781,
     782,   783,   784,     0,     0,   785,   786,   787,     0,   788,
       0,     0,   789,   790,     0,     0,     0,   791,   792,     0,
       0,     0,     0,   793,     0,     0,     0,     0,     0,     0,
       0,     0,   794,     0,   795,     0,   796,   797,    35,     0,
       0,     0,    37,     0,     0,     0,     0,     0,     0,  1369,
       0,     0,     0,     0,     0,     0,  1370,  1371,  1372,   341,
     342,   343,   344,   345,   346,   347,   348,   349,     0,   350,
     351,   352,     0,     0,     0,     0,     0,     0,     0,   353,
     354,   355,     0,   356,   357,   358,   359,     0,   361,   362,
     363,   364,   365,     0,   367,   368,     0,   369,   370,   371,
     372,   373,   374,   375,     0,     0,   376,   377,   799,   378,
     379,     0,   380,   381,   382,   383,   384,     0,     0,     0,
     386,   387,   388,   389,   390,   391,     0,   393,   394,   395,
     800,     0,   396,   397,   398,   399,   400,   401,     0,     0,
     403,   404,     0,     0,     0,     0,     0,     0,     0,     0,
     408,   409,   410,   411,   802,   412,   413,   414,   415,     0,
     416,     0,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,     0,     0,   428,   429,   430,   431,
     432,     0,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,     0,   451,     0,   452,   453,   454,   455,   456,
       0,   457,     0,   458,   459,     0,     0,     0,   462,   463,
     464,   465,     0,   466,   467,     0,   468,   469,   470,     0,
     471,   472,   804,   473,   474,     0,   476,   477,   478,   479,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   490,     0,   491,   492,   493,     0,   494,     0,
     495,     0,   496,     0,     0,   499,     0,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,     0,
     522,     0,     0,   524,   525,   526,     0,     0,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     805,   539,   540,   806,   541,   542,   543,   544,     0,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,     0,   558,   559,     0,   561,     0,   562,   563,   564,
     565,   566,   567,     0,   568,   569,   570,     0,     0,  6240,
     572,   573,     0,     0,   574,   575,   576,     0,   578,     0,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,   595,   596,   597,   598,
     599,   600,   601,     0,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,     0,   631,   632,     0,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,   807,   648,     0,   649,   650,   651,   652,   653,
       0,   655,   656,   657,   658,   659,     0,   661,   662,   663,
     664,     0,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,   679,   680,   681,   682,
       0,   683,   684,     0,     0,   685,     0,   687,   688,   689,
     690,   691,   692,     0,   693,   694,   695,     0,     0,   697,
     698,   699,   700,   701,     0,   702,   703,   704,   705,   706,
     707,   708,   709,   710,     0,     0,   711,   712,   713,   714,
     715,     0,     0,   716,   717,   718,   719,   720,   808,   721,
       0,   722,     0,   724,   725,   726,   727,     0,     0,   728,
       0,     0,   729,   730,   731,   732,   733,   734,   735,   736,
     737,   738,   739,   740,   741,   742,   743,   744,   745,   809,
     746,   747,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1375,  1376,  1377,  1378,  1379,  1380,  1381,  1382,
    1383,   832,   763,   764,   765,   766,   767,   768,   769,     0,
     770,   771,     0,     0,   772,   773,   774,   775,   776,   777,
     833,   778,   779,   780,   834,     0,   781,   782,   783,   784,
     835,   836,   785,   786,   787,     0,   788,   837,   838,   789,
     790,     0,     0,     0,   791,   792,     0,     0,     0,     0,
     793,     0,     0,     0,     0,     0,     0,     0,     0,   794,
       0,   795,     0,   796,   797,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   839,   350,   351,   352,   840,
     841,   842,   843,   844,   845,   846,   353,   354,   355,   847,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   848,   369,   370,   371,   372,   373,   374,
     375,   849,   850,   376,   377,   851,   378,   379,   852,   380,
     381,   382,   383,   384,   853,   385,   854,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   855,   856,   396,
     397,   398,   399,   400,   401,   857,   402,   403,   404,   858,
     859,   860,   861,   406,   862,   863,   864,   408,   409,   410,
     411,   802,   412,   413,   414,   415,   865,   416,   866,   417,
     418,   419,   420,   421,   422,   423,   867,   424,   425,   426,
     427,   868,   869,   428,   429,   430,   431,   432,   870,   433,
     434,   435,   436,   871,   437,   438,   439,   440,   872,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   873,
     451,   874,   452,   453,   454,   455,   456,   875,   457,   876,
     458,   459,   460,   877,   461,   462,   463,   464,   465,   878,
     466,   467,   879,   468,   469,   470,   880,   471,   472,   804,
     473,   474,   475,   476,   477,   478,   479,   881,   480,   481,
     482,   483,   484,   485,   486,   487,   882,   488,   489,   490,
     883,   491,   492,   493,   884,   494,   885,   495,   886,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   887,   888,   519,   520,   521,   522,   523,   889,
     524,   525,   526,   890,   891,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   805,   539,   540,
     806,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,   892,   558,
     559,   560,   561,   893,   562,   563,   564,   565,   566,   567,
     894,   568,   569,   570,   895,   896,   571,   572,   573,   897,
     898,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
     899,   593,   594,   595,   596,   597,   598,   599,   600,   601,
     900,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,   617,   901,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   902,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   807,
     648,   903,   649,   650,   651,   652,   653,   904,   655,   656,
     657,   658,   659,   660,   661,   662,   663,   664,   905,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,   681,   682,   906,   683,   684,
     907,   908,   685,   686,   687,   688,   689,   690,   691,   692,
     909,   693,   694,   695,   910,   911,   697,   698,   699,   700,
     701,   912,   702,   703,   704,   705,   706,   707,   708,   709,
     710,   913,   914,   711,   712,   713,   714,   715,   915,   916,
     716,   717,   718,   719,   720,   917,   721,   918,   722,   723,
     724,   725,   726,   727,   919,   920,   728,   921,   922,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   744,   745,   809,   746,   747,     0,
       0,     0,   832,   763,   764,   765,   766,   767,   768,   769,
       0,   770,   771,     0,  2241,   772,   773,   774,   775,   776,
     777,   833,   778,   779,   780,   834,     0,   781,   782,   783,
     784,   835,   836,   785,   786,   787,     0,   788,   837,   838,
     789,   790,     0,     0,     0,   791,   792,     0,     0,     0,
       0,   793,     0,     0,     0,     0,     0,     0,     0,     0,
     794,     0,   795,     0,   796,   797,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,   360,   361,   362,   363,     0,
    1551,   366,  1552,  1553,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,  1554,  1555,   379,     0,
     380,   381,   382,   383,     0,     0,   385,     0,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   800,     0,
     396,   397,   398,   399,   400,   401,     0,   402,   403,   404,
       0,     0,     0,     0,   406,     0,     0,     0,   408,   409,
     410,   411,   802,   412,  1556,  1557,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,  1558,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,     0,   446,   447,   448,   449,     0,
       0,   451,     0,   452,   453,   454,  1559,   456,     0,   457,
       0,   458,   459,   460,     0,   461,   462,   463,   464,   465,
       0,   466,     0,     0,     0,   469,   470,     0,   471,   472,
     804,   473,   474,   475,   476,   477,   478,   479,  3234,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   489,
    3235,     0,   491,   492,   493,  1561,  1562,     0,  1563,     0,
     496,   497,   498,   499,   500,  1564,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,     0,   521,   522,   523,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,     0,   538,   805,   539,
     540,   806,   541,   542,   543,  1565,   545,  1566,   547,   548,
     549,   550,   551,   552,   553,   554,     0,     0,   557,     0,
     558,   559,   560,   561,     0,     0,   563,  1567,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,  3236,   574,   575,  3237,   577,   578,   579,     0,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,     0,   597,     0,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,  1568,   614,   615,   616,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,     0,   631,   632,   633,   634,   635,   636,   637,
     638,     0,   640,   641,   642,   643,   644,   645,   646,   647,
     807,   648,     0,   649,   650,   651,   652,   653,     0,   655,
     656,  3238,   658,   659,   660,   661,   662,  1570,   664,     0,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,     0,   682,     0,   683,
     684,     0,     0,   685,   686,   687,   688,   689,   690,   691,
     692,     0,   693,  1571,  1572,     0,     0,   697,   698,     0,
     700,     0,     0,   702,   703,   704,   705,   706,   707,   708,
     709,   710,     0,     0,   711,   712,   713,   714,   715,     0,
       0,   716,   717,   718,   719,   720,     0,  1573,  3239,   722,
     723,   724,   725,   726,   727,     0,     0,   728,     0,     0,
     729,   730,   731,   732,   733,   734,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   809,   746,   747,
       0,     0,     0,     0,   763,   764,   765,   766,   767,   768,
     769,     0,   770,   771,     0,  3240,   772,   773,   774,   775,
     776,   777,     0,   778,   779,   780,     0,     0,   781,   782,
     783,   784,     0,     0,   785,   786,   787,     0,   788,     0,
       0,   789,   790,     0,     0,     0,   791,   792,     0,     0,
       0,     0,   793,     0,     0,     0,     0,     0,     0,     0,
       0,   794,     0,   795,     0,   796,   797,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,     0,   361,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,   799,   378,   379,
       0,   380,   381,   382,   383,   384,     0,     0,     0,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,   800,
       0,   396,   397,   398,   399,   400,   401,     0,     0,   403,
     404,     0,     0,     0,     0,     0,     0,     0,     0,   408,
     409,   410,   411,   802,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   804,   473,   474,     0,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499,     0,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,     0,   522,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   805,
     539,   540,   806,   541,   542,   543,   544,     0,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,   595,   596,   597,   598,   599,
     600,   601,     0,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,     0,   631,   632,     0,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,   807,   648,     0,   649,   650,   651,   652,   653,     0,
     655,   656,   657,   658,   659,     0,   661,   662,   663,   664,
       0,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,   681,   682,     0,
     683,   684,     0,     0,   685,     0,   687,   688,   689,   690,
     691,   692,     0,   693,   694,   695,     0,     0,   697,   698,
     699,   700,   701,     0,   702,   703,   704,   705,   706,   707,
     708,   709,   710,     0,     0,   711,   712,   713,   714,   715,
       0,     0,   716,   717,   718,   719,   720,   808,   721,     0,
     722,     0,   724,   725,   726,   727,     0,     0,   728,     0,
       0,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   744,   745,   809,   746,
     747,     0,     0,     0,     0,   763,   764,   765,   766,   767,
     768,   769,     0,   770,   771,     0,  1251,   772,   773,   774,
     775,   776,   777,     0,   778,   779,   780,     0,     0,   781,
     782,   783,   784,     0,     0,   785,   786,   787,     0,   788,
       0,     0,   789,   790,     0,     0,     0,   791,   792,     0,
       0,     0,     0,   793,     0,     0,     0,     0,     0,     0,
       0,     0,   794,     0,   795,     0,   796,   797,    35,     0,
       0,     0,    37,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   341,
     342,   343,   344,   345,   346,   347,   348,   349,     0,   350,
     351,   352,     0,     0,     0,     0,     0,     0,     0,   353,
     354,   355,     0,   356,   357,   358,   359,     0,   361,   362,
     363,   364,   365,     0,   367,   368,     0,   369,   370,   371,
     372,   373,   374,   375,     0,     0,   376,   377,   799,   378,
     379,     0,   380,   381,   382,   383,   384,     0,     0,     0,
     386,   387,   388,   389,   390,   391,     0,   393,   394,   395,
     800,     0,   396,   397,   398,   399,   400,   401,     0,     0,
     403,   404,     0,     0,     0,     0,     0,     0,     0,     0,
     408,   409,   410,   411,   802,   412,   413,   414,   415,     0,
     416,     0,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,     0,     0,   428,   429,   430,   431,
     432,     0,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,     0,   451,     0,   452,   453,   454,   455,   456,
       0,   457,     0,   458,   459,     0,     0,     0,   462,   463,
     464,   465,     0,   466,   467,     0,   468,   469,   470,     0,
     471,   472,   804,   473,   474,     0,   476,   477,   478,   479,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   490,     0,   491,   492,   493,     0,   494,     0,
     495,     0,   496,     0,     0,   499,     0,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,     0,
     522,     0,     0,   524,   525,   526,     0,     0,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     805,   539,   540,   806,   541,   542,   543,   544,     0,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,     0,   558,   559,     0,   561,     0,   562,   563,   564,
     565,   566,   567,     0,   568,   569,   570,     0,     0,   571,
     572,   573,     0,     0,   574,   575,   576,     0,   578,     0,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,   595,   596,   597,   598,
     599,   600,   601,     0,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,     0,   631,   632,     0,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,   807,   648,     0,   649,   650,   651,   652,   653,
       0,   655,   656,   657,   658,   659,     0,   661,   662,   663,
     664,     0,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,   679,   680,   681,   682,
       0,   683,   684,     0,     0,   685,     0,   687,   688,   689,
     690,   691,   692,     0,   693,   694,   695,     0,     0,   697,
     698,   699,   700,   701,     0,   702,   703,   704,   705,   706,
     707,   708,   709,   710,     0,     0,   711,   712,   713,   714,
     715,     0,     0,   716,   717,   718,   719,   720,   808,   721,
       0,   722,     0,   724,   725,   726,   727,     0,     0,   728,
       0,     0,   729,   730,   731,   732,   733,   734,   735,   736,
     737,   738,   739,   740,   741,   742,   743,   744,   745,   809,
     746,   747,     0,     0,     0,     0,   763,   764,   765,   766,
     767,   768,   769,     0,   770,   771,     0,  6717,   772,   773,
     774,   775,   776,   777,     0,   778,   779,   780,     0,     0,
     781,   782,   783,   784,     0,     0,   785,   786,   787,     0,
     788,     0,     0,   789,   790,     0,     0,     0,   791,   792,
       0,     0,     0,     0,   793,     0,     0,     0,     0,     0,
       0,     0,     0,   794,     0,   795,     0,   796,   797,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     341,   342,   343,   344,   345,   346,   347,   348,   349,     0,
     350,   351,   352,     0,     0,     0,     0,     0,     0,     0,
     353,   354,   355,     0,   356,   357,   358,   359,     0,   361,
     362,   363,   364,   365,     0,   367,   368,     0,   369,   370,
     371,   372,   373,   374,   375,     0,     0,   376,   377,   799,
     378,   379,     0,   380,   381,   382,   383,   384,     0,     0,
       0,   386,   387,   388,   389,   390,   391,     0,   393,   394,
     395,   800,     0,   396,   397,   398,   399,   400,   401,     0,
       0,   403,   404,     0,     0,     0,     0,     0,     0,     0,
       0,   408,   409,   410,   411,   802,   412,   413,   414,   415,
       0,   416,     0,   417,   418,   419,   420,   421,   422,   423,
       0,   424,   425,   426,   427,     0,     0,   428,   429,   430,
     431,   432,     0,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,     0,   451,     0,   452,   453,   454,   455,
     456,     0,   457,     0,   458,   459,     0,     0,     0,   462,
     463,   464,   465,     0,   466,   467,     0,   468,   469,   470,
       0,   471,   472,   804,   473,   474,     0,   476,   477,   478,
     479,     0,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488,     0,   490,     0,   491,   492,   493,     0,   494,
       0,   495,     0,   496,     0,     0,   499,     0,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,   520,
       0,   522,     0,     0,   524,   525,   526,     0,     0,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   805,   539,   540,   806,   541,   542,   543,   544,     0,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,     0,   558,   559,     0,   561,     0,   562,   563,
     564,   565,   566,   567,     0,   568,   569,   570,     0,     0,
     571,   572,   573,     0,     0,   574,   575,   576,     0,   578,
       0,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,   595,   596,   597,
     598,   599,   600,   601,     0,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,     0,   631,   632,     0,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   807,   648,     0,   649,   650,   651,   652,
     653,     0,   655,   656,   657,   658,   659,     0,   661,   662,
     663,   664,     0,   665,   666,   667,   668,   669,   670,   671,
     672,   673,   674,   675,   676,   677,   678,   679,   680,   681,
     682,     0,   683,   684,     0,     0,   685,     0,   687,   688,
     689,   690,   691,   692,     0,   693,   694,   695,     0,     0,
     697,   698,   699,   700,   701,     0,   702,   703,   704,   705,
     706,   707,   708,   709,   710,     0,     0,   711,   712,   713,
     714,   715,     0,     0,   716,   717,   718,   719,   720,   808,
     721,     0,   722,     0,   724,   725,   726,   727,     0,     0,
     728,     0,     0,   729,   730,   731,   732,   733,   734,   735,
     736,   737,   738,   739,   740,   741,   742,   743,   744,   745,
     809,   746,   747,     0,     0,     0,     0,   763,   764,   765,
     766,   767,   768,   769,     0,   770,   771,     0,  6719,   772,
     773,   774,   775,   776,   777,     0,   778,   779,   780,     0,
       0,   781,   782,   783,   784,     0,     0,   785,   786,   787,
       0,   788,     0,     0,   789,   790,     0,     0,     0,   791,
     792,     0,     0,     0,     0,   793,     0,     0,     0,     0,
       0,     0,     0,     0,   794,     0,   795,     0,   796,   797,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,     0,
     361,   362,   363,   364,   365,     0,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
     799,   378,   379,     0,   380,   381,   382,   383,   384,     0,
       0,     0,   386,   387,   388,   389,   390,   391,     0,   393,
     394,   395,   800,     0,   396,   397,   398,   399,   400,   401,
       0,     0,   403,   404,     0,     0,     0,     0,     0,     0,
       0,     0,   408,   409,   410,   411,   802,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,     0,     0,     0,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,   804,   473,   474,     0,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,     0,     0,   499,     0,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,     0,   522,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   805,   539,   540,   806,   541,   542,   543,   544,
       0,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,     0,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,     0,
     578,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,   595,   596,
     597,   598,   599,   600,   601,     0,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,     0,   631,   632,     0,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   807,   648,     0,   649,   650,   651,
     652,   653,     0,   655,   656,   657,   658,   659,     0,   661,
     662,   663,   664,     0,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
     681,   682,     0,   683,   684,     0,     0,   685,     0,   687,
     688,   689,   690,   691,   692,     0,   693,   694,   695,     0,
       0,   697,   698,   699,   700,   701,     0,   702,   703,   704,
     705,   706,   707,   708,   709,   710,     0,     0,   711,   712,
     713,   714,   715,     0,     0,   716,   717,   718,   719,   720,
     808,   721,     0,   722,     0,   724,   725,   726,   727,     0,
       0,   728,     0,     0,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   809,   746,   747,     0,     0,     0,     0,   763,   764,
     765,   766,   767,   768,   769,     0,   770,   771,     0,  6846,
     772,   773,   774,   775,   776,   777,     0,   778,   779,   780,
       0,     0,   781,   782,   783,   784,     0,     0,   785,   786,
     787,     0,   788,     0,     0,   789,   790,     0,     0,     0,
     791,   792,     0,     0,     0,     0,   793,     0,     0,     0,
       0,     0,     0,     0,     0,   794,     0,   795,     0,   796,
     797,    35,   340,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,    40,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,  1143,   344,   345,   346,   347,   348,
     349,  1144,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
       0,  1145,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,   799,   378,   379,     0,   380,   381,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,   800,     0,   396,   397,   398,   399,   400,
     401,     0,     0,   403,   404,     0,     0,     0,     0,     0,
       0,     0,     0,   408,   409,   410,   411,   802,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
    1146,   455,   456,     0,   457,     0,   458,  1147,     0,  1148,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   804,   473,   474,     0,   476,
     477,   478,   479,  1149,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,  1150,     0,     0,
     519,   520,     0,   522,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   805,   539,   540,   806,   541,   542,   543,
     544,     0,   546,   547,   548,  1151,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,  1152,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,     0,   618,   619,   620,  1153,   622,   623,
     624,   625,   626,   627,   628,   629,   630,     0,   631,   632,
       0,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,   807,   648,     0,   649,   650,
     651,   652,   653,     0,   655,   656,   657,   658,   659,     0,
     661,   662,   663,   664,     0,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,   681,   682,     0,   683,   684,     0,     0,   685,     0,
     687,   688,   689,   690,   691,   692,     0,   693,   694,   695,
       0,     0,   697,   698,   699,   700,   701,     0,   702,   703,
     704,   705,   706,   707,   708,   709,   710,     0,     0,   711,
     712,   713,   714,   715,     0,     0,   716,   717,   718,   719,
     720,   808,   721,     0,   722,     0,   724,   725,   726,   727,
       0,     0,   728,     0,     0,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     744,   745,   809,   746,   747,     0,     0,     0,   763,   764,
     765,   766,   767,   768,   769,     0,   770,   771,  1154,  1155,
     772,   773,   774,   775,   776,   777,     0,   778,   779,   780,
       0,     0,   781,   782,   783,   784,     0,     0,   785,   786,
     787,     0,   788,     0,     0,   789,   790,     0,     0,     0,
     791,   792,     0,     0,     0,     0,   793,     0,     0,     0,
       0,     0,     0,     0,     0,   794,     0,   795,     0,   796,
     797,    35,   340,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,    40,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,  1143,   344,   345,   346,   347,   348,
     349,  1144,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
       0,  1179,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,   799,   378,   379,     0,   380,   381,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,   800,     0,   396,   397,   398,   399,   400,
     401,     0,     0,   403,   404,     0,     0,     0,     0,     0,
       0,     0,     0,   408,   409,   410,   411,   802,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
    1146,   455,   456,     0,   457,     0,   458,  1180,     0,  1148,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   804,   473,   474,     0,   476,
     477,   478,   479,  1149,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,  1150,     0,     0,
     519,   520,     0,   522,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   805,   539,   540,   806,   541,   542,   543,
     544,     0,   546,   547,   548,  1151,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,  1152,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,     0,   618,   619,   620,  1153,   622,   623,
     624,   625,   626,   627,   628,   629,   630,     0,   631,   632,
       0,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,   807,   648,     0,   649,   650,
     651,   652,   653,     0,   655,   656,   657,   658,   659,     0,
     661,   662,   663,   664,     0,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,   681,   682,     0,   683,   684,     0,     0,   685,     0,
     687,   688,   689,   690,   691,   692,     0,   693,   694,   695,
       0,     0,   697,   698,   699,   700,   701,     0,   702,   703,
     704,   705,   706,   707,   708,   709,   710,     0,     0,   711,
     712,   713,   714,   715,     0,     0,   716,   717,   718,   719,
     720,   808,   721,     0,   722,     0,   724,   725,   726,   727,
       0,     0,   728,     0,     0,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     744,   745,   809,   746,   747,     0,     0,     0,   763,   764,
     765,   766,   767,   768,   769,     0,   770,   771,  1154,  1155,
     772,   773,   774,   775,   776,   777,     0,   778,   779,   780,
       0,     0,   781,   782,   783,   784,     0,     0,   785,   786,
     787,     0,   788,     0,     0,   789,   790,     0,     0,     0,
     791,   792,     0,     0,     0,     0,   793,     0,     0,     0,
       0,     0,     0,     0,     0,   794,     0,   795,     0,   796,
     797,    35,   340,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,    40,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,  1659,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
       0,   361,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,   799,   378,   379,     0,   380,   381,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,   800,     0,   396,   397,   398,   399,   400,
     401,     0,     0,   403,   404,     0,     0,     0,     0,     0,
       0,     0,     0,   408,   409,   410,   411,   802,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,     0,  1148,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   804,   473,   474,     0,   476,
     477,   478,   479,  1149,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,     0,   522,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   805,   539,   540,   806,   541,   542,   543,
     544,     0,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,     0,   631,   632,
       0,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,   807,   648,     0,   649,   650,
     651,   652,   653,     0,   655,   656,   657,   658,   659,     0,
     661,   662,   663,   664,     0,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,   681,   682,     0,   683,   684,     0,     0,   685,     0,
     687,   688,   689,   690,   691,   692,     0,   693,   694,   695,
       0,     0,   697,   698,   699,   700,   701,     0,   702,   703,
     704,   705,   706,   707,   708,   709,   710,     0,     0,   711,
     712,   713,   714,   715,     0,     0,   716,   717,   718,   719,
     720,   808,   721,     0,   722,     0,   724,   725,   726,   727,
       0,     0,   728,     0,     0,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     744,   745,   809,   746,   747,     0,     0,     0,   763,   764,
     765,   766,   767,   768,   769,     0,   770,   771,  1154,  1155,
     772,   773,   774,   775,   776,   777,     0,   778,   779,   780,
       0,     0,   781,   782,   783,   784,     0,     0,   785,   786,
     787,     0,   788,     0,     0,   789,   790,     0,     0,     0,
     791,   792,     0,     0,     0,     0,   793,     0,     0,     0,
       0,     0,     0,     0,     0,   794,     0,   795,     0,   796,
     797,    35,   340,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,    40,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,  1664,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
       0,   361,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,   799,   378,   379,     0,   380,   381,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,   800,     0,   396,   397,   398,   399,   400,
     401,     0,     0,   403,   404,     0,     0,     0,     0,     0,
       0,     0,     0,   408,   409,   410,   411,   802,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,     0,  1148,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   804,   473,   474,     0,   476,
     477,   478,   479,  1149,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,     0,   522,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   805,   539,   540,   806,   541,   542,   543,
     544,     0,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,     0,   631,   632,
       0,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,   807,   648,     0,   649,   650,
     651,   652,   653,     0,   655,   656,   657,   658,   659,     0,
     661,   662,   663,   664,     0,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,   681,   682,     0,   683,   684,     0,     0,   685,     0,
     687,   688,   689,   690,   691,   692,     0,   693,   694,   695,
       0,     0,   697,   698,   699,   700,   701,     0,   702,   703,
     704,   705,   706,   707,   708,   709,   710,     0,     0,   711,
     712,   713,   714,   715,     0,     0,   716,   717,   718,   719,
     720,   808,   721,     0,   722,     0,   724,   725,   726,   727,
       0,     0,   728,     0,     0,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     744,   745,   809,   746,   747,     0,     0,     0,   763,   764,
     765,   766,   767,   768,   769,     0,   770,   771,  1154,  1155,
     772,   773,   774,   775,   776,   777,     0,   778,   779,   780,
       0,     0,   781,   782,   783,   784,     0,     0,   785,   786,
     787,     0,   788,     0,     0,   789,   790,     0,     0,     0,
     791,   792,     0,     0,     0,     0,   793,     0,     0,     0,
       0,     0,     0,     0,     0,   794,     0,   795,     0,   796,
     797,    35,   340,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
       0,   361,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,   799,   378,   379,     0,   380,   381,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,   800,     0,   396,   397,   398,   399,   400,
     401,     0,     0,   403,   404,     0,     0,     0,     0,     0,
       0,     0,     0,   408,   409,   410,   411,   802,   412,   413,
     414,   415,   803,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   804,   473,   474,     0,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,     0,   522,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   805,   539,   540,   806,   541,   542,   543,
     544,     0,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,     0,   631,   632,
       0,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,   807,   648,     0,   649,   650,
     651,   652,   653,     0,   655,   656,   657,   658,   659,     0,
     661,   662,   663,   664,     0,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,   681,   682,     0,   683,   684,     0,     0,   685,     0,
     687,   688,   689,   690,   691,   692,     0,   693,   694,   695,
    1859,     0,   697,   698,   699,   700,   701,     0,   702,   703,
     704,   705,   706,   707,   708,   709,   710,     0,     0,   711,
     712,   713,   714,   715,     0,     0,   716,   717,   718,   719,
     720,   808,   721,     0,   722,     0,   724,   725,   726,   727,
       0,     0,   728,     0,     0,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     744,   745,   809,   746,   747,  1220,     0,   763,   764,   765,
     766,   767,   768,   769,  1221,   770,   771,  1860,     0,   772,
     773,   774,   775,   776,   777,     0,   778,   779,   780,     0,
       0,   781,   782,   783,   784,     0,     0,   785,   786,   787,
       0,   788,     0,     0,   789,   790,     0,     0,     0,   791,
     792,     0,     0,     0,     0,   793,     0,     0,     0,     0,
       0,     0,     0,     0,   794,     0,   795,     0,   796,   797,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,     0,
     361,   362,   363,   364,   365,     0,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,  1222,   377,
    1193,   378,   379,     0,   380,   381,   382,   383,   384,     0,
       0,     0,   386,   387,   388,   389,   390,   391,     0,   393,
     394,   395,  1223,     0,  1224,   397,   398,   399,   400,   401,
       0,     0,   403,   404,     0,     0,     0,     0,     0,     0,
       0,     0,   408,   409,   410,   411,   802,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,     0,     0,     0,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,   804,   473,   474,     0,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,     0,     0,   499,     0,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,     0,   522,     0,     0,   524,   525,  1225,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   805,   539,   540,   806,   541,   542,  1226,   544,
       0,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,     0,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,     0,
     578,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,   595,   596,
     597,   598,   599,   600,   601,     0,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,     0,   631,   632,     0,
    1227,   635,   636,   637,   638,   639,   640,   641,   642,   643,
    1228,   645,   646,   647,   807,   648,     0,   649,   650,   651,
     652,  1229,     0,   655,   656,   657,   658,   659,     0,   661,
     662,   663,   664,     0,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
     681,   682,     0,   683,   684,     0,     0,   685,     0,   687,
     688,   689,   690,   691,   692,     0,   693,  1230,   695,     0,
       0,  1231,   698,   699,   700,   701,     0,   702,   703,   704,
     705,   706,   707,   708,   709,   710,     0,     0,   711,   712,
     713,   714,   715,     0,     0,   716,   717,   718,   719,   720,
    1197,   721,     0,   722,     0,   724,   725,   726,   727,     0,
       0,   728,     0,     0,   729,   730,   731,   732,   733,  1232,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   809,   746,   747,   832,   763,   764,   765,   766,   767,
     768,   769,     0,   770,   771,     0,     0,   772,   773,   774,
     775,   776,   777,   833,   778,   779,   780,   834,     0,   781,
     782,   783,   784,   835,   836,   785,   786,   787,     0,   788,
     837,   838,   789,   790,     0,     0,     0,   791,   792,     0,
       0,     0,     0,   793,     0,     0,     0,     0,     0,     0,
       0,     0,   794,     0,   795,     0,   796,   797,    35,     0,
       0,     0,    37,     0,    38,    39,     0,     0,     0,     0,
      40,     0,     0,     0,     0,     0,     0,     0,     0,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   839,   350,
     351,   352,   840,   841,   842,   843,   844,   845,   846,   353,
     354,   355,   847,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   848,   369,   370,   371,
     372,   373,   374,   375,   849,   850,   376,   377,   851,   378,
     379,   852,   380,   381,   382,   383,   384,   853,   385,   854,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     855,   856,   396,   397,   398,   399,   400,   401,   857,   402,
     403,   404,   858,   859,   860,   861,   406,   862,   863,   864,
     408,   409,   410,   411,   802,   412,   413,   414,   415,   865,
     416,   866,   417,   418,   419,   420,   421,   422,   423,   867,
     424,   425,   426,   427,   868,   869,   428,   429,   430,   431,
     432,   870,   433,   434,   435,   436,   871,   437,   438,   439,
     440,   872,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   873,   451,   874,   452,   453,   454,   455,   456,
     875,   457,   876,   458,   459,   460,   877,   461,   462,   463,
     464,   465,   878,   466,   467,   879,   468,   469,   470,   880,
     471,   472,   804,   473,   474,   475,   476,   477,   478,   479,
     881,   480,   481,   482,   483,   484,   485,   486,   487,   882,
     488,   489,   490,   883,   491,   492,   493,   884,   494,   885,
     495,   886,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   887,   888,   519,   520,   521,
     522,   523,   889,   524,   525,   526,   890,   891,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     805,   539,   540,   806,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,   892,   558,   559,   560,   561,   893,   562,   563,   564,
     565,   566,   567,   894,   568,   569,   570,   895,   896,   571,
     572,   573,   897,   898,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,   899,   593,   594,   595,   596,   597,   598,
     599,   600,   601,   900,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,   617,
     901,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   902,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,   807,   648,   903,   649,   650,   651,   652,   653,
     904,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     664,   905,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,   679,   680,   681,   682,
     906,   683,   684,   907,   908,   685,   686,   687,   688,   689,
     690,   691,   692,   909,   693,   694,   695,   910,   911,   697,
     698,   699,   700,   701,   912,   702,   703,   704,   705,   706,
     707,   708,   709,   710,   913,   914,   711,   712,   713,   714,
     715,   915,   916,   716,   717,   718,   719,   720,   917,   721,
     918,   722,   723,   724,   725,   726,   727,   919,   920,   728,
     921,   922,   729,   730,   731,   732,   733,   734,   735,   736,
     737,   738,   739,   740,   741,   742,   743,   744,   745,   809,
     746,   747,   832,   763,   764,   765,   766,   767,   768,   769,
       0,   770,   771,     0,     0,   772,   773,   774,   775,   776,
     777,   833,   778,   779,   780,   834,     0,   781,   782,   783,
     784,   835,   836,   785,   786,   787,     0,   788,   837,   838,
     789,   790,     0,     0,     0,   791,   792,     0,     0,     0,
       0,   793,     0,     0,     0,     0,     0,     0,     0,     0,
     794,     0,   795,     0,   796,   797,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   839,   350,   351,   352,
     840,   841,   842,   843,   844,   845,   846,   353,   354,   355,
     847,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   848,   369,   370,   371,   372,   373,
     374,   375,   849,   850,   376,   377,   851,   378,   379,   852,
     380,   381,   382,   383,   384,   853,   385,   854,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   855,   856,
     396,   397,   398,   399,   400,   401,   857,   402,   403,   404,
     858,   859,   860,   861,   406,   862,   863,   864,   408,   409,
     410,   411,   802,   412,   413,   414,   415,   865,   416,   866,
     417,   418,   419,   420,   421,   422,   423,   867,   424,   425,
     426,   427,   868,   869,   428,   429,   430,   431,   432,   870,
     433,   434,   435,   436,   871,   437,   438,   439,   440,   872,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     873,   451,   874,   452,   453,   454,   455,   456,   875,   457,
     876,   458,   459,   460,   877,   461,   462,   463,   464,   465,
     878,   466,   467,   879,   468,   469,   470,   880,   471,   472,
     804,   473,   474,   475,   476,   477,   478,   479,   881,   480,
     481,   482,   483,   484,   485,   486,   487,   882,   488,   489,
     490,   883,   491,   492,   493,   884,   494,   885,   495,   886,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   887,   888,   519,   520,   521,   522,   523,
     889,   524,   525,   526,   890,   891,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   805,   539,
     540,   806,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,   892,
     558,   559,   560,   561,   893,   562,   563,   564,   565,   566,
     567,   894,   568,   569,   570,   895,   896,   571,   572,   573,
     897,   898,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,   899,   593,   594,   595,   596,   597,   598,   599,   600,
     601,   900,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,   617,   901,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   902,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
     807,   648,   903,   649,   650,   651,   652,   653,   904,   655,
     656,   657,   658,   659,   660,   661,   662,   663,   664,   905,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   906,   683,
     684,   907,   908,   685,   686,   687,   688,   689,   690,   691,
     692,   909,   693,   694,   695,   910,   911,   697,   698,   699,
     700,   701,   912,   702,   703,   704,   705,   706,   707,   708,
     709,   710,   913,   914,   711,   712,   713,   714,   715,   915,
     916,   716,   717,   718,   719,   720,   917,   721,   918,   722,
     723,   724,   725,   726,   727,   919,   920,   728,   921,   922,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   744,   745,   809,   746,   747,
     832,   763,   764,   765,   766,   767,   768,   769,     0,   770,
     771,     0,     0,   772,   773,   774,   775,   776,   777,   833,
     778,   779,   780,   834,     0,   781,   782,   783,   784,   835,
     836,   785,   786,   787,     0,   788,   837,   838,   789,   790,
       0,     0,     0,   791,   792,     0,     0,     0,     0,   793,
       0,     0,     0,     0,     0,     0,     0,     0,   794,     0,
     795,     0,   796,   797,    35,     0,     0,     0,    37,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   341,   342,   343,   344,   345,
    4199,   347,   348,   349,   839,   350,   351,   352,   840,   841,
     842,   843,   844,   845,   846,   353,   354,   355,   847,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   848,   369,   370,   371,   372,   373,   374,   375,
     849,   850,   376,   377,   851,   378,   379,   852,   380,   381,
     382,   383,   384,   853,   385,   854,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   855,   856,   396,   397,
     398,   399,   400,   401,   857,   402,   403,   404,   858,   859,
     860,   861,   406,   862,   863,   864,   408,   409,   410,   411,
     802,   412,   413,   414,   415,   865,   416,   866,   417,   418,
     419,   420,   421,   422,   423,   867,   424,   425,   426,   427,
     868,   869,   428,   429,   430,  4200,   432,   870,   433,   434,
     435,   436,   871,   437,   438,   439,   440,   872,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   873,   451,
     874,   452,   453,   454,   455,   456,   875,   457,   876,   458,
     459,   460,   877,   461,   462,   463,   464,   465,   878,   466,
     467,   879,   468,   469,   470,   880,   471,   472,   804,   473,
     474,   475,   476,   477,   478,   479,   881,   480,   481,   482,
     483,   484,   485,   486,   487,   882,   488,   489,   490,   883,
     491,   492,   493,   884,   494,   885,   495,   886,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   887,   888,   519,   520,   521,   522,   523,   889,   524,
     525,   526,   890,   891,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   805,   539,   540,   806,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,   892,   558,   559,
     560,   561,   893,   562,   563,   564,   565,   566,   567,   894,
     568,   569,   570,   895,   896,   571,   572,   573,   897,   898,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,   899,
     593,   594,   595,   596,   597,   598,   599,   600,   601,   900,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,   617,   901,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     902,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,   807,   648,
     903,   649,   650,   651,   652,   653,   904,  4201,   656,   657,
     658,   659,   660,   661,   662,   663,   664,   905,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   674,   675,   676,
     677,   678,   679,   680,   681,   682,   906,   683,   684,   907,
     908,   685,   686,   687,   688,   689,   690,   691,   692,   909,
     693,   694,   695,   910,   911,   697,   698,   699,   700,   701,
     912,   702,   703,   704,   705,   706,   707,   708,   709,   710,
     913,   914,   711,   712,   713,   714,   715,   915,   916,   716,
     717,   718,   719,   720,   917,   721,   918,   722,   723,   724,
     725,   726,   727,   919,   920,   728,   921,   922,   729,   730,
     731,   732,   733,   734,   735,   736,   737,   738,   739,   740,
     741,   742,   743,   744,   745,   809,   746,   747,   832,   763,
     764,   765,   766,   767,   768,   769,     0,   770,   771,     0,
       0,   772,   773,   774,   775,   776,   777,   833,   778,   779,
     780,   834,     0,   781,   782,   783,   784,   835,   836,   785,
     786,   787,     0,   788,   837,   838,   789,   790,     0,     0,
       0,   791,   792,     0,     0,     0,     0,   793,     0,     0,
       0,     0,     0,     0,     0,     0,   794,     0,   795,     0,
     796,   797,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,  1741,
     376,   377,   799,   378,   379,     0,   380,   381,   382,   383,
    1744,     0,  1745,     0,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   800,     0,   396,   397,   398,   399,
     400,   401,     0,   402,   403,   404,     0,  1746,  1747,  1748,
    1749,  1750,  1751,  1752,   408,   409,   410,   411,   802,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,  1757,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,   460,
       0,   461,   462,   463,   464,   465,     0,   466,  1760,     0,
     468,   469,   470,     0,   471,   472,   804,   473,   474,   475,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,   497,   498,   499,
     500,  4447,  1765,  1766,  1767,  1768,  1769,  1770,  1771,  1772,
     510,  1773,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,  1774,   521,   522,   523,     0,   524,   525,   526,
    1775,  1776,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,  1777,   538,   805,   539,   540,   806,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,  1780,   557,     0,   558,   559,   560,   561,
       0,  1783,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,   577,   578,   579,  1786,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
     595,  1787,   597,   598,   599,   600,   601,     0,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,     0,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,   807,   648,     0,   649,
     650,   651,   652,   653,  1790,   655,   656,   657,   658,   659,
     660,   661,   662,   663,   664,     0,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,  1792,   682,     0,   683,   684,  1793,     0,   685,
     686,   687,   688,   689,   690,   691,   692,     0,   693,   694,
     695,     0,     0,   697,   698,  1796,   700,  1797,     0,   702,
     703,   704,   705,   706,   707,   708,   709,   710,     0,     0,
     711,   712,   713,   714,   715,  1800,     0,   716,   717,   718,
     719,   720,   808,   721,     0,   722,   723,   724,   725,   726,
     727,     0,     0,   728,     0,     0,   729,   730,   731,   732,
     733,   734,   735,  1802,  1803,  1804,  1805,   740,  1806,  1807,
    1808,  1809,   745,   809,   746,   747,   832,   763,   764,   765,
     766,   767,   768,   769,     0,   770,   771,     0,     0,   772,
     773,   774,   775,   776,   777,   833,   778,   779,   780,   834,
       0,   781,   782,   783,   784,   835,   836,   785,   786,   787,
       0,   788,   837,   838,   789,   790,     0,     0,     0,   791,
     792,     0,     0,     0,     0,   793,     0,     0,     0,     0,
       0,     0,     0,     0,   794,     0,   795,     0,   796,   797,
      35,   340,     0,     0,    37,     0,    38,    39,     0,  1732,
    1733,     0,    40,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,   360,
     361,   362,   363,   364,  1737,   366,  1738,  1739,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
    1742,  1743,   379,     0,   380,   381,   382,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   800,     0,   396,   397,   398,   399,   400,   401,
       0,   402,   403,   404,     0,     0,     0,     0,   406,     0,
       0,     0,   408,   409,   410,   411,   802,   412,  1753,  1754,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
    1558,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,  1758,   451,     0,   452,   453,   454,
    1759,   456,     0,   457,     0,   458,   459,   460,     0,   461,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,   804,   473,   474,   475,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,     0,   491,   492,   493,  1561,
    1762,     0,  1763,     0,   496,   497,   498,   499,   500,  7029,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,   521,   522,   523,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   805,   539,   540,   806,   541,   542,   543,  1778,
     545,  1779,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,   560,   561,  1782,   562,
     563,  1784,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,   595,   596,
     597,   598,   599,   600,   601,     0,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,  1788,   614,   615,
     616,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,     0,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   807,   648,     0,   649,   650,   651,
     652,   653,     0,   655,   656,   657,   658,   659,   660,   661,
     662,  1791,   664,     0,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
     681,   682,     0,   683,   684,     0,     0,   685,   686,   687,
     688,   689,   690,   691,   692,     0,   693,  1794,  1795,     0,
       0,   697,   698,   699,   700,   701,  1798,   702,   703,   704,
     705,   706,   707,   708,   709,   710,     0,     0,   711,   712,
     713,   714,   715,     0,     0,   716,   717,   718,   719,   720,
     808,  1801,     0,   722,   723,   724,   725,   726,   727,     0,
       0,   728,     0,     0,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   809,   746,   747,   832,   763,   764,   765,   766,   767,
     768,   769,     0,   770,   771,     0,     0,   772,   773,   774,
     775,   776,   777,   833,   778,   779,   780,   834,     0,   781,
     782,   783,   784,   835,   836,   785,   786,   787,     0,   788,
     837,   838,   789,   790,     0,     0,     0,   791,   792,     0,
       0,     0,     0,   793,     0,     0,     0,     0,     0,     0,
       0,     0,   794,     0,   795,     0,   796,   797,    35,     0,
       0,     0,    37,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   341,
     342,   343,   344,   345,   346,   347,   348,   349,     0,   350,
     351,   352,     0,     0,     0,     0,     0,     0,     0,   353,
     354,   355,     0,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,     0,   369,   370,   371,
     372,   373,   374,   375,     0,     0,   376,   377,   799,   378,
     379,     0,   380,   381,   382,   383,   384,     0,   385,     0,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     800,     0,   396,   397,   398,   399,   400,   401,     0,   402,
     403,   404,     0,     0,     0,     0,   406,     0,     0,     0,
     408,   409,   410,   411,   802,   412,   413,   414,   415,     0,
     416,     0,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,     0,     0,   428,   429,   430,   431,
     432,     0,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,     0,   451,     0,   452,   453,   454,   455,   456,
       0,   457,     0,   458,   459,   460,     0,   461,   462,   463,
     464,   465,     0,   466,   467,     0,   468,   469,   470,     0,
     471,   472,   804,   473,   474,   475,   476,   477,   478,   479,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,     0,   491,   492,   493,     0,   494,     0,
     495,     0,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,   521,
     522,   523,     0,   524,   525,   526,     0,     0,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     805,   539,   540,   806,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,     0,   558,   559,   560,   561,     0,   562,   563,   564,
     565,   566,   567,     0,   568,   569,   570,     0,     0,   571,
     572,   573,     0,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,   595,   596,   597,   598,
     599,   600,   601,     0,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,     0,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,   807,   648,     0,   649,   650,   651,   652,   653,
       0,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     664,     0,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,   679,   680,   681,   682,
       0,   683,   684,     0,     0,   685,   686,   687,   688,   689,
     690,   691,   692,     0,   693,   694,   695,     0,     0,   697,
     698,   699,   700,   701,     0,   702,   703,   704,   705,   706,
     707,   708,   709,   710,     0,     0,   711,   712,   713,   714,
     715,     0,     0,   716,   717,   718,   719,   720,   808,   721,
       0,   722,   723,   724,   725,   726,   727,     0,     0,   728,
       0,     0,   729,   730,   731,   732,   733,   734,   735,   736,
     737,   738,   739,   740,   741,   742,   743,   744,   745,   809,
     746,   747,   832,   763,   764,   765,   766,   767,   768,   769,
       0,   770,   771,     0,     0,   772,   773,   774,   775,   776,
     777,   833,   778,   779,   780,   834,     0,   781,   782,   783,
     784,   835,   836,   785,   786,   787,     0,   788,   837,   838,
     789,   790,     0,     0,     0,   791,   792,     0,     0,     0,
       0,   793,     0,     0,     0,     0,     0,     0,     0,     0,
     794,     0,   795,     0,   796,   797,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,   799,   378,   379,     0,
     380,   381,   382,   383,   384,     0,   385,     0,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   800,     0,
     396,   397,   398,   399,   400,   401,     0,   402,   403,   404,
       0,     0,     0,     0,   406,     0,     0,     0,   408,   409,
     410,   411,   802,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,   460,     0,   461,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
     804,   473,  1544,   475,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,   521,   522,   523,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   805,   539,
     540,   806,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,   560,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,     0,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
     807,   648,     0,   649,   650,   651,   652,   653,     0,   655,
     656,   657,   658,   659,   660,   661,   662,   663,   664,     0,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,     0,   683,
     684,     0,     0,   685,   686,   687,   688,   689,   690,   691,
     692,     0,   693,   694,   695,     0,     0,   697,   698,   699,
     700,   701,     0,   702,   703,   704,   705,   706,   707,   708,
     709,   710,     0,     0,   711,   712,   713,   714,   715,     0,
       0,   716,   717,   718,   719,   720,   808,   721,     0,   722,
     723,   724,   725,   726,   727,     0,     0,   728,     0,     0,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   744,   745,   809,   746,   747,
     832,   763,   764,   765,   766,   767,   768,   769,     0,   770,
     771,     0,     0,   772,   773,   774,   775,   776,   777,   833,
     778,   779,   780,   834,     0,   781,   782,   783,   784,   835,
     836,   785,   786,   787,     0,   788,   837,   838,   789,   790,
       0,     0,     0,   791,   792,     0,     0,     0,     0,   793,
       0,     0,     0,     0,     0,     0,     0,     0,   794,     0,
     795,     0,   796,   797,    35,     0,     0,     0,    37,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   341,   342,   343,   344,   345,
     346,   347,   348,   349,     0,   350,   351,   352,     0,     0,
       0,     0,     0,     0,     0,   353,   354,   355,     0,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,     0,   369,   370,   371,   372,   373,   374,   375,
       0,     0,   376,   377,   799,   378,   379,     0,   380,   381,
     382,   383,   384,     0,   385,     0,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   800,     0,   396,   397,
     398,   399,   400,   401,     0,   402,   403,   404,     0,     0,
       0,     0,   406,     0,     0,     0,   408,   409,   410,   411,
     802,   412,   413,   414,   415,     0,   416,     0,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,   426,   427,
       0,     0,   428,   429,   430,   431,   432,     0,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,     0,   451,
       0,   452,   453,   454,   455,   456,     0,   457,     0,   458,
     459,   460,     0,   461,   462,   463,   464,   465,     0,   466,
     467,     0,   468,   469,   470,     0,   471,   472,   804,   473,
    1597,   475,   476,   477,   478,   479,     0,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,     0,
     491,   492,   493,     0,   494,     0,   495,     0,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,   520,   521,   522,   523,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   805,   539,   540,   806,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,     0,   558,   559,
     560,   561,     0,   562,   563,   564,   565,   566,   567,     0,
     568,   569,   570,     0,     0,   571,   572,   573,     0,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   595,   596,   597,   598,   599,   600,   601,     0,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
       0,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,   807,   648,
       0,   649,   650,   651,   652,   653,     0,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   664,     0,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   674,   675,   676,
     677,   678,   679,   680,   681,   682,     0,   683,   684,     0,
       0,   685,   686,   687,   688,   689,   690,   691,   692,     0,
     693,   694,   695,     0,     0,   697,   698,   699,   700,   701,
       0,   702,   703,   704,   705,   706,   707,   708,   709,   710,
       0,     0,   711,   712,   713,   714,   715,     0,     0,   716,
     717,   718,   719,   720,   808,   721,     0,   722,   723,   724,
     725,   726,   727,     0,     0,   728,     0,     0,   729,   730,
     731,   732,   733,   734,   735,   736,   737,   738,   739,   740,
     741,   742,   743,   744,   745,   809,   746,   747,   832,   763,
     764,   765,   766,   767,   768,   769,     0,   770,   771,     0,
       0,   772,   773,   774,   775,   776,   777,   833,   778,   779,
     780,   834,     0,   781,   782,   783,   784,   835,   836,   785,
     786,   787,     0,   788,   837,   838,   789,   790,     0,     0,
       0,   791,   792,     0,     0,     0,     0,   793,     0,     0,
       0,     0,     0,     0,     0,     0,   794,     0,   795,     0,
     796,   797,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,   799,   378,   379,     0,   380,   381,   382,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   800,     0,   396,   397,   398,   399,
     400,   401,     0,   402,   403,   404,     0,     0,     0,     0,
     406,     0,     0,     0,   408,   409,   410,   411,   802,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,   460,
       0,   461,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   804,   473,  1611,   475,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,   521,   522,   523,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   805,   539,   540,   806,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,   560,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
     595,   596,   597,   598,   599,   600,   601,     0,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,     0,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,   807,   648,     0,   649,
     650,   651,   652,   653,     0,   655,   656,   657,   658,   659,
     660,   661,   662,   663,   664,     0,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,   681,   682,     0,   683,   684,     0,     0,   685,
     686,   687,   688,   689,   690,   691,   692,     0,   693,   694,
     695,     0,     0,   697,   698,   699,   700,   701,     0,   702,
     703,   704,   705,   706,   707,   708,   709,   710,     0,     0,
     711,   712,   713,   714,   715,     0,     0,   716,   717,   718,
     719,   720,   808,   721,     0,   722,   723,   724,   725,   726,
     727,     0,     0,   728,     0,     0,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   744,   745,   809,   746,   747,   832,   763,   764,   765,
     766,   767,   768,   769,     0,   770,   771,     0,     0,   772,
     773,   774,   775,   776,   777,   833,   778,   779,   780,   834,
       0,   781,   782,   783,   784,   835,   836,   785,   786,   787,
       0,   788,   837,   838,   789,   790,     0,     0,     0,   791,
     792,     0,     0,     0,     0,   793,     0,     0,     0,     0,
       0,     0,     0,     0,   794,     0,   795,     0,   796,   797,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
     799,   378,   379,     0,   380,   381,   382,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   800,     0,   396,   397,   398,   399,   400,   401,
       0,   402,   403,   404,     0,     0,     0,     0,   406,     0,
       0,     0,   408,   409,   410,   411,   802,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,   460,     0,   461,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,   804,   473,  1615,   475,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,   521,   522,   523,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   805,   539,   540,   806,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,   560,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,   595,   596,
     597,   598,   599,   600,   601,     0,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,     0,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   807,   648,     0,   649,   650,   651,
     652,   653,     0,   655,   656,   657,   658,   659,   660,   661,
     662,   663,   664,     0,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
     681,   682,     0,   683,   684,     0,     0,   685,   686,   687,
     688,   689,   690,   691,   692,     0,   693,   694,   695,     0,
       0,   697,   698,   699,   700,   701,     0,   702,   703,   704,
     705,   706,   707,   708,   709,   710,     0,     0,   711,   712,
     713,   714,   715,     0,     0,   716,   717,   718,   719,   720,
     808,   721,     0,   722,   723,   724,   725,   726,   727,     0,
       0,   728,     0,     0,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   809,   746,   747,   832,   763,   764,   765,   766,   767,
     768,   769,     0,   770,   771,     0,     0,   772,   773,   774,
     775,   776,   777,   833,   778,   779,   780,   834,     0,   781,
     782,   783,   784,   835,   836,   785,   786,   787,     0,   788,
     837,   838,   789,   790,     0,     0,     0,   791,   792,     0,
       0,     0,     0,   793,     0,     0,     0,     0,     0,     0,
       0,     0,   794,     0,   795,     0,   796,   797,    35,     0,
       0,     0,    37,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   341,
     342,   343,   344,   345,   346,   347,   348,   349,     0,   350,
     351,   352,     0,     0,     0,     0,     0,     0,     0,   353,
     354,   355,     0,   356,   357,   358,   359,   360,   361,   362,
     363,     0,  1551,   366,  1552,  1553,     0,   369,   370,   371,
     372,   373,   374,   375,     0,     0,   376,   377,  1554,  1555,
     379,     0,   380,   381,   382,   383,     0,     0,   385,     0,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     800,     0,   396,   397,   398,   399,   400,   401,     0,   402,
     403,   404,     0,     0,     0,     0,   406,     0,     0,     0,
     408,   409,   410,   411,   802,   412,  1556,  1557,   415,     0,
     416,     0,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,     0,     0,   428,   429,  1558,   431,
     432,     0,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,   444,     0,   446,   447,   448,
     449,     0,     0,   451,     0,   452,   453,   454,  1559,   456,
       0,   457,     0,   458,   459,   460,     0,   461,   462,   463,
     464,   465,     0,   466,     0,     0,     0,   469,   470,     0,
     471,   472,   804,   473,   474,   475,   476,   477,   478,   479,
    3234,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,  3235,     0,   491,   492,   493,  1561,  1562,     0,
    1563,     0,   496,   497,   498,   499,   500,  1564,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,     0,   521,
     522,   523,     0,   524,   525,   526,     0,     0,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,     0,   538,
     805,   539,   540,   806,   541,   542,   543,  1565,   545,  1566,
     547,   548,   549,   550,   551,   552,   553,   554,     0,     0,
     557,     0,   558,   559,   560,   561,     0,     0,   563,  1567,
     565,   566,   567,     0,   568,   569,   570,     0,     0,   571,
     572,   573,     0,     0,   574,   575,  3237,   577,   578,   579,
       0,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,   595,     0,   597,     0,
     599,   600,   601,     0,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,  1568,   614,   615,   616,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,     0,   631,   632,   633,   634,   635,
     636,   637,   638,     0,   640,   641,   642,   643,   644,   645,
     646,   647,   807,   648,     0,   649,   650,   651,   652,   653,
       0,   655,   656,  3238,   658,   659,   660,   661,   662,  1570,
     664,     0,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,   679,   680,     0,   682,
       0,   683,   684,     0,     0,   685,   686,   687,   688,   689,
     690,   691,   692,     0,   693,  1571,  1572,     0,     0,   697,
     698,     0,   700,     0,     0,   702,   703,   704,   705,   706,
     707,   708,   709,   710,     0,     0,   711,   712,   713,   714,
     715,     0,     0,   716,   717,   718,   719,   720,     0,  1573,
    3239,   722,   723,   724,   725,   726,   727,     0,     0,   728,
       0,     0,   729,   730,   731,   732,   733,   734,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   809,
     746,   747,   832,   763,   764,   765,   766,   767,   768,   769,
       0,   770,   771,     0,     0,   772,   773,   774,   775,   776,
     777,   833,   778,   779,   780,   834,     0,   781,   782,   783,
     784,   835,   836,   785,   786,   787,     0,   788,   837,   838,
     789,   790,     0,     0,     0,   791,   792,     0,     0,     0,
       0,   793,     0,     0,     0,     0,     0,     0,     0,     0,
     794,     0,   795,     0,   796,   797,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,   360,   361,   362,   363,     0,
    1551,   366,  1552,  1553,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,  1554,  1555,   379,     0,
     380,   381,   382,   383,     0,     0,   385,     0,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   800,     0,
     396,   397,   398,   399,   400,   401,     0,   402,   403,   404,
       0,     0,     0,     0,   406,     0,     0,     0,   408,   409,
     410,   411,   802,   412,  1556,  1557,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,  1558,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,     0,   446,   447,   448,   449,     0,
       0,   451,     0,   452,   453,   454,  1559,   456,     0,   457,
       0,   458,   459,   460,     0,   461,   462,   463,   464,   465,
       0,   466,     0,     0,     0,   469,   470,     0,   471,   472,
     804,   473,   474,   475,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   489,
       0,     0,   491,   492,   493,  1561,  1562,     0,  1563,     0,
     496,   497,   498,   499,   500,  1564,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,     0,   521,   522,   523,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,     0,   538,   805,   539,
     540,   806,   541,   542,   543,  1565,   545,  1566,   547,   548,
     549,   550,   551,   552,   553,   554,     0,     0,   557,     0,
     558,   559,   560,   561,  3320,     0,   563,  1567,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,     0,   577,   578,   579,     0,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,     0,   597,     0,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,  1568,   614,   615,   616,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,     0,   631,   632,   633,   634,   635,   636,   637,
     638,     0,   640,   641,   642,   643,   644,   645,   646,   647,
     807,   648,     0,   649,   650,   651,   652,   653,     0,   655,
     656,  3238,   658,   659,   660,   661,   662,  1570,   664,     0,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,     0,   682,     0,   683,
     684,     0,  5191,   685,   686,   687,   688,   689,   690,   691,
     692,     0,   693,  1571,  1572,     0,     0,   697,   698,     0,
     700,     0,     0,   702,   703,   704,   705,   706,   707,   708,
     709,   710,     0,     0,   711,   712,   713,   714,   715,     0,
       0,   716,   717,   718,   719,   720,     0,  1573,     0,   722,
     723,   724,   725,   726,   727,     0,     0,   728,     0,     0,
     729,   730,   731,   732,   733,   734,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   809,   746,   747,
     832,   763,   764,   765,   766,   767,   768,   769,     0,   770,
     771,     0,     0,   772,   773,   774,   775,   776,   777,   833,
     778,   779,   780,   834,     0,   781,   782,   783,   784,   835,
     836,   785,   786,   787,     0,   788,   837,   838,   789,   790,
       0,     0,     0,   791,   792,     0,     0,     0,     0,   793,
       0,     0,     0,     0,     0,     0,     0,     0,   794,     0,
     795,     0,   796,   797,    35,     0,     0,     0,    37,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   341,   342,   343,   344,   345,
     346,   347,   348,   349,     0,   350,   351,   352,     0,     0,
       0,     0,     0,     0,     0,   353,   354,   355,     0,   356,
     357,   358,   359,   360,   361,   362,   363,     0,  1551,   366,
    1552,  1553,     0,   369,   370,   371,   372,   373,   374,   375,
       0,     0,   376,   377,  1554,  1555,   379,     0,   380,   381,
     382,   383,     0,     0,   385,     0,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   800,     0,   396,   397,
     398,   399,   400,   401,     0,   402,   403,   404,     0,     0,
       0,     0,   406,     0,     0,     0,   408,   409,   410,   411,
     802,   412,  1556,  1557,   415,     0,   416,     0,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,   426,   427,
       0,     0,   428,   429,  1558,   431,   432,     0,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,   444,     0,   446,   447,   448,   449,     0,     0,   451,
       0,   452,   453,   454,  1559,   456,     0,   457,     0,   458,
     459,   460,     0,   461,   462,   463,   464,   465,     0,   466,
       0,     0,     0,   469,   470,     0,   471,   472,   804,   473,
     474,   475,   476,   477,   478,   479,     0,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,     0,     0,
     491,   492,   493,  1561,  1562,     0,  1563,     0,   496,   497,
     498,   499,   500,  1564,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,     0,   521,   522,   523,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,     0,   538,   805,   539,   540,   806,
     541,   542,   543,  1565,   545,  1566,   547,   548,   549,   550,
     551,   552,   553,   554,  3398,     0,   557,     0,   558,   559,
     560,   561,     0,     0,   563,  1567,   565,   566,   567,     0,
     568,   569,   570,     0,     0,   571,   572,   573,     0,     0,
     574,   575,     0,   577,   578,   579,     0,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   595,     0,   597,     0,   599,   600,   601,     0,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,  1568,   614,   615,   616,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
       0,   631,   632,   633,   634,   635,   636,   637,   638,     0,
     640,   641,   642,   643,   644,   645,   646,   647,   807,   648,
       0,   649,   650,   651,   652,   653,     0,   655,   656,  1569,
     658,   659,   660,   661,   662,  1570,   664,     0,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   674,   675,   676,
     677,   678,   679,   680,     0,   682,     0,   683,   684,     0,
       0,   685,   686,   687,   688,   689,   690,   691,   692,     0,
     693,  1571,  1572,     0,     0,   697,   698,     0,   700,     0,
       0,   702,   703,   704,   705,   706,   707,   708,   709,   710,
       0,     0,   711,   712,   713,   714,   715,     0,     0,   716,
     717,   718,   719,   720,     0,  1573,     0,   722,   723,   724,
     725,   726,   727,     0,     0,   728,     0,     0,   729,   730,
     731,   732,   733,   734,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   809,   746,   747,   832,   763,
     764,   765,   766,   767,   768,   769,     0,   770,   771,     0,
       0,   772,   773,   774,   775,   776,   777,   833,   778,   779,
     780,   834,     0,   781,   782,   783,   784,   835,   836,   785,
     786,   787,     0,   788,   837,   838,   789,   790,     0,     0,
       0,   791,   792,     0,     0,     0,     0,   793,     0,     0,
       0,     0,     0,     0,     0,     0,   794,     0,   795,     0,
     796,   797,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,   360,   361,   362,   363,     0,  1551,   366,  1552,  1553,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,  1554,  1555,   379,     0,   380,   381,   382,   383,
       0,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   800,     0,   396,   397,   398,   399,
     400,   401,     0,   402,   403,   404,     0,     0,     0,     0,
     406,     0,     0,     0,   408,   409,   410,   411,   802,   412,
    1556,  1557,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,  1558,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
       0,   446,   447,   448,   449,     0,     0,   451,     0,   452,
     453,   454,  1559,   456,     0,   457,     0,   458,   459,   460,
       0,   461,   462,   463,   464,   465,     0,   466,     0,     0,
       0,   469,   470,     0,   471,   472,   804,   473,   474,   475,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   489,     0,     0,   491,   492,
     493,  1561,  1562,     0,  1563,     0,   496,   497,   498,   499,
     500,  1564,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,     0,   521,   522,   523,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,     0,   538,   805,   539,   540,   806,   541,   542,
     543,  1565,   545,  1566,   547,   548,   549,   550,   551,   552,
     553,   554,  4985,     0,   557,     0,   558,   559,   560,   561,
       0,     0,   563,  1567,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
       0,   577,   578,   579,     0,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
     595,     0,   597,     0,   599,   600,   601,     0,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,  1568,
     614,   615,   616,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,     0,   631,
     632,   633,   634,   635,   636,   637,   638,     0,   640,   641,
     642,   643,   644,   645,   646,   647,   807,   648,     0,   649,
     650,   651,   652,   653,     0,   655,   656,  1569,   658,   659,
     660,   661,   662,  1570,   664,     0,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,     0,   682,     0,   683,   684,     0,     0,   685,
     686,   687,   688,   689,   690,   691,   692,     0,   693,  1571,
    1572,     0,     0,   697,   698,     0,   700,     0,     0,   702,
     703,   704,   705,   706,   707,   708,   709,   710,     0,     0,
     711,   712,   713,   714,   715,     0,     0,   716,   717,   718,
     719,   720,     0,  1573,     0,   722,   723,   724,   725,   726,
     727,     0,     0,   728,     0,     0,   729,   730,   731,   732,
     733,   734,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   809,   746,   747,   832,   763,   764,   765,
     766,   767,   768,   769,     0,   770,   771,     0,     0,   772,
     773,   774,   775,   776,   777,   833,   778,   779,   780,   834,
       0,   781,   782,   783,   784,   835,   836,   785,   786,   787,
       0,   788,   837,   838,   789,   790,     0,     0,     0,   791,
     792,     0,     0,     0,     0,   793,     0,     0,     0,     0,
       0,     0,     0,     0,   794,     0,   795,     0,   796,   797,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,   360,
     361,   362,   363,     0,  1551,   366,  1552,  1553,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
    1554,  1555,   379,     0,   380,   381,   382,   383,     0,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   800,     0,   396,   397,   398,   399,   400,   401,
       0,   402,   403,   404,     0,     0,     0,     0,   406,     0,
       0,     0,   408,   409,   410,   411,   802,   412,  1556,  1557,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
    1558,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,     0,   446,
     447,   448,   449,     0,     0,   451,     0,   452,   453,   454,
    1559,   456,  6805,   457,     0,   458,   459,   460,     0,   461,
     462,   463,   464,   465,     0,   466,     0,     0,     0,   469,
     470,     0,   471,   472,   804,   473,   474,   475,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,     0,     0,   491,   492,   493,  1561,
    1562,     0,  1563,     0,   496,   497,   498,   499,   500,  1564,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
       0,   521,   522,   523,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
       0,   538,   805,   539,   540,   806,   541,   542,   543,  1565,
     545,  1566,   547,   548,   549,   550,   551,   552,   553,   554,
       0,     0,   557,     0,   558,   559,   560,   561,     0,     0,
     563,  1567,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,     0,   577,
     578,   579,     0,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,   595,     0,
     597,     0,   599,   600,   601,     0,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,  1568,   614,   615,
     616,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,     0,   631,   632,   633,
     634,   635,   636,   637,   638,     0,   640,   641,   642,   643,
     644,   645,   646,   647,   807,   648,     0,   649,   650,   651,
     652,   653,     0,   655,   656,  1569,   658,   659,   660,   661,
     662,  1570,   664,     0,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
       0,   682,     0,   683,   684,     0,     0,   685,   686,   687,
     688,   689,   690,   691,   692,     0,   693,  1571,  1572,     0,
       0,   697,   698,     0,   700,     0,     0,   702,   703,   704,
     705,   706,   707,   708,   709,   710,     0,     0,   711,   712,
     713,   714,   715,     0,     0,   716,   717,   718,   719,   720,
       0,  1573,     0,   722,   723,   724,   725,   726,   727,     0,
       0,   728,     0,     0,   729,   730,   731,   732,   733,   734,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   809,   746,   747,   832,   763,   764,   765,   766,   767,
     768,   769,     0,   770,   771,     0,     0,   772,   773,   774,
     775,   776,   777,   833,   778,   779,   780,   834,     0,   781,
     782,   783,   784,   835,   836,   785,   786,   787,     0,   788,
     837,   838,   789,   790,     0,     0,     0,   791,   792,     0,
       0,     0,     0,   793,     0,     0,     0,     0,     0,     0,
       0,     0,   794,     0,   795,     0,   796,   797,    35,     0,
       0,     0,    37,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   341,
     342,   343,   344,   345,   346,   347,   348,   349,     0,   350,
     351,   352,     0,     0,     0,     0,     0,     0,     0,   353,
     354,   355,     0,   356,   357,   358,   359,   360,   361,   362,
     363,     0,  1551,   366,  1552,  1553,     0,   369,   370,   371,
     372,   373,   374,   375,     0,     0,   376,   377,  1554,  1555,
     379,     0,   380,   381,   382,   383,     0,     0,   385,     0,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     800,     0,   396,   397,   398,   399,   400,   401,     0,   402,
     403,   404,     0,     0,     0,     0,   406,     0,     0,     0,
     408,   409,   410,   411,   802,   412,  1556,  1557,   415,     0,
     416,     0,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,     0,     0,   428,   429,  1558,   431,
     432,     0,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,   444,     0,   446,   447,   448,
     449,     0,     0,   451,     0,   452,   453,   454,  1559,   456,
    7057,   457,     0,   458,   459,   460,     0,   461,   462,   463,
     464,   465,     0,   466,     0,     0,     0,   469,   470,     0,
     471,   472,   804,   473,   474,   475,   476,   477,   478,   479,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,     0,     0,   491,   492,   493,  1561,  1562,     0,
    1563,     0,   496,   497,   498,   499,   500,  1564,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,     0,   521,
     522,   523,     0,   524,   525,   526,     0,     0,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,     0,   538,
     805,   539,   540,   806,   541,   542,   543,  1565,   545,  1566,
     547,   548,   549,   550,   551,   552,   553,   554,     0,     0,
     557,     0,   558,   559,   560,   561,     0,     0,   563,  1567,
     565,   566,   567,     0,   568,   569,   570,     0,     0,   571,
     572,   573,     0,     0,   574,   575,     0,   577,   578,   579,
       0,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,   595,     0,   597,     0,
     599,   600,   601,     0,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,  1568,   614,   615,   616,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,     0,   631,   632,   633,   634,   635,
     636,   637,   638,     0,   640,   641,   642,   643,   644,   645,
     646,   647,   807,   648,     0,   649,   650,   651,   652,   653,
       0,   655,   656,  1569,   658,   659,   660,   661,   662,  1570,
     664,     0,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,   679,   680,     0,   682,
       0,   683,   684,     0,     0,   685,   686,   687,   688,   689,
     690,   691,   692,     0,   693,  1571,  1572,     0,     0,   697,
     698,     0,   700,     0,     0,   702,   703,   704,   705,   706,
     707,   708,   709,   710,     0,     0,   711,   712,   713,   714,
     715,     0,     0,   716,   717,   718,   719,   720,     0,  1573,
       0,   722,   723,   724,   725,   726,   727,     0,     0,   728,
       0,     0,   729,   730,   731,   732,   733,   734,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   809,
     746,   747,   832,   763,   764,   765,   766,   767,   768,   769,
       0,   770,   771,     0,     0,   772,   773,   774,   775,   776,
     777,   833,   778,   779,   780,   834,     0,   781,   782,   783,
     784,   835,   836,   785,   786,   787,     0,   788,   837,   838,
     789,   790,     0,     0,     0,   791,   792,     0,     0,     0,
       0,   793,     0,     0,     0,     0,     0,     0,     0,     0,
     794,     0,   795,     0,   796,   797,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,   360,   361,   362,   363,     0,
    1551,   366,  1552,  1553,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,  1554,  1555,   379,     0,
     380,   381,   382,   383,     0,     0,   385,     0,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   800,     0,
     396,   397,   398,   399,   400,   401,     0,   402,   403,   404,
       0,     0,     0,     0,   406,     0,     0,     0,   408,   409,
     410,   411,   802,   412,  1556,  1557,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,  1558,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,     0,   446,   447,   448,   449,     0,
       0,   451,     0,   452,   453,   454,  1559,   456,     0,   457,
       0,   458,   459,   460,     0,   461,   462,   463,   464,   465,
       0,   466,     0,     0,     0,   469,   470,     0,   471,   472,
     804,   473,  1560,   475,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   489,
       0,     0,   491,   492,   493,  1561,  1562,     0,  1563,     0,
     496,   497,   498,   499,   500,  1564,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,     0,   521,   522,   523,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,     0,   538,   805,   539,
     540,   806,   541,   542,   543,  1565,   545,  1566,   547,   548,
     549,   550,   551,   552,   553,   554,     0,     0,   557,     0,
     558,   559,   560,   561,     0,     0,   563,  1567,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,     0,   577,   578,   579,     0,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,     0,   597,     0,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,  1568,   614,   615,   616,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,     0,   631,   632,   633,   634,   635,   636,   637,
     638,     0,   640,   641,   642,   643,   644,   645,   646,   647,
     807,   648,     0,   649,   650,   651,   652,   653,     0,   655,
     656,  1569,   658,   659,   660,   661,   662,  1570,   664,     0,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,     0,   682,     0,   683,
     684,     0,     0,   685,   686,   687,   688,   689,   690,   691,
     692,     0,   693,  1571,  1572,     0,     0,   697,   698,     0,
     700,     0,     0,   702,   703,   704,   705,   706,   707,   708,
     709,   710,     0,     0,   711,   712,   713,   714,   715,     0,
       0,   716,   717,   718,   719,   720,     0,  1573,     0,   722,
     723,   724,   725,   726,   727,     0,     0,   728,     0,     0,
     729,   730,   731,   732,   733,   734,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   809,   746,   747,
     832,   763,   764,   765,   766,   767,   768,   769,     0,   770,
     771,     0,     0,   772,   773,   774,   775,   776,   777,   833,
     778,   779,   780,   834,     0,   781,   782,   783,   784,   835,
     836,   785,   786,   787,     0,   788,   837,   838,   789,   790,
       0,     0,     0,   791,   792,     0,     0,     0,     0,   793,
       0,     0,     0,     0,     0,     0,     0,     0,   794,     0,
     795,     0,   796,   797,    35,     0,     0,     0,    37,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   341,   342,   343,   344,   345,
     346,   347,   348,   349,     0,   350,   351,   352,     0,     0,
       0,     0,     0,     0,     0,   353,   354,   355,     0,   356,
     357,   358,   359,   360,   361,   362,   363,     0,  1551,   366,
    1552,  1553,     0,   369,   370,   371,   372,   373,   374,   375,
       0,     0,   376,   377,  1554,  1555,   379,     0,   380,   381,
     382,   383,     0,     0,   385,     0,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   800,     0,   396,   397,
     398,   399,   400,   401,     0,   402,   403,   404,     0,     0,
       0,     0,   406,     0,     0,     0,   408,   409,   410,   411,
     802,   412,  1556,  1557,   415,     0,   416,     0,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,   426,   427,
       0,     0,   428,   429,  1558,   431,   432,     0,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,   444,     0,   446,   447,   448,   449,     0,     0,   451,
       0,   452,   453,   454,  1559,   456,     0,   457,     0,   458,
     459,   460,     0,   461,   462,   463,   464,   465,     0,   466,
       0,     0,     0,   469,   470,     0,   471,   472,   804,   473,
    1623,   475,   476,   477,   478,   479,     0,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,     0,     0,
     491,   492,   493,  1561,  1562,     0,  1563,     0,   496,   497,
     498,   499,   500,  1564,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,     0,   521,   522,   523,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,     0,   538,   805,   539,   540,   806,
     541,   542,   543,  1565,   545,  1566,   547,   548,   549,   550,
     551,   552,   553,   554,     0,     0,   557,     0,   558,   559,
     560,   561,     0,     0,   563,  1567,   565,   566,   567,     0,
     568,   569,   570,     0,     0,   571,   572,   573,     0,     0,
     574,   575,     0,   577,   578,   579,     0,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   595,     0,   597,     0,   599,   600,   601,     0,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,  1568,   614,   615,   616,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
       0,   631,   632,   633,   634,   635,   636,   637,   638,     0,
     640,   641,   642,   643,   644,   645,   646,   647,   807,   648,
       0,   649,   650,   651,   652,   653,     0,   655,   656,  1569,
     658,   659,   660,   661,   662,  1570,   664,     0,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   674,   675,   676,
     677,   678,   679,   680,     0,   682,     0,   683,   684,     0,
       0,   685,   686,   687,   688,   689,   690,   691,   692,     0,
     693,  1571,  1572,     0,     0,   697,   698,     0,   700,     0,
       0,   702,   703,   704,   705,   706,   707,   708,   709,   710,
       0,     0,   711,   712,   713,   714,   715,     0,     0,   716,
     717,   718,   719,   720,     0,  1573,     0,   722,   723,   724,
     725,   726,   727,     0,     0,   728,     0,     0,   729,   730,
     731,   732,   733,   734,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   809,   746,   747,   832,   763,
     764,   765,   766,   767,   768,   769,     0,   770,   771,     0,
       0,   772,   773,   774,   775,   776,   777,   833,   778,   779,
     780,   834,     0,   781,   782,   783,   784,   835,   836,   785,
     786,   787,     0,   788,   837,   838,   789,   790,     0,     0,
       0,   791,   792,     0,     0,     0,     0,   793,     0,     0,
       0,     0,     0,     0,     0,     0,   794,     0,   795,     0,
     796,   797,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,   360,   361,   362,   363,     0,  1551,   366,  1552,  1553,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,  1554,  1555,   379,     0,   380,   381,   382,   383,
       0,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   800,     0,   396,   397,   398,   399,
     400,   401,     0,   402,   403,   404,     0,     0,     0,     0,
     406,     0,     0,     0,   408,   409,   410,   411,   802,   412,
    1556,  1557,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,  1558,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
       0,   446,   447,   448,   449,     0,     0,   451,     0,   452,
     453,   454,  1559,   456,     0,   457,     0,   458,   459,   460,
       0,   461,   462,   463,   464,   465,     0,   466,     0,     0,
       0,   469,   470,     0,   471,   472,   804,   473,   474,   475,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   489,     0,     0,   491,   492,
     493,  1561,  1562,     0,  1563,     0,   496,   497,   498,   499,
     500,  1564,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,     0,   521,   522,   523,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,     0,   538,   805,   539,   540,   806,   541,   542,
     543,  1565,   545,  1566,   547,   548,   549,   550,   551,   552,
     553,   554,     0,     0,   557,     0,   558,   559,   560,   561,
       0,     0,   563,  1567,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
       0,   577,   578,   579,     0,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
     595,     0,   597,     0,   599,   600,   601,     0,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,  1568,
     614,   615,   616,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,     0,   631,
     632,   633,   634,   635,   636,   637,   638,     0,   640,   641,
     642,   643,   644,   645,   646,   647,   807,   648,     0,   649,
     650,   651,   652,   653,     0,   655,   656,  1569,   658,   659,
     660,   661,   662,  1570,   664,     0,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,     0,   682,     0,   683,   684,     0,     0,   685,
     686,   687,   688,   689,   690,   691,   692,     0,   693,  1571,
    1572,     0,     0,   697,   698,     0,   700,     0,     0,   702,
     703,   704,   705,   706,   707,   708,   709,   710,     0,     0,
     711,   712,   713,   714,   715,     0,     0,   716,   717,   718,
     719,   720,     0,  1573,     0,   722,   723,   724,   725,   726,
     727,     0,     0,   728,     0,     0,   729,   730,   731,   732,
     733,   734,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   809,   746,   747,   832,   763,   764,   765,
     766,   767,   768,   769,     0,   770,   771,     0,     0,   772,
     773,   774,   775,   776,   777,   833,   778,   779,   780,   834,
       0,   781,   782,   783,   784,   835,   836,   785,   786,   787,
       0,   788,   837,   838,   789,   790,     0,     0,     0,   791,
     792,     0,     0,     0,     0,   793,     0,     0,     0,     0,
       0,     0,     0,     0,   794,     0,   795,     0,   796,   797,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,   360,
     361,   362,   363,     0,  1551,   366,  1552,  1553,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
    1554,  1555,   379,     0,   380,   381,   382,   383,     0,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   800,     0,   396,   397,   398,   399,   400,   401,
       0,   402,   403,   404,     0,     0,     0,     0,   406,     0,
       0,     0,   408,   409,   410,   411,   802,   412,  1556,  1557,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
    1558,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,     0,   446,
     447,   448,   449,     0,     0,   451,     0,   452,   453,   454,
    1559,   456,     0,   457,     0,   458,   459,   460,     0,   461,
     462,   463,   464,   465,     0,   466,     0,     0,     0,   469,
     470,     0,   471,   472,   804,   473,   474,   475,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,     0,     0,   491,   492,   493,  1561,
    1562,     0,  1563,     0,   496,   497,   498,   499,   500,  1564,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
       0,   521,   522,   523,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
       0,   538,   805,   539,   540,   806,   541,   542,   543,  1565,
     545,  1566,   547,   548,   549,   550,   551,   552,   553,   554,
       0,     0,   557,     0,   558,   559,   560,   561,     0,     0,
     563,  1567,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,     0,   577,
     578,   579,     0,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,   595,     0,
     597,     0,   599,   600,   601,     0,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,  1568,   614,   615,
     616,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,     0,   631,   632,   633,
     634,   635,   636,   637,   638,     0,   640,   641,   642,   643,
     644,   645,   646,   647,   807,   648,     0,   649,   650,   651,
     652,   653,     0,   655,   656,  3238,   658,   659,   660,   661,
     662,  1570,   664,     0,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
       0,   682,     0,   683,   684,     0,     0,   685,   686,   687,
     688,   689,   690,   691,   692,     0,   693,  1571,  1572,     0,
       0,   697,   698,     0,   700,     0,     0,   702,   703,   704,
     705,   706,   707,   708,   709,   710,     0,     0,   711,   712,
     713,   714,   715,     0,     0,   716,   717,   718,   719,   720,
       0,  1573,     0,   722,   723,   724,   725,   726,   727,     0,
       0,   728,     0,     0,   729,   730,   731,   732,   733,   734,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   809,   746,   747,   832,   763,   764,   765,   766,   767,
     768,   769,     0,   770,   771,     0,     0,   772,   773,   774,
     775,   776,   777,   833,   778,   779,   780,   834,     0,   781,
     782,   783,   784,   835,   836,   785,   786,   787,     0,   788,
     837,   838,   789,   790,     0,     0,     0,   791,   792,     0,
       0,     0,     0,   793,     0,     0,     0,     0,     0,     0,
       0,     0,   794,     0,   795,     0,   796,   797,    35,     0,
       0,     0,    37,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   341,
     342,   343,   344,   345,   346,   347,   348,   349,     0,   350,
     351,   352,     0,     0,     0,     0,     0,     0,     0,   353,
     354,   355,     0,   356,   357,   358,   359,   360,   361,   362,
     363,     0,  1551,   366,  1552,  1553,     0,   369,   370,   371,
     372,   373,   374,   375,     0,     0,   376,   377,  1554,  1555,
     379,     0,   380,   381,   382,   383,     0,     0,   385,     0,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     800,     0,   396,   397,   398,   399,   400,   401,     0,   402,
     403,   404,     0,     0,     0,     0,   406,     0,     0,     0,
     408,   409,   410,   411,   802,   412,  1556,  1557,   415,     0,
     416,     0,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,     0,     0,   428,   429,  1558,   431,
     432,     0,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,   444,     0,   446,   447,   448,
     449,     0,     0,   451,     0,   452,   453,   454,  1559,   456,
       0,   457,     0,   458,   459,   460,     0,   461,   462,   463,
     464,   465,     0,   466,     0,     0,     0,   469,   470,     0,
     471,   472,   804,   473,   474,   475,   476,   477,   478,   479,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,     0,     0,   491,   492,   493,  1561,  1562,     0,
    1563,     0,   496,   497,   498,   499,   500,  1564,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,     0,   521,
     522,   523,     0,   524,   525,   526,     0,     0,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,     0,   538,
     805,   539,   540,   806,   541,   542,   543,  1565,   545,  1566,
     547,   548,   549,   550,   551,   552,   553,   554,     0,     0,
     557,     0,   558,   559,   560,   561,     0,     0,   563,  1567,
     565,   566,   567,     0,   568,   569,   570,     0,     0,   571,
     572,   573,     0,     0,   574,   575,     0,   577,   578,   579,
       0,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,   595,     0,   597,     0,
     599,   600,   601,     0,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,  1568,   614,   615,   616,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,     0,   631,   632,   633,   634,   635,
     636,   637,   638,     0,   640,   641,   642,   643,   644,   645,
     646,   647,   807,   648,     0,   649,   650,   651,   652,   653,
       0,   655,   656,     0,   658,   659,   660,   661,   662,  1570,
     664,     0,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,   679,   680,     0,   682,
       0,   683,   684,     0,     0,   685,   686,   687,   688,   689,
     690,   691,   692,     0,   693,  1571,  1572,     0,     0,   697,
     698,     0,   700,     0,     0,   702,   703,   704,   705,   706,
     707,   708,   709,   710,     0,     0,   711,   712,   713,   714,
     715,     0,     0,   716,   717,   718,   719,   720,     0,  1573,
       0,   722,   723,   724,   725,   726,   727,     0,     0,   728,
       0,     0,   729,   730,   731,   732,   733,   734,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   809,
     746,   747,   832,   763,   764,   765,   766,   767,   768,   769,
       0,   770,   771,     0,     0,   772,   773,   774,   775,   776,
     777,   833,   778,   779,   780,   834,     0,   781,   782,   783,
     784,   835,   836,   785,   786,   787,     0,   788,   837,   838,
     789,   790,     0,     0,     0,   791,   792,     0,     0,     0,
       0,   793,     0,     0,     0,     0,     0,     0,     0,     0,
     794,     0,   795,     0,   796,   797,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,   360,   361,   362,   363,     0,
       0,   366,     0,     0,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,     0,     0,   379,     0,
     380,   381,   382,   383,     0,     0,   385,     0,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   800,     0,
     396,   397,   398,   399,   400,   401,     0,   402,   403,   404,
       0,     0,     0,     0,   406,     0,     0,     0,   408,   409,
     410,   411,   802,   412,     0,     0,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,     0,   446,   447,   448,   449,     0,
       0,   451,     0,   452,   453,   454,     0,   456,     0,   457,
       0,   458,   459,   460,     0,   461,   462,   463,   464,   465,
       0,   466,     0,     0,     0,   469,   470,     0,   471,   472,
     804,   473,   474,   475,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   489,
       0,     0,   491,   492,   493,     0,     0,     0,     0,     0,
     496,   497,   498,   499,   500,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,     0,   521,   522,   523,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,     0,   538,   805,   539,
     540,   806,   541,   542,   543,     0,   545,     0,   547,   548,
     549,   550,   551,   552,   553,   554,     0,     0,   557,     0,
     558,   559,   560,   561,     0,     0,   563,     0,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,     0,   577,   578,   579,     0,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,     0,   597,     0,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,     0,   614,   615,   616,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,     0,   631,   632,   633,   634,   635,   636,   637,
     638,     0,   640,   641,   642,   643,   644,   645,   646,   647,
     807,   648,     0,   649,   650,   651,   652,   653,     0,   655,
     656,     0,   658,   659,   660,   661,   662,     0,   664,     0,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,     0,   682,     0,   683,
     684,     0,     0,   685,   686,   687,   688,   689,   690,   691,
     692,     0,   693,     0,     0,     0,     0,   697,   698,     0,
     700,     0,     0,   702,   703,   704,   705,   706,   707,   708,
     709,   710,     0,     0,   711,   712,   713,   714,   715,     0,
       0,   716,   717,   718,   719,   720,     0,     0,     0,   722,
     723,   724,   725,   726,   727,     0,     0,   728,     0,     0,
     729,   730,   731,   732,   733,   734,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   809,   746,   747,
     763,   764,   765,   766,   767,   768,   769,     0,   770,   771,
       0,     0,   772,   773,   774,   775,   776,   777,     0,   778,
     779,   780,     0,     0,   781,   782,   783,   784,     0,     0,
     785,   786,   787,     0,   788,     0,     0,   789,   790,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    35,     0,     0,     0,    37,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   839,   350,   351,   352,   840,   841,   842,
     843,   844,   845,   846,   353,   354,   355,   847,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   848,   369,   370,   371,   372,   373,   374,   375,   849,
     850,   376,   377,     0,   378,   379,   852,   380,   381,   382,
     383,   384,   853,   385,   854,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   855,   856,   396,   397,   398,
     399,   400,   401,   857,   402,   403,   404,     0,   859,   860,
     861,   406,   862,   863,   864,   408,   409,   410,   411,     0,
     412,   413,   414,   415,   865,   416,   866,   417,   418,   419,
     420,   421,   422,   423,   867,   424,   425,   426,   427,   868,
     869,   428,   429,   430,   431,   432,   870,   433,   434,   435,
     436,   871,   437,   438,   439,   440,   872,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   873,   451,   874,
     452,   453,   454,   455,   456,   875,   457,   876,   458,   459,
     460,   877,   461,   462,   463,   464,   465,   878,   466,   467,
     879,   468,   469,   470,   880,   471,   472,     0,   473,   474,
     475,   476,   477,   478,   479,   881,   480,   481,   482,   483,
     484,   485,   486,   487,   882,   488,   489,   490,     0,   491,
     492,   493,     0,   494,   885,   495,   886,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     887,   888,   519,   520,   521,   522,   523,   889,   524,   525,
     526,   890,   891,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,     0,   539,   540,     0,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,   892,   558,   559,   560,
     561,   893,   562,   563,   564,   565,   566,   567,   894,   568,
     569,   570,   895,   896,   571,   572,   573,   897,   898,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   899,   593,
     594,   595,   596,   597,   598,   599,   600,   601,   900,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,   617,   901,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   902,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,     0,   648,   903,
     649,   650,   651,   652,   653,   904,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   664,   905,   665,   666,   667,
     668,   669,   670,   671,   672,   673,   674,   675,   676,   677,
     678,   679,   680,   681,   682,   906,   683,   684,   907,   908,
     685,   686,   687,   688,   689,   690,   691,   692,   909,   693,
     694,   695,     0,   911,   697,   698,   699,   700,   701,   912,
     702,   703,   704,   705,   706,   707,   708,   709,   710,     0,
     914,   711,   712,   713,   714,   715,   915,   916,   716,   717,
     718,   719,   720,     0,   721,   918,   722,   723,   724,   725,
     726,   727,   919,   920,   728,   921,   922,   729,   730,   731,
     732,   733,   734,   735,   736,   737,   738,   739,   740,   741,
     742,   743,   744,   745,     0,   746,   747,   763,   764,   765,
     766,   767,   768,   769,     0,   770,   771,     0,     0,   772,
     773,   774,   775,   776,   777,     0,   778,   779,   780,     0,
       0,   781,   782,   783,   784,     0,     0,   785,   786,   787,
       0,   788,     0,     0,   789,   790,     0,     0,     0,   791,
     792,     0,     0,     0,     0,   793,     0,     0,     0,     0,
       0,     0,     0,     0,   794,     0,   795,     0,   796,   797,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,     0,
     361,   362,   363,   364,   365,     0,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
     799,   378,   379,  3341,   380,   381,   382,   383,   384,     0,
       0,  3342,   386,   387,   388,   389,   390,   391,     0,   393,
     394,   395,   800,  3343,   396,   397,   398,   399,   400,   401,
       0,     0,   403,   404,     0,     0,     0,     0,     0,     0,
       0,     0,   408,   409,   410,   411,   802,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,  3344,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,  3345,   458,   459,     0,     0,     0,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,   804,   473,  3346,     0,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,     0,     0,   499,     0,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,     0,   522,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   805,   539,   540,   806,   541,   542,   543,   544,
       0,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,     0,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,     0,
     578,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,   595,   596,
     597,   598,   599,   600,   601,  3347,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,     0,   631,   632,     0,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   807,   648,     0,   649,   650,   651,
     652,   653,     0,   655,   656,   657,   658,   659,     0,   661,
     662,   663,   664,     0,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
     681,   682,     0,   683,   684,     0,     0,   685,     0,   687,
     688,   689,   690,   691,   692,     0,   693,   694,   695,     0,
       0,   697,   698,   699,   700,   701,     0,   702,   703,   704,
     705,   706,   707,   708,   709,   710,     0,  3348,   711,   712,
     713,   714,   715,     0,     0,   716,   717,   718,   719,   720,
     808,   721,     0,   722,     0,   724,   725,   726,   727,     0,
       0,   728,     0,     0,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   809,   746,   747,   763,   764,   765,   766,   767,   768,
     769,     0,   770,   771,     0,     0,   772,   773,   774,   775,
     776,   777,     0,   778,   779,   780,     0,     0,   781,   782,
     783,   784,     0,     0,   785,   786,   787,     0,   788,     0,
       0,   789,   790,     0,     0,     0,   791,   792,     0,     0,
       0,     0,   793,     0,     0,     0,     0,     0,     0,     0,
       0,   794,     0,   795,     0,   796,   797,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,     0,   361,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,   799,   378,   379,
    3341,   380,   381,   382,   383,   384,     0,     0,     0,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,   800,
    3343,   396,   397,   398,   399,   400,   401,     0,     0,   403,
     404,     0,     0,     0,     0,     0,     0,     0,     0,   408,
     409,   410,   411,   802,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,  3344,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,  3345,   458,   459,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   804,   473,   474,     0,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499,     0,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,     0,   522,
    4418,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   805,
     539,   540,   806,   541,   542,   543,   544,     0,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,   595,   596,   597,   598,   599,
     600,   601,  3347,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,     0,   631,   632,     0,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,   807,   648,     0,   649,   650,   651,   652,   653,     0,
     655,   656,   657,   658,   659,     0,   661,   662,   663,   664,
       0,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,   681,   682,     0,
     683,   684,     0,     0,   685,     0,   687,   688,   689,   690,
     691,   692,     0,   693,   694,   695,     0,     0,   697,   698,
     699,   700,   701,     0,   702,   703,   704,   705,   706,   707,
     708,   709,   710,     0,  3348,   711,   712,   713,   714,   715,
       0,     0,   716,   717,   718,   719,   720,   808,   721,     0,
     722,     0,   724,   725,   726,   727,     0,     0,   728,     0,
       0,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   744,   745,   809,   746,
     747,   763,   764,   765,   766,   767,   768,   769,     0,   770,
     771,     0,     0,   772,   773,   774,   775,   776,   777,     0,
     778,   779,   780,     0,     0,   781,   782,   783,   784,     0,
       0,   785,   786,   787,     0,   788,     0,     0,   789,   790,
       0,     0,     0,   791,   792,     0,     0,     0,     0,   793,
       0,     0,     0,     0,     0,     0,     0,     0,   794,     0,
     795,     0,   796,   797,    35,     0,     0,     0,    37,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   341,   342,   343,   344,   345,
     346,   347,   348,   349,  1163,   350,  1164,   352,     0,     0,
       0,     0,     0,     0,     0,   353,   354,   355,     0,   356,
     357,   358,   359,     0,   361,   362,   363,   364,   365,     0,
     367,   368,     0,   369,   370,   371,   372,   373,   374,   375,
       0,     0,   376,   377,   799,   378,   379,     0,   380,   381,
     382,   383,   384,     0,     0,     0,   386,   387,   388,   389,
     390,   391,     0,   393,   394,   395,   800,     0,   396,   397,
     398,   399,   400,   401,  1165,     0,   403,   404,     0,     0,
       0,     0,     0,     0,     0,     0,   408,   409,   410,   411,
     802,   412,   413,   414,   415,     0,   416,     0,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,   426,   427,
       0,     0,   428,   429,   430,   431,   432,     0,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,     0,   451,
       0,   452,   453,   454,   455,   456,     0,   457,     0,   458,
     459,     0,     0,     0,   462,   463,   464,   465,  1208,   466,
     467,     0,   468,   469,   470,     0,   471,   472,   804,   473,
     474,     0,   476,   477,   478,   479,     0,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,     0,   490,     0,
     491,   492,   493,     0,   494,     0,   495,     0,   496,     0,
       0,   499,     0,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,   520,     0,   522,     0,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   805,   539,   540,   806,
     541,   542,   543,   544,     0,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,     0,   558,   559,
       0,   561,     0,   562,   563,   564,   565,   566,   567,     0,
     568,   569,   570,     0,     0,   571,   572,   573,     0,     0,
     574,   575,   576,     0,   578,     0,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   595,   596,   597,   598,   599,   600,   601,     0,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,   617,  1166,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
       0,   631,   632,     0,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,   807,   648,
    1167,   649,   650,   651,   652,   653,     0,   655,   656,   657,
     658,   659,     0,   661,   662,   663,   664,     0,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   674,   675,   676,
     677,   678,   679,   680,   681,   682,     0,   683,   684,     0,
       0,   685,     0,   687,   688,   689,   690,   691,   692,     0,
     693,   694,   695,     0,     0,   697,   698,   699,   700,   701,
       0,   702,   703,   704,   705,   706,   707,   708,   709,   710,
       0,     0,   711,   712,   713,   714,   715,     0,     0,   716,
     717,   718,   719,   720,   808,   721,     0,   722,     0,   724,
     725,   726,   727,     0,     0,   728,     0,     0,   729,   730,
     731,   732,   733,   734,   735,   736,   737,   738,   739,   740,
     741,   742,   743,   744,   745,   809,   746,   747,   763,   764,
     765,   766,   767,   768,   769,     0,   770,   771,     0,     0,
     772,   773,   774,   775,   776,   777,     0,   778,   779,   780,
       0,     0,   781,   782,   783,   784,     0,     0,   785,   786,
     787,     0,   788,     0,     0,   789,   790,     0,     0,     0,
     791,   792,     0,     0,     0,     0,   793,     0,     0,     0,
       0,     0,     0,     0,     0,   794,     0,   795,     0,   796,
     797,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,  1163,   350,  1164,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
       0,   361,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,   799,   378,   379,     0,   380,   381,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,   800,     0,   396,   397,   398,   399,   400,
     401,  1165,     0,   403,   404,     0,     0,     0,     0,     0,
       0,     0,     0,   408,   409,   410,   411,   802,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,     0,     0,
       0,   462,   463,   464,   465,  4098,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   804,   473,   474,     0,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,     0,   522,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   805,   539,   540,   806,   541,   542,   543,
     544,     0,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,  1166,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,     0,   631,   632,
       0,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,   807,   648,  1167,   649,   650,
     651,   652,   653,     0,   655,   656,   657,   658,   659,     0,
     661,   662,   663,   664,     0,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,   681,   682,     0,   683,   684,     0,     0,   685,     0,
     687,   688,   689,   690,   691,   692,     0,   693,   694,   695,
       0,     0,   697,   698,   699,   700,   701,     0,   702,   703,
     704,   705,   706,   707,   708,   709,   710,     0,     0,   711,
     712,   713,   714,   715,     0,     0,   716,   717,   718,   719,
     720,   808,   721,     0,   722,     0,   724,   725,   726,   727,
       0,     0,   728,     0,     0,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     744,   745,   809,   746,   747,   763,   764,   765,   766,   767,
     768,   769,     0,   770,   771,     0,     0,   772,   773,   774,
     775,   776,   777,     0,   778,   779,   780,     0,     0,   781,
     782,   783,   784,     0,     0,   785,   786,   787,     0,   788,
       0,     0,   789,   790,     0,     0,     0,   791,   792,     0,
       0,     0,     0,   793,     0,     0,     0,     0,     0,     0,
       0,     0,   794,     0,   795,     0,   796,   797,    35,     0,
       0,     0,    37,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   341,
     342,   343,   344,   345,   346,   347,   348,   349,     0,   350,
     351,   352,     0,     0,     0,     0,     0,     0,     0,   353,
     354,   355,     0,   356,   357,   358,   359,     0,   361,   362,
     363,   364,   365,     0,   367,   368,     0,   369,   370,   371,
     372,   373,   374,   375,     0,     0,   376,   377,   799,   378,
     379,  3341,   380,   381,   382,   383,   384,     0,     0,     0,
     386,   387,   388,   389,   390,   391,     0,   393,   394,   395,
     800,  3343,   396,   397,   398,   399,   400,   401,     0,     0,
     403,   404,     0,     0,     0,     0,     0,     0,     0,     0,
     408,   409,   410,   411,   802,   412,   413,   414,   415,     0,
     416,     0,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,     0,     0,   428,   429,   430,   431,
     432,     0,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,  3344,   442,   443,   444,   445,   446,   447,   448,
     449,   450,     0,   451,     0,   452,   453,   454,   455,   456,
       0,   457,  3345,   458,   459,     0,     0,     0,   462,   463,
     464,   465,     0,   466,   467,     0,   468,   469,   470,     0,
     471,   472,   804,   473,   474,     0,   476,   477,   478,   479,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   490,     0,   491,   492,   493,     0,   494,     0,
     495,     0,   496,     0,     0,   499,     0,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,     0,
     522,     0,     0,   524,   525,   526,     0,     0,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     805,   539,   540,   806,   541,   542,   543,   544,     0,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,     0,   558,   559,     0,   561,     0,   562,   563,   564,
     565,   566,   567,     0,   568,   569,   570,     0,     0,   571,
     572,   573,     0,     0,   574,   575,   576,     0,   578,     0,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,   595,   596,   597,   598,
     599,   600,   601,  3347,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,     0,   631,   632,     0,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,   807,   648,     0,   649,   650,   651,   652,   653,
       0,   655,   656,   657,   658,   659,     0,   661,   662,   663,
     664,     0,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,   679,   680,   681,   682,
       0,   683,   684,     0,     0,   685,     0,   687,   688,   689,
     690,   691,   692,     0,   693,   694,   695,     0,     0,   697,
     698,   699,   700,   701,     0,   702,   703,   704,   705,   706,
     707,   708,   709,   710,     0,  3348,   711,   712,   713,   714,
     715,     0,     0,   716,   717,   718,   719,   720,   808,   721,
       0,   722,     0,   724,   725,   726,   727,     0,     0,   728,
       0,     0,   729,   730,   731,   732,   733,   734,   735,   736,
     737,   738,   739,   740,   741,   742,   743,   744,   745,   809,
     746,   747,   763,   764,   765,   766,   767,   768,   769,     0,
     770,   771,     0,     0,   772,   773,   774,   775,   776,   777,
       0,   778,   779,   780,     0,     0,   781,   782,   783,   784,
       0,     0,   785,   786,   787,     0,   788,     0,     0,   789,
     790,     0,     0,     0,   791,   792,     0,     0,     0,     0,
     793,     0,     0,     0,     0,     0,     0,     0,     0,   794,
       0,   795,     0,   796,   797,    35,   340,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   798,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,     0,   361,   362,   363,   364,   365,
       0,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,   376,   377,   799,   378,   379,     0,   380,
     381,   382,   383,   384,     0,     0,     0,   386,   387,   388,
     389,   390,   391,     0,   393,   394,   395,   800,     0,   396,
     397,   398,   399,   400,   401,     0,     0,   403,   404,   801,
       0,     0,     0,     0,     0,     0,     0,   408,   409,   410,
     411,   802,   412,   413,   414,   415,   803,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,     0,
     451,     0,   452,   453,   454,   455,   456,     0,   457,     0,
     458,   459,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,   804,
     473,   474,     0,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
       0,     0,   499,     0,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,     0,   522,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   805,   539,   540,
     806,   541,   542,   543,   544,     0,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,     0,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,     0,   578,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,   595,   596,   597,   598,   599,   600,   601,
       0,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,     0,   631,   632,     0,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   807,
     648,     0,   649,   650,   651,   652,   653,     0,   655,   656,
     657,   658,   659,     0,   661,   662,   663,   664,     0,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,   681,   682,     0,   683,   684,
       0,     0,   685,     0,   687,   688,   689,   690,   691,   692,
       0,   693,   694,   695,     0,     0,   697,   698,   699,   700,
     701,     0,   702,   703,   704,   705,   706,   707,   708,   709,
     710,     0,     0,   711,   712,   713,   714,   715,     0,     0,
     716,   717,   718,   719,   720,   808,   721,     0,   722,     0,
     724,   725,   726,   727,     0,     0,   728,     0,     0,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   744,   745,   809,   746,   747,   763,
     764,   765,   766,   767,   768,   769,     0,   770,   771,     0,
       0,   772,   773,   774,   775,   776,   777,     0,   778,   779,
     780,     0,     0,   781,   782,   783,   784,     0,     0,   785,
     786,   787,     0,   788,     0,     0,   789,   790,     0,     0,
       0,   791,   792,     0,     0,     0,     0,   793,     0,     0,
       0,     0,     0,     0,     0,     0,   794,     0,   795,     0,
     796,   797,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,  1163,   350,  1164,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,     0,   361,   362,   363,   364,   365,     0,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,   799,   378,   379,     0,   380,   381,   382,   383,
     384,     0,     0,     0,   386,   387,   388,   389,   390,   391,
       0,   393,   394,   395,   800,     0,   396,   397,   398,   399,
     400,   401,  1165,     0,   403,   404,     0,     0,     0,     0,
       0,     0,     0,     0,   408,   409,   410,   411,   802,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,     0,
       0,     0,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   804,   473,   474,     0,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,     0,     0,   499,
       0,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,     0,   522,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   805,   539,   540,   806,   541,   542,
     543,   544,     0,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,     0,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,     0,   578,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
     595,   596,   597,   598,   599,   600,   601,     0,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   617,  1166,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,     0,   631,
     632,     0,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,   807,   648,  1167,   649,
     650,   651,   652,   653,     0,   655,   656,   657,   658,   659,
       0,   661,   662,   663,   664,     0,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,   681,   682,     0,   683,   684,     0,     0,   685,
       0,   687,   688,   689,   690,   691,   692,     0,   693,   694,
     695,     0,     0,   697,   698,   699,   700,   701,     0,   702,
     703,   704,   705,   706,   707,   708,   709,   710,     0,     0,
     711,   712,   713,   714,   715,     0,     0,   716,   717,   718,
     719,   720,   808,   721,     0,   722,     0,   724,   725,   726,
     727,     0,     0,   728,     0,     0,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   744,   745,   809,   746,   747,   763,   764,   765,   766,
     767,   768,   769,     0,   770,   771,     0,     0,   772,   773,
     774,   775,   776,   777,     0,   778,   779,   780,     0,     0,
     781,   782,   783,   784,     0,     0,   785,   786,   787,     0,
     788,     0,     0,   789,   790,     0,     0,     0,   791,   792,
       0,     0,     0,     0,   793,     0,     0,     0,     0,     0,
       0,     0,     0,   794,     0,   795,     0,   796,   797,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     341,   342,   343,   344,   345,   346,   347,   348,   349,  3583,
     350,   351,   352,     0,     0,     0,     0,     0,     0,     0,
     353,   354,   355,     0,   356,   357,   358,   359,     0,   361,
     362,   363,   364,   365,     0,   367,   368,     0,   369,   370,
     371,   372,   373,   374,   375,     0,     0,   376,   377,   799,
     378,   379,     0,   380,   381,   382,   383,   384,     0,     0,
       0,   386,   387,   388,   389,   390,   391,     0,   393,   394,
     395,   800,     0,   396,   397,   398,   399,   400,   401,     0,
       0,   403,   404,     0,     0,     0,     0,  3411,     0,     0,
       0,   408,   409,   410,   411,   802,   412,   413,   414,   415,
       0,   416,     0,   417,   418,   419,   420,   421,   422,   423,
       0,   424,   425,   426,   427,     0,     0,   428,   429,   430,
     431,   432,     0,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,     0,   451,     0,   452,   453,   454,   455,
     456,     0,   457,     0,   458,   459,     0,     0,     0,   462,
     463,   464,   465,     0,   466,   467,     0,   468,   469,   470,
       0,   471,   472,   804,   473,   474,     0,   476,   477,   478,
     479,     0,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488,     0,   490,     0,   491,   492,   493,     0,   494,
       0,   495,     0,   496,     0,     0,   499,     0,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,   520,
       0,   522,     0,     0,   524,   525,   526,     0,     0,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   805,   539,   540,   806,   541,   542,   543,   544,     0,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,     0,   558,   559,     0,   561,     0,   562,   563,
     564,   565,   566,   567,     0,   568,   569,   570,     0,  1243,
     571,   572,   573,     0,     0,   574,   575,   576,     0,   578,
       0,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,   595,   596,   597,
     598,   599,   600,   601,     0,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,     0,   631,   632,     0,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   807,   648,     0,   649,   650,   651,   652,
     653,     0,   655,   656,   657,   658,   659,     0,   661,   662,
     663,   664,     0,   665,   666,   667,   668,   669,   670,   671,
     672,   673,   674,   675,   676,   677,   678,   679,   680,   681,
     682,     0,   683,   684,     0,  3412,  3413,     0,   687,   688,
     689,   690,   691,   692,     0,   693,   694,   695,     0,     0,
     697,   698,   699,   700,   701,     0,   702,   703,   704,   705,
     706,   707,   708,   709,   710,     0,     0,   711,   712,   713,
     714,   715,     0,     0,   716,   717,   718,   719,   720,   808,
     721,     0,   722,     0,   724,   725,   726,   727,     0,     0,
     728,     0,     0,   729,   730,   731,   732,   733,   734,   735,
     736,   737,   738,   739,   740,   741,   742,   743,   744,   745,
     809,   746,   747,   763,   764,   765,   766,   767,   768,   769,
    1060,   770,   771,     0,     0,   772,   773,   774,   775,   776,
     777,     0,   778,   779,   780,     0,     0,   781,   782,   783,
     784,     0,     0,   785,   786,   787,     0,   788,     0,     0,
     789,   790,     0,     0,     0,   791,   792,     0,     0,     0,
       0,   793,     0,     0,     0,     0,     0,     0,     0,     0,
     794,     0,   795,     0,   796,   797,    35,   340,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,  1061,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,     0,   361,   362,   363,   364,
     365,     0,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,   799,   378,   379,     0,
     380,   381,   382,   383,   384,     0,     0,     0,   386,   387,
     388,   389,   390,   391,     0,   393,   394,   395,   800,     0,
     396,   397,   398,   399,   400,   401,     0,     0,   403,   404,
       0,     0,     0,     0,     0,     0,     0,     0,   408,   409,
     410,   411,   802,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,     0,     0,     0,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
     804,   473,   474,     0,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,     0,     0,   499,     0,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,     0,   522,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   805,   539,
     540,   806,   541,   542,   543,   544,     0,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,     0,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,     0,   578,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,  1062,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,     0,   631,   632,     0,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
     807,   648,     0,   649,   650,   651,   652,   653,     0,   655,
     656,   657,   658,   659,     0,   661,   662,   663,   664,     0,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,     0,   683,
     684,     0,     0,   685,     0,   687,   688,   689,   690,   691,
     692,     0,   693,   694,   695,     0,     0,   697,   698,   699,
     700,   701,     0,   702,   703,   704,   705,   706,   707,   708,
     709,   710,     0,     0,   711,   712,   713,   714,   715,     0,
       0,   716,   717,   718,   719,   720,   808,   721,     0,   722,
       0,   724,   725,   726,   727,     0,     0,   728,     0,     0,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   744,   745,   809,   746,   747,
     763,   764,   765,   766,   767,   768,   769,     0,   770,   771,
       0,     0,   772,   773,   774,   775,   776,   777,     0,   778,
     779,   780,     0,     0,   781,   782,   783,   784,     0,     0,
     785,   786,   787,     0,   788,     0,     0,   789,   790,     0,
       0,     0,   791,   792,     0,     0,     0,     0,   793,     0,
       0,     0,     0,     0,     0,     0,     0,   794,     0,   795,
       0,   796,   797,    35,   340,     0,     0,    37,     0,     0,
      39,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   341,   342,   343,   344,   345,   346,
     347,   348,   349,     0,   350,   351,   352,     0,     0,     0,
       0,     0,     0,     0,   353,   354,   355,     0,   356,   357,
     358,   359,     0,   361,   362,   363,   364,   365,     0,   367,
     368,     0,   369,   370,   371,   372,   373,   374,   375,     0,
       0,   376,   377,   799,   378,   379,     0,   380,   381,   382,
     383,   384,     0,     0,     0,   386,   387,   388,   389,   390,
     391,     0,   393,   394,   395,   800,     0,   396,   397,   398,
     399,   400,   401,     0,     0,   403,   404,     0,     0,     0,
       0,     0,     0,     0,     0,   408,   409,   410,   411,   802,
     412,   413,   414,   415,  1305,   416,     0,   417,   418,   419,
     420,   421,   422,   423,     0,   424,   425,   426,   427,     0,
       0,   428,   429,   430,   431,   432,     0,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,     0,   451,     0,
     452,   453,   454,   455,   456,     0,   457,     0,   458,   459,
       0,     0,     0,   462,   463,   464,   465,     0,   466,   467,
       0,   468,   469,   470,     0,   471,   472,   804,   473,   474,
       0,   476,   477,   478,   479,     0,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,     0,   490,     0,   491,
     492,   493,     0,   494,     0,   495,     0,   496,     0,     0,
     499,     0,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,   520,     0,   522,     0,     0,   524,   525,
     526,     0,     0,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   805,   539,   540,   806,   541,
     542,   543,   544,     0,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,     0,   558,   559,     0,
     561,     0,   562,   563,   564,   565,   566,   567,     0,   568,
     569,   570,     0,     0,   571,   572,   573,     0,     0,   574,
     575,   576,     0,   578,     0,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,   595,   596,   597,   598,   599,   600,   601,     0,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,     0,
     631,   632,     0,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,   807,   648,     0,
     649,   650,   651,   652,   653,     0,   655,   656,   657,   658,
     659,     0,   661,   662,   663,   664,     0,   665,   666,   667,
     668,   669,   670,   671,   672,   673,   674,   675,   676,   677,
     678,   679,   680,   681,   682,     0,   683,   684,     0,     0,
     685,     0,   687,   688,   689,   690,   691,   692,     0,   693,
     694,   695,     0,     0,   697,   698,   699,   700,   701,     0,
     702,   703,   704,   705,   706,   707,   708,   709,   710,     0,
       0,   711,   712,   713,   714,   715,     0,     0,   716,   717,
     718,   719,   720,   808,   721,     0,   722,     0,   724,   725,
     726,   727,     0,     0,   728,     0,     0,   729,   730,   731,
     732,   733,   734,   735,   736,   737,   738,   739,   740,   741,
     742,   743,   744,   745,   809,   746,   747,   763,   764,   765,
     766,   767,   768,   769,     0,   770,   771,     0,     0,   772,
     773,   774,   775,   776,   777,     0,   778,   779,   780,     0,
       0,   781,   782,   783,   784,     0,     0,   785,   786,   787,
       0,   788,     0,     0,   789,   790,     0,     0,     0,   791,
     792,     0,     0,     0,     0,   793,     0,     0,     0,     0,
       0,     0,     0,     0,   794,     0,   795,     0,   796,   797,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
    2481,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,     0,
     361,   362,   363,   364,   365,     0,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
     799,   378,   379,     0,   380,   381,   382,   383,   384,     0,
       0,     0,   386,   387,   388,   389,   390,   391,     0,   393,
     394,   395,   800,     0,   396,   397,   398,   399,   400,   401,
       0,     0,   403,   404,     0,     0,     0,     0,     0,     0,
       0,     0,   408,   409,   410,  2482,   802,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,  2483,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,  2484,   458,   459,     0,     0,     0,
    2485,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,   804,   473,   474,     0,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,     0,     0,   499,     0,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,  2486,  2487,   518,     0,     0,   519,
     520,     0,   522,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   805,   539,   540,   806,   541,   542,   543,   544,
       0,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,     0,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,     0,
     578,     0,   580,   581,   582,   583,   584,  2488,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,   595,   596,
     597,   598,   599,   600,   601,     0,   602,   603,   604,  2489,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,     0,   631,   632,     0,
     634,   635,   636,  2490,   638,   639,   640,   641,   642,   643,
    2491,   645,   646,   647,   807,   648,     0,  2492,   650,   651,
     652,   653,     0,   655,   656,   657,   658,   659,     0,   661,
     662,   663,   664,     0,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
     681,   682,     0,   683,   684,     0,  2493,   685,     0,  2494,
     688,   689,   690,   691,   692,     0,   693,   694,   695,     0,
       0,   697,   698,   699,   700,   701,     0,   702,   703,  2495,
     705,   706,   707,   708,   709,   710,     0,     0,   711,   712,
     713,   714,   715,     0,     0,   716,   717,   718,   719,   720,
     808,   721,     0,   722,     0,   724,   725,   726,   727,     0,
       0,   728,     0,     0,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   809,   746,   747,   763,   764,   765,   766,   767,   768,
     769,     0,   770,   771,     0,     0,   772,   773,   774,   775,
     776,   777,     0,   778,   779,   780,     0,     0,   781,   782,
     783,   784,     0,     0,   785,   786,   787,     0,   788,     0,
       0,   789,   790,     0,     0,     0,   791,   792,     0,     0,
       0,     0,   793,     0,     0,     0,     0,     0,     0,     0,
       0,   794,     0,   795,     0,   796,   797,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,  1164,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,     0,   361,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,   799,   378,   379,
       0,   380,   381,   382,   383,   384,     0,     0,     0,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,   800,
       0,   396,   397,   398,   399,   400,   401,  1165,     0,   403,
     404,     0,     0,     0,     0,     0,     0,     0,     0,   408,
     409,   410,   411,   802,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   804,   473,   474,     0,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499,     0,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,     0,   522,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   805,
     539,   540,   806,   541,   542,   543,   544,     0,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,   595,   596,   597,   598,   599,
     600,   601,     0,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,   617,  1166,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,     0,   631,   632,     0,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,   807,   648,  1167,   649,   650,   651,   652,   653,     0,
     655,   656,   657,   658,   659,     0,   661,   662,   663,   664,
       0,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,   681,   682,     0,
     683,   684,     0,     0,   685,     0,   687,   688,   689,   690,
     691,   692,     0,   693,   694,   695,     0,     0,   697,   698,
     699,   700,   701,     0,   702,   703,   704,   705,   706,   707,
     708,   709,   710,     0,     0,   711,   712,   713,   714,   715,
       0,     0,   716,   717,   718,   719,   720,   808,   721,     0,
     722,     0,   724,   725,   726,   727,     0,     0,   728,     0,
       0,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   744,   745,   809,   746,
     747,   763,   764,   765,   766,   767,   768,   769,     0,   770,
     771,     0,     0,   772,   773,   774,   775,   776,   777,     0,
     778,   779,   780,     0,     0,   781,   782,   783,   784,     0,
       0,   785,   786,   787,     0,   788,     0,     0,   789,   790,
       0,     0,     0,   791,   792,     0,     0,     0,     0,   793,
       0,     0,     0,     0,     0,     0,     0,     0,   794,     0,
     795,     0,   796,   797,    35,     0,     0,     0,    37,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   341,   342,   343,   344,   345,
     346,   347,   348,   349,     0,   350,   351,   352,     0,     0,
       0,     0,     0,     0,     0,   353,   354,   355,     0,   356,
     357,   358,   359,     0,   361,   362,   363,   364,   365,     0,
     367,   368,     0,   369,   370,   371,   372,   373,   374,   375,
       0,     0,   376,   377,   799,   378,   379,     0,   380,   381,
     382,   383,   384,     0,     0,     0,   386,   387,   388,   389,
     390,   391,     0,   393,   394,   395,   800,     0,   396,   397,
     398,   399,   400,   401,     0,     0,   403,   404,     0,     0,
       0,     0,  3411,     0,     0,     0,   408,   409,   410,   411,
     802,   412,   413,   414,   415,     0,   416,     0,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,   426,   427,
       0,     0,   428,   429,   430,   431,   432,     0,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,     0,   451,
       0,   452,   453,   454,   455,   456,     0,   457,     0,   458,
     459,     0,     0,     0,   462,   463,   464,   465,     0,   466,
     467,     0,   468,   469,   470,     0,   471,   472,   804,   473,
     474,     0,   476,   477,   478,   479,     0,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,     0,   490,     0,
     491,   492,   493,     0,   494,     0,   495,     0,   496,     0,
       0,   499,     0,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,   520,     0,   522,     0,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   805,   539,   540,   806,
     541,   542,   543,   544,     0,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,     0,   558,   559,
       0,   561,     0,   562,   563,   564,   565,   566,   567,     0,
     568,   569,   570,     0,  1243,   571,   572,   573,     0,     0,
     574,   575,   576,     0,   578,     0,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   595,   596,   597,   598,   599,   600,   601,     0,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
       0,   631,   632,     0,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,   807,   648,
       0,   649,   650,   651,   652,   653,     0,   655,   656,   657,
     658,   659,     0,   661,   662,   663,   664,     0,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   674,   675,   676,
     677,   678,   679,   680,   681,   682,     0,   683,   684,     0,
    3412,  3413,     0,   687,   688,   689,   690,   691,   692,     0,
     693,   694,   695,     0,     0,   697,   698,   699,   700,   701,
       0,   702,   703,   704,   705,   706,   707,   708,   709,   710,
       0,     0,   711,   712,   713,   714,   715,     0,     0,   716,
     717,   718,   719,   720,   808,   721,     0,   722,     0,   724,
     725,   726,   727,     0,     0,   728,     0,     0,   729,   730,
     731,   732,   733,   734,   735,   736,   737,   738,   739,   740,
     741,   742,   743,   744,   745,   809,   746,   747,   763,   764,
     765,   766,   767,   768,   769,  2470,   770,   771,     0,     0,
     772,   773,   774,   775,   776,   777,     0,   778,   779,   780,
       0,     0,   781,   782,   783,   784,     0,     0,   785,   786,
     787,     0,   788,     0,     0,   789,   790,     0,     0,     0,
     791,   792,     0,     0,     0,     0,   793,     0,     0,     0,
       0,     0,     0,     0,     0,   794,     0,   795,     0,   796,
     797,    35,   340,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
       0,   361,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,   799,   378,   379,     0,   380,   381,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,   800,     0,   396,   397,   398,   399,   400,
     401,     0,     0,   403,   404,     0,     0,     0,     0,     0,
       0,     0,     0,   408,   409,   410,   411,   802,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,     0,     0,
       0,   462,   463,   464,  3959,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   804,   473,   474,     0,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,     0,   522,     0,     0,   524,   525,  3960,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   805,   539,   540,   806,   541,   542,   543,
     544,     0,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,     0,   631,   632,
       0,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,   807,   648,     0,   649,   650,
     651,   652,   653,     0,   655,   656,   657,   658,   659,     0,
     661,   662,   663,   664,     0,   665,   666,  3209,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,   681,   682,     0,   683,   684,     0,  3961,   685,     0,
     687,   688,  3962,   690,  3963,   692,     0,   693,   694,   695,
       0,     0,   697,   698,   699,   700,   701,     0,   702,   703,
     704,   705,   706,   707,   708,   709,   710,     0,     0,   711,
     712,  3964,   714,   715,     0,     0,   716,   717,   718,   719,
     720,   808,   721,     0,   722,     0,   724,   725,   726,   727,
       0,     0,   728,     0,     0,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     744,   745,   809,   746,   747,   763,   764,   765,   766,   767,
     768,   769,     0,   770,   771,     0,     0,   772,   773,   774,
     775,   776,   777,     0,   778,   779,   780,     0,     0,   781,
     782,   783,   784,     0,     0,   785,   786,   787,     0,   788,
       0,     0,   789,   790,     0,     0,     0,   791,   792,     0,
       0,     0,     0,   793,     0,     0,     0,     0,     0,     0,
       0,     0,   794,     0,   795,     0,   796,   797,    35,   340,
       0,     0,    37,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   825,   350,
     351,   352,     0,     0,     0,     0,     0,     0,     0,   353,
     354,   355,     0,   356,   357,   358,   359,     0,   361,   362,
     363,   364,   365,     0,   367,   368,     0,   369,   370,   371,
     372,   373,   374,   375,     0,     0,   376,   377,   799,   378,
     379,     0,   380,   381,   382,   383,   384,     0,     0,     0,
     386,   387,   388,   389,   390,   391,     0,   393,   394,   395,
     800,     0,   396,   397,   398,   399,   400,   401,     0,     0,
     403,   404,     0,     0,     0,     0,     0,     0,     0,     0,
     408,   409,   410,   411,   802,   412,   413,   414,   415,     0,
     416,     0,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,     0,     0,   428,   429,   430,   431,
     432,     0,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,     0,   451,     0,   452,   453,   454,   455,   456,
       0,   457,     0,   458,   459,     0,     0,     0,   462,   463,
     464,   465,     0,   466,   467,     0,   468,   469,   470,     0,
     471,   472,   804,   473,   474,     0,   476,   477,   478,   479,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   490,     0,   491,   492,   493,     0,   494,     0,
     495,     0,   496,     0,     0,   499,     0,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,     0,
     522,     0,     0,   524,   525,   526,     0,     0,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     805,   539,   540,   806,   541,   542,   543,   544,     0,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,     0,   558,   559,     0,   561,     0,   562,   563,   564,
     565,   566,   567,     0,   568,   569,   570,     0,     0,   571,
     572,   573,     0,     0,   574,   575,   576,     0,   578,     0,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,   595,   596,   597,   598,
     599,   600,   601,     0,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,     0,   631,   632,     0,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,   807,   648,     0,   649,   650,   651,   652,   653,
       0,   655,   656,   657,   658,   659,     0,   661,   662,   663,
     664,     0,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,   679,   680,   681,   682,
       0,   683,   684,     0,     0,   685,     0,   687,   688,   689,
     690,   691,   692,     0,   693,   694,   695,     0,     0,   697,
     698,   699,   700,   701,     0,   702,   703,   704,   705,   706,
     707,   708,   709,   710,     0,     0,   711,   712,   713,   714,
     715,     0,     0,   716,   717,   718,   719,   720,   808,   721,
       0,   722,     0,   724,   725,   726,   727,     0,     0,   728,
       0,     0,   729,   730,   731,   732,   733,   734,   735,   736,
     737,   738,   739,   740,   741,   742,   743,   744,   745,   809,
     746,   747,   763,   764,   765,   766,   767,   768,   769,     0,
     770,   771,     0,     0,   772,   773,   774,   775,   776,   777,
       0,   778,   779,   780,     0,     0,   781,   782,   783,   784,
       0,     0,   785,   786,   787,     0,   788,     0,     0,   789,
     790,     0,     0,     0,   791,   792,     0,     0,     0,     0,
     793,     0,     0,     0,     0,     0,     0,     0,     0,   794,
       0,   795,     0,   796,   797,    35,   340,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,     0,   361,   362,   363,   364,   365,
       0,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,   376,   377,   799,   378,   379,     0,   380,
     381,   382,   383,   384,     0,     0,     0,   386,   387,   388,
     389,   390,   391,     0,   393,   394,   395,   800,     0,   396,
     397,   398,   399,   400,   401,     0,     0,   403,   404,     0,
       0,     0,     0,     0,     0,     0,     0,   408,   409,   410,
     411,   802,   412,   413,   414,   415,   803,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,     0,
     451,     0,   452,   453,   454,   455,   456,     0,   457,     0,
     458,   459,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,   804,
     473,   474,     0,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
       0,     0,   499,     0,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,     0,   522,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   805,   539,   540,
     806,   541,   542,   543,   544,     0,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,     0,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,     0,   578,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,   595,   596,   597,   598,   599,   600,   601,
       0,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,     0,   631,   632,     0,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   807,
     648,     0,   649,   650,   651,   652,   653,     0,   655,   656,
     657,   658,   659,     0,   661,   662,   663,   664,     0,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,   681,   682,     0,   683,   684,
       0,     0,   685,     0,   687,   688,   689,   690,   691,   692,
       0,   693,   694,   695,     0,     0,   697,   698,   699,   700,
     701,     0,   702,   703,   704,   705,   706,   707,   708,   709,
     710,     0,     0,   711,   712,   713,   714,   715,     0,     0,
     716,   717,   718,   719,   720,   808,   721,     0,   722,     0,
     724,   725,   726,   727,     0,     0,   728,     0,     0,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   744,   745,   809,   746,   747,   763,
     764,   765,   766,   767,   768,   769,     0,   770,   771,     0,
       0,   772,   773,   774,   775,   776,   777,     0,   778,   779,
     780,     0,     0,   781,   782,   783,   784,     0,     0,   785,
     786,   787,     0,   788,     0,     0,   789,   790,     0,     0,
       0,   791,   792,     0,     0,     0,     0,   793,     0,     0,
       0,     0,     0,     0,     0,     0,   794,     0,   795,     0,
     796,   797,    35,   340,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,  1007,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,     0,   361,   362,   363,   364,   365,     0,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,   799,   378,   379,     0,   380,   381,   382,   383,
     384,     0,     0,     0,   386,   387,   388,   389,   390,   391,
       0,   393,   394,   395,   800,     0,   396,   397,   398,   399,
     400,   401,     0,     0,   403,   404,     0,     0,     0,     0,
       0,     0,     0,     0,   408,   409,   410,   411,   802,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,     0,
       0,     0,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   804,   473,   474,     0,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,     0,     0,   499,
       0,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,     0,   522,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   805,   539,   540,   806,   541,   542,
     543,   544,     0,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,     0,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,     0,   578,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
     595,   596,   597,   598,   599,   600,   601,     0,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,     0,   631,
     632,     0,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,   807,   648,     0,   649,
     650,   651,   652,   653,     0,   655,   656,   657,   658,   659,
       0,   661,   662,   663,   664,     0,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,   681,   682,     0,   683,   684,     0,     0,   685,
       0,   687,   688,   689,   690,   691,   692,     0,   693,   694,
     695,     0,     0,   697,   698,   699,   700,   701,     0,   702,
     703,   704,   705,   706,   707,   708,   709,   710,     0,     0,
     711,   712,   713,   714,   715,     0,     0,   716,   717,   718,
     719,   720,   808,   721,     0,   722,     0,   724,   725,   726,
     727,     0,     0,   728,     0,     0,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   744,   745,   809,   746,   747,   763,   764,   765,   766,
     767,   768,   769,     0,   770,   771,     0,     0,   772,   773,
     774,   775,   776,   777,     0,   778,   779,   780,     0,     0,
     781,   782,   783,   784,     0,     0,   785,   786,   787,     0,
     788,     0,     0,   789,   790,     0,     0,     0,   791,   792,
       0,     0,     0,     0,   793,     0,     0,     0,     0,     0,
       0,     0,     0,   794,     0,   795,     0,   796,   797,    35,
     340,     0,     0,    37,     0,     0,    39,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     341,   342,   343,   344,   345,   346,   347,   348,   349,     0,
     350,   351,   352,     0,     0,     0,     0,     0,     0,     0,
     353,   354,   355,     0,   356,   357,   358,   359,     0,   361,
     362,   363,   364,   365,     0,   367,   368,     0,   369,   370,
     371,   372,   373,   374,   375,     0,     0,   376,   377,   799,
     378,   379,     0,   380,   381,   382,   383,   384,     0,     0,
       0,   386,   387,   388,   389,   390,   391,     0,   393,   394,
     395,   800,     0,   396,   397,   398,   399,   400,   401,     0,
       0,   403,   404,     0,     0,     0,     0,     0,     0,     0,
       0,   408,   409,   410,   411,   802,   412,   413,   414,   415,
       0,   416,     0,   417,   418,   419,   420,   421,   422,   423,
       0,   424,   425,   426,   427,     0,     0,   428,   429,   430,
     431,   432,     0,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,     0,   451,     0,   452,   453,   454,   455,
     456,     0,   457,     0,   458,   459,     0,     0,     0,   462,
     463,   464,   465,     0,   466,   467,     0,   468,   469,   470,
       0,   471,   472,   804,   473,   474,     0,   476,   477,   478,
     479,     0,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488,     0,   490,     0,   491,   492,   493,     0,   494,
       0,   495,     0,   496,     0,     0,   499,     0,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,   520,
       0,   522,     0,     0,   524,   525,   526,     0,     0,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   805,   539,   540,   806,   541,   542,   543,   544,     0,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,     0,   558,   559,     0,   561,     0,   562,   563,
     564,   565,   566,   567,     0,   568,   569,   570,     0,     0,
     571,   572,   573,     0,     0,   574,   575,   576,     0,   578,
       0,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,   595,   596,   597,
     598,   599,   600,   601,     0,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,     0,   631,   632,     0,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   807,   648,     0,   649,   650,   651,   652,
     653,     0,   655,   656,   657,   658,   659,     0,   661,   662,
     663,   664,     0,   665,   666,   667,   668,   669,   670,   671,
     672,   673,   674,   675,   676,   677,   678,   679,   680,   681,
     682,     0,   683,   684,     0,     0,   685,     0,   687,   688,
     689,   690,   691,   692,     0,   693,   694,   695,     0,     0,
     697,   698,   699,   700,   701,     0,   702,   703,   704,   705,
     706,   707,   708,   709,   710,     0,     0,   711,   712,   713,
     714,   715,     0,     0,   716,   717,   718,   719,   720,   808,
     721,     0,   722,     0,   724,   725,   726,   727,     0,     0,
     728,     0,     0,   729,   730,   731,   732,   733,   734,   735,
     736,   737,   738,   739,   740,   741,   742,   743,   744,   745,
     809,   746,   747,   763,   764,   765,   766,   767,   768,   769,
       0,   770,   771,     0,     0,   772,   773,   774,   775,   776,
     777,     0,   778,   779,   780,     0,     0,   781,   782,   783,
     784,     0,     0,   785,   786,   787,     0,   788,     0,     0,
     789,   790,     0,     0,     0,   791,   792,     0,     0,     0,
       0,   793,     0,     0,     0,     0,     0,     0,     0,     0,
     794,     0,   795,     0,   796,   797,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,  1407,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,     0,   361,   362,   363,   364,
     365,     0,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,   799,   378,   379,     0,
     380,   381,   382,   383,   384,     0,     0,     0,   386,   387,
     388,   389,   390,   391,     0,   393,   394,   395,   800,     0,
     396,   397,   398,   399,   400,   401,     0,     0,   403,   404,
       0,     0,     0,     0,     0,     0,     0,     0,   408,   409,
     410,   411,   802,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,     0,     0,     0,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
     804,   473,  1408,     0,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,     0,     0,   499,     0,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,     0,   522,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   805,   539,
     540,   806,   541,   542,   543,   544,     0,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,     0,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,  1243,   571,   572,   573,
       0,     0,   574,   575,   576,     0,   578,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,     0,   631,   632,     0,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
     807,   648,     0,   649,   650,   651,   652,   653,     0,   655,
     656,   657,   658,   659,     0,   661,   662,   663,   664,     0,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,     0,   683,
     684,     0,     0,   685,     0,   687,   688,   689,   690,   691,
     692,     0,   693,   694,   695,     0,     0,   697,   698,   699,
     700,   701,     0,   702,   703,   704,   705,   706,   707,   708,
     709,   710,     0,     0,   711,   712,   713,   714,   715,     0,
       0,   716,   717,   718,   719,   720,   808,   721,     0,   722,
       0,   724,   725,   726,   727,     0,     0,   728,     0,     0,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   744,   745,   809,   746,   747,
     763,   764,   765,   766,   767,   768,   769,     0,   770,   771,
       0,     0,   772,   773,   774,   775,   776,   777,     0,   778,
     779,   780,     0,     0,   781,   782,   783,   784,     0,     0,
     785,   786,   787,     0,   788,     0,     0,   789,   790,     0,
       0,     0,   791,   792,     0,     0,     0,     0,   793,     0,
       0,     0,     0,     0,     0,     0,     0,   794,     0,   795,
       0,   796,   797,    35,   340,     0,     0,    37,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   341,   342,   343,   344,   345,   346,
     347,   348,   349,  1533,   350,   351,   352,     0,     0,     0,
       0,     0,     0,     0,   353,   354,   355,     0,   356,   357,
     358,   359,     0,   361,   362,   363,   364,   365,     0,   367,
     368,     0,   369,   370,   371,   372,   373,   374,   375,     0,
       0,   376,   377,   799,   378,   379,     0,   380,   381,   382,
     383,   384,     0,     0,     0,   386,   387,   388,   389,   390,
     391,     0,   393,   394,   395,   800,     0,   396,   397,   398,
     399,   400,   401,     0,     0,   403,   404,     0,     0,     0,
       0,     0,     0,     0,     0,   408,   409,   410,   411,   802,
     412,   413,   414,   415,     0,   416,     0,   417,   418,   419,
     420,   421,   422,   423,     0,   424,   425,   426,   427,     0,
       0,   428,   429,   430,   431,   432,     0,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,     0,   451,     0,
     452,   453,   454,   455,   456,     0,   457,     0,   458,   459,
       0,     0,     0,   462,   463,   464,   465,     0,   466,   467,
       0,   468,   469,   470,     0,   471,   472,   804,   473,   474,
       0,   476,   477,   478,   479,     0,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,     0,   490,     0,   491,
     492,   493,     0,   494,     0,   495,     0,   496,     0,     0,
     499,     0,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,   520,     0,   522,     0,     0,   524,   525,
     526,     0,     0,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   805,   539,   540,   806,   541,
     542,   543,   544,     0,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,     0,   558,   559,     0,
     561,     0,   562,   563,   564,   565,   566,   567,     0,   568,
     569,   570,     0,     0,   571,   572,   573,     0,     0,   574,
     575,   576,     0,   578,     0,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,   595,   596,   597,   598,   599,   600,   601,     0,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,     0,
     631,   632,     0,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,   807,   648,     0,
     649,   650,   651,   652,   653,     0,   655,   656,   657,   658,
     659,     0,   661,   662,   663,   664,     0,   665,   666,   667,
     668,   669,   670,   671,   672,   673,   674,   675,   676,   677,
     678,   679,   680,   681,   682,     0,   683,   684,     0,     0,
     685,     0,   687,   688,   689,   690,   691,   692,     0,   693,
     694,   695,     0,     0,   697,   698,   699,   700,   701,     0,
     702,   703,   704,   705,   706,   707,   708,   709,   710,     0,
       0,   711,   712,   713,   714,   715,     0,     0,   716,   717,
     718,   719,   720,   808,   721,     0,   722,     0,   724,   725,
     726,   727,     0,     0,   728,     0,     0,   729,   730,   731,
     732,   733,   734,   735,   736,   737,   738,   739,   740,   741,
     742,   743,   744,   745,   809,   746,   747,   763,   764,   765,
     766,   767,   768,   769,     0,   770,   771,     0,     0,   772,
     773,   774,   775,   776,   777,     0,   778,   779,   780,     0,
       0,   781,   782,   783,   784,     0,     0,   785,   786,   787,
       0,   788,     0,     0,   789,   790,     0,     0,     0,   791,
     792,     0,     0,     0,     0,   793,     0,     0,     0,     0,
       0,     0,     0,     0,   794,     0,   795,     0,   796,   797,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
    4180,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,     0,
     361,   362,   363,   364,   365,     0,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
     799,   378,   379,     0,   380,   381,   382,   383,   384,     0,
       0,     0,   386,   387,   388,   389,   390,   391,     0,   393,
     394,   395,   800,     0,   396,   397,   398,   399,   400,   401,
       0,     0,   403,   404,     0,     0,     0,     0,     0,     0,
       0,     0,   408,   409,   410,   411,   802,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,     0,     0,     0,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,   804,   473,   474,     0,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,     0,     0,   499,     0,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,     0,   522,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   805,   539,   540,   806,   541,   542,   543,   544,
       0,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,     0,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,     0,
     578,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,   595,   596,
     597,   598,   599,   600,   601,     0,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,     0,   631,   632,     0,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   807,   648,     0,   649,   650,   651,
     652,   653,     0,   655,   656,   657,   658,   659,     0,   661,
     662,   663,   664,     0,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
     681,   682,     0,   683,   684,     0,     0,   685,     0,   687,
     688,   689,   690,   691,   692,     0,   693,   694,   695,     0,
       0,   697,   698,   699,   700,   701,     0,   702,   703,   704,
     705,   706,   707,   708,   709,   710,     0,     0,   711,   712,
     713,   714,   715,  4181,     0,   716,   717,   718,   719,   720,
     808,   721,     0,   722,     0,   724,   725,   726,   727,     0,
       0,   728,     0,     0,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   809,   746,   747,   763,   764,   765,   766,   767,   768,
     769,     0,   770,   771,     0,     0,   772,   773,   774,   775,
     776,   777,     0,   778,   779,   780,     0,     0,   781,   782,
     783,   784,     0,     0,   785,   786,   787,     0,   788,     0,
       0,   789,   790,     0,     0,     0,   791,   792,     0,     0,
       0,     0,   793,     0,     0,     0,     0,     0,     0,     0,
       0,   794,     0,   795,     0,   796,   797,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,  4193,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,     0,   361,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,   799,   378,   379,
       0,   380,   381,   382,   383,   384,     0,     0,     0,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,   800,
       0,   396,   397,   398,   399,   400,   401,     0,     0,   403,
     404,     0,     0,     0,     0,     0,     0,     0,     0,   408,
     409,   410,   411,   802,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   804,   473,   474,     0,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499,     0,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,     0,   522,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   805,
     539,   540,   806,   541,   542,   543,   544,     0,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,   595,   596,   597,   598,   599,
     600,   601,     0,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,     0,   631,   632,     0,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,   807,   648,     0,   649,   650,   651,   652,   653,     0,
     655,   656,   657,   658,   659,     0,   661,   662,   663,   664,
       0,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,   681,   682,     0,
     683,   684,     0,     0,   685,     0,   687,   688,   689,   690,
     691,   692,     0,   693,   694,   695,     0,     0,   697,   698,
     699,   700,   701,     0,   702,   703,   704,   705,   706,   707,
     708,   709,   710,     0,     0,   711,   712,   713,   714,   715,
    4194,     0,   716,   717,   718,   719,   720,   808,   721,     0,
     722,     0,   724,   725,   726,   727,     0,     0,   728,     0,
       0,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   744,   745,   809,   746,
     747,   763,   764,   765,   766,   767,   768,   769,     0,   770,
     771,     0,     0,   772,   773,   774,   775,   776,   777,     0,
     778,   779,   780,     0,     0,   781,   782,   783,   784,     0,
       0,   785,   786,   787,     0,   788,     0,     0,   789,   790,
       0,     0,     0,   791,   792,     0,     0,     0,     0,   793,
       0,     0,     0,     0,     0,     0,     0,     0,   794,     0,
     795,     0,   796,   797,    35,   340,     0,     0,    37,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   341,   342,   343,   344,   345,
     346,   347,   348,   349,     0,   350,   351,   352,     0,     0,
       0,     0,     0,     0,     0,   353,   354,   355,     0,   356,
     357,   358,   359,     0,   361,   362,   363,   364,   365,     0,
     367,   368,     0,   369,   370,   371,   372,   373,   374,   375,
       0,     0,   376,   377,   799,   378,   379,     0,   380,   381,
     382,   383,   384,     0,     0,     0,   386,   387,   388,   389,
     390,   391,     0,   393,   394,   395,   800,     0,   396,   397,
     398,   399,   400,   401,     0,     0,   403,   404,     0,     0,
       0,     0,     0,     0,     0,     0,   408,   409,   410,   411,
     802,   412,   413,   414,   415,     0,   416,     0,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,   426,   427,
       0,     0,   428,   429,   430,   431,   432,     0,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,     0,   451,
       0,   452,   453,   454,   455,   456,     0,   457,     0,   458,
     459,     0,     0,     0,   462,   463,   464,   465,     0,   466,
     467,     0,   468,   469,   470,     0,   471,   472,   804,   473,
     474,     0,   476,   477,   478,   479,     0,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,     0,   490,     0,
     491,   492,   493,     0,   494,     0,   495,     0,   496,     0,
       0,   499,     0,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,   520,     0,   522,     0,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   805,   539,   540,   806,
     541,   542,   543,   544,     0,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,     0,   558,   559,
       0,   561,     0,   562,   563,   564,   565,   566,   567,     0,
     568,   569,   570,     0,     0,   571,   572,   573,     0,     0,
     574,   575,   576,     0,   578,     0,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   595,   596,   597,   598,   599,   600,   601,     0,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
       0,   631,   632,     0,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,   807,   648,
       0,   649,   650,   651,   652,   653,     0,   655,   656,   657,
     658,   659,     0,   661,   662,   663,   664,     0,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   674,   675,   676,
     677,   678,   679,   680,   681,   682,     0,   683,   684,     0,
       0,   685,     0,   687,   688,   689,   690,   691,   692,     0,
     693,   694,   695,     0,     0,   697,   698,   699,   700,   701,
       0,   702,   703,   704,   705,   706,   707,   708,   709,   710,
       0,     0,   711,   712,   713,   714,   715,     0,     0,   716,
     717,   718,   719,   720,   808,   721,     0,   722,     0,   724,
     725,   726,   727,     0,     0,   728,     0,     0,   729,   730,
     731,   732,   733,   734,   735,   736,   737,   738,   739,   740,
     741,   742,   743,   744,   745,   809,   746,   747,   763,   764,
     765,   766,   767,   768,   769,     0,   770,   771,     0,     0,
     772,   773,   774,   775,   776,   777,     0,   778,   779,   780,
       0,     0,   781,   782,   783,   784,     0,     0,   785,   786,
     787,     0,   788,     0,     0,   789,   790,     0,     0,     0,
     791,   792,     0,     0,     0,     0,   793,     0,     0,     0,
       0,     0,     0,     0,     0,   794,     0,   795,     0,   796,
     797,    35,   340,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
       0,   361,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,   799,   378,   379,     0,   380,   381,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,   800,     0,   396,   397,   398,   399,   400,
     401,     0,     0,   403,   404,     0,     0,     0,     0,     0,
       0,     0,     0,   408,   409,   410,   411,   802,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   804,   473,   474,     0,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,     0,   522,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   805,   539,   540,   806,   541,   542,   543,
     544,     0,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,     0,   631,   632,
       0,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,   807,   648,     0,   649,   650,
     651,   652,   653,     0,   655,   656,   657,   658,   659,     0,
     661,   662,   663,   664,     0,   665,   666,   667,   668,   669,
     670,  1067,   672,   673,   674,   675,   676,   677,   678,   679,
     680,   681,   682,     0,   683,   684,     0,     0,   685,     0,
     687,   688,   689,   690,   691,   692,     0,   693,   694,   695,
       0,     0,   697,   698,   699,   700,   701,     0,   702,   703,
     704,   705,   706,   707,   708,   709,   710,     0,     0,   711,
     712,   713,   714,   715,     0,     0,   716,   717,   718,   719,
     720,   808,   721,     0,   722,     0,   724,   725,   726,   727,
       0,     0,   728,     0,     0,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     744,   745,   809,   746,   747,   763,   764,   765,   766,   767,
     768,   769,     0,   770,   771,     0,     0,   772,   773,   774,
     775,   776,   777,     0,   778,   779,   780,     0,     0,   781,
     782,   783,   784,     0,     0,   785,   786,   787,     0,   788,
       0,     0,   789,   790,     0,     0,     0,   791,   792,     0,
       0,     0,     0,   793,     0,     0,     0,     0,     0,     0,
       0,     0,   794,     0,   795,     0,   796,   797,    35,   340,
       0,     0,    37,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   341,
     342,   343,   344,   345,   346,   347,   348,   349,     0,   350,
     351,   352,     0,     0,     0,     0,     0,     0,     0,   353,
     354,   355,     0,   356,   357,   358,   359,     0,   361,   362,
     363,   364,   365,     0,   367,   368,     0,   369,   370,   371,
     372,   373,   374,   375,     0,     0,   376,   377,   799,   378,
     379,     0,   380,   381,   382,   383,   384,     0,     0,     0,
     386,   387,   388,   389,   390,   391,     0,   393,   394,   395,
     800,     0,   396,   397,   398,   399,   400,   401,     0,     0,
     403,   404,     0,     0,     0,     0,     0,     0,     0,     0,
     408,   409,   410,   411,   802,   412,   413,   414,   415,     0,
     416,     0,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,     0,     0,   428,   429,   430,   431,
     432,     0,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,     0,   451,     0,   452,   453,   454,   455,   456,
       0,   457,     0,   458,   459,     0,     0,     0,   462,   463,
     464,   465,     0,   466,   467,     0,   468,   469,   470,     0,
     471,   472,   804,   473,   474,     0,  1124,   477,   478,   479,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   490,     0,   491,   492,   493,     0,   494,     0,
     495,     0,   496,     0,     0,   499,     0,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,     0,
     522,     0,     0,   524,   525,   526,     0,     0,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     805,   539,   540,   806,   541,   542,   543,   544,     0,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,     0,   558,   559,     0,   561,     0,   562,   563,   564,
     565,   566,   567,     0,   568,   569,   570,     0,     0,   571,
     572,   573,     0,     0,   574,   575,   576,     0,   578,     0,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,   595,   596,   597,   598,
     599,   600,   601,     0,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,     0,   631,   632,     0,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,   807,   648,     0,   649,   650,   651,   652,   653,
       0,   655,   656,   657,   658,   659,     0,   661,   662,   663,
     664,     0,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,   679,   680,   681,   682,
       0,   683,   684,     0,     0,   685,     0,   687,   688,   689,
     690,   691,   692,     0,   693,   694,   695,     0,     0,   697,
     698,   699,   700,   701,     0,   702,   703,   704,   705,   706,
     707,   708,   709,   710,     0,     0,   711,   712,   713,   714,
     715,     0,     0,   716,   717,   718,   719,   720,   808,   721,
       0,   722,     0,   724,   725,   726,   727,     0,     0,   728,
       0,     0,   729,   730,   731,   732,   733,   734,   735,   736,
     737,   738,   739,   740,   741,   742,   743,   744,   745,   809,
     746,   747,   763,   764,   765,   766,   767,   768,   769,     0,
     770,   771,     0,     0,   772,   773,   774,   775,   776,   777,
       0,   778,   779,   780,     0,     0,   781,   782,   783,   784,
       0,     0,   785,   786,   787,     0,   788,     0,     0,   789,
     790,     0,     0,     0,   791,   792,     0,     0,     0,     0,
     793,     0,     0,     0,     0,     0,     0,     0,     0,   794,
       0,   795,     0,   796,   797,    35,   340,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,     0,   361,   362,   363,   364,   365,
       0,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,   376,   377,   799,   378,   379,     0,   380,
     381,   382,   383,   384,     0,     0,     0,   386,   387,   388,
     389,   390,   391,     0,   393,   394,   395,   800,     0,   396,
     397,   398,   399,   400,   401,     0,     0,   403,   404,     0,
       0,     0,     0,     0,     0,     0,     0,   408,   409,   410,
     411,   802,   412,   413,   414,   415,     0,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,     0,
     451,     0,   452,   453,   454,   455,   456,     0,   457,     0,
     458,   459,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,   804,
     473,   474,     0,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
       0,     0,   499,     0,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,     0,   522,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   805,   539,   540,
     806,   541,   542,   543,   544,     0,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,     0,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,     0,   578,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,   595,   596,   597,   598,   599,   600,   601,
       0,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,     0,   631,   632,     0,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   807,
     648,     0,   649,   650,   651,   652,   653,     0,   655,   656,
     657,   658,   659,     0,   661,   662,   663,   664,     0,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,   681,   682,     0,   683,   684,
       0,     0,   685,     0,   687,   688,   689,   690,   691,   692,
       0,   693,   694,   695,     0,     0,  1184,   698,   699,   700,
     701,     0,   702,   703,   704,   705,   706,   707,   708,   709,
     710,     0,     0,   711,   712,   713,   714,   715,     0,     0,
     716,   717,   718,   719,   720,   808,   721,     0,   722,     0,
     724,   725,   726,   727,     0,     0,   728,     0,     0,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   744,   745,   809,   746,   747,   763,
     764,   765,   766,   767,   768,   769,     0,   770,   771,     0,
       0,   772,   773,   774,   775,   776,   777,     0,   778,   779,
     780,     0,     0,   781,   782,   783,   784,     0,     0,   785,
     786,   787,     0,   788,     0,     0,   789,   790,     0,     0,
       0,   791,   792,     0,     0,     0,     0,   793,     0,     0,
       0,     0,     0,     0,     0,     0,   794,     0,   795,     0,
     796,   797,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,     0,   361,   362,   363,   364,   365,     0,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,   799,   378,   379,     0,   380,   381,   382,   383,
     384,     0,     0,     0,   386,   387,   388,   389,   390,   391,
       0,   393,   394,   395,   800,     0,   396,   397,   398,   399,
     400,   401,     0,     0,   403,   404,     0,     0,     0,     0,
       0,     0,     0,     0,   408,   409,   410,   411,   802,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,     0,
       0,     0,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   804,   473,   474,     0,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,     0,     0,   499,
       0,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,     0,   522,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   805,   539,   540,   806,   541,   542,
     543,   544,     0,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,     0,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,  1243,   571,   572,   573,     0,     0,   574,   575,
     576,     0,   578,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
     595,   596,   597,   598,   599,   600,   601,     0,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,     0,   631,
     632,     0,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,   807,   648,     0,   649,
     650,   651,   652,   653,     0,   655,   656,   657,   658,   659,
       0,   661,   662,   663,   664,     0,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,   681,   682,     0,   683,   684,     0,     0,   685,
       0,   687,   688,   689,   690,   691,   692,     0,   693,   694,
     695,     0,     0,   697,   698,   699,   700,   701,     0,   702,
     703,   704,   705,   706,   707,   708,   709,   710,     0,     0,
     711,   712,   713,   714,   715,     0,     0,   716,   717,   718,
     719,   720,   808,   721,     0,   722,     0,   724,   725,   726,
     727,     0,     0,   728,     0,     0,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   744,   745,   809,   746,   747,   763,   764,   765,   766,
     767,   768,   769,     0,   770,   771,     0,     0,   772,   773,
     774,   775,   776,   777,     0,   778,   779,   780,     0,     0,
     781,   782,   783,   784,     0,     0,   785,   786,   787,     0,
     788,     0,     0,   789,   790,     0,     0,     0,   791,   792,
       0,     0,     0,     0,   793,     0,     0,     0,     0,     0,
       0,     0,     0,   794,     0,   795,     0,   796,   797,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     341,   342,   343,   344,   345,   346,   347,   348,   349,  1364,
     350,   351,   352,     0,     0,     0,     0,     0,     0,     0,
     353,   354,   355,     0,   356,   357,   358,   359,     0,   361,
     362,   363,   364,   365,     0,   367,   368,     0,   369,   370,
     371,   372,   373,   374,   375,     0,     0,   376,   377,   799,
     378,   379,     0,   380,   381,   382,   383,   384,     0,     0,
       0,   386,   387,   388,   389,   390,   391,     0,   393,   394,
     395,   800,     0,   396,   397,   398,   399,   400,   401,     0,
       0,   403,   404,     0,     0,     0,     0,     0,     0,     0,
       0,   408,   409,   410,   411,   802,   412,   413,   414,   415,
       0,   416,     0,   417,   418,   419,   420,   421,   422,   423,
       0,   424,   425,   426,   427,     0,     0,   428,   429,   430,
     431,   432,     0,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,     0,   451,     0,   452,   453,   454,   455,
     456,     0,   457,     0,   458,   459,     0,     0,     0,   462,
     463,   464,   465,     0,   466,   467,     0,   468,   469,   470,
       0,   471,   472,   804,   473,  1365,     0,   476,   477,   478,
     479,     0,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488,     0,   490,     0,   491,   492,   493,     0,   494,
       0,   495,     0,   496,     0,     0,   499,     0,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,   520,
       0,   522,     0,     0,   524,   525,   526,     0,     0,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   805,   539,   540,   806,   541,   542,   543,   544,     0,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,     0,   558,   559,     0,   561,     0,   562,   563,
     564,   565,   566,   567,     0,   568,   569,   570,     0,     0,
     571,   572,   573,     0,     0,   574,   575,   576,     0,   578,
       0,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,   595,   596,   597,
     598,   599,   600,   601,     0,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,     0,   631,   632,     0,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   807,   648,     0,   649,   650,   651,   652,
     653,     0,   655,   656,   657,   658,   659,     0,   661,   662,
     663,   664,     0,   665,   666,   667,   668,   669,   670,   671,
     672,   673,   674,   675,   676,   677,   678,   679,   680,   681,
     682,     0,   683,   684,     0,     0,   685,     0,   687,   688,
     689,   690,   691,   692,     0,   693,   694,   695,     0,     0,
     697,   698,   699,   700,   701,     0,   702,   703,   704,   705,
     706,   707,   708,   709,   710,     0,     0,   711,   712,   713,
     714,   715,     0,     0,   716,   717,   718,   719,   720,   808,
     721,     0,   722,     0,   724,   725,   726,   727,     0,     0,
     728,     0,     0,   729,   730,   731,   732,   733,   734,   735,
     736,   737,   738,   739,   740,   741,   742,   743,   744,   745,
     809,   746,   747,   763,   764,   765,   766,   767,   768,   769,
       0,   770,   771,     0,     0,   772,   773,   774,   775,   776,
     777,     0,   778,   779,   780,     0,     0,   781,   782,   783,
     784,     0,     0,   785,   786,   787,     0,   788,     0,     0,
     789,   790,     0,     0,     0,   791,   792,     0,     0,     0,
       0,   793,     0,     0,     0,     0,     0,     0,     0,     0,
     794,     0,   795,     0,   796,   797,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,  1862,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,     0,   361,   362,   363,   364,
     365,     0,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,   799,   378,   379,     0,
     380,   381,   382,   383,   384,     0,     0,     0,   386,   387,
     388,   389,   390,   391,     0,   393,   394,   395,   800,     0,
     396,   397,   398,   399,   400,   401,     0,     0,   403,   404,
       0,     0,     0,     0,     0,     0,     0,     0,   408,   409,
     410,   411,   802,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,     0,     0,     0,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
     804,   473,   474,     0,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,     0,     0,   499,     0,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,     0,   522,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   805,   539,
     540,   806,   541,   542,   543,   544,     0,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,     0,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,     0,   578,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,     0,   631,   632,     0,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
     807,   648,     0,   649,   650,   651,   652,   653,     0,   655,
     656,   657,   658,   659,     0,   661,   662,   663,   664,     0,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,     0,   683,
     684,     0,     0,   685,     0,   687,   688,   689,   690,   691,
     692,     0,   693,   694,   695,     0,     0,   697,   698,   699,
     700,   701,     0,   702,   703,   704,   705,   706,   707,   708,
     709,   710,     0,     0,   711,   712,   713,   714,   715,     0,
       0,   716,   717,   718,   719,   720,   808,   721,     0,   722,
       0,   724,   725,   726,   727,     0,     0,   728,     0,     0,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   744,   745,   809,   746,   747,
     763,   764,   765,   766,   767,   768,   769,     0,   770,   771,
       0,     0,   772,   773,   774,   775,   776,   777,     0,   778,
     779,   780,     0,     0,   781,   782,   783,   784,     0,     0,
     785,   786,   787,     0,   788,     0,     0,   789,   790,     0,
       0,     0,   791,   792,     0,     0,     0,     0,   793,     0,
       0,     0,     0,     0,     0,     0,     0,   794,     0,   795,
       0,   796,   797,    35,     0,     0,     0,    37,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   341,   342,   343,   344,   345,   346,
     347,   348,   349,     0,   350,   351,   352,     0,     0,     0,
       0,     0,     0,     0,   353,   354,   355,     0,   356,   357,
     358,   359,     0,   361,   362,   363,   364,   365,     0,   367,
     368,     0,   369,   370,   371,   372,   373,   374,   375,     0,
       0,   376,   377,   799,   378,   379,     0,   380,   381,   382,
     383,   384,     0,     0,     0,   386,   387,   388,   389,   390,
     391,     0,   393,   394,   395,   800,     0,   396,   397,   398,
     399,   400,   401,     0,     0,   403,   404,     0,     0,     0,
       0,     0,     0,     0,     0,   408,   409,   410,   411,   802,
     412,   413,   414,   415,     0,   416,     0,   417,   418,   419,
     420,   421,   422,   423,     0,   424,   425,   426,   427,     0,
       0,   428,   429,   430,   431,   432,     0,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,     0,   451,     0,
     452,   453,   454,   455,   456,     0,   457,     0,   458,   459,
       0,     0,     0,   462,   463,   464,   465,     0,   466,   467,
       0,   468,   469,   470,     0,   471,   472,   804,   473,  2051,
       0,   476,   477,   478,   479,     0,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,     0,   490,     0,   491,
     492,   493,     0,   494,     0,   495,     0,   496,     0,     0,
     499,     0,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,   520,     0,   522,     0,     0,   524,   525,
     526,     0,     0,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   805,   539,   540,   806,   541,
     542,   543,   544,     0,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,     0,   558,   559,     0,
     561,     0,   562,   563,   564,   565,   566,   567,     0,   568,
     569,   570,     0,  1243,   571,   572,   573,     0,     0,   574,
     575,   576,     0,   578,     0,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,   595,   596,   597,   598,   599,   600,   601,     0,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,     0,
     631,   632,     0,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,   807,   648,     0,
     649,   650,   651,   652,   653,     0,   655,   656,   657,   658,
     659,     0,   661,   662,   663,   664,     0,   665,   666,   667,
     668,   669,   670,   671,   672,   673,   674,   675,   676,   677,
     678,   679,   680,   681,   682,     0,   683,   684,     0,     0,
     685,     0,   687,   688,   689,   690,   691,   692,     0,   693,
     694,   695,     0,     0,   697,   698,   699,   700,   701,     0,
     702,   703,   704,   705,   706,   707,   708,   709,   710,     0,
       0,   711,   712,   713,   714,   715,     0,     0,   716,   717,
     718,   719,   720,   808,   721,     0,   722,     0,   724,   725,
     726,   727,     0,     0,   728,     0,     0,   729,   730,   731,
     732,   733,   734,   735,   736,   737,   738,   739,   740,   741,
     742,   743,   744,   745,   809,   746,   747,   763,   764,   765,
     766,   767,   768,   769,     0,   770,   771,     0,     0,   772,
     773,   774,   775,   776,   777,     0,   778,   779,   780,     0,
       0,   781,   782,   783,   784,     0,     0,   785,   786,   787,
       0,   788,     0,     0,   789,   790,     0,     0,     0,   791,
     792,     0,     0,     0,     0,   793,     0,     0,     0,     0,
       0,     0,     0,     0,   794,     0,   795,     0,   796,   797,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
    2108,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,     0,
     361,   362,   363,   364,   365,     0,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
     799,   378,   379,     0,   380,   381,   382,   383,   384,     0,
       0,     0,   386,   387,   388,   389,   390,   391,     0,   393,
     394,   395,   800,     0,   396,   397,   398,   399,   400,   401,
       0,     0,   403,   404,     0,     0,     0,     0,     0,     0,
       0,     0,   408,   409,   410,   411,   802,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,     0,     0,     0,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,   804,   473,  2109,     0,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,     0,     0,   499,     0,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,     0,   522,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   805,   539,   540,   806,   541,   542,   543,   544,
       0,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,     0,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,     0,
     578,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,   595,   596,
     597,   598,   599,   600,   601,     0,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,     0,   631,   632,     0,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   807,   648,     0,   649,   650,   651,
     652,   653,     0,   655,   656,   657,   658,   659,     0,   661,
     662,   663,   664,     0,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
     681,   682,     0,   683,   684,     0,     0,   685,     0,   687,
     688,   689,   690,   691,   692,     0,   693,   694,   695,     0,
       0,   697,   698,   699,   700,   701,     0,   702,   703,   704,
     705,   706,   707,   708,   709,   710,     0,     0,   711,   712,
     713,   714,   715,     0,     0,   716,   717,   718,   719,   720,
     808,   721,     0,   722,     0,   724,   725,   726,   727,     0,
       0,   728,     0,     0,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   809,   746,   747,   763,   764,   765,   766,   767,   768,
     769,     0,   770,   771,     0,     0,   772,   773,   774,   775,
     776,   777,     0,   778,   779,   780,     0,     0,   781,   782,
     783,   784,     0,     0,   785,   786,   787,     0,   788,     0,
       0,   789,   790,     0,     0,     0,   791,   792,     0,     0,
       0,     0,   793,     0,     0,     0,     0,     0,     0,     0,
       0,   794,     0,   795,     0,   796,   797,    35,     0,     0,
    2342,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,     0,   361,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,   799,   378,   379,
       0,   380,   381,   382,   383,   384,     0,     0,     0,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,   800,
       0,   396,   397,   398,   399,   400,   401,     0,     0,   403,
     404,     0,     0,     0,     0,     0,     0,     0,     0,   408,
     409,   410,   411,   802,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   804,   473,   474,     0,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499,     0,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,     0,   522,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   805,
     539,   540,   806,   541,   542,   543,   544,     0,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,   595,   596,   597,   598,   599,
     600,   601,     0,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,     0,   631,   632,     0,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,   807,   648,     0,   649,   650,   651,   652,   653,     0,
     655,   656,   657,   658,   659,     0,   661,   662,   663,   664,
       0,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,   681,   682,     0,
     683,   684,     0,     0,   685,     0,   687,   688,   689,   690,
     691,   692,     0,   693,   694,   695,     0,     0,   697,   698,
     699,   700,   701,     0,   702,   703,   704,   705,   706,   707,
     708,   709,   710,     0,     0,   711,   712,   713,   714,   715,
       0,     0,   716,   717,   718,   719,   720,   808,   721,     0,
     722,     0,   724,   725,   726,   727,     0,     0,   728,     0,
       0,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   744,   745,   809,   746,
     747,   763,   764,   765,   766,   767,   768,   769,  2470,   770,
     771,     0,     0,   772,   773,   774,   775,   776,   777,     0,
     778,   779,   780,     0,     0,   781,   782,   783,   784,     0,
       0,   785,   786,   787,     0,   788,     0,     0,   789,   790,
       0,     0,     0,   791,   792,     0,     0,     0,     0,   793,
       0,     0,     0,     0,     0,     0,     0,     0,   794,     0,
     795,     0,   796,   797,    35,     0,     0,     0,    37,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   341,   342,   343,   344,   345,
     346,   347,   348,   349,     0,   350,   351,   352,     0,     0,
       0,     0,     0,     0,     0,   353,   354,   355,     0,   356,
     357,   358,   359,     0,   361,   362,   363,   364,   365,     0,
     367,   368,     0,   369,   370,   371,   372,   373,   374,   375,
       0,     0,   376,   377,   799,   378,   379,     0,   380,   381,
     382,   383,   384,     0,     0,     0,   386,   387,   388,   389,
     390,   391,     0,   393,   394,   395,   800,     0,   396,   397,
     398,   399,   400,   401,     0,     0,   403,   404,     0,     0,
       0,     0,     0,     0,     0,     0,   408,   409,   410,   411,
     802,   412,   413,   414,   415,     0,   416,     0,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,   426,   427,
       0,     0,   428,   429,   430,   431,   432,     0,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,     0,   451,
       0,   452,   453,   454,   455,   456,     0,   457,     0,   458,
     459,     0,     0,     0,   462,   463,   464,   465,     0,   466,
     467,     0,   468,   469,   470,     0,   471,   472,   804,   473,
     474,     0,   476,   477,   478,   479,     0,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,     0,   490,     0,
     491,   492,   493,     0,   494,     0,   495,     0,   496,     0,
       0,   499,     0,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,   520,     0,   522,     0,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   805,   539,   540,   806,
     541,   542,   543,   544,     0,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,     0,   558,   559,
       0,   561,     0,   562,   563,   564,   565,   566,   567,     0,
     568,   569,   570,     0,     0,   571,   572,   573,     0,     0,
     574,   575,   576,     0,   578,     0,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   595,   596,   597,   598,   599,   600,   601,     0,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
       0,   631,   632,     0,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,   807,   648,
       0,   649,   650,   651,   652,   653,     0,   655,   656,   657,
     658,   659,     0,   661,   662,   663,   664,     0,   665,   666,
    3209,   668,   669,   670,   671,   672,   673,   674,   675,   676,
     677,   678,   679,   680,   681,   682,     0,   683,   684,     0,
       0,   685,     0,   687,   688,   689,   690,   691,   692,     0,
     693,   694,   695,     0,     0,   697,   698,   699,   700,   701,
       0,   702,   703,   704,   705,   706,   707,   708,   709,   710,
       0,     0,   711,   712,   713,   714,   715,     0,     0,   716,
     717,   718,   719,   720,   808,   721,     0,   722,     0,   724,
     725,   726,   727,     0,     0,   728,     0,     0,   729,   730,
     731,   732,   733,   734,   735,   736,   737,   738,   739,   740,
     741,   742,   743,   744,   745,   809,   746,   747,   763,   764,
     765,   766,   767,   768,   769,     0,   770,   771,     0,     0,
     772,   773,   774,   775,   776,   777,     0,   778,   779,   780,
       0,     0,   781,   782,   783,   784,     0,     0,   785,   786,
     787,     0,   788,     0,     0,   789,   790,     0,     0,     0,
     791,   792,     0,     0,     0,     0,   793,     0,     0,     0,
       0,     0,     0,     0,     0,   794,     0,   795,     0,   796,
     797,    35,     0,     0,     0,    37,     0,     0,    39,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
       0,   361,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,   799,   378,   379,     0,   380,   381,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,   800,     0,   396,   397,   398,   399,   400,
     401,     0,     0,   403,   404,     0,     0,     0,     0,     0,
       0,     0,     0,   408,   409,   410,   411,   802,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   804,   473,   474,     0,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,     0,   522,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   805,   539,   540,   806,   541,   542,   543,
     544,     0,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,     0,   631,   632,
       0,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,   807,   648,     0,   649,   650,
     651,   652,   653,     0,   655,   656,   657,   658,   659,     0,
     661,   662,   663,   664,     0,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,   681,   682,     0,   683,   684,     0,     0,   685,     0,
     687,   688,   689,   690,   691,   692,     0,   693,   694,   695,
       0,     0,   697,   698,   699,   700,   701,     0,   702,   703,
     704,   705,   706,   707,   708,   709,   710,     0,     0,   711,
     712,   713,   714,   715,     0,     0,   716,   717,   718,   719,
     720,   808,   721,     0,   722,     0,   724,   725,   726,   727,
       0,     0,   728,     0,     0,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     744,   745,   809,   746,   747,   763,   764,   765,   766,   767,
     768,   769,     0,   770,   771,     0,     0,   772,   773,   774,
     775,   776,   777,     0,   778,   779,   780,     0,     0,   781,
     782,   783,   784,     0,     0,   785,   786,   787,     0,   788,
       0,     0,   789,   790,     0,     0,     0,   791,   792,     0,
       0,     0,     0,   793,     0,     0,     0,     0,     0,     0,
       0,     0,   794,     0,   795,     0,   796,   797,    35,     0,
       0,     0,    37,     0,     0,     0,     0,     0,     0,     0,
      40,     0,     0,     0,     0,     0,     0,     0,     0,   341,
     342,   343,   344,   345,   346,   347,   348,   349,     0,   350,
     351,   352,     0,     0,     0,     0,     0,     0,     0,   353,
     354,   355,     0,   356,   357,   358,   359,     0,   361,   362,
     363,   364,   365,     0,   367,   368,     0,   369,   370,   371,
     372,   373,   374,   375,     0,     0,   376,   377,   799,   378,
     379,     0,   380,   381,   382,   383,   384,     0,     0,     0,
     386,   387,   388,   389,   390,   391,     0,   393,   394,   395,
     800,     0,   396,   397,   398,   399,   400,   401,     0,     0,
     403,   404,     0,     0,     0,     0,     0,     0,     0,     0,
     408,   409,   410,   411,   802,   412,   413,   414,   415,     0,
     416,     0,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,     0,     0,   428,   429,   430,   431,
     432,     0,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,     0,   451,     0,   452,   453,   454,   455,   456,
       0,   457,     0,   458,   459,     0,     0,     0,   462,   463,
     464,   465,     0,   466,   467,     0,   468,   469,   470,     0,
     471,   472,   804,   473,   474,     0,   476,   477,   478,   479,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   490,     0,   491,   492,   493,     0,   494,     0,
     495,     0,   496,     0,     0,   499,     0,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,     0,
     522,     0,     0,   524,   525,   526,     0,     0,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     805,   539,   540,   806,   541,   542,   543,   544,     0,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,     0,   558,   559,     0,   561,     0,   562,   563,   564,
     565,   566,   567,     0,   568,   569,   570,     0,     0,   571,
     572,   573,     0,     0,   574,   575,   576,     0,   578,     0,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,   595,   596,   597,   598,
     599,   600,   601,     0,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,     0,   631,   632,     0,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,   807,   648,     0,   649,   650,   651,   652,   653,
       0,   655,   656,   657,   658,   659,     0,   661,   662,   663,
     664,     0,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,   679,   680,   681,   682,
       0,   683,   684,     0,     0,   685,     0,   687,   688,   689,
     690,   691,   692,     0,   693,   694,   695,     0,     0,   697,
     698,   699,   700,   701,     0,   702,   703,   704,   705,   706,
     707,   708,   709,   710,     0,     0,   711,   712,   713,   714,
     715,     0,     0,   716,   717,   718,   719,   720,   808,   721,
       0,   722,     0,   724,   725,   726,   727,     0,     0,   728,
       0,     0,   729,   730,   731,   732,   733,   734,   735,   736,
     737,   738,   739,   740,   741,   742,   743,   744,   745,   809,
     746,   747,   763,   764,   765,   766,   767,   768,   769,     0,
     770,   771,     0,     0,   772,   773,   774,   775,   776,   777,
       0,   778,   779,   780,     0,     0,   781,   782,   783,   784,
       0,     0,   785,   786,   787,     0,   788,     0,     0,   789,
     790,     0,     0,     0,   791,   792,     0,     0,     0,     0,
     793,     0,     0,     0,     0,     0,     0,     0,     0,   794,
       0,   795,     0,   796,   797,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,     0,   361,   362,   363,   364,   365,
       0,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,   376,   377,   799,   378,   379,     0,   380,
     381,   382,   383,   384,     0,     0,     0,   386,   387,   388,
     389,   390,   391,     0,   393,   394,   395,   800,     0,   396,
     397,   398,   399,   400,   401,     0,     0,   403,   404,     0,
       0,     0,     0,     0,     0,     0,     0,   408,   409,   410,
     411,   802,   412,   413,   414,   415,  4963,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,     0,
     451,     0,   452,   453,   454,   455,   456,     0,   457,     0,
     458,   459,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,   804,
     473,   474,     0,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
       0,     0,   499,     0,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,     0,   522,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   805,   539,   540,
     806,   541,   542,   543,   544,     0,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,     0,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,     0,   578,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,   595,   596,   597,   598,   599,   600,   601,
       0,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,     0,   631,   632,     0,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   807,
     648,     0,   649,   650,   651,   652,   653,     0,   655,   656,
     657,   658,   659,     0,   661,   662,   663,   664,     0,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,   681,   682,     0,   683,   684,
       0,     0,   685,     0,   687,   688,   689,   690,   691,   692,
       0,   693,   694,   695,     0,     0,   697,   698,   699,   700,
     701,     0,   702,   703,   704,   705,   706,   707,   708,   709,
     710,     0,     0,   711,   712,   713,   714,   715,     0,     0,
     716,   717,   718,   719,   720,   808,   721,     0,   722,     0,
     724,   725,   726,   727,     0,     0,   728,     0,     0,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   744,   745,   809,   746,   747,   763,
     764,   765,   766,   767,   768,   769,     0,   770,   771,     0,
       0,   772,   773,   774,   775,   776,   777,     0,   778,   779,
     780,     0,     0,   781,   782,   783,   784,     0,     0,   785,
     786,   787,     0,   788,     0,     0,   789,   790,     0,     0,
       0,   791,   792,     0,     0,     0,     0,   793,     0,     0,
       0,     0,     0,     0,     0,     0,   794,     0,   795,     0,
     796,   797,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,  5404,     0,   353,   354,   355,     0,   356,   357,   358,
     359,     0,   361,   362,   363,   364,   365,     0,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,   799,   378,   379,     0,   380,   381,   382,   383,
     384,     0,     0,     0,   386,   387,   388,   389,   390,   391,
       0,   393,   394,   395,   800,     0,   396,   397,   398,   399,
     400,   401,     0,     0,   403,   404,     0,     0,     0,     0,
       0,     0,     0,     0,   408,   409,   410,   411,   802,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,     0,
       0,     0,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   804,   473,   474,     0,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,     0,     0,   499,
       0,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,     0,   522,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   805,   539,   540,   806,   541,   542,
     543,   544,     0,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,     0,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,     0,   578,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
     595,   596,   597,   598,   599,   600,   601,     0,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,     0,   631,
     632,     0,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,   807,   648,     0,   649,
     650,   651,   652,   653,     0,   655,   656,   657,   658,   659,
       0,   661,   662,   663,   664,     0,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,   681,   682,     0,   683,   684,     0,     0,   685,
       0,   687,   688,   689,   690,   691,   692,     0,   693,   694,
     695,     0,     0,   697,   698,   699,   700,   701,     0,   702,
     703,   704,   705,   706,   707,   708,   709,   710,     0,     0,
     711,   712,   713,   714,   715,     0,     0,   716,   717,   718,
     719,   720,   808,   721,     0,   722,     0,   724,   725,   726,
     727,     0,     0,   728,     0,     0,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   744,   745,   809,   746,   747,   763,   764,   765,   766,
     767,   768,   769,     0,   770,   771,     0,     0,   772,   773,
     774,   775,   776,   777,     0,   778,   779,   780,     0,     0,
     781,   782,   783,   784,     0,     0,   785,   786,   787,     0,
     788,     0,     0,   789,   790,     0,     0,     0,   791,   792,
       0,     0,     0,     0,   793,     0,     0,     0,     0,     0,
       0,     0,     0,   794,     0,   795,     0,   796,   797,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     341,   342,   343,   344,   345,   346,   347,   348,   349,     0,
     350,   351,   352,     0,     0,     0,     0,     0,  5418,     0,
     353,   354,   355,     0,   356,   357,   358,   359,     0,   361,
     362,   363,   364,   365,     0,   367,   368,     0,   369,   370,
     371,   372,   373,   374,   375,     0,     0,   376,   377,   799,
     378,   379,     0,   380,   381,   382,   383,   384,     0,     0,
       0,   386,   387,   388,   389,   390,   391,     0,   393,   394,
     395,   800,     0,   396,   397,   398,   399,   400,   401,     0,
       0,   403,   404,     0,     0,     0,     0,     0,     0,     0,
       0,   408,   409,   410,   411,   802,   412,   413,   414,   415,
       0,   416,     0,   417,   418,   419,   420,   421,   422,   423,
       0,   424,   425,   426,   427,     0,     0,   428,   429,   430,
     431,   432,     0,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,     0,   451,     0,   452,   453,   454,   455,
     456,     0,   457,     0,   458,   459,     0,     0,     0,   462,
     463,   464,   465,     0,   466,   467,     0,   468,   469,   470,
       0,   471,   472,   804,   473,   474,     0,   476,   477,   478,
     479,     0,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488,     0,   490,     0,   491,   492,   493,     0,   494,
       0,   495,     0,   496,     0,     0,   499,     0,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,   520,
       0,   522,     0,     0,   524,   525,   526,     0,     0,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   805,   539,   540,   806,   541,   542,   543,   544,     0,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,     0,   558,   559,     0,   561,     0,   562,   563,
     564,   565,   566,   567,     0,   568,   569,   570,     0,     0,
     571,   572,   573,     0,     0,   574,   575,   576,     0,   578,
       0,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,   595,   596,   597,
     598,   599,   600,   601,     0,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,     0,   631,   632,     0,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   807,   648,     0,   649,   650,   651,   652,
     653,     0,   655,   656,   657,   658,   659,     0,   661,   662,
     663,   664,     0,   665,   666,   667,   668,   669,   670,   671,
     672,   673,   674,   675,   676,   677,   678,   679,   680,   681,
     682,     0,   683,   684,     0,     0,   685,     0,   687,   688,
     689,   690,   691,   692,     0,   693,   694,   695,     0,     0,
     697,   698,   699,   700,   701,     0,   702,   703,   704,   705,
     706,   707,   708,   709,   710,     0,     0,   711,   712,   713,
     714,   715,     0,     0,   716,   717,   718,   719,   720,   808,
     721,     0,   722,     0,   724,   725,   726,   727,     0,     0,
     728,     0,     0,   729,   730,   731,   732,   733,   734,   735,
     736,   737,   738,   739,   740,   741,   742,   743,   744,   745,
     809,   746,   747,   763,   764,   765,   766,   767,   768,   769,
       0,   770,   771,     0,     0,   772,   773,   774,   775,   776,
     777,     0,   778,   779,   780,     0,     0,   781,   782,   783,
     784,     0,     0,   785,   786,   787,     0,   788,     0,     0,
     789,   790,     0,     0,     0,   791,   792,     0,     0,     0,
       0,   793,     0,     0,     0,     0,     0,     0,     0,     0,
     794,     0,   795,     0,   796,   797,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,     0,   361,   362,   363,   364,
     365,     0,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,   799,   378,   379,     0,
     380,   381,   382,   383,   384,     0,     0,     0,   386,   387,
     388,   389,   390,   391,     0,   393,   394,   395,   800,     0,
     396,   397,   398,   399,   400,   401,     0,     0,   403,   404,
       0,     0,     0,     0,     0,     0,     0,     0,   408,   409,
     410,   411,   802,   412,   413,   414,   415,  5516,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,     0,     0,     0,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
     804,   473,   474,     0,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,     0,     0,   499,     0,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,     0,   522,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   805,   539,
     540,   806,   541,   542,   543,   544,     0,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,     0,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,     0,   578,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,     0,   631,   632,     0,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
     807,   648,     0,   649,   650,   651,   652,   653,     0,   655,
     656,   657,   658,   659,     0,   661,   662,   663,   664,     0,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,     0,   683,
     684,     0,     0,   685,     0,   687,   688,   689,   690,   691,
     692,     0,   693,   694,   695,     0,     0,   697,   698,   699,
     700,   701,     0,   702,   703,   704,   705,   706,   707,   708,
     709,   710,     0,     0,   711,   712,   713,   714,   715,     0,
       0,   716,   717,   718,   719,   720,   808,   721,     0,   722,
       0,   724,   725,   726,   727,     0,     0,   728,     0,     0,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   744,   745,   809,   746,   747,
     763,   764,   765,   766,   767,   768,   769,     0,   770,   771,
       0,     0,   772,   773,   774,   775,   776,   777,     0,   778,
     779,   780,     0,     0,   781,   782,   783,   784,     0,     0,
     785,   786,   787,     0,   788,     0,     0,   789,   790,     0,
       0,     0,   791,   792,     0,     0,     0,     0,   793,     0,
       0,     0,     0,     0,     0,     0,     0,   794,     0,   795,
       0,   796,   797,    35,     0,     0,     0,    37,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   341,   342,   343,   344,   345,   346,
     347,   348,   349,     0,   350,   351,   352,     0,     0,     0,
       0,     0,     0,     0,   353,   354,   355,     0,   356,   357,
     358,   359,     0,   361,   362,   363,   364,   365,     0,   367,
     368,     0,   369,   370,   371,   372,   373,   374,   375,     0,
       0,   376,   377,   799,   378,   379,     0,   380,   381,   382,
     383,   384,     0,     0,     0,   386,   387,   388,   389,   390,
     391,     0,   393,   394,   395,   800,     0,   396,   397,   398,
     399,   400,   401,     0,     0,   403,   404,     0,     0,     0,
       0,  5589,     0,     0,     0,   408,   409,   410,   411,   802,
     412,   413,   414,   415,     0,   416,     0,   417,   418,   419,
     420,   421,   422,   423,     0,   424,   425,   426,   427,     0,
       0,   428,   429,   430,   431,   432,     0,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,     0,   451,     0,
     452,   453,   454,   455,   456,     0,   457,     0,   458,   459,
       0,     0,     0,   462,   463,   464,   465,     0,   466,   467,
       0,   468,   469,   470,     0,   471,   472,   804,   473,   474,
       0,   476,   477,   478,   479,     0,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,     0,   490,     0,   491,
     492,   493,     0,   494,     0,   495,     0,   496,     0,     0,
     499,     0,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,   520,     0,   522,     0,     0,   524,   525,
     526,     0,     0,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   805,   539,   540,   806,   541,
     542,   543,   544,     0,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,     0,   558,   559,     0,
     561,     0,   562,   563,   564,   565,   566,   567,     0,   568,
     569,   570,     0,     0,   571,   572,   573,     0,     0,   574,
     575,   576,     0,   578,     0,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,   595,   596,   597,   598,   599,   600,   601,     0,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,     0,
     631,   632,     0,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,   807,   648,     0,
     649,   650,   651,   652,   653,     0,   655,   656,   657,   658,
     659,     0,   661,   662,   663,   664,     0,   665,   666,   667,
     668,   669,   670,   671,   672,   673,   674,   675,   676,   677,
     678,   679,   680,   681,   682,     0,   683,   684,     0,     0,
     685,     0,   687,   688,   689,   690,   691,   692,     0,   693,
     694,   695,     0,     0,   697,   698,   699,   700,   701,     0,
     702,   703,   704,   705,   706,   707,   708,   709,   710,     0,
       0,   711,   712,   713,   714,   715,     0,     0,   716,   717,
     718,   719,   720,   808,   721,     0,   722,     0,   724,   725,
     726,   727,     0,     0,   728,     0,     0,   729,   730,   731,
     732,   733,   734,   735,   736,   737,   738,   739,   740,   741,
     742,   743,   744,   745,   809,   746,   747,   763,   764,   765,
     766,   767,   768,   769,     0,   770,   771,     0,     0,   772,
     773,   774,   775,   776,   777,     0,   778,   779,   780,     0,
       0,   781,   782,   783,   784,     0,     0,   785,   786,   787,
       0,   788,     0,     0,   789,   790,     0,     0,     0,   791,
     792,     0,     0,     0,     0,   793,     0,     0,     0,     0,
       0,     0,     0,     0,   794,     0,   795,     0,   796,   797,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,     0,
     361,   362,   363,   364,   365,     0,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
     799,   378,   379,     0,   380,   381,   382,   383,   384,     0,
       0,     0,   386,   387,   388,   389,   390,   391,     0,   393,
     394,   395,   800,     0,   396,   397,   398,   399,   400,   401,
       0,     0,   403,   404,     0,     0,     0,     0,     0,     0,
       0,     0,   408,   409,   410,   411,   802,   412,   413,   414,
     415,  5972,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,     0,     0,     0,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,   804,   473,   474,     0,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,     0,     0,   499,     0,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,     0,   522,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   805,   539,   540,   806,   541,   542,   543,   544,
       0,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,     0,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,     0,
     578,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,   595,   596,
     597,   598,   599,   600,   601,     0,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,     0,   631,   632,     0,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   807,   648,     0,   649,   650,   651,
     652,   653,     0,   655,   656,   657,   658,   659,     0,   661,
     662,   663,   664,     0,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
     681,   682,     0,   683,   684,     0,     0,   685,     0,   687,
     688,   689,   690,   691,   692,     0,   693,   694,   695,     0,
       0,   697,   698,   699,   700,   701,     0,   702,   703,   704,
     705,   706,   707,   708,   709,   710,     0,     0,   711,   712,
     713,   714,   715,     0,     0,   716,   717,   718,   719,   720,
     808,   721,     0,   722,     0,   724,   725,   726,   727,     0,
       0,   728,     0,     0,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   809,   746,   747,   763,   764,   765,   766,   767,   768,
     769,     0,   770,   771,     0,     0,   772,   773,   774,   775,
     776,   777,     0,   778,   779,   780,     0,     0,   781,   782,
     783,   784,     0,     0,   785,   786,   787,     0,   788,     0,
       0,   789,   790,     0,     0,     0,   791,   792,     0,     0,
       0,     0,   793,     0,     0,     0,     0,     0,     0,     0,
       0,   794,     0,   795,     0,   796,   797,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,     0,   361,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,   799,   378,   379,
       0,   380,   381,   382,   383,   384,     0,     0,     0,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,   800,
       0,   396,   397,   398,   399,   400,   401,     0,     0,   403,
     404,     0,     0,     0,     0,     0,     0,     0,     0,   408,
     409,   410,   411,   802,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   804,   473,   474,     0,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499,     0,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,     0,   522,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   805,
     539,   540,   806,   541,   542,   543,   544,     0,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,   595,   596,   597,   598,   599,
     600,   601,     0,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,     0,   631,   632,     0,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,   807,   648,     0,   649,   650,   651,   652,   653,     0,
     655,   656,   657,   658,   659,     0,   661,   662,   663,   664,
       0,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,   681,   682,     0,
     683,   684,     0,     0,   685,     0,   687,   688,   689,   690,
     691,   692,     0,   693,   694,   695,     0,     0,   697,   698,
     699,   700,   701,     0,   702,   703,   704,   705,   706,   707,
     708,   709,   710,     0,     0,   711,   712,   713,   714,   715,
       0,     0,   716,   717,   718,   719,   720,   808,   721,     0,
     722,     0,   724,   725,   726,   727,     0,     0,   728,     0,
       0,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   744,   745,   809,   746,
     747,   763,   764,   765,   766,   767,   768,   769,     0,   770,
     771,     0,     0,   772,   773,   774,   775,   776,   777,     0,
     778,   779,   780,     0,     0,   781,   782,   783,   784,     0,
       0,   785,   786,   787,     0,   788,     0,     0,   789,   790,
       0,     0,     0,   791,   792,     0,     0,     0,     0,   793,
       0,     0,     0,     0,     0,     0,     0,     0,   794,     0,
     795,     0,   796,   797,    35,     0,     0,     0,    37,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   341,   342,   343,   344,   345,
     346,   347,   348,   349,     0,   350,   351,   352,     0,     0,
       0,     0,     0,     0,     0,   353,   354,   355,     0,   356,
     357,   358,   359,     0,   361,   362,   363,   364,   365,     0,
     367,   368,     0,   369,   370,   371,   372,   373,   374,   375,
       0,     0,   376,   377,   799,   378,   379,     0,   380,   381,
     382,   383,   384,     0,     0,     0,   386,   387,   388,   389,
     390,   391,     0,   393,   394,   395,   800,     0,   396,   397,
     398,   399,   400,   401,     0,     0,   403,   404,     0,     0,
       0,     0,     0,     0,     0,     0,   408,   409,   410,   411,
     802,   412,   413,   414,   415,     0,   416,     0,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,   426,   427,
       0,     0,   428,   429,   430,   431,   432,     0,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,     0,   451,
       0,   452,   453,   454,   455,   456,     0,   457,     0,   458,
     459,     0,     0,     0,   462,   463,   464,   465,     0,   466,
     467,     0,   468,   469,   470,     0,   471,   472,   804,   473,
     474,     0,   476,   477,   478,   479,     0,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,     0,   490,     0,
     491,   492,   493,     0,   494,     0,   495,     0,   496,     0,
       0,   499,     0,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,   520,     0,   522,     0,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   805,   539,   540,   806,
     541,   542,   543,   544,     0,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,     0,   558,   559,
       0,   561,     0,   562,   563,   564,   565,   566,   567,     0,
     568,   569,   570,     0,     0,   571,   572,   573,     0,     0,
     574,   575,   576,     0,   578,     0,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   595,   596,   597,   598,   599,   600,   601,     0,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
       0,   631,   632,     0,   634,   635,   636,   637,   638,   639,
     640,   641,  1190,   643,   644,   645,   646,   647,   807,   648,
       0,   649,   650,   651,   652,   653,     0,   655,   656,   657,
     658,   659,     0,   661,   662,   663,   664,     0,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   674,   675,   676,
     677,   678,   679,   680,   681,   682,     0,   683,   684,     0,
       0,   685,     0,   687,   688,   689,   690,   691,   692,     0,
     693,   694,   695,     0,     0,   697,   698,   699,   700,   701,
       0,   702,   703,   704,   705,   706,   707,   708,   709,   710,
       0,     0,   711,   712,   713,   714,   715,     0,     0,   716,
     717,   718,   719,   720,   808,   721,     0,   722,     0,   724,
     725,   726,   727,     0,     0,   728,     0,     0,   729,   730,
     731,   732,   733,   734,   735,   736,   737,   738,   739,   740,
     741,   742,   743,   744,   745,   809,   746,   747,   763,   764,
     765,   766,   767,   768,   769,     0,   770,   771,     0,     0,
     772,   773,   774,   775,   776,   777,     0,   778,   779,   780,
       0,     0,   781,   782,   783,   784,     0,     0,   785,   786,
     787,     0,   788,     0,     0,   789,   790,     0,     0,     0,
     791,   792,     0,     0,     0,     0,   793,     0,     0,     0,
       0,     0,     0,     0,     0,   794,     0,   795,     0,   796,
     797,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,  1192,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
       0,   361,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,  1193,   378,   379,     0,   380,   381,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,     0,     0,   396,   397,   398,   399,   400,
     401,     0,     0,   403,   404,     0,     0,     0,     0,     0,
       0,     0,     0,   408,   409,   410,   411,   802,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   804,   473,   474,     0,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,     0,   522,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   805,   539,   540,   806,   541,   542,   543,
     544,     0,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,     0,   631,   632,
       0,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,   807,   648,     0,   649,   650,
     651,   652,  1194,     0,   655,   656,   657,   658,   659,     0,
     661,   662,   663,   664,     0,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,   681,   682,     0,   683,   684,     0,     0,   685,     0,
     687,   688,   689,   690,   691,   692,     0,   693,  1195,   695,
       0,     0,  1196,   698,   699,   700,   701,     0,   702,   703,
     704,   705,   706,   707,   708,   709,   710,     0,     0,   711,
     712,   713,   714,   715,     0,     0,   716,   717,   718,   719,
     720,  1197,   721,     0,   722,     0,   724,   725,   726,   727,
       0,     0,   728,     0,     0,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     744,   745,   809,   746,   747,   763,   764,   765,   766,   767,
     768,   769,     0,   770,   771,     0,     0,   772,   773,   774,
     775,   776,   777,     0,   778,   779,   780,     0,     0,   781,
     782,   783,   784,     0,     0,   785,   786,   787,     0,   788,
       0,     0,   789,   790,     0,     0,     0,   791,   792,     0,
       0,     0,     0,   793,     0,     0,     0,     0,     0,     0,
       0,     0,   794,     0,   795,     0,   796,   797,    35,     0,
       0,     0,    37,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   341,
     342,   343,   344,   345,   346,   347,   348,   349,  1237,   350,
     351,   352,     0,     0,     0,     0,     0,     0,     0,   353,
     354,   355,     0,   356,   357,   358,   359,     0,   361,   362,
     363,   364,   365,     0,   367,   368,     0,   369,   370,   371,
     372,   373,   374,   375,     0,     0,   376,   377,  1193,   378,
     379,     0,   380,   381,   382,   383,   384,     0,     0,     0,
     386,   387,   388,   389,   390,   391,     0,   393,   394,   395,
       0,     0,   396,   397,   398,   399,   400,   401,     0,     0,
     403,   404,     0,     0,     0,     0,     0,     0,     0,     0,
     408,   409,   410,   411,   802,   412,   413,   414,   415,     0,
     416,     0,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,     0,     0,   428,   429,   430,   431,
     432,     0,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,     0,   451,     0,   452,   453,   454,   455,   456,
       0,   457,     0,   458,   459,     0,     0,     0,   462,   463,
     464,   465,     0,   466,   467,     0,   468,   469,   470,     0,
     471,   472,   804,   473,   474,     0,   476,   477,   478,   479,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   490,     0,   491,   492,   493,     0,   494,     0,
     495,     0,   496,     0,     0,   499,     0,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,     0,
     522,     0,     0,   524,   525,   526,     0,     0,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     805,   539,   540,   806,   541,   542,   543,   544,     0,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,     0,   558,   559,     0,   561,     0,   562,   563,   564,
     565,   566,   567,     0,   568,   569,   570,     0,     0,   571,
     572,   573,     0,     0,   574,   575,   576,     0,   578,     0,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,   595,   596,   597,   598,
     599,   600,   601,     0,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,     0,   631,   632,     0,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,   807,   648,     0,   649,   650,   651,   652,  1238,
       0,   655,   656,   657,   658,   659,     0,   661,   662,   663,
     664,     0,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,   679,   680,   681,   682,
       0,   683,   684,     0,     0,   685,     0,   687,   688,   689,
     690,   691,   692,     0,   693,  1239,   695,     0,     0,  1240,
     698,   699,   700,   701,     0,   702,   703,   704,   705,   706,
     707,   708,   709,   710,     0,     0,   711,   712,   713,   714,
     715,     0,     0,   716,   717,   718,   719,   720,  1197,   721,
       0,   722,     0,   724,   725,   726,   727,     0,     0,   728,
       0,     0,   729,   730,   731,   732,   733,   734,   735,   736,
     737,   738,   739,   740,   741,   742,   743,   744,   745,   809,
     746,   747,   763,   764,   765,   766,   767,   768,   769,     0,
     770,   771,     0,     0,   772,   773,   774,   775,   776,   777,
       0,   778,   779,   780,     0,     0,   781,   782,   783,   784,
       0,     0,   785,   786,   787,     0,   788,     0,     0,   789,
     790,     0,     0,     0,   791,   792,     0,     0,     0,     0,
     793,     0,     0,     0,     0,     0,     0,     0,     0,   794,
       0,   795,     0,   796,   797,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,     0,   361,   362,   363,   364,   365,
       0,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,   376,   377,   799,   378,   379,     0,   380,
     381,   382,   383,   384,     0,     0,     0,   386,   387,   388,
     389,   390,   391,     0,   393,   394,   395,   800,     0,   396,
     397,   398,   399,   400,   401,     0,     0,   403,   404,     0,
       0,     0,     0,     0,     0,     0,     0,   408,   409,   410,
     411,   802,   412,   413,   414,   415,     0,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,     0,
     451,     0,   452,   453,   454,   455,   456,     0,   457,     0,
     458,   459,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,   804,
     473,   474,     0,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
       0,     0,   499,     0,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,     0,   522,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   805,   539,   540,
     806,   541,   542,   543,   544,     0,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,     0,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,     0,   578,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,   595,   596,   597,   598,   599,   600,   601,
       0,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,  1257,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,     0,   631,   632,     0,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   807,
     648,     0,   649,   650,   651,   652,   653,     0,   655,   656,
     657,   658,   659,     0,   661,   662,   663,   664,     0,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,   681,   682,     0,   683,   684,
       0,     0,   685,     0,   687,   688,   689,   690,   691,   692,
       0,   693,   694,   695,     0,     0,   697,   698,   699,   700,
     701,     0,   702,   703,   704,   705,   706,   707,   708,   709,
     710,     0,     0,   711,   712,   713,   714,   715,     0,     0,
     716,   717,   718,   719,   720,   808,   721,     0,   722,     0,
     724,   725,   726,   727,     0,     0,   728,     0,     0,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   744,   745,   809,   746,   747,   763,
     764,   765,   766,   767,   768,   769,     0,   770,   771,     0,
       0,   772,   773,   774,   775,   776,   777,     0,   778,   779,
     780,     0,     0,   781,   782,   783,   784,     0,     0,   785,
     786,   787,     0,   788,     0,     0,   789,   790,     0,     0,
       0,   791,   792,     0,     0,     0,     0,   793,     0,     0,
       0,     0,     0,     0,     0,     0,   794,     0,   795,     0,
     796,   797,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,     0,   361,   362,   363,   364,   365,     0,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,   799,   378,   379,     0,   380,   381,   382,   383,
     384,     0,     0,     0,   386,   387,   388,   389,   390,   391,
       0,   393,   394,   395,   800,     0,   396,   397,   398,   399,
     400,   401,     0,     0,   403,   404,     0,     0,     0,     0,
       0,     0,     0,     0,   408,   409,   410,   411,   802,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,     0,
       0,     0,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   804,   473,  1389,     0,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,     0,     0,   499,
       0,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,     0,   522,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   805,   539,   540,   806,   541,   542,
     543,   544,     0,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,     0,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,     0,   578,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
     595,   596,   597,   598,   599,   600,   601,     0,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,     0,   631,
     632,     0,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,   807,   648,     0,   649,
     650,   651,   652,   653,     0,   655,   656,   657,   658,   659,
       0,   661,   662,   663,   664,     0,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,   681,   682,     0,   683,   684,     0,     0,   685,
       0,   687,   688,   689,   690,   691,   692,     0,   693,   694,
     695,     0,     0,   697,   698,   699,   700,   701,     0,   702,
     703,   704,   705,   706,   707,   708,   709,   710,     0,     0,
     711,   712,   713,   714,   715,     0,     0,   716,   717,   718,
     719,   720,   808,   721,     0,   722,     0,   724,   725,   726,
     727,     0,     0,   728,     0,     0,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   744,   745,   809,   746,   747,   763,   764,   765,   766,
     767,   768,   769,     0,   770,   771,     0,     0,   772,   773,
     774,   775,   776,   777,     0,   778,   779,   780,     0,     0,
     781,   782,   783,   784,     0,     0,   785,   786,   787,     0,
     788,     0,     0,   789,   790,     0,     0,     0,   791,   792,
       0,     0,     0,     0,   793,     0,     0,     0,     0,     0,
       0,     0,     0,   794,     0,   795,     0,   796,   797,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     341,   342,   343,   344,   345,   346,   347,   348,   349,     0,
     350,   351,   352,     0,     0,     0,     0,     0,     0,     0,
     353,   354,   355,     0,   356,   357,   358,   359,     0,   361,
     362,   363,   364,   365,     0,   367,   368,     0,   369,   370,
     371,   372,   373,   374,   375,     0,     0,   376,   377,   799,
     378,   379,     0,   380,   381,   382,   383,   384,     0,     0,
       0,   386,   387,   388,   389,   390,   391,     0,   393,   394,
     395,   800,     0,   396,   397,   398,   399,   400,   401,     0,
       0,   403,   404,     0,     0,     0,     0,     0,     0,     0,
       0,   408,   409,   410,   411,   802,   412,   413,   414,   415,
       0,   416,     0,   417,   418,   419,   420,   421,   422,   423,
       0,   424,   425,   426,   427,     0,     0,   428,   429,   430,
     431,   432,     0,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,     0,   451,     0,   452,   453,   454,   455,
     456,     0,   457,     0,   458,   459,     0,     0,     0,   462,
     463,   464,   465,     0,   466,   467,     0,   468,   469,   470,
       0,   471,   472,   804,   473,  1399,     0,   476,   477,   478,
     479,     0,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488,     0,   490,     0,   491,   492,   493,     0,   494,
       0,   495,     0,   496,     0,     0,   499,     0,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,   520,
       0,   522,     0,     0,   524,   525,   526,     0,     0,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   805,   539,   540,   806,   541,   542,   543,   544,     0,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,     0,   558,   559,     0,   561,     0,   562,   563,
     564,   565,   566,   567,     0,   568,   569,   570,     0,     0,
     571,   572,   573,     0,     0,   574,   575,   576,     0,   578,
       0,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,   595,   596,   597,
     598,   599,   600,   601,     0,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,     0,   631,   632,     0,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   807,   648,     0,   649,   650,   651,   652,
     653,     0,   655,   656,   657,   658,   659,     0,   661,   662,
     663,   664,     0,   665,   666,   667,   668,   669,   670,   671,
     672,   673,   674,   675,   676,   677,   678,   679,   680,   681,
     682,     0,   683,   684,     0,     0,   685,     0,   687,   688,
     689,   690,   691,   692,     0,   693,   694,   695,     0,     0,
     697,   698,   699,   700,   701,     0,   702,   703,   704,   705,
     706,   707,   708,   709,   710,     0,     0,   711,   712,   713,
     714,   715,     0,     0,   716,   717,   718,   719,   720,   808,
     721,     0,   722,     0,   724,   725,   726,   727,     0,     0,
     728,     0,     0,   729,   730,   731,   732,   733,   734,   735,
     736,   737,   738,   739,   740,   741,   742,   743,   744,   745,
     809,   746,   747,   763,   764,   765,   766,   767,   768,   769,
       0,   770,   771,     0,     0,   772,   773,   774,   775,   776,
     777,     0,   778,   779,   780,     0,     0,   781,   782,   783,
     784,     0,     0,   785,   786,   787,     0,   788,     0,     0,
     789,   790,     0,     0,     0,   791,   792,     0,     0,     0,
       0,   793,     0,     0,     0,     0,     0,     0,     0,     0,
     794,     0,   795,     0,   796,   797,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,     0,   361,   362,   363,   364,
     365,     0,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,   799,   378,   379,     0,
     380,   381,   382,   383,   384,     0,     0,     0,   386,   387,
     388,   389,   390,   391,     0,   393,   394,   395,   800,     0,
     396,   397,   398,   399,   400,   401,     0,     0,   403,   404,
       0,     0,     0,     0,     0,     0,     0,     0,   408,   409,
     410,   411,   802,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,     0,     0,     0,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
     804,   473,  1402,     0,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,     0,     0,   499,     0,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,     0,   522,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   805,   539,
     540,   806,   541,   542,   543,   544,     0,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,     0,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,     0,   578,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,     0,   631,   632,     0,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
     807,   648,     0,   649,   650,   651,   652,   653,     0,   655,
     656,   657,   658,   659,     0,   661,   662,   663,   664,     0,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,     0,   683,
     684,     0,     0,   685,     0,   687,   688,   689,   690,   691,
     692,     0,   693,   694,   695,     0,     0,   697,   698,   699,
     700,   701,     0,   702,   703,   704,   705,   706,   707,   708,
     709,   710,     0,     0,   711,   712,   713,   714,   715,     0,
       0,   716,   717,   718,   719,   720,   808,   721,     0,   722,
       0,   724,   725,   726,   727,     0,     0,   728,     0,     0,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   744,   745,   809,   746,   747,
     763,   764,   765,   766,   767,   768,   769,     0,   770,   771,
       0,     0,   772,   773,   774,   775,   776,   777,     0,   778,
     779,   780,     0,     0,   781,   782,   783,   784,     0,     0,
     785,   786,   787,     0,   788,     0,     0,   789,   790,     0,
       0,     0,   791,   792,     0,     0,     0,     0,   793,     0,
       0,     0,     0,     0,     0,     0,     0,   794,     0,   795,
       0,   796,   797,    35,     0,     0,     0,    37,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   341,   342,   343,   344,   345,   346,
     347,   348,   349,     0,   350,   351,   352,     0,     0,     0,
       0,     0,     0,     0,   353,   354,   355,     0,   356,   357,
     358,   359,     0,   361,   362,   363,   364,   365,     0,   367,
     368,     0,   369,   370,   371,   372,   373,   374,   375,     0,
       0,   376,   377,   799,   378,   379,     0,   380,   381,   382,
     383,   384,     0,     0,     0,   386,   387,   388,   389,   390,
     391,     0,   393,   394,   395,   800,     0,   396,   397,   398,
     399,   400,   401,     0,     0,   403,   404,     0,     0,     0,
       0,     0,     0,     0,     0,   408,   409,   410,   411,   802,
     412,   413,   414,   415,     0,   416,     0,   417,   418,   419,
     420,   421,   422,   423,     0,   424,   425,   426,   427,     0,
       0,   428,   429,   430,   431,   432,     0,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,     0,   451,     0,
     452,   453,   454,   455,   456,     0,   457,     0,   458,   459,
       0,     0,     0,   462,   463,   464,   465,     0,   466,   467,
       0,   468,   469,   470,     0,   471,   472,   804,   473,  1418,
       0,   476,   477,   478,   479,     0,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,     0,   490,     0,   491,
     492,   493,     0,   494,     0,   495,     0,   496,     0,     0,
     499,     0,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,   520,     0,   522,     0,     0,   524,   525,
     526,     0,     0,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   805,   539,   540,   806,   541,
     542,   543,   544,     0,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,     0,   558,   559,     0,
     561,     0,   562,   563,   564,   565,   566,   567,     0,   568,
     569,   570,     0,     0,   571,   572,   573,     0,     0,   574,
     575,   576,     0,   578,     0,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,   595,   596,   597,   598,   599,   600,   601,     0,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,     0,
     631,   632,     0,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,   807,   648,     0,
     649,   650,   651,   652,   653,     0,   655,   656,   657,   658,
     659,     0,   661,   662,   663,   664,     0,   665,   666,   667,
     668,   669,   670,   671,   672,   673,   674,   675,   676,   677,
     678,   679,   680,   681,   682,     0,   683,   684,     0,     0,
     685,     0,   687,   688,   689,   690,   691,   692,     0,   693,
     694,   695,     0,     0,   697,   698,   699,   700,   701,     0,
     702,   703,   704,   705,   706,   707,   708,   709,   710,     0,
       0,   711,   712,   713,   714,   715,     0,     0,   716,   717,
     718,   719,   720,   808,   721,     0,   722,     0,   724,   725,
     726,   727,     0,     0,   728,     0,     0,   729,   730,   731,
     732,   733,   734,   735,   736,   737,   738,   739,   740,   741,
     742,   743,   744,   745,   809,   746,   747,   763,   764,   765,
     766,   767,   768,   769,     0,   770,   771,     0,     0,   772,
     773,   774,   775,   776,   777,     0,   778,   779,   780,     0,
       0,   781,   782,   783,   784,     0,     0,   785,   786,   787,
       0,   788,     0,     0,   789,   790,     0,     0,     0,   791,
     792,     0,     0,     0,     0,   793,     0,     0,     0,     0,
       0,     0,     0,     0,   794,     0,   795,     0,   796,   797,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,     0,
     361,   362,   363,   364,   365,     0,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
     799,   378,   379,     0,   380,   381,   382,   383,   384,     0,
       0,     0,   386,   387,   388,   389,   390,   391,     0,   393,
     394,   395,   800,     0,   396,   397,   398,   399,   400,   401,
       0,     0,   403,   404,     0,     0,     0,     0,     0,     0,
       0,     0,   408,   409,   410,   411,   802,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,     0,     0,     0,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,   804,   473,  1476,     0,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,     0,     0,   499,     0,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,     0,   522,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   805,   539,   540,   806,   541,   542,   543,   544,
       0,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,     0,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,     0,
     578,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,   595,   596,
     597,   598,   599,   600,   601,     0,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,     0,   631,   632,     0,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   807,   648,     0,   649,   650,   651,
     652,   653,     0,   655,   656,   657,   658,   659,     0,   661,
     662,   663,   664,     0,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
     681,   682,     0,   683,   684,     0,     0,   685,     0,   687,
     688,   689,   690,   691,   692,     0,   693,   694,   695,     0,
       0,   697,   698,   699,   700,   701,     0,   702,   703,   704,
     705,   706,   707,   708,   709,   710,     0,     0,   711,   712,
     713,   714,   715,     0,     0,   716,   717,   718,   719,   720,
     808,   721,     0,   722,     0,   724,   725,   726,   727,     0,
       0,   728,     0,     0,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   809,   746,   747,   763,   764,   765,   766,   767,   768,
     769,     0,   770,   771,     0,     0,   772,   773,   774,   775,
     776,   777,     0,   778,   779,   780,     0,     0,   781,   782,
     783,   784,     0,     0,   785,   786,   787,     0,   788,     0,
       0,   789,   790,     0,     0,     0,   791,   792,     0,     0,
       0,     0,   793,     0,     0,     0,     0,     0,     0,     0,
       0,   794,     0,   795,     0,   796,   797,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,     0,   361,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,   799,   378,   379,
       0,   380,   381,   382,   383,   384,     0,     0,     0,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,   800,
       0,   396,   397,   398,   399,   400,   401,     0,     0,   403,
     404,     0,     0,     0,     0,     0,     0,     0,     0,   408,
     409,   410,   411,   802,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   804,   473,  1481,     0,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499,     0,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,     0,   522,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   805,
     539,   540,   806,   541,   542,   543,   544,     0,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,   595,   596,   597,   598,   599,
     600,   601,     0,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,     0,   631,   632,     0,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,   807,   648,     0,   649,   650,   651,   652,   653,     0,
     655,   656,   657,   658,   659,     0,   661,   662,   663,   664,
       0,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,   681,   682,     0,
     683,   684,     0,     0,   685,     0,   687,   688,   689,   690,
     691,   692,     0,   693,   694,   695,     0,     0,   697,   698,
     699,   700,   701,     0,   702,   703,   704,   705,   706,   707,
     708,   709,   710,     0,     0,   711,   712,   713,   714,   715,
       0,     0,   716,   717,   718,   719,   720,   808,   721,     0,
     722,     0,   724,   725,   726,   727,     0,     0,   728,     0,
       0,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   744,   745,   809,   746,
     747,   763,   764,   765,   766,   767,   768,   769,     0,   770,
     771,     0,     0,   772,   773,   774,   775,   776,   777,     0,
     778,   779,   780,     0,     0,   781,   782,   783,   784,     0,
       0,   785,   786,   787,     0,   788,     0,     0,   789,   790,
       0,     0,     0,   791,   792,     0,     0,     0,     0,   793,
       0,     0,     0,     0,     0,     0,     0,     0,   794,     0,
     795,     0,   796,   797,    35,     0,     0,     0,    37,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   341,   342,   343,   344,   345,
     346,   347,   348,   349,     0,   350,   351,   352,     0,     0,
       0,     0,     0,     0,     0,   353,   354,   355,     0,   356,
     357,   358,   359,     0,   361,   362,   363,   364,   365,     0,
     367,   368,     0,   369,   370,   371,   372,   373,   374,   375,
       0,     0,   376,   377,   799,   378,   379,     0,   380,   381,
     382,   383,   384,     0,     0,     0,   386,   387,   388,   389,
     390,   391,     0,   393,   394,   395,   800,     0,   396,   397,
     398,   399,   400,   401,     0,     0,   403,   404,     0,     0,
       0,     0,     0,     0,     0,     0,   408,   409,   410,   411,
     802,   412,   413,   414,   415,     0,   416,     0,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,   426,   427,
       0,     0,   428,   429,   430,   431,   432,     0,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,     0,   451,
       0,   452,   453,   454,   455,   456,     0,   457,     0,   458,
     459,     0,     0,     0,   462,   463,   464,   465,     0,   466,
     467,     0,   468,   469,   470,     0,   471,   472,   804,   473,
    1497,     0,   476,   477,   478,   479,     0,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,     0,   490,     0,
     491,   492,   493,     0,   494,     0,   495,     0,   496,     0,
       0,   499,     0,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,   520,     0,   522,     0,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   805,   539,   540,   806,
     541,   542,   543,   544,     0,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,     0,   558,   559,
       0,   561,     0,   562,   563,   564,   565,   566,   567,     0,
     568,   569,   570,     0,     0,   571,   572,   573,     0,     0,
     574,   575,   576,     0,   578,     0,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   595,   596,   597,   598,   599,   600,   601,     0,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
       0,   631,   632,     0,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,   807,   648,
       0,   649,   650,   651,   652,   653,     0,   655,   656,   657,
     658,   659,     0,   661,   662,   663,   664,     0,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   674,   675,   676,
     677,   678,   679,   680,   681,   682,     0,   683,   684,     0,
       0,   685,     0,   687,   688,   689,   690,   691,   692,     0,
     693,   694,   695,     0,     0,   697,   698,   699,   700,   701,
       0,   702,   703,   704,   705,   706,   707,   708,   709,   710,
       0,     0,   711,   712,   713,   714,   715,     0,     0,   716,
     717,   718,   719,   720,   808,   721,     0,   722,     0,   724,
     725,   726,   727,     0,     0,   728,     0,     0,   729,   730,
     731,   732,   733,   734,   735,   736,   737,   738,   739,   740,
     741,   742,   743,   744,   745,   809,   746,   747,   763,   764,
     765,   766,   767,   768,   769,     0,   770,   771,     0,     0,
     772,   773,   774,   775,   776,   777,     0,   778,   779,   780,
       0,     0,   781,   782,   783,   784,     0,     0,   785,   786,
     787,     0,   788,     0,     0,   789,   790,     0,     0,     0,
     791,   792,     0,     0,     0,     0,   793,     0,     0,     0,
       0,     0,     0,     0,     0,   794,     0,   795,     0,   796,
     797,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
       0,   361,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,   799,   378,   379,     0,   380,   381,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,   800,     0,   396,   397,   398,   399,   400,
     401,     0,     0,   403,   404,     0,     0,     0,     0,     0,
       0,     0,     0,   408,   409,   410,   411,   802,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   804,   473,  1500,     0,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,     0,   522,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   805,   539,   540,   806,   541,   542,   543,
     544,     0,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,     0,   631,   632,
       0,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,   807,   648,     0,   649,   650,
     651,   652,   653,     0,   655,   656,   657,   658,   659,     0,
     661,   662,   663,   664,     0,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,   681,   682,     0,   683,   684,     0,     0,   685,     0,
     687,   688,   689,   690,   691,   692,     0,   693,   694,   695,
       0,     0,   697,   698,   699,   700,   701,     0,   702,   703,
     704,   705,   706,   707,   708,   709,   710,     0,     0,   711,
     712,   713,   714,   715,     0,     0,   716,   717,   718,   719,
     720,   808,   721,     0,   722,     0,   724,   725,   726,   727,
       0,     0,   728,     0,     0,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     744,   745,   809,   746,   747,   763,   764,   765,   766,   767,
     768,   769,     0,   770,   771,     0,     0,   772,   773,   774,
     775,   776,   777,     0,   778,   779,   780,     0,     0,   781,
     782,   783,   784,     0,     0,   785,   786,   787,     0,   788,
       0,     0,   789,   790,     0,     0,     0,   791,   792,     0,
       0,     0,     0,   793,     0,     0,     0,     0,     0,     0,
       0,     0,   794,     0,   795,     0,   796,   797,    35,     0,
       0,     0,    37,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   341,
     342,   343,   344,   345,   346,   347,   348,   349,     0,   350,
     351,   352,     0,     0,     0,     0,     0,     0,     0,   353,
     354,   355,     0,   356,   357,   358,   359,     0,   361,   362,
     363,   364,   365,     0,   367,   368,     0,   369,   370,   371,
     372,   373,   374,   375,     0,     0,   376,   377,   799,   378,
     379,     0,   380,   381,   382,   383,   384,     0,     0,     0,
     386,   387,   388,   389,   390,   391,     0,   393,   394,   395,
     800,     0,   396,   397,   398,   399,   400,   401,     0,     0,
     403,   404,     0,     0,     0,     0,     0,     0,     0,     0,
     408,   409,   410,   411,   802,   412,   413,   414,   415,     0,
     416,     0,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,     0,     0,   428,   429,   430,   431,
     432,     0,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,     0,   451,     0,   452,   453,   454,   455,   456,
       0,   457,     0,   458,   459,     0,     0,     0,   462,   463,
     464,   465,     0,   466,   467,     0,   468,   469,   470,     0,
     471,   472,   804,   473,  1502,     0,   476,   477,   478,   479,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   490,     0,   491,   492,   493,     0,   494,     0,
     495,     0,   496,     0,     0,   499,     0,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,     0,
     522,     0,     0,   524,   525,   526,     0,     0,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     805,   539,   540,   806,   541,   542,   543,   544,     0,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,     0,   558,   559,     0,   561,     0,   562,   563,   564,
     565,   566,   567,     0,   568,   569,   570,     0,     0,   571,
     572,   573,     0,     0,   574,   575,   576,     0,   578,     0,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,   595,   596,   597,   598,
     599,   600,   601,     0,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,     0,   631,   632,     0,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,   807,   648,     0,   649,   650,   651,   652,   653,
       0,   655,   656,   657,   658,   659,     0,   661,   662,   663,
     664,     0,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,   679,   680,   681,   682,
       0,   683,   684,     0,     0,   685,     0,   687,   688,   689,
     690,   691,   692,     0,   693,   694,   695,     0,     0,   697,
     698,   699,   700,   701,     0,   702,   703,   704,   705,   706,
     707,   708,   709,   710,     0,     0,   711,   712,   713,   714,
     715,     0,     0,   716,   717,   718,   719,   720,   808,   721,
       0,   722,     0,   724,   725,   726,   727,     0,     0,   728,
       0,     0,   729,   730,   731,   732,   733,   734,   735,   736,
     737,   738,   739,   740,   741,   742,   743,   744,   745,   809,
     746,   747,   763,   764,   765,   766,   767,   768,   769,     0,
     770,   771,     0,     0,   772,   773,   774,   775,   776,   777,
       0,   778,   779,   780,     0,     0,   781,   782,   783,   784,
       0,     0,   785,   786,   787,     0,   788,     0,     0,   789,
     790,     0,     0,     0,   791,   792,     0,     0,     0,     0,
     793,     0,     0,     0,     0,     0,     0,     0,     0,   794,
       0,   795,     0,   796,   797,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,     0,   361,   362,   363,   364,   365,
       0,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,   376,   377,   799,   378,   379,     0,   380,
     381,   382,   383,   384,     0,     0,     0,   386,   387,   388,
     389,   390,   391,     0,   393,   394,   395,   800,     0,   396,
     397,   398,   399,   400,   401,     0,     0,   403,   404,     0,
       0,     0,     0,     0,     0,     0,     0,   408,   409,   410,
     411,   802,   412,   413,   414,   415,     0,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,     0,
     451,     0,   452,   453,   454,   455,   456,     0,   457,     0,
     458,   459,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,   804,
     473,  1549,     0,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
       0,     0,   499,     0,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,     0,   522,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   805,   539,   540,
     806,   541,   542,   543,   544,     0,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,     0,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,     0,   578,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,   595,   596,   597,   598,   599,   600,   601,
       0,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,     0,   631,   632,     0,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   807,
     648,     0,   649,   650,   651,   652,   653,     0,   655,   656,
     657,   658,   659,     0,   661,   662,   663,   664,     0,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,   681,   682,     0,   683,   684,
       0,     0,   685,     0,   687,   688,   689,   690,   691,   692,
       0,   693,   694,   695,     0,     0,   697,   698,   699,   700,
     701,     0,   702,   703,   704,   705,   706,   707,   708,   709,
     710,     0,     0,   711,   712,   713,   714,   715,     0,     0,
     716,   717,   718,   719,   720,   808,   721,     0,   722,     0,
     724,   725,   726,   727,     0,     0,   728,     0,     0,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   744,   745,   809,   746,   747,   763,
     764,   765,   766,   767,   768,   769,     0,   770,   771,     0,
       0,   772,   773,   774,   775,   776,   777,     0,   778,   779,
     780,     0,     0,   781,   782,   783,   784,     0,     0,   785,
     786,   787,     0,   788,     0,     0,   789,   790,     0,     0,
       0,   791,   792,     0,     0,     0,     0,   793,     0,     0,
       0,     0,     0,     0,     0,     0,   794,     0,   795,     0,
     796,   797,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,     0,   361,   362,   363,   364,   365,     0,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,   799,   378,   379,     0,   380,   381,   382,   383,
     384,     0,     0,     0,   386,   387,   388,   389,   390,   391,
       0,   393,   394,   395,   800,     0,   396,   397,   398,   399,
     400,   401,     0,     0,   403,   404,     0,     0,     0,     0,
       0,     0,     0,     0,   408,   409,   410,   411,   802,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,     0,
       0,     0,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   804,   473,  1617,     0,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,     0,     0,   499,
       0,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,     0,   522,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   805,   539,   540,   806,   541,   542,
     543,   544,     0,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,     0,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,     0,   578,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
     595,   596,   597,   598,   599,   600,   601,     0,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,     0,   631,
     632,     0,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,   807,   648,     0,   649,
     650,   651,   652,   653,     0,   655,   656,   657,   658,   659,
       0,   661,   662,   663,   664,     0,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,   681,   682,     0,   683,   684,     0,     0,   685,
       0,   687,   688,   689,   690,   691,   692,     0,   693,   694,
     695,     0,     0,   697,   698,   699,   700,   701,     0,   702,
     703,   704,   705,   706,   707,   708,   709,   710,     0,     0,
     711,   712,   713,   714,   715,     0,     0,   716,   717,   718,
     719,   720,   808,   721,     0,   722,     0,   724,   725,   726,
     727,     0,     0,   728,     0,     0,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   744,   745,   809,   746,   747,   763,   764,   765,   766,
     767,   768,   769,     0,   770,   771,     0,     0,   772,   773,
     774,   775,   776,   777,     0,   778,   779,   780,     0,     0,
     781,   782,   783,   784,     0,     0,   785,   786,   787,     0,
     788,     0,     0,   789,   790,     0,     0,     0,   791,   792,
       0,     0,     0,     0,   793,     0,     0,     0,     0,     0,
       0,     0,     0,   794,     0,   795,     0,   796,   797,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     341,   342,   343,   344,   345,   346,   347,   348,   349,     0,
     350,   351,   352,     0,     0,     0,     0,     0,     0,     0,
     353,   354,   355,     0,   356,   357,   358,   359,     0,   361,
     362,   363,   364,   365,     0,   367,   368,     0,   369,   370,
     371,   372,   373,   374,   375,     0,     0,   376,   377,   799,
     378,   379,     0,   380,   381,   382,   383,   384,     0,     0,
       0,   386,   387,   388,   389,   390,   391,     0,   393,   394,
     395,   800,     0,   396,   397,   398,   399,   400,   401,     0,
       0,   403,   404,     0,     0,     0,     0,     0,     0,     0,
       0,   408,   409,   410,   411,   802,   412,   413,   414,   415,
       0,   416,     0,   417,   418,   419,   420,   421,   422,   423,
       0,   424,   425,   426,   427,     0,     0,   428,   429,   430,
     431,   432,     0,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,     0,   451,     0,   452,   453,   454,   455,
     456,     0,   457,     0,   458,   459,     0,     0,     0,   462,
     463,   464,   465,     0,   466,   467,     0,   468,   469,   470,
       0,   471,   472,   804,   473,  1619,     0,   476,   477,   478,
     479,     0,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488,     0,   490,     0,   491,   492,   493,     0,   494,
       0,   495,     0,   496,     0,     0,   499,     0,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,   520,
       0,   522,     0,     0,   524,   525,   526,     0,     0,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   805,   539,   540,   806,   541,   542,   543,   544,     0,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,     0,   558,   559,     0,   561,     0,   562,   563,
     564,   565,   566,   567,     0,   568,   569,   570,     0,     0,
     571,   572,   573,     0,     0,   574,   575,   576,     0,   578,
       0,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,   595,   596,   597,
     598,   599,   600,   601,     0,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,     0,   631,   632,     0,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   807,   648,     0,   649,   650,   651,   652,
     653,     0,   655,   656,   657,   658,   659,     0,   661,   662,
     663,   664,     0,   665,   666,   667,   668,   669,   670,   671,
     672,   673,   674,   675,   676,   677,   678,   679,   680,   681,
     682,     0,   683,   684,     0,     0,   685,     0,   687,   688,
     689,   690,   691,   692,     0,   693,   694,   695,     0,     0,
     697,   698,   699,   700,   701,     0,   702,   703,   704,   705,
     706,   707,   708,   709,   710,     0,     0,   711,   712,   713,
     714,   715,     0,     0,   716,   717,   718,   719,   720,   808,
     721,     0,   722,     0,   724,   725,   726,   727,     0,     0,
     728,     0,     0,   729,   730,   731,   732,   733,   734,   735,
     736,   737,   738,   739,   740,   741,   742,   743,   744,   745,
     809,   746,   747,   763,   764,   765,   766,   767,   768,   769,
       0,   770,   771,     0,     0,   772,   773,   774,   775,   776,
     777,     0,   778,   779,   780,     0,     0,   781,   782,   783,
     784,     0,     0,   785,   786,   787,     0,   788,     0,     0,
     789,   790,     0,     0,     0,   791,   792,     0,     0,     0,
       0,   793,     0,     0,     0,     0,     0,     0,     0,     0,
     794,     0,   795,     0,   796,   797,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,     0,   361,   362,   363,   364,
     365,     0,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,   799,   378,   379,     0,
     380,   381,   382,   383,   384,     0,     0,     0,   386,   387,
     388,   389,   390,   391,     0,   393,   394,   395,   800,     0,
     396,   397,   398,   399,   400,   401,     0,     0,   403,   404,
       0,     0,     0,     0,     0,     0,     0,     0,   408,   409,
     410,   411,   802,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,     0,     0,     0,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
     804,   473,  1629,     0,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,     0,     0,   499,     0,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,     0,   522,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   805,   539,
     540,   806,   541,   542,   543,   544,     0,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,     0,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,     0,   578,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,     0,   631,   632,     0,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
     807,   648,     0,   649,   650,   651,   652,   653,     0,   655,
     656,   657,   658,   659,     0,   661,   662,   663,   664,     0,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,     0,   683,
     684,     0,     0,   685,     0,   687,   688,   689,   690,   691,
     692,     0,   693,   694,   695,     0,     0,   697,   698,   699,
     700,   701,     0,   702,   703,   704,   705,   706,   707,   708,
     709,   710,     0,     0,   711,   712,   713,   714,   715,     0,
       0,   716,   717,   718,   719,   720,   808,   721,     0,   722,
       0,   724,   725,   726,   727,     0,     0,   728,     0,     0,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   744,   745,   809,   746,   747,
     763,   764,   765,   766,   767,   768,   769,     0,   770,   771,
       0,     0,   772,   773,   774,   775,   776,   777,     0,   778,
     779,   780,     0,     0,   781,   782,   783,   784,     0,     0,
     785,   786,   787,     0,   788,     0,     0,   789,   790,     0,
       0,     0,   791,   792,     0,     0,     0,     0,   793,     0,
       0,     0,     0,     0,     0,     0,     0,   794,     0,   795,
       0,   796,   797,    35,     0,     0,     0,    37,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   341,   342,   343,   344,   345,   346,
     347,   348,   349,     0,   350,   351,   352,     0,     0,     0,
       0,     0,     0,     0,   353,   354,   355,     0,   356,   357,
     358,   359,     0,   361,   362,   363,   364,   365,     0,   367,
     368,     0,   369,   370,   371,   372,   373,   374,   375,     0,
       0,   376,   377,   799,   378,   379,     0,   380,   381,   382,
     383,   384,     0,     0,     0,   386,   387,   388,   389,   390,
     391,     0,   393,   394,   395,   800,     0,   396,   397,   398,
     399,   400,   401,     0,     0,   403,   404,     0,     0,     0,
       0,     0,     0,     0,     0,   408,   409,   410,   411,   802,
     412,   413,   414,   415,     0,   416,     0,   417,   418,   419,
     420,   421,   422,   423,     0,   424,   425,   426,   427,     0,
       0,   428,   429,   430,   431,   432,     0,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,     0,   451,     0,
     452,   453,   454,   455,   456,     0,   457,     0,   458,   459,
       0,     0,     0,   462,   463,   464,   465,     0,   466,   467,
       0,   468,   469,   470,     0,   471,   472,   804,   473,  1632,
       0,   476,   477,   478,   479,     0,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,     0,   490,     0,   491,
     492,   493,     0,   494,     0,   495,     0,   496,     0,     0,
     499,     0,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,   520,     0,   522,     0,     0,   524,   525,
     526,     0,     0,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   805,   539,   540,   806,   541,
     542,   543,   544,     0,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,     0,   558,   559,     0,
     561,     0,   562,   563,   564,   565,   566,   567,     0,   568,
     569,   570,     0,     0,   571,   572,   573,     0,     0,   574,
     575,   576,     0,   578,     0,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,   595,   596,   597,   598,   599,   600,   601,     0,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,     0,
     631,   632,     0,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,   807,   648,     0,
     649,   650,   651,   652,   653,     0,   655,   656,   657,   658,
     659,     0,   661,   662,   663,   664,     0,   665,   666,   667,
     668,   669,   670,   671,   672,   673,   674,   675,   676,   677,
     678,   679,   680,   681,   682,     0,   683,   684,     0,     0,
     685,     0,   687,   688,   689,   690,   691,   692,     0,   693,
     694,   695,     0,     0,   697,   698,   699,   700,   701,     0,
     702,   703,   704,   705,   706,   707,   708,   709,   710,     0,
       0,   711,   712,   713,   714,   715,     0,     0,   716,   717,
     718,   719,   720,   808,   721,     0,   722,     0,   724,   725,
     726,   727,     0,     0,   728,     0,     0,   729,   730,   731,
     732,   733,   734,   735,   736,   737,   738,   739,   740,   741,
     742,   743,   744,   745,   809,   746,   747,   763,   764,   765,
     766,   767,   768,   769,     0,   770,   771,     0,     0,   772,
     773,   774,   775,   776,   777,     0,   778,   779,   780,     0,
       0,   781,   782,   783,   784,     0,     0,   785,   786,   787,
       0,   788,     0,     0,   789,   790,     0,     0,     0,   791,
     792,     0,     0,     0,     0,   793,     0,     0,     0,     0,
       0,     0,     0,     0,   794,     0,   795,     0,   796,   797,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,     0,
     361,   362,   363,   364,   365,     0,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
     799,   378,   379,     0,   380,   381,   382,   383,   384,     0,
       0,     0,   386,   387,   388,   389,   390,   391,     0,   393,
     394,   395,   800,     0,   396,   397,   398,   399,   400,   401,
       0,     0,   403,   404,     0,     0,     0,     0,     0,     0,
       0,     0,   408,   409,   410,   411,   802,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,     0,     0,     0,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,   804,   473,  1635,     0,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,     0,     0,   499,     0,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,     0,   522,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   805,   539,   540,   806,   541,   542,   543,   544,
       0,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,     0,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,     0,
     578,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,   595,   596,
     597,   598,   599,   600,   601,     0,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,     0,   631,   632,     0,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   807,   648,     0,   649,   650,   651,
     652,   653,     0,   655,   656,   657,   658,   659,     0,   661,
     662,   663,   664,     0,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
     681,   682,     0,   683,   684,     0,     0,   685,     0,   687,
     688,   689,   690,   691,   692,     0,   693,   694,   695,     0,
       0,   697,   698,   699,   700,   701,     0,   702,   703,   704,
     705,   706,   707,   708,   709,   710,     0,     0,   711,   712,
     713,   714,   715,     0,     0,   716,   717,   718,   719,   720,
     808,   721,     0,   722,     0,   724,   725,   726,   727,     0,
       0,   728,     0,     0,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   809,   746,   747,   763,   764,   765,   766,   767,   768,
     769,     0,   770,   771,     0,     0,   772,   773,   774,   775,
     776,   777,     0,   778,   779,   780,     0,     0,   781,   782,
     783,   784,     0,     0,   785,   786,   787,     0,   788,     0,
       0,   789,   790,     0,     0,     0,   791,   792,     0,     0,
       0,     0,   793,     0,     0,     0,     0,     0,     0,     0,
       0,   794,     0,   795,     0,   796,   797,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,  1873,   361,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,  1222,   377,  1193,   378,  1874,
       0,   380,   381,   382,   383,   384,     0,     0,     0,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,     0,
       0,   396,   397,   398,   399,   400,   401,     0,     0,   403,
     404,     0,     0,     0,     0,     0,     0,     0,     0,   408,
     409,   410,   411,   802,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   804,   473,   474,     0,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499,     0,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,     0,   522,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   805,
     539,   540,   806,   541,   542,  1226,   544,     0,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,   595,   596,   597,   598,   599,
     600,   601,     0,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,     0,   631,   632,     0,  1227,   635,   636,
     637,   638,   639,   640,   641,   642,   643,  1228,   645,   646,
     647,   807,   648,     0,   649,   650,   651,   652,  1866,     0,
     655,   656,   657,   658,   659,     0,   661,   662,   663,   664,
       0,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,   681,   682,     0,
     683,   684,     0,     0,   685,     0,   687,   688,   689,   690,
     691,   692,     0,   693,  1230,   695,     0,     0,  1231,   698,
     699,   700,   701,     0,   702,   703,   704,   705,   706,   707,
     708,   709,   710,     0,     0,   711,   712,   713,   714,   715,
       0,     0,   716,   717,   718,   719,   720,  1197,   721,     0,
     722,     0,   724,   725,   726,   727,     0,     0,   728,     0,
       0,   729,   730,   731,   732,   733,  1232,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   744,   745,   809,   746,
     747,  1982,   764,   765,   766,   767,   768,   769,     0,   770,
     771,     0,     0,   772,   773,   774,   775,   776,   777,     0,
     778,   779,   780,     0,     0,   781,   782,   783,   784,     0,
       0,   785,   786,   787,     0,   788,     0,     0,   789,   790,
       0,     0,     0,   791,   792,     0,     0,     0,     0,   793,
       0,     0,     0,     0,     0,     0,     0,     0,   794,     0,
     795,     0,   796,   797,    35,     0,     0,     0,    37,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   341,   342,   343,   344,   345,
     346,   347,   348,   349,     0,   350,   351,   352,     0,     0,
       0,     0,     0,     0,     0,   353,   354,   355,     0,   356,
     357,   358,   359,     0,   361,   362,   363,   364,   365,     0,
     367,   368,     0,   369,   370,   371,   372,   373,   374,   375,
       0,     0,   376,   377,   799,   378,   379,     0,   380,   381,
     382,   383,   384,     0,     0,     0,   386,   387,   388,   389,
     390,   391,     0,   393,   394,   395,   800,     0,   396,   397,
    1983,   399,   400,   401,     0,     0,   403,   404,     0,     0,
       0,     0,     0,     0,     0,     0,   408,   409,   410,   411,
     802,   412,   413,   414,   415,     0,   416,     0,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,   426,   427,
       0,     0,   428,   429,   430,   431,   432,     0,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,     0,   451,
       0,   452,   453,   454,   455,   456,     0,   457,     0,   458,
     459,     0,     0,     0,   462,   463,   464,   465,     0,   466,
     467,     0,   468,   469,   470,     0,   471,   472,   804,   473,
     474,     0,   476,   477,   478,   479,     0,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,     0,   490,     0,
     491,   492,   493,     0,   494,     0,   495,     0,   496,     0,
       0,   499,     0,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,   520,     0,   522,     0,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   805,   539,   540,   806,
     541,   542,   543,   544,     0,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,     0,   558,   559,
       0,   561,     0,   562,   563,   564,   565,   566,   567,     0,
     568,   569,   570,     0,     0,   571,   572,   573,     0,     0,
     574,   575,   576,     0,   578,     0,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   595,   596,   597,   598,   599,   600,   601,     0,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
       0,   631,   632,     0,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,   807,   648,
       0,   649,   650,   651,   652,   653,     0,   655,   656,   657,
     658,   659,     0,   661,   662,   663,   664,     0,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   674,   675,   676,
     677,   678,   679,   680,   681,   682,     0,   683,   684,     0,
       0,   685,     0,   687,   688,   689,   690,   691,   692,     0,
     693,   694,   695,     0,     0,   697,   698,   699,   700,   701,
       0,   702,   703,   704,   705,   706,   707,   708,   709,   710,
       0,     0,   711,   712,   713,   714,   715,     0,     0,   716,
     717,   718,   719,   720,   808,   721,     0,   722,     0,   724,
     725,   726,   727,     0,     0,   728,     0,     0,   729,   730,
     731,   732,   733,   734,   735,   736,   737,   738,   739,   740,
     741,   742,   743,   744,   745,   809,   746,   747,   763,   764,
     765,   766,   767,   768,   769,     0,   770,   771,     0,     0,
     772,   773,   774,   775,   776,   777,     0,   778,   779,   780,
       0,     0,   781,   782,   783,   784,     0,     0,   785,   786,
     787,     0,   788,     0,     0,   789,   790,     0,     0,     0,
     791,   792,     0,     0,     0,     0,   793,     0,     0,     0,
       0,     0,     0,     0,     0,   794,     0,   795,     0,   796,
     797,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,  1192,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
       0,   361,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,  1193,   378,   379,     0,   380,   381,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,     0,     0,   396,   397,   398,   399,   400,
     401,     0,     0,   403,   404,     0,     0,     0,     0,     0,
       0,     0,     0,   408,   409,   410,   411,   802,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   804,   473,   474,     0,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,     0,   522,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   805,   539,   540,   806,   541,   542,   543,
     544,     0,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,     0,   631,   632,
       0,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,   807,   648,     0,   649,   650,
     651,   652,   653,     0,   655,   656,   657,   658,   659,     0,
     661,   662,   663,   664,     0,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,   681,   682,     0,   683,   684,     0,     0,   685,     0,
     687,   688,   689,   690,   691,   692,     0,   693,   694,   695,
       0,     0,   697,   698,   699,   700,   701,     0,   702,   703,
     704,   705,   706,   707,   708,   709,   710,     0,     0,   711,
     712,   713,   714,   715,     0,     0,   716,   717,   718,   719,
     720,  1197,   721,     0,   722,     0,   724,   725,   726,   727,
       0,     0,   728,     0,     0,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     744,   745,   809,   746,   747,   763,   764,   765,   766,   767,
     768,   769,     0,   770,   771,     0,     0,   772,   773,   774,
     775,   776,   777,     0,   778,   779,   780,     0,     0,   781,
     782,   783,   784,     0,     0,   785,   786,   787,     0,   788,
       0,     0,   789,   790,     0,     0,     0,   791,   792,     0,
       0,     0,     0,   793,     0,     0,     0,     0,     0,     0,
       0,     0,   794,     0,   795,     0,   796,   797,    35,     0,
       0,     0,    37,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   341,
     342,   343,   344,   345,   346,   347,   348,   349,     0,   350,
     351,   352,     0,     0,     0,     0,     0,     0,     0,   353,
     354,   355,     0,   356,   357,   358,   359,     0,   361,   362,
     363,   364,   365,     0,   367,   368,     0,   369,   370,   371,
     372,   373,   374,   375,     0,     0,   376,   377,   799,   378,
     379,     0,   380,   381,   382,   383,   384,     0,     0,     0,
     386,   387,   388,   389,   390,   391,     0,   393,   394,   395,
     800,     0,   396,   397,   398,   399,   400,   401,     0,     0,
     403,   404,     0,     0,     0,     0,     0,     0,     0,     0,
     408,   409,   410,   411,   802,   412,   413,   414,   415,     0,
     416,     0,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,     0,     0,   428,   429,   430,   431,
     432,     0,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,     0,   451,     0,   452,   453,   454,   455,   456,
       0,   457,     0,   458,   459,     0,     0,     0,   462,   463,
     464,   465,     0,   466,   467,     0,   468,   469,   470,     0,
     471,   472,   804,   473,  2290,     0,   476,   477,   478,   479,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   490,     0,   491,   492,   493,     0,   494,     0,
     495,     0,   496,     0,     0,   499,     0,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,     0,
     522,     0,     0,   524,   525,   526,     0,     0,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     805,   539,   540,   806,   541,   542,   543,   544,     0,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,     0,   558,   559,     0,   561,     0,   562,   563,   564,
     565,   566,   567,     0,   568,   569,   570,     0,     0,   571,
     572,   573,     0,     0,   574,   575,   576,     0,   578,     0,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,   595,   596,   597,   598,
     599,   600,   601,     0,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,     0,   631,   632,     0,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,   807,   648,     0,   649,   650,   651,   652,   653,
       0,   655,   656,   657,   658,   659,     0,   661,   662,   663,
     664,     0,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,   679,   680,   681,   682,
       0,   683,   684,     0,     0,   685,     0,   687,   688,   689,
     690,   691,   692,     0,   693,   694,   695,     0,     0,   697,
     698,   699,   700,   701,     0,   702,   703,   704,   705,   706,
     707,   708,   709,   710,     0,     0,   711,   712,   713,   714,
     715,     0,     0,   716,   717,   718,   719,   720,   808,   721,
       0,   722,     0,   724,   725,   726,   727,     0,     0,   728,
       0,     0,   729,   730,   731,   732,   733,   734,   735,   736,
     737,   738,   739,   740,   741,   742,   743,   744,   745,   809,
     746,   747,   763,   764,   765,   766,   767,   768,   769,     0,
     770,   771,     0,     0,   772,   773,   774,   775,   776,   777,
       0,   778,   779,   780,     0,     0,   781,   782,   783,   784,
       0,     0,   785,   786,   787,     0,   788,     0,     0,   789,
     790,     0,     0,     0,   791,   792,     0,     0,     0,     0,
     793,     0,     0,     0,     0,     0,     0,     0,     0,   794,
       0,   795,     0,   796,   797,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,     0,   361,   362,   363,   364,   365,
       0,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,   376,   377,   799,   378,   379,     0,   380,
     381,   382,   383,   384,     0,     0,     0,   386,   387,   388,
     389,   390,   391,     0,   393,   394,   395,   800,     0,   396,
     397,   398,   399,   400,   401,     0,     0,   403,   404,     0,
       0,     0,     0,     0,     0,     0,     0,   408,   409,   410,
     411,   802,   412,   413,   414,   415,     0,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,     0,
     451,     0,   452,   453,   454,   455,   456,     0,   457,     0,
     458,   459,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,   804,
     473,  2324,     0,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
       0,     0,   499,     0,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,     0,   522,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   805,   539,   540,
     806,   541,   542,   543,   544,     0,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,     0,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,     0,   578,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,   595,   596,   597,   598,   599,   600,   601,
       0,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,     0,   631,   632,     0,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   807,
     648,     0,   649,   650,   651,   652,   653,     0,   655,   656,
     657,   658,   659,     0,   661,   662,   663,   664,     0,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,   681,   682,     0,   683,   684,
       0,     0,   685,     0,   687,   688,   689,   690,   691,   692,
       0,   693,   694,   695,     0,     0,   697,   698,   699,   700,
     701,     0,   702,   703,   704,   705,   706,   707,   708,   709,
     710,     0,     0,   711,   712,   713,   714,   715,     0,     0,
     716,   717,   718,   719,   720,   808,   721,     0,   722,     0,
     724,   725,   726,   727,     0,     0,   728,     0,     0,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   744,   745,   809,   746,   747,   763,
     764,   765,   766,   767,   768,   769,     0,   770,   771,     0,
       0,   772,   773,   774,   775,   776,   777,     0,   778,   779,
     780,     0,     0,   781,   782,   783,   784,     0,     0,   785,
     786,   787,     0,   788,     0,     0,   789,   790,     0,     0,
       0,   791,   792,     0,     0,     0,     0,   793,     0,     0,
       0,     0,     0,     0,     0,     0,   794,     0,   795,     0,
     796,   797,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,     0,   361,   362,   363,   364,   365,     0,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,   799,   378,   379,     0,   380,   381,   382,   383,
     384,     0,     0,     0,   386,   387,   388,   389,   390,   391,
       0,   393,   394,   395,   800,     0,   396,   397,   398,   399,
     400,   401,     0,     0,   403,   404,     0,     0,     0,     0,
       0,     0,     0,     0,   408,   409,   410,   411,   802,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,     0,
       0,     0,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   804,   473,  2326,     0,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,     0,     0,   499,
       0,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,     0,   522,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   805,   539,   540,   806,   541,   542,
     543,   544,     0,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,     0,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,     0,   578,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
     595,   596,   597,   598,   599,   600,   601,     0,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,     0,   631,
     632,     0,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,   807,   648,     0,   649,
     650,   651,   652,   653,     0,   655,   656,   657,   658,   659,
       0,   661,   662,   663,   664,     0,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,   681,   682,     0,   683,   684,     0,     0,   685,
       0,   687,   688,   689,   690,   691,   692,     0,   693,   694,
     695,     0,     0,   697,   698,   699,   700,   701,     0,   702,
     703,   704,   705,   706,   707,   708,   709,   710,     0,     0,
     711,   712,   713,   714,   715,     0,     0,   716,   717,   718,
     719,   720,   808,   721,     0,   722,     0,   724,   725,   726,
     727,     0,     0,   728,     0,     0,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   744,   745,   809,   746,   747,   763,   764,   765,   766,
     767,   768,   769,     0,   770,   771,     0,     0,   772,   773,
     774,   775,   776,   777,     0,   778,   779,   780,     0,     0,
     781,   782,   783,   784,     0,     0,   785,   786,   787,     0,
     788,     0,     0,   789,   790,     0,     0,     0,   791,   792,
       0,     0,     0,     0,   793,     0,     0,     0,     0,     0,
       0,     0,     0,   794,     0,   795,     0,   796,   797,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     341,   342,   343,   344,   345,   346,   347,   348,   349,     0,
     350,   351,   352,     0,     0,     0,     0,     0,     0,     0,
     353,   354,   355,     0,   356,   357,   358,   359,     0,   361,
     362,   363,   364,   365,     0,   367,   368,     0,   369,   370,
     371,   372,   373,   374,   375,     0,     0,   376,   377,   799,
     378,   379,     0,   380,   381,   382,   383,   384,     0,     0,
       0,   386,   387,   388,   389,   390,   391,     0,   393,   394,
     395,   800,     0,   396,   397,   398,   399,   400,   401,     0,
       0,   403,   404,     0,     0,     0,     0,     0,     0,     0,
       0,   408,   409,   410,   411,   802,   412,   413,   414,   415,
       0,   416,     0,   417,   418,   419,   420,   421,   422,   423,
       0,   424,   425,   426,   427,     0,     0,   428,   429,   430,
     431,   432,     0,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,     0,   451,     0,   452,   453,   454,   455,
     456,     0,   457,     0,   458,   459,     0,     0,     0,   462,
     463,   464,   465,     0,   466,   467,     0,   468,   469,   470,
       0,   471,   472,   804,   473,  2404,     0,   476,   477,   478,
     479,     0,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488,     0,   490,     0,   491,   492,   493,     0,   494,
       0,   495,     0,   496,     0,     0,   499,     0,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,   520,
       0,   522,     0,     0,   524,   525,   526,     0,     0,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   805,   539,   540,   806,   541,   542,   543,   544,     0,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,     0,   558,   559,     0,   561,     0,   562,   563,
     564,   565,   566,   567,     0,   568,   569,   570,     0,     0,
     571,   572,   573,     0,     0,   574,   575,   576,     0,   578,
       0,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,   595,   596,   597,
     598,   599,   600,   601,     0,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,     0,   631,   632,     0,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   807,   648,     0,   649,   650,   651,   652,
     653,     0,   655,   656,   657,   658,   659,     0,   661,   662,
     663,   664,     0,   665,   666,   667,   668,   669,   670,   671,
     672,   673,   674,   675,   676,   677,   678,   679,   680,   681,
     682,     0,   683,   684,     0,     0,   685,     0,   687,   688,
     689,   690,   691,   692,     0,   693,   694,   695,     0,     0,
     697,   698,   699,   700,   701,     0,   702,   703,   704,   705,
     706,   707,   708,   709,   710,     0,     0,   711,   712,   713,
     714,   715,     0,     0,   716,   717,   718,   719,   720,   808,
     721,     0,   722,     0,   724,   725,   726,   727,     0,     0,
     728,     0,     0,   729,   730,   731,   732,   733,   734,   735,
     736,   737,   738,   739,   740,   741,   742,   743,   744,   745,
     809,   746,   747,   763,   764,   765,   766,   767,   768,   769,
       0,   770,   771,     0,     0,   772,   773,   774,   775,   776,
     777,     0,   778,   779,   780,     0,     0,   781,   782,   783,
     784,     0,     0,   785,   786,   787,     0,   788,     0,     0,
     789,   790,     0,     0,     0,   791,   792,     0,     0,     0,
       0,   793,     0,     0,     0,     0,     0,     0,     0,     0,
     794,     0,   795,     0,   796,   797,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,     0,   361,   362,   363,   364,
     365,     0,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,   799,   378,   379,     0,
     380,   381,   382,   383,   384,     0,     0,     0,   386,   387,
     388,   389,   390,   391,     0,   393,   394,   395,   800,     0,
     396,   397,   398,   399,   400,   401,     0,     0,   403,   404,
       0,     0,     0,     0,     0,     0,     0,     0,   408,   409,
     410,   411,   802,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,     0,     0,     0,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
     804,   473,  2406,     0,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,     0,     0,   499,     0,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,     0,   522,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   805,   539,
     540,   806,   541,   542,   543,   544,     0,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,     0,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,     0,   578,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,     0,   631,   632,     0,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
     807,   648,     0,   649,   650,   651,   652,   653,     0,   655,
     656,   657,   658,   659,     0,   661,   662,   663,   664,     0,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,     0,   683,
     684,     0,     0,   685,     0,   687,   688,   689,   690,   691,
     692,     0,   693,   694,   695,     0,     0,   697,   698,   699,
     700,   701,     0,   702,   703,   704,   705,   706,   707,   708,
     709,   710,     0,     0,   711,   712,   713,   714,   715,     0,
       0,   716,   717,   718,   719,   720,   808,   721,     0,   722,
       0,   724,   725,   726,   727,     0,     0,   728,     0,     0,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   744,   745,   809,   746,   747,
     763,   764,   765,   766,   767,   768,   769,     0,   770,   771,
       0,     0,   772,   773,   774,   775,   776,   777,     0,   778,
     779,   780,     0,     0,   781,   782,   783,   784,     0,     0,
     785,   786,   787,     0,   788,     0,     0,   789,   790,     0,
       0,     0,   791,   792,     0,     0,     0,     0,   793,     0,
       0,     0,     0,     0,     0,     0,     0,   794,     0,   795,
       0,   796,   797,    35,     0,     0,     0,    37,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   341,   342,   343,   344,   345,   346,
     347,   348,   349,     0,   350,   351,   352,     0,     0,     0,
       0,     0,     0,     0,   353,   354,   355,     0,   356,   357,
     358,   359,     0,   361,   362,   363,   364,   365,     0,   367,
     368,     0,   369,   370,   371,   372,   373,   374,   375,     0,
       0,   376,   377,   799,   378,   379,     0,   380,   381,   382,
     383,   384,     0,     0,     0,   386,   387,   388,   389,   390,
     391,     0,   393,   394,   395,   800,     0,   396,   397,   398,
     399,   400,   401,     0,     0,   403,   404,     0,     0,     0,
       0,     0,     0,     0,     0,   408,   409,   410,   411,   802,
     412,   413,   414,   415,     0,   416,     0,   417,   418,   419,
     420,   421,   422,   423,     0,   424,   425,   426,   427,     0,
       0,   428,   429,   430,   431,   432,     0,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,     0,   451,     0,
     452,   453,   454,   455,   456,     0,   457,     0,   458,   459,
       0,     0,     0,   462,   463,   464,   465,     0,   466,   467,
       0,   468,   469,   470,     0,   471,   472,   804,   473,  2408,
       0,   476,   477,   478,   479,     0,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,     0,   490,     0,   491,
     492,   493,     0,   494,     0,   495,     0,   496,     0,     0,
     499,     0,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,   520,     0,   522,     0,     0,   524,   525,
     526,     0,     0,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   805,   539,   540,   806,   541,
     542,   543,   544,     0,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,     0,   558,   559,     0,
     561,     0,   562,   563,   564,   565,   566,   567,     0,   568,
     569,   570,     0,     0,   571,   572,   573,     0,     0,   574,
     575,   576,     0,   578,     0,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,   595,   596,   597,   598,   599,   600,   601,     0,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,     0,
     631,   632,     0,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,   807,   648,     0,
     649,   650,   651,   652,   653,     0,   655,   656,   657,   658,
     659,     0,   661,   662,   663,   664,     0,   665,   666,   667,
     668,   669,   670,   671,   672,   673,   674,   675,   676,   677,
     678,   679,   680,   681,   682,     0,   683,   684,     0,     0,
     685,     0,   687,   688,   689,   690,   691,   692,     0,   693,
     694,   695,     0,     0,   697,   698,   699,   700,   701,     0,
     702,   703,   704,   705,   706,   707,   708,   709,   710,     0,
       0,   711,   712,   713,   714,   715,     0,     0,   716,   717,
     718,   719,   720,   808,   721,     0,   722,     0,   724,   725,
     726,   727,     0,     0,   728,     0,     0,   729,   730,   731,
     732,   733,   734,   735,   736,   737,   738,   739,   740,   741,
     742,   743,   744,   745,   809,   746,   747,   763,   764,   765,
     766,   767,   768,   769,     0,   770,   771,     0,     0,   772,
     773,   774,   775,   776,   777,     0,   778,   779,   780,     0,
       0,   781,   782,   783,   784,     0,     0,   785,   786,   787,
       0,   788,     0,     0,   789,   790,     0,     0,     0,   791,
     792,     0,     0,     0,     0,   793,     0,     0,     0,     0,
       0,     0,     0,     0,   794,     0,   795,     0,   796,   797,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,     0,
     361,   362,   363,   364,   365,     0,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
     799,   378,   379,     0,   380,   381,   382,   383,   384,     0,
       0,     0,   386,   387,   388,   389,   390,   391,     0,   393,
     394,   395,   800,     0,   396,   397,   398,   399,   400,   401,
       0,     0,   403,   404,     0,     0,     0,     0,     0,     0,
       0,     0,   408,   409,   410,   411,   802,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,     0,     0,     0,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,   804,   473,   474,     0,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,     0,     0,   499,     0,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,     0,   522,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   805,   539,   540,   806,   541,   542,   543,   544,
       0,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,     0,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,     0,
     578,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,   595,   596,
     597,   598,   599,   600,   601,     0,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,     0,   631,   632,     0,
     634,   635,   636,   637,   638,   639,   640,   641,  2524,   643,
     644,   645,   646,   647,   807,   648,     0,   649,   650,   651,
     652,   653,     0,   655,   656,   657,   658,   659,     0,   661,
     662,   663,   664,     0,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
     681,   682,     0,   683,   684,     0,     0,   685,     0,   687,
     688,   689,   690,   691,   692,     0,   693,   694,   695,     0,
       0,   697,   698,   699,   700,   701,     0,   702,   703,   704,
     705,   706,   707,   708,   709,   710,     0,     0,   711,   712,
     713,   714,   715,     0,     0,   716,   717,   718,   719,   720,
     808,   721,     0,   722,     0,   724,   725,   726,   727,     0,
       0,   728,     0,     0,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   809,   746,   747,   763,   764,   765,   766,   767,   768,
     769,     0,   770,   771,     0,     0,   772,   773,   774,   775,
     776,   777,     0,   778,   779,   780,     0,     0,   781,   782,
     783,   784,     0,     0,   785,   786,   787,     0,   788,     0,
       0,   789,   790,     0,     0,     0,   791,   792,     0,     0,
       0,     0,   793,     0,     0,     0,     0,     0,     0,     0,
       0,   794,     0,   795,     0,   796,   797,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,     0,  3190,     0,   353,   354,
     355,     0,   356,   357,   358,   359,     0,   361,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,   799,   378,   379,
       0,   380,   381,   382,   383,   384,     0,     0,     0,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,   800,
       0,   396,   397,   398,   399,   400,   401,     0,     0,   403,
     404,     0,     0,     0,     0,     0,     0,     0,     0,   408,
     409,   410,   411,   802,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   804,   473,   474,     0,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499,     0,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,     0,   522,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   805,
     539,   540,   806,   541,   542,   543,   544,     0,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,   595,   596,   597,   598,   599,
     600,   601,     0,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,     0,   631,   632,     0,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,   807,   648,     0,   649,   650,   651,   652,   653,     0,
       0,   656,   657,   658,   659,     0,   661,   662,   663,   664,
       0,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,   681,   682,     0,
     683,   684,     0,     0,   685,     0,   687,   688,   689,   690,
     691,   692,     0,   693,   694,   695,     0,     0,   697,   698,
     699,   700,   701,     0,   702,   703,   704,   705,   706,   707,
     708,   709,   710,     0,     0,   711,   712,   713,   714,   715,
       0,     0,   716,   717,   718,   719,   720,   808,   721,     0,
     722,     0,   724,   725,   726,   727,     0,     0,   728,     0,
       0,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   744,   745,   809,   746,
     747,   763,   764,   765,   766,   767,   768,   769,     0,   770,
     771,     0,     0,   772,   773,   774,   775,   776,   777,     0,
     778,   779,   780,     0,     0,   781,   782,   783,   784,     0,
       0,   785,   786,   787,     0,   788,     0,     0,   789,   790,
       0,     0,     0,   791,   792,     0,     0,     0,     0,   793,
       0,     0,     0,     0,     0,     0,     0,     0,   794,     0,
     795,     0,   796,   797,    35,     0,     0,     0,    37,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   341,   342,   343,   344,   345,
     346,   347,   348,   349,     0,   350,   351,   352,     0,     0,
       0,     0,     0,     0,     0,   353,   354,   355,     0,   356,
     357,   358,   359,     0,   361,   362,   363,   364,   365,     0,
     367,   368,     0,   369,   370,   371,   372,   373,   374,   375,
       0,     0,   376,   377,   799,   378,   379,     0,   380,   381,
     382,   383,   384,     0,     0,     0,   386,   387,   388,   389,
     390,   391,     0,   393,   394,   395,   800,     0,   396,   397,
     398,   399,   400,   401,     0,     0,   403,   404,     0,     0,
       0,     0,     0,     0,     0,     0,   408,   409,   410,   411,
     802,   412,   413,   414,   415,     0,   416,     0,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,   426,   427,
       0,     0,   428,   429,   430,   431,   432,     0,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,     0,   451,
       0,   452,   453,   454,   455,   456,     0,   457,     0,   458,
     459,     0,     0,     0,   462,   463,   464,   465,     0,   466,
     467,     0,   468,   469,   470,     0,   471,   472,   804,   473,
    3628,     0,   476,   477,   478,   479,     0,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,     0,   490,     0,
     491,   492,   493,     0,   494,     0,   495,     0,   496,     0,
       0,   499,     0,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,   520,     0,   522,     0,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   805,   539,   540,   806,
     541,   542,   543,   544,     0,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,     0,   558,   559,
       0,   561,     0,   562,   563,   564,   565,   566,   567,     0,
     568,   569,   570,     0,     0,   571,   572,   573,     0,     0,
     574,   575,   576,     0,   578,     0,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   595,   596,   597,   598,   599,   600,   601,     0,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
       0,   631,   632,     0,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,   807,   648,
       0,   649,   650,   651,   652,   653,     0,   655,   656,   657,
     658,   659,     0,   661,   662,   663,   664,     0,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   674,   675,   676,
     677,   678,   679,   680,   681,   682,     0,   683,   684,     0,
       0,   685,     0,   687,   688,   689,   690,   691,   692,     0,
     693,   694,   695,     0,     0,   697,   698,   699,   700,   701,
       0,   702,   703,   704,   705,   706,   707,   708,   709,   710,
       0,     0,   711,   712,   713,   714,   715,     0,     0,   716,
     717,   718,   719,   720,   808,   721,     0,   722,     0,   724,
     725,   726,   727,     0,     0,   728,     0,     0,   729,   730,
     731,   732,   733,   734,   735,   736,   737,   738,   739,   740,
     741,   742,   743,   744,   745,   809,   746,   747,   763,   764,
     765,   766,   767,   768,   769,     0,   770,   771,     0,     0,
     772,   773,   774,   775,   776,   777,     0,   778,   779,   780,
       0,     0,   781,   782,   783,   784,     0,     0,   785,   786,
     787,     0,   788,     0,     0,   789,   790,     0,     0,     0,
     791,   792,     0,     0,     0,     0,   793,     0,     0,     0,
       0,     0,     0,     0,     0,   794,     0,   795,     0,   796,
     797,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
       0,   361,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,   799,   378,   379,     0,   380,   381,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,   800,     0,   396,   397,   398,   399,   400,
     401,     0,     0,   403,   404,     0,     0,     0,     0,     0,
       0,     0,     0,   408,   409,   410,   411,   802,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   804,   473,  3632,     0,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,     0,   522,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   805,   539,   540,   806,   541,   542,   543,
     544,     0,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,     0,   631,   632,
       0,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,   807,   648,     0,   649,   650,
     651,   652,   653,     0,   655,   656,   657,   658,   659,     0,
     661,   662,   663,   664,     0,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,   681,   682,     0,   683,   684,     0,     0,   685,     0,
     687,   688,   689,   690,   691,   692,     0,   693,   694,   695,
       0,     0,   697,   698,   699,   700,   701,     0,   702,   703,
     704,   705,   706,   707,   708,   709,   710,     0,     0,   711,
     712,   713,   714,   715,     0,     0,   716,   717,   718,   719,
     720,   808,   721,     0,   722,     0,   724,   725,   726,   727,
       0,     0,   728,     0,     0,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     744,   745,   809,   746,   747,   763,   764,   765,   766,   767,
     768,   769,     0,   770,   771,     0,     0,   772,   773,   774,
     775,   776,   777,     0,   778,   779,   780,     0,     0,   781,
     782,   783,   784,     0,     0,   785,   786,   787,     0,   788,
       0,     0,   789,   790,     0,     0,     0,   791,   792,     0,
       0,     0,     0,   793,     0,     0,     0,     0,     0,     0,
       0,     0,   794,     0,   795,     0,   796,   797,    35,     0,
       0,     0,    37,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   341,
     342,   343,   344,   345,   346,   347,   348,   349,     0,   350,
     351,   352,     0,     0,     0,     0,     0,     0,     0,   353,
     354,   355,     0,   356,   357,   358,   359,     0,   361,   362,
     363,   364,   365,     0,   367,   368,     0,   369,   370,   371,
     372,   373,   374,   375,     0,     0,   376,   377,   799,   378,
     379,     0,   380,   381,   382,   383,   384,     0,     0,     0,
     386,   387,   388,   389,   390,   391,     0,   393,   394,   395,
     800,     0,   396,   397,   398,   399,   400,   401,     0,     0,
     403,   404,     0,     0,     0,     0,     0,     0,     0,     0,
     408,   409,   410,   411,   802,   412,   413,   414,   415,     0,
     416,     0,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,     0,     0,   428,   429,   430,   431,
     432,     0,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,     0,   451,     0,   452,   453,   454,   455,   456,
       0,   457,     0,   458,   459,     0,     0,     0,   462,   463,
     464,   465,     0,   466,   467,     0,   468,   469,   470,     0,
     471,   472,   804,   473,  3718,     0,   476,   477,   478,   479,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   490,     0,   491,   492,   493,     0,   494,     0,
     495,     0,   496,     0,     0,   499,     0,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,     0,
     522,     0,     0,   524,   525,   526,     0,     0,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     805,   539,   540,   806,   541,   542,   543,   544,     0,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,     0,   558,   559,     0,   561,     0,   562,   563,   564,
     565,   566,   567,     0,   568,   569,   570,     0,     0,   571,
     572,   573,     0,     0,   574,   575,   576,     0,   578,     0,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,   595,   596,   597,   598,
     599,   600,   601,     0,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,     0,   631,   632,     0,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,   807,   648,     0,   649,   650,   651,   652,   653,
       0,   655,   656,   657,   658,   659,     0,   661,   662,   663,
     664,     0,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,   679,   680,   681,   682,
       0,   683,   684,     0,     0,   685,     0,   687,   688,   689,
     690,   691,   692,     0,   693,   694,   695,     0,     0,   697,
     698,   699,   700,   701,     0,   702,   703,   704,   705,   706,
     707,   708,   709,   710,     0,     0,   711,   712,   713,   714,
     715,     0,     0,   716,   717,   718,   719,   720,   808,   721,
       0,   722,     0,   724,   725,   726,   727,     0,     0,   728,
       0,     0,   729,   730,   731,   732,   733,   734,   735,   736,
     737,   738,   739,   740,   741,   742,   743,   744,   745,   809,
     746,   747,   763,   764,   765,   766,   767,   768,   769,     0,
     770,   771,     0,     0,   772,   773,   774,   775,   776,   777,
       0,   778,   779,   780,     0,     0,   781,   782,   783,   784,
       0,     0,   785,   786,   787,     0,   788,     0,     0,   789,
     790,     0,     0,     0,   791,   792,     0,     0,     0,     0,
     793,     0,     0,     0,     0,     0,     0,     0,     0,   794,
       0,   795,     0,   796,   797,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,     0,   361,   362,   363,   364,   365,
       0,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,   376,   377,   799,   378,   379,     0,   380,
     381,   382,   383,   384,     0,     0,     0,   386,   387,   388,
     389,   390,   391,     0,   393,   394,   395,   800,     0,   396,
     397,   398,   399,   400,   401,     0,     0,   403,   404,     0,
       0,     0,     0,     0,     0,     0,     0,   408,   409,   410,
     411,   802,   412,   413,   414,   415,     0,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,     0,
     451,     0,   452,   453,   454,   455,   456,     0,   457,     0,
     458,   459,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,   804,
     473,  4103,     0,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
       0,     0,   499,     0,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,     0,   522,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   805,   539,   540,
     806,   541,   542,   543,   544,     0,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,     0,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,     0,   578,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,   595,   596,   597,   598,   599,   600,   601,
       0,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,     0,   631,   632,     0,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   807,
     648,     0,   649,   650,   651,   652,   653,     0,   655,   656,
     657,   658,   659,     0,   661,   662,   663,   664,     0,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,   681,   682,     0,   683,   684,
       0,     0,   685,     0,   687,   688,   689,   690,   691,   692,
       0,   693,   694,   695,     0,     0,   697,   698,   699,   700,
     701,     0,   702,   703,   704,   705,   706,   707,   708,   709,
     710,     0,     0,   711,   712,   713,   714,   715,     0,     0,
     716,   717,   718,   719,   720,   808,   721,     0,   722,     0,
     724,   725,   726,   727,     0,     0,   728,     0,     0,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   744,   745,   809,   746,   747,   763,
     764,   765,   766,   767,   768,   769,     0,   770,   771,     0,
       0,   772,   773,   774,   775,   776,   777,     0,   778,   779,
     780,     0,     0,   781,   782,   783,   784,     0,     0,   785,
     786,   787,     0,   788,     0,     0,   789,   790,     0,     0,
       0,   791,   792,     0,     0,     0,     0,   793,     0,     0,
       0,     0,     0,     0,     0,     0,   794,     0,   795,     0,
     796,   797,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,     0,   361,   362,   363,   364,   365,     0,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,   799,   378,   379,     0,   380,   381,   382,   383,
     384,     0,     0,     0,   386,   387,   388,   389,   390,   391,
       0,   393,   394,   395,   800,     0,   396,   397,   398,   399,
     400,   401,     0,     0,   403,   404,     0,     0,     0,     0,
       0,     0,     0,     0,   408,   409,   410,   411,   802,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,     0,
       0,     0,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   804,   473,  4161,     0,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,     0,     0,   499,
       0,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,     0,   522,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   805,   539,   540,   806,   541,   542,
     543,   544,     0,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,     0,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,     0,   578,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
     595,   596,   597,   598,   599,   600,   601,     0,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,     0,   631,
     632,     0,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,   807,   648,     0,   649,
     650,   651,   652,   653,     0,   655,   656,   657,   658,   659,
       0,   661,   662,   663,   664,     0,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,   681,   682,     0,   683,   684,     0,     0,   685,
       0,   687,   688,   689,   690,   691,   692,     0,   693,   694,
     695,     0,     0,   697,   698,   699,   700,   701,     0,   702,
     703,   704,   705,   706,   707,   708,   709,   710,     0,     0,
     711,   712,   713,   714,   715,     0,     0,   716,   717,   718,
     719,   720,   808,   721,     0,   722,     0,   724,   725,   726,
     727,     0,     0,   728,     0,     0,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   744,   745,   809,   746,   747,   763,   764,   765,   766,
     767,   768,   769,     0,   770,   771,     0,     0,   772,   773,
     774,   775,   776,   777,     0,   778,   779,   780,     0,     0,
     781,   782,   783,   784,     0,     0,   785,   786,   787,     0,
     788,     0,     0,   789,   790,     0,     0,     0,   791,   792,
       0,     0,     0,     0,   793,     0,     0,     0,     0,     0,
       0,     0,     0,   794,     0,   795,     0,   796,   797,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     341,   342,   343,   344,   345,   346,   347,   348,   349,     0,
     350,   351,   352,     0,     0,     0,     0,     0,     0,     0,
     353,   354,   355,     0,   356,   357,   358,   359,     0,   361,
     362,   363,   364,   365,     0,   367,   368,     0,   369,   370,
     371,   372,   373,   374,   375,     0,     0,   376,   377,   799,
     378,   379,     0,   380,   381,   382,   383,   384,     0,     0,
       0,   386,   387,   388,   389,   390,   391,     0,   393,   394,
     395,   800,     0,   396,   397,   398,   399,   400,   401,     0,
       0,   403,   404,     0,     0,     0,     0,     0,     0,     0,
       0,   408,   409,   410,   411,   802,   412,   413,   414,   415,
       0,   416,     0,   417,   418,   419,   420,   421,   422,   423,
       0,   424,   425,   426,   427,     0,     0,   428,   429,   430,
     431,   432,     0,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,     0,   451,     0,   452,   453,   454,   455,
     456,     0,   457,     0,   458,   459,     0,     0,     0,   462,
     463,   464,   465,     0,   466,   467,     0,   468,   469,   470,
       0,   471,   472,   804,   473,  4183,     0,   476,   477,   478,
     479,     0,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488,     0,   490,     0,   491,   492,   493,     0,   494,
       0,   495,     0,   496,     0,     0,   499,     0,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,   520,
       0,   522,     0,     0,   524,   525,   526,     0,     0,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   805,   539,   540,   806,   541,   542,   543,   544,     0,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,     0,   558,   559,     0,   561,     0,   562,   563,
     564,   565,   566,   567,     0,   568,   569,   570,     0,     0,
     571,   572,   573,     0,     0,   574,   575,   576,     0,   578,
       0,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,   595,   596,   597,
     598,   599,   600,   601,     0,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,     0,   631,   632,     0,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   807,   648,     0,   649,   650,   651,   652,
     653,     0,   655,   656,   657,   658,   659,     0,   661,   662,
     663,   664,     0,   665,   666,   667,   668,   669,   670,   671,
     672,   673,   674,   675,   676,   677,   678,   679,   680,   681,
     682,     0,   683,   684,     0,     0,   685,     0,   687,   688,
     689,   690,   691,   692,     0,   693,   694,   695,     0,     0,
     697,   698,   699,   700,   701,     0,   702,   703,   704,   705,
     706,   707,   708,   709,   710,     0,     0,   711,   712,   713,
     714,   715,     0,     0,   716,   717,   718,   719,   720,   808,
     721,     0,   722,     0,   724,   725,   726,   727,     0,     0,
     728,     0,     0,   729,   730,   731,   732,   733,   734,   735,
     736,   737,   738,   739,   740,   741,   742,   743,   744,   745,
     809,   746,   747,   763,   764,   765,   766,   767,   768,   769,
       0,   770,   771,     0,     0,   772,   773,   774,   775,   776,
     777,     0,   778,   779,   780,     0,     0,   781,   782,   783,
     784,     0,     0,   785,   786,   787,     0,   788,     0,     0,
     789,   790,     0,     0,     0,   791,   792,     0,     0,     0,
       0,   793,     0,     0,     0,     0,     0,     0,     0,     0,
     794,     0,   795,     0,   796,   797,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,     0,   361,   362,   363,   364,
     365,     0,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,   799,   378,   379,     0,
     380,   381,   382,   383,   384,     0,     0,     0,   386,   387,
     388,   389,   390,   391,     0,   393,   394,   395,   800,     0,
     396,   397,   398,   399,   400,   401,     0,     0,   403,   404,
       0,     0,     0,     0,     0,     0,     0,     0,   408,   409,
     410,   411,   802,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,     0,     0,     0,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
     804,   473,  4185,     0,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,     0,     0,   499,     0,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,     0,   522,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   805,   539,
     540,   806,   541,   542,   543,   544,     0,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,     0,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,     0,   578,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,     0,   631,   632,     0,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
     807,   648,     0,   649,   650,   651,   652,   653,     0,   655,
     656,   657,   658,   659,     0,   661,   662,   663,   664,     0,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,     0,   683,
     684,     0,     0,   685,     0,   687,   688,   689,   690,   691,
     692,     0,   693,   694,   695,     0,     0,   697,   698,   699,
     700,   701,     0,   702,   703,   704,   705,   706,   707,   708,
     709,   710,     0,     0,   711,   712,   713,   714,   715,     0,
       0,   716,   717,   718,   719,   720,   808,   721,     0,   722,
       0,   724,   725,   726,   727,     0,     0,   728,     0,     0,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   744,   745,   809,   746,   747,
     763,   764,   765,   766,   767,   768,   769,     0,   770,   771,
       0,     0,   772,   773,   774,   775,   776,   777,     0,   778,
     779,   780,     0,     0,   781,   782,   783,   784,     0,     0,
     785,   786,   787,     0,   788,     0,     0,   789,   790,     0,
       0,     0,   791,   792,     0,     0,     0,     0,   793,     0,
       0,     0,     0,     0,     0,     0,     0,   794,     0,   795,
       0,   796,   797,    35,     0,     0,     0,    37,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   341,   342,   343,   344,   345,   346,
     347,   348,   349,     0,   350,   351,   352,     0,     0,     0,
       0,     0,     0,     0,   353,   354,   355,     0,   356,   357,
     358,   359,     0,   361,   362,   363,   364,   365,     0,   367,
     368,     0,   369,   370,   371,   372,   373,   374,   375,     0,
       0,   376,   377,   799,   378,   379,     0,   380,   381,   382,
     383,   384,     0,     0,     0,   386,   387,   388,   389,   390,
     391,     0,   393,   394,   395,   800,     0,   396,   397,   398,
     399,   400,   401,     0,     0,   403,   404,     0,     0,     0,
       0,     0,     0,     0,     0,   408,   409,   410,   411,   802,
     412,   413,   414,   415,     0,   416,     0,   417,   418,   419,
     420,   421,   422,   423,     0,   424,   425,   426,   427,     0,
       0,   428,   429,   430,   431,   432,     0,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,     0,   451,     0,
     452,   453,   454,   455,   456,     0,   457,     0,   458,   459,
       0,     0,     0,   462,   463,   464,   465,     0,   466,   467,
       0,   468,   469,   470,     0,   471,   472,   804,   473,  4337,
       0,   476,   477,   478,   479,     0,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,     0,   490,     0,   491,
     492,   493,     0,   494,     0,   495,     0,   496,     0,     0,
     499,     0,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,   520,     0,   522,     0,     0,   524,   525,
     526,     0,     0,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   805,   539,   540,   806,   541,
     542,   543,   544,     0,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,     0,   558,   559,     0,
     561,     0,   562,   563,   564,   565,   566,   567,     0,   568,
     569,   570,     0,     0,   571,   572,   573,     0,     0,   574,
     575,   576,     0,   578,     0,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,   595,   596,   597,   598,   599,   600,   601,     0,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,     0,
     631,   632,     0,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,   807,   648,     0,
     649,   650,   651,   652,   653,     0,   655,   656,   657,   658,
     659,     0,   661,   662,   663,   664,     0,   665,   666,   667,
     668,   669,   670,   671,   672,   673,   674,   675,   676,   677,
     678,   679,   680,   681,   682,     0,   683,   684,     0,     0,
     685,     0,   687,   688,   689,   690,   691,   692,     0,   693,
     694,   695,     0,     0,   697,   698,   699,   700,   701,     0,
     702,   703,   704,   705,   706,   707,   708,   709,   710,     0,
       0,   711,   712,   713,   714,   715,     0,     0,   716,   717,
     718,   719,   720,   808,   721,     0,   722,     0,   724,   725,
     726,   727,     0,     0,   728,     0,     0,   729,   730,   731,
     732,   733,   734,   735,   736,   737,   738,   739,   740,   741,
     742,   743,   744,   745,   809,   746,   747,   763,   764,   765,
     766,   767,   768,   769,     0,   770,   771,     0,     0,   772,
     773,   774,   775,   776,   777,     0,   778,   779,   780,     0,
       0,   781,   782,   783,   784,     0,     0,   785,   786,   787,
       0,   788,     0,     0,   789,   790,     0,     0,     0,   791,
     792,     0,     0,     0,     0,   793,     0,     0,     0,     0,
       0,     0,     0,     0,   794,     0,   795,     0,   796,   797,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,     0,
     361,   362,   363,   364,   365,     0,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
     799,   378,   379,     0,   380,   381,   382,   383,   384,     0,
       0,     0,   386,   387,   388,   389,   390,   391,     0,   393,
     394,   395,   800,     0,   396,   397,   398,   399,   400,   401,
       0,     0,   403,   404,     0,     0,     0,     0,     0,     0,
       0,     0,   408,   409,   410,   411,   802,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,  4379,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,     0,     0,     0,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,   804,   473,   474,     0,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,     0,     0,   499,     0,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,     0,   522,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   805,   539,   540,   806,   541,   542,   543,   544,
       0,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,     0,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,     0,
     578,     0,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,   595,   596,
     597,   598,   599,   600,   601,     0,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,     0,   631,   632,     0,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,   807,   648,     0,   649,   650,   651,
     652,   653,     0,   655,   656,   657,   658,   659,     0,   661,
     662,   663,   664,     0,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
     681,   682,     0,   683,   684,     0,     0,   685,     0,   687,
     688,   689,   690,   691,   692,     0,   693,   694,   695,     0,
       0,   697,   698,   699,   700,   701,     0,   702,   703,   704,
     705,   706,   707,   708,   709,   710,     0,     0,   711,   712,
     713,   714,   715,     0,     0,   716,   717,   718,   719,   720,
     808,   721,     0,   722,     0,   724,   725,   726,   727,     0,
       0,   728,     0,     0,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   809,   746,   747,   763,   764,   765,   766,   767,   768,
     769,     0,   770,   771,     0,     0,   772,   773,   774,   775,
     776,   777,     0,   778,   779,   780,     0,     0,   781,   782,
     783,   784,     0,     0,   785,   786,   787,     0,   788,     0,
       0,   789,   790,     0,     0,     0,   791,   792,     0,     0,
       0,     0,   793,     0,     0,     0,     0,     0,     0,     0,
       0,   794,     0,   795,     0,   796,   797,    35,     0,     0,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,     0,   361,   362,   363,
     364,   365,     0,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,   799,   378,   379,
       0,   380,   381,   382,   383,   384,     0,     0,     0,   386,
     387,   388,   389,   390,   391,     0,   393,   394,   395,   800,
       0,   396,   397,   398,   399,   400,   401,     0,     0,   403,
     404,     0,     0,     0,     0,     0,     0,     0,     0,   408,
     409,   410,   411,   802,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,     0,     0,     0,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,   804,   473,  5704,     0,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
       0,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,     0,     0,   499,     0,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,     0,   522,
       0,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   805,
     539,   540,   806,   541,   542,   543,   544,     0,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,     0,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,     0,   578,     0,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,   595,   596,   597,   598,   599,
     600,   601,     0,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,     0,   631,   632,     0,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,   807,   648,     0,   649,   650,   651,   652,   653,     0,
     655,   656,   657,   658,   659,     0,   661,   662,   663,   664,
       0,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,   681,   682,     0,
     683,   684,     0,     0,   685,     0,   687,   688,   689,   690,
     691,   692,     0,   693,   694,   695,     0,     0,   697,   698,
     699,   700,   701,     0,   702,   703,   704,   705,   706,   707,
     708,   709,   710,     0,     0,   711,   712,   713,   714,   715,
       0,     0,   716,   717,   718,   719,   720,   808,   721,     0,
     722,     0,   724,   725,   726,   727,     0,     0,   728,     0,
       0,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   744,   745,   809,   746,
     747,   763,   764,   765,   766,   767,   768,   769,     0,   770,
     771,     0,     0,   772,   773,   774,   775,   776,   777,     0,
     778,   779,   780,     0,     0,   781,   782,   783,   784,     0,
       0,   785,   786,   787,     0,   788,     0,     0,   789,   790,
       0,     0,     0,   791,   792,     0,     0,     0,     0,   793,
       0,     0,     0,     0,     0,     0,     0,     0,   794,     0,
     795,     0,   796,   797,    35,     0,     0,     0,    37,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   341,   342,   343,   344,   345,
     346,   347,   348,   349,     0,   350,   351,   352,     0,     0,
       0,     0,     0,     0,     0,   353,   354,   355,     0,   356,
     357,   358,   359,     0,   361,   362,   363,   364,   365,     0,
     367,   368,     0,   369,   370,   371,   372,   373,   374,   375,
       0,     0,   376,   377,   799,   378,   379,     0,   380,   381,
     382,   383,   384,     0,     0,     0,   386,   387,   388,   389,
     390,   391,     0,   393,   394,   395,   800,     0,   396,   397,
     398,   399,   400,   401,     0,     0,   403,   404,     0,     0,
       0,     0,     0,     0,     0,     0,   408,   409,   410,   411,
     802,   412,   413,   414,   415,     0,   416,     0,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,   426,   427,
       0,     0,   428,   429,   430,   431,   432,     0,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,     0,   451,
       0,   452,   453,   454,   455,   456,     0,   457,     0,   458,
     459,     0,     0,     0,   462,   463,   464,   465,     0,   466,
     467,     0,   468,   469,   470,     0,   471,   472,   804,   473,
     474,     0,   476,   477,   478,   479,     0,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,     0,   490,     0,
     491,   492,   493,     0,   494,     0,   495,     0,   496,     0,
       0,   499,     0,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,   520,     0,   522,     0,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   805,   539,   540,   806,
     541,   542,   543,   544,     0,   546,  7021,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,     0,   558,   559,
       0,   561,     0,   562,   563,   564,   565,   566,   567,     0,
     568,   569,   570,     0,     0,   571,   572,   573,     0,     0,
     574,   575,   576,     0,   578,     0,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   595,   596,   597,   598,   599,   600,   601,     0,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
       0,   631,   632,     0,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,   807,   648,
       0,   649,   650,   651,   652,   653,     0,   655,   656,   657,
     658,   659,     0,   661,   662,   663,   664,     0,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   674,   675,   676,
     677,   678,   679,   680,   681,   682,     0,   683,   684,     0,
       0,   685,     0,   687,   688,   689,   690,   691,   692,     0,
     693,   694,   695,     0,     0,   697,   698,   699,   700,   701,
       0,   702,   703,   704,   705,   706,   707,   708,   709,   710,
       0,     0,   711,   712,   713,   714,   715,     0,     0,   716,
     717,   718,   719,   720,   808,   721,     0,   722,     0,   724,
     725,   726,   727,     0,     0,   728,     0,     0,   729,   730,
     731,   732,   733,   734,   735,   736,   737,   738,   739,   740,
     741,   742,   743,   744,   745,   809,   746,   747,   763,   764,
     765,   766,   767,   768,   769,     0,   770,   771,     0,     0,
     772,   773,   774,   775,   776,   777,     0,   778,   779,   780,
       0,     0,   781,   782,   783,   784,     0,     0,   785,   786,
     787,     0,   788,     0,     0,   789,   790,     0,     0,     0,
     791,   792,     0,     0,     0,     0,   793,     0,     0,     0,
       0,     0,     0,     0,     0,   794,     0,   795,     0,   796,
     797,    35,     0,     0,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
       0,   361,   362,   363,   364,   365,     0,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,  1222,
     377,  1193,   378,   379,     0,   380,   381,   382,   383,   384,
       0,     0,     0,   386,   387,   388,   389,   390,   391,     0,
     393,   394,   395,     0,     0,   396,   397,   398,   399,   400,
     401,     0,     0,   403,   404,     0,     0,     0,     0,     0,
       0,     0,     0,   408,   409,   410,   411,   802,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,     0,     0,
       0,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,   804,   473,   474,     0,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,     0,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,     0,     0,   499,     0,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,     0,   522,     0,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   805,   539,   540,   806,   541,   542,  1226,
     544,     0,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,     0,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
       0,   578,     0,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,     0,   631,   632,
       0,  1227,   635,   636,   637,   638,   639,   640,   641,   642,
     643,  1228,   645,   646,   647,   807,   648,     0,   649,   650,
     651,   652,  1866,     0,   655,   656,   657,   658,   659,     0,
     661,   662,   663,   664,     0,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,   681,   682,     0,   683,   684,     0,     0,   685,     0,
     687,   688,   689,   690,   691,   692,     0,   693,  1230,   695,
       0,     0,  1231,   698,   699,   700,   701,     0,   702,   703,
     704,   705,   706,   707,   708,   709,   710,     0,     0,   711,
     712,   713,   714,   715,     0,     0,   716,   717,   718,   719,
     720,  1197,   721,     0,   722,     0,   724,   725,   726,   727,
       0,     0,   728,     0,     0,   729,   730,   731,   732,   733,
    1232,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     744,   745,   809,   746,   747,   763,   764,   765,   766,   767,
     768,   769,     0,   770,   771,     0,     0,   772,   773,   774,
     775,   776,   777,     0,   778,   779,   780,     0,     0,   781,
     782,   783,   784,     0,     0,   785,   786,   787,     0,   788,
       0,     0,   789,   790,     0,     0,     0,   791,   792,     0,
       0,     0,     0,   793,     0,     0,     0,     0,     0,     0,
       0,     0,   794,     0,   795,     0,   796,   797,    35,     0,
       0,     0,    37,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   341,
     342,   343,   344,   345,   346,   347,   348,   349,     0,   350,
     351,   352,     0,     0,     0,     0,     0,     0,     0,   353,
     354,   355,     0,   356,   357,   358,   359,     0,   361,   362,
     363,   364,   365,     0,   367,   368,     0,   369,   370,   371,
     372,   373,   374,   375,     0,     0,   376,   377,  1193,   378,
     379,     0,   380,   381,   382,   383,   384,     0,     0,     0,
     386,   387,   388,   389,   390,   391,     0,   393,   394,   395,
       0,     0,   396,   397,   398,   399,   400,   401,     0,     0,
     403,   404,     0,     0,     0,     0,     0,     0,     0,     0,
     408,   409,   410,   411,   802,   412,   413,   414,   415,     0,
     416,     0,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,     0,     0,   428,   429,   430,   431,
     432,     0,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,     0,   451,     0,   452,   453,   454,   455,   456,
       0,   457,     0,   458,   459,     0,     0,     0,   462,   463,
     464,   465,     0,   466,   467,     0,   468,   469,   470,     0,
     471,   472,   804,   473,   474,     0,   476,   477,   478,   479,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,     0,   490,     0,   491,   492,   493,     0,   494,     0,
     495,     0,   496,     0,     0,   499,     0,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,     0,
     522,     0,     0,   524,   525,   526,     0,     0,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     805,   539,   540,   806,   541,   542,   543,   544,     0,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,     0,   558,   559,     0,   561,     0,   562,   563,   564,
     565,   566,   567,     0,   568,   569,   570,     0,     0,   571,
     572,   573,     0,     0,   574,   575,   576,     0,   578,     0,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,   595,   596,   597,   598,
     599,   600,   601,     0,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,     0,   631,   632,     0,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,   807,   648,     0,   649,   650,   651,   652,   653,
       0,   655,   656,   657,   658,   659,     0,   661,   662,   663,
     664,     0,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,   679,   680,   681,   682,
       0,   683,   684,     0,     0,   685,     0,   687,   688,   689,
     690,   691,   692,     0,   693,   694,   695,     0,     0,   697,
     698,   699,   700,   701,     0,   702,   703,   704,   705,   706,
     707,   708,   709,   710,     0,     0,   711,   712,   713,   714,
     715,     0,     0,   716,   717,   718,   719,   720,  1197,   721,
       0,   722,     0,   724,   725,   726,   727,     0,     0,   728,
       0,     0,   729,   730,   731,   732,   733,   734,   735,   736,
     737,   738,   739,   740,   741,   742,   743,   744,   745,   809,
     746,   747,   763,   764,   765,   766,   767,   768,   769,     0,
     770,   771,     0,     0,   772,   773,   774,   775,   776,   777,
       0,   778,   779,   780,     0,     0,   781,   782,   783,   784,
       0,     0,   785,   786,   787,     0,   788,     0,     0,   789,
     790,     0,     0,     0,   791,   792,     0,     0,     0,     0,
     793,     0,     0,     0,     0,     0,     0,     0,     0,   794,
       0,   795,     0,   796,   797,    35,     0,     0,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,     0,   361,   362,   363,   364,   365,
       0,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,  1222,   377,  1193,   378,   379,     0,   380,
     381,   382,   383,   384,     0,     0,     0,   386,   387,   388,
     389,   390,   391,     0,   393,   394,   395,     0,     0,   396,
     397,   398,   399,   400,   401,     0,     0,   403,   404,     0,
       0,     0,     0,     0,     0,     0,     0,   408,   409,   410,
     411,   802,   412,   413,   414,   415,     0,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,     0,
     451,     0,   452,   453,   454,   455,   456,     0,   457,     0,
     458,   459,     0,     0,     0,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,   804,
     473,   474,     0,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,     0,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
       0,     0,   499,     0,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,     0,   522,     0,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   805,   539,   540,
     806,   541,   542,  1226,   544,     0,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,     0,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,     0,   578,     0,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,   595,   596,   597,   598,   599,   600,   601,
       0,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,     0,   631,   632,     0,  1227,   635,   636,   637,   638,
     639,   640,   641,   642,   643,  1228,   645,   646,   647,   807,
     648,     0,   649,   650,   651,   652,  1866,     0,   655,   656,
     657,   658,   659,     0,   661,   662,   663,   664,     0,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,   681,   682,     0,   683,   684,
       0,     0,   685,     0,  3262,   688,   689,   690,   691,   692,
       0,   693,  1230,   695,     0,     0,  1231,   698,   699,   700,
     701,     0,   702,   703,   704,   705,   706,   707,   708,   709,
     710,     0,     0,   711,   712,   713,   714,   715,     0,     0,
     716,   717,   718,   719,   720,  1197,   721,     0,   722,     0,
     724,   725,   726,   727,     0,     0,   728,     0,     0,   729,
     730,   731,   732,   733,  1232,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   744,   745,   809,   746,   747,   763,
     764,   765,   766,   767,   768,   769,     0,   770,   771,     0,
       0,   772,   773,   774,   775,   776,   777,     0,   778,   779,
     780,     0,     0,   781,   782,   783,   784,     0,     0,   785,
     786,   787,     0,   788,     0,     0,   789,   790,     0,     0,
       0,   791,   792,     0,     0,     0,     0,   793,     0,     0,
       0,     0,     0,     0,     0,     0,   794,     0,   795,     0,
     796,   797,    35,     0,     0,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,     0,   361,   362,   363,   364,   365,     0,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
    1222,   377,  1193,   378,   379,     0,   380,   381,   382,   383,
     384,     0,     0,     0,   386,   387,   388,   389,   390,   391,
       0,   393,   394,   395,     0,     0,   396,   397,   398,   399,
     400,   401,     0,     0,   403,   404,     0,     0,     0,     0,
       0,     0,     0,     0,   408,   409,   410,   411,   802,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,     0,
       0,     0,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,   804,   473,   474,     0,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,     0,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,     0,     0,   499,
       0,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,     0,   522,     0,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   805,   539,   540,   806,   541,   542,
    1226,   544,     0,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,     0,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,     0,   578,     0,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
     595,   596,   597,   598,   599,   600,   601,     0,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,     0,   631,
     632,     0,  1227,   635,   636,   637,   638,   639,   640,   641,
     642,   643,  3324,   645,   646,   647,   807,   648,     0,   649,
     650,   651,   652,  3325,     0,   655,   656,   657,   658,   659,
       0,   661,   662,   663,   664,     0,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,   681,   682,     0,   683,   684,     0,     0,   685,
       0,   687,   688,   689,   690,   691,   692,     0,   693,  1230,
     695,     0,     0,  3326,   698,   699,   700,   701,     0,   702,
     703,   704,   705,   706,   707,   708,   709,   710,     0,     0,
     711,   712,   713,   714,   715,     0,     0,   716,   717,   718,
     719,   720,  1197,   721,     0,   722,     0,   724,   725,   726,
     727,     0,     0,   728,     0,     0,   729,   730,   731,   732,
     733,  1232,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   744,   745,   809,   746,   747,   763,   764,   765,   766,
     767,   768,   769,     0,   770,   771,     0,     0,   772,   773,
     774,   775,   776,   777,     0,   778,   779,   780,     0,     0,
     781,   782,   783,   784,     0,     0,   785,   786,   787,     0,
     788,     0,     0,   789,   790,     0,     0,     0,   791,   792,
       0,     0,     0,     0,   793,     0,     0,     0,     0,     0,
       0,     0,     0,   794,     0,   795,     0,   796,   797,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     341,   342,   343,   344,   345,   346,   347,   348,   349,     0,
     350,   351,   352,     0,     0,     0,     0,     0,     0,     0,
     353,   354,   355,     0,   356,   357,   358,   359,     0,   361,
     362,   363,   364,   365,     0,   367,   368,     0,   369,   370,
     371,   372,   373,   374,   375,     0,     0,  1222,   377,  1193,
     378,   379,     0,   380,   381,   382,   383,   384,     0,     0,
       0,   386,   387,   388,   389,   390,   391,     0,   393,   394,
     395,     0,     0,   396,   397,   398,   399,   400,   401,     0,
       0,   403,   404,     0,     0,     0,     0,     0,     0,     0,
       0,   408,   409,   410,   411,   802,   412,   413,   414,   415,
       0,   416,     0,   417,   418,   419,   420,   421,   422,   423,
       0,   424,   425,   426,   427,     0,     0,   428,   429,   430,
     431,   432,     0,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,     0,   451,     0,   452,   453,   454,   455,
     456,     0,   457,     0,   458,   459,     0,     0,     0,   462,
     463,   464,   465,     0,   466,   467,     0,   468,   469,   470,
       0,   471,   472,   804,   473,   474,     0,   476,   477,   478,
     479,     0,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488,     0,   490,     0,   491,   492,   493,     0,   494,
       0,   495,     0,   496,     0,     0,   499,     0,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,   520,
       0,   522,     0,     0,   524,   525,   526,     0,     0,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   805,   539,   540,   806,   541,   542,  1226,   544,     0,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,     0,   558,   559,     0,   561,     0,   562,   563,
     564,   565,   566,   567,     0,   568,   569,   570,     0,     0,
     571,   572,   573,     0,     0,   574,   575,   576,     0,   578,
       0,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,   595,   596,   597,
     598,   599,   600,   601,     0,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,     0,   631,   632,     0,  1227,
     635,   636,   637,   638,   639,   640,   641,   642,   643,  3408,
     645,   646,   647,   807,   648,     0,   649,   650,   651,   652,
    3325,     0,   655,   656,   657,   658,   659,     0,   661,   662,
     663,   664,     0,   665,   666,   667,   668,   669,   670,   671,
     672,   673,   674,   675,   676,   677,   678,   679,   680,   681,
     682,     0,   683,   684,     0,     0,   685,     0,   687,   688,
     689,   690,   691,   692,     0,   693,  1230,   695,     0,     0,
    3326,   698,   699,   700,   701,     0,   702,   703,   704,   705,
     706,   707,   708,   709,   710,     0,     0,   711,   712,   713,
     714,   715,     0,     0,   716,   717,   718,   719,   720,  1197,
     721,     0,   722,     0,   724,   725,   726,   727,     0,     0,
     728,     0,     0,   729,   730,   731,   732,   733,  1232,   735,
     736,   737,   738,   739,   740,   741,   742,   743,   744,   745,
     809,   746,   747,   763,   764,   765,   766,   767,   768,   769,
       0,   770,   771,     0,     0,   772,   773,   774,   775,   776,
     777,     0,   778,   779,   780,     0,     0,   781,   782,   783,
     784,     0,     0,   785,   786,   787,     0,   788,     0,     0,
     789,   790,     0,     0,     0,   791,   792,     0,     0,     0,
       0,   793,     0,     0,     0,     0,     0,     0,     0,     0,
     794,     0,   795,     0,   796,   797,    35,     0,     0,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,     0,   361,   362,   363,   364,
     365,     0,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,  1222,   377,  1193,   378,   379,     0,
     380,   381,   382,   383,   384,     0,     0,     0,   386,   387,
     388,   389,   390,   391,     0,   393,   394,   395,     0,     0,
     396,   397,   398,   399,   400,   401,     0,     0,   403,   404,
       0,     0,     0,     0,     0,     0,     0,     0,   408,   409,
     410,   411,   802,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,     0,     0,     0,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
     804,   473,   474,     0,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,     0,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,     0,     0,   499,     0,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,     0,   522,     0,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   805,   539,
     540,   806,   541,   542,  1226,   544,     0,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,     0,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,     0,   578,     0,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,     0,   631,   632,     0,  1227,   635,   636,   637,
     638,   639,   640,   641,   642,   643,  3432,   645,   646,   647,
     807,   648,     0,   649,   650,   651,   652,  3325,     0,   655,
     656,   657,   658,   659,     0,   661,   662,   663,   664,     0,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,     0,   683,
     684,     0,     0,   685,     0,   687,   688,   689,   690,   691,
     692,     0,   693,  1230,   695,     0,     0,  3326,   698,   699,
     700,   701,     0,   702,   703,   704,   705,   706,   707,   708,
     709,   710,     0,     0,   711,   712,   713,   714,   715,     0,
       0,   716,   717,   718,   719,   720,  1197,   721,     0,   722,
       0,   724,   725,   726,   727,     0,     0,   728,     0,     0,
     729,   730,   731,   732,   733,  1232,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   744,   745,   809,   746,   747,
     763,   764,   765,   766,   767,   768,   769,     0,   770,   771,
       0,     0,   772,   773,   774,   775,   776,   777,     0,   778,
     779,   780,     0,     0,   781,   782,   783,   784,     0,     0,
     785,   786,   787,     0,   788,     0,     0,   789,   790,     0,
       0,     0,   791,   792,     0,     0,     0,     0,   793,     0,
       0,     0,     0,     0,     0,     0,     0,   794,     0,   795,
       0,   796,   797,    35,     0,     0,     0,    37,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   341,   342,   343,   344,   345,   346,
     347,   348,   349,     0,   350,   351,   352,     0,     0,     0,
       0,     0,     0,     0,   353,   354,   355,     0,   356,   357,
     358,   359,     0,   361,   362,   363,   364,   365,     0,   367,
     368,     0,   369,   370,   371,   372,   373,   374,   375,     0,
       0,  1222,   377,  1193,   378,   379,     0,   380,   381,   382,
     383,   384,     0,     0,     0,   386,   387,   388,   389,   390,
     391,     0,   393,   394,   395,     0,     0,   396,   397,   398,
     399,   400,   401,     0,     0,   403,   404,     0,     0,     0,
       0,     0,     0,     0,     0,   408,   409,   410,   411,   802,
     412,   413,   414,   415,     0,   416,     0,   417,   418,   419,
     420,   421,   422,   423,     0,   424,   425,   426,   427,     0,
       0,   428,   429,   430,   431,   432,     0,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,     0,   451,     0,
     452,   453,   454,   455,   456,     0,   457,     0,   458,   459,
       0,     0,     0,   462,   463,   464,   465,     0,   466,   467,
       0,   468,   469,   470,     0,   471,   472,   804,   473,   474,
       0,   476,   477,   478,   479,     0,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,     0,   490,     0,   491,
     492,   493,     0,   494,     0,   495,     0,   496,     0,     0,
     499,     0,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,   520,     0,   522,     0,     0,   524,   525,
     526,     0,     0,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   805,   539,   540,   806,   541,
     542,  1226,   544,     0,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,     0,   558,   559,     0,
     561,     0,   562,   563,   564,   565,   566,   567,     0,   568,
     569,   570,     0,     0,   571,   572,   573,     0,     0,   574,
     575,   576,     0,   578,     0,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,   595,   596,   597,   598,   599,   600,   601,     0,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,     0,
     631,   632,     0,  1227,   635,   636,   637,   638,   639,   640,
     641,   642,   643,  1228,   645,   646,   647,   807,   648,     0,
     649,   650,   651,   652,  3325,     0,   655,   656,   657,   658,
     659,     0,   661,   662,   663,   664,     0,   665,   666,   667,
     668,   669,   670,   671,   672,   673,   674,   675,   676,   677,
     678,   679,   680,   681,   682,     0,   683,   684,     0,     0,
     685,     0,   687,   688,   689,   690,   691,   692,     0,   693,
    1230,   695,     0,     0,  3326,   698,   699,   700,   701,     0,
     702,   703,   704,   705,   706,   707,   708,   709,   710,     0,
       0,   711,   712,   713,   714,   715,     0,     0,   716,   717,
     718,   719,   720,  1197,   721,     0,   722,     0,   724,   725,
     726,   727,     0,     0,   728,     0,     0,   729,   730,   731,
     732,   733,  1232,   735,   736,   737,   738,   739,   740,   741,
     742,   743,   744,   745,   809,   746,   747,   763,   764,   765,
     766,   767,   768,   769,     0,   770,   771,     0,     0,   772,
     773,   774,   775,   776,   777,     0,   778,   779,   780,     0,
       0,   781,   782,   783,   784,     0,     0,   785,   786,   787,
       0,   788,     0,     0,   789,   790,     0,     0,     0,   791,
     792,     0,     0,     0,     0,   793,     0,     0,     0,     0,
       0,     0,     0,     0,   794,     0,   795,     0,   796,   797,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,     0,
     361,   362,   363,   364,   365,     0,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
     799,   378,   379,     0,   380,   381,   382,   383,   384,     0,
       0,     0,   386,   387,   388,   389,   390,   391,     0,   393,
     394,   395,   800,     0,   396,   397,   398,   399,   400,   401,
       0,     0,   403,   404,     0,     0,     0,     0,     0,     0,
       0,     0,   408,   409,   410,   411,   802,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,     0,     0,     0,
     462,   463,   464,   465,     0,   466,   467,     0,   468,     0,
     470,     0,   471,   472,   804,   473,   474,     0,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,     0,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,     0,     0,   499,     0,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,     0,   522,     0,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   805,   539,   540,   806,   541,   542,   543,   544,
       0,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,     0,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,     0,
     578,     0,   580,   581,   582,   583,   584,   585,   586,   587,
       0,   589,   590,   591,   592,     0,   593,   594,   595,   596,
     597,   598,   599,   600,   601,     0,   602,   603,   604,   605,
     606,   607,   608,   609,   610,     0,   612,   613,   614,   615,
     616,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,     0,   631,   632,     0,
     634,   635,   636,   637,   638,   639,     0,   641,   642,   643,
     644,   645,   646,   647,   807,   648,     0,   649,   650,   651,
     652,   653,     0,   655,   656,   657,   658,   659,     0,   661,
     662,   663,   664,     0,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
     681,   682,     0,   683,   684,     0,     0,   685,     0,   687,
     688,   689,   690,   691,   692,     0,   693,   694,   695,     0,
       0,   697,   698,   699,   700,   701,     0,   702,   703,   704,
     705,   706,   707,   708,   709,   710,     0,     0,   711,   712,
     713,   714,   715,     0,     0,   716,   717,   718,   719,   720,
     808,   721,     0,   722,     0,   724,   725,   726,   727,     0,
       0,   728,     0,     0,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   809,   746,   747,    35,   340,     0,     0,    37,     0,
      38,    39,     0,     0,     0,     0,    40,     0,     0,     0,
       0,     0,     0,     0,     0,   341,   342,   343,   344,   345,
     346,   347,   348,   349,     0,   350,   351,   352,     0,     0,
       0,     0,     0,     0,     0,   353,   354,   355,     0,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,     0,   369,   370,   371,   372,   373,   374,   375,
       0,     0,   376,   377,     0,   378,   379,     0,   380,   381,
     382,   383,   384,     0,   385,     0,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,     0,     0,   396,   397,
     398,   399,   400,   401,     0,   402,   403,   404,     0,     0,
       0,     0,   406,     0,     0,     0,   408,   409,   410,   411,
       0,   412,   413,   414,   415,  6526,   416,     0,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,   426,   427,
       0,     0,   428,   429,   430,   431,   432,     0,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,  2247,   451,
       0,   452,   453,   454,   455,   456,     0,   457,     0,   458,
     459,   460,     0,   461,   462,   463,   464,   465,     0,   466,
     467,     0,   468,   469,   470,     0,   471,   472,     0,   473,
     474,   475,   476,   477,   478,   479,     0,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,     0,
     491,   492,   493,     0,   494,     0,   495,     0,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,   520,   521,   522,   523,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   537,   538,     0,   539,   540,     0,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,     0,   558,   559,
     560,   561,     0,   562,   563,   564,   565,   566,   567,     0,
     568,   569,   570,  2248,     0,   571,   572,   573,     0,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   595,   596,   597,   598,   599,   600,   601,     0,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
       0,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,     0,   648,
       0,   649,   650,   651,   652,   653,     0,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   664,     0,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   674,   675,   676,
     677,   678,   679,   680,   681,   682,     0,   683,   684,     0,
       0,   685,   686,   687,   688,   689,   690,   691,   692,     0,
     693,   694,   695,     0,     0,   697,   698,   699,   700,   701,
    2249,   702,   703,   704,   705,   706,   707,   708,   709,   710,
       0,     0,   711,   712,   713,   714,   715,     0,     0,   716,
     717,   718,   719,   720,     0,   721,     0,   722,   723,   724,
     725,   726,   727,     0,     0,   728,     0,     0,   729,   730,
     731,   732,   733,   734,   735,   736,   737,   738,   739,   740,
     741,   742,   743,   744,   745,     0,   746,   747,     0,     0,
      35,     0,     0,     0,    37,     0,     0,     0,     0,     0,
       0,  1338,  1339,  6527,     0,     0,     0,     0,     0,     0,
    6528,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,   102,   103,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
       0,   378,   379,     0,   380,   381,   382,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,     0,     0,   396,   397,   398,   399,   400,   401,
       0,   402,   403,   404,     0,     0,     0,     0,   406,     0,
       0,     0,   408,   409,   410,   411,     0,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,   460,     0,   461,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,     0,   473,   474,   475,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,   521,   522,   523,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,     0,   539,   540,     0,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,   560,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,   595,   596,
     597,   598,   599,   600,   601,     0,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,     0,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,     0,   648,   146,   649,   650,   651,
     652,   653,     0,   655,   656,   657,   658,   659,   660,   661,
     662,   663,   664,     0,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
     681,   682,     0,   683,   684,     0,   151,   685,   686,   687,
     688,   689,   690,   691,   692,     0,   693,   694,   695,     0,
       0,   697,   698,   699,   700,   701,     0,   702,   703,   704,
     705,   706,   707,   708,   709,   710,     0,     0,   711,   712,
     713,   714,   715,     0,     0,   716,   717,   718,   719,   720,
     158,   721,     0,   722,   723,   724,   725,   726,   727,     0,
       0,   728,     0,   160,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,     0,   746,   747,  1434,     0,     0,   161,     0,    35,
       0,     0,     0,    37,     0,     0,     0,     0,     0,     0,
    2588,     0,     0,  2589,     0,     0,   162,  2590,  2591,  2592,
    2593,  2594,  2595,  2596,  2597,  2598,  2599,  2600,  2601,  2602,
    2603,  2604,  2605,  2606,  2607,  2608,  2609,     0,  2610,  2611,
    2612,  2613,  2614,  2615,  2616,  2617,  2618,  2619,  2620,  2621,
    2622,  2623,  2624,  2625,  2626,  2627,  2628,  2629,  2630,  2631,
    2632,  2633,  2634,  2635,  2636,  2637,  2638,  2639,  2640,     0,
       0,  2641,  2642,  2643,  2644,  2645,  2646,  2647,  2648,  2649,
    2650,  2651,  2652,  2653,  2654,  2655,  2656,  2657,  2658,  2659,
    2660,  2661,  2662,  2663,  2664,  2665,  2666,  2667,  2668,     0,
    2669,  2670,  2671,  2672,  2673,  2674,  2675,  2676,  2677,  2678,
    2679,  2680,  2681,  2682,  2683,     0,  2684,  2685,  2686,  2687,
    2688,  2689,  2690,  2691,  2692,  2693,  2694,  2695,  2696,  2697,
    2698,  2699,  2700,  2701,  2702,  2703,  2704,  2705,  2706,  2707,
    2708,  2709,  2710,  2711,  2712,  2713,  2714,  2715,  2716,  2717,
    2718,  2719,     0,  2720,  2721,  2722,  2723,  2724,  2725,  2726,
    2727,  2728,  2729,  2730,  2731,     0,     0,  2732,  2733,  2734,
    2735,     0,  2736,  2737,  2738,  2739,  2740,     0,  2741,  2742,
    2743,  2744,  2745,     0,  2746,  2747,     0,  2748,  2749,  2750,
       0,  2751,  2752,     0,  2753,  2754,  2755,  2756,  2757,  2758,
    2759,  2760,  2761,  2762,  2763,  2764,  2765,  2766,  2767,  2768,
    2769,  2770,  2771,  2772,  2773,  2774,  2775,  2776,  2777,  2778,
       0,  2779,     0,  2780,  2781,  2782,  2783,  2784,  2785,  2786,
    2787,  2788,  2789,  2790,  2791,  2792,  2793,  2794,  2795,  2796,
    2797,  2798,  2799,  2800,  2801,  2802,  2803,  2804,  2805,  2806,
    2807,  2808,  2809,     0,  2810,  2811,  2812,  2813,  2814,  2815,
    2816,  2817,  2818,  2819,  2820,  2821,  2822,  2823,  2824,  2825,
    2826,     0,  2827,  2828,     0,  2829,  2830,  2831,  2832,  2833,
    2834,  2835,  2836,  2837,  2838,  2839,  2840,  2841,  2842,  2843,
    2844,  2845,  2846,  2847,  2848,  2849,  2850,  2851,  2852,  2853,
    2854,  2855,  2856,  2857,     0,  2858,  2859,  2860,     0,  2861,
    2862,  2863,  2864,  2865,     0,  2866,  2867,  2868,  2869,     0,
       0,  2870,  2871,  2872,  2873,  2874,  2875,  2876,  2877,  2878,
    2879,  2880,  2881,  2882,  2883,  2884,  2885,  2886,  2887,  2888,
       0,  2889,  2890,  2891,  2892,  2893,  2894,  2895,  2896,  2897,
    2898,  2899,  2900,  2901,  2902,  2903,  2904,  2905,  2906,  2907,
    2908,  2909,  2910,  2911,  2912,  2913,  2914,  2915,  2916,  2917,
    2918,  2919,  2920,  2921,  2922,     0,  2923,  2924,  2925,  2926,
    2927,  2928,  2929,  2930,  2931,  2932,  2933,  2934,  2935,  2936,
    2937,  2938,  2939,     0,  2940,  2941,  2942,  2943,  2944,  2945,
    2946,  2947,  2948,  2949,  2950,  2951,  2952,  2953,  2954,  2955,
    2956,  2957,  2958,  2959,  2960,  2961,  2962,  2963,  2964,  2965,
    2966,  2967,  2968,  2969,  2970,  2971,  2972,  2973,  2974,  2975,
    2976,  2977,  2978,  2979,  2980,  2981,  2982,  2983,  2984,  2985,
    2986,  2987,  2988,  2989,  2990,  2991,  2992,  2993,     0,  2994,
    2995,  2996,  2997,  2998,  2999,  3000,  3001,  3002,  3003,  3004,
    3005,  3006,  3007,  3008,  3009,     0,  3010,  3011,  3012,  3013,
    3014,  3015,  3016,  3017,  3018,  3019,  3020,  3021,  3022,  3023,
    3024,  3025,     0,  3026,  3027,  3028,  3029,  3030,  3031,     0,
    3032,     0,     0,     0,     0,  3033,  3034,  3035,  3036,  3037,
    3038,  3039,  3040,  3041,  3042,  3043,  3044,  3045,  3046,  3047,
       0,  3048,  3049,     0,  3050,     0,     0,     0,     0,     0,
       0,     0,     0,  3051,  3052,  3053,  3054,  3055,  3056,  3057,
    3058,  3059,    35,   340,     0,     0,    37,     0,    38,    39,
       0,     0,     0,     0,    40,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,     0,   378,   379,     0,   380,   381,   382,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,     0,     0,   396,   397,   398,   399,
     400,   401,     0,   402,   403,   404,     0,     0,     0,     0,
     406,     0,     0,     0,   408,   409,   410,   411,     0,   412,
     413,   414,   415,  3115,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,  2247,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,   460,
       0,   461,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,   474,   475,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,   521,   522,   523,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,     0,   539,   540,     0,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,   560,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,  2248,     0,   571,   572,   573,     0,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
     595,   596,   597,   598,   599,   600,   601,     0,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,     0,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,     0,   648,     0,   649,
     650,   651,   652,   653,     0,   655,   656,   657,   658,   659,
     660,   661,   662,   663,   664,     0,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,   681,   682,     0,   683,   684,     0,     0,   685,
     686,   687,   688,   689,   690,   691,   692,     0,   693,   694,
     695,     0,     0,   697,   698,   699,   700,   701,  2249,   702,
     703,   704,   705,   706,   707,   708,   709,   710,     0,     0,
     711,   712,   713,   714,   715,     0,     0,   716,   717,   718,
     719,   720,     0,   721,     0,   722,   723,   724,   725,   726,
     727,     0,     0,   728,     0,     0,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   744,   745,     0,   746,   747,    35,   340,     0,     0,
      37,     0,    38,    39,     0,     0,     0,     0,    40,  1338,
    1339,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,     0,   378,   379,     0,
     380,   381,   382,   383,   384,     0,   385,     0,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,     0,     0,
     396,   397,   398,   399,   400,   401,     0,   402,   403,   404,
       0,     0,     0,     0,   406,     0,     0,     0,   408,   409,
     410,   411,     0,   412,   413,   414,   415,  3120,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
    2247,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,   460,     0,   461,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,   521,   522,   523,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,     0,   539,
     540,     0,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,   560,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,  2248,     0,   571,   572,   573,
       0,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,     0,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
       0,   648,     0,   649,   650,   651,   652,   653,     0,   655,
     656,   657,   658,   659,   660,   661,   662,   663,   664,     0,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,     0,   683,
     684,     0,     0,   685,   686,   687,   688,   689,   690,   691,
     692,     0,   693,   694,   695,     0,     0,   697,   698,   699,
     700,   701,  2249,   702,   703,   704,   705,   706,   707,   708,
     709,   710,     0,     0,   711,   712,   713,   714,   715,     0,
       0,   716,   717,   718,   719,   720,     0,   721,     0,   722,
     723,   724,   725,   726,   727,     0,     0,   728,     0,     0,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   744,   745,     0,   746,   747,
      35,   340,     0,     0,    37,     0,    38,    39,     0,     0,
       0,     0,    40,  1338,  1339,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
       0,   378,   379,     0,   380,   381,   382,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,     0,     0,   396,   397,   398,   399,   400,   401,
       0,   402,   403,   404,     0,     0,     0,     0,   406,     0,
       0,     0,   408,   409,   410,   411,     0,   412,   413,   414,
     415,  4091,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,  2247,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,   460,     0,   461,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,     0,   473,   474,   475,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,   521,   522,   523,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,     0,   539,   540,     0,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,   560,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,  2248,
       0,   571,   572,   573,     0,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,   595,   596,
     597,   598,   599,   600,   601,     0,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,     0,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,     0,   648,     0,   649,   650,   651,
     652,   653,     0,   655,   656,   657,   658,   659,   660,   661,
     662,   663,   664,     0,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
     681,   682,     0,   683,   684,     0,     0,   685,   686,   687,
     688,   689,   690,   691,   692,     0,   693,   694,   695,     0,
       0,   697,   698,   699,   700,   701,  2249,   702,   703,   704,
     705,   706,   707,   708,   709,   710,     0,     0,   711,   712,
     713,   714,   715,     0,     0,   716,   717,   718,   719,   720,
       0,   721,     0,   722,   723,   724,   725,   726,   727,     0,
       0,   728,     0,     0,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,     0,   746,   747,    35,   340,     0,     0,    37,     0,
      38,    39,     0,     0,     0,     0,    40,  1338,  1339,     0,
       0,     0,     0,     0,     0,   341,   342,   343,   344,   345,
     346,   347,   348,   349,     0,   350,   351,   352,     0,     0,
       0,     0,     0,     0,     0,   353,   354,   355,     0,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,     0,   369,   370,   371,   372,   373,   374,   375,
       0,     0,   376,   377,     0,   378,   379,     0,   380,   381,
     382,   383,   384,     0,   385,     0,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,     0,     0,   396,   397,
     398,   399,   400,   401,     0,   402,   403,   404,     0,     0,
       0,     0,   406,     0,     0,     0,   408,   409,   410,   411,
       0,   412,   413,   414,   415,     0,   416,     0,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,   426,   427,
       0,     0,   428,   429,   430,   431,   432,     0,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,  2247,   451,
       0,   452,   453,   454,   455,   456,     0,   457,     0,   458,
     459,   460,     0,   461,   462,   463,   464,   465,     0,   466,
     467,     0,   468,   469,   470,     0,   471,   472,     0,   473,
     474,   475,   476,   477,   478,   479,     0,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,     0,
     491,   492,   493,     0,   494,     0,   495,     0,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,   520,   521,   522,   523,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   537,   538,     0,   539,   540,     0,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,     0,   558,   559,
     560,   561,     0,   562,   563,   564,   565,   566,   567,     0,
     568,   569,   570,  2248,     0,   571,   572,   573,     0,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   595,   596,   597,   598,   599,   600,   601,     0,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
       0,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,     0,   648,
       0,   649,   650,   651,   652,   653,     0,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   664,     0,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   674,   675,   676,
     677,   678,   679,   680,   681,   682,     0,   683,   684,     0,
       0,   685,   686,   687,   688,   689,   690,   691,   692,     0,
     693,   694,   695,     0,     0,   697,   698,   699,   700,   701,
    2249,   702,   703,   704,   705,   706,   707,   708,   709,   710,
       0,     0,   711,   712,   713,   714,   715,     0,     0,   716,
     717,   718,   719,   720,     0,   721,     0,   722,   723,   724,
     725,   726,   727,     0,     0,   728,     0,     0,   729,   730,
     731,   732,   733,   734,   735,   736,   737,   738,   739,   740,
     741,   742,   743,   744,   745,    35,   746,   747,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1338,  1339,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,   102,
     103,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,   376,   377,     0,   378,   379,     0,   380,
     381,   382,   383,   384,     0,   385,     0,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,     0,     0,   396,
     397,   398,   399,   400,   401,     0,   402,   403,   404,     0,
       0,     0,     0,   406,     0,     0,     0,   408,   409,   410,
     411,     0,   412,   413,   414,   415,     0,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,     0,
     451,     0,   452,   453,   454,   455,   456,     0,   457,     0,
     458,   459,   460,     0,   461,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,   489,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,   521,   522,   523,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,     0,   539,   540,
       0,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,   560,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,   595,   596,   597,   598,   599,   600,   601,
       0,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,     0,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,     0,
     648,     0,   649,   650,   651,   652,   653,     0,   655,   656,
     657,   658,   659,   660,   661,   662,   663,   664,     0,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,   681,   682,     0,   683,   684,
       0,     0,   685,   686,   687,   688,   689,   690,   691,   692,
       0,   693,   694,   695,     0,     0,   697,   698,   699,   700,
     701,     0,   702,   703,   704,   705,   706,   707,   708,   709,
     710,     0,     0,   711,   712,   713,   714,   715,     0,     0,
     716,   717,   718,   719,   720,     0,   721,     0,   722,   723,
     724,   725,   726,   727,     0,     0,   728,     0,     0,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   744,   745,     0,   746,   747,  1434,
      35,   340,     0,     0,    37,     0,     0,    39,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
       0,   378,   379,     0,   380,   381,   382,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,     0,     0,   396,   397,   398,   399,   400,   401,
       0,   402,   403,   404,     0,     0,     0,   405,   406,     0,
       0,   407,   408,   409,   410,   411,     0,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,   460,     0,   461,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,     0,   473,   474,   475,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,   521,   522,   523,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,     0,   539,   540,     0,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,   560,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,   595,   596,
     597,   598,   599,   600,   601,     0,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,     0,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,     0,   648,     0,   649,   650,   651,
     652,   653,   654,   655,   656,   657,   658,   659,   660,   661,
     662,   663,   664,     0,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
     681,   682,     0,   683,   684,     0,     0,   685,   686,   687,
     688,   689,   690,   691,   692,     0,   693,   694,   695,   696,
       0,   697,   698,   699,   700,   701,     0,   702,   703,   704,
     705,   706,   707,   708,   709,   710,     0,     0,   711,   712,
     713,   714,   715,     0,     0,   716,   717,   718,   719,   720,
       0,   721,     0,   722,   723,   724,   725,   726,   727,     0,
       0,   728,     0,     0,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,     0,   746,   747,    35,   340,     0,     0,    37,     0,
       0,    39,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   341,   342,   343,   344,   345,
     346,   347,   348,   349,     0,   350,   351,   352,     0,     0,
       0,     0,     0,     0,     0,   353,   354,   355,     0,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,     0,   369,   370,   371,   372,   373,   374,   375,
       0,     0,   376,   377,     0,   378,   379,     0,   380,   381,
     382,   383,   384,     0,   385,     0,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,     0,     0,   396,   397,
     398,   399,   400,   401,     0,   402,   403,   404,     0,     0,
       0,   405,   406,     0,     0,   407,   408,   409,   410,   411,
       0,   412,   413,   414,   415,     0,   416,     0,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,   426,   427,
       0,     0,   428,   429,   430,   431,   432,     0,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,     0,   451,
       0,   452,   453,   454,   455,   456,     0,   457,     0,   458,
     459,   460,     0,   461,   462,   463,   464,   465,     0,   466,
     467,     0,   468,   469,   470,     0,   471,   472,     0,   473,
     474,   475,   476,   477,   478,   479,     0,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,     0,
     491,   492,   493,     0,   494,     0,   495,     0,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,   520,   521,   522,   523,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   537,   538,     0,   539,   540,     0,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,     0,   558,   559,
     560,   561,     0,   562,   563,   564,   565,   566,   567,     0,
     568,   569,   570,     0,     0,   571,   572,   573,     0,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   595,   596,   597,   598,   599,   600,   601,     0,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
       0,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,     0,   648,
       0,   649,   650,   651,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   664,     0,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   674,   675,   676,
     677,   678,   679,   680,   681,   682,     0,   683,   684,     0,
       0,   685,   686,   687,   688,   689,   690,   691,   692,     0,
     693,   694,   695,     0,     0,   697,   698,   699,   700,   701,
       0,   702,   703,   704,   705,   706,   707,   708,   709,   710,
       0,     0,   711,   712,   713,   714,   715,     0,     0,   716,
     717,   718,   719,   720,     0,   721,     0,   722,   723,   724,
     725,   726,   727,     0,     0,   728,     0,     0,   729,   730,
     731,   732,   733,   734,   735,   736,   737,   738,   739,   740,
     741,   742,   743,   744,   745,    35,   746,   747,     0,    37,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,  1393,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,   376,   377,     0,   378,   379,     0,   380,
     381,   382,   383,   384,     0,   385,     0,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,     0,     0,   396,
     397,   398,   399,   400,   401,     0,   402,   403,   404,     0,
       0,     0,   405,   406,     0,     0,   407,   408,   409,   410,
     411,     0,   412,   413,   414,   415,     0,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,     0,
     451,     0,   452,   453,   454,   455,   456,     0,   457,     0,
     458,   459,   460,     0,   461,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,   489,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,   521,   522,   523,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,     0,   539,   540,
       0,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,   560,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,   595,   596,   597,   598,   599,   600,   601,
       0,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,     0,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,     0,
     648,     0,   649,   650,   651,   652,   653,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,   664,     0,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,   681,   682,     0,   683,   684,
       0,     0,   685,   686,   687,   688,   689,   690,   691,   692,
       0,   693,   694,   695,     0,     0,   697,   698,   699,   700,
     701,     0,   702,   703,   704,   705,   706,   707,   708,   709,
     710,     0,     0,   711,   712,   713,   714,   715,     0,     0,
     716,   717,   718,   719,   720,     0,   721,     0,   722,   723,
     724,   725,   726,   727,     0,     0,   728,     0,     0,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   744,   745,    35,   746,   747,     0,
      37,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,  1414,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,     0,   378,   379,     0,
     380,   381,   382,   383,   384,     0,   385,     0,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,     0,     0,
     396,   397,   398,   399,   400,   401,     0,   402,   403,   404,
       0,     0,     0,   405,   406,     0,     0,   407,   408,   409,
     410,   411,     0,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,   460,     0,   461,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,   521,   522,   523,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
    1415,   532,   533,   534,   535,   536,   537,   538,     0,   539,
     540,     0,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,   560,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,     0,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
       0,   648,     0,   649,   650,   651,   652,   653,   654,   655,
     656,   657,   658,   659,   660,   661,   662,   663,   664,     0,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,     0,   683,
     684,     0,     0,   685,   686,   687,   688,   689,   690,   691,
     692,     0,   693,   694,   695,     0,     0,   697,   698,   699,
     700,   701,     0,   702,   703,   704,   705,   706,   707,   708,
     709,   710,     0,     0,   711,   712,   713,   714,   715,     0,
       0,   716,   717,   718,   719,   720,     0,   721,     0,   722,
     723,   724,   725,   726,   727,     0,     0,   728,     0,     0,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   744,   745,    35,   746,   747,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,     0,   378,   379,
       0,   380,   381,   382,   383,   384,     0,   385,     0,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,     0,
       0,   396,   397,   398,   399,   400,   401,     0,   402,   403,
     404,     0,     0,     0,   405,   406,     0,     0,   407,   408,
     409,   410,   411,     0,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,   460,     0,   461,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
     489,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,   521,   522,
     523,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,     0,
     539,   540,     0,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,   560,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,   595,   596,   597,   598,   599,
     600,   601,     0,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,     0,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,     0,   648,     0,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
       0,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,   681,   682,     0,
     683,   684,     0,     0,   685,   686,   687,   688,   689,   690,
     691,   692,     0,   693,   694,   695,     0,     0,   697,   698,
     699,   700,   701,     0,   702,   703,   704,   705,   706,   707,
     708,   709,   710,     0,     0,   711,   712,   713,   714,   715,
    3507,     0,   716,   717,   718,   719,   720,     0,   721,     0,
     722,   723,   724,   725,   726,   727,     0,     0,   728,     0,
       0,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   744,   745,    35,   746,
     747,     0,    37,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   341,
     342,   343,   344,   345,   346,   347,   348,   349,     0,   350,
     351,   352,     0,     0,     0,     0,     0,     0,     0,   353,
     354,   355,     0,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,     0,   369,   370,   371,
     372,   373,   374,   375,     0,     0,   376,   377,     0,   378,
     379,     0,   380,   381,   382,   383,   384,     0,   385,     0,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
       0,     0,   396,   397,   398,   399,   400,   401,     0,   402,
     403,   404,     0,     0,     0,   405,   406,     0,     0,   407,
     408,   409,   410,   411,     0,   412,   413,   414,   415,     0,
     416,     0,   417,   418,   419,   420,   421,   422,   423,     0,
     424,   425,   426,   427,     0,     0,   428,   429,   430,   431,
     432,     0,   433,   434,   435,   436,     0,   437,   438,   439,
     440,     0,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,     0,   451,     0,   452,   453,   454,   455,   456,
       0,   457,     0,   458,   459,   460,     0,   461,   462,   463,
     464,   465,     0,   466,   467,  4581,   468,   469,   470,     0,
     471,   472,     0,   473,   474,   475,   476,   477,   478,   479,
       0,   480,   481,   482,   483,   484,   485,   486,   487,     0,
     488,   489,   490,     0,   491,   492,   493,     0,   494,     0,
     495,     0,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,     0,     0,   519,   520,   521,
     522,   523,     0,   524,   525,   526,     0,     0,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
       0,   539,   540,     0,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,     0,   558,   559,   560,   561,     0,   562,   563,   564,
     565,   566,   567,     0,   568,   569,   570,     0,     0,   571,
     572,   573,     0,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,     0,   593,   594,   595,   596,   597,   598,
     599,   600,   601,     0,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,     0,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,     0,   648,     0,   649,   650,   651,   652,   653,
     654,   655,   656,   657,   658,   659,   660,   661,   662,   663,
     664,     0,   665,   666,   667,   668,   669,   670,   671,   672,
     673,   674,   675,   676,   677,   678,   679,   680,   681,   682,
       0,   683,   684,     0,     0,   685,   686,   687,   688,   689,
     690,   691,   692,     0,   693,   694,   695,     0,     0,   697,
     698,   699,   700,   701,     0,   702,   703,   704,   705,   706,
     707,   708,   709,   710,     0,     0,   711,   712,   713,   714,
     715,     0,     0,   716,   717,   718,   719,   720,     0,   721,
       0,   722,   723,   724,   725,   726,   727,     0,     0,   728,
       0,     0,   729,   730,   731,   732,   733,   734,   735,   736,
     737,   738,   739,   740,   741,   742,   743,   744,   745,    35,
     746,   747,     0,    37,     0,     0,    39,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     341,   342,   343,   344,   345,   346,   347,   348,   349,     0,
     350,   351,   352,     0,     0,     0,     0,     0,     0,     0,
     353,   354,   355,     0,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,     0,   369,   370,
     371,   372,   373,   374,   375,     0,     0,   376,   377,     0,
     378,   379,     0,   380,   381,   382,   383,   384,     0,   385,
       0,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,     0,     0,   396,   397,   398,   399,   400,   401,     0,
     402,   403,   404,     0,     0,     0,     0,   406,     0,     0,
       0,   408,   409,   410,   411,     0,   412,   413,   414,   415,
       0,   416,     0,   417,   418,   419,   420,   421,   422,   423,
       0,   424,   425,   426,   427,     0,     0,   428,   429,   430,
     431,   432,     0,   433,   434,   435,   436,     0,   437,   438,
     439,   440,     0,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,  2247,   451,     0,   452,   453,   454,   455,
     456,     0,   457,     0,   458,   459,   460,     0,   461,   462,
     463,   464,   465,     0,   466,   467,     0,   468,   469,   470,
       0,   471,   472,     0,   473,   474,   475,   476,   477,   478,
     479,     0,   480,   481,   482,   483,   484,   485,   486,   487,
       0,   488,   489,   490,     0,   491,   492,   493,     0,   494,
       0,   495,     0,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,     0,     0,   519,   520,
     521,   522,   523,     0,   524,   525,   526,     0,     0,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,     0,   539,   540,     0,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,     0,   558,   559,   560,   561,     0,   562,   563,
     564,   565,   566,   567,     0,   568,   569,   570,  2248,     0,
     571,   572,   573,     0,     0,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,     0,   593,   594,   595,   596,   597,
     598,   599,   600,   601,     0,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,     0,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,     0,   648,     0,   649,   650,   651,   652,
     653,     0,   655,   656,   657,   658,   659,   660,   661,   662,
     663,   664,     0,   665,   666,   667,   668,   669,   670,   671,
     672,   673,   674,   675,   676,   677,   678,   679,   680,   681,
     682,     0,   683,   684,     0,     0,   685,   686,   687,   688,
     689,   690,   691,   692,     0,   693,   694,   695,     0,     0,
     697,   698,   699,   700,   701,  2249,   702,   703,   704,   705,
     706,   707,   708,   709,   710,     0,     0,   711,   712,   713,
     714,   715,     0,     0,   716,   717,   718,   719,   720,     0,
     721,     0,   722,   723,   724,   725,   726,   727,     0,     0,
     728,     0,     0,   729,   730,   731,   732,   733,   734,   735,
     736,   737,   738,   739,   740,   741,   742,   743,   744,   745,
      35,   746,   747,     0,    37,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   341,   342,   343,   344,   345,   346,   347,   348,   349,
       0,   350,   351,   352,     0,     0,     0,     0,     0,     0,
       0,   353,   354,   355,     0,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,     0,   369,
     370,   371,   372,   373,   374,   375,     0,     0,   376,   377,
       0,   378,   379,     0,   380,   381,   382,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,     0,     0,   396,   397,   398,   399,   400,   401,
       0,   402,   403,   404,     0,     0,     0,   405,   406,     0,
       0,   407,   408,   409,   410,   411,     0,   412,   413,   414,
     415,     0,   416,     0,   417,   418,   419,   420,   421,   422,
     423,     0,   424,   425,   426,   427,     0,     0,   428,   429,
     430,   431,   432,     0,   433,   434,   435,   436,     0,   437,
     438,   439,   440,     0,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,     0,   451,     0,   452,   453,   454,
     455,   456,     0,   457,     0,   458,   459,   460,     0,   461,
     462,   463,   464,   465,     0,   466,   467,     0,   468,   469,
     470,     0,   471,   472,     0,   473,   474,   475,   476,   477,
     478,   479,     0,   480,   481,   482,   483,   484,   485,   486,
     487,     0,   488,   489,   490,     0,   491,   492,   493,     0,
     494,     0,   495,     0,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,   519,
     520,   521,   522,   523,     0,   524,   525,   526,     0,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,     0,   539,   540,     0,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,     0,   558,   559,   560,   561,     0,   562,
     563,   564,   565,   566,   567,     0,   568,   569,   570,     0,
       0,   571,   572,   573,     0,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,     0,   593,   594,   595,   596,
     597,   598,   599,   600,   601,     0,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,     0,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   642,   643,
     644,   645,   646,   647,     0,   648,     0,   649,   650,   651,
     652,   653,   654,   655,   656,   657,   658,   659,   660,   661,
     662,   663,   664,     0,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
     681,   682,     0,   683,   684,     0,     0,   685,   686,   687,
     688,   689,   690,   691,   692,     0,   693,   694,   695,     0,
       0,   697,   698,   699,   700,   701,     0,   702,   703,   704,
     705,   706,   707,   708,   709,   710,     0,     0,   711,   712,
     713,   714,   715,     0,     0,   716,   717,   718,   719,   720,
       0,   721,     0,   722,   723,   724,   725,   726,   727,     0,
       0,   728,     0,     0,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,    35,   746,   747,     0,    37,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   341,   342,   343,   344,   345,   346,   347,   348,
     349,     0,   350,   351,   352,     0,     0,     0,     0,     0,
       0,     0,   353,   354,   355,     0,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,     0,
     369,   370,   371,   372,   373,   374,   375,     0,     0,   376,
     377,     0,   378,   379,     0,   380,   381,   382,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,     0,     0,   396,   397,   398,   399,   400,
     401,     0,   402,   403,   404,     0,     0,     0,   405,   406,
       0,     0,   407,   408,   409,   410,   411,     0,   412,   413,
     414,   415,     0,   416,     0,   417,   418,   419,   420,   421,
     422,   423,     0,   424,   425,   426,   427,     0,     0,   428,
     429,   430,   431,   432,     0,   433,   434,   435,   436,     0,
     437,   438,   439,   440,     0,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,     0,   451,     0,   452,   453,
     454,   455,   456,     0,   457,     0,   458,   459,   460,     0,
     461,   462,   463,   464,   465,     0,   466,   467,     0,   468,
     469,   470,     0,   471,   472,     0,   473,   474,   475,   476,
     477,   478,   479,     0,   480,   481,   482,   483,   484,   485,
     486,   487,     0,   488,   489,   490,     0,   491,   492,   493,
       0,   494,     0,   495,     0,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
     519,   520,   521,   522,   523,     0,   524,   525,   526,     0,
       0,   527,   528,   529,   530,  1509,   532,   533,   534,   535,
     536,   537,   538,     0,   539,   540,     0,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,     0,   558,   559,   560,   561,     0,
     562,   563,   564,   565,   566,   567,     0,   568,   569,   570,
       0,     0,   571,   572,   573,     0,     0,   574,   575,   576,
     577,   578,   579,   580,   581,   582,   583,   584,   585,   586,
     587,   588,   589,   590,   591,   592,     0,   593,   594,   595,
     596,   597,   598,   599,   600,   601,     0,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   628,   629,   630,     0,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   642,
     643,   644,   645,   646,   647,     0,   648,     0,   649,   650,
     651,   652,   653,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,   664,     0,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,   681,   682,     0,   683,   684,     0,     0,   685,   686,
     687,   688,   689,   690,   691,   692,     0,   693,   694,   695,
       0,     0,   697,   698,   699,   700,   701,     0,   702,   703,
     704,   705,   706,   707,   708,   709,   710,     0,     0,   711,
     712,   713,   714,   715,     0,     0,   716,   717,   718,   719,
     720,     0,   721,     0,   722,   723,   724,   725,   726,   727,
       0,     0,   728,     0,     0,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     744,   745,    35,   746,   747,     0,    37,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   341,   342,   343,   344,   345,   346,   347,
     348,   349,     0,   350,   351,   352,     0,     0,     0,     0,
       0,     0,     0,   353,   354,   355,     0,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
       0,   369,   370,   371,   372,   373,   374,   375,     0,     0,
     376,   377,     0,   378,   379,     0,   380,   381,   382,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,     0,     0,   396,   397,   398,   399,
     400,   401,     0,   402,   403,   404,     0,     0,     0,   405,
     406,     0,     0,   407,   408,   409,   410,   411,     0,   412,
     413,   414,   415,     0,   416,     0,   417,   418,   419,   420,
     421,   422,   423,     0,   424,   425,   426,   427,     0,     0,
     428,   429,   430,   431,   432,     0,   433,   434,   435,   436,
       0,   437,   438,   439,   440,     0,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,     0,   451,     0,   452,
     453,   454,   455,   456,     0,   457,     0,   458,   459,   460,
       0,   461,   462,   463,   464,   465,     0,   466,   467,     0,
     468,   469,   470,     0,   471,   472,     0,   473,  1600,   475,
     476,   477,   478,   479,     0,   480,   481,   482,   483,   484,
     485,   486,   487,     0,   488,   489,   490,     0,   491,   492,
     493,     0,   494,     0,   495,     0,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,   519,   520,   521,   522,   523,     0,   524,   525,   526,
       0,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,     0,   539,   540,     0,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,     0,   558,   559,   560,   561,
       0,   562,   563,   564,   565,   566,   567,     0,   568,   569,
     570,     0,     0,   571,   572,   573,     0,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,     0,   593,   594,
     595,   596,   597,   598,   599,   600,   601,     0,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   628,   629,   630,     0,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     642,   643,   644,   645,   646,   647,     0,   648,     0,   649,
     650,   651,   652,   653,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,   664,     0,   665,   666,   667,   668,
     669,   670,   671,   672,   673,   674,   675,   676,   677,   678,
     679,   680,   681,   682,     0,   683,   684,     0,     0,   685,
     686,   687,   688,   689,   690,   691,   692,     0,   693,   694,
     695,     0,     0,   697,   698,   699,   700,   701,     0,   702,
     703,   704,   705,   706,   707,   708,   709,   710,     0,     0,
     711,   712,   713,   714,   715,     0,     0,   716,   717,   718,
     719,   720,     0,   721,     0,   722,   723,   724,   725,   726,
     727,     0,     0,   728,     0,     0,   729,   730,   731,   732,
     733,   734,   735,   736,   737,   738,   739,   740,   741,   742,
     743,   744,   745,    35,   746,   747,     0,    37,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   341,   342,   343,   344,   345,   346,
     347,   348,   349,     0,   350,   351,   352,     0,     0,     0,
       0,     0,     0,     0,   353,   354,   355,     0,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,     0,   369,   370,   371,   372,   373,   374,   375,     0,
       0,   376,   377,     0,   378,   379,     0,   380,   381,   382,
     383,   384,     0,   385,     0,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,     0,     0,   396,   397,   398,
     399,   400,   401,     0,   402,   403,   404,     0,     0,     0,
     405,   406,     0,     0,   407,   408,   409,   410,   411,     0,
     412,   413,   414,   415,     0,   416,     0,   417,   418,   419,
     420,   421,   422,   423,     0,   424,   425,   426,   427,     0,
       0,   428,   429,   430,   431,   432,     0,   433,   434,   435,
     436,     0,   437,   438,   439,   440,     0,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,     0,   451,     0,
     452,   453,   454,   455,   456,     0,   457,     0,   458,   459,
     460,     0,   461,   462,   463,   464,   465,     0,   466,   467,
       0,   468,   469,   470,     0,   471,   472,     0,   473,  1613,
     475,   476,   477,   478,   479,     0,   480,   481,   482,   483,
     484,   485,   486,   487,     0,   488,   489,   490,     0,   491,
     492,   493,     0,   494,     0,   495,     0,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
       0,     0,   519,   520,   521,   522,   523,     0,   524,   525,
     526,     0,     0,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,     0,   539,   540,     0,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,     0,   558,   559,   560,
     561,     0,   562,   563,   564,   565,   566,   567,     0,   568,
     569,   570,     0,     0,   571,   572,   573,     0,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,     0,   593,
     594,   595,   596,   597,   598,   599,   600,   601,     0,   602,
     603,   604,   605,   606,   607,   608,   609,   610,   611,   612,
     613,   614,   615,   616,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   628,   629,   630,     0,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,     0,   648,     0,
     649,   650,   651,   652,   653,   654,   655,   656,   657,   658,
     659,   660,   661,   662,   663,   664,     0,   665,   666,   667,
     668,   669,   670,   671,   672,   673,   674,   675,   676,   677,
     678,   679,   680,   681,   682,     0,   683,   684,     0,     0,
     685,   686,   687,   688,   689,   690,   691,   692,     0,   693,
     694,   695,     0,     0,   697,   698,   699,   700,   701,     0,
     702,   703,   704,   705,   706,   707,   708,   709,   710,     0,
       0,   711,   712,   713,   714,   715,     0,     0,   716,   717,
     718,   719,   720,     0,   721,     0,   722,   723,   724,   725,
     726,   727,     0,     0,   728,     0,     0,   729,   730,   731,
     732,   733,   734,   735,   736,   737,   738,   739,   740,   741,
     742,   743,   744,   745,    35,   746,   747,     0,    37,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   341,   342,   343,   344,   345,
     346,   347,   348,   349,     0,   350,   351,   352,     0,     0,
       0,     0,     0,     0,     0,   353,   354,   355,     0,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,     0,   369,   370,   371,   372,   373,   374,   375,
       0,     0,   376,   377,     0,   378,   379,     0,   380,   381,
     382,   383,   384,     0,   385,     0,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,     0,     0,   396,   397,
     398,   399,   400,   401,     0,   402,   403,   404,     0,     0,
       0,   405,   406,     0,     0,   407,   408,   409,   410,   411,
       0,   412,   413,   414,   415,     0,   416,     0,   417,   418,
     419,   420,   421,   422,   423,     0,   424,   425,   426,   427,
       0,     0,   428,   429,   430,   431,   432,     0,   433,   434,
     435,   436,     0,   437,   438,   439,   440,     0,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,     0,   451,
       0,   452,   453,   454,   455,   456,     0,   457,     0,   458,
     459,   460,     0,   461,   462,   463,   464,   465,     0,   466,
     467,     0,   468,   469,   470,     0,   471,   472,     0,   473,
    1625,   475,   476,   477,   478,   479,     0,   480,   481,   482,
     483,   484,   485,   486,   487,     0,   488,   489,   490,     0,
     491,   492,   493,     0,   494,     0,   495,     0,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,     0,     0,   519,   520,   521,   522,   523,     0,   524,
     525,   526,     0,     0,   527,   528,   529,   530,  1626,   532,
     533,   534,   535,   536,   537,   538,     0,   539,   540,     0,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,     0,   558,   559,
     560,   561,     0,   562,   563,   564,   565,   566,   567,     0,
     568,   569,   570,     0,     0,   571,   572,   573,     0,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,     0,
     593,   594,   595,   596,   597,   598,   599,   600,   601,     0,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
       0,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,     0,   648,
       0,   649,   650,   651,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   664,     0,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   674,   675,   676,
     677,   678,   679,   680,   681,   682,     0,   683,   684,     0,
       0,   685,   686,   687,   688,   689,   690,   691,   692,     0,
     693,   694,   695,     0,     0,   697,   698,   699,   700,   701,
       0,   702,   703,   704,   705,   706,   707,   708,   709,   710,
       0,     0,   711,   712,   713,   714,   715,     0,     0,   716,
     717,   718,   719,   720,     0,   721,     0,   722,   723,   724,
     725,   726,   727,     0,     0,   728,     0,     0,   729,   730,
     731,   732,   733,   734,   735,   736,   737,   738,   739,   740,
     741,   742,   743,   744,   745,    35,   746,   747,     0,    37,
       0,     0,    39,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   341,   342,   343,   344,
     345,   346,   347,   348,   349,     0,   350,   351,   352,     0,
       0,     0,     0,     0,     0,     0,   353,   354,   355,     0,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,     0,   369,   370,   371,   372,   373,   374,
     375,     0,     0,   376,   377,     0,   378,   379,     0,   380,
     381,   382,   383,   384,     0,   385,     0,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,     0,     0,   396,
     397,   398,   399,   400,   401,     0,   402,   403,   404,     0,
       0,     0,     0,   406,     0,     0,     0,   408,   409,   410,
     411,     0,   412,   413,   414,   415,  3100,   416,     0,   417,
     418,   419,   420,   421,   422,   423,     0,   424,   425,   426,
     427,     0,     0,   428,   429,   430,   431,   432,     0,   433,
     434,   435,   436,     0,   437,   438,   439,   440,     0,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,     0,
     451,     0,   452,   453,   454,   455,   456,     0,   457,     0,
     458,   459,   460,     0,   461,   462,   463,   464,   465,     0,
     466,   467,     0,   468,   469,   470,     0,   471,   472,     0,
     473,   474,   475,   476,   477,   478,   479,     0,   480,   481,
     482,   483,   484,   485,   486,   487,     0,   488,   489,   490,
       0,   491,   492,   493,     0,   494,     0,   495,     0,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,   519,   520,   521,   522,   523,     0,
     524,   525,   526,     0,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,     0,   539,   540,
       0,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,     0,   558,
     559,   560,   561,     0,   562,   563,   564,   565,   566,   567,
       0,   568,   569,   570,     0,     0,   571,   572,   573,     0,
       0,   574,   575,   576,   577,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   592,
       0,   593,   594,   595,   596,   597,   598,   599,   600,   601,
       0,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,     0,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,     0,
     648,     0,   649,   650,   651,   652,   653,     0,   655,   656,
     657,   658,   659,   660,   661,   662,   663,   664,     0,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,   681,   682,     0,   683,   684,
       0,     0,   685,   686,   687,   688,   689,   690,   691,   692,
       0,   693,   694,   695,     0,     0,   697,   698,   699,   700,
     701,     0,   702,   703,   704,   705,   706,   707,   708,   709,
     710,     0,     0,   711,   712,   713,   714,   715,     0,     0,
     716,   717,   718,   719,   720,     0,   721,     0,   722,   723,
     724,   725,   726,   727,     0,     0,   728,     0,     0,   729,
     730,   731,   732,   733,   734,   735,   736,   737,   738,   739,
     740,   741,   742,   743,   744,   745,    35,   746,   747,     0,
      37,     0,     0,    39,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   341,   342,   343,
     344,   345,   346,   347,   348,   349,     0,   350,   351,   352,
       0,     0,     0,     0,     0,     0,     0,   353,   354,   355,
       0,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,     0,   369,   370,   371,   372,   373,
     374,   375,     0,     0,   376,   377,     0,   378,   379,     0,
     380,   381,   382,   383,   384,     0,   385,     0,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,     0,     0,
     396,   397,   398,   399,   400,   401,     0,   402,   403,   404,
       0,     0,     0,     0,   406,     0,     0,     0,   408,   409,
     410,   411,     0,   412,   413,   414,   415,     0,   416,     0,
     417,   418,   419,   420,   421,   422,   423,     0,   424,   425,
     426,   427,     0,     0,   428,   429,   430,   431,   432,     0,
     433,   434,   435,   436,     0,   437,   438,   439,   440,     0,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
       0,   451,     0,   452,   453,   454,   455,   456,     0,   457,
       0,   458,   459,   460,     0,   461,   462,   463,   464,   465,
       0,   466,   467,     0,   468,   469,   470,     0,   471,   472,
       0,   473,   474,   475,   476,   477,   478,   479,     0,   480,
     481,   482,   483,   484,   485,   486,   487,     0,   488,   489,
     490,     0,   491,   492,   493,     0,   494,     0,   495,     0,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,   519,   520,   521,   522,   523,
       0,   524,   525,   526,     0,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,     0,   539,
     540,     0,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,     0,
     558,   559,   560,   561,     0,   562,   563,   564,   565,   566,
     567,     0,   568,   569,   570,     0,     0,   571,   572,   573,
       0,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,     0,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     0,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   628,
     629,   630,     0,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
       0,   648,     0,   649,   650,   651,   652,   653,     0,   655,
     656,   657,   658,   659,   660,   661,   662,   663,   664,     0,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,     0,   683,
     684,     0,     0,   685,   686,   687,   688,   689,   690,   691,
     692,     0,   693,   694,   695,     0,     0,   697,   698,   699,
     700,   701,     0,   702,   703,   704,   705,   706,   707,   708,
     709,   710,     0,     0,   711,   712,   713,   714,   715,     0,
       0,   716,   717,   718,   719,   720,     0,   721,     0,   722,
     723,   724,   725,   726,   727,     0,     0,   728,     0,     0,
     729,   730,   731,   732,   733,   734,   735,   736,   737,   738,
     739,   740,   741,   742,   743,   744,   745,    35,   746,   747,
       0,    37,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   341,   342,
     343,   344,   345,   346,   347,   348,   349,     0,   350,   351,
     352,     0,     0,     0,     0,     0,     0,     0,   353,   354,
     355,     0,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,     0,   369,   370,   371,   372,
     373,   374,   375,     0,     0,   376,   377,     0,   378,   379,
       0,   380,   381,   382,   383,   384,     0,   385,     0,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,     0,
       0,   396,   397,   398,   399,   400,   401,     0,   402,   403,
     404,     0,     0,     0,     0,   406,     0,     0,     0,   408,
     409,   410,   411,     0,   412,   413,   414,   415,     0,   416,
       0,   417,   418,   419,   420,   421,   422,   423,     0,   424,
     425,   426,   427,     0,     0,   428,   429,   430,   431,   432,
       0,   433,   434,   435,   436,     0,   437,   438,   439,   440,
       0,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,     0,   451,     0,   452,   453,   454,   455,   456,     0,
     457,     0,   458,   459,   460,     0,   461,   462,   463,   464,
     465,     0,   466,   467,     0,   468,   469,   470,     0,   471,
     472,     0,   473,   474,   475,   476,   477,   478,   479,     0,
     480,   481,   482,   483,   484,   485,   486,   487,     0,   488,
     489,   490,     0,   491,   492,   493,     0,   494,     0,   495,
       0,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,   519,   520,   521,   522,
     523,     0,   524,   525,   526,     0,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,     0,
     539,   540,     0,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
       0,   558,   559,   560,   561,     0,   562,   563,   564,   565,
     566,   567,     0,   568,   569,   570,     0,     0,   571,   572,
     573,     0,     0,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,     0,   593,   594,   595,   596,   597,   598,   599,
     600,   601,     0,   602,   603,   604,   605,   606,   607,   608,
     609,   610,   611,   612,   613,   614,   615,   616,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,     0,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,     0,   648,     0,   649,   650,   651,   652,   653,     0,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
       0,   665,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   676,   677,   678,   679,   680,   681,   682,     0,
     683,   684,     0,     0,   685,   686,   687,   688,   689,   690,
     691,   692,     0,   693,   694,   695,     0,     0,   697,   698,
     699,   700,   701,     0,   702,   703,   704,   705,   706,   707,
     708,   709,   710,     0,     0,   711,   712,   713,   714,   715,
       0,     0,   716,   717,   718,   719,   720,     0,   721,     0,
     722,   723,   724,   725,   726,   727,     0,     0,   728,     0,
       0,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   744,   745,     0,   746,
     747
};

static const yytype_int16 yycheck[] =
{
       2,   162,   151,    73,    73,    73,    73,    73,    73,    73,
      73,   967,    73,  1275,    73,    73,    73,  1429,    73,   975,
      73,    73,   978,    73,    73,    73,    73,  1241,   115,  1031,
     117,  1165,  1166,  1167,  1438,  1400,   142,  1171,   306,   972,
      83,  1224,    88,  1603,   306,  1269,   291,  1271,  2160,   136,
     125,  1219,  2008,  2099,  2083,  1569,   124,   124,   133,  3348,
    1417,   104,  1401,  1247,   153,  2562,  2522,  1349,  2083,  1248,
    2547,   114,   115,  2444,   117,  2076,   122,  1211,  1427,    81,
     123,  1723,     2,  1572,  1503,  1433,  2088,  1556,  1557,    84,
    1683,    86,  3974,   136,  3576,   141,  3787,   830,  1567,   958,
    2320,   147,   148,  1231,  3641,  1010,  3470,  1077,  1492,   155,
    3242,  3243,   114,   108,  4171,  4457,  4173,   119,  4253,  1708,
    2076,  1478,   117,  1712,  1508,  1482,  1715,  1716,  1587,   131,
    1487,  1126,  1100,   127,  3089,  2543,  2544,  2545,  2546,  1496,
     968,  2549,  3603,  2551,  2552,  2511,  1114,  4137,   142,   977,
    4036,  2197,  2198,  1510,  2231,   972,   293,    88,  1332,  1333,
    1334,  3588,  3541,   991,  3543,  3544,  4028,  2548,   104,  3548,
    3549,  3550,  1077,  3552,  3553,  3554,  4506,  1361,  2125,  2126,
    4916,  1400,  2129,  1313,  1313,  4484,  2529,  1313,  2190,    88,
    1409,   122,  4822,  1550,  3494,  4199,  1366,  4201,  1012,   293,
    1419,  1029,   278,    88,  2379,  4405,   831,  1035,  5156,   101,
    2430,  4038,    88,  4875,  1031,  4844,  2218,  1129,   106,  1047,
    3584,  1391,  1113,   122,   155,  1130,  1396,   297,   297,   297,
     297,   297,   297,   297,   297,  2333,   297,   122,   297,   297,
     297,  5163,   297,  1156,   297,   297,   122,   297,   297,   297,
     297,  5743,  5309,  5175,  5311,   141,   155,  1227,  1442,  5179,
    2066,  2014,   148,  1941,  1942,  5124,  5162,  4782,  5825,  5167,
     155,  4961,  5926,   147,   161,  5888,  6061,  5735,  1095,   155,
    4002,  3083,  3893,  1188,  1753,  1754,   951,  5685,  5967,  5958,
    3830,  3169,  3603,  3130,  1256,  6097,   339,  3171,  1098,  4068,
    1249,  1101,   125,  1641,  1666,  3927,  1795,  5166,  1590,  3922,
     133,  3148,  4471,  6091,  6109,  1784,  2122,  5509,  1272,  1554,
    1555,  5904,  1227,  5906,  1358,  1272,  5730,  1060,  6362,  1308,
    1309,  1566,    20,  2139,    29,     9,  5734,    76,  1472,  5014,
      76,  1118,    13,    91,  4781,  6014,  4783,  4784,    76,  1254,
      76,   108,  2299,    76,    91,    76,    76,  1391,    76,    85,
      86,  1266,  1396,    76,  5273,  5274,  5275,    76,  5277,  5278,
    5279,  5280,  5281,    76,  6058,    76,    85,    86,    76,   165,
      76,    83,    85,    86,    85,    86,    76,    85,    86,    76,
      76,  5347,    76,    76,    83,    76,  1121,  1310,  1311,    70,
     133,  1066,    70,   107,    75,    76,    70,    78,    79,   133,
      81,    75,    76,    81,    13,    70,    70,    81,   190,  2517,
    4539,    75,    76,  2049,    78,    79,   115,    81,    70,   107,
     107,  4042,  6345,    75,    13,   241,  1650,   254,   942,    81,
     105,   107,   264,  6025,  6026,   247,   247,   247,   227,   124,
     190,   162,   226,   150,    93,   113,    69,    70,   218,   148,
      73,    70,    75,    76,    95,   162,    76,   259,    81,    76,
      70,    70,    81,    91,   247,    75,   133,    83,   233,    69,
     158,    81,   117,    73,   254,    83,    76,   248,  1221,   247,
    1909,   259,  5182,  1449,    76,   247,  4139,  1453,  1493,  1455,
     190,   292,    24,   133,    91,    79,   133,  1742,  1743,   115,
     133,   183,    34,    24,   107,  6766,  6050,   225,  1183,  1452,
     142,   138,   190,   247,   100,   394,   117,   399,   399,  1878,
     133,     7,   133,  1438,    10,    11,    97,   326,  1014,   133,
     162,   379,   148,  1891,  1779,    21,    22,    23,   241,    25,
      26,  6585,   543,   142,    30,    31,    32,   247,   369,   120,
     155,  6630,  6364,   112,   413,   148,   358,   429,   437,   472,
    5974,   222,  5520,   518,   341,   109,   128,   190,   518,   210,
     394,   206,   309,   465,  1443,   105,   225,  6256,   456,   543,
     358,   562,   449,   454,   553,   185,   520,   553,   503,   169,
      93,   437,   394,   472,   466,    97,   102,   117,  7106,    69,
    5522,    76,   107,    73,   605,   586,     0,   139,  5530,   367,
    6203,  7119,   113,   505,   403,  1839,   381,    83,   120,  6880,
     367,  1815,  2146,   129,   223,  1452,   472,   542,   609,  1853,
    6098,   565,  1610,   505,  1120,   437,   605,   199,   150,   605,
     377,   605,   392,   696,   243,   523,   442,  3968,   472,    83,
    1844,   286,  6575,   608,   424,   150,   200,   549,   608,  1883,
    1884,   520,   323,   263,   761,   762,   944,   162,   291,    99,
     541,   150,   944,   253,  1146,   542,   106,  1649,  1150,  1151,
    1152,   115,   150,   555,   696,   150,   463,    99,  1160,   212,
     247,    99,  1367,   192,   106,   608,   226,   183,   106,   150,
     443,   287,   254,   326,  3603,   150,   565,  4028,   761,   762,
     269,  6755,  1690,   605,   148,  4036,   287,   516,   247,   567,
    2078,   162,   543,   605,   605,   459,   605,  1213,   189,  1707,
     362,   358,   254,  1655,   197,  2129,   439,   195,  1661,   367,
     102,   341,   543,  1666,   344,   547,  1724,   367,   206,  1729,
     367,  4961,    35,  7014,   338,   271,   288,   475,    41,    42,
     525,  4414,   195,  1438,  6308,    48,    49,   288,   371,   547,
     367,    54,  6584,   605,   558,   367,   443,   830,   247,  4989,
      63,   608,    65,  5135,    67,  2179,  2180,   469,  2155,   605,
      73,  2158,  5724,    93,   583,  6489,   608,   608,   608,   549,
    6494,  6495,   523,   443,   485,   454,   443,  2229,  2230,    99,
     443,   518,   608,   595,  1729,   414,  1330,  2166,   518,  5458,
     554,  6865,   552,  2052,  5176,   608,   475,   986,   608,   332,
     443,   472,   443,   501,   605,   605,  5521,   605,   605,   443,
     586,   587,  1814,   518,   532,   543,   608,  5532,   586,   587,
     608,  4996,   566,  4920,   603,   605,   605,  5002,   607,   605,
     346,   608,  2432,   463,   548,   608,   371,   605,  2227,   605,
    6278,  5396,   605,  2476,   605,   605,   485,   605,   566,   566,
    4776,  2110,   605,   548,   940,  5851,   605,  6355,  5807,   601,
     566,  2527,   605,  1873,   605,   595,   485,   605,   603,   605,
     541,   599,   601,   548,  1639,   188,  2300,   607,   605,   605,
    6954,   605,   605,  2483,   605,   596,   597,  2396,   596,   597,
     605,  4295,  4296,   597,   410,  2495,  4300,  6519,   533,  4071,
    2110,  4073,   596,   597,  6746,   218,  1016,   536,  1016,  6862,
    1016,   608,  1016,  1016,   596,   597,  6360,   548,  5395,  1016,
    5397,  5398,   562,   458,  6759,   102,   239,  6745,  1873,  1130,
    1949,  7005,  1934,  1927,  2236,  1062,  1881,  1882,   608,    98,
    1927,   608,  5182,   596,   597,   608,   586,   596,   597,  6774,
     580,  1940,   598,   599,   600,   601,   596,   597,   596,   597,
     598,   599,   600,   601,  4383,   608,    95,   608,   518,   940,
     501,  1013,  6681,  4440,   608,   508,   518,  1060,   291,  1062,
     603,   192,  3977,  3198,   607,  7094,   491,   492,  5085,  1178,
    1275,   951,   133,   518,  6703,  4657,  4658,  1986,   548,  7108,
    2074,   940,   332,   162,  6236,   558,   539,  3222,  7117,   518,
     562,  3226,   528,   548,  4667,   940,   545,  1133,   605,   518,
     518,  1129,   482,   518,   940,  6867,   608,  6650,  1143,   520,
    1145,   564,  1147,  4437,    95,  1077,  1078,   518,  1153,  3968,
     482,  1124,  5241,   518,   482,  1128,   605,   518,   440,  2123,
     543,  6583,    99,   541,  5084,  2457,   608,   370,  4867,  1248,
    4640,  2463,   608,  2441,  1179,  1180,  2140,  5226,  5227,  5228,
    5229,  5230,   605,    93,   565,  2117,   159,   121,   541,  1121,
    4742,   210,  6580,   159,  1901,   296,   406,  1264,  2587,  4007,
     249,  1280,  1127,  6081,  4008,  2547,   595,    76,   169,  4028,
    2375,  2376,   598,   599,   600,   601,  1066,  4036,   607,   195,
    1145,  6953,  1147,   292,  3991,   183,    24,   190,   183,   202,
     173,    36,  1157,    38,  6562,   195,   202,   247,  6837,   459,
    1264,   133,   596,   597,   598,   599,   600,   601,  1221,  1225,
    1223,  6579,  1184,  1229,  1179,  1180,   241,   467,   195,   210,
      28,   362,  6871,  6872,  1656,  2329,    93,  1659,   292,   247,
    1662,  1121,  1664,   195,   222,  1667,    95,   183,  1357,  1671,
    1212,  1876,   101,   146,   378,   248,  1881,  1882,   508,   292,
    1222,  5211,   253,   496,  1226,  1227,  1228,  5963,  6785,  6088,
     510,  4842,   512,  2447,   225,  2049,  2584,  4039,    80,   259,
     286,    83,   195,   256,   517,    87,    88,    89,  2028,   539,
     159,   247,    80,   259,   425,    83,   286,   358,  7043,    87,
      88,    89,   535,  1183,  6756,   292,   108,  4989,   205,  6637,
      76,   363,   290,  4405,   564,   271,    13,   550,   247,   286,
     430,  6935,  1351,    21,  1066,  5147,  3242,  1223,   247,  6747,
      95,    93,   338,   202,   286,  6908,   292,   190,  5988,   418,
    2117,   275,   271,   440,  6243,   394,  1308,  1309,  3310,  2492,
    2493,  1313,   271,   238,  6675,   605,   358,   454,  1249,   456,
     213,   210,  1145,   292,  1147,   456,   219,  3342,  7007,   110,
     363,    93,    70,   286,   185,   292,  2001,   456,   358,   612,
     233,  2246,   443,   124,   242,   358,   292,   378,   437,   442,
    1249,  1225,   332,   185,   397,  1229,  1179,  1180,   292,  1405,
    1406,   397,   416,  3860,  3861,   118,   384,  4499,  3865,  3846,
    1257,   472,   256,   394,  5889,   276,  5718,    69,    70,   472,
     278,  6873,   381,   472,   358,  1431,   523,    76,   141,  2054,
    3392,   310,   523,  1313,  6342,   437,   384,  2581,   548,  2064,
     181,  1183,   521,  6351,   523,   210,  2368,   358,   527,  3906,
    3907,  7065,   263,   185,   445,    80,   437,    13,  1338,  1339,
     288,  5478,    87,    88,    89,   362,  5756,    93,   353,  6327,
      93,   263,  6354,  5732,  2402,   332,  1438,   608,   518,   358,
     444,   605,   375,   271,  2400,  5502,   284,  1367,  2416,   541,
    6372,   472,   294,  3530,  6374,  4916,  6404,  6353,   465,  6357,
    6952,  2429,  4773,   190,   403,  4776,   294,  6326,   511,   608,
     518,  6963,    69,   465,   367,   511,    73,   505,  2411,   459,
     505,   443,  2147,  2374,   475,  2150,  2151,   362,   397,  3587,
     341,   263,    93,   344,    93,   541,   526,  6356,  7055,  2358,
    1431,  3254,   515,  2283,   285,   394,     2,   562,  3620,   341,
     543,   541,   344,   607,  7006,   247,   543,   535,  1438,  1405,
    1406,  3199,  5408,  3201,  3330,   546,  5412,   547,   508,   505,
     332,   562,  1431,  6901,   541,   608,  2427,   185,   380,   271,
    2452,   547,    93,   379,  2457,  7037,  1431,   543,   437,   541,
    2463,   605,   380,  6492,   248,  1431,   475,   379,  2560,   539,
     292,   367,   459,   122,   161,   449,  2528,  2529,  6230,   341,
     332,  6932,   344,  2535,   543,   606,  7068,   358,   609,  2541,
    2542,   378,   609,   472,   564,    81,   543,  1655,   541,   609,
    6647,  2553,    88,  2410,  2411,  6224,    69,   543,  2263,  2399,
      73,  2563,   511,   562,   505,  4916,   605,  2569,    95,   543,
     106,   508,   463,   609,  2414,   263,  6564,  2417,   114,   216,
     608,  6766,   541,   358,   313,   605,   122,   190,   190,  5456,
     581,   463,   525,   185,  1526,   362,  1638,  1639,  3639,  1641,
     609,  6297,   539,  6299,   537,   141,    76,  6303,  6304,   372,
     263,   147,   148,  1814,  6576,  5192,   192,   459,  2435,   155,
     203,  1704,   384,  1658,  3076,  1660,   332,   564,  1663,   332,
    1665,   214,    95,  1668,  1669,  1670,   399,   142,  5682,  3635,
     461,   278,  1535,  3639,   379,  2485,  1681,  5148,   161,  2489,
    2490,   463,   413,   341,  5073,   392,   250,   459,  1700,  5078,
     379,  1696,   142,  1698,   398,  2482,   508,   266,   605,  2486,
    1978,   263,   271,  2527,  2491,   380,  1978,  2494,  1638,  1639,
     372,  1641,   384,   210,  3238,   190,   562,  1729,   341,   580,
    3078,   332,   459,   332,  3082,  6880,  6472,   539,  6752,  6753,
     562,    69,   215,  2560,   169,    73,   508,   399,   580,   454,
     249,   593,   594,   595,   596,   597,   598,   599,   600,   601,
     296,   249,   564,   322,   189,   593,   594,   595,   596,   597,
     598,   599,   600,   601,   421,  1912,  1913,   539,  1915,   429,
    1929,   332,  1931,   247,   478,  5149,   251,   210,  5988,   341,
     134,    95,   344,   459,   271,  6743,   459,   101,   142,   520,
    6099,   226,   564,   605,   367,   402,   603,   271,   580,    49,
     607,   543,   547,  3988,  1816,   463,  1859,  1860,  1912,  1913,
    1896,  1915,  5111,  1825,  2449,   603,   362,    67,   292,  4961,
     392,   107,   610,   605,   240,   184,  5147,  5148,   473,  1841,
      35,   183,   508,   605,   565,   508,    41,    42,   378,  1702,
     463,   394,   549,    48,    49,  5155,   329,  4989,   459,    54,
     459,  6491,   190,   366,  3268,   419,   372,   562,    63,  7014,
      65,  1873,    67,   539,  1876,  1877,   539,   609,    73,  1881,
    1882,   258,   605,   562,  4773,   192,   608,  4776,   162,   425,
     372,    99,   380,   399,   437,   382,     5,   362,   564,   453,
     605,   564,   367,   465,  1947,   555,   210,   508,   459,   508,
    3124,   463,  6860,   467,   190,    24,   190,   399,   477,   418,
     459,   394,   362,  1859,  1860,    34,   605,   276,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   534,   539,   605,
     539,  6955,   605,   505,   606,   542,   608,  1949,   545,   414,
    6606,    99,   506,   605,   441,   442,  1876,   508,   605,   190,
     437,  1881,  1882,   564,   441,   564,   431,   459,  2014,   195,
     605,   394,   182,    69,   310,   605,   479,    73,  2126,  2025,
     241,  2129,   326,   249,   210,   472,  3428,   549,   539,   235,
     243,   442,   253,   188,    99,   472,   252,   205,   229,  3182,
     562,  6949,  6344,   409,   605,   493,   605,  5893,   433,  1940,
     271,  1947,  5898,   564,   437,  5901,   358,   194,   103,   104,
    2066,   472,   358,   218,   586,    35,    80,  4916,   580,    83,
     139,    41,    42,   264,   362,   508,  2185,   192,   511,   367,
     465,  1940,  2123,   605,   239,  1965,  1966,   424,   153,   472,
    5182,   156,    95,   605,   605,  1986,  6686,   205,   163,  2140,
     367,   115,  2131,    73,  6363,   161,   605,  2136,   122,  3511,
     326,   536,   518,  3438,   472,   403,  2122,   323,   455,   543,
     505,  2001,   472,  2014,   169,   562,   191,  1986,   362,   425,
     394,  3221,  3221,  2139,   148,  3221,   291,  5408,   445,   605,
     209,  5412,   192,   472,   189,   194,  3490,  5798,   384,   586,
     459,   562,  4068,   605,   380,  2014,   293,   505,   161,   215,
     437,  3340,  4078,   605,   549,   280,  3686,   337,   374,  2014,
    4586,   362,   342,   437,  2054,   586,  6126,   562,  2014,   475,
    6876,   226,   439,  2212,  2064,   609,   251,  2216,  4604,   595,
     205,  2299,   207,  4154,   503,    83,   505,   608,   609,   264,
     203,   586,  2164,   238,  4641,   157,  4278,   210,   472,  4646,
    2172,   214,   277,   429,   605,   370,   250,   364,   188,   288,
     605,  4678,  4679,  4680,  4681,   411,   447,  4684,  4685,  4686,
    4687,  4688,  4689,  4690,  4691,  4692,  4693,   472,  4154,   193,
     696,   518,  5684,   358,   293,   541,   296,   362,   218,   235,
     608,   558,   266,   518,   363,   364,   336,   271,   608,  3438,
     148,   472,   193,  3607,  3608,  3609,  3610,  2147,  3612,   239,
    2150,  2151,   382,   329,  3418,  2281,   393,  4645,  6120,   608,
     315,  5723,  4650,  4651,   394,   237,   110,  5708,  5939,   393,
    5941,  4748,  4749,  3637,   510,   393,   512,  3476,  5147,  5148,
     124,   190,  3524,  3525,  3526,   562,  6596,  5646,   322,  5648,
    5649,  5650,   362,   267,  7010,  4656,  5703,  4620,   465,  6578,
     193,   291,  3416,   539,  3418,  4362,    95,   437,  2131,   586,
     595,  4368,   101,  2136,  3513,  6992,   267,   323,   394,   555,
    4302,   496,   607,  3660,  4251,  2307,   393,   362,  5672,  2311,
    5674,   608,   241,  6199,   605,   472,   465,   181,   505,   595,
    6377,  6325,   517,  3493,   437,  7080,   380,   603,   472,   605,
     606,   607,   608,   608,   472,   425,   454,   433,   394,  4559,
     535,   437,  7097,  2263,  3300,   441,  3302,  3303,   433,  4351,
    2281,   394,   336,  2502,   267,   550,   505,   608,   235,   472,
     370,   248,   549,  3268,   241,  7062,   252,   362,  3301,  2212,
    3338,   341,   367,  2216,   344,   562,   472,   433,   362,   453,
     465,   437,  2281,  2544,  2452,   490,   460,   505,   493,   562,
     433,   481,   235,   467,   437,   282,  2281,  5708,   241,   586,
     549,   210,   192,   182,   554,  2281,   454,   384,   456,  6399,
     297,   224,   508,   562,  2520,   511,   472,   612,   605,   606,
     505,   285,   609,   477,  6306,  5886,    69,   422,  5985,   472,
      73,   335,   506,   320,  4480,   608,   479,   586,  3297,  2441,
     326,  2511,  2444,  2511,   940,  2511,   323,  2511,  2511,  6748,
     336,   241,  4818,    96,  2511,   529,   605,   312,   362,  2454,
     273,  2456,   958,   242,   549,  2460,   562,  2462,   553,  5930,
    2465,   967,   968,   520,  2469,   523,  6033,   562,  5433,   975,
     323,   977,   978,  3216,  3301,   462,   496,   222,  6350,   562,
     280,  1130,   222,   463,   358,   991,  3630,   374,   394,   278,
     235,   586,  5963,   605,  3678,   235,   241,   517,   559,  3337,
     394,   241,   373,   586,  1010,   454,   465,   378,   161,  5408,
     605,  2441,  3981,  5412,  2444,   535,   609,    83,   562,  2523,
     584,   374,   249,  1029,   394,  6877,   609,   562,  2540,  1035,
     550,   437,   596,   597,   598,   599,   600,   601,  6683,  1188,
     489,  1047,   586,   437,   611,   290,   505,   608,   337,   115,
     290,   448,   608,   342,  2610,   222,   283,  6866,   358,   170,
     441,  1067,   362,   216,   608,  5886,   472,   437,   235,   394,
     394,  1077,  5893,   608,   241,   170,  1082,  5898,   323,  6471,
    5901,  1087,   148,   323,  3589,  1091,  1092,   461,   164,  3427,
     549,   472,  1098,  3268,  1100,  1101,  5103,   609,   394,  7033,
    4079,  7035,   472,   562,   162,  1254,   108,  1113,  1114,  5930,
     108,   562,   437,   437,   510,  1121,   512,  1266,   271,   100,
     425,  6688,  6689,   290,  1130,   278,   122,   586,   130,   374,
     111,   207,   130,   438,   374,  3829,   562,   248,  6109,   384,
     121,   437,  5963,   539,   384,   441,   605,   472,   472,  6038,
     394,   247,   108,   248,   222,   429,   323,   608,   441,   155,
     586,    80,   143,   468,    83,  7096,  7100,   235,   459,  2610,
      39,   282,  3510,   241,  1087,   271,   472,    75,  7109,  3466,
     182,  3468,  1188,    81,   182,  3472,   297,   282,  7040,   472,
    3662,   142,   466,   437,   252,   151,   115,   148,  3970,   490,
    1113,  2610,   297,   122,   241,   378,   543,   374,  4307,   320,
     383,   162,  1218,  1219,   288,  2610,   241,   384,   276,  1225,
     484,  1227,   290,  1229,  2610,   320,   518,    80,   265,   148,
      83,   505,   241,  2302,    87,    88,    89,   352,   349,   190,
     265,   192,   562,  1249,   606,   509,   150,   609,  1254,   402,
    1256,   543,   105,  2322,   349,   323,   265,   205,   162,   207,
    1266,   376,   518,   603,  6831,  1395,   586,  3442,   326,   609,
     150,    15,   274,   586,   587,  3450,   274,  4069,  3453,   586,
     587,   555,   162,   378,  1414,   233,    70,  1417,  6109,  5255,
     535,  4140,   605,   213,   518,   535,   449,    81,   605,   219,
     251,   220,  1308,  1309,   603,  5271,   374,   595,   607,  5708,
     608,  4933,  6258,  5300,   612,   392,   384,  6263,  6264,   607,
    5307,  5308,   378,   139,   140,   383,  4175,   383,  3794,   280,
    3796,  3797,  6379,   606,   518,   337,   609,   448,   124,   337,
     342,  3979,   518,  1391,   342,  1351,  5988,   266,  1396,   502,
     298,  3129,   271,   448,   605,   608,   358,  3129,   603,   612,
     358,   606,   607,   603,  6238,   604,  4469,   607,   535,   608,
     608,   609,  6246,  6247,  6941,  4931,   518,  4933,  6199,   604,
     603,   534,   605,   608,   607,   171,  4898,   105,   465,   542,
    3862,   393,   545,  4918,  7078,   393,  4254,  7081,   416,  1405,
    1406,  4867,  3874,   322,   454,   455,   354,   355,   356,   357,
     196,   362,  4141,   361,   362,   523,   367,  3929,  3873,   367,
    3875,  3876,  3791,  1429,  1430,  1431,  6818,  5157,   505,   215,
     106,   510,  1438,   512,   220,    85,    86,  1443,  3910,   371,
     442,   294,  1448,  1449,   442,   103,   104,  1453,   543,  1455,
     555,  4603,   510,  1459,   512,  2573,   242,  4969,  2576,  3746,
     246,   380,  6433,   414,   466,   523,   600,   535,   466,  1475,
    6112,   605,   549,   607,   462,   261,  5394,   313,   536,  6680,
     431,   539,  3954,   454,   455,   562,   488,  5886,  3731,    33,
     488,    69,    70,   600,  5893,    73,   605,  4226,   605,  5898,
     607,  6472,  5901,    81,   354,   355,   356,   357,  4402,   586,
     340,   598,  1518,   605,  1520,  1521,   603,  4446,   605,   510,
     607,   512,   606,   523,   608,   598,   108,   380,   605,  6350,
     603,  5930,   605,   462,   607,  1448,  4535,  4536,   598,   599,
     600,  4408,   605,   439,   607,   606,  1459,   608,   130,   596,
     597,   598,   599,   600,  3131,   606,   336,   608,   477,   606,
     608,   609,  1475,  1569,  5963,   454,   455,  3982,   603,    35,
     605,   605,   336,   607,  3749,    41,    42,   525,   166,   170,
    5461,   367,    48,    49,   606,   536,   608,   276,    54,   537,
     596,   597,   598,   599,   600,  3107,   610,    63,   604,    65,
     182,    67,  3929,    80,  1610,  4249,   489,    73,   606,   340,
    4254,  6582,  6433,  5169,   265,  4308,  4094,  4095,    70,  7011,
    3187,   606,   606,   608,   608,  5164,   562,   606,   564,   608,
    5970,  5971,  1638,  1639,   489,  1641,   422,   606,  4118,   608,
     606,   489,   608,  1649,   606,   606,   608,   608,   454,   455,
    3309,  6472,   523,   606,  3270,   608,  3272,   248,   157,   606,
     606,   608,   608,  3216,   606,   584,   608,   555,   606,   251,
     608,   606,   462,   608,  5185,  4002,   129,   596,   597,   598,
     599,   600,   601,   313,  1690,    18,    19,   562,   606,   564,
     608,   282,   274,  3205,  7086,   606,   611,   608,  3254,  1705,
     606,  1707,   608,  4118,    37,   605,   297,    40,   553,  3221,
    6109,    81,  3224,  3225,   606,   606,   608,   608,  1724,  5185,
     586,   587,   188,  1729,   606,   606,   608,   608,    80,   320,
     606,    83,   608,   503,  1740,    87,    88,    89,  3168,  3169,
     593,   594,   595,   596,   597,   598,   599,   600,   601,   606,
    6742,   608,   218,  3412,   605,   337,  3268,   510,   349,   512,
     342,  6582,   510,   115,   512,  4243,   606,   606,   608,   608,
     122,  6428,  6429,   239,  3330,  1781,   358,   606,   606,   608,
     608,   562,   606,   564,   608,   459,  4264,   378,  6759,   378,
    4434,  3221,  1705,   608,  3224,  3225,   148,   606,   131,   608,
    6199,  6643,  6644,   132,  1810,  1811,  1812,  3982,  1814,   129,
    4097,   393,  3324,  3254,  4917,   606,  4919,   608,  3374,  4922,
      80,  1827,  3378,    83,   606,   291,   608,   555,   118,  1835,
    5837,   606,   165,   608,   606,   606,   608,   608,  3268,   168,
     606,   582,   608,  5830,  5831,  3254,  3402,   606,   606,   608,
     608,   606,   562,   608,   564,   115,   606,   448,   608,  3254,
     442,   296,   122,  4721,   606,   381,   608,  1873,  3254,  3425,
    1876,   607,   606,   206,   608,  1881,  1882,   205,   378,   207,
    3465,   606,   241,   608,   466,  4864,   378,   606,   148,   608,
     606,   606,   608,   608,   582,   606,  3408,   608,   606,  6870,
     608,  4590,   231,   381,   370,  6876,   488,   606,  1914,   608,
     118,   582,  1918,  1919,   266,  5537,   606,   296,   608,   271,
    3432,   606,   606,   608,   608,   606,   598,   608,  1934,   606,
    4410,   608,  4412,  3374,  1940,   246,   605,  3378,  6759,   268,
     606,   608,   608,  1949,   606,   606,   608,  4425,  3504,  4427,
     606,  6350,  4811,   562,   606,   564,   608,   606,   129,   608,
     220,  3402,  6761,   247,   606,  3374,   608,   292,   292,  3378,
     322,   606,   606,   608,   608,   606,   605,   608,  5503,  3374,
    1986,   609,   606,  3378,   608,   606,  3498,   608,   611,   318,
    3502,   611,  3378,  3402,  4852,  4410,   606,  4412,   608,   606,
     598,   608,  2008,   606,   217,   608,   266,  3402,  2014,   288,
     108,   271,  3442,   606,  3570,   608,  3402,   129,  4498,  2025,
    3450,   288,  2028,  3453,   294,   518,  2032,  3539,   380,  3541,
     496,  3543,  3544,   362,  6433,   463,  3548,  3549,  3550,  7010,
    3552,  3553,  3554,   606,   606,   608,   608,   344,   606,  6870,
     608,   517,   606,   608,   608,  6876,   606,   606,   608,   608,
    2066,   607,   322,  3504,   605,  4932,   395,   605,   605,   535,
    2076,   437,   606,  6472,   608,   606,   566,   608,  4405,   606,
     606,   608,   608,  4498,   550,   606,   606,   608,   608,   606,
     271,   608,  4786,   227,  3606,  3504,   607,   606,  4890,   608,
     606,   606,   608,   608,   606,  5208,   608,  2113,   606,  3504,
     608,   606,   441,   608,   443,   378,  2122,   446,  3504,  3631,
     380,   606,   606,   608,   608,   477,   455,   227,  4606,  3570,
     606,   605,   608,  2139,   606,   464,   608,   606,   271,   608,
    2146,   437,   606,   472,   608,   606,   606,   608,   608,   606,
     606,   608,   608,  5413,   378,  5415,  6163,   486,   227,   227,
    1929,  3570,  1931,   271,  3676,   227,   495,   378,   241,  4456,
     227,   500,  6138,   437,   321,  3570,   609,   192,  3731,   543,
     378,   605,   371,  6582,  3570,   241,   606,   142,   362,  7010,
     108,  3862,    80,   362,   566,    83,   605,   362,   378,   118,
    2113,  4673,   118,   362,   362,  3603,  3762,  2213,   161,  7008,
    5059,   528,   394,   555,  5081,   555,   157,   477,   523,   241,
     417,   610,   227,  2229,  2230,  2231,    80,   115,   557,    83,
     227,   605,   584,   227,   122,  4707,   552,   605,   410,  3910,
    2246,   593,   594,   595,   596,   597,   598,   599,   600,   601,
     605,   227,  2258,   566,   107,   605,   227,   227,   227,   608,
     148,   115,   227,  2269,   227,   227,   227,   227,   122,   241,
     227,   227,   378,   227,   505,  2281,   227,  2283,    80,  2285,
     227,    83,   958,   605,   108,   321,  4758,   378,  4575,  5755,
     605,   967,   241,   241,   148,    76,    76,  5069,  2304,   975,
      76,   605,   978,   605,   241,   605,  2312,   605,    76,    76,
     605,   605,   605,   115,  2320,   369,   605,   605,   605,  3749,
     122,  3762,   605,   605,   584,   605,   563,   605,  3884,   605,
     605,   605,   220,  2339,  3890,  5359,   596,   597,   598,   599,
     600,   601,   390,   605,   605,  2258,   148,   605,   605,  2355,
     605,   605,  2358,  3762,   605,  2361,  2269,   605,   605,   605,
    6759,  4032,  2368,  3962,  3963,  3964,   220,  3762,  2374,   605,
     605,   605,  2285,   605,   236,   605,  3762,   605,   266,   605,
    2386,   292,   605,   271,   605,   605,   605,   108,   173,   292,
     608,   608,   321,  2399,  2400,   294,  2402,  2403,   108,   608,
     241,   374,   241,   598,   372,   472,  1082,   288,  2414,   608,
    2416,  2417,   266,   542,   189,  1091,   595,   271,   220,    13,
    2426,  2427,  1098,  2429,  2430,  1101,  2339,   138,   605,  6436,
     608,   606,   605,   609,   322,  2441,  4611,   605,  2444,   606,
     518,   518,   459,  3884,   518,   554,   518,   459,  2361,  3890,
     607,   459,   518,   518,   323,   518,   149,   518,   595,   518,
     162,  2374,   227,   459,   266,   378,   464,   318,   322,   271,
    3982,  6870,   518,  2386,   518,  3884,   367,  6876,   198,  2485,
     518,  3890,   542,  2489,  2490,   508,   378,   399,   454,  3884,
     372,   605,   380,   518,   518,  3890,   162,   608,  3884,   198,
     264,   605,   271,   227,  3890,   394,   543,   518,   543,   518,
     198,   518,   518,  2426,  2427,   518,   184,   518,   518,   518,
     322,   198,  2528,  2529,   129,   518,   380,   518,  2534,  2535,
     129,   518,   346,   518,  2540,  2541,  2542,  2543,  2544,  2545,
    2546,  2547,  2548,  2549,  2550,  2551,  2552,  2553,   382,   421,
     421,  2557,  3982,  2559,  6093,  2561,  2562,  2563,  2564,  2565,
    2566,   421,   508,  2569,   399,  2571,  2572,   399,  5426,  2575,
    3968,   205,    80,   207,   518,    83,  4006,  4007,   380,    87,
      88,    89,   518,  2589,  2590,  2591,  2592,   518,   518,   477,
    5693,   518,   400,  5451,   399,   518,   518,    80,   117,   233,
      83,   518,  2608,   518,  2610,   294,  4118,   294,   610,   294,
     294,  7010,   378,   608,   606,   294,   294,   378,   294,   294,
     294,   294,   518,   477,   528,   605,   108,   227,    80,   378,
    4028,    83,   115,   362,  4961,    87,    88,    89,  4036,   122,
     227,   190,   543,  4199,  4200,  4201,   227,   227,   554,   227,
     378,  5129,  5130,   362,   362,   362,   241,   329,   108,   108,
     605,   313,  4989,   605,   298,   148,   461,   607,   606,   107,
     605,   605,   516,   516,    80,   477,  2589,    83,   603,   603,
     518,    87,    88,    89,   227,   518,   227,   543,  6244,   227,
     227,   543,    13,  4205,   608,   518,   584,   366,   606,   105,
     371,   247,   346,   558,   606,   605,   346,    83,   596,   597,
     598,   599,   600,   601,   608,   605,   256,   518,   605,   605,
     354,   355,   356,   357,   389,   247,   520,   361,   608,   595,
     584,   608,   606,   367,   264,   264,   290,   220,   608,   475,
     310,   379,   596,   597,   598,   599,   600,   601,   108,  2755,
    4262,   608,   543,   543,    33,     9,   387,   129,  4199,  4200,
    4201,   606,   554,   459,   367,   605,   367,  1443,  5446,   367,
     518,   518,   518,  1449,   605,   241,   367,  1453,   118,  1455,
     481,   378,   584,   266,   605,   378,   294,  5654,   271,   310,
    4199,  4200,  4201,   362,   596,   597,   598,   599,   600,   601,
     310,   321,   378,  2809,  4199,  4200,  4201,   321,   321,   454,
     508,   198,   340,   518,  4989,   608,   378,   378,   271,   608,
     378,   437,    80,  4335,   472,    83,   605,   562,  4487,    87,
      88,    89,   265,   469,   384,   518,   518,   425,   108,   322,
     294,   313,  1518,   606,  1520,  1521,   543,   105,  4404,   543,
     595,   241,   420,   227,   372,  5182,   108,   506,   243,  2865,
     555,   421,   605,   469,   227,   605,   227,   372,   227,   226,
     562,  4383,   380,  5345,   362,  4472,   543,   108,   362,   378,
      97,   378,   313,  4395,  4396,   372,   599,   262,   294,   262,
     241,   525,   108,  4405,   242,   313,   582,   380,  4410,   344,
    4412,   582,   606,   537,  6911,   469,  4473,  6914,   241,   378,
    6917,   362,   603,   271,  6380,   271,  4483,   271,   271,  4472,
     566,   271,   129,   518,  4521,  5437,   606,   247,   380,   343,
     562,  4590,   378,   247,   371,   548,   606,   384,   445,   205,
     583,   401,   606,   606,   247,   361,   608,   608,   608,   608,
    4462,   607,   605,   608,  4521,   606,  5243,  5244,  5245,  5246,
    5247,   608,   390,  4404,   606,   606,   518,   606,  4521,   606,
     582,   336,   605,   608,   380,  4405,   559,   606,   608,   606,
     606,   585,   606,   608,   606,  4497,  4498,   606,   606,   606,
     541,   129,   606,   608,   477,  4404,   606,   605,   605,   331,
     559,  4756,   559,   605,   549,   595,   227,   378,   378,  4404,
     378,   595,   608,   605,   381,   518,   518,   518,  4404,   284,
     609,  5499,   608,   367,   606,   230,   518,  4539,   362,  5673,
     227,   606,   605,   605,   276,   493,   294,   472,   605,   464,
     227,   227,   464,   464,   321,  3051,  3052,  3053,  3054,  3055,
    3056,  3057,  3058,  3059,   276,  3061,   230,   518,   543,   378,
     595,   230,   459,   559,   323,   402,   402,  3073,   230,   540,
    3076,   490,   292,   333,  5249,   518,   518,   518,   518,   518,
     333,   459,   333,  4754,   518,   593,   594,   595,   596,   597,
     598,   599,   600,   601,   518,   518,   198,   459,   518,   362,
     227,   584,  6724,   518,  5876,  4776,   518,   459,   472,   518,
    5437,   518,   459,   596,   597,   598,   599,   600,   601,   117,
     117,   294,   380,   518,  5602,   606,  3132,   606,   606,   604,
    3136,   294,   606,  3139,   259,  3141,   382,   528,  3144,   606,
     608,   593,   594,   595,   596,   597,   598,   599,   600,   601,
     241,   118,   183,  3159,   241,   108,   108,   605,  4714,   227,
     227,   241,  3168,  3169,   608,  4764,  4765,  4766,  4767,   605,
      80,   372,   518,    83,  5908,   259,   606,    87,    88,    89,
     132,  4611,   595,   227,   241,   459,   459,   593,   594,   595,
     596,   597,   598,   599,   600,   601,   606,   605,   543,  3205,
    5924,   604,   543,   605,   459,   469,   225,   608,   225,   459,
     459,  4723,   294,  6283,   603,  6285,   168,   294,  3224,  3225,
     294,   294,   294,  5701,   294,  3231,   217,   298,   294,   294,
     294,   536,  3238,   378,   536,   378,  3242,  3243,  4818,   129,
    4818,   378,  4818,  3249,  4818,  4818,   378,    83,  3254,  3255,
     390,  4818,   247,  3259,   554,   361,   256,   606,   247,   515,
     586,   445,  3268,   606,   548,   160,   608,   606,   606,   241,
     595,   606,   543,  4714,   108,   606,   606,  3283,   606,   231,
    3286,   608,   605,   605,   608,   595,   543,   528,   313,   606,
     608,  3297,   605,  3299,  3300,   518,  3302,  3303,   284,  3305,
     129,   227,   508,   543,   156,  4714,   251,   490,   464,   528,
     518,  3317,   230,   459,   518,   518,   268,   459,   518,  4714,
     518,   606,   437,   606,  3330,   606,  5613,  5614,  4714,  5616,
     605,  3337,  3338,   562,   129,   593,   594,   595,   596,   597,
     598,   599,   600,   601,   605,   241,  3352,   508,   378,   148,
     549,   227,  5527,   183,   294,   294,   528,   605,   294,   606,
     294,   313,   605,   310,  6467,   279,   318,  6091,  3374,  3375,
     605,   605,  3378,   566,   518,  4773,   378,  6070,  4776,   606,
    6294,   108,   608,   399,   294,  6488,  3299,   375,   378,   528,
     608,   605,  3305,   608,  3400,   114,  3402,   518,    80,  4955,
    3406,   254,   253,   605,  4960,   183,  4962,   469,   604,   247,
     362,   606,   294,   215,  3420,   606,   606,   311,  5003,  3425,
     311,  3427,  3428,   367,  3430,   367,   606,   606,   247,  5014,
    3436,   606,  4988,  6536,  6537,   367,   367,    80,   129,  3352,
      83,   560,   560,   395,    87,    88,    89,  5225,   606,  4961,
    3456,   608,  5964,  5225,   606,   390,  3462,   605,   399,   606,
     297,   388,   105,  3469,   605,   297,   507,   129,   385,   605,
     380,   260,   606,   515,   372,   595,   528,  4989,   518,  3485,
     247,   278,   148,   562,   265,   265,   367,   108,  6000,   441,
     367,   595,  5004,  3499,   446,  5007,   129,  5009,  3504,   508,
     608,   608,   142,   455,  3510,  3511,   518,   518,   518,   292,
     399,  5989,   464,   227,  4955,   230,   606,   518,  4916,  4960,
     472,  4962,  3528,  3529,  3530,   294,   197,   605,  3534,   249,
     190,  4961,   108,  5999,   486,   271,   605,   372,   543,   469,
     108,   362,   243,   495,   469,  5057,  4955,  4988,   500,   226,
     372,  4960,   129,  4962,   562,  3561,  3562,  6000,   154,  4989,
    4955,  5073,   508,   562,  3570,  4960,  5078,  4962,   108,   521,
     378,  3577,   247,   605,  4960,   608,  4962,   241,   432,  4988,
    3586,   281,  6048,   606,   292,   381,   606,   548,   606,   247,
     487,   606,   605,  4988,   129,   297,   561,  3603,   462,   606,
     606,   162,  4988,   206,   608,   557,  5173,   378,   431,   561,
    3616,   605,   605,  6716,  6528,   518,   272,   108,   605,   227,
     227,   606,   605,   605,   605,   518,   605,   605,   605,  3635,
     605,   241,   108,  3639,   367,   543,   334,  5964,   606,   605,
     227,   605,   469,   108,   183,   382,   606,   247,   528,  3562,
     606,   294,     2,   241,   485,   108,  3662,   485,   108,   608,
     378,  5988,  5092,  5093,   275,  5177,   595,   108,   606,   606,
    5182,  6546,   151,  6000,   182,  5242,   548,   605,   105,  2355,
     130,   605,  2358,   593,   594,   595,   596,   597,   598,   599,
     600,   601,   508,   605,   605,   264,   543,  6169,   241,   508,
     605,  5257,   276,   358,   378,   606,   156,    76,   234,   566,
     455,  6183,  6815,  6816,  5226,  5227,  5228,  5229,  5230,   605,
     455,   142,   381,  2399,  2400,   142,   609,   211,   206,   562,
     547,    80,   182,   183,   558,   606,   562,   380,  2414,   219,
     190,  2417,   378,   548,   606,   605,   605,   605,   108,  5147,
    5148,   238,  5182,   608,  3760,   238,  3762,   335,   608,   472,
    5272,  5273,  5274,  5275,   514,  5277,  5278,  5279,  5280,  5281,
     514,   428,  3778,   247,  3780,   125,   508,   367,   278,   229,
     508,  3787,   469,   133,   378,  3791,   378,  3793,  3794,   108,
    3796,  3797,  3798,   605,   108,   381,   381,   272,   605,   605,
    3806,   251,  6274,  6275,   249,  3811,   249,   226,   566,  2485,
     566,   423,   454,  2489,  2490,   223,  5257,   423,   401,  5249,
     608,   605,  3828,   605,   274,   129,   129,   129,   129,   606,
     518,   494,   195,   606,    76,   541,   211,   469,   606,   605,
     566,   566,   378,   105,   378,   151,   363,   385,  5257,  6493,
     108,   363,   472,   605,  3860,  3861,  3862,   438,    94,  3865,
    5476,  6276,  5257,   454,   378,  3778,   608,  3873,  3874,  3875,
    3876,  5257,   367,   386,   608,   454,   458,   549,  3884,  6294,
    3793,  5448,  5449,  3889,  3890,  3798,  3892,   337,  3894,   605,
     518,   458,   342,   605,   605,   247,   605,   496,   496,   219,
    3906,  3907,   151,   608,  3910,  6192,    76,   548,   358,   226,
     485,   190,   362,   485,   549,  3828,  6203,   562,  5430,   385,
     249,  5433,  5434,   562,   249,  3931,   606,  3933,   543,  3935,
     403,  6845,   548,   606,   151,   605,  5521,   605,   605,   297,
    6119,  1406,  2215,   393,  3982,  6280,  1363,  5532,  3954,  5461,
     593,   594,   595,   596,   597,   598,   599,   600,   601,  3476,
    3387,  1882,  3968,  4175,  4960,  6707,  3505,  3559,  4935,  4396,
    6046,  6525,  6845,  1405,  5127,  6447,  3982,  6093,  6490,  4933,
    4933,  5663,  6454,  6069,  4163,  4101,  6687,  3736,  5963,  6834,
    6556,   132,   442,  3999,  6555,  6728,  6870,  4168,  5708,  5159,
    6287,  5148,  5174,  5433,  6496,  5117,  4955,  4200,  4014,  1401,
    5408,  3573,  4444,  3573,  5412,  5702,   466,  5143,  6076,  4492,
    5210,  6745,  4028,  6964,  6392,  7102,  7073,   168,  6060,  4404,
    4036,  5461,  6740,  5181,  6002,  6261,  6506,  2293,   488,  6005,
     490,   120,  1012,   493,   133,  4579,  6229,  5257,  6960,  3589,
    5254,  2337,  3243,  4078,  5185,  4503,  2355,  2334,  6119,  6380,
    1111,  4336,  4068,  1691,  2410,  4071,  4988,  4073,  3504,  4251,
    6766,  7014,  4078,  2032,  1242,  1078,    80,  5216,  3535,    83,
    5218,  6937,  2246,    87,    88,    89,  5450,  3149,  4094,  4095,
     231,  4849,  6224,  6227,  4100,  3720,  1652,  5527,  1853,  3185,
    1900,   105,  3999,  1922,  5299,  1921,  3159,  4014,  4790,  4115,
    6810,   115,  4118,  6528,  6666,  4121,  5431,  3184,   122,  6294,
    1924,  5633,  5634,  4129,  4776,  6200,  5682,   268,  5414,  4773,
    5396,  6433,  6432,  4850,  5646,  4773,  5648,  5649,  5650,  7061,
    7025,  6804,  6915,  6653,   148,  4773,    35,  7056,  4154,  6167,
      39,  3067,    41,    42,  4160,   605,  4716,  6444,  5912,    48,
      49,  6667,  3952,  6490,  6668,    54,  3068,  2564,  3807,  3934,
    3534,  7055,  3932,  6406,    63,  7058,    65,   318,    67,    68,
    3922,  3843,    71,  4648,    73,   696,  3073,  4518,  3649,  3205,
    6662,  2347,  6664,  4199,  4200,  4201,  6616,   129,  1942,   307,
    1123,  1530,  5714,  1936,  3196,  1331,  1704,  3214,  4121,  3221,
    1311,  1311,  3213,  4856,  3976,  5432,  4129,   358,  4224,  4815,
    4857,   362,   337,  3732,  2474,     2,  3225,  4233,  6694,  4235,
    5924,    -1,    -1,  1856,  1638,  1156,    -1,  4243,    -1,    -1,
      -1,  5682,  5754,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   394,   395,    -1,    -1,    -1,  4264,    -1,
      -1,    -1,   266,    -1,    -1,    -1,    -1,   271,    -1,    -1,
      -1,    -1,    -1,  5682,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5682,    -1,    -1,
     294,   295,  6707,    -1,    -1,  5807,   437,    -1,    -1,   188,
     441,  6767,  6768,  6947,  6948,   446,    -1,    -1,    -1,    -1,
    5708,  7083,    -1,    -1,   455,    -1,    -1,    -1,   322,    -1,
    4233,    -1,  4235,   464,    -1,    -1,    -1,  4333,    -1,   218,
      -1,   472,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   486,    -1,    -1,    -1,    -1,
     239,  4357,    -1,    -1,   495,    -1,  4362,    -1,    -1,   500,
      -1,   365,  4368,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4377,    -1,    -1,    -1,    -1,   380,    -1,    -1,   383,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4404,  4405,
      -1,    -1,   291,    -1,  4410,    -1,  4412,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   557,    -1,  5923,  4425,
    4333,  4427,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4435,
    6845,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     124,    -1,  4448,    -1,    -1,    -1,    -1,    -1,    -1,  6108,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4377,    -1,    -1,    -1,    -1,    -1,
      -1,  4477,  6944,   477,    -1,    -1,  5988,    -1,   162,    -1,
      -1,   370,    -1,    -1,  5914,    -1,    -1,  6043,  5886,  6086,
      -1,    -1,  4498,  4499,    -1,  5893,    -1,    -1,    -1,    -1,
    5898,    -1,    -1,  5901,    -1,    -1,    -1,  6074,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4523,    -1,    -1,
    6087,    95,    -1,    -1,    -1,  6997,  6038,   101,    -1,    -1,
      -1,    -1,  5930,  6086,    -1,  6047,    -1,    -1,  6105,  6119,
    6119,  6119,  6119,  6119,  6119,  6119,  6119,    -1,  6119,    -1,
    6119,  6119,  6119,  4559,  6119,    -1,  6119,  6119,  5988,  6119,
    6119,  6119,  6119,    -1,  4477,  5963,    -1,    -1,    -1,    -1,
      -1,    -1,   146,    -1,    -1,  4581,    -1,    -1,    -1,  4585,
     584,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   593,
     594,   595,   596,   597,   598,   599,   600,   601,    -1,    -1,
    4606,   951,  6043,    -1,    -1,    -1,   610,   496,    -1,   293,
    4523,    -1,    -1,   297,    -1,    -1,  4622,    -1,    -1,  4625,
      -1,  3297,  7088,  7089,  3300,  4631,  3302,  3303,   517,   203,
      -1,    -1,    -1,    -1,  6043,    -1,   210,    -1,    -1,  4645,
     214,    -1,    -1,  4649,  4650,  4651,   535,    -1,  6043,    -1,
    4656,    -1,    -1,  4659,    -1,    -1,  4662,  6043,    -1,    -1,
      -1,   550,  4668,    -1,  4670,    -1,    -1,  4673,   242,    -1,
      -1,  4677,  4678,  4679,  4680,  4681,    -1,    -1,  4684,  4685,
    4686,  4687,  4688,  4689,  4690,  4691,  4692,  4693,    -1,    -1,
      -1,  4697,  4698,  4699,    95,    -1,  4702,    -1,    -1,    -1,
     101,  4707,    -1,    -1,   278,    -1,  4712,    -1,  4714,    -1,
    4716,  6109,  4625,    -1,    -1,   116,  1066,    -1,  4724,    -1,
      -1,  4727,    -1,  4729,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4745,
      81,    -1,  4748,  4749,    -1,   146,    -1,  4753,  4754,    -1,
      -1,    -1,  4758,    -1,  4760,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4677,    -1,    -1,  4773,    -1,  6325,
    4776,  1121,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4787,  6294,  6454,   358,  6352,  6298,    -1,   362,  4702,
      -1,    -1,    -1,  1143,    -1,  1145,    -1,  1147,   372,    -1,
     201,  6199,   203,  1153,  1154,  1155,    -1,    -1,   382,   210,
      -1,    -1,    -1,   214,    -1,    -1,    -1,    -1,    -1,    -1,
     394,    -1,    -1,    -1,   132,    -1,    -1,    -1,  4834,  1179,
    1180,    -1,    -1,  1183,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   242,    -1,    -1,    -1,  4851,    -1,    -1,    -1,    -1,
      -1,  6407,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     168,  4867,    -1,   437,  6294,    80,   440,   441,    83,    -1,
      -1,    -1,    87,    88,    89,    -1,    -1,   278,    -1,    -1,
      -1,    -1,    -1,    -1,  6325,    -1,    -1,  4893,    -1,    -1,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   472,    -1,
     115,    -1,  6469,    -1,    -1,    -1,    -1,   122,    -1,    -1,
    4916,    -1,    -1,    -1,    -1,    -1,  6325,    -1,    -1,    -1,
      -1,    -1,    -1,   231,    -1,    -1,    -1,  3603,    -1,    -1,
    6325,    -1,    -1,   148,    -1,    -1,    -1,   338,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4955,
      -1,    -1,  6350,    -1,  4960,  4961,  4962,   358,    -1,    -1,
     268,   362,    -1,  1313,    -1,    -1,  6407,    -1,    -1,  6525,
      -1,   372,   546,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   382,  4988,  4989,    -1,    -1,  1336,    -1,  1338,  1339,
      -1,    -1,    -1,   394,    -1,    -1,    -1,    -1,  6407,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     318,    -1,  6407,    -1,    -1,    -1,  6528,  1367,    -1,    -1,
    6532,  6407,  6534,    -1,    -1,    -1,  6538,  6539,    -1,    -1,
    5036,    -1,    -1,  5039,    -1,  6433,   437,    -1,    -1,   440,
     441,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     358,   266,    -1,    -1,   362,    -1,   271,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   472,    -1,    -1,  6472,    -1,    -1,    -1,    -1,   294,
     295,    -1,   483,    -1,  6525,    -1,   394,   395,  1438,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5103,  6654,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   322,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3791,  6525,    -1,  3794,    -1,
    3796,  3797,    -1,  5129,  5130,    -1,    -1,  5133,    -1,   437,
    6525,    -1,    -1,   441,  5140,    -1,    -1,    -1,   446,  6525,
      -1,  5147,  5148,    -1,    -1,   546,    -1,   455,    -1,    -1,
     365,  5157,    -1,    -1,    -1,    -1,   464,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   472,   380,    -1,    -1,   383,    -1,
      -1,    -1,  1574,    -1,  6741,  5181,  5182,    -1,   486,  5185,
    5186,  5187,    -1,    -1,  6582,    -1,  6766,   495,  6766,    -1,
    6766,  5197,   500,  6766,    -1,    -1,  1598,    -1,    -1,  6766,
      -1,    -1,    -1,    -1,    -1,    -1,  1608,    -1,    -1,  6880,
    1612,    -1,  1919,  6654,  1616,    -1,  1618,    -1,    -1,    -1,
    5133,    -1,  1624,    -1,    -1,    -1,    -1,    -1,  1630,    -1,
      -1,  1633,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6654,    -1,    -1,  5254,   557,
      -1,  5257,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6654,
      -1,    -1,   477,    -1,    -1,    -1,    -1,    -1,  6654,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5283,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1638,  1639,
      -1,  1641,  3968,  5299,    -1,    -1,    -1,    -1,    -1,    -1,
    6880,    -1,  6880,    -1,  6880,    -1,    -1,  6880,    -1,    -1,
      -1,  5317,    -1,  6880,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1016,  6845,    -1,    -1,    -1,    -1,    -1,  5345,
      -1,    -1,  5348,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5356,  5357,  4028,  5359,    -1,    -1,    -1,  5363,  5364,    -1,
    4036,  6759,  5368,    -1,    -1,    -1,    -1,  5373,    -1,   584,
    5376,  5377,    -1,    -1,    -1,    -1,    -1,  5383,   593,   594,
     595,   596,   597,   598,   599,   600,   601,    -1,  5394,    -1,
      -1,   606,    -1,   608,  5400,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5408,    -1,    -1,    -1,  5412,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    95,    -1,    -1,    -1,    -1,    -1,   101,    -1,
      -1,    -1,    -1,    -1,  7014,    -1,  7014,    -1,  7014,    -1,
    5446,  7014,    -1,   116,    -1,  1129,  1130,  7014,  5454,    -1,
      -1,    -1,    -1,    -1,    -1,  5461,    -1,    -1,    -1,    -1,
      -1,  7017,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6870,   146,    -1,    -1,    -1,    -1,  6876,    -1,
    5486,    -1,    -1,    -1,    81,    -1,    -1,    -1,    -1,    -1,
      -1,    88,    -1,  5499,    -1,    -1,    -1,    -1,  5504,    -1,
      -1,    -1,    -1,    -1,    -1,  7017,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    35,    -1,  7073,  7030,    39,
      -1,    41,    42,    -1,    -1,   122,  1876,    -1,    48,    49,
     203,  1881,  1882,  5539,    54,    -1,    -1,   210,    -1,    -1,
      -1,   214,  7054,    63,    -1,    65,  7102,    67,    68,    -1,
    5556,    71,    -1,    73,    -1,  5561,    -1,    -1,   155,    -1,
      -1,  7073,  5568,    -1,    -1,    -1,    -1,  7079,    -1,   242,
      -1,    -1,    -1,  5486,    -1,    -1,  7017,    -1,  5584,    -1,
    1264,    -1,    -1,    -1,    -1,  5591,    -1,  7017,    -1,    -1,
    7102,    -1,    -1,    -1,    -1,    -1,  5602,    -1,  7110,    -1,
      -1,    -1,    -1,    -1,    -1,   278,    -1,    -1,  7017,  1959,
      -1,    -1,  7010,    -1,   108,  1965,  1966,    -1,    -1,    -1,
      -1,    -1,  7017,    -1,    -1,    -1,  5539,   968,    -1,  5635,
      -1,  7017,  7073,    -1,    -1,    -1,   977,    -1,   132,    -1,
      -1,    -1,    -1,  7073,    -1,    -1,    -1,    -1,  5561,    -1,
     991,  2001,    -1,    -1,    -1,  5661,    -1,    -1,    -1,    -1,
      -1,  7102,    -1,    -1,  7073,    -1,    -1,    -1,   188,    -1,
      -1,  5677,  7102,    -1,   168,    -1,  5682,    -1,  7073,    -1,
      -1,    -1,    -1,    -1,    -1,   358,    -1,  7073,  1029,   362,
      -1,    -1,    -1,  7102,  1035,  5701,    -1,    -1,   218,   372,
      -1,    -1,  5708,    -1,  2054,    -1,  1047,  7102,    -1,   382,
      -1,    -1,    -1,    -1,  2064,    -1,  7102,    -1,    -1,   239,
      -1,   394,  5635,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   231,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5755,
      -1,  5757,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   437,    -1,    -1,   440,   441,    -1,
      -1,   291,    -1,    -1,   268,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5798,    -1,    -1,    -1,    -1,  2147,    -1,   472,
    2150,  2151,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    80,    -1,    -1,    83,  5824,   313,
      -1,    87,    88,    89,   318,    -1,    -1,    -1,  5834,    -1,
      -1,  5837,    -1,    -1,  5840,  5841,  5842,    -1,    -1,   105,
    2547,  2548,    -1,    -1,  5757,    -1,    -1,    -1,    -1,   115,
     370,    -1,    -1,    -1,    -1,  2562,   122,    -1,    -1,  5865,
    5866,    -1,    -1,  5869,  2571,    -1,    -1,    -1,   362,    80,
      -1,    -1,    83,   546,    -1,    -1,    87,    88,    89,    -1,
    5886,    -1,   148,    -1,    -1,    -1,    -1,  5893,    -1,    -1,
      -1,    -1,  5898,    -1,   105,  5901,  5902,    -1,    -1,    -1,
      -1,   395,    -1,  5909,   115,    -1,    -1,    -1,    -1,    -1,
      -1,   122,    -1,  2263,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5930,    -1,    -1,  5933,    -1,    -1,
      -1,    -1,    -1,  5939,    -1,  5941,    -1,   148,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   441,    -1,    -1,
      81,    -1,   446,    -1,    -1,    -1,    -1,  5963,    -1,    -1,
      -1,   455,    -1,    -1,    -1,    -1,    -1,  1308,  1309,    -1,
     464,  1655,    -1,    -1,    -1,    -1,   496,    -1,   472,    -1,
      -1,    -1,  5988,  5989,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   486,  5999,   125,  2345,    -1,   517,    -1,    -1,
     266,   495,   133,  2405,    -1,   271,   500,    -1,    -1,    -1,
      -1,  2413,    -1,    -1,    -1,   535,    -1,    -1,    -1,    -1,
      -1,    -1,  2372,    -1,    -1,    -1,    -1,   521,   294,   295,
     550,    -1,  2382,    -1,  2384,    -1,    -1,  6043,    -1,    -1,
    2390,    -1,  6048,    -1,  2394,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1736,    -1,    -1,   266,   322,    -1,    -1,    -1,
     271,    -1,    -1,   557,    -1,    -1,    -1,   561,    -1,    -1,
      -1,    -1,  1756,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   294,   295,    -1,    -1,    -1,    -1,    -1,
      -1,  2441,    -1,    -1,  2444,    -1,    -1,  4773,    -1,   365,
    4776,    -1,    -1,  6109,    -1,    -1,  6112,    -1,    -1,    -1,
      -1,   322,    -1,    -1,   380,    -1,    -1,   383,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1814,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6146,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   365,    -1,    -1,  6163,    -1,    -1,
      -1,  6167,    -1,  6169,    -1,    -1,    -1,    -1,    -1,   380,
      -1,    -1,   383,    -1,    -1,    -1,    -1,  6183,    -1,  6185,
      -1,    -1,    -1,  6189,    -1,    -1,    -1,  2537,  2538,  6195,
      -1,    -1,    -1,  6199,    -1,    -1,    -1,    -1,    -1,  6205,
    6206,    -1,    -1,    -1,  2554,  2555,    -1,    -1,    -1,    -1,
      -1,   477,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   132,    -1,    -1,  1912,  1913,
      -1,  1915,    -1,    -1,    -1,    -1,  2586,    -1,    -1,    -1,
    4916,    -1,    -1,    -1,    -1,    -1,  6252,    -1,    -1,    -1,
      -1,    -1,  6258,    -1,    -1,    -1,    -1,  6263,  6264,    -1,
      -1,   168,  6268,    -1,    -1,    -1,   477,    -1,  6274,  6275,
    6276,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6294,    -1,
      -1,    -1,  6205,    -1,    -1,    95,    -1,    -1,    81,    -1,
      -1,   101,    -1,    -1,    -1,    88,    -1,    -1,  6314,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6322,    -1,   584,  6325,
      -1,    -1,    -1,    -1,   231,    -1,    -1,   593,   594,   595,
     596,   597,   598,   599,   600,   601,    -1,    -1,    -1,   122,
      -1,    -1,   608,   940,  6350,  6258,   146,    -1,    -1,    -1,
    6263,  6264,    -1,    -1,    -1,    -1,    -1,    -1,   141,    -1,
      -1,   268,    -1,    -1,   147,   148,    -1,    -1,    -1,    -1,
     967,   968,   155,   584,  6380,  6381,    -1,    -1,   975,    -1,
     977,   978,   593,   594,   595,   596,   597,   598,   599,   600,
     601,    -1,    -1,    -1,   991,    -1,  6402,   608,    -1,    -1,
    6406,  6407,    -1,   203,    -1,    -1,    -1,    -1,    -1,    -1,
     210,   318,  6418,  1010,   214,    -1,    -1,    -1,    -1,    -1,
      -1,  6427,  6428,  6429,    -1,    -1,    -1,  6433,    80,    -1,
    6436,    83,  1029,    -1,    -1,    87,    88,    89,  1035,    -1,
      -1,  6447,   242,    -1,    -1,    -1,    -1,    -1,  6454,    -1,
    1047,   358,  3159,   105,    -1,   362,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   115,    -1,    -1,  6472,    -1,  6381,    -1,
     122,  5147,  5148,  6479,    -1,    -1,    -1,    -1,   278,    -1,
    1077,    -1,    -1,    -1,    -1,    -1,    -1,   394,   395,    -1,
      -1,    -1,  6498,    -1,  1091,  1092,   148,    -1,    -1,    -1,
      -1,  1098,    -1,  1100,  1101,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1114,    -1,  6525,
      -1,    -1,  6528,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     437,    -1,    -1,  1130,   441,    -1,    -1,    -1,    -1,   446,
      -1,    -1,    -1,    -1,    -1,    -1,    95,    -1,   455,    -1,
      -1,    -1,   101,    -1,    -1,    -1,    -1,   464,   358,    -1,
      -1,    -1,   362,    -1,    -1,   472,    -1,    -1,    -1,    -1,
      -1,    -1,   372,    -1,    -1,    -1,  6582,    -1,    -1,   486,
      -1,    -1,   382,    -1,    -1,    -1,    -1,    -1,   495,    -1,
      -1,  1188,    -1,   500,   394,    -1,    -1,   146,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1949,    -1,
      -1,    -1,    -1,    -1,   266,    -1,    -1,    -1,    -1,   271,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1227,  6637,    -1,    -1,    -1,    -1,    -1,   437,    -1,    -1,
     440,   441,   294,   295,    -1,    -1,    -1,  6653,  6654,   113,
     557,  6657,  1249,    -1,   203,    -1,  6662,  1254,  6664,    -1,
    6666,   210,    -1,    -1,    -1,   214,    -1,    -1,    -1,  1266,
     322,    -1,   472,    -1,  6680,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6694,    -1,
      -1,    -1,    -1,   242,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6707,    -1,    -1,    -1,   169,    -1,    -1,    -1,    -1,
      -1,  1308,  1309,   365,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3128,    -1,   380,   278,
      -1,   383,  5408,    -1,    -1,    -1,  5412,    -1,    -1,  3089,
      -1,    -1,    -1,  6749,  6657,    -1,   546,    -1,    -1,    -1,
      -1,    -1,    -1,  6759,    -1,    -1,    -1,    -1,   222,    -1,
      -1,  6767,  6768,    -1,    -1,    -1,    -1,  6773,  2452,    -1,
      -1,   235,    -1,    -1,    -1,    -1,    -1,   241,    -1,    -1,
      -1,    -1,    -1,   247,    -1,    -1,    -1,    -1,    -1,   253,
      -1,    -1,   256,    -1,  6800,    -1,   260,    -1,    -1,    -1,
    6806,    -1,    -1,    -1,  6810,    -1,    -1,    -1,    -1,   358,
      -1,    -1,    -1,   362,    -1,    -1,    -1,    -1,  3168,  3169,
     951,    -1,    -1,   372,    -1,   477,   290,  2511,   292,    -1,
      -1,    -1,    -1,   382,  1431,    -1,    -1,    -1,    -1,  6845,
      -1,  1438,    -1,    -1,    -1,   394,    -1,    -1,    -1,    -1,
      -1,    -1,  1449,    -1,    -1,    -1,  1453,    -1,  1455,   323,
    2544,    95,    -1,    -1,  6870,    -1,    -1,   101,    -1,    -1,
    6876,  3221,  2213,    -1,  3224,  3225,    -1,    -1,    -1,    -1,
      -1,    -1,   116,    -1,  2568,    -1,    -1,    -1,  6894,    -1,
      -1,   440,   441,    -1,    -1,  6901,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6911,    -1,    -1,  6914,  6915,
     374,  6917,   146,    -1,   378,    -1,    -1,    -1,  3268,    -1,
     384,    -1,    -1,   472,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   584,    -1,    -1,  1066,    -1,    -1,  6944,    -1,
      -1,   593,   594,   595,   596,   597,   598,   599,   600,   601,
      -1,    -1,    -1,    -1,   606,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2304,    -1,    -1,    -1,   201,    -1,   203,
      -1,  2312,    -1,    -1,    -1,    -1,   210,    -1,    -1,  2320,
     214,   445,  6988,    -1,    -1,    -1,  6992,    -1,    -1,    -1,
      -1,  6997,    -1,    -1,    -1,    -1,    -1,   546,    -1,    -1,
      -1,  5677,    -1,    -1,  7010,  3355,    -1,    -1,   242,    -1,
      -1,  7017,  1143,  1610,  1145,    -1,  1147,    -1,  7024,    -1,
      -1,    -1,  1153,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5708,    80,    -1,    -1,    83,   501,    -1,    -1,
      87,    88,    89,    -1,   278,    -1,    -1,    -1,  1179,  1180,
      -1,    -1,  1183,    -1,    -1,  7061,  7062,    -1,   105,    -1,
      -1,    -1,  2403,  7069,    -1,    -1,    -1,  7073,   115,    -1,
      -1,   535,    -1,    -1,    -1,   122,  2760,    -1,    -1,    -1,
      -1,    -1,  7088,  7089,    -1,    -1,    -1,    -1,    -1,  2430,
      -1,    -1,  3442,  1690,    -1,   559,  7102,   561,   562,    -1,
    3450,   148,    -1,  3453,   338,    -1,    -1,    -1,    -1,    -1,
    1707,  7024,    -1,    -1,    -1,  3465,    -1,    -1,    -1,   583,
      -1,    -1,    -1,    -1,   358,    -1,    -1,  1724,   362,    -1,
      -1,    -1,  1729,    -1,    -1,    -1,    -1,    -1,   372,    -1,
      -1,    -1,   606,    -1,   608,   609,    -1,    -1,   382,    -1,
      -1,    -1,    -1,  3860,  3861,    -1,    -1,   940,  3865,    -1,
     394,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1308,  1309,    -1,
      -1,    -1,  1313,    -1,    -1,   968,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   977,    -1,    -1,    -1,    -1,  3906,
    3907,    -1,    -1,   437,    -1,    -1,   440,   441,   991,    -1,
    5886,    -1,    -1,    -1,    -1,    -1,    -1,  5893,    -1,   266,
      -1,    -1,  5898,    -1,   271,  5901,  5902,  1010,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1367,    -1,   472,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1029,   294,   295,   483,
      -1,    -1,  1035,    -1,  5930,  3657,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3665,  1047,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   322,  1873,    -1,    -1,    -1,
    3682,    -1,    -1,    -1,  1881,  1882,    -1,  5963,    -1,    -1,
    3692,    -1,    -1,  3695,  1077,  3697,  3698,    -1,    -1,  3701,
      -1,    -1,    -1,  3705,    -1,  3707,    -1,  1438,  3710,  1092,
      -1,    -1,   546,    -1,    -1,    -1,    -1,  1100,   365,    -1,
      -1,    -1,    -1,  5999,    -1,  3675,  3676,    -1,    -1,    -1,
      -1,  1114,    -1,   380,    -1,    -1,   383,    -1,    -1,    -1,
      -1,    -1,    -1,  1940,    -1,    -1,    -1,  1130,    -1,    -1,
      -1,    -1,  1949,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6048,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3788,    -1,    -1,  1986,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3749,
      -1,    -1,    -1,    -1,    -1,  1188,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2014,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     477,    -1,    -1,  6109,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1225,    -1,  1227,    -1,  1229,    -1,    -1,    80,
      -1,    -1,    83,  3137,    -1,    -1,    87,    88,    89,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1249,    -1,    -1,    -1,
      -1,  1254,    -1,    -1,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1266,   115,    -1,    -1,    -1,    -1,    -1,
      -1,   122,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3187,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   148,    -1,    -1,
      -1,    -1,    -1,  6199,    -1,  1308,  1309,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   584,    -1,    -1,
      -1,    -1,    -1,     5,    -1,    -1,   593,   594,   595,   596,
     597,   598,   599,   600,   601,    -1,    -1,    -1,    -1,   606,
      -1,    -1,    24,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    34,    35,    -1,    -1,    -1,    -1,    -1,    41,
      42,    -1,    -1,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    75,    76,    -1,  2213,    -1,    -1,    81,
      -1,    -1,  1405,  1406,    -1,    -1,    -1,  3977,    -1,    -1,
    3980,    -1,  3982,    -1,    -1,   266,    -1,    -1,    -1,    -1,
     271,    -1,    -1,    -1,    -1,    -1,  6322,    -1,  1431,  2246,
      -1,    -1,    -1,    -1,    -1,  1438,  4006,  4007,    -1,    -1,
      -1,    -1,    -1,   294,   295,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6350,    -1,    -1,   139,    -1,    -1,
      -1,    -1,    -1,    -1,  2281,    -1,    -1,    -1,    -1,    -1,
      -1,   322,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4104,    -1,    -1,    -1,    -1,  2304,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2312,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2320,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   365,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1876,    -1,    -1,    -1,   380,
    1881,  1882,   383,    -1,    -1,    -1,   218,  6433,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   239,    -1,    -1,
      -1,    -1,  4184,    -1,  4186,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6472,    -1,    -1,    -1,
      -1,   263,  2399,  2400,    -1,  2402,  2403,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2414,  1949,  2416,
    2417,    -1,    -1,    -1,    -1,    -1,   288,  1610,    -1,    -1,
      -1,    -1,  2429,  2430,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   477,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    80,    -1,    -1,    83,    -1,    -1,
      -1,    87,    88,    89,  3205,    -1,    -1,    -1,    -1,    -1,
    2001,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   341,
      -1,    -1,   344,    -1,    -1,    -1,    -1,    -1,  2485,   115,
    3231,    -1,  2489,  2490,    -1,    -1,   122,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   367,  6582,  1690,  3249,    -1,
      -1,    -1,    -1,    -1,  3255,    -1,    -1,    -1,  3259,    -1,
      -1,    -1,   148,  2054,  1707,    -1,    -1,    -1,    -1,    -1,
    4332,    -1,    -1,  2064,    -1,    -1,  4338,    -1,    -1,    -1,
      -1,  1724,  3283,    -1,    -1,    -1,  1729,    -1,    -1,  4656,
      -1,    -1,    -1,   584,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   593,   594,   595,   596,   597,   598,   599,   600,
     601,  4678,  4679,  4680,  4681,   606,  3317,  4684,  4685,  4686,
    4687,  4688,  4689,  4690,  4691,  4692,  4693,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3337,    -1,    -1,    -1,
      -1,   463,    -1,    -1,    -1,  4712,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2610,    -1,    -1,  2147,    -1,  6694,  2150,
    2151,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    80,
      -1,    -1,    83,    -1,  3375,    -1,    87,    88,    89,    -1,
     266,  4748,  4749,    -1,    -1,   271,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   105,  4405,   518,    -1,    -1,  3400,
      -1,    -1,    -1,    -1,   115,  3406,    -1,    -1,   294,   295,
      -1,   122,    -1,   535,    -1,    -1,    -1,    -1,  4428,  3420,
      -1,    -1,    -1,  6759,    -1,    -1,  3427,    -1,   550,  3430,
    1873,  6767,  6768,    -1,    -1,  3436,   322,   148,  1881,  1882,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3456,    -1,    -1,   580,    -1,
      -1,  3462,    -1,    -1,    -1,    -1,    -1,    -1,  3469,    -1,
      -1,    -1,  2263,   595,   596,   597,   598,   599,   600,   365,
      -1,   603,   604,   605,  3485,  4547,    -1,  4549,   610,  4551,
      -1,    -1,    -1,    -1,   380,    -1,    -1,  1940,  3499,    -1,
      -1,    -1,    -1,    -1,    80,    -1,  1949,    83,    -1,  3510,
      -1,    87,    88,    89,    -1,    -1,    -1,    -1,  3862,    -1,
      -1,    -1,  4532,    -1,    -1,    -1,    -1,    -1,    -1,  4539,
      -1,    -1,    -1,    -1,  6870,    -1,    -1,    -1,    -1,   115,
    6876,    -1,    -1,  1986,    -1,    -1,   122,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   266,    -1,    -1,  6894,    -1,
     271,    -1,    -1,    -1,    -1,    -1,  3910,    -1,    -1,    -1,
      -1,  2014,   148,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2025,   294,   295,    -1,    -1,    -1,    -1,    -1,
    3934,   477,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4611,    -1,    -1,    -1,    -1,  3950,    -1,    -1,    -1,
      -1,   322,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2066,  3968,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   365,    -1,  6992,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   380,
      -1,    -1,   383,    -1,  7010,    -1,    -1,    -1,    -1,  2122,
      -1,    -1,    -1,    -1,  4028,    -1,    -1,    -1,  4032,    -1,
     266,    -1,  4036,    -1,    -1,   271,  2139,    -1,   584,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   593,   594,   595,
     596,   597,   598,   599,   600,   601,    -1,    -1,   294,   295,
      -1,    -1,    -1,    -1,    -1,    -1,  7062,    -1,    -1,    -1,
      -1,    -1,    -1,  7069,    -1,    -1,  5103,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   322,    -1,    -1,    -1,
      -1,    -1,  7088,  7089,    -1,    -1,    -1,    -1,    -1,  3760,
      -1,    -1,    -1,    -1,    -1,    -1,   477,    -1,    -1,    -1,
    2213,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3780,
      -1,    -1,    -1,    -1,    -1,    -1,  3787,    -1,    -1,   365,
      24,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      34,    35,    -1,  2246,   380,    39,    -1,    41,    42,    -1,
      -1,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    -1,    71,  2281,    73,
      -1,    75,    76,  4853,    -1,    -1,    -1,    81,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2304,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2312,
      -1,    -1,    -1,   584,    -1,    -1,    -1,  2320,    -1,    -1,
      -1,    -1,   593,   594,   595,   596,   597,   598,   599,   600,
     601,    -1,    -1,    -1,    -1,   606,    -1,    -1,    -1,    -1,
      -1,   477,    -1,    -1,    -1,   139,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    80,    -1,    -1,    83,    -1,    -1,    -1,    87,
      88,    89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,  3205,    -1,
      -1,  4961,    -1,    -1,    -1,    -1,    -1,   115,    -1,  2402,
    2403,    -1,    -1,    -1,   122,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2416,  3231,    -1,    -1,    -1,    -1,  4989,
      -1,  5348,    -1,    -1,   218,    -1,  2429,  2430,    -1,    -1,
     148,    -1,  3249,  5003,    -1,    -1,    -1,  3254,  3255,    -1,
      -1,    -1,  3259,    -1,  5014,   239,    -1,    -1,   584,    -1,
      -1,  3268,    -1,    -1,    -1,    -1,    -1,   593,   594,   595,
     596,   597,   598,   599,   600,   601,  3283,    -1,    -1,   263,
      -1,    -1,    -1,  5400,    -1,    -1,    -1,    -1,    -1,    -1,
     959,   960,    -1,  3300,   963,  3302,  3303,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   288,    -1,    -1,    -1,    -1,    -1,
    3317,    -1,    -1,    -1,   983,    -1,    -1,    -1,    -1,    -1,
      -1,   990,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3337,  3338,  5092,  5093,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1019,    -1,  1021,    -1,    -1,  1024,    -1,   341,   266,    -1,
     344,    -1,    -1,   271,  4115,    -1,    -1,  3374,  3375,  1038,
      -1,  3378,    -1,    -1,    81,  1044,    -1,    -1,    -1,  4473,
      -1,    88,    -1,   367,    -1,    -1,   294,   295,    -1,  4483,
      -1,    -1,    -1,  3400,    -1,  3402,    -1,    -1,    -1,  3406,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3420,   322,   122,    -1,  2610,    -1,    -1,
    3427,    -1,  5182,  3430,    -1,  5237,    -1,  4521,  5240,  3436,
      -1,    -1,    -1,    -1,   141,    -1,    -1,    -1,    -1,    -1,
     147,   148,    -1,    -1,    -1,    -1,    -1,    -1,   155,  3456,
      -1,    -1,    -1,    -1,    -1,  3462,    -1,   365,  5270,    -1,
      -1,    -1,  3469,    -1,    -1,    -1,  5226,  5227,  5228,  5229,
    5230,    -1,   380,  4224,    -1,   383,    -1,    -1,  3485,   463,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5249,
      -1,    -1,  3499,    -1,    -1,    -1,    -1,  3504,    -1,    -1,
      -1,    -1,    -1,  3510,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   518,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   535,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3570,    -1,    -1,   550,    -1,    -1,   477,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   580,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4357,    -1,    -1,    -1,
      -1,   595,   596,   597,   598,   599,   600,    -1,    -1,   603,
     604,   605,   606,    -1,   608,   609,   610,   611,   612,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    80,    -1,    -1,    83,    -1,    -1,    -1,    87,
      88,    89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4754,    -1,    -1,    -1,  3205,    -1,    -1,   105,    -1,    -1,
      -1,    -1,  5484,  5433,    -1,    -1,   584,   115,    -1,  4773,
    3221,    -1,  4776,    -1,   122,   593,   594,   595,   596,   597,
     598,   599,   600,   601,    -1,    -1,    -1,    -1,   606,    -1,
      -1,  5461,    -1,    -1,  1373,  1374,    -1,    -1,    -1,    -1,
     148,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5837,    -1,    -1,    -1,  4818,    -1,    -1,  3268,  5540,  5541,
      -1,    -1,    -1,    -1,    -1,    80,    -1,    -1,    83,    -1,
      -1,    -1,    87,    88,    89,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3760,    -1,  3762,    -1,    -1,    -1,    -1,
     105,  5521,    -1,    -1,    -1,    -1,    -1,  5527,    -1,    -1,
     115,    -1,  5532,  3780,    -1,    -1,  1445,   122,    -1,    -1,
    3787,    -1,    -1,    -1,    -1,    -1,    -1,  3794,    -1,  3796,
    3797,  1460,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5559,
    5560,    -1,    -1,   148,  5564,  5565,    -1,    -1,  4559,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1490,  1491,    -1,  5636,  5637,    -1,    -1,   266,    -1,
    4581,    -1,    -1,   271,  4585,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1516,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   294,   295,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3884,    -1,    -1,
      -1,    -1,    -1,  3890,   322,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3442,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3450,
      -1,    -1,  3453,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   266,    -1,    -1,  3465,    -1,   271,   365,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1605,  1606,    -1,    -1,
      -1,    -1,   380,    -1,    -1,   383,    -1,    -1,    -1,   294,
     295,    -1,    -1,    -1,    -1,    -1,    -1,  5769,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5780,  5781,
      -1,    -1,    -1,    -1,    -1,  3982,    -1,   322,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5800,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3205,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     365,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   380,    -1,    -1,  3231,   477,
      -1,    -1,    -1,    -1,    -1,    -1,  6163,    -1,    -1,    -1,
      -1,    -1,    -1,  5147,    -1,    -1,  3249,    -1,    -1,    -1,
      -1,  3254,  3255,    -1,    -1,    -1,  3259,    -1,    -1,    -1,
      -1,    -1,  6189,    -1,    -1,  3268,    -1,    -1,    -1,  5173,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4094,  4095,    -1,
    3283,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4115,    -1,
      -1,  4118,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3317,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   477,    -1,    -1,    -1,    -1,  3330,    -1,    -1,
      -1,    -1,  4893,    -1,  3337,  3338,   584,    -1,  5242,    -1,
      -1,    -1,    -1,    -1,  5914,   593,   594,   595,   596,   597,
     598,   599,   600,   601,    -1,    -1,    -1,    -1,   606,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3374,  3375,    -1,    -1,  3378,    -1,    -1,    -1,    -1,
      -1,    -1,  4199,  4200,  4201,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3400,  3749,  3402,
      -1,    -1,    -1,  3406,    -1,    -1,    -1,  4224,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3420,  5988,    -1,
      -1,    -1,  3425,   940,  3427,    -1,  4243,  3430,    -1,   584,
      -1,    -1,    -1,  3436,    -1,    -1,    -1,    -1,   593,   594,
     595,   596,   597,   598,   599,   600,   601,  4264,    -1,    -1,
      -1,   968,    -1,  3456,    -1,    80,    -1,    -1,    83,  3462,
     977,    -1,    87,    88,    89,    -1,  3469,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   991,  5036,    -1,    -1,  5039,    -1,
     105,    -1,  3485,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     115,    -1,    -1,  1010,    -1,    -1,  3499,   122,    -1,    -1,
      -1,  3504,    -1,    -1,  5408,    -1,    -1,  3510,  5412,  6436,
      -1,    -1,  1029,    -1,    -1,    -1,    -1,    -1,  1035,    -1,
      -1,    -1,    -1,   148,    -1,    -1,    -1,    -1,    -1,    -1,
    1047,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4357,    -1,    -1,    -1,  5448,  5449,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1077,    -1,    -1,    -1,    -1,    -1,    -1,  3570,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1092,    -1,    -1,    -1,  5140,
      -1,    -1,    -1,  1100,    -1,    -1,    -1,  4404,    -1,    -1,
    2069,    -1,    -1,  4410,    -1,  4412,  5157,  1114,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4425,  6231,
    4427,    -1,    -1,  1130,    -1,  2094,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3982,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   266,    -1,    -1,    -1,    -1,   271,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6289,    -1,   294,
     295,  1188,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4498,    -1,    -1,    -1,    -1,    -1,    -1,  2167,    -1,
      -1,    -1,    -1,  5254,    -1,    -1,    -1,   322,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1225,    -1,
    1227,    -1,  1229,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2199,  2200,  2201,  2202,  6294,    -1,  6653,    -1,    -1,    -1,
      -1,    -1,  1249,    -1,    -1,    -1,    -1,  1254,    80,    -1,
     365,    83,  4559,    -1,    -1,    87,    88,    89,    -1,  1266,
      -1,    -1,    -1,    -1,    -1,   380,    -1,  3760,   383,  3762,
      -1,    -1,    -1,   105,  4581,    -1,    -1,    -1,  4585,    -1,
      -1,    -1,    -1,   115,    -1,    -1,    -1,  3780,    -1,    -1,
     122,    -1,    -1,  6405,  3787,  2264,  2265,    -1,    -1,  4606,
      -1,  1308,  1309,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2280,    -1,    -1,    -1,    -1,   148,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    80,    -1,    -1,    83,    -1,    -1,
      -1,    87,    88,    89,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6402,    -1,    -1,  2314,  2315,  2316,  2317,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,
      -1,    -1,   477,    -1,    -1,    -1,   122,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6800,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3884,   148,    -1,    -1,    -1,    -1,  3890,  1405,  1406,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4714,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1431,    -1,    -1,    -1,    -1,    -1,
      -1,  1438,    -1,    -1,   266,    -1,    -1,    -1,    -1,   271,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6515,    -1,    -1,    -1,    -1,
      -1,    -1,   294,   295,  2433,    -1,    -1,    -1,    -1,   584,
    2439,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   593,   594,
     595,   596,   597,   598,   599,   600,   601,    -1,    -1,  3982,
     322,   606,    -1,    -1,  6911,    -1,    -1,  6914,    -1,  5893,
    6917,    -1,    -1,    -1,  5898,  5556,    -1,  5901,    -1,    -1,
     266,    -1,    -1,    -1,    -1,   271,    -1,  5568,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    95,    -1,   365,  1087,    -1,    -1,   101,   294,   295,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   380,    -1,
      -1,   383,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1113,    -1,    -1,    -1,  4405,    -1,   322,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   146,    -1,    -1,    -1,  4893,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4094,  4095,  1610,    -1,    -1,    -1,    -1,    -1,   365,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4115,    -1,   380,  4118,    95,   383,    -1,    -1,
      -1,    -1,   101,    -1,    -1,    -1,    -1,    -1,    -1,   203,
      -1,    -1,    -1,    -1,    -1,   477,   210,    -1,  4955,    -1,
     214,    -1,    -1,  4960,    -1,  4962,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    80,    -1,    -1,
      83,    -1,    -1,    -1,    87,    88,    89,   146,   242,  2648,
    6074,  4988,    -1,  1690,    -1,    -1,    -1,    -1,    95,    -1,
      -1,    -1,   105,  6087,   101,    -1,    -1,    -1,    -1,    -1,
    1707,    -1,   115,    -1,    -1,    -1,  4199,  4200,  4201,   122,
      -1,  6105,    -1,    -1,   278,    -1,  6828,  1724,    -1,    -1,
      -1,   477,  1729,    -1,    -1,  6119,    -1,    -1,    -1,  5036,
      -1,  4224,  5039,    -1,   203,   148,    -1,    -1,    -1,   146,
      -1,   210,    -1,    -1,    -1,   214,    -1,  5798,    -1,    -1,
    4243,    -1,   584,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   593,   594,   595,   596,   597,   598,   599,   600,   601,
    4611,  4264,    -1,   242,   606,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   358,    -1,   203,    -1,   362,    -1,
      -1,    -1,    -1,   210,    -1,  6199,    -1,   214,   372,   278,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   382,    -1,
      -1,    -1,  5129,  5130,    -1,    -1,    -1,    -1,   584,    -1,
     394,    -1,    -1,  5140,    -1,   242,    -1,   593,   594,   595,
     596,   597,   598,   599,   600,   601,    -1,    -1,   604,    -1,
    5157,    -1,    -1,   266,    -1,    -1,    -1,    -1,   271,    -1,
      -1,    -1,    -1,    -1,  4357,    -1,  1873,    -1,    -1,    -1,
      -1,   278,    -1,   437,  1881,  1882,   440,   441,    -1,    -1,
      -1,   294,   295,    -1,    -1,    -1,    -1,    -1,  5939,   358,
    5941,    -1,    -1,   362,    -1,  1448,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   372,    -1,    -1,  1459,    -1,   472,   322,
      -1,  4404,    -1,   382,    -1,    -1,    -1,  4410,    -1,  4412,
      -1,    -1,  1475,    -1,    -1,   394,    -1,    -1,    -1,    -1,
      -1,    -1,  4425,  1940,  4427,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1949,    -1,    -1,    -1,    -1,  5254,    -1,    -1,
    5257,   358,   365,    -1,    -1,   362,  6350,  7017,  6352,    -1,
      -1,    -1,    -1,    -1,    -1,   372,    -1,   380,   437,    -1,
     383,   440,   441,    -1,    -1,   382,    -1,    -1,    -1,  1986,
      -1,    -1,   546,    -1,    -1,    -1,    80,   394,    -1,    83,
      -1,    -1,    -1,    87,    88,    89,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   472,    -1,  4498,    -1,  2014,    -1,    88,
      -1,   105,    -1,  7073,    -1,    -1,  1569,    -1,  2025,    -1,
      -1,   115,    -1,    -1,    -1,    -1,    -1,   106,   122,    -1,
     437,    -1,    -1,   440,   441,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  7102,   122,    -1,    -1,    -1,    -1,    -1,    80,
      -1,    -1,    83,    -1,   148,    -1,    87,    88,    89,  2066,
    6454,    -1,   141,    -1,   477,   472,  4559,    -1,   147,   148,
      -1,    -1,    -1,    -1,   105,  6469,   155,   546,    -1,    -1,
      -1,    -1,    -1,    -1,   115,    -1,    -1,    -1,  4581,    -1,
      -1,   122,  4585,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4606,    -1,  2122,    -1,   148,    -1,    -1,
    4961,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2139,    -1,    -1,    -1,    -1,    -1,    -1,   546,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4989,    -1,
      -1,    -1,  1705,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5003,    -1,    -1,    -1,  3135,    -1,    -1,    -1,
      -1,   584,   266,  5014,    -1,    -1,    -1,   271,    -1,    -1,
     593,   594,   595,   596,   597,   598,   599,   600,   601,    -1,
      -1,    -1,  5499,   606,    -1,    -1,    -1,    -1,    -1,    -1,
     294,   295,    -1,    -1,    -1,    -1,  2213,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4714,    -1,    -1,    -1,    -1,    -1,    -1,   322,    -1,
      -1,    -1,    -1,    -1,    80,   266,    -1,    83,    -1,  2246,
     271,    87,    88,    89,    -1,    -1,    -1,    -1,    -1,  5556,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,
      -1,  5568,    -1,   294,   295,    -1,    -1,    -1,    -1,   115,
      -1,   365,    -1,    -1,  2281,    -1,   122,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   380,    -1,    -1,   383,
      -1,   322,    -1,    -1,    -1,  5602,    -1,  2304,    -1,    -1,
      -1,    -1,   148,    -1,    -1,  2312,    -1,    -1,    -1,    -1,
      -1,    95,    -1,  2320,    -1,    -1,    -1,   101,    -1,    -1,
      -1,    -1,    -1,  1876,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   365,    -1,    -1,  3306,    -1,    -1,
      -1,  5182,    -1,    -1,    -1,    -1,    -1,  6741,    -1,   380,
      -1,    -1,   383,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   146,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6766,    -1,    -1,  5682,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   477,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5701,  2402,  2403,    -1,    -1,    -1,
    4893,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5249,  2416,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   203,
     266,    -1,  2429,  2430,    -1,   271,   210,    -1,    -1,    -1,
     214,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   477,    -1,   294,   295,
      -1,    -1,    -1,    -1,    -1,  2008,    -1,    -1,   242,    -1,
      -1,    -1,  4955,    -1,    -1,    -1,    -1,  4960,    -1,  4962,
      -1,    -1,    -1,    -1,    -1,    -1,   322,    -1,    -1,  3448,
      -1,    -1,  3451,    -1,    -1,    -1,  6880,    -1,    -1,    -1,
     584,  5798,    -1,    -1,   278,  4988,    -1,    -1,    -1,   593,
     594,   595,   596,   597,   598,   599,   600,   601,    -1,    -1,
      -1,    -1,   606,    -1,    -1,    -1,    -1,    -1,    -1,   365,
      95,    -1,    -1,  2076,    -1,    -1,   101,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   380,    -1,    -1,   383,    -1,    -1,
      -1,    -1,    -1,  5036,    -1,    -1,  5039,    -1,    -1,    -1,
      -1,    -1,    -1,   584,    -1,    -1,    -1,    -1,    -1,    -1,
    2113,    -1,   593,   594,   595,   596,   597,   598,   599,   600,
     601,   146,    -1,  3542,   358,   606,    -1,    -1,   362,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3555,    -1,   372,    -1,
      -1,    -1,    -1,  2146,  3563,    -1,    -1,    -1,   382,    -1,
      -1,    -1,    -1,  2610,    -1,    -1,    -1,    -1,    -1,   169,
     394,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    7014,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   203,  6680,
      -1,   477,  5939,  3602,  5941,   210,  5129,  5130,    -1,   214,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5140,    -1,    -1,
      -1,    -1,    -1,   437,  3623,    -1,   440,   441,    -1,    -1,
      -1,    -1,   222,    -1,  5157,    -1,    -1,   242,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   235,    -1,    -1,    -1,    -1,
    5521,   241,  5989,    -1,    -1,    -1,  5527,   247,   472,    -1,
      -1,  5532,  5999,   253,    -1,    -1,   256,    -1,    -1,    -1,
     260,    -1,    -1,   278,    -1,  2258,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2269,    -1,    -1,  3688,
      -1,  3690,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     290,    -1,  2285,    -1,    -1,    -1,  6043,    -1,   584,    -1,
      -1,  6048,    -1,    -1,    -1,    -1,    -1,   593,   594,   595,
     596,   597,   598,   599,   600,   601,    -1,    -1,    -1,    -1,
     606,  5254,   546,   323,  5257,    -1,    -1,    -1,    -1,    80,
      -1,    -1,    83,    -1,    -1,    -1,    87,    88,    89,    -1,
      -1,    -1,    -1,   358,    -1,    -1,  2339,   362,    -1,    -1,
      -1,    -1,    -1,    -1,   105,    -1,    -1,   372,    -1,    -1,
      -1,    -1,    -1,    -1,   115,    -1,    -1,   382,  2361,    -1,
      -1,   122,    -1,    -1,   374,    -1,    -1,    -1,   378,   394,
      -1,  2374,    -1,  3792,   384,    -1,    -1,    -1,    -1,    -1,
    3799,    -1,    -1,  2386,    -1,    -1,    -1,   148,    -1,    -1,
      -1,    -1,    80,    -1,    -1,    83,    -1,    -1,    -1,    87,
      88,    89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   940,   437,    -1,    -1,   440,   441,   105,    -1,    -1,
      -1,    -1,    -1,  2426,  2427,    -1,     5,   115,    -1,   958,
      -1,    -1,    -1,  1087,   122,   445,    -1,    -1,   967,    -1,
      -1,    -1,    -1,    -1,    -1,    24,   975,   472,    -1,   978,
      -1,    -1,    -1,    -1,    -1,    34,    35,    -1,    -1,  1113,
     148,    -1,    41,    42,    -1,    -1,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    -1,    -1,    -1,    73,   505,    75,    76,    -1,    -1,
      -1,    -1,    81,    -1,    -1,   266,    -1,    -1,    -1,    -1,
     271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6276,
      -1,   546,    -1,    -1,    -1,   535,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   294,   295,    -1,    -1,  6294,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   559,
      -1,   561,   562,  1082,    -1,    -1,  5499,    -1,  1087,    -1,
     139,   322,  1091,    -1,    -1,    -1,    -1,    -1,  6325,  1098,
      -1,    -1,  1101,   583,    -1,    -1,    -1,    -1,   266,    -1,
      -1,    -1,    -1,   271,  1113,    -1,  2589,    -1,    -1,    -1,
      -1,    -1,    -1,   603,    -1,    -1,   606,   607,    -1,   609,
      -1,    -1,    -1,    -1,   365,    -1,   294,   295,    -1,    -1,
      -1,    -1,    -1,  5556,    -1,    -1,    -1,    -1,    -1,   380,
      -1,    -1,   383,    -1,    -1,  5568,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   322,    -1,    -1,    -1,    -1,   218,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6407,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5602,
     239,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   365,    -1,    -1,
      -1,    -1,    -1,    -1,   263,    -1,    -1,    -1,    -1,  1218,
    1219,    -1,   380,    -1,    -1,   383,  1225,  5988,    -1,    -1,
    1229,    -1,    -1,    -1,    -1,  4124,  4125,    -1,    -1,   288,
      -1,    -1,    -1,    -1,    -1,    -1,   477,    -1,    -1,    -1,
      -1,    -1,    -1,   411,    -1,    -1,    -1,  1256,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5682,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3205,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5701,    -1,
      -1,    -1,   341,    -1,    -1,   344,    -1,    -1,  6525,    -1,
      -1,  6528,    -1,    -1,  3231,  1429,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   367,   477,
      -1,    -1,  3249,    -1,  1448,    -1,    -1,  3254,  3255,    -1,
      -1,    -1,  3259,    -1,    -1,  1459,    -1,    -1,    -1,   497,
      -1,  3268,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1475,    80,   584,    -1,    83,  3283,    -1,    -1,    87,
      88,    89,   593,   594,   595,   596,   597,   598,   599,   600,
     601,    -1,    -1,    -1,    -1,   606,    -1,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5798,    -1,   115,    -1,    -1,
    3317,    -1,    -1,    -1,   122,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3330,    -1,    -1,  1405,  1406,    -1,    -1,
    3337,  3338,    -1,    -1,   463,    -1,    -1,    -1,    -1,    -1,
     148,    -1,    -1,    -1,    -1,    -1,   584,  6654,    -1,    -1,
    1429,  1430,  1431,    -1,    -1,   593,   594,   595,   596,   597,
     598,   599,   600,   601,  1443,  1569,    -1,  3374,  3375,  1448,
    1449,  3378,    -1,  6680,  1453,    -1,  1455,    -1,    -1,    -1,
    1459,    -1,    -1,    -1,    -1,    -1,    -1,  6694,    -1,   518,
      -1,    -1,    -1,  3400,    -1,  3402,  1475,    -1,    -1,  3406,
    6707,    -1,    -1,    -1,    -1,    -1,   535,    -1,    -1,    -1,
    4379,    -1,    -1,  3420,    -1,    -1,    -1,    -1,  3425,    -1,
    3427,   550,    -1,  3430,    -1,    -1,    -1,    -1,    -1,  3436,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1518,
      -1,  1520,  1521,    -1,    -1,    -1,  5939,    -1,  5941,  3456,
      -1,   580,    -1,  6294,    -1,  3462,    -1,    -1,   266,    -1,
    6767,  6768,  3469,   271,    -1,    -1,   595,   596,   597,   598,
     599,   600,    -1,    -1,   603,   604,   605,    -1,  3485,    -1,
      -1,   610,   611,    -1,    -1,    -1,   294,   295,    -1,    -1,
    1569,    -1,  3499,    -1,    -1,    -1,  5989,  3504,    -1,    -1,
      -1,  1705,    -1,  3510,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   322,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6845,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6043,    93,    -1,    -1,    -1,    -1,    98,   365,    -1,    -1,
      -1,  6402,    -1,  3570,    -1,    -1,    -1,    -1,    -1,    -1,
    1649,    -1,   380,    -1,    -1,   383,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4562,   136,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   149,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   166,    -1,  1705,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   184,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1740,    -1,    -1,    -1,    -1,   208,    -1,    -1,   477,
      -1,    -1,    -1,    -1,    -1,    -1,   169,    -1,    -1,   221,
      -1,    -1,    -1,    -1,    -1,  3238,    -1,    -1,   230,  3242,
    3243,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   243,  1781,    -1,    -1,    -1,    -1,   249,    -1,    -1,
    7017,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   222,
      -1,  1810,  1811,  1812,   276,  1814,    -1,    -1,    -1,    -1,
      -1,    -1,   235,    -1,    -1,    -1,  3299,    -1,   241,    -1,
      -1,    -1,  3305,  3760,   247,  3762,  1835,    -1,    -1,    -1,
     253,    -1,    -1,   256,    -1,    -1,  7073,   260,    -1,    -1,
      -1,    -1,    -1,  3780,    -1,    -1,   584,    -1,    -1,    -1,
    3787,  7088,  7089,  6276,    -1,   593,   594,   595,   596,   597,
     598,   599,   600,   601,   336,  7102,    -1,   290,   606,  3352,
      -1,  6294,    -1,    -1,  2008,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     323,    -1,  6325,    -1,    -1,  1914,    -1,    -1,   380,  1918,
    1919,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1934,    -1,    -1,    -1,    -1,
      -1,    -1,    80,    -1,    -1,    83,    -1,    -1,    -1,    87,
      88,    89,  2076,    -1,    -1,   417,   418,  3884,    -1,   421,
      -1,   374,    -1,  3890,    -1,   378,    -1,   105,    -1,    -1,
      -1,   384,    -1,    -1,    -1,    -1,    -1,   115,    -1,    -1,
      -1,    -1,    -1,    -1,   122,    -1,    -1,   449,    -1,  2113,
     452,    -1,    80,    -1,  6407,    83,    -1,   459,    -1,    87,
      88,    89,    -1,    -1,   466,    -1,    -1,   469,    -1,  2008,
     148,    -1,    -1,    -1,    -1,  2014,    -1,   105,    -1,    -1,
      -1,    -1,  2146,    -1,    -1,    -1,  2025,   115,   490,    -1,
      -1,    -1,   445,    -1,   122,    -1,   498,    -1,    -1,    -1,
      -1,    -1,    -1,   505,    -1,    -1,   508,    -1,    -1,    -1,
      -1,   513,    -1,    -1,    -1,  3982,    -1,    -1,    -1,   521,
     148,    -1,    -1,    -1,    -1,    -1,   528,  2066,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2076,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3562,
      -1,    -1,   505,   555,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2229,  2230,  2231,    -1,    -1,
      -1,    -1,  6525,    -1,  2113,  6528,    -1,    -1,    -1,    -1,
      -1,    -1,   535,  2122,    -1,    -1,    -1,    -1,   266,    -1,
      -1,    -1,    -1,   271,  2258,    -1,    -1,    -1,    -1,    -1,
    2139,    -1,    -1,    -1,    -1,  2269,   559,  2146,   561,   562,
      -1,    -1,    -1,    -1,    -1,    -1,   294,   295,    -1,    -1,
      -1,  2285,  3635,    -1,    -1,    -1,  3639,  4094,  4095,    -1,
     583,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   266,    -1,
      -1,    -1,    -1,   271,   322,    -1,    -1,    -1,  4115,    -1,
     603,  4118,    -1,   606,   607,    -1,   609,    -1,  5087,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   294,   295,    -1,    -1,
      -1,    -1,  5101,    -1,    -1,  2339,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   365,    -1,    -1,
    2229,  2230,  2231,    -1,   322,    -1,    -1,  2361,    -1,    -1,
      -1,  6654,   380,    -1,    -1,   383,    -1,    -1,    -1,    -1,
    2374,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2258,
      -1,    -1,  2386,    -1,    -1,    -1,    -1,  6680,    -1,    -1,
    2269,    -1,  4199,  4200,  4201,    -1,    -1,   365,    -1,    -1,
      -1,    -1,  2281,    -1,    -1,    -1,  2285,    -1,    -1,    -1,
      -1,    -1,   380,    -1,  6707,   383,    -1,  4224,    -1,    -1,
      -1,    -1,  2426,  2427,    -1,  3778,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4243,    -1,    -1,    -1,
    3793,    -1,    -1,    -1,    -1,  3798,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4264,    -1,   477,
    2339,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3828,  2355,    -1,    -1,  2358,
      -1,    -1,  2361,    -1,    -1,    -1,    -1,    -1,    -1,  2368,
      80,    -1,    -1,    83,    -1,  2374,    -1,    87,    88,    89,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2386,    -1,   477,
      -1,    -1,    -1,    -1,    -1,   105,    -1,    -1,    -1,    -1,
    2399,  2400,    -1,    -1,    -1,   115,    -1,    -1,    -1,    -1,
      -1,    -1,   122,    -1,    -1,  2414,    -1,    -1,  2417,    -1,
      -1,    -1,    -1,  2547,    -1,    -1,    -1,  2426,  2427,    -1,
    4357,    -1,  6845,    -1,    -1,    -1,    -1,  2561,   148,    -1,
    2564,    -1,    -1,    -1,    -1,    -1,   584,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   593,   594,   595,   596,   597,
     598,   599,   600,   601,    -1,  2589,    -1,    -1,   606,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4404,    -1,    -1,
      -1,    -1,    -1,  4410,    -1,  4412,  2485,    -1,    -1,    -1,
    2489,  2490,    -1,    -1,    -1,    -1,   584,    -1,  4425,    -1,
    4427,    -1,    -1,    -1,    -1,   593,   594,   595,   596,   597,
     598,   599,   600,   601,    -1,    -1,    -1,    -1,   606,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2528,
    2529,    -1,    -1,    -1,    -1,  2534,  2535,    -1,    -1,    -1,
      -1,    -1,  2541,  2542,  2543,  2544,  2545,  2546,  2547,  2548,
    2549,  2550,  2551,  2552,  2553,    -1,   266,    -1,  2557,    -1,
    2559,   271,  2561,  2562,  2563,  2564,  2565,  2566,    -1,    -1,
    2569,  4498,  2571,  2572,    -1,    -1,  2575,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   294,   295,    -1,    -1,    -1,    -1,
    2589,  2590,  2591,  2592,    -1,  4068,    -1,    -1,  4071,    -1,
    4073,    -1,    -1,    -1,  7017,  4078,    -1,    -1,    -1,  2608,
      -1,  2610,   322,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   169,
      -1,    -1,  4559,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4121,    -1,
      -1,    -1,    -1,    -1,  4581,   365,  4129,    -1,  4585,    -1,
    7073,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     380,    -1,    -1,   383,    -1,    -1,    -1,    -1,    -1,  4606,
      -1,  4154,   222,    -1,    -1,    -1,    -1,    -1,    -1,  7102,
      -1,    -1,    -1,    -1,    -1,   235,    -1,    -1,    -1,    -1,
      -1,   241,    -1,    -1,    -1,    -1,    -1,   247,    -1,    -1,
      -1,    -1,    -1,   253,    -1,    -1,   256,    -1,    -1,    -1,
     260,    -1,    -1,    -1,    -1,    -1,  5615,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5630,    -1,    -1,    80,    -1,    -1,    83,    -1,    -1,
     290,    87,    88,    89,    -1,    -1,  2755,    -1,    -1,    -1,
    4233,    -1,  4235,    -1,    -1,    -1,    -1,   477,    -1,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,
      -1,    -1,    -1,   323,    -1,    -1,   122,  4714,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2809,    -1,   148,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5721,    -1,   374,    -1,    -1,    -1,   378,    -1,
      -1,    -1,    -1,    -1,   384,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4333,    -1,    -1,    -1,    -1,    -1,  2865,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   584,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   593,   594,   595,   596,   597,   598,   599,
     600,   601,    -1,    -1,    -1,    -1,   606,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4377,   445,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    80,    -1,    -1,    83,    -1,    -1,
      -1,    87,    88,    89,    -1,    -1,    -1,    -1,    -1,    -1,
     266,    -1,  4405,    -1,    -1,   271,    -1,    -1,    -1,   105,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,
      -1,    -1,  3076,    -1,    -1,    -1,   122,    -1,   294,   295,
      -1,    -1,    -1,    -1,    -1,   505,  4893,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    80,   148,    -1,    83,    -1,   322,    -1,    87,    88,
      89,    -1,    -1,    -1,    -1,   535,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4477,    -1,   105,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   115,    -1,    -1,   559,
      -1,   561,   562,   122,    -1,    -1,  4499,    -1,  4955,   365,
      -1,    -1,    -1,  4960,    -1,  4962,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   583,   380,    -1,    -1,   383,    -1,   148,
    4523,    -1,  3051,  3052,  3053,  3054,  3055,  3056,  3057,  3058,
    3059,  4988,  3061,   603,    -1,    -1,   606,   607,    -1,   609,
      -1,    -1,    -1,    -1,  3073,    -1,  5965,  3076,  5967,    -1,
      -1,    80,    -1,    -1,    83,    -1,    -1,    -1,    87,    88,
      89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     266,    -1,    -1,    -1,    -1,   271,   105,    -1,    -1,  5036,
      -1,    -1,  5039,    -1,  3238,    -1,   115,    -1,  3242,  3243,
      -1,    -1,    -1,   122,    -1,    -1,    -1,    -1,   294,   295,
      -1,    -1,    -1,  3132,    -1,    -1,    -1,  3136,    -1,    -1,
    3139,   477,  3141,    -1,    -1,  3144,    -1,    -1,    -1,   148,
      -1,    -1,  4625,    -1,    -1,    -1,   322,    -1,    -1,    -1,
    3159,    -1,    -1,    -1,    -1,    -1,    -1,   266,    -1,  3168,
    3169,    -1,   271,    -1,    -1,  3299,    -1,    -1,    -1,    -1,
      -1,  3305,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   294,   295,    -1,    -1,   365,
      -1,    -1,  5129,  5130,  4677,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5140,   380,    -1,    -1,   383,  6107,    -1,
      -1,    -1,    -1,   322,    -1,    -1,    -1,    -1,  3352,  4702,
    5157,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3238,
      -1,    -1,    -1,  3242,  3243,    -1,    -1,    -1,   584,    -1,
      -1,    -1,    -1,    -1,    -1,  3254,    -1,   593,   594,   595,
     596,   597,   598,   599,   600,   601,   365,   266,    -1,    -1,
     606,    -1,   271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   380,    -1,    -1,   383,    -1,    -1,  3286,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   294,   295,    -1,  3297,    -1,
    3299,  3300,    -1,  3302,  3303,    -1,  3305,    -1,    -1,    -1,
      -1,   477,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   322,    -1,    -1,    -1,  5254,    -1,    -1,
    5257,  3330,    80,    -1,    -1,    83,    -1,    -1,    -1,    87,
      88,    89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3352,    -1,    -1,    -1,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   365,   115,    -1,    -1,
      -1,    -1,    -1,    -1,   122,  3374,    -1,    -1,   477,  3378,
      -1,   380,    -1,    -1,   383,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4867,  6284,    -1,  6286,    -1,    -1,
     148,    -1,    -1,  3402,    -1,    -1,  3530,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   584,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3425,   593,   594,   595,
     596,   597,   598,   599,   600,   601,    -1,    -1,  3562,    -1,
     606,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   477,    -1,
      -1,    -1,    -1,    -1,    -1,   584,    -1,    -1,  4961,    -1,
      -1,    -1,    -1,    -1,   593,   594,   595,   596,   597,   598,
     599,   600,   601,    -1,    -1,  3504,    -1,   606,    -1,    -1,
      -1,  3635,    -1,    -1,    -1,  3639,  4989,    -1,   266,    -1,
      -1,    -1,    -1,   271,    -1,    -1,    -1,    -1,    -1,  3528,
    3529,  3530,    -1,    -1,    -1,  3534,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   294,   295,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3561,  3562,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3570,  5499,    -1,   322,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   584,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   593,   594,   595,   596,   597,   598,
     599,   600,   601,    -1,  3603,    -1,    -1,   606,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   365,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5556,
      -1,    -1,   380,    -1,    -1,   383,  3635,    -1,    -1,    -1,
    3639,  5568,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3778,    -1,    -1,    -1,    -1,    -1,
    5133,    -1,    -1,  3662,    -1,    -1,    -1,    -1,    -1,  3793,
      -1,    -1,    -1,    80,  3798,  5602,    83,    -1,  6567,    -1,
      87,    88,    89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,    -1,
      -1,    -1,    -1,    -1,  3828,    -1,    -1,    -1,   115,  5182,
      -1,    -1,  5185,    -1,    -1,   122,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   477,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   148,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5682,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3762,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5701,    -1,    -1,    -1,    -1,  3778,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3791,    -1,  3793,  3794,    -1,  3796,  3797,  3798,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3806,    -1,    -1,
      -1,    -1,  3811,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6709,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3828,
      -1,    -1,    -1,    -1,    -1,    -1,   584,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   593,   594,   595,   596,   597,
     598,   599,   600,   601,    -1,    -1,    -1,    -1,   606,   266,
      -1,  3860,  3861,  3862,   271,    -1,  3865,    -1,    -1,    -1,
      -1,  5798,    -1,    -1,  3873,  3874,  3875,  3876,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3884,  5359,   294,   295,    -1,
    3889,  3890,    -1,  3892,    -1,  3894,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3906,  3907,    -1,
      -1,  3910,    -1,    -1,    -1,   322,    -1,    -1,    -1,    -1,
      -1,    80,    -1,    -1,    83,    -1,    -1,    -1,    87,    88,
      89,    -1,  3931,    -1,  3933,    -1,  3935,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4068,    -1,   105,  4071,    -1,  4073,
    6839,    -1,    -1,    -1,  4078,  3954,   115,    -1,   365,    -1,
      -1,    -1,    -1,   122,    -1,    -1,    -1,    -1,    -1,  3968,
      -1,    -1,    -1,   380,    -1,    -1,   383,    -1,    -1,    -1,
      -1,    -1,  6871,  6872,    -1,    -1,    -1,    -1,    -1,   148,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4121,    -1,    -1,
    3999,    -1,    -1,    -1,    -1,  4129,    -1,    -1,    -1,    -1,
      -1,    -1,  5939,  5486,  5941,  4014,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4028,
    4154,    -1,    -1,    -1,    -1,    -1,    -1,  4036,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5989,    -1,    -1,    -1,  5539,    -1,    -1,  4068,
     477,    -1,  4071,    -1,  4073,    -1,    -1,    -1,    -1,  4078,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5561,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4100,    -1,    -1,    -1,    -1,    -1,   266,    -1,  4233,
      -1,  4235,   271,    -1,    -1,    -1,  6043,    -1,  7007,    -1,
      -1,    -1,  4121,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4129,    -1,    -1,    -1,    -1,   294,   295,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4154,    -1,    -1,    -1,    -1,
      -1,  4160,  5635,   322,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   584,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   593,   594,   595,   596,
     597,   598,   599,   600,   601,    -1,    -1,    -1,    -1,   606,
    4199,  4200,  4201,    -1,    -1,    -1,   365,    -1,    -1,  4333,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   380,    -1,    -1,   383,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4233,    -1,  4235,    -1,  4362,    -1,
      -1,    -1,    -1,    -1,  4368,    -1,    -1,    -1,    -1,     5,
      -1,    -1,    -1,  4377,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    24,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    34,    35,
      -1,  4405,    -1,    -1,  5757,    41,    42,    -1,    -1,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    -1,    -1,    -1,    73,   477,    75,
      76,    -1,    -1,    -1,    -1,    81,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4333,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6276,
      -1,    -1,    -1,  4477,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4362,    -1,    -1,    -1,  6294,    -1,  4368,
      -1,    -1,    -1,    -1,    -1,  4499,    -1,    -1,  4377,    -1,
      -1,    -1,    -1,   139,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6325,  4523,
      -1,    -1,    -1,    -1,    -1,  4404,  4405,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    80,
      -1,    -1,    83,    -1,    -1,   584,    87,    88,    89,    -1,
      -1,    -1,    -1,    -1,   593,   594,   595,   596,   597,   598,
     599,   600,   601,    -1,   105,    -1,    -1,   606,   109,  4448,
      -1,    -1,    -1,    -1,   115,    -1,    -1,    -1,    -1,    -1,
      -1,   122,   218,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4477,    -1,
    6407,    80,    -1,   239,    83,    -1,    -1,   148,    87,    88,
      89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4499,  4625,    -1,    -1,    -1,    -1,   105,   263,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5988,   115,    -1,    -1,    -1,
      -1,    -1,    -1,   122,  4523,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   288,    -1,    -1,    -1,    -1,    -1,    -1,   200,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   148,
      -1,    -1,    -1,  4677,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    80,    -1,    -1,    83,    -1,    -1,    -1,    87,    88,
      89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4702,    -1,
      -1,    -1,    -1,    -1,    -1,   341,   105,    -1,   344,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   115,    -1,  6525,    -1,
      -1,  6528,    -1,   122,    -1,   266,    -1,    -1,    -1,    -1,
     271,   367,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4622,    -1,    -1,  4625,    -1,    -1,   148,
      -1,    -1,  4631,   294,   295,    -1,    -1,    -1,    -1,  6112,
      -1,    -1,   241,    -1,    -1,    -1,  4645,    -1,   247,    -1,
    4649,  4650,  4651,    -1,    -1,    -1,    -1,  4656,    -1,    -1,
    4659,   322,    -1,  4662,    -1,    -1,    -1,   266,    -1,  4668,
      -1,  4670,   271,    -1,  4673,    -1,    -1,    -1,  4677,  4678,
    4679,  4680,  4681,    -1,    -1,  4684,  4685,  4686,  4687,  4688,
    4689,  4690,  4691,  4692,  4693,   294,   295,    -1,  4697,  4698,
    4699,    -1,    -1,  4702,   365,    -1,    -1,   463,  4707,    -1,
      -1,    -1,    -1,  4712,    -1,  4714,    -1,  4716,    -1,   380,
      -1,   240,   383,   322,    -1,  4724,    -1,  6654,  4727,    -1,
    4729,    -1,  6205,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4867,    -1,    -1,  4745,   266,    -1,  4748,
    4749,    -1,   271,  6680,  4753,  4754,    -1,    -1,    -1,  4758,
      -1,  4760,   518,    -1,    -1,    -1,   365,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4773,   294,   295,  4776,    -1,   535,
    6707,   380,    -1,    -1,   383,  6258,    -1,    -1,  4787,    -1,
    6263,  6264,    -1,    -1,   550,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   322,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   477,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   580,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4834,    -1,  4961,    -1,   595,
     596,   597,   598,   599,   600,    -1,   365,   603,   604,   605,
     606,    -1,  4851,    -1,   610,    -1,    -1,    -1,    -1,    -1,
      -1,   380,    -1,    -1,   383,  4989,    -1,    -1,  4867,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   477,    -1,
      -1,    -1,   543,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     409,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6381,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4916,  6845,    -1,
      -1,    -1,    -1,   584,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   593,   594,   595,   596,   597,   598,   599,   600,
     601,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4955,    -1,   477,    -1,
      -1,  4960,  4961,  4962,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   584,    -1,    -1,    -1,  4988,
    4989,    -1,    -1,    -1,   593,   594,   595,   596,   597,   598,
     599,   600,   601,    -1,    -1,    -1,    -1,    -1,    -1,  5133,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5182,    -1,
      -1,  5185,    -1,    80,    -1,   584,    83,    -1,    -1,    -1,
      87,    88,    89,    -1,   593,   594,   595,   596,   597,   598,
     599,   600,   601,    -1,    -1,    -1,    -1,    -1,   105,    -1,
    7017,   108,    -1,    -1,    -1,    -1,    -1,    -1,   115,    -1,
      -1,    -1,    -1,    -1,  5103,   122,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   148,    -1,    -1,  5133,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  7073,    -1,  5147,  5148,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  7102,    -1,    -1,    -1,    -1,
      -1,    -1,   106,  5182,  6657,    -1,  5185,  5186,  5187,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5197,    -1,
      -1,    -1,    -1,   127,    -1,    -1,   130,    -1,    -1,    -1,
     134,    -1,    -1,    -1,    -1,    -1,   140,    -1,   142,    -1,
     144,    -1,    -1,    -1,    -1,    -1,    -1,   151,    -1,    -1,
      -1,    -1,   156,    -1,    -1,  5359,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   266,
      -1,    -1,    -1,    -1,   271,    -1,    -1,    -1,  5257,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   294,   295,    -1,
      -1,    -1,    -1,    -1,  5283,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,
    5299,    -1,    -1,    -1,     8,   322,    -1,    -1,    12,    -1,
      14,    -1,    16,    17,    -1,    -1,    -1,    -1,  5317,    -1,
      -1,    -1,    -1,    27,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    43,
      44,    -1,    -1,    -1,    -1,    -1,  5345,    -1,   365,  5348,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5356,  5357,    -1,
    5359,    -1,  5486,   380,  5363,  5364,   383,    -1,    -1,  5368,
      -1,    -1,    -1,    -1,  5373,    -1,    -1,  5376,  5377,    -1,
      -1,    -1,    -1,    -1,  5383,    -1,    90,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5394,    -1,   101,    -1,   103,
     104,  5400,    -1,    80,    -1,    -1,    83,    -1,    -1,  5408,
      87,    88,    89,  5412,    -1,  5539,    -1,   121,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   131,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5561,   115,   143,
      -1,   145,   146,    -1,    -1,   122,    -1,  5446,   152,    -1,
     154,    -1,    -1,    -1,    -1,  5454,    -1,    -1,    -1,    -1,
     477,    -1,    -1,   167,    -1,   169,    -1,    -1,    -1,    -1,
      -1,   148,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     184,    -1,   186,    -1,    -1,   189,    -1,  5486,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     204,    -1,   206,    -1,    -1,  5504,   210,    -1,    -1,    -1,
      -1,  5635,    -1,   217,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   226,    -1,   228,    -1,    -1,    -1,    -1,    -1,
      -1,   235,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5539,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   253,
      -1,  7024,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5561,    -1,    -1,    -1,   270,   584,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   593,   594,   595,   596,
     597,   598,   599,   600,   601,  5584,    -1,    -1,    -1,   266,
      -1,    -1,  5591,    -1,   271,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   294,   295,    -1,
     324,   325,    -1,    -1,    -1,    -1,   330,    -1,    -1,    -1,
      -1,  5755,    -1,  5757,    -1,    -1,  5635,    -1,    -1,    -1,
      -1,   345,    -1,    -1,    -1,   322,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     364,    -1,  5661,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5677,    -1,
      -1,    -1,    -1,  5682,    -1,    -1,    -1,    -1,   365,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   380,    -1,    -1,   383,    -1,   412,  5708,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   427,    -1,    -1,    -1,    -1,    -1,   433,
     434,    -1,   436,    -1,    -1,    -1,    -1,   441,    -1,    -1,
      -1,    -1,    -1,   447,    -1,    -1,   450,    -1,    -1,    -1,
      -1,    -1,    -1,   457,    -1,    -1,  5755,    -1,  5757,    -1,
     464,   465,    -1,    -1,    -1,    -1,    -1,    -1,   472,    -1,
      -1,    -1,   476,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   488,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     477,   505,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   526,    -1,   528,  5824,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   538,  5834,    -1,    -1,  5837,    -1,
     544,  5840,  5841,  5842,    -1,   549,    80,    -1,    -1,    83,
      -1,    -1,    -1,    87,    88,    89,    -1,    -1,   562,    -1,
      -1,    -1,    -1,    -1,  5988,    -1,  5865,  5866,    -1,    -1,
    5869,   105,    -1,    -1,   108,    -1,    -1,    -1,    -1,    -1,
      -1,   115,   586,    -1,    -1,    -1,    -1,  5886,   122,    -1,
      -1,    -1,    -1,    -1,  5893,    -1,    -1,    -1,    -1,  5898,
      -1,   605,  5901,  5902,    -1,   609,   583,   584,    -1,    -1,
    5909,    -1,    -1,    -1,   148,    -1,   593,   594,   595,   596,
     597,   598,   599,   600,   601,    -1,    -1,    -1,    -1,    -1,
      -1,  5930,    -1,    -1,  5933,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5963,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6112,  5988,
      -1,    -1,    -1,    -1,    -1,    -1,    80,    -1,    -1,    83,
    5999,    -1,    -1,    87,    88,    89,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   115,   266,    -1,   958,   959,   960,   271,   122,   963,
      -1,    -1,    -1,   967,  6043,   969,    -1,    -1,   972,  6048,
      -1,   975,    -1,    -1,   978,    -1,    -1,   981,    -1,   983,
     294,   295,   986,    -1,   148,    -1,   990,    -1,   992,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6205,    -1,    -1,    -1,    -1,    -1,  1011,   322,    -1,
      -1,    -1,    -1,  1017,    -1,  1019,    -1,  1021,    -1,    -1,
    1024,    -1,    -1,    -1,    -1,    -1,    -1,  1031,    -1,    -1,
    6109,    -1,  1036,  6112,  1038,    -1,    -1,    -1,    -1,    -1,
    1044,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   365,    -1,    -1,  6258,    -1,    -1,    -1,    -1,  6263,
    6264,    -1,    -1,    -1,    -1,    -1,   380,  6146,    -1,   383,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1082,    -1,
      -1,    -1,    -1,    -1,  6163,    -1,    -1,  1091,  6167,    -1,
    6169,  1095,    -1,    -1,  1098,    -1,    -1,  1101,    -1,    -1,
      -1,    -1,   266,    -1,  6183,    -1,  6185,   271,    -1,    -1,
    6189,    -1,    -1,  1117,    -1,    -1,  6195,    -1,    -1,    -1,
    6199,    -1,    -1,    -1,    -1,    -1,  6205,  6206,    -1,    -1,
     294,   295,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   322,    -1,
      -1,    -1,    -1,   477,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6252,  1178,    -1,  6380,  6381,    -1,  6258,
      -1,    -1,    -1,    -1,  6263,  6264,  1190,    -1,    -1,  6268,
      -1,    -1,    -1,    -1,    -1,  6274,  6275,    -1,    -1,    -1,
      -1,   365,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1218,  1219,   380,    -1,    -1,   383,
    1224,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6314,    -1,    -1,    -1,  1243,
     404,    -1,    -1,  6322,  1248,    -1,  6325,    -1,    -1,    -1,
      -1,    -1,  1256,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1267,    -1,    -1,    -1,    -1,    -1,    -1,
     584,  6350,    -1,    -1,    -1,    -1,  1280,    -1,    -1,   593,
     594,   595,   596,   597,   598,   599,   600,   601,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6380,  6381,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   477,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6406,  6407,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6418,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6427,  6428,
    6429,    -1,    -1,  1357,  6433,    -1,    -1,  6436,    -1,    -1,
      -1,    -1,    -1,    -1,  1368,    -1,    -1,    -1,  6447,  1373,
    1374,    -1,    -1,    -1,    -1,  6454,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6472,    -1,    -1,    -1,    -1,    -1,    -1,
    6479,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6498,
     584,    -1,    -1,    -1,    -1,  1429,  1430,    -1,    -1,   593,
     594,   595,   596,   597,   598,   599,   600,   601,    -1,  1443,
      -1,  1445,    -1,    -1,    -1,  1449,  6525,    -1,  1452,  1453,
      -1,  1455,    -1,  6657,    -1,    -1,  1460,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1484,    -1,    -1,    -1,    -1,    -1,  1490,  1491,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6582,    -1,    -1,    -1,    -1,  1512,  1513,
    1514,    -1,  1516,    -1,  1518,    -1,  1520,  1521,    -1,    -1,
      -1,    -1,    -1,  1527,    -1,    -1,     3,    -1,    -1,    -1,
      -1,     8,    -1,    -1,    -1,    12,    -1,    14,    -1,    16,
      17,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      27,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6637,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    43,    44,    -1,    -1,
      -1,    -1,    -1,    -1,  6653,  6654,    -1,    -1,  6657,    -1,
      -1,    -1,    -1,  6662,    -1,  6664,    -1,  6666,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1603,
      -1,  1605,  1606,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    -1,  6694,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   101,    -1,   103,   104,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1649,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   131,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   143,    -1,   145,   146,
    6749,    -1,    -1,    -1,    -1,   152,    -1,   154,    -1,  1683,
    6759,  1685,    -1,    -1,    -1,  1689,    -1,  1691,  6767,  6768,
     167,    -1,   169,    -1,  6773,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   184,    -1,   186,
      -1,    -1,   189,    -1,    -1,    -1,    -1,  1721,    -1,  1723,
      -1,  6800,    -1,  1727,    -1,    -1,    -1,   204,    -1,   206,
      -1,  6810,    -1,   210,    -1,    -1,  1740,    -1,    -1,    -1,
     217,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   226,
      -1,   228,    -1,    -1,    -1,    -1,    -1,    -1,   235,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   253,  1781,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6870,    -1,   270,    -1,    -1,    -1,  6876,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1810,  1811,  1812,    -1,
    1814,    -1,    -1,    -1,    -1,  6894,    -1,    -1,    -1,    -1,
    7024,    -1,  6901,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1835,  6911,    -1,    -1,  6914,    -1,    -1,  6917,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   324,   325,    -1,
      -1,    -1,    -1,   330,    -1,    -1,    -1,  7061,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6944,    -1,    -1,   345,    80,
      -1,    -1,    83,    -1,    -1,    -1,    87,    88,    89,    -1,
      -1,    -1,    -1,    -1,  1888,    -1,    -1,   364,    -1,    -1,
      -1,    -1,    -1,    -1,   105,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   115,    -1,    -1,    -1,    -1,  6988,
    1914,   122,    -1,  6992,  1918,  1919,    -1,    -1,  6997,    -1,
      -1,    -1,    -1,    -1,    -1,  1929,  1930,  1931,  1932,    -1,
    1934,  7010,    -1,    -1,    -1,   412,    -1,   148,  7017,    -1,
      -1,    -1,    -1,    -1,    80,  7024,    -1,    83,    -1,    -1,
     427,    87,    88,    89,    -1,    -1,   433,   434,    -1,   436,
      -1,    -1,    -1,    -1,   441,    -1,    -1,   444,    -1,   105,
     447,    -1,   108,   450,    -1,    -1,    -1,    -1,    -1,   115,
     457,    -1,  7061,  7062,    -1,    -1,   122,   464,   465,    -1,
    7069,    -1,    -1,    -1,  7073,   472,    -1,    -1,    -1,   476,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  7088,
    7089,   488,   148,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  7102,    -1,    -1,    -1,    -1,   505,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   247,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   526,
      -1,   528,    -1,    -1,    -1,   266,    -1,  2061,    -1,    -1,
     271,   538,    -1,    -1,    -1,  2069,    -1,   544,    -1,    -1,
      -1,    -1,   549,    -1,    -1,    -1,    -1,    -1,  2082,  2083,
      -1,    -1,    -1,   294,   295,   562,    -1,  2091,    -1,    -1,
    2094,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   586,
      -1,   322,    -1,  2117,    -1,  2119,    -1,    -1,    -1,    -1,
      -1,  2125,  2126,    -1,    -1,  2129,    -1,    -1,   605,    -1,
     266,    -1,   609,    -1,    -1,   271,    -1,    -1,  2142,    -1,
      -1,  2145,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   365,    -1,    -1,    -1,   294,   295,
      -1,    -1,    -1,  2167,    -1,    -1,    -1,    -1,    -1,   380,
      -1,    -1,   383,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2185,    -1,    -1,    -1,    -1,   322,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2199,  2200,  2201,  2202,  2203,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    80,    -1,  2217,    83,    -1,    -1,    -1,    87,    88,
      89,    -1,    -1,    -1,    -1,  2229,  2230,  2231,    -1,   365,
      -1,    -1,    -1,    -1,    -1,    -1,   105,    -1,    -1,    -1,
      -1,  2245,    -1,    -1,   380,    -1,   115,   383,    -1,    -1,
      -1,    -1,  2256,   122,    -1,    -1,    -1,    -1,    -1,    -1,
    2264,  2265,    -1,    -1,    -1,    -1,   477,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2280,    -1,    -1,   148,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2298,  2299,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2314,  2315,  2316,  2317,    -1,    -1,    -1,    -1,    -1,  2323,
      -1,    -1,    -1,    -1,    -1,    -1,  2330,    -1,    -1,  2333,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   477,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2355,    -1,    -1,  2358,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2368,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   584,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   593,   594,   595,   596,   597,   598,   599,   600,
     601,    -1,    -1,    -1,    -1,  2399,  2400,   266,    -1,    -1,
      -1,    -1,   271,    -1,    -1,    -1,  2410,  2411,    -1,    -1,
    2414,    -1,    -1,  2417,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   294,   295,    -1,  2432,  2433,
      -1,    -1,    -1,    -1,    -1,  2439,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2450,    -1,   584,    -1,
      -1,    -1,    -1,   322,    -1,    -1,    -1,   593,   594,   595,
     596,   597,   598,   599,   600,   601,    -1,    -1,    -1,    -1,
      -1,    -1,  2476,    -1,    -1,    -1,    -1,    -1,    -1,  2483,
      -1,  2485,    -1,    -1,  2488,  2489,  2490,    -1,  2492,  2493,
      -1,  2495,    -1,    -1,    -1,    -1,   365,    -1,  2502,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2513,
      -1,   380,  2516,  2517,   383,    -1,  2520,    -1,    -1,  2523,
    2524,    -1,    -1,    -1,  2528,  2529,    -1,    -1,    -1,    -1,
    2534,  2535,    -1,    -1,    -1,    -1,    -1,  2541,  2542,  2543,
    2544,  2545,  2546,  2547,  2548,  2549,  2550,  2551,  2552,  2553,
      -1,    -1,    -1,  2557,    -1,  2559,  2560,  2561,  2562,  2563,
    2564,  2565,  2566,    -1,    -1,  2569,    -1,  2571,  2572,    -1,
      -1,  2575,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2590,  2591,  2592,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2608,    -1,    -1,    -1,   477,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2648,   514,    -1,    -1,    -1,     3,
      -1,    -1,    -1,    -1,     8,    -1,    -1,    -1,    12,    -1,
      14,    -1,    16,    17,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    27,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    35,    -1,    -1,    -1,    -1,    -1,    41,    42,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,   584,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,   593,   594,   595,   596,   597,   598,
     599,   600,   601,    -1,    -1,    -1,    90,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   101,    -1,   103,
     104,  2755,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   115,    -1,    -1,    -1,    -1,    -1,   121,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   131,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   143,
      -1,   145,   146,    -1,    -1,    -1,    -1,    -1,   152,    -1,
     154,    -1,    -1,    -1,    -1,  2809,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   167,    -1,   169,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     184,    -1,   186,    -1,   188,   189,    -1,    -1,    -1,    -1,
      -1,   195,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     204,    -1,   206,    -1,    -1,    -1,   210,    -1,    -1,    -1,
      -1,  2865,    -1,   217,   218,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   226,    -1,   228,    -1,    -1,    -1,    -1,    -1,
      -1,   235,    -1,    -1,    -1,   239,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   253,
      -1,    -1,    -1,    -1,    -1,    -1,    80,    -1,    -1,    83,
      -1,    -1,    -1,    87,    88,    89,   270,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   105,   286,    -1,   108,    -1,    -1,   291,    -1,    -1,
      -1,   115,    -1,    -1,    -1,    -1,    -1,    -1,   122,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     324,   325,    -1,    -1,   148,    -1,   330,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   338,    -1,    -1,    -1,    -1,    -1,
      -1,   345,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     364,    -1,    -1,    -1,    -1,    -1,   370,    -1,   969,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     981,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   992,    -1,    -1,    -1,    -1,    -1,  3051,  3052,  3053,
    3054,  3055,  3056,  3057,  3058,  3059,    -1,  3061,   412,    -1,
    1011,    -1,    -1,    -1,    -1,    -1,  1017,    -1,  3072,  3073,
      -1,    -1,  3076,   427,    -1,    -1,    -1,    -1,    -1,   433,
     434,    -1,   436,    -1,    -1,    -1,    -1,   441,    -1,    -1,
      -1,    -1,   266,   447,  3098,    -1,   450,   271,    -1,    -1,
      -1,    -1,    -1,   457,    -1,    -1,    -1,    -1,    -1,    -1,
     464,   465,    -1,    -1,    -1,    -1,    -1,    -1,   472,    -1,
     294,   295,   476,    -1,    -1,    -1,  3130,    -1,  3132,    -1,
      -1,  3135,  3136,    -1,   488,  3139,    -1,  3141,    -1,    -1,
    3144,    -1,   496,    -1,  3148,  3149,    -1,    -1,   322,    -1,
      80,   505,    -1,    83,    -1,  3159,    -1,    87,    88,    89,
      -1,    -1,    -1,   517,  3168,  3169,    -1,    -1,    -1,    -1,
      -1,    -1,   526,    -1,   528,   105,    -1,    -1,  3182,    -1,
      -1,   535,    -1,    -1,   538,   115,  3190,   541,  3192,    -1,
     544,   365,   122,    -1,    -1,   549,   550,    -1,    95,    -1,
      -1,    -1,    -1,    -1,   101,    -1,   380,    -1,   562,   383,
      -1,   108,    -1,    -1,    -1,    -1,    -1,    -1,   148,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   586,   130,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   146,
      -1,   605,    -1,    -1,    -1,   609,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3270,    -1,  3272,    -1,
      -1,    -1,    -1,  1224,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3286,    -1,    -1,   182,    -1,    -1,    -1,    -1,
      -1,    -1,  1243,  3297,    -1,    -1,  3300,  3301,  3302,  3303,
      -1,    -1,  3306,   477,    -1,  3309,   203,    -1,    -1,    -1,
      -1,    -1,    -1,   210,    -1,    -1,  1267,   214,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   266,    -1,  3342,    -1,
      -1,   271,    -1,    -1,    -1,   242,    -1,    -1,    -1,    -1,
      -1,  3355,  3356,    -1,    -1,    -1,    -1,    -1,  3362,    -1,
      -1,    -1,    -1,    -1,   294,   295,    -1,  3371,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   274,    -1,    -1,
      -1,   278,    -1,    -1,    -1,    -1,    -1,  3391,    -1,    -1,
      -1,    -1,   322,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3412,    -1,
     584,    -1,    -1,    -1,    -1,    -1,    -1,  1368,    -1,   593,
     594,   595,   596,   597,   598,   599,   600,   601,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   365,    -1,    -1,    -1,    -1,
     337,    -1,    -1,    -1,  3448,   342,    -1,  3451,    -1,    -1,
     380,    -1,    -1,   383,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   358,    -1,    -1,    -1,   362,    -1,    -1,    -1,    -1,
      -1,   401,    -1,  3477,  3478,   372,    -1,    -1,    -1,    -1,
    3484,    -1,    -1,    -1,    -1,   382,    -1,    -1,    -1,    -1,
    3494,    -1,  3496,  3497,    -1,    -1,   393,   394,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3528,  3529,  3530,    -1,    -1,    -1,
    3534,    -1,    -1,  1484,    -1,    -1,    -1,    -1,  3542,    -1,
     437,    -1,    -1,   440,   441,   442,    -1,   477,    -1,    -1,
      -1,  3555,    -1,    -1,    -1,    -1,    -1,  3561,    -1,  3563,
      -1,  1512,  1513,  1514,    -1,    -1,    -1,    -1,    -1,   466,
      -1,    -1,  3576,    -1,    -1,   472,    -1,  3581,    -1,    -1,
      -1,    -1,    -1,  3587,    -1,    -1,  3590,    -1,    -1,    -1,
      -1,   488,    -1,    -1,    -1,    -1,    -1,    -1,  3602,  3603,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3613,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3623,
      -1,  3625,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3649,    -1,    -1,    -1,   546,
      -1,    -1,    -1,    -1,   584,    -1,    -1,    -1,  3662,    -1,
      -1,    -1,    -1,   593,   594,   595,   596,   597,   598,   599,
     600,   601,  3676,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3686,    -1,  3688,    -1,  3690,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    80,    -1,    -1,    83,    -1,    -1,    -1,    87,    88,
      89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   105,    -1,    -1,    -1,
      -1,    -1,  3736,    -1,    -1,    -1,   115,    -1,  1689,    -1,
      -1,    -1,    -1,   122,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   148,
      -1,    -1,  1723,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3791,  3792,    -1,
    3794,    -1,  3796,  3797,    -1,  3799,    -1,    -1,    -1,    -1,
      -1,    -1,  3806,    -1,    -1,    -1,    -1,  3811,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3860,  3861,  3862,    -1,
      -1,  3865,    -1,    -1,    -1,    -1,    -1,    -1,   247,  3873,
    3874,  3875,  3876,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3889,    -1,   266,  3892,    -1,
    3894,    -1,   271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3906,  3907,    -1,    -1,  3910,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   294,   295,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3929,    -1,  3931,    -1,  3933,
      -1,  3935,    -1,    -1,    -1,    -1,    -1,  1888,    80,    -1,
      -1,    83,    -1,   322,    -1,    87,    88,    89,    -1,    -1,
    3954,    -1,    -1,  3957,    -1,    -1,    -1,  3961,    -1,    -1,
      -1,    -1,    -1,   105,  3968,    -1,  1087,    -1,    -1,    -1,
      -1,    -1,    -1,   115,    -1,    -1,    -1,    -1,    -1,  1930,
     122,    -1,    -1,    -1,    -1,    -1,   365,  3991,    -1,    -1,
      -1,    -1,  1113,    -1,    -1,  3999,    -1,    -1,    -1,    -1,
      -1,   380,    -1,    -1,   383,    -1,   148,    -1,    -1,    -1,
    4014,    -1,    -1,    -1,     5,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4028,    -1,    -1,    -1,  4032,    -1,
      -1,  4035,  4036,    24,  4038,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    34,    35,    -1,    -1,    -1,    -1,    -1,
      41,    42,    -1,    -1,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    -1,
      -1,    -1,    73,    -1,    75,    76,    -1,    -1,    -1,    -1,
      81,    -1,    -1,    -1,    -1,    -1,  4100,    -1,   477,    -1,
      -1,    -1,    -1,    -1,    -1,   247,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4124,  4125,    -1,    -1,   266,    -1,    -1,    -1,    -1,   271,
      -1,  2082,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2091,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   139,    -1,
      -1,    -1,   294,   295,    -1,    -1,  4160,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2119,    -1,
      -1,    -1,    -1,    -1,  2125,  2126,    -1,    -1,  2129,    -1,
     322,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2142,    -1,    -1,  2145,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   584,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4217,   593,   594,   595,   596,   597,   598,
     599,   600,   601,   365,    -1,    -1,    -1,   218,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4241,   380,    -1,
      -1,   383,    -1,    -1,    -1,    -1,    -1,  4251,   239,    -1,
      -1,    -1,  2203,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2217,    -1,    -1,    -1,
      -1,    -1,   263,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2245,    -1,    -1,   288,    -1,    -1,
      -1,    -1,    -1,    -1,  4308,  2256,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1448,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   477,    -1,    -1,  1459,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2298,  2299,    -1,
     341,    -1,    -1,   344,  1475,    -1,    -1,    -1,  4362,    -1,
      -1,    -1,    -1,    -1,  4368,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2323,    -1,    -1,  4379,   367,    -1,    -1,  2330,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4416,  4417,  4418,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4433,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   584,    -1,  4448,    -1,    -1,    -1,  1569,    -1,
      -1,   593,   594,   595,   596,   597,   598,   599,   600,   601,
      -1,    -1,    -1,    -1,    -1,  4469,  4470,  4471,    -1,    -1,
      -1,  4475,   463,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4487,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2450,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   518,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4539,    -1,    -1,    -1,    -1,
      -1,  2492,  2493,    -1,   535,    -1,    -1,    -1,    80,    -1,
      -1,    83,    -1,    -1,    -1,    87,    88,    89,  4562,   550,
      -1,    -1,  2513,    -1,    -1,  2516,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   105,    -1,  4579,  4580,    -1,    -1,    -1,
      -1,    -1,    -1,   115,  1705,    -1,  4590,    -1,    -1,   580,
     122,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4603,
      -1,    -1,    -1,    -1,   595,   596,   597,   598,   599,   600,
      -1,    -1,   603,   604,   605,   606,   148,    -1,  4622,   610,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4631,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4645,    -1,    -1,    -1,  4649,  4650,  4651,    -1,    -1,
      -1,    -1,  4656,    -1,    -1,  4659,    -1,    -1,  4662,    -1,
      -1,    -1,    -1,    -1,  4668,    -1,  4670,    -1,    -1,  4673,
      -1,    -1,    -1,    -1,  4678,  4679,  4680,  4681,    -1,    -1,
    4684,  4685,  4686,  4687,  4688,  4689,  4690,  4691,  4692,  4693,
      -1,    -1,    -1,  4697,  4698,  4699,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4707,    -1,    -1,    -1,    -1,  4712,   241,
      -1,    -1,  4716,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4724,    -1,    -1,  4727,    -1,  4729,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   266,    -1,    -1,    -1,    -1,   271,
      -1,  4745,    -1,    -1,  4748,  4749,    -1,    -1,    -1,  4753,
    4754,    -1,    -1,    -1,  4758,    -1,  4760,  4761,    -1,    -1,
      -1,    -1,   294,   295,    -1,  4769,  4770,  4771,    -1,  4773,
      -1,    -1,  4776,  4777,    -1,    -1,    -1,  4781,  4782,  4783,
    4784,    -1,    -1,  4787,    -1,    -1,    -1,    -1,    -1,    -1,
     322,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    80,    -1,    -1,    83,    -1,    -1,
      -1,    87,    88,    89,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,
    4834,    -1,    -1,   365,    -1,    -1,    -1,    -1,    -1,   115,
      -1,    -1,    -1,    -1,    -1,  4849,   122,  4851,   380,    -1,
      -1,   383,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   148,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2008,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4916,  4917,  4918,  4919,    -1,    -1,  4922,    -1,
    4924,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4942,    -1,
      -1,    -1,    -1,    80,   220,   477,    83,    -1,    -1,    -1,
      87,    88,    89,    -1,    -1,  2076,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,    -1,
      -1,    -1,    -1,    -1,    -1,   122,    -1,    -1,    -1,    -1,
     266,    -1,  2113,  4997,    -1,   271,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   148,    -1,    -1,    -1,    -1,    -1,    -1,   294,   295,
      -1,    -1,    -1,    -1,    -1,  2146,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   322,    -1,    -1,    -1,
    5054,    -1,   584,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   593,   594,   595,   596,   597,   598,   599,   600,   601,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5087,    -1,    -1,    -1,    -1,    -1,   365,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5101,    -1,  5103,
      -1,    -1,    -1,    -1,   380,    -1,  5110,   383,    -1,    -1,
      -1,    -1,  5116,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3072,    -1,  5127,    -1,    -1,    -1,    -1,    -1,   266,
      -1,    -1,    -1,    -1,   271,    -1,    -1,  2258,  5142,    -1,
      -1,    -1,    -1,  5147,  5148,    -1,    -1,  3098,  2269,    -1,
      -1,  5155,    -1,    -1,    -1,    -1,    -1,   294,   295,    -1,
    5164,    -1,    -1,    -1,  2285,    -1,    -1,    -1,    -1,    -1,
    5174,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3130,
      -1,    -1,  5186,  5187,    -1,   322,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5197,    -1,    -1,    -1,  3148,  3149,    -1,
      -1,   477,    -1,    -1,  5208,  5209,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2339,    -1,
      -1,    -1,  5226,  5227,  5228,  5229,  5230,    -1,   365,    -1,
      -1,  3182,    -1,    -1,    -1,    -1,    -1,  5241,    -1,    -1,
    2361,    -1,    -1,   380,    -1,    -1,   383,    -1,    -1,    -1,
      -1,    -1,    -1,  2374,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2386,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5283,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5299,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2426,  2427,    -1,   584,    -1,
      -1,    -1,    -1,  5317,    -1,    -1,    -1,   593,   594,   595,
     596,   597,   598,   599,   600,   601,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1087,
     477,  5345,    -1,    -1,  5348,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5356,  5357,    -1,    -1,    -1,    -1,    -1,  5363,
    5364,    -1,    -1,    -1,  5368,  1113,    -1,    -1,    -1,  5373,
      -1,    -1,  5376,  5377,    -1,    -1,    -1,    -1,    -1,  5383,
      -1,    -1,    -1,  5387,  5388,  5389,  5390,    -1,    -1,    -1,
    5394,  5395,  5396,  5397,  5398,    -1,  5400,  5401,    -1,    -1,
    5404,    -1,    -1,    80,  5408,  3356,    83,    -1,  5412,    -1,
      87,    88,    89,    -1,  5418,    -1,    -1,    -1,    -1,    -1,
    3371,   558,    -1,    -1,    -1,    -1,    -1,    -1,   105,    -1,
      -1,    -1,    -1,  5437,    -1,    -1,    -1,    -1,   115,    -1,
    3391,    -1,  5446,    -1,    -1,   122,  5450,   584,    -1,    -1,
    5454,    -1,  5456,    -1,    83,    -1,   593,   594,   595,   596,
     597,   598,   599,   600,   601,    -1,    -1,    -1,  2589,    -1,
      80,   148,  5476,    83,    -1,   104,    -1,    87,    88,    89,
      -1,    -1,    -1,    -1,    -1,   114,   115,    -1,   117,    -1,
      -1,    -1,    -1,    -1,   123,   105,    -1,    -1,   108,  5503,
    5504,    -1,    -1,    -1,    -1,   115,    -1,   136,    -1,    -1,
      -1,    -1,   122,    -1,  5518,    -1,    80,    -1,    -1,    83,
      -1,    -1,    -1,    87,    88,    89,  3477,  3478,    -1,    -1,
      -1,   160,   161,  3484,    -1,    -1,    -1,    -1,   148,    -1,
      -1,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   115,    -1,    -1,    -1,    -1,    -1,    -1,   122,    -1,
      -1,    -1,    -1,    -1,   241,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5584,    -1,    -1,    -1,   148,    -1,    -1,  5591,    -1,   266,
      -1,    -1,    -1,    -1,   271,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5615,    -1,    -1,    -1,    -1,    -1,   294,   295,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5630,    -1,    -1,    -1,
    3581,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   322,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   266,  5661,    -1,    -1,
      -1,   271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5677,    -1,    -1,    -1,    -1,    -1,    -1,
    5684,    -1,    -1,    -1,   294,   295,    -1,    -1,   365,  5693,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1448,    -1,   266,   380,  5708,    -1,   383,   271,    -1,    -1,
     339,  1459,   322,    -1,    -1,    -1,    -1,  5721,    -1,  5723,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1475,    -1,    -1,
     294,   295,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5750,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   365,    -1,  5761,   322,    -1,
      -1,    -1,    -1,  5767,    -1,    -1,    -1,    -1,    -1,    -1,
     380,    -1,    -1,   383,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     477,   365,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   380,    -1,    -1,   383,
    5824,  1569,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5834,    -1,    -1,  5837,    -1,    -1,  5840,  5841,  5842,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5865,  5866,    -1,    -1,  5869,    -1,   477,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5886,    -1,    -1,  5889,    -1,    -1,    -1,  5893,
      -1,    -1,    -1,    -1,  5898,    -1,    -1,  5901,  5902,    -1,
    5904,    -1,  5906,    -1,    -1,  5909,    -1,   584,    -1,    -1,
      -1,    -1,    -1,   477,    -1,    -1,   593,   594,   595,   596,
     597,   598,   599,   600,   601,    -1,  5930,    -1,    -1,  5933,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1705,    -1,  5963,
    5964,  5965,    -1,  5967,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   584,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   593,   594,   595,   596,   597,   598,   599,
     600,   601,    -1,    -1,    -1,  5999,  6000,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3961,    -1,    -1,    -1,    -1,    -1,  6020,  6021,    -1,    -1,
     584,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   593,
     594,   595,   596,   597,   598,   599,   600,   601,    -1,    -1,
    3991,    -1,    95,    -1,  6048,    -1,    -1,    -1,   101,    -1,
      -1,    -1,    -1,    -1,    -1,   108,  6060,    -1,    -1,    -1,
      -1,  6065,    -1,    -1,    -1,    -1,  6070,   696,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6079,    -1,   130,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6089,    -1,    -1,    -1,  6093,
      -1,    -1,  6096,   146,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6107,  6108,  6109,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3238,    -1,    -1,
      -1,  3242,  3243,    -1,    -1,    -1,    -1,    -1,    -1,   182,
      -1,    -1,   761,   762,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6146,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     203,    -1,    -1,    -1,    -1,    -1,    -1,   210,    -1,  6163,
      -1,   214,    -1,  6167,    -1,  6169,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3299,  6183,
      -1,  6185,    -1,    -1,  3305,  6189,    -1,    -1,    -1,   242,
      -1,  6195,    -1,    -1,    -1,  6199,    -1,    -1,    -1,  6203,
      -1,   830,  6206,    -1,  6208,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   274,    -1,    -1,    -1,   278,    -1,    -1,    -1,    -1,
      -1,  3352,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6245,    -1,    -1,    -1,    -1,    -1,    -1,  6252,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2008,    -1,    -1,    -1,  6268,    -1,    -1,    -1,    -1,    -1,
    6274,  6275,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6283,
    6284,  6285,  6286,    -1,   337,    -1,    -1,    -1,    -1,   342,
    4241,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4251,    -1,    -1,    -1,    -1,   358,    -1,    -1,    -1,   362,
    6314,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6322,   372,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2076,   382,
      -1,    -1,   961,    -1,    -1,    -1,   965,    -1,    -1,    -1,
     393,   394,    -1,  6347,   973,    -1,  6350,   976,    -1,    -1,
     979,   980,    -1,   982,    -1,   984,    -1,  4308,   987,    -1,
     989,    -1,    -1,    -1,    -1,  2113,    -1,    -1,    -1,    -1,
      -1,    -1,  6376,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1011,    -1,   437,    -1,    -1,   440,   441,   442,
      -1,    -1,    -1,  1022,    -1,    -1,    -1,  1026,  2146,    -1,
      -1,    -1,  6406,    -1,  1033,  1034,    -1,    -1,  1037,    -1,
    1039,  1040,    -1,   466,  6418,    -1,    -1,    -1,    -1,   472,
      -1,    -1,    -1,  6427,  6428,  6429,    -1,    -1,    -1,  6433,
      -1,  1060,  6436,  1062,    -1,   488,  6440,    -1,    -1,    -1,
      -1,  3562,    -1,  6447,    -1,    -1,    -1,    -1,    -1,    93,
    6454,    -1,    -1,    -1,    98,    -1,    -1,  1086,    -1,    -1,
      -1,    -1,    -1,  6467,    -1,  4416,  4417,  4418,  6472,    -1,
      -1,    -1,    -1,    -1,    -1,  6479,    -1,    -1,  1107,    -1,
    1109,    -1,  4433,    -1,  6488,    -1,  6490,    -1,    -1,  1118,
    1119,    -1,    -1,   546,  6498,    -1,    -1,    -1,    -1,  1128,
      -1,    -1,    -1,    -1,    -1,   149,   150,    -1,    -1,    -1,
    2258,    -1,    -1,    -1,  3635,    -1,    -1,    -1,  3639,  4470,
    4471,  2269,   166,    -1,  4475,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6536,  6537,    -1,    -1,    -1,  2285,    -1,    -1,
     184,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6567,   208,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   221,  6582,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   230,    -1,    -1,    -1,
      -1,  2339,  1221,    -1,  1223,    -1,    -1,    -1,    -1,   243,
      -1,    -1,    -1,    -1,    -1,   249,    -1,    -1,    -1,    -1,
      -1,    -1,  6616,  2361,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2374,    -1,  1257,    -1,
      -1,    -1,   276,  6637,    -1,    -1,    -1,    -1,  2386,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6650,    -1,    -1,  6653,
      -1,    -1,  4603,    -1,    -1,    -1,    -1,  3778,  6662,    -1,
    6664,    -1,  6666,  6667,    -1,    -1,    -1,    -1,    -1,    -1,
     314,  6675,  3793,    -1,    -1,    -1,    -1,  3798,  2426,  2427,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6694,    -1,   336,  1322,    -1,    -1,  1325,    -1,  1327,    -1,
      -1,    -1,    -1,    -1,    -1,  6709,    -1,  3828,    -1,    -1,
      -1,    -1,  6716,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1354,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6742,    -1,
      -1,    -1,    -1,    -1,    -1,  6749,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6759,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6767,  6768,  6769,    -1,    -1,    -1,  6773,
      -1,    -1,    -1,   417,   418,    -1,    -1,   421,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1420,    -1,    -1,    -1,    -1,  6800,    -1,    -1,    -1,
    6804,    -1,    -1,    -1,    -1,   449,  6810,    -1,   452,    -1,
      -1,  6815,  6816,  6817,    -1,   459,    -1,  1446,  4769,  4770,
    4771,    -1,   466,    -1,    -1,   469,    -1,    -1,    -1,    -1,
      -1,    -1,  1461,    -1,  1463,  6839,    -1,    -1,    -1,    -1,
      -1,  2589,    -1,    -1,  1473,    -1,   490,    -1,    -1,    -1,
      -1,  1480,    -1,    -1,   498,    -1,    -1,    -1,    -1,    -1,
      -1,   505,    -1,    -1,   508,    -1,  6870,  6871,  6872,   513,
      -1,    -1,  6876,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   528,    -1,    93,    -1,    -1,    -1,
    6894,    -1,    -1,  1522,    -1,  1524,    -1,  6901,    -1,    -1,
      -1,    -1,    -1,    -1,   111,    -1,    -1,  6911,    -1,    -1,
    6914,   555,    -1,  6917,  6918,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6932,   136,
      -1,    -1,    -1,  6937,    -1,    -1,    -1,    -1,    -1,    -1,
    6944,    -1,   149,    -1,    -1,    -1,    -1,  4068,    -1,    -1,
    4071,    -1,  4073,    -1,    -1,    -1,    -1,  4078,    -1,   166,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6980,   184,    -1,    -1,
      -1,    -1,    -1,   190,  6988,    -1,  6990,  6991,  6992,  6993,
      -1,    -1,    -1,  6997,    -1,    -1,    -1,    -1,    -1,    -1,
    4121,   208,    -1,  7007,    -1,    -1,  7010,    -1,  4129,    -1,
      -1,    -1,    -1,    -1,   221,    -1,    -1,    -1,    -1,    -1,
      -1,  7025,    -1,   230,    -1,    -1,    -1,    -1,    -1,    -1,
      93,    -1,    -1,  4154,    -1,    98,   243,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   252,    -1,    -1,    -1,   256,
      -1,    -1,  7056,    -1,    -1,    -1,    -1,  7061,  7062,    -1,
      -1,    -1,    -1,    -1,  1693,  7069,    -1,    -1,    -1,   276,
      -1,    -1,    -1,   136,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  7088,  7089,   149,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  7099,    -1,    -1,    -1,    -1,
      -1,    -1,  7106,   166,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4233,    -1,  4235,  7119,    -1,    -1,    -1,   326,
      -1,   184,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   336,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   208,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   221,  5110,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   230,    -1,    -1,
      -1,    -1,    -1,   380,    -1,    -1,   383,    -1,    -1,    -1,
     243,    -1,    -1,    -1,    -1,    -1,   249,    -1,    -1,    -1,
      -1,  5142,    -1,   256,    -1,    -1,    -1,    -1,    -1,    -1,
     407,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4333,   276,   421,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   429,  5174,    -1,    -1,    -1,    -1,    -1,    -1,
    1859,  1860,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   449,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   459,    -1,    -1,    -1,  4377,    -1,  5209,   466,
      -1,    -1,   469,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1900,  1901,   336,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   490,  4405,    -1,    -1,    -1,    -1,    -1,
    5241,   498,    -1,    -1,    -1,    -1,    -1,    -1,   505,    -1,
      -1,   508,    -1,   510,    -1,   512,   513,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   380,  1947,    93,
      -1,   528,    -1,  1952,    98,    -1,  1955,    -1,    -1,   536,
     393,    -1,   539,    -1,  1963,   542,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   407,    -1,    -1,    -1,   555,    -1,
    1979,    -1,    -1,    -1,   417,   418,  4477,    -1,   421,    -1,
      -1,    -1,   136,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   149,   150,    -1,  4499,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   449,    -1,   162,   452,
      -1,    -1,   166,   456,    -1,    -1,   459,    -1,    -1,    -1,
      -1,    -1,  4523,   466,    -1,    -1,   469,    -1,    -1,    -1,
     184,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2050,    -1,    -1,    -1,    -1,    -1,   490,    -1,    -1,
      -1,    -1,    -1,    -1,   208,   498,  5387,  5388,  5389,  5390,
      -1,    -1,   505,    -1,    -1,   508,    -1,   221,    -1,    -1,
     513,    -1,    -1,    -1,    -1,    -1,   230,    -1,   521,    -1,
     523,    -1,    -1,    -1,    -1,   528,    -1,    -1,    -1,   243,
      -1,    -1,    -1,    -1,    -1,   249,    -1,    -1,    -1,   542,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2118,
    3238,    -1,   555,    -1,  3242,  3243,    -1,    -1,    -1,    -1,
      -1,    -1,   276,    -1,  4625,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     314,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3299,    -1,    -1,    -1,    -1,  4677,  3305,    -1,    -1,
      -1,    -1,   336,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      98,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4702,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3352,    -1,   380,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   149,    -1,    -1,    -1,  2254,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   407,    -1,    -1,    -1,    -1,   166,    -1,
      -1,    -1,    -1,   417,   418,    -1,    -1,   421,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   184,    -1,    -1,    -1,
    2289,    -1,   190,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   449,    -1,    -1,   452,    -1,
     208,    -1,   456,    -1,    -1,   459,    -1,    -1,    -1,    -1,
      -1,    -1,   466,   221,    -1,   469,    -1,    -1,    -1,    -1,
      -1,    -1,   230,    -1,    -1,    -1,  2335,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   243,   490,    -1,    -1,    -1,
      -1,   249,    -1,    -1,   498,    -1,    -1,    -1,   256,    -1,
      -1,   505,    -1,  2362,   508,    -1,    -1,    -1,    -1,   513,
      -1,    -1,    -1,    -1,    -1,    -1,  4867,   521,   276,   523,
      -1,    -1,    -1,    -1,   528,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   555,    -1,    -1,    -1,    -1,   314,    -1,    -1,    -1,
    2419,    -1,  2421,    -1,    -1,    -1,    -1,    -1,    -1,  5750,
      -1,    -1,    -1,    -1,    -1,    -1,  2435,  2436,   336,  2438,
    5761,    -1,    -1,    -1,  3562,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4961,  2470,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   380,  2482,    -1,    -1,    -1,  2486,    -1,    -1,
      -1,    -1,  2491,    -1,    -1,  2494,    -1,    -1,  4989,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   407,
      -1,    -1,    -1,    -1,    -1,    -1,  2515,  3635,    -1,   417,
     418,  3639,    -1,   421,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   449,    -1,    -1,   452,    -1,    -1,    -1,   456,    -1,
      -1,   459,    -1,    -1,    -1,    -1,    -1,    -1,   466,    -1,
      -1,   469,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   490,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     498,    -1,    -1,    -1,    -1,   503,    -1,   505,    -1,    -1,
     508,    -1,    -1,    -1,    -1,   513,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   523,    -1,    -1,    -1,    -1,
     528,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5133,    -1,   542,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   555,    -1,    -1,
    3778,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3793,    -1,    -1,    -1,    -1,
    3798,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5182,    -1,    -1,  5185,    -1,    -1,    -1,    -1,  6020,
    6021,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3828,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6065,    -1,    -1,    -1,    -1,  6070,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6089,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5359,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6245,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4068,    -1,    -1,  4071,    -1,  4073,    -1,    -1,    -1,    -1,
    4078,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    81,    -1,    83,    84,    -1,
      86,    -1,    -1,    -1,    -1,  5486,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4121,    -1,    -1,    -1,    -1,   104,    -1,
      -1,  4129,   108,    -1,    -1,    -1,    -1,    -1,   114,   115,
      -1,   117,    -1,    -1,    -1,    -1,  6347,   123,    -1,   125,
      -1,    -1,    -1,    -1,    -1,    -1,  4154,   133,    -1,    -1,
     136,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5539,    -1,
      -1,    -1,    -1,    -1,    -1,  6376,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5561,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3079,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4233,    -1,  4235,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5635,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4333,    -1,  3216,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3232,  3233,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   339,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3251,  3252,    -1,    -1,    -1,  3256,  3257,  4377,
      -1,    -1,  3261,  3262,    -1,    -1,  5757,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3276,    -1,    -1,
      -1,  3280,    -1,    -1,    -1,  3284,  3285,  4405,    -1,  3288,
    3289,    -1,    -1,    -1,    -1,    -1,  3295,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3307,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3319,    -1,    -1,    -1,    -1,  3324,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3339,    -1,    -1,    -1,  3343,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3354,    -1,    -1,  3357,  4477,
    3359,  3360,  3361,    -1,    -1,    -1,    -1,  3366,  3367,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3376,    -1,    -1,
      -1,  4499,    -1,  3382,    -1,   106,    -1,  3386,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3396,  3397,    -1,
      -1,    -1,  3401,    -1,    -1,  4523,    -1,    -1,  3407,  3408,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     141,    -1,  3421,    -1,    -1,  3424,   147,   148,    -1,    -1,
      -1,    -1,  3431,  3432,    -1,    -1,    -1,    -1,  3437,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3449,    -1,    -1,  3452,    -1,    -1,    -1,    -1,  3457,    -1,
      -1,    -1,    -1,    -1,  3463,  3464,    -1,  3466,    -1,  3468,
      -1,    -1,  3471,  3472,    -1,    -1,  3475,    -1,    -1,    -1,
      -1,  3480,  3481,  3482,  3483,    -1,    -1,  3486,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5988,    -1,    -1,
      -1,  3500,  3501,    -1,  3503,    -1,    -1,  4625,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3514,  3515,  3516,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4677,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3571,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3579,    -1,    -1,    -1,  4702,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3598,
     696,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6112,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3648,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   761,   762,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3689,    -1,  3691,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6205,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3731,    -1,   830,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3746,    -1,  4867,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6258,    -1,    -1,
      -1,    -1,  6263,  6264,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3800,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4961,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   951,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4989,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6381,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1059,  1060,    -1,  1062,    -1,    -1,    -1,
    1066,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5133,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1124,    -1,
      -1,  1127,  1128,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1143,    -1,  1145,
      -1,  1147,    -1,    -1,    -1,    -1,    -1,  1153,    -1,    -1,
      -1,  1157,    -1,    -1,  5182,    -1,    -1,  5185,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1179,  1180,    -1,    -1,  1183,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4097,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4116,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1221,    -1,  1223,    -1,    -1,
      -1,    -1,    -1,    -1,  4133,    -1,    -1,    -1,  4137,    -1,
      -1,    -1,    -1,  4142,  4143,  4144,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4164,  6657,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4187,  4188,
    4189,  4190,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1308,  1309,    -1,    -1,  1312,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4225,    -1,  4227,  4228,
    4229,    -1,    -1,    -1,    -1,    -1,    -1,   958,    -1,    -1,
      -1,  5359,    -1,    -1,    -1,    -1,   967,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   975,    -1,    -1,   978,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1367,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1438,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4349,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4358,
      -1,  1082,    -1,    -1,    -1,    -1,  1087,    -1,  5486,    -1,
    1091,    -1,    -1,    -1,    -1,    -1,    -1,  1098,    -1,    -1,
    1101,    -1,    -1,    -1,    -1,  4384,  4385,    -1,    -1,    -1,
    4389,    -1,  1113,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4411,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5539,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5561,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4456,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4467,    -1,
      -1,    -1,    -1,  4472,    -1,    -1,    -1,    -1,    -1,  4478,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1218,  1219,    -1,
      -1,    -1,    -1,    -1,  1225,    -1,    -1,    -1,  1229,  4508,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5635,    -1,  4518,
      -1,    -1,  4521,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  7024,    -1,  1256,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4556,    -1,  4558,
      -1,    -1,  1658,    -1,  1660,    -1,    -1,  1663,    -1,  1665,
      -1,    -1,  1668,  1669,  1670,    -1,  4575,    -1,  1674,    -1,
      -1,    -1,    -1,    -1,    -1,  1681,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1696,    -1,  1698,    -1,    -1,    -1,    -1,    -1,  1704,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5757,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1405,  1406,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1429,  1430,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1443,    -1,    -1,    -1,    -1,  1448,  1449,    -1,
      -1,    -1,  1453,    -1,  1455,    -1,    -1,    -1,  1459,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1847,    -1,    -1,  1475,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1859,  1860,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1876,    -1,    -1,    -1,    -1,  1881,  1882,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1518,    -1,  1520,
    1521,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1569,    -1,
      -1,  1947,    -1,  1949,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1959,    -1,    -1,    -1,    -1,    -1,    -1,
    5988,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4879,    -1,  4881,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4894,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2001,    -1,  4906,    -1,    -1,
      -1,  4910,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4921,    -1,    -1,    -1,    -1,    -1,  1649,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4940,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2054,  4958,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4966,  2064,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1705,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4991,    -1,  6112,    -1,  4995,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5010,  5011,  5012,  5013,    -1,    -1,    -1,    -1,  1740,
      -1,  5020,  5021,  5022,  5023,    -1,    -1,    -1,    -1,    -1,
      -1,  5030,  5031,    -1,    -1,    -1,    -1,    -1,  5037,  5038,
      -1,  5040,  5041,  5042,  5043,  5044,  5045,  5046,    -1,    -1,
      -1,  2147,    -1,    -1,  2150,  2151,    -1,  5056,    -1,    -1,
    1781,  5060,  5061,  5062,  5063,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5084,    -1,  6205,    -1,  1810,
    1811,  1812,    -1,  1814,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1835,  1087,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6258,  1113,    -1,    -1,    -1,  6263,  6264,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2263,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5178,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1914,    -1,    -1,    -1,  1918,  1919,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5211,  1934,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5233,    -1,  5235,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5243,  5244,  5245,  5246,  5247,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6381,    -1,  5264,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2008,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2025,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2066,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2076,    -1,    -1,  2454,    -1,
    2456,    -1,    -1,    -1,  2460,    -1,  2462,    -1,    -1,  2465,
      -1,    -1,    -1,  2469,    -1,    -1,    -1,    -1,  2474,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2113,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2122,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2139,    -1,
      -1,    -1,    -1,    -1,    -1,  2146,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1448,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1459,  5487,  5488,
    5489,    -1,    -1,    -1,  5493,  5494,  5495,  5496,    -1,    -1,
      -1,  5500,    -1,  1475,    -1,    -1,    -1,    -1,  2229,  2230,
    2231,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2258,    -1,  6657,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2269,    -1,
      -1,    -1,  5551,  5552,  5553,  5554,  5555,    -1,  5557,  5558,
      -1,    -1,    -1,    -1,  2285,    -1,    -1,    -1,    -1,    -1,
    5569,  5570,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1569,    -1,    -1,
      -1,    -1,    -1,    -1,  5603,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5613,  5614,    -1,  5616,  2339,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2355,    -1,    -1,  2358,    -1,    -1,
    2361,    -1,    -1,    -1,    -1,    -1,    -1,  2368,    -1,    -1,
      -1,    -1,    -1,  2374,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2386,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2399,  2400,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2414,    -1,    -1,  2417,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2426,  2427,    -1,  5707,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1705,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2485,    -1,    -1,    -1,  2489,  2490,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5783,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2528,  2529,    -1,
      -1,    -1,    -1,  2534,  2535,    -1,  5815,    -1,    -1,    -1,
    2541,  2542,  2543,  2544,  2545,  2546,  2547,  2548,  2549,  2550,
    2551,  2552,  2553,    -1,    -1,    -1,  2557,    -1,  2559,    -1,
    2561,  2562,  2563,  2564,  2565,  2566,    -1,    -1,  2569,    -1,
    2571,  2572,    -1,    -1,  2575,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2589,  2590,
    2591,  2592,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2608,    -1,    -1,
      -1,    -1,  5891,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  7024,  5906,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3072,    -1,    -1,    -1,
      -1,    -1,    -1,  3079,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5990,    -1,  3089,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6009,    -1,    -1,    -1,    -1,    -1,  6015,  6016,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6029,    -1,    -1,    -1,  2755,    -1,  2008,  6036,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6071,  6072,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6084,    -1,  6086,  2809,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6101,    -1,  2076,    -1,    -1,    -1,    -1,  3205,
      -1,    -1,    -1,    -1,    -1,  3211,    -1,  3213,    -1,    -1,
    3216,    -1,    -1,    -1,    -1,    -1,    -1,  6126,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6137,    -1,
      -1,  2113,    -1,    -1,  2865,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3268,    -1,  2146,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1087,  6192,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6203,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1113,    -1,
    6219,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6233,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6257,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2258,    -1,  6287,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2269,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2285,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6328,
    3051,  3052,  3053,  3054,  3055,  3056,  3057,  3058,  3059,    -1,
    3061,    -1,    -1,    -1,    -1,    -1,  3442,    -1,    -1,    -1,
      -1,    -1,  3073,    -1,  3450,  3076,    -1,  3453,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2339,    -1,  3465,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2361,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6399,    -1,  2374,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3132,    -1,    -1,  2386,  3136,    -1,    -1,  3139,    -1,
    3141,    -1,    -1,  3144,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3159,    -1,
      -1,    -1,    -1,    -1,    -1,  6444,    -1,  3168,  3169,    -1,
      -1,    -1,    -1,    -1,  2426,  2427,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6486,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6510,    -1,    -1,    -1,    -1,    -1,  3238,    -1,    -1,
      -1,  3242,  3243,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1448,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1459,  3286,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6572,    -1,    -1,  3297,    -1,  3299,  3300,
    1475,  3302,  3303,    -1,  3305,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3330,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2589,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3352,    -1,    -1,    -1,  3731,  3732,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6646,    -1,    -1,
      -1,    -1,    -1,  3749,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1569,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6693,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3425,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6726,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6737,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3528,  3529,  3530,
    1705,    -1,    -1,  3534,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3561,  3562,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6859,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3977,  3603,    -1,    -1,    -1,  3982,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3635,    -1,    -1,    -1,  3639,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3662,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3778,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3791,    -1,  3793,  3794,    -1,  3796,  3797,  3798,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3806,    -1,    -1,    -1,    -1,
    3811,    -1,  7091,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3828,    -1,    -1,
      -1,    -1,    -1,  2008,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3860,
    3861,  3862,    -1,    -1,  3865,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3873,  3874,  3875,  3876,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3889,    -1,
      -1,  3892,    -1,  3894,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2076,    -1,    -1,    -1,  3906,  3907,    -1,    -1,  3910,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3931,    -1,  3933,    -1,  3935,    -1,    -1,    -1,  2113,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3954,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3968,    -1,    -1,
      -1,  2146,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3238,    -1,    -1,    -1,
    3242,  3243,    -1,    -1,    -1,    -1,    -1,    -1,  3999,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4014,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4028,    -1,  4405,
      -1,    -1,    -1,    -1,    -1,  4036,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3299,    -1,    -1,
      -1,    -1,    -1,  3305,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4068,    -1,    -1,
    4071,    -1,  4073,    -1,    -1,    -1,    -1,  4078,    -1,    -1,
      -1,    -1,    -1,  2258,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2269,    -1,  4472,    -1,    -1,  4100,
    3352,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2285,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4121,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4129,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4521,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4154,    -1,    -1,    -1,    -1,    -1,  4160,
      -1,    -1,    -1,    -1,  2339,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2361,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2374,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2386,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4233,    -1,  4235,  4611,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2426,  2427,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3562,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4333,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4362,    -1,    -1,    -1,    -1,    -1,  4368,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4377,    -1,    -1,    -1,
      -1,    -1,    -1,  3635,    -1,    -1,    -1,  3639,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4405,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2589,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4448,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4477,    -1,    -1,    -1,
    4856,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4499,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4523,    -1,    -1,    -1,  3778,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3793,    -1,    -1,    -1,    -1,  3798,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3828,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4961,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4989,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4622,    -1,    -1,  4625,    -1,    -1,  5003,    -1,    -1,
    4631,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5014,    -1,
      -1,    -1,    -1,    -1,  4645,    -1,    -1,    -1,  4649,  4650,
    4651,    -1,    -1,    -1,    -1,  4656,    -1,    -1,  4659,    -1,
      -1,  4662,    -1,    -1,    -1,    -1,    -1,  4668,    -1,  4670,
      -1,    -1,  4673,    -1,    -1,    -1,  4677,  4678,  4679,  4680,
    4681,    -1,    -1,  4684,  4685,  4686,  4687,  4688,  4689,  4690,
    4691,  4692,  4693,    -1,    -1,    -1,  4697,  4698,  4699,    -1,
      -1,  4702,    -1,    -1,    -1,    -1,  4707,    -1,    -1,    -1,
      -1,  4712,    -1,    -1,    -1,  4716,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4724,    -1,    -1,  4727,    -1,  4729,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4745,    -1,    -1,  4748,  4749,    -1,
      -1,    -1,  4753,  4754,    -1,    -1,    -1,  4758,    -1,  4760,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4773,    -1,    -1,  4776,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4787,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5182,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   106,    -1,  4068,    -1,    -1,  4071,
      -1,  4073,    -1,    -1,    -1,    -1,  4078,    -1,    -1,    -1,
      -1,    -1,    -1,  4834,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4851,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4867,    -1,    -1,  4121,
      -1,    -1,    -1,  5249,    -1,    -1,    -1,  4129,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1087,    -1,
      -1,    -1,  4154,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4916,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1113,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4961,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4233,    -1,  4235,    -1,    -1,    -1,    -1,  4989,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5433,    -1,    -1,
      -1,    -1,    -1,  3238,    -1,    -1,    -1,  3242,  3243,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4333,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3299,  4377,    -1,    -1,    -1,    -1,
    3305,    -1,  5133,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5521,  5147,  5148,    -1,    -1,
      -1,  5527,    -1,  4405,    -1,    -1,  5532,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3352,    -1,    -1,
      -1,  5182,    -1,    -1,  5185,  5186,  5187,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5197,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4477,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4499,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1448,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1459,  4523,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5283,    -1,    -1,    -1,  1475,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5299,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5317,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5345,    -1,    -1,  5348,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5356,  5357,    -1,  5359,    -1,
      -1,    -1,  5363,  5364,    -1,    -1,    -1,  5368,    -1,    -1,
      -1,    -1,  5373,  4625,    -1,  5376,  5377,    -1,    -1,    -1,
    1569,    -1,  5383,    -1,    -1,    -1,    -1,  3562,    -1,    -1,
      -1,    -1,    -1,  5394,    -1,    -1,    -1,    -1,    -1,  5400,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5408,    -1,    -1,
      -1,  5412,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4677,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5446,    -1,    -1,    -1,    -1,
    4702,    -1,    -1,  5454,    -1,    -1,    -1,    -1,    -1,    -1,
    3635,    -1,    -1,    -1,  3639,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5486,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5504,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1705,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5539,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5923,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5561,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5584,    -1,    -1,    -1,    -1,    -1,    -1,
    5591,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3778,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5988,    -1,    -1,  4867,    -1,    -1,  3793,    -1,
      -1,    -1,    -1,  3798,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5635,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3828,    -1,    -1,    -1,    -1,    -1,    -1,
    5661,    -1,    -1,    -1,    -1,    -1,   958,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   967,  5677,    -1,    -1,    -1,
      -1,    -1,    -1,   975,    -1,    -1,   978,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5708,    -1,  4961,
    6086,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4989,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5755,    -1,  5757,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1082,    -1,    -1,    -1,    -1,  1087,    -1,    -1,    -1,  1091,
      -1,    -1,    -1,    -1,    -1,    -1,  1098,    -1,    -1,  1101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2008,
      -1,  1113,    -1,  5824,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5834,    -1,    -1,  5837,    -1,    -1,  5840,
    5841,  5842,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5865,  5866,    -1,    -1,  5869,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5133,    -1,    -1,    -1,  5886,    -1,  2076,    -1,    -1,
      -1,    -1,  5893,  4068,    -1,    -1,  4071,  5898,  4073,    -1,
    5901,  5902,    -1,  4078,    -1,    -1,    -1,    -1,  5909,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6294,    -1,
      -1,    -1,    -1,    -1,  2113,    -1,  1218,  1219,    -1,  5930,
    5182,    -1,  5933,  5185,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4121,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4129,    -1,    -1,  2146,    -1,    -1,
      -1,    -1,  5963,    -1,  1256,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4154,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5988,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5999,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6402,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6048,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4233,    -1,
    4235,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2258,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2269,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2285,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5359,  6109,    -1,
      -1,  6112,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1429,  1430,    -1,
      -1,    -1,    -1,    -1,    -1,  6146,    -1,    -1,    -1,    -1,
    2339,  1443,    -1,    -1,    -1,    -1,  1448,  1449,  4333,    -1,
      -1,  1453,  6163,  1455,    -1,    -1,  6167,  1459,  6169,    -1,
      -1,    -1,  2361,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1087,    -1,  6183,  1475,  6185,  2374,    -1,    -1,  6189,    -1,
      -1,    -1,    -1,    -1,  6195,    -1,    -1,  2386,  6199,    -1,
      -1,    -1,  4377,    -1,  6205,  6206,  1113,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1518,    -1,  1520,  1521,
    4405,    -1,    -1,    -1,  5486,    -1,    -1,  2426,  2427,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6252,    -1,    -1,    -1,    -1,    -1,  6258,    -1,    -1,
      -1,    -1,  6263,  6264,    -1,    -1,    -1,  6268,    -1,    -1,
      -1,    -1,    -1,  6274,  6275,    -1,    -1,  1569,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5539,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4477,    -1,    -1,    -1,    -1,    -1,    -1,  5561,
      -1,    -1,    -1,  6314,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6322,    -1,    -1,  4499,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4523,  6350,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1649,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6380,
    6381,    -1,    -1,  5635,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2589,    -1,    -1,    -1,    -1,  6406,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1705,    -1,    -1,    -1,  6418,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6427,  6428,  6429,    -1,
      -1,    -1,  6433,    -1,    -1,  6436,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6447,    -1,  1740,    -1,
    4625,    -1,    -1,  6454,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6472,    -1,    -1,    -1,    -1,    -1,    -1,  6479,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1781,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6498,    -1,    -1,
      -1,    -1,  4677,    -1,    -1,  5757,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1810,  1811,
    1812,    -1,  1814,    -1,    -1,    -1,    -1,  4702,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1448,    -1,  1835,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1459,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1475,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6582,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1914,    -1,    -1,    -1,  1918,  1919,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6637,    -1,    -1,    -1,
      -1,    -1,  1934,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6653,    -1,    -1,    -1,  6657,    -1,    -1,    -1,
      -1,  6662,  1569,  6664,    -1,  6666,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4867,  6694,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2008,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5988,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6749,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6759,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6767,  6768,    -1,    -1,
      -1,    -1,  6773,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2076,    -1,  4961,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1705,  6800,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6810,
      -1,    -1,    -1,    -1,  4989,    -1,    -1,    -1,    -1,    -1,
      -1,  2113,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2146,    -1,    -1,    -1,    -1,    -1,
    6112,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6870,
      -1,    -1,    -1,    -1,    -1,  6876,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6894,    -1,    -1,    -1,    -1,    -1,    -1,
    6901,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6911,    -1,    -1,  6914,    -1,    -1,  6917,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2229,  2230,  2231,
      -1,    -1,    -1,  6944,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6205,    -1,    -1,    -1,    -1,  5133,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2258,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2269,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6988,    -1,    -1,
      -1,  6992,    -1,  2285,    -1,    -1,  6997,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6258,  5182,    -1,  7010,
    5185,  6263,  6264,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  7024,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2339,    -1,  3238,
      -1,    -1,    -1,  3242,  3243,    -1,    -1,    -1,    -1,    -1,
    7061,  7062,    -1,  2355,    -1,    -1,  2358,    -1,  7069,  2361,
      -1,    -1,    -1,    -1,    -1,    -1,  2368,    -1,    -1,    -1,
      -1,    -1,  2374,    -1,    -1,    -1,    -1,  7088,  7089,    -1,
      -1,    -1,    -1,    -1,  2386,    -1,    -1,    -1,    -1,    -1,
      -1,  2008,    -1,    -1,    -1,    -1,    -1,  2399,  2400,    -1,
    3299,    -1,    -1,    -1,    -1,    -1,  3305,    -1,    -1,    -1,
      -1,    -1,  2414,    -1,    -1,  2417,    -1,    -1,    -1,  6381,
      -1,    -1,    -1,    -1,  2426,  2427,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3352,    -1,    -1,    -1,    -1,    -1,  2076,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5359,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2485,    -1,    -1,    -1,  2489,  2490,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2113,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2528,  2529,    -1,  2146,
      -1,    -1,  2534,  2535,    -1,    -1,    -1,    -1,    -1,  2541,
    2542,  2543,  2544,  2545,  2546,  2547,  2548,  2549,  2550,  2551,
    2552,  2553,    -1,    -1,    -1,  2557,    -1,  2559,    -1,  2561,
    2562,  2563,  2564,  2565,  2566,    -1,    -1,  2569,    -1,  2571,
    2572,    -1,    -1,  2575,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2589,  2590,  2591,
    2592,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5486,    -1,    -1,    -1,    -1,  2608,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2258,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2269,    -1,  5539,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3562,    -1,    -1,    -1,    -1,  2285,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5561,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6657,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2339,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3635,    -1,    -1,    -1,
    3639,    -1,    -1,    -1,  2361,    -1,    -1,    -1,    -1,    -1,
    5635,    -1,    -1,  2755,    -1,    -1,    -1,  2374,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2386,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2809,    -1,  2426,
    2427,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2865,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5757,    -1,    -1,    -1,    -1,    -1,    -1,  3778,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3793,    -1,    -1,    -1,    -1,  3798,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1087,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3828,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1113,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2589,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3051,
    3052,  3053,  3054,  3055,  3056,  3057,  3058,  3059,    -1,  3061,
      -1,    -1,  7024,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3073,    -1,    -1,  3076,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5988,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3132,    -1,    -1,    -1,  3136,    -1,    -1,  3139,    -1,  3141,
      -1,    -1,  3144,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3159,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3168,  3169,    -1,  4068,
      -1,    -1,  4071,    -1,  4073,    -1,    -1,    -1,    -1,  4078,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4121,    -1,    -1,    -1,    -1,  6112,    -1,    -1,
    4129,    -1,    -1,    -1,    -1,    -1,  3238,    -1,    -1,    -1,
    3242,  3243,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4154,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1448,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1459,  3286,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3297,    -1,  3299,  3300,  1475,
    3302,  3303,    -1,  3305,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6205,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4233,    -1,  4235,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3352,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6258,    -1,    -1,    -1,    -1,  6263,  6264,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1569,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4333,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4377,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6381,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4405,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3528,  3529,  3530,  1705,
      -1,    -1,  3534,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3561,
    3562,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4477,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4499,  3603,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3238,    -1,    -1,  4523,  3242,  3243,    -1,    -1,    -1,
      -1,    -1,    -1,  3635,    -1,    -1,    -1,  3639,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3662,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3299,    -1,    -1,    -1,    -1,    -1,  3305,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4625,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3352,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6657,    -1,    -1,    -1,  3778,    -1,  4677,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3791,
      -1,  3793,  3794,    -1,  3796,  3797,  3798,    -1,    -1,    -1,
      -1,    -1,    -1,  4702,  3806,    -1,    -1,    -1,    -1,  3811,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3828,    -1,    -1,    -1,
      -1,    -1,  2008,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3860,  3861,
    3862,    -1,    -1,  3865,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3873,  3874,  3875,  3876,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3889,    -1,    -1,
    3892,    -1,  3894,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2076,    -1,    -1,    -1,  3906,  3907,    -1,    -1,  3910,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3931,
      -1,  3933,    -1,  3935,    -1,    -1,    -1,  2113,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3562,    -1,    -1,    -1,    -1,
      -1,    -1,  3954,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3968,    -1,  4867,    -1,
    2146,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3999,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4014,    -1,    -1,    -1,    -1,    -1,  3635,    -1,
      -1,    -1,  3639,    -1,    -1,    -1,  4028,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4036,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4961,    -1,    -1,    -1,  4068,    -1,    -1,  4071,
      -1,  4073,    -1,    -1,    -1,    -1,  4078,    -1,    -1,    -1,
      -1,    -1,  2258,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4989,    -1,    -1,  2269,    -1,    -1,    -1,    -1,  4100,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2285,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4121,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4129,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  7024,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4154,    -1,    -1,    -1,    -1,    -1,  4160,    -1,
      -1,  3778,    -1,  2339,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3793,    -1,    -1,    -1,
      -1,  3798,    -1,    -1,    -1,  2361,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2374,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2386,  3828,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4233,    -1,  4235,  5133,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2426,  2427,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5182,    -1,    -1,  5185,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4333,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4362,    -1,    -1,    -1,    -1,    -1,  4368,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4377,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4405,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2589,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4448,    -1,    -1,    -1,
      -1,  4068,    -1,    -1,  4071,    -1,  4073,    -1,    -1,    -1,
    5359,  4078,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4477,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4499,    -1,    -1,
      -1,    -1,    -1,    -1,  4121,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4129,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4523,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4154,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5486,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4233,    -1,  4235,    -1,
    4622,    -1,    -1,  4625,    -1,    -1,    -1,    -1,    -1,  4631,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5539,    -1,    -1,  4645,    -1,    -1,    -1,  4649,  4650,  4651,
      -1,    -1,    -1,    -1,  4656,    -1,    -1,  4659,    -1,    -1,
    4662,    -1,  5561,    -1,    -1,    -1,  4668,    -1,  4670,    -1,
      -1,  4673,    -1,    -1,    -1,  4677,  4678,  4679,  4680,  4681,
      -1,    -1,  4684,  4685,  4686,  4687,  4688,  4689,  4690,  4691,
    4692,  4693,    -1,    -1,    -1,  4697,  4698,  4699,    -1,    -1,
    4702,    -1,    -1,    -1,    -1,  4707,    -1,    -1,    -1,    -1,
    4712,    -1,    -1,    -1,  4716,    -1,  4333,    -1,    -1,    -1,
      -1,    -1,  4724,    -1,    -1,  4727,    -1,  4729,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5635,    -1,    -1,    -1,
      -1,    -1,    -1,  4745,    -1,    -1,  4748,  4749,    -1,    -1,
      -1,  4753,  4754,    -1,    -1,    -1,  4758,    -1,  4760,    -1,
    4377,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4773,    -1,    -1,  4776,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4787,    -1,    -1,  4405,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4834,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4851,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5757,    -1,
    4477,    -1,    -1,    -1,    -1,  4867,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4499,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4523,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4916,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4961,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4989,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1218,  1219,    -1,    -1,    -1,  4625,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4677,    -1,  3238,    -1,    -1,    -1,  3242,  3243,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4702,    -1,    -1,    -1,  5988,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3299,    -1,    -1,    -1,    -1,    -1,  3305,
      -1,  5133,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5147,  5148,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3352,    -1,    -1,    -1,
    5182,    -1,    -1,  5185,  5186,  5187,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5197,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6112,  1429,  1430,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4867,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5283,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5299,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6205,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5317,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5345,  4961,    -1,  5348,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5356,  5357,    -1,  5359,    -1,  6258,
      -1,  5363,  5364,    -1,  6263,  6264,  5368,    -1,    -1,    -1,
      -1,  5373,  4989,    -1,  5376,  5377,    -1,    -1,    -1,    -1,
      -1,  5383,    -1,    -1,  1827,    -1,  3562,    -1,    -1,    -1,
      -1,    -1,  5394,    -1,    -1,    -1,    -1,    -1,  5400,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5408,    -1,    -1,    -1,
    5412,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5446,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5454,    -1,  1897,    -1,    -1,    -1,    -1,  3635,
      -1,    -1,    -1,  3639,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6381,    -1,  5486,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5504,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5133,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1740,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5539,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5561,
      -1,    -1,    -1,    -1,    -1,  5182,  1781,    -1,  5185,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5584,    -1,    -1,    -1,    -1,    -1,    -1,  5591,
      -1,    -1,    -1,    -1,    -1,  1810,  1811,  1812,    -1,  1814,
      -1,    -1,  3778,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3793,    -1,    -1,
    1835,    -1,  3798,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5635,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3828,    -1,    -1,    -1,    -1,    -1,    -1,  5661,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5677,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1914,
      -1,    -1,    -1,  1918,  1919,    -1,  5708,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5359,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5755,    -1,  5757,    -1,    -1,  6657,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2235,    -1,    -1,    -1,  2239,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5824,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5834,    -1,    -1,  5837,    -1,    -1,  5840,  5841,
    5842,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5865,  5866,    -1,    -1,  5869,    -1,  5486,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5886,    -1,    -1,    -1,    -1,    -1,
      -1,  5893,  4068,    -1,    -1,  4071,  5898,  4073,    -1,  5901,
    5902,    -1,  4078,    -1,    -1,    -1,    -1,  5909,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5539,    -1,    -1,    -1,    -1,    -1,  5930,    -1,
      -1,  5933,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5561,  4121,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4129,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5963,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4154,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5988,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5999,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2229,  2230,  2231,    -1,  5635,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6048,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4233,    -1,  4235,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2532,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6109,    -1,    -1,
    6112,    -1,    -1,    -1,    -1,  2558,    -1,    -1,    -1,  2562,
      -1,    -1,    -1,    -1,    -1,  7024,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2577,  2578,  2579,    -1,    -1,  2582,
    5757,    -1,    -1,    -1,  6146,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4333,    -1,    -1,
      -1,  6163,    -1,    -1,    -1,  6167,    -1,  6169,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6183,    -1,  6185,    -1,    -1,    -1,  6189,    -1,    -1,
      -1,    -1,    -1,  6195,    -1,    -1,    -1,  6199,    -1,    -1,
      -1,  4377,    -1,  6205,  6206,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4405,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6252,    -1,    -1,    -1,    -1,    -1,  6258,    -1,    -1,    -1,
      -1,  6263,  6264,    -1,    -1,    -1,  6268,    -1,    -1,    -1,
      -1,    -1,  6274,  6275,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4477,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6314,    -1,    -1,    -1,    -1,    -1,    -1,  2534,
    6322,    -1,    -1,  4499,    -1,    -1,    -1,    -1,  2543,  2544,
    2545,  2546,  2547,  2548,  2549,  2550,  2551,  2552,    -1,    -1,
      -1,    -1,  2557,    -1,  2559,    -1,  2561,  4523,  6350,  2564,
    2565,  2566,    -1,    -1,    -1,    -1,    -1,  2572,    -1,    -1,
    2575,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5988,    -1,    -1,    -1,  2590,  2591,  2592,  6380,  6381,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2608,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6406,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6418,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6427,  6428,  6429,    -1,    -1,
      -1,  6433,    -1,    -1,  6436,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6447,    -1,    -1,    -1,  4625,
      -1,    -1,  6454,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6472,    -1,    -1,    -1,    -1,    -1,    -1,  6479,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6112,  6498,    -1,    -1,    -1,
      -1,  4677,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4702,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2755,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6582,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6205,    -1,
      -1,    -1,    -1,    -1,  2809,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3069,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6637,    -1,    -1,    -1,    -1,
      -1,  6258,    -1,    -1,    -1,    -1,  6263,  6264,    -1,    -1,
    2865,  6653,    -1,    -1,    -1,  6657,    -1,    -1,    -1,    -1,
    6662,    -1,  6664,    -1,  6666,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4867,  6694,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3155,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3167,    -1,    -1,    -1,    -1,  3172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6749,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6759,    -1,    -1,
      -1,    -1,    -1,    -1,  6381,  6767,  6768,    -1,    -1,    -1,
      -1,  6773,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4961,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6800,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6810,    -1,
      -1,    -1,    -1,  4989,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3051,  3052,  3053,  3054,
    3055,  3056,  3057,  3058,  3059,    -1,  3061,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3073,    -1,
      -1,  3076,    -1,    -1,    -1,    -1,    -1,    -1,  6870,    -1,
      -1,    -1,    -1,    -1,  6876,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6894,    -1,    -1,    -1,    -1,    -1,    -1,  6901,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6911,
      -1,    -1,  6914,    -1,    -1,  6917,    -1,  3132,    -1,    -1,
      -1,  3136,    -1,    -1,  3139,    -1,  3141,    -1,    -1,  3144,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6944,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3168,  3169,    -1,    -1,  5133,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6988,    -1,    -1,    -1,
    6992,    -1,    -1,    -1,    -1,  6997,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5182,    -1,  7010,  5185,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  7024,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6657,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  7061,
    7062,    -1,    -1,    -1,    -1,    -1,    -1,  7069,    -1,    -1,
      -1,  3286,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  7088,  7089,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5359,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5486,    -1,    -1,  3528,  3529,  3530,    -1,    -1,    -1,  3534,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3561,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5539,    -1,    -1,  3809,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3826,    -1,  5561,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3836,    -1,    -1,    -1,    -1,    -1,  3842,
      -1,    -1,  3845,    -1,    -1,    -1,    -1,  7024,    -1,  3852,
    3853,    -1,  3855,    -1,    -1,    -1,    -1,  3860,  3861,    -1,
    3863,    -1,  3865,    -1,    -1,    -1,  3869,    -1,    -1,  3872,
      -1,    -1,    -1,    -1,  3877,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3886,    -1,    -1,    -1,    -1,  3891,    -1,
      -1,    -1,    -1,    -1,    -1,  3898,  3899,  3900,  3901,  5635,
      -1,    -1,    -1,  3906,  3907,    -1,  3909,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3928,    -1,  3930,    -1,    -1,
      -1,    -1,    -1,    -1,  3937,  3938,  3939,  3940,  3941,  3942,
    3943,  3944,  3945,  3946,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3992,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5757,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3806,    -1,    -1,    -1,    -1,  3811,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3862,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3873,    -1,
    3875,  3876,    -1,    -1,    -1,    -1,  4109,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3889,    -1,    -1,  3892,    -1,  3894,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3931,    -1,  3933,    -1,
    3935,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3999,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4014,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5988,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4100,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4366,  4367,    -1,    -1,    -1,  4371,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6112,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4160,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4400,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6205,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6258,    -1,    -1,    -1,    -1,  6263,  6264,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4362,    -1,    -1,
      -1,    -1,    -1,  4368,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4621,    -1,
      -1,    -1,    -1,    -1,  4627,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6381,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4674,  4675,  4448,    -1,  4678,  4679,  4680,  4681,    -1,
      -1,  4684,  4685,  4686,  4687,  4688,  4689,  4690,  4691,  4692,
    4693,  4694,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4717,    -1,    -1,  4720,    -1,  4722,
      -1,    -1,  4725,  4726,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4747,  4748,  4749,  4750,    -1,  4752,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4622,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4631,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4645,    -1,    -1,  4876,  4649,  4650,  4651,    -1,    -1,    -1,
      -1,  4656,    -1,    -1,  4659,    -1,    -1,  4662,    -1,    -1,
      -1,    -1,    -1,  4668,    -1,  4670,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4911,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6657,  4697,  4698,  4699,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4716,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4724,
      -1,    -1,  4727,    -1,  4729,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4745,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4753,  4754,
      -1,    -1,    -1,    -1,    -1,  4760,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4787,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4834,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4851,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5146,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5284,    -1,    -1,    -1,  5288,    -1,    -1,  7024,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5301,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5309,    -1,  5311,    -1,
    5313,  5314,    -1,    -1,    -1,    -1,  5319,  5320,  5321,  5322,
      -1,    -1,    -1,  5326,  5327,  5328,  5329,  5330,  5331,  5332,
    5333,  5334,  5335,  5336,  5337,  5338,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5362,
      -1,    -1,  5365,    -1,  5367,    -1,    -1,    -1,  5371,    -1,
      -1,  5374,  5375,    -1,    -1,  5378,  5379,    -1,    -1,    -1,
      -1,  5384,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5186,  5187,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5197,    -1,  5427,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5445,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5459,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5283,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5299,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5317,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5356,  5357,    -1,    -1,    -1,    -1,    -1,  5363,  5364,
      -1,    -1,    -1,  5368,    -1,    -1,    -1,    -1,  5373,    -1,
      -1,  5376,  5377,    -1,    -1,    -1,    -1,    -1,  5383,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5394,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5664,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5446,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5454,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5504,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5752,
    5753,    -1,    -1,    -1,    -1,    -1,    -1,  5760,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5584,
    5813,    -1,    -1,    -1,    -1,    -1,  5591,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5836,  5837,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5855,    -1,  5857,    -1,    -1,    -1,  5861,  5862,
    5863,  5864,    -1,    -1,  5867,  5868,    -1,    -1,    -1,    -1,
    5873,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5661,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5932,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5961,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6010,    -1,  6012,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6051,  5824,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5834,
      -1,    -1,    -1,    -1,    -1,  5840,  5841,  5842,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5865,  5866,    -1,    -1,  5869,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5909,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6160,  5933,  6162,
    6163,  6164,  6165,  6166,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6179,  6180,  6181,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6189,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6207,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6228,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  6146,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6408,    -1,    -1,    -1,    -1,
    6185,    -1,    -1,    -1,    -1,    -1,  6419,    -1,    -1,    -1,
    6195,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6431,    -1,
      -1,  6206,    -1,  6436,    -1,    -1,  6439,    -1,    -1,    -1,
    6443,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6461,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6252,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6268,  6497,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6509,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6314,
      -1,    -1,    -1,    -1,    -1,  6548,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6633,  6406,    -1,    -1,    -1,    -1,    -1,  6640,    -1,    -1,
      -1,    -1,    -1,  6418,    -1,    -1,    -1,    -1,  6651,    -1,
    6653,    -1,  6427,  6428,  6429,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6677,    -1,    -1,    -1,    -1,  6454,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6692,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6479,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6498,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6637,    -1,    -1,  6868,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6893,  6666,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6911,    -1,
      -1,  6914,    -1,    -1,  6917,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6749,    -1,    -1,    -1,    -1,  6982,
      -1,  6984,    -1,  6986,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6773,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  7026,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6810,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6901,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     5,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,  6988,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    -1,    40,    41,    42,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  7061,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
      -1,    -1,    -1,    -1,     5,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,   611,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    -1,    40,
      41,    42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    70,
      -1,    -1,    73,    -1,    75,    76,    -1,    78,    79,    80,
      81,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,   112,    -1,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,   147,    -1,   149,    -1,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,   168,    -1,   170,
     171,   172,    -1,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,   204,   205,    -1,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,    -1,   236,   237,   238,   239,   240,
      -1,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,    -1,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,   282,   283,    -1,   285,   286,   287,   288,   289,    -1,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,    -1,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,    -1,    -1,   380,
     381,   382,    -1,    -1,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,    -1,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,    -1,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,    -1,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
      -1,   502,   503,   504,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,    -1,   515,   516,   517,    -1,    -1,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,    -1,   536,   537,   538,   539,   540,
     541,   542,    -1,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,    -1,    -1,   560,
      -1,    -1,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,    -1,   584,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   596,   597,   598,    -1,    -1,
      -1,    -1,    -1,    -1,   605,   606,     5,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    70,    -1,    -1,    73,    -1,    75,    76,    -1,    78,
      79,    80,    81,    82,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
     149,    -1,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,   170,   171,   172,    -1,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,   282,   283,    -1,   285,   286,   287,   288,
     289,    -1,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,    -1,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,    -1,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,    -1,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,    -1,   515,   516,   517,    -1,
      -1,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,    -1,   536,   537,   538,
     539,   540,   541,   542,    -1,   544,   545,   546,   547,   548,
     549,   550,    -1,   552,   553,   554,   555,   556,   557,    -1,
      -1,   560,    -1,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,    -1,   584,    -1,   586,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   596,   597,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   605,   606,     5,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    -1,    40,    41,    42,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    70,    -1,    -1,    73,    -1,    75,    76,
      -1,    78,    79,    80,    81,    82,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
     107,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,   149,    -1,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,   170,   171,   172,    -1,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,   282,   283,    -1,   285,   286,
     287,   288,   289,    -1,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,    -1,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,    -1,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,    -1,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,    -1,   502,   503,   504,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,    -1,   515,   516,
     517,    -1,    -1,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,    -1,   536,
     537,   538,   539,   540,   541,   542,    -1,   544,   545,   546,
     547,   548,   549,   550,    -1,   552,   553,   554,   555,   556,
     557,    -1,    -1,   560,    -1,    -1,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,    -1,   584,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   596,
     597,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   605,   606,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,
      75,    76,    -1,    78,    79,    80,    81,    82,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,   112,    -1,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,   147,    -1,   149,    -1,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,   168,    -1,   170,   171,   172,    -1,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,   204,
      -1,    -1,   207,   208,   209,   210,   211,    -1,   213,   214,
     215,   216,    -1,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
      -1,   236,   237,   238,   239,   240,    -1,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,    -1,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,   282,   283,    -1,
     285,   286,   287,   288,   289,    -1,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,    -1,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
      -1,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,    -1,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,    -1,   502,   503,   504,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,    -1,
     515,   516,   517,    -1,    -1,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
      -1,   536,   537,   538,   539,   540,   541,   542,    -1,   544,
     545,   546,   547,   548,   549,   550,    -1,   552,   553,   554,
     555,   556,   557,    -1,    -1,   560,    -1,    -1,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,    -1,   584,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   596,   597,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     605,   606,     5,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    -1,    40,    41,    42,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,
      73,    -1,    75,    76,    -1,    78,    79,    80,    81,    82,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,   149,    -1,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,   170,   171,   172,
      -1,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,   282,
     283,    -1,   285,   286,   287,   288,   289,    -1,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,    -1,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,    -1,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,    -1,   502,
     503,   504,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,    -1,   515,   516,   517,    -1,    -1,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,    -1,   536,   537,   538,   539,   540,   541,   542,
      -1,   544,   545,   546,   547,   548,   549,   550,    -1,   552,
     553,   554,   555,   556,   557,    -1,    -1,   560,    -1,    -1,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
      -1,   584,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   596,   597,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   605,   606,     5,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    -1,    40,
      41,    42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,    -1,   114,   115,   116,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,    -1,   149,    -1,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,   168,    -1,   170,
     171,   172,    -1,    -1,    -1,    -1,   177,    -1,    -1,    -1,
     181,   182,   183,   184,   185,   186,   187,   188,   189,    -1,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,   204,    -1,    -1,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,    -1,   228,   229,   230,
     231,    -1,    -1,   234,    -1,   236,   237,   238,   239,   240,
      -1,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,    -1,   254,    -1,    -1,    -1,   258,   259,    -1,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,   282,   283,    -1,   285,   286,   287,   288,   289,    -1,
     291,    -1,   293,   294,   295,   296,   297,   298,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   309,   310,
     311,   312,   313,   314,   315,    -1,    -1,   318,    -1,   320,
     321,   322,    -1,   324,   325,   326,    -1,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,    -1,
     361,    -1,   363,   364,   365,   366,    -1,    -1,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,    -1,    -1,   380,
     381,   382,    -1,    -1,   385,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,    -1,   409,    -1,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,    -1,   446,   447,   448,   449,   450,
     451,   452,   453,    -1,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,    -1,   466,   467,   468,   469,   470,
      -1,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,    -1,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,    -1,   500,
      -1,   502,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,    -1,   515,   516,   517,    -1,    -1,   520,
     521,    -1,   523,    -1,    -1,   526,   527,   528,   529,   530,
     531,   532,   533,   534,    -1,    -1,   537,   538,   539,   540,
     541,    -1,    -1,   544,   545,   546,   547,   548,    -1,   550,
     551,   552,   553,   554,   555,   556,   557,    -1,    -1,   560,
      -1,    -1,   563,   564,   565,   566,   567,   568,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   580,
     581,   582,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     5,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,   606,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    -1,    40,    41,
      42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,    -1,   149,    -1,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,   170,   171,
     172,    -1,    -1,    -1,    -1,   177,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,    -1,   228,   229,   230,   231,
      -1,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,    -1,   254,    -1,    -1,    -1,   258,   259,    -1,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
     282,   283,    -1,   285,   286,   287,   288,   289,    -1,   291,
      -1,   293,   294,   295,   296,   297,   298,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,    -1,   320,   321,
     322,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,    -1,    -1,   361,
      -1,   363,   364,   365,   366,    -1,    -1,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,   406,   407,    -1,   409,    -1,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
     452,   453,    -1,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,    -1,   466,   467,   468,   469,   470,    -1,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
      -1,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,    -1,   500,    -1,
     502,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,    -1,   515,   516,   517,    -1,    -1,   520,   521,
      -1,   523,    -1,    -1,   526,   527,   528,   529,   530,   531,
     532,   533,   534,    -1,    -1,   537,   538,   539,   540,   541,
      -1,    -1,   544,   545,   546,   547,   548,    -1,   550,   551,
     552,   553,   554,   555,   556,   557,    -1,    -1,   560,    -1,
      -1,   563,   564,   565,   566,   567,   568,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   580,   581,
     582,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     5,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,   606,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    -1,    40,    41,    42,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,
      73,    -1,    75,    76,    -1,    78,    79,    80,    81,    82,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,   149,    -1,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,   170,   171,   172,
      -1,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,   282,
     283,    -1,   285,   286,   287,   288,   289,    -1,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,    -1,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,    -1,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,    -1,   515,   516,   517,    -1,    -1,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,    -1,   536,   537,   538,   539,   540,   541,   542,
      -1,   544,   545,   546,   547,   548,   549,   550,    -1,   552,
     553,   554,   555,   556,   557,    -1,    -1,   560,    -1,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
      -1,   584,    -1,   586,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   596,   597,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   605,     5,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    -1,    40,    41,
      42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    70,    -1,
      -1,    73,    -1,    75,    76,    -1,    78,    79,    80,    81,
      82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,   149,    -1,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,   170,   171,
     172,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
     282,   283,    -1,   285,   286,   287,   288,   289,    -1,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
      -1,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,    -1,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,    -1,   515,   516,   517,    -1,    -1,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,    -1,   536,   537,   538,   539,   540,   541,
     542,    -1,   544,   545,   546,   547,   548,   549,   550,    -1,
     552,   553,   554,   555,   556,   557,    -1,    -1,   560,    -1,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,    -1,   584,    -1,   586,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   596,   597,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   605,     5,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    -1,    40,
      41,    42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    70,
      -1,    -1,    73,    -1,    75,    76,    -1,    78,    79,    80,
      81,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,   112,    -1,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,   147,    -1,   149,    -1,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,   168,    -1,   170,
     171,   172,    -1,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,   204,    -1,    -1,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,    -1,   236,   237,   238,   239,   240,
      -1,   242,    -1,   244,   245,   246,   247,   248,   249,   250,
     251,   252,    -1,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,   282,   283,    -1,   285,   286,   287,   288,   289,    -1,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,   317,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,    -1,    -1,   380,
     381,   382,    -1,    -1,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,    -1,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,    -1,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,    -1,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
      -1,   502,   503,   504,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,    -1,   515,   516,   517,    -1,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,    -1,   536,   537,   538,   539,   540,
     541,   542,    -1,   544,   545,   546,   547,   548,   549,   550,
      -1,   552,   553,   554,   555,   556,   557,    -1,    -1,   560,
      -1,    -1,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,    -1,   584,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   596,   597,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   605,     5,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      70,    -1,    -1,    73,    -1,    75,    76,    -1,    78,    79,
      80,    81,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,    -1,    -1,   106,   107,    -1,    -1,
     110,   111,   112,    -1,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,   147,    -1,   149,
      -1,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,    -1,   163,   164,   165,   166,   167,   168,    -1,
     170,   171,   172,    -1,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
      -1,   201,   202,   203,   204,    -1,    -1,   207,   208,   209,
     210,   211,    -1,   213,   214,   215,   216,    -1,   218,   219,
     220,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,    -1,   236,   237,   238,   239,
     240,    -1,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,    -1,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
      -1,   281,   282,   283,    -1,   285,   286,   287,   288,   289,
      -1,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,    -1,    -1,
     380,   381,   382,    -1,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,    -1,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,    -1,   502,   503,   504,    -1,   506,   507,   508,   509,
     510,   511,   512,   513,    -1,   515,   516,   517,    -1,    -1,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,    -1,   536,   537,   538,   539,
     540,   541,   542,    -1,   544,   545,   546,   547,   548,   549,
     550,    -1,   552,   553,   554,   555,   556,   557,    -1,    -1,
     560,    -1,    -1,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,    -1,   584,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   596,   597,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   605,     5,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    70,    -1,    -1,    73,    -1,    75,    76,    -1,    78,
      79,    80,    81,    82,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,    -1,    -1,   106,   107,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
     149,    -1,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,   170,   171,   172,    -1,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,   282,   283,    -1,   285,   286,   287,   288,
     289,    -1,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,    -1,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,    -1,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,    -1,   502,   503,   504,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,    -1,   515,   516,   517,    -1,
      -1,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,    -1,   536,   537,   538,
     539,   540,   541,   542,    -1,   544,   545,   546,   547,   548,
     549,   550,    -1,   552,   553,   554,   555,   556,   557,    -1,
      -1,   560,    -1,    -1,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,    -1,   584,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   596,   597,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   605,     5,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    33,    34,    35,    36,    37,
      38,    -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    70,    -1,    -1,    73,    -1,    75,    76,    -1,
      78,    79,    80,    81,    82,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,   149,    -1,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,   170,   171,   172,    -1,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,   282,   283,    -1,   285,   286,   287,
     288,   289,    -1,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,    -1,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,    -1,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,    -1,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,    -1,   502,   503,   504,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,    -1,   515,   516,   517,
      -1,    -1,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,    -1,   536,   537,
     538,   539,   540,   541,   542,    -1,   544,   545,   546,   547,
     548,   549,   550,    -1,   552,   553,   554,   555,   556,   557,
      -1,    -1,   560,    -1,    -1,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,    -1,   584,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   596,   597,
      -1,    -1,    -1,    -1,    -1,   603,   604,   605,     5,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    -1,    40,    41,    42,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    70,    -1,    -1,    73,    -1,    75,    76,
      -1,    78,    79,    80,    81,    82,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
     107,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,   149,    -1,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,   170,   171,   172,    -1,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,   282,   283,    -1,   285,   286,
     287,   288,   289,    -1,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,    -1,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,    -1,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,    -1,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,    -1,   502,   503,   504,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,    -1,   515,   516,
     517,    -1,    -1,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,    -1,   536,
     537,   538,   539,   540,   541,   542,    -1,   544,   545,   546,
     547,   548,   549,   550,    -1,   552,   553,   554,   555,   556,
     557,    -1,    -1,   560,    -1,    -1,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,    -1,   584,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   596,
     597,   598,    -1,    -1,    -1,    -1,    -1,    -1,   605,     5,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    -1,    40,    41,    42,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,    75,
      76,    -1,    78,    79,    80,    81,    82,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,   107,    -1,    -1,   110,   111,   112,    -1,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,   147,    -1,   149,    -1,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,    -1,   163,   164,   165,
     166,   167,   168,    -1,   170,   171,   172,    -1,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,    -1,   201,   202,   203,   204,    -1,
      -1,   207,   208,   209,   210,   211,    -1,   213,   214,   215,
     216,    -1,   218,   219,   220,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,    -1,
     236,   237,   238,   239,   240,    -1,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,    -1,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,    -1,   281,   282,   283,    -1,   285,
     286,   287,   288,   289,    -1,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,    -1,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,    -1,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,    -1,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,    -1,   502,   503,   504,    -1,
     506,   507,   508,   509,   510,   511,   512,   513,    -1,   515,
     516,   517,    -1,    -1,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,    -1,
     536,   537,   538,   539,   540,   541,   542,    -1,   544,   545,
     546,   547,   548,   549,   550,    -1,   552,   553,   554,   555,
     556,   557,    -1,    -1,   560,    -1,    -1,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,    -1,   584,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     596,   597,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   605,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,
      75,    76,    -1,    78,    79,    80,    81,    82,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,   112,    -1,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,   147,    -1,   149,    -1,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,   168,    -1,   170,   171,   172,    -1,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,   204,
      -1,    -1,   207,   208,   209,   210,   211,    -1,   213,   214,
     215,   216,    -1,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
      -1,   236,   237,   238,   239,   240,    -1,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,    -1,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,   282,   283,    -1,
     285,   286,   287,   288,   289,    -1,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,    -1,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
      -1,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,    -1,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,    -1,   502,   503,   504,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,    -1,
     515,   516,   517,    -1,    -1,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
      -1,   536,   537,   538,   539,   540,   541,   542,    -1,   544,
     545,   546,   547,   548,   549,   550,    -1,   552,   553,   554,
     555,   556,   557,    -1,    -1,   560,    -1,    -1,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,    -1,   584,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   596,   597,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     605,     5,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    -1,    40,    41,    42,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,    73,
      -1,    75,    76,    -1,    78,    79,    80,    81,    82,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,   107,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,   149,    -1,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,   170,   171,   172,    -1,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,   282,   283,
      -1,   285,   286,   287,   288,   289,    -1,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,    -1,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,    -1,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,    -1,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,    -1,   502,   503,
     504,    -1,   506,   507,   508,   509,   510,   511,   512,   513,
      -1,   515,   516,   517,    -1,    -1,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,    -1,   536,   537,   538,   539,   540,   541,   542,    -1,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,    -1,    -1,   560,    -1,    -1,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,    -1,
     584,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   596,   597,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   605,     5,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    -1,    40,    41,    42,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,
      73,    -1,    75,    76,    -1,    78,    79,    80,    81,    82,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,   149,    -1,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,   170,   171,   172,
      -1,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,   246,   247,   248,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,   282,
     283,    -1,   285,   286,   287,   288,   289,    -1,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,    -1,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,    -1,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,    -1,   502,
     503,   504,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,    -1,   515,   516,   517,    -1,    -1,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,    -1,   536,   537,   538,   539,   540,   541,   542,
      -1,   544,   545,   546,   547,   548,   549,   550,    -1,   552,
     553,   554,   555,   556,   557,    -1,    -1,   560,    -1,    -1,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
      -1,   584,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   596,   597,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   605,     5,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    -1,    40,    41,
      42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    70,    -1,
      -1,    73,    -1,    75,    76,    -1,    78,    79,    80,    81,
      82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,   149,    -1,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,   170,   171,
     172,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
     282,   283,    -1,   285,   286,   287,   288,   289,    -1,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,    -1,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
      -1,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,    -1,
     502,   503,   504,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,    -1,   515,   516,   517,   518,    -1,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,    -1,   536,   537,   538,   539,   540,   541,
     542,    -1,   544,   545,   546,   547,   548,   549,   550,    -1,
     552,   553,   554,   555,   556,   557,    -1,    -1,   560,    -1,
      -1,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,    -1,   584,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   596,   597,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   605,     5,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    -1,    40,
      41,    42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    70,
      -1,    -1,    73,    -1,    75,    76,    -1,    78,    79,    80,
      81,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,   112,    -1,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,   147,    -1,   149,    -1,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,   168,    -1,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,   204,    -1,    -1,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,    -1,   236,   237,   238,   239,   240,
      -1,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,    -1,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,   282,   283,    -1,   285,   286,   287,   288,   289,    -1,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,    -1,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,    -1,    -1,   380,
     381,   382,    -1,    -1,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,    -1,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,    -1,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,    -1,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
      -1,   502,   503,   504,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,    -1,   515,   516,   517,    -1,    -1,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,    -1,   536,   537,   538,   539,   540,
     541,   542,    -1,   544,   545,   546,   547,   548,   549,   550,
      -1,   552,   553,   554,   555,   556,   557,    -1,    -1,   560,
      -1,    -1,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,    -1,   584,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   596,   597,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   605,     5,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      70,    -1,    -1,    73,    -1,    75,    76,    -1,    78,    79,
      80,    81,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,
     110,   111,   112,    -1,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,   147,    -1,   149,
      -1,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,    -1,   163,   164,   165,   166,   167,   168,    -1,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
      -1,   201,   202,   203,   204,    -1,    -1,   207,   208,   209,
     210,   211,    -1,   213,   214,   215,   216,    -1,   218,   219,
     220,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,    -1,   236,   237,   238,   239,
     240,    -1,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,    -1,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
      -1,   281,   282,   283,    -1,   285,   286,   287,   288,   289,
      -1,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,    -1,    -1,
     380,   381,   382,    -1,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,    -1,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,    -1,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,    -1,   502,   503,   504,    -1,   506,   507,   508,   509,
     510,   511,   512,   513,    -1,   515,   516,   517,    -1,    -1,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,    -1,   536,   537,   538,   539,
     540,   541,   542,    -1,   544,   545,   546,   547,   548,   549,
     550,    -1,   552,   553,   554,   555,   556,   557,    -1,    -1,
     560,    -1,    -1,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,    -1,   584,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   596,   597,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   605,     5,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    70,    -1,    -1,    73,    -1,    75,    76,    -1,    78,
      79,    80,    81,    82,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
     149,    -1,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,   282,   283,    -1,   285,   286,   287,   288,
     289,    -1,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,    -1,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,    -1,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,    -1,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,    -1,   502,   503,   504,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,    -1,   515,   516,   517,    -1,
      -1,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,    -1,   536,   537,   538,
     539,   540,   541,   542,    -1,   544,   545,   546,   547,   548,
     549,   550,    -1,   552,   553,   554,   555,   556,   557,    -1,
      -1,   560,    -1,    -1,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,    -1,   584,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   596,   597,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   605,     5,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    33,    34,    35,    36,    37,
      38,    -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    70,    -1,    -1,    73,    -1,    75,    76,    -1,
      78,    79,    80,    81,    82,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,   149,    -1,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,   170,   171,   172,    -1,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,   282,   283,    -1,   285,   286,   287,
     288,   289,    -1,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,    -1,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,    -1,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,    -1,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,    -1,   502,   503,   504,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,    -1,   515,   516,   517,
      -1,    -1,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,    -1,   536,   537,
     538,   539,   540,   541,   542,    -1,   544,   545,   546,   547,
     548,   549,   550,    -1,   552,   553,   554,   555,   556,   557,
      -1,    -1,   560,    -1,    -1,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,    -1,   584,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   596,   597,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   605,     5,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    -1,    40,    41,    42,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    70,    -1,    -1,    73,    -1,    75,    76,
      -1,    78,    79,    80,    81,    82,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
     107,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,   149,    -1,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,   170,   171,   172,    -1,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,   282,   283,    -1,   285,   286,
     287,   288,   289,    -1,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,    -1,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,    -1,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,    -1,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,    -1,   502,   503,   504,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,    -1,   515,   516,
     517,    -1,    -1,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,    -1,   536,
     537,   538,   539,   540,   541,   542,    -1,   544,   545,   546,
     547,   548,   549,   550,    -1,   552,   553,   554,   555,   556,
     557,    -1,    -1,   560,    -1,    -1,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,    -1,   584,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   596,
     597,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   605,     5,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    -1,    40,    41,    42,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,    75,
      76,    -1,    78,    79,    80,    81,    82,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,   107,    -1,    -1,   110,   111,   112,    -1,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,   147,    -1,   149,    -1,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,    -1,   163,   164,   165,
     166,   167,   168,    -1,   170,   171,   172,    -1,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,    -1,   201,   202,   203,   204,    -1,
      -1,   207,   208,   209,   210,   211,    -1,   213,   214,   215,
     216,    -1,   218,   219,   220,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,    -1,
     236,   237,   238,   239,   240,    -1,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,    -1,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,    -1,   281,   282,   283,    -1,   285,
     286,   287,   288,   289,    -1,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,    -1,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,    -1,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,    -1,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,    -1,   502,   503,   504,    -1,
     506,   507,   508,   509,   510,   511,   512,   513,    -1,   515,
     516,   517,    -1,    -1,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,    -1,
     536,   537,   538,   539,   540,   541,   542,    -1,   544,   545,
     546,   547,   548,   549,   550,    -1,   552,   553,   554,   555,
     556,   557,    -1,    -1,   560,    -1,    -1,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,    -1,   584,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     596,   597,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   605,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,
      75,    76,    -1,    78,    79,    80,    81,    82,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,   112,    -1,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,   147,    -1,   149,    -1,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,   168,    -1,   170,   171,   172,    -1,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,   204,
      -1,    -1,   207,   208,   209,   210,   211,    -1,   213,   214,
     215,   216,    -1,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
      -1,   236,   237,   238,   239,   240,    -1,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,    -1,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,   282,   283,    -1,
     285,   286,   287,   288,   289,    -1,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,    -1,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
      -1,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,    -1,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,    -1,   502,   503,   504,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,    -1,
     515,   516,   517,    -1,    -1,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
      -1,   536,   537,   538,   539,   540,   541,   542,    -1,   544,
     545,   546,   547,   548,   549,   550,    -1,   552,   553,   554,
     555,   556,   557,    -1,    -1,   560,    -1,    -1,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,    -1,   584,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   596,   597,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     605,     5,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    -1,    40,    41,    42,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,    73,
      -1,    75,    76,    -1,    78,    79,    80,    81,    82,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,   107,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,   149,    -1,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,   170,   171,   172,    -1,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,   282,   283,
      -1,   285,   286,   287,   288,   289,    -1,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,    -1,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,    -1,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,    -1,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,    -1,   502,   503,
     504,    -1,   506,   507,   508,   509,   510,   511,   512,   513,
      -1,   515,   516,   517,    -1,    -1,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,    -1,   536,   537,   538,   539,   540,   541,   542,    -1,
     544,   545,   546,   547,   548,   549,   550,    -1,   552,   553,
     554,   555,   556,   557,    -1,    -1,   560,    -1,    -1,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,    -1,
     584,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   596,   597,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   605,     5,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    -1,    40,    41,    42,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,
      73,    -1,    75,    76,    -1,    78,    79,    80,    81,    82,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,   149,    -1,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,   282,
     283,    -1,   285,   286,   287,   288,   289,    -1,   291,    -1,
     293,    -1,    -1,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,    -1,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,    -1,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,    -1,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,    -1,   502,
     503,   504,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,    -1,   515,   516,   517,    -1,    -1,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,    -1,   536,   537,   538,   539,   540,   541,   542,
      -1,   544,   545,   546,   547,   548,   549,   550,    -1,   552,
     553,   554,   555,   556,   557,    -1,    -1,   560,    -1,    -1,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
      -1,   584,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   596,   597,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   605,     5,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    -1,    40,    41,
      42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    70,    -1,
      -1,    73,    -1,    75,    76,    -1,    78,    79,    80,    81,
      82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,   149,    -1,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,   170,   171,
     172,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
     282,   283,    -1,   285,   286,   287,   288,   289,    -1,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,    -1,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
      -1,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,    -1,
     502,   503,   504,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,    -1,   515,   516,   517,    -1,    -1,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,    -1,    -1,   537,   538,   539,   540,   541,
     542,    -1,   544,   545,   546,   547,   548,   549,   550,    -1,
     552,   553,   554,   555,   556,   557,    -1,    -1,   560,    -1,
      -1,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   596,   597,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   605,     5,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    -1,    40,
      41,    42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    70,
      -1,    -1,    73,    -1,    75,    76,    -1,    78,    79,    80,
      81,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,   112,    -1,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,   147,    -1,   149,    -1,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,   168,    -1,   170,
     171,   172,    -1,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,    -1,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,   204,    -1,    -1,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,    -1,   236,   237,   238,   239,   240,
      -1,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,    -1,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,   282,   283,    -1,   285,   286,   287,   288,   289,    -1,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,    -1,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,    -1,    -1,   380,
     381,   382,    -1,    -1,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,    -1,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,    -1,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,    -1,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
      -1,   502,   503,   504,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,    -1,   515,   516,   517,    -1,    -1,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,    -1,    -1,   537,   538,   539,   540,
     541,   542,    -1,   544,   545,   546,   547,   548,   549,   550,
      -1,   552,   553,   554,   555,   556,   557,    -1,    -1,   560,
      -1,    -1,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   596,   597,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   605,     5,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      70,    -1,    -1,    73,    -1,    75,    76,    -1,    78,    79,
      -1,    81,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,
     110,   111,   112,    -1,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,   147,    -1,   149,
      -1,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,    -1,   163,   164,   165,   166,   167,   168,    -1,
     170,   171,   172,    -1,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
      -1,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
      -1,   201,   202,   203,   204,    -1,    -1,   207,   208,   209,
     210,   211,    -1,   213,   214,   215,   216,    -1,   218,   219,
     220,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,    -1,   236,   237,   238,   239,
     240,    -1,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,    -1,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
      -1,   281,   282,   283,    -1,   285,   286,   287,   288,   289,
      -1,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,    -1,    -1,
     380,   381,   382,    -1,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,    -1,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,    -1,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,    -1,   502,   503,   504,    -1,   506,   507,   508,   509,
     510,   511,   512,   513,    -1,   515,   516,   517,    -1,    -1,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,    -1,    -1,   537,   538,   539,
     540,   541,   542,    -1,   544,   545,   546,   547,   548,   549,
     550,    -1,   552,   553,   554,   555,   556,   557,    -1,    -1,
     560,    -1,    -1,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   596,   597,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   605,     5,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    70,    -1,    -1,    73,    -1,    75,    76,    -1,    78,
      79,    -1,    81,    82,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
     149,    -1,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,   170,   171,   172,    -1,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,   282,   283,    -1,   285,   286,   287,   288,
     289,    -1,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,    -1,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,    -1,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,    -1,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,    -1,   502,   503,   504,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,    -1,   515,   516,   517,    -1,
      -1,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,    -1,    -1,   537,   538,
     539,   540,   541,   542,    -1,   544,   545,   546,   547,   548,
     549,   550,    -1,   552,   553,   554,   555,   556,   557,    -1,
      -1,   560,    -1,    -1,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     5,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,   605,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    -1,    40,
      41,    42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    70,
      -1,    -1,    73,    -1,    75,    76,    -1,    78,    79,    -1,
      81,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,   112,    -1,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,   147,    -1,   149,    -1,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,   168,    -1,   170,
     171,   172,    -1,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,    -1,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,   204,    -1,    -1,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,    -1,   236,   237,   238,   239,   240,
      -1,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,    -1,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,   282,   283,    -1,   285,   286,   287,   288,   289,    -1,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,    -1,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,    -1,    -1,   380,
     381,   382,    -1,    -1,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,    -1,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,    -1,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,    -1,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
      -1,   502,   503,   504,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,    -1,   515,   516,   517,    -1,    -1,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,    -1,    -1,   537,   538,   539,   540,
     541,   542,    -1,   544,   545,   546,   547,   548,   549,   550,
      -1,   552,   553,   554,   555,   556,   557,    -1,    -1,   560,
      -1,    -1,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     5,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,   605,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    -1,    40,    41,    42,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,
      73,    -1,    75,    76,    -1,    78,    79,    -1,    81,    82,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,   149,    -1,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,   170,   171,   172,
      -1,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,   282,
     283,    -1,   285,   286,   287,   288,   289,    -1,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,    -1,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,    -1,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,    -1,   502,
     503,   504,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,    -1,   515,   516,   517,    -1,    -1,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,    -1,    -1,   537,   538,   539,   540,   541,   542,
      -1,   544,   545,   546,   547,   548,   549,   550,    -1,   552,
     553,   554,   555,   556,   557,    -1,    -1,   560,    -1,    -1,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,   605,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
      -1,   136,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,   147,    -1,   149,    -1,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,   168,    -1,   170,   171,   172,    -1,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,    -1,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,   204,
      -1,    -1,   207,   208,   209,   210,   211,    -1,   213,   214,
     215,   216,    -1,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,   238,   239,   240,    -1,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,    -1,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,   282,   283,    -1,
     285,   286,   287,    -1,   289,    -1,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,    -1,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,    -1,   379,   380,   381,   382,    -1,    -1,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,    -1,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,    -1,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,    -1,
     515,   516,   517,    -1,    -1,   520,   521,   522,   523,   524,
      -1,   526,   527,   528,   529,   530,   531,   532,   533,   534,
      -1,    -1,   537,   538,   539,   540,   541,   542,    -1,   544,
     545,   546,   547,   548,   549,   550,    -1,   552,   553,   554,
     555,   556,   557,    -1,    -1,   560,    -1,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,    -1,    -1,
      -1,   586,    -1,    -1,    -1,    -1,    -1,    -1,     5,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
     605,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    -1,    40,    41,    42,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,   136,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,   149,    -1,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,   170,   171,   172,    -1,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,   282,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
      -1,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,   379,   380,   381,   382,    -1,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,    -1,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,    -1,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,    -1,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,    -1,   502,   503,   504,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,    -1,   515,   516,
     517,    -1,    -1,   520,   521,   522,   523,   524,    -1,   526,
     527,   528,   529,   530,   531,   532,   533,   534,    -1,    -1,
     537,   538,   539,   540,   541,   542,    -1,   544,   545,   546,
     547,   548,   549,   550,    -1,   552,   553,   554,   555,   556,
     557,    -1,    -1,   560,    -1,    -1,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     5,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,   605,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,   136,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
     149,    -1,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,   170,   171,   172,    -1,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,   282,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,    -1,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,    -1,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,    -1,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,    -1,   502,   503,   504,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,    -1,   515,   516,   517,    -1,
      -1,   520,   521,   522,   523,   524,    -1,   526,   527,   528,
     529,   530,   531,   532,   533,   534,    -1,    -1,   537,   538,
     539,   540,   541,   542,    -1,   544,   545,   546,   547,   548,
     549,   550,    -1,   552,   553,   554,   555,   556,   557,    -1,
      -1,   560,    -1,    -1,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     5,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,   605,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    -1,    40,
      41,    42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,    -1,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,    -1,   136,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,   147,    -1,   149,    -1,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,   168,    -1,   170,
     171,   172,    -1,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,    -1,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,   204,    -1,    -1,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,   238,   239,   240,
      -1,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,    -1,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,   282,   283,    -1,   285,   286,   287,    -1,   289,    -1,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,    -1,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,    -1,    -1,   380,
     381,   382,    -1,    -1,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,    -1,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,    -1,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,    -1,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
      -1,   502,   503,   504,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,    -1,   515,   516,   517,    -1,    -1,   520,
     521,   522,   523,   524,    -1,   526,   527,   528,   529,   530,
     531,   532,   533,   534,    -1,    -1,   537,   538,   539,   540,
     541,   542,    -1,   544,   545,   546,   547,   548,   549,   550,
      -1,   552,   553,   554,   555,   556,   557,    -1,    -1,   560,
      -1,    -1,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     5,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,   605,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    -1,    40,    41,    42,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,   136,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,   149,    -1,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,   170,   171,   172,
      -1,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,   282,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,    -1,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,    -1,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,    -1,   502,
     503,   504,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,    -1,   515,   516,   517,    -1,    -1,   520,   521,   522,
     523,   524,    -1,   526,   527,   528,   529,   530,   531,   532,
     533,   534,    -1,    -1,   537,   538,   539,   540,   541,   542,
      -1,   544,   545,   546,   547,   548,   549,   550,    -1,   552,
     553,   554,   555,   556,   557,    -1,    -1,   560,    -1,    -1,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,   605,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
      -1,   136,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,   147,    -1,   149,    -1,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,   168,    -1,   170,   171,   172,    -1,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,    -1,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,   204,
      -1,    -1,   207,   208,   209,   210,   211,    -1,   213,   214,
     215,   216,    -1,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,   238,   239,   240,    -1,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,    -1,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,   282,   283,    -1,
     285,   286,   287,    -1,   289,    -1,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,    -1,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
      -1,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,    -1,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,    -1,   502,   503,   504,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,    -1,
     515,   516,   517,    -1,    -1,   520,   521,   522,   523,   524,
      -1,   526,   527,   528,   529,   530,   531,   532,   533,   534,
      -1,    -1,   537,   538,   539,   540,   541,   542,    -1,   544,
     545,   546,   547,   548,   549,   550,    -1,   552,   553,   554,
     555,   556,   557,    -1,    -1,   560,    -1,    -1,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     5,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
     605,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    -1,    40,    41,    42,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,   149,    -1,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,   170,   171,   172,    -1,    -1,    -1,    -1,
     177,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,   282,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,    -1,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,    -1,   466,
     467,   468,   469,   470,    -1,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,    -1,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,    -1,   502,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,    -1,   515,   516,
     517,    -1,    -1,   520,   521,   522,   523,   524,    -1,   526,
     527,   528,   529,   530,   531,   532,   533,   534,    -1,    -1,
     537,   538,   539,   540,   541,    -1,    -1,   544,   545,   546,
     547,   548,   549,   550,    -1,   552,   553,   554,   555,   556,
     557,    -1,    -1,   560,    -1,    -1,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,   605,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,   108,    -1,
     110,   111,   112,    -1,   114,   115,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,   147,    -1,    -1,
      -1,   151,   152,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,    -1,   163,   164,   165,   166,   167,   168,    -1,
     170,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   181,   182,   183,   184,   185,   186,   187,   188,   189,
      -1,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
      -1,   201,   202,   203,   204,    -1,    -1,   207,   208,   209,
     210,   211,    -1,   213,   214,   215,   216,    -1,   218,   219,
     220,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,   238,   239,
     240,    -1,   242,    -1,   244,   245,    -1,    -1,   248,   249,
     250,   251,   252,    -1,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,    -1,   267,   268,   269,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
      -1,   281,   282,   283,    -1,   285,   286,   287,    -1,   289,
      -1,   291,    -1,   293,    -1,    -1,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,    -1,   318,   319,
     320,   321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,    -1,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,    -1,    -1,
     380,   381,   382,    -1,    -1,   385,   386,   387,    -1,   389,
      -1,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,    -1,   466,   467,   468,   469,
     470,    -1,   472,   473,   474,   475,   476,    -1,   478,   479,
     480,   481,    -1,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,    -1,   502,   503,    -1,    -1,   506,    -1,   508,   509,
     510,   511,   512,   513,    -1,   515,   516,   517,    -1,    -1,
     520,   521,   522,   523,   524,    -1,   526,   527,   528,   529,
     530,   531,   532,   533,   534,    -1,    -1,   537,   538,   539,
     540,   541,    -1,    -1,   544,   545,   546,   547,   548,   549,
     550,    -1,   552,    -1,   554,   555,   556,   557,    -1,    -1,
     560,    -1,    -1,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,   606,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,    -1,   171,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,    -1,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,   446,   447,    -1,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,    -1,   472,
     473,   474,   475,   476,    -1,   478,   479,   480,   481,    -1,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,    -1,   502,
     503,    -1,   505,   506,    -1,   508,   509,   510,   511,   512,
     513,    -1,   515,   516,   517,    -1,    -1,   520,   521,   522,
     523,   524,    -1,   526,   527,   528,   529,   530,   531,   532,
     533,   534,    -1,    -1,   537,   538,   539,   540,   541,    -1,
      -1,   544,   545,   546,   547,   548,   549,   550,    -1,   552,
      -1,   554,   555,   556,   557,    -1,    -1,   560,    -1,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
      -1,    -1,    -1,   586,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,   605,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,    -1,   171,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,   446,   447,    -1,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,    -1,
     472,   473,   474,   475,   476,    -1,   478,   479,   480,   481,
      -1,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,    -1,
     502,   503,    -1,   505,   506,    -1,   508,   509,   510,   511,
     512,   513,    -1,   515,   516,   517,    -1,    -1,   520,   521,
     522,   523,   524,    -1,   526,   527,   528,   529,   530,   531,
     532,   533,   534,    -1,    -1,   537,   538,   539,   540,   541,
      -1,    -1,   544,   545,   546,   547,   548,   549,   550,    -1,
     552,    -1,   554,   555,   556,   557,    -1,    -1,   560,    -1,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,    -1,    -1,    -1,   586,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,   605,    25,    26,    27,    -1,    -1,    30,
      31,    32,    33,    -1,    -1,    36,    37,    38,    -1,    40,
      -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,    -1,   114,   115,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,   168,    -1,    -1,
     171,   172,    -1,    -1,    -1,    -1,   177,    -1,    -1,    -1,
     181,   182,   183,   184,   185,   186,   187,   188,   189,    -1,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,   204,    -1,    -1,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,   238,   239,   240,
      -1,   242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,
     251,   252,    -1,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,    -1,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,    -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,
     291,    -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,    -1,   318,   319,    -1,
     321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,    -1,   366,    -1,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,    -1,   379,   380,
     381,   382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,    -1,   446,   447,    -1,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,    -1,   466,   467,   468,   469,   470,
      -1,   472,   473,   474,   475,   476,    -1,   478,   479,   480,
     481,    -1,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
      -1,   502,   503,    -1,   505,   506,    -1,   508,   509,   510,
     511,   512,   513,    -1,   515,   516,   517,    -1,    -1,   520,
     521,   522,   523,   524,    -1,   526,   527,   528,   529,   530,
     531,   532,   533,   534,    -1,    -1,   537,   538,   539,   540,
     541,    -1,    -1,   544,   545,   546,   547,   548,   549,   550,
      -1,   552,    -1,   554,   555,   556,   557,    -1,    -1,   560,
      -1,    -1,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,   605,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    76,    -1,    -1,    -1,    -1,    81,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,    -1,    -1,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,    -1,   171,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
      -1,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,    -1,   389,    -1,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,    -1,   446,   447,    -1,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,    -1,   466,   467,   468,   469,   470,    -1,   472,   473,
     474,   475,   476,    -1,   478,   479,   480,   481,    -1,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,    -1,   502,   503,
      -1,    -1,   506,    -1,   508,   509,   510,   511,   512,   513,
      -1,   515,   516,   517,    -1,    -1,   520,   521,   522,   523,
     524,    -1,   526,   527,   528,   529,   530,   531,   532,   533,
     534,    -1,    -1,   537,   538,   539,   540,   541,    -1,    -1,
     544,   545,   546,   547,   548,   549,   550,    -1,   552,    -1,
     554,   555,   556,   557,    -1,    -1,   560,    -1,    -1,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
     604,   605,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,
      76,    -1,    -1,    -1,    -1,    81,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,   147,    -1,    -1,    -1,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,    -1,   163,   164,   165,
     166,   167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,
     186,   187,   188,   189,    -1,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,    -1,   201,   202,   203,   204,    -1,
      -1,   207,   208,   209,   210,   211,    -1,   213,   214,   215,
     216,    -1,   218,   219,   220,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,   238,   239,   240,    -1,   242,    -1,   244,   245,
      -1,    -1,    -1,   249,   250,   251,   252,    -1,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
      -1,   267,   268,   269,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,    -1,   281,    -1,   283,    -1,   285,
     286,   287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,    -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,
     326,    -1,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,    -1,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,
     386,   387,    -1,   389,    -1,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,    -1,
     446,   447,    -1,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,    -1,
     466,   467,   468,   469,   470,    -1,   472,   473,   474,   475,
     476,    -1,   478,   479,   480,   481,    -1,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,    -1,   502,   503,    -1,    -1,
     506,    -1,   508,   509,   510,   511,   512,   513,    -1,   515,
     516,   517,    -1,    -1,   520,   521,   522,   523,   524,    -1,
     526,   527,   528,   529,   530,   531,   532,   533,   534,    -1,
      -1,   537,   538,   539,   540,   541,    -1,    -1,   544,   545,
     546,   547,   548,   549,   550,    -1,   552,    -1,   554,   555,
     556,   557,    -1,    -1,   560,    -1,    -1,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,   605,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,    -1,
     389,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,    -1,   446,   447,    -1,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,    -1,   466,   467,   468,
     469,   470,    -1,   472,   473,   474,   475,   476,    -1,   478,
     479,   480,   481,    -1,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,    -1,   502,   503,    -1,    -1,   506,    -1,   508,
     509,   510,   511,   512,   513,    -1,   515,   516,   517,    -1,
      -1,   520,   521,   522,   523,   524,    -1,   526,   527,   528,
     529,   530,   531,   532,   533,   534,    -1,    -1,   537,   538,
     539,   540,   541,    -1,    -1,   544,   545,   546,   547,   548,
     549,   550,    -1,   552,    -1,   554,   555,   556,   557,    -1,
      -1,   560,    -1,    -1,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,   605,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,    -1,   171,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,   446,   447,    -1,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,    -1,   466,   467,   468,   469,   470,    -1,
     472,   473,   474,   475,   476,    -1,   478,   479,   480,   481,
      -1,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,    -1,
     502,   503,    -1,    -1,   506,    -1,   508,   509,   510,   511,
     512,   513,    -1,   515,   516,   517,    -1,    -1,   520,   521,
     522,   523,   524,    -1,   526,   527,   528,   529,   530,   531,
     532,   533,   534,    -1,    -1,   537,   538,   539,   540,   541,
      -1,    -1,   544,   545,   546,   547,   548,   549,   550,    -1,
     552,    -1,   554,   555,   556,   557,    -1,    -1,   560,    -1,
      -1,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    -1,
      25,    26,    27,   605,    -1,    30,    31,    32,    33,    -1,
      -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,
     115,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,   147,    -1,    -1,    -1,   151,   152,   153,   154,
     155,   156,    -1,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,   168,    -1,    -1,   171,   172,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,   184,
     185,   186,   187,   188,   189,    -1,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,   204,
      -1,    -1,   207,   208,   209,   210,   211,    -1,   213,   214,
     215,   216,    -1,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,   238,   239,   240,    -1,   242,    -1,   244,
     245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,    -1,   267,   268,   269,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,    -1,   283,    -1,
     285,   286,   287,    -1,   289,    -1,   291,    -1,   293,    -1,
      -1,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
      -1,   366,    -1,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,
     385,   386,   387,    -1,   389,    -1,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,   446,   447,    -1,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
      -1,   466,   467,   468,   469,   470,    -1,   472,   473,   474,
     475,   476,    -1,   478,   479,   480,   481,    -1,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,    -1,   502,   503,    -1,
      -1,   506,    -1,   508,   509,   510,   511,   512,   513,    -1,
     515,   516,   517,    -1,    -1,   520,   521,   522,   523,   524,
      -1,   526,   527,   528,   529,   530,   531,   532,   533,   534,
      -1,    -1,   537,   538,   539,   540,   541,    -1,    -1,   544,
     545,   546,   547,   548,   549,   550,    -1,   552,    -1,   554,
     555,   556,   557,    -1,    -1,   560,    -1,    -1,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
     605,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,
      -1,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,    -1,   446,   447,
      -1,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,    -1,   466,   467,
     468,   469,   470,    -1,   472,   473,   474,   475,   476,    -1,
     478,   479,   480,   481,    -1,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,    -1,   502,   503,    -1,    -1,   506,    -1,
     508,   509,   510,   511,   512,   513,    -1,   515,   516,   517,
      -1,    -1,   520,   521,   522,   523,   524,    -1,   526,   527,
     528,   529,   530,   531,   532,   533,   534,    -1,    -1,   537,
     538,   539,   540,   541,    -1,    -1,   544,   545,   546,   547,
     548,   549,   550,    -1,   552,    -1,   554,   555,   556,   557,
      -1,    -1,   560,    -1,    -1,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     5,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,   605,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      70,    -1,    -1,    73,    -1,    75,    76,    -1,    -1,    -1,
      80,    81,    -1,    -1,    -1,    -1,    -1,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,    -1,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,    -1,   228,   229,
     230,   231,    -1,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,    -1,   256,    -1,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,    -1,    -1,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
      -1,   361,   362,   363,   364,   365,   366,   367,    -1,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,    -1,   388,   389,
     390,    -1,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,    -1,   409,
      -1,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,    -1,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,    -1,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,    -1,   519,
     520,   521,    -1,   523,    -1,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,    -1,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,    -1,
     550,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   568,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     580,   581,   582,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   593,   594,   595,   596,   597,   598,   599,
     600,   601,     5,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    -1,    40,    41,    42,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,
      73,    -1,    75,    76,    -1,    -1,    -1,    80,    81,    -1,
      -1,    -1,    -1,    -1,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
      -1,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,    -1,   228,   229,   230,   231,    -1,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,    -1,   256,    -1,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
      -1,    -1,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,    -1,   361,   362,
     363,   364,   365,   366,   367,    -1,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,    -1,   388,   389,   390,    -1,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,    -1,   409,    -1,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,    -1,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,    -1,   519,   520,   521,    -1,
     523,    -1,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,    -1,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,    -1,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   568,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   580,   581,   582,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     593,   594,   595,   596,   597,   598,   599,   600,   601,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,    -1,    -1,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,    -1,
      -1,    -1,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,    -1,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,    -1,   446,
     447,    -1,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,    -1,   466,
     467,   468,   469,   470,    -1,   472,   473,   474,   475,   476,
      -1,   478,   479,   480,   481,    -1,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,    -1,   502,   503,    -1,    -1,   506,
      -1,   508,   509,   510,   511,   512,   513,    -1,   515,   516,
     517,    -1,    -1,   520,   521,   522,   523,   524,    -1,   526,
     527,   528,   529,   530,   531,   532,   533,   534,    -1,    -1,
     537,   538,   539,   540,   541,    -1,    -1,   544,   545,   546,
     547,   548,   549,   550,    -1,   552,    -1,   554,   555,   556,
     557,    -1,    -1,   560,    -1,    -1,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   593,   594,   595,   596,
     597,   598,   599,   600,   601,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    -1,    25,    26,    27,    -1,    -1,    30,
      31,    32,    33,    -1,    -1,    36,    37,    38,    -1,    40,
      -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,    -1,   114,   115,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,   168,    -1,    -1,
     171,   172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     181,   182,   183,   184,   185,   186,   187,   188,   189,    -1,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,   204,    -1,    -1,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,   238,   239,   240,
      -1,   242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,
     251,   252,    -1,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,    -1,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,    -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,
     291,    -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,    -1,   318,   319,    -1,
     321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,    -1,   366,    -1,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,    -1,    -1,   380,
     381,   382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,    -1,   446,   447,    -1,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,    -1,   466,   467,   468,   469,   470,
      -1,   472,   473,   474,   475,   476,    -1,   478,   479,   480,
     481,    -1,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
      -1,   502,   503,    -1,    -1,   506,    -1,   508,   509,   510,
     511,   512,   513,    -1,   515,   516,   517,    -1,    -1,   520,
     521,   522,   523,   524,    -1,   526,   527,   528,   529,   530,
     531,   532,   533,   534,    -1,    -1,   537,   538,   539,   540,
     541,    -1,    -1,   544,   545,   546,   547,   548,   549,   550,
      -1,   552,    -1,   554,   555,   556,   557,    -1,    -1,   560,
      -1,    -1,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    -1,
      25,    26,    27,    -1,    -1,    30,    31,    32,    33,    -1,
      -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,
     115,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,   147,    -1,    -1,    -1,   151,   152,   153,   154,
     155,   156,    -1,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,   168,    -1,    -1,   171,   172,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,   184,
     185,   186,   187,   188,   189,    -1,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,   204,
      -1,    -1,   207,   208,   209,   210,   211,    -1,   213,   214,
     215,   216,    -1,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,   238,   239,   240,    -1,   242,    -1,   244,
     245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,    -1,   267,   268,   269,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,    -1,   283,    -1,
     285,   286,   287,    -1,   289,    -1,   291,    -1,   293,    -1,
      -1,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
      -1,   366,    -1,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,
     385,   386,   387,    -1,   389,    -1,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,   446,   447,    -1,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
      -1,   466,   467,   468,   469,   470,    -1,   472,   473,   474,
     475,   476,    -1,   478,   479,   480,   481,    -1,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,    -1,   502,   503,    -1,
      -1,   506,    -1,   508,   509,   510,   511,   512,   513,    -1,
     515,   516,   517,    -1,    -1,   520,   521,   522,   523,   524,
      -1,   526,   527,   528,   529,   530,   531,   532,   533,   534,
      -1,    -1,   537,   538,   539,   540,   541,    -1,    -1,   544,
     545,   546,   547,   548,   549,   550,    -1,   552,    -1,   554,
     555,   556,   557,    -1,    -1,   560,    -1,    -1,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   593,   594,
     595,   596,   597,   598,   599,   600,   601,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    80,    -1,    -1,    -1,    -1,    -1,    -1,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,    -1,
     389,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,    -1,   446,   447,    -1,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,    -1,   466,   467,   468,
     469,   470,    -1,   472,   473,   474,   475,   476,    -1,   478,
     479,   480,   481,    -1,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,    -1,   502,   503,    -1,    -1,   506,    -1,   508,
     509,   510,   511,   512,   513,    -1,   515,   516,   517,    -1,
      -1,   520,   521,   522,   523,   524,    -1,   526,   527,   528,
     529,   530,   531,   532,   533,   534,    -1,    -1,   537,   538,
     539,   540,   541,    -1,    -1,   544,   545,   546,   547,   548,
     549,   550,    -1,   552,    -1,   554,   555,   556,   557,    -1,
      -1,   560,    -1,    -1,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   593,   594,   595,   596,   597,   598,
     599,   600,   601,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,    -1,   171,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,    -1,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,   446,   447,    -1,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,    -1,   466,   467,   468,   469,   470,    -1,   472,
     473,   474,   475,   476,    -1,   478,   479,   480,   481,    -1,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,    -1,   502,
     503,    -1,    -1,   506,    -1,   508,   509,   510,   511,   512,
     513,    -1,   515,   516,   517,    -1,    -1,   520,   521,   522,
     523,   524,    -1,   526,   527,   528,   529,   530,   531,   532,
     533,   534,    -1,    -1,   537,   538,   539,   540,   541,    -1,
      -1,   544,   545,   546,   547,   548,   549,   550,    -1,   552,
      -1,   554,   555,   556,   557,    -1,    -1,   560,    -1,    -1,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     593,   594,   595,   596,   597,   598,   599,   600,   601,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,    -1,    -1,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,    -1,
      -1,    -1,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,    -1,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,    -1,   446,
     447,    -1,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,    -1,   466,
     467,   468,   469,   470,    -1,   472,   473,   474,   475,   476,
      -1,   478,   479,   480,   481,    -1,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,    -1,   502,   503,    -1,    -1,   506,
      -1,   508,   509,   510,   511,   512,   513,    -1,   515,   516,
     517,    -1,    -1,   520,   521,   522,   523,   524,    -1,   526,
     527,   528,   529,   530,   531,   532,   533,   534,    -1,    -1,
     537,   538,   539,   540,   541,    -1,    -1,   544,   545,   546,
     547,   548,   549,   550,    -1,   552,    -1,   554,   555,   556,
     557,    -1,    -1,   560,    -1,    -1,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   593,   594,   595,   596,
     597,   598,   599,   600,   601,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    -1,    25,    26,    27,    -1,    -1,    30,
      31,    32,    33,    -1,    -1,    36,    37,    38,    -1,    40,
      -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,    -1,   114,   115,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,   168,    -1,    -1,
     171,   172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     181,   182,   183,   184,   185,   186,   187,   188,   189,    -1,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,   204,    -1,    -1,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,   238,   239,   240,
      -1,   242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,
     251,   252,    -1,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,    -1,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,    -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,
     291,    -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,    -1,   318,   319,    -1,
     321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,    -1,   366,    -1,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,    -1,    -1,   380,
     381,   382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,    -1,   446,   447,    -1,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,    -1,   466,   467,   468,   469,   470,
      -1,   472,   473,   474,   475,   476,    -1,   478,   479,   480,
     481,    -1,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
      -1,   502,   503,    -1,    -1,   506,    -1,   508,   509,   510,
     511,   512,   513,    -1,   515,   516,   517,    -1,    -1,   520,
     521,   522,   523,   524,    -1,   526,   527,   528,   529,   530,
     531,   532,   533,   534,    -1,    -1,   537,   538,   539,   540,
     541,    -1,    -1,   544,   545,   546,   547,   548,   549,   550,
      -1,   552,    -1,   554,   555,   556,   557,    -1,    -1,   560,
      -1,    -1,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   593,   594,   595,   596,   597,   598,   599,   600,
     601,     5,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    -1,    40,    41,    42,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,    -1,
      -1,    -1,     5,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,   598,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    -1,    40,    41,    42,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,    -1,   149,    -1,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,   170,   171,   172,
      -1,    -1,    -1,    -1,   177,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,    -1,   228,   229,   230,   231,    -1,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
      -1,   254,    -1,    -1,    -1,   258,   259,    -1,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,   282,
     283,    -1,   285,   286,   287,   288,   289,    -1,   291,    -1,
     293,   294,   295,   296,   297,   298,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,    -1,   320,   321,   322,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,    -1,   361,    -1,
     363,   364,   365,   366,    -1,    -1,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,    -1,   409,    -1,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,   446,   447,   448,   449,   450,   451,   452,
     453,    -1,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,    -1,   466,   467,   468,   469,   470,    -1,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,    -1,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,    -1,   502,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,    -1,   515,   516,   517,    -1,    -1,   520,   521,    -1,
     523,    -1,    -1,   526,   527,   528,   529,   530,   531,   532,
     533,   534,    -1,    -1,   537,   538,   539,   540,   541,    -1,
      -1,   544,   545,   546,   547,   548,    -1,   550,   551,   552,
     553,   554,   555,   556,   557,    -1,    -1,   560,    -1,    -1,
     563,   564,   565,   566,   567,   568,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   580,   581,   582,
      -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,   598,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,    -1,   171,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,   446,   447,    -1,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,    -1,   466,   467,   468,   469,   470,    -1,
     472,   473,   474,   475,   476,    -1,   478,   479,   480,   481,
      -1,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,    -1,
     502,   503,    -1,    -1,   506,    -1,   508,   509,   510,   511,
     512,   513,    -1,   515,   516,   517,    -1,    -1,   520,   521,
     522,   523,   524,    -1,   526,   527,   528,   529,   530,   531,
     532,   533,   534,    -1,    -1,   537,   538,   539,   540,   541,
      -1,    -1,   544,   545,   546,   547,   548,   549,   550,    -1,
     552,    -1,   554,   555,   556,   557,    -1,    -1,   560,    -1,
      -1,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,    -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,   598,    18,    19,    20,
      21,    22,    23,    -1,    25,    26,    27,    -1,    -1,    30,
      31,    32,    33,    -1,    -1,    36,    37,    38,    -1,    40,
      -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,    -1,   114,   115,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,   168,    -1,    -1,
     171,   172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     181,   182,   183,   184,   185,   186,   187,   188,   189,    -1,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,   204,    -1,    -1,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,   238,   239,   240,
      -1,   242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,
     251,   252,    -1,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,    -1,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,    -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,
     291,    -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,    -1,   318,   319,    -1,
     321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,    -1,   366,    -1,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,    -1,    -1,   380,
     381,   382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,    -1,   446,   447,    -1,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,    -1,   466,   467,   468,   469,   470,
      -1,   472,   473,   474,   475,   476,    -1,   478,   479,   480,
     481,    -1,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
      -1,   502,   503,    -1,    -1,   506,    -1,   508,   509,   510,
     511,   512,   513,    -1,   515,   516,   517,    -1,    -1,   520,
     521,   522,   523,   524,    -1,   526,   527,   528,   529,   530,
     531,   532,   533,   534,    -1,    -1,   537,   538,   539,   540,
     541,    -1,    -1,   544,   545,   546,   547,   548,   549,   550,
      -1,   552,    -1,   554,   555,   556,   557,    -1,    -1,   560,
      -1,    -1,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,    -1,    -1,    -1,    -1,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,   598,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,   112,    -1,   114,   115,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,   147,    -1,    -1,
      -1,   151,   152,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,    -1,   163,   164,   165,   166,   167,   168,    -1,
      -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   181,   182,   183,   184,   185,   186,   187,   188,   189,
      -1,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
      -1,   201,   202,   203,   204,    -1,    -1,   207,   208,   209,
     210,   211,    -1,   213,   214,   215,   216,    -1,   218,   219,
     220,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,   238,   239,
     240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,   249,
     250,   251,   252,    -1,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,    -1,   267,   268,   269,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
      -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,   289,
      -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,    -1,   318,   319,
      -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,    -1,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,    -1,    -1,
     380,   381,   382,    -1,    -1,   385,   386,   387,    -1,   389,
      -1,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,   447,    -1,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,    -1,   466,   467,   468,   469,
     470,    -1,   472,   473,   474,   475,   476,    -1,   478,   479,
     480,   481,    -1,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,    -1,   502,   503,    -1,    -1,   506,    -1,   508,   509,
     510,   511,   512,   513,    -1,   515,   516,   517,    -1,    -1,
     520,   521,   522,   523,   524,    -1,   526,   527,   528,   529,
     530,   531,   532,   533,   534,    -1,    -1,   537,   538,   539,
     540,   541,    -1,    -1,   544,   545,   546,   547,   548,   549,
     550,    -1,   552,    -1,   554,   555,   556,   557,    -1,    -1,
     560,    -1,    -1,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,    -1,    -1,    -1,    -1,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,   598,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,    -1,
     389,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,    -1,   446,   447,    -1,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,    -1,   466,   467,   468,
     469,   470,    -1,   472,   473,   474,   475,   476,    -1,   478,
     479,   480,   481,    -1,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,    -1,   502,   503,    -1,    -1,   506,    -1,   508,
     509,   510,   511,   512,   513,    -1,   515,   516,   517,    -1,
      -1,   520,   521,   522,   523,   524,    -1,   526,   527,   528,
     529,   530,   531,   532,   533,   534,    -1,    -1,   537,   538,
     539,   540,   541,    -1,    -1,   544,   545,   546,   547,   548,
     549,   550,    -1,   552,    -1,   554,   555,   556,   557,    -1,
      -1,   560,    -1,    -1,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,    -1,    -1,    -1,    -1,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,   598,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    70,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    81,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,    -1,   247,
      -1,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,    -1,   446,   447,
      -1,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,    -1,   466,   467,
     468,   469,   470,    -1,   472,   473,   474,   475,   476,    -1,
     478,   479,   480,   481,    -1,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,    -1,   502,   503,    -1,    -1,   506,    -1,
     508,   509,   510,   511,   512,   513,    -1,   515,   516,   517,
      -1,    -1,   520,   521,   522,   523,   524,    -1,   526,   527,
     528,   529,   530,   531,   532,   533,   534,    -1,    -1,   537,
     538,   539,   540,   541,    -1,    -1,   544,   545,   546,   547,
     548,   549,   550,    -1,   552,    -1,   554,   555,   556,   557,
      -1,    -1,   560,    -1,    -1,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,    -1,    -1,    -1,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,   596,   597,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    70,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    81,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,    -1,   247,
      -1,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,    -1,   446,   447,
      -1,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,    -1,   466,   467,
     468,   469,   470,    -1,   472,   473,   474,   475,   476,    -1,
     478,   479,   480,   481,    -1,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,    -1,   502,   503,    -1,    -1,   506,    -1,
     508,   509,   510,   511,   512,   513,    -1,   515,   516,   517,
      -1,    -1,   520,   521,   522,   523,   524,    -1,   526,   527,
     528,   529,   530,   531,   532,   533,   534,    -1,    -1,   537,
     538,   539,   540,   541,    -1,    -1,   544,   545,   546,   547,
     548,   549,   550,    -1,   552,    -1,   554,   555,   556,   557,
      -1,    -1,   560,    -1,    -1,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,    -1,    -1,    -1,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,   596,   597,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    70,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    81,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,    -1,   247,
      -1,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,    -1,   446,   447,
      -1,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,    -1,   466,   467,
     468,   469,   470,    -1,   472,   473,   474,   475,   476,    -1,
     478,   479,   480,   481,    -1,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,    -1,   502,   503,    -1,    -1,   506,    -1,
     508,   509,   510,   511,   512,   513,    -1,   515,   516,   517,
      -1,    -1,   520,   521,   522,   523,   524,    -1,   526,   527,
     528,   529,   530,   531,   532,   533,   534,    -1,    -1,   537,
     538,   539,   540,   541,    -1,    -1,   544,   545,   546,   547,
     548,   549,   550,    -1,   552,    -1,   554,   555,   556,   557,
      -1,    -1,   560,    -1,    -1,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,    -1,    -1,    -1,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,   596,   597,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    70,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    81,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,    -1,   247,
      -1,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,    -1,   446,   447,
      -1,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,    -1,   466,   467,
     468,   469,   470,    -1,   472,   473,   474,   475,   476,    -1,
     478,   479,   480,   481,    -1,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,    -1,   502,   503,    -1,    -1,   506,    -1,
     508,   509,   510,   511,   512,   513,    -1,   515,   516,   517,
      -1,    -1,   520,   521,   522,   523,   524,    -1,   526,   527,
     528,   529,   530,   531,   532,   533,   534,    -1,    -1,   537,
     538,   539,   540,   541,    -1,    -1,   544,   545,   546,   547,
     548,   549,   550,    -1,   552,    -1,   554,   555,   556,   557,
      -1,    -1,   560,    -1,    -1,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,    -1,    -1,    -1,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,   596,   597,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    70,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,
      -1,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,    -1,   446,   447,
      -1,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,    -1,   466,   467,
     468,   469,   470,    -1,   472,   473,   474,   475,   476,    -1,
     478,   479,   480,   481,    -1,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,    -1,   502,   503,    -1,    -1,   506,    -1,
     508,   509,   510,   511,   512,   513,    -1,   515,   516,   517,
     518,    -1,   520,   521,   522,   523,   524,    -1,   526,   527,
     528,   529,   530,   531,   532,   533,   534,    -1,    -1,   537,
     538,   539,   540,   541,    -1,    -1,   544,   545,   546,   547,
     548,   549,   550,    -1,   552,    -1,   554,   555,   556,   557,
      -1,    -1,   560,    -1,    -1,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,     4,    -1,     6,     7,     8,
       9,    10,    11,    12,    13,    14,    15,   595,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,    -1,
     389,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,    -1,   446,   447,    -1,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,    -1,   466,   467,   468,
     469,   470,    -1,   472,   473,   474,   475,   476,    -1,   478,
     479,   480,   481,    -1,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,    -1,   502,   503,    -1,    -1,   506,    -1,   508,
     509,   510,   511,   512,   513,    -1,   515,   516,   517,    -1,
      -1,   520,   521,   522,   523,   524,    -1,   526,   527,   528,
     529,   530,   531,   532,   533,   534,    -1,    -1,   537,   538,
     539,   540,   541,    -1,    -1,   544,   545,   546,   547,   548,
     549,   550,    -1,   552,    -1,   554,   555,   556,   557,    -1,
      -1,   560,    -1,    -1,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,     5,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    -1,    40,
      41,    42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    73,    -1,    75,    76,    -1,    -1,    -1,    -1,
      81,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,   546,   547,   548,   549,   550,
     551,   552,   553,   554,   555,   556,   557,   558,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,     5,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    -1,    40,    41,    42,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,     5,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    -1,    40,    41,    42,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,   136,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,   149,    -1,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,   170,   171,   172,    -1,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,   282,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,    -1,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,    -1,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,    -1,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,    -1,   502,   503,   504,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,    -1,   515,   516,
     517,    -1,    -1,   520,   521,   522,   523,   524,    -1,   526,
     527,   528,   529,   530,   531,   532,   533,   534,    -1,    -1,
     537,   538,   539,   540,   541,   542,    -1,   544,   545,   546,
     547,   548,   549,   550,    -1,   552,   553,   554,   555,   556,
     557,    -1,    -1,   560,    -1,    -1,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,     5,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    70,    -1,    -1,    73,    -1,    75,    76,    -1,    78,
      79,    -1,    81,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
     149,    -1,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,   170,   171,   172,    -1,    -1,    -1,    -1,   177,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,   282,   283,    -1,   285,   286,   287,   288,
     289,    -1,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,    -1,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,    -1,   466,   467,   468,
     469,   470,    -1,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,    -1,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,    -1,   502,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,    -1,   515,   516,   517,    -1,
      -1,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,    -1,    -1,   537,   538,
     539,   540,   541,    -1,    -1,   544,   545,   546,   547,   548,
     549,   550,    -1,   552,   553,   554,   555,   556,   557,    -1,
      -1,   560,    -1,    -1,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,     5,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    -1,    40,
      41,    42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,    -1,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,   147,    -1,   149,    -1,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,   168,    -1,   170,
     171,   172,    -1,    -1,    -1,    -1,   177,    -1,    -1,    -1,
     181,   182,   183,   184,   185,   186,   187,   188,   189,    -1,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,   204,    -1,    -1,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,   238,   239,   240,
      -1,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,    -1,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,   282,   283,    -1,   285,   286,   287,    -1,   289,    -1,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,    -1,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,    -1,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,    -1,    -1,   380,
     381,   382,    -1,    -1,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,    -1,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,    -1,   466,   467,   468,   469,   470,
      -1,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,    -1,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
      -1,   502,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,    -1,   515,   516,   517,    -1,    -1,   520,
     521,   522,   523,   524,    -1,   526,   527,   528,   529,   530,
     531,   532,   533,   534,    -1,    -1,   537,   538,   539,   540,
     541,    -1,    -1,   544,   545,   546,   547,   548,   549,   550,
      -1,   552,   553,   554,   555,   556,   557,    -1,    -1,   560,
      -1,    -1,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,     5,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    -1,    40,    41,    42,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,   149,    -1,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,   170,   171,   172,
      -1,    -1,    -1,    -1,   177,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,   282,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,    -1,   466,   467,   468,   469,   470,    -1,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,    -1,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,    -1,   502,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,    -1,   515,   516,   517,    -1,    -1,   520,   521,   522,
     523,   524,    -1,   526,   527,   528,   529,   530,   531,   532,
     533,   534,    -1,    -1,   537,   538,   539,   540,   541,    -1,
      -1,   544,   545,   546,   547,   548,   549,   550,    -1,   552,
     553,   554,   555,   556,   557,    -1,    -1,   560,    -1,    -1,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,   147,    -1,   149,    -1,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,   168,    -1,   170,   171,   172,    -1,    -1,
      -1,    -1,   177,    -1,    -1,    -1,   181,   182,   183,   184,
     185,   186,   187,   188,   189,    -1,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,   204,
      -1,    -1,   207,   208,   209,   210,   211,    -1,   213,   214,
     215,   216,    -1,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,   238,   239,   240,    -1,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,    -1,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,   282,   283,    -1,
     285,   286,   287,    -1,   289,    -1,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,    -1,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,    -1,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
      -1,   466,   467,   468,   469,   470,    -1,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,    -1,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,    -1,   502,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,    -1,
     515,   516,   517,    -1,    -1,   520,   521,   522,   523,   524,
      -1,   526,   527,   528,   529,   530,   531,   532,   533,   534,
      -1,    -1,   537,   538,   539,   540,   541,    -1,    -1,   544,
     545,   546,   547,   548,   549,   550,    -1,   552,   553,   554,
     555,   556,   557,    -1,    -1,   560,    -1,    -1,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,     5,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    -1,    40,    41,    42,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,   149,    -1,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,   170,   171,   172,    -1,    -1,    -1,    -1,
     177,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,   282,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,    -1,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,    -1,   466,
     467,   468,   469,   470,    -1,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,    -1,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,    -1,   502,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,    -1,   515,   516,
     517,    -1,    -1,   520,   521,   522,   523,   524,    -1,   526,
     527,   528,   529,   530,   531,   532,   533,   534,    -1,    -1,
     537,   538,   539,   540,   541,    -1,    -1,   544,   545,   546,
     547,   548,   549,   550,    -1,   552,   553,   554,   555,   556,
     557,    -1,    -1,   560,    -1,    -1,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,     5,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
     149,    -1,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,   170,   171,   172,    -1,    -1,    -1,    -1,   177,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,   282,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,    -1,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,    -1,   466,   467,   468,
     469,   470,    -1,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,    -1,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,    -1,   502,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,    -1,   515,   516,   517,    -1,
      -1,   520,   521,   522,   523,   524,    -1,   526,   527,   528,
     529,   530,   531,   532,   533,   534,    -1,    -1,   537,   538,
     539,   540,   541,    -1,    -1,   544,   545,   546,   547,   548,
     549,   550,    -1,   552,   553,   554,   555,   556,   557,    -1,
      -1,   560,    -1,    -1,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,     5,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    -1,    40,
      41,    42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,    -1,   114,   115,   116,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,    -1,   149,    -1,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,   168,    -1,   170,
     171,   172,    -1,    -1,    -1,    -1,   177,    -1,    -1,    -1,
     181,   182,   183,   184,   185,   186,   187,   188,   189,    -1,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,   204,    -1,    -1,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,    -1,   228,   229,   230,
     231,    -1,    -1,   234,    -1,   236,   237,   238,   239,   240,
      -1,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,    -1,   254,    -1,    -1,    -1,   258,   259,    -1,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,   282,   283,    -1,   285,   286,   287,   288,   289,    -1,
     291,    -1,   293,   294,   295,   296,   297,   298,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   309,   310,
     311,   312,   313,   314,   315,    -1,    -1,   318,    -1,   320,
     321,   322,    -1,   324,   325,   326,    -1,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,    -1,
     361,    -1,   363,   364,   365,   366,    -1,    -1,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,    -1,    -1,   380,
     381,   382,    -1,    -1,   385,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,    -1,   409,    -1,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,    -1,   446,   447,   448,   449,   450,
     451,   452,   453,    -1,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,    -1,   466,   467,   468,   469,   470,
      -1,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,    -1,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,    -1,   500,
      -1,   502,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,    -1,   515,   516,   517,    -1,    -1,   520,
     521,    -1,   523,    -1,    -1,   526,   527,   528,   529,   530,
     531,   532,   533,   534,    -1,    -1,   537,   538,   539,   540,
     541,    -1,    -1,   544,   545,   546,   547,   548,    -1,   550,
     551,   552,   553,   554,   555,   556,   557,    -1,    -1,   560,
      -1,    -1,   563,   564,   565,   566,   567,   568,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   580,
     581,   582,     5,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    -1,    40,    41,    42,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,    -1,   149,    -1,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,   170,   171,   172,
      -1,    -1,    -1,    -1,   177,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,    -1,   228,   229,   230,   231,    -1,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
      -1,   254,    -1,    -1,    -1,   258,   259,    -1,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,   282,
      -1,    -1,   285,   286,   287,   288,   289,    -1,   291,    -1,
     293,   294,   295,   296,   297,   298,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,    -1,   320,   321,   322,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,    -1,   361,    -1,
     363,   364,   365,   366,   367,    -1,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,    -1,   388,   389,   390,    -1,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,    -1,   409,    -1,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,   446,   447,   448,   449,   450,   451,   452,
     453,    -1,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,    -1,   466,   467,   468,   469,   470,    -1,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,    -1,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,    -1,   502,
     503,    -1,   505,   506,   507,   508,   509,   510,   511,   512,
     513,    -1,   515,   516,   517,    -1,    -1,   520,   521,    -1,
     523,    -1,    -1,   526,   527,   528,   529,   530,   531,   532,
     533,   534,    -1,    -1,   537,   538,   539,   540,   541,    -1,
      -1,   544,   545,   546,   547,   548,    -1,   550,    -1,   552,
     553,   554,   555,   556,   557,    -1,    -1,   560,    -1,    -1,
     563,   564,   565,   566,   567,   568,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   580,   581,   582,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,
     115,   116,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,    -1,   149,    -1,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,   168,    -1,   170,   171,   172,    -1,    -1,
      -1,    -1,   177,    -1,    -1,    -1,   181,   182,   183,   184,
     185,   186,   187,   188,   189,    -1,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,   204,
      -1,    -1,   207,   208,   209,   210,   211,    -1,   213,   214,
     215,   216,    -1,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,    -1,   228,   229,   230,   231,    -1,    -1,   234,
      -1,   236,   237,   238,   239,   240,    -1,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,    -1,   254,
      -1,    -1,    -1,   258,   259,    -1,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,   282,    -1,    -1,
     285,   286,   287,   288,   289,    -1,   291,    -1,   293,   294,
     295,   296,   297,   298,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   309,   310,   311,   312,   313,   314,
     315,    -1,    -1,   318,    -1,   320,   321,   322,    -1,   324,
     325,   326,    -1,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,    -1,   361,    -1,   363,   364,
     365,   366,    -1,    -1,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,
     385,   386,    -1,   388,   389,   390,    -1,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,    -1,   409,    -1,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,   446,   447,   448,   449,   450,   451,   452,   453,    -1,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
      -1,   466,   467,   468,   469,   470,    -1,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,    -1,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,    -1,   500,    -1,   502,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,    -1,
     515,   516,   517,    -1,    -1,   520,   521,    -1,   523,    -1,
      -1,   526,   527,   528,   529,   530,   531,   532,   533,   534,
      -1,    -1,   537,   538,   539,   540,   541,    -1,    -1,   544,
     545,   546,   547,   548,    -1,   550,    -1,   552,   553,   554,
     555,   556,   557,    -1,    -1,   560,    -1,    -1,   563,   564,
     565,   566,   567,   568,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   580,   581,   582,     5,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    -1,    40,    41,    42,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,    -1,   149,    -1,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,   170,   171,   172,    -1,    -1,    -1,    -1,
     177,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
      -1,   228,   229,   230,   231,    -1,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,    -1,   254,    -1,    -1,
      -1,   258,   259,    -1,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,   282,    -1,    -1,   285,   286,
     287,   288,   289,    -1,   291,    -1,   293,   294,   295,   296,
     297,   298,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,    -1,   320,   321,   322,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,   361,    -1,   363,   364,   365,   366,
      -1,    -1,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
      -1,   388,   389,   390,    -1,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,    -1,   409,    -1,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,    -1,   446,
     447,   448,   449,   450,   451,   452,   453,    -1,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,    -1,   466,
     467,   468,   469,   470,    -1,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,    -1,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,    -1,   502,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,    -1,   515,   516,
     517,    -1,    -1,   520,   521,    -1,   523,    -1,    -1,   526,
     527,   528,   529,   530,   531,   532,   533,   534,    -1,    -1,
     537,   538,   539,   540,   541,    -1,    -1,   544,   545,   546,
     547,   548,    -1,   550,    -1,   552,   553,   554,   555,   556,
     557,    -1,    -1,   560,    -1,    -1,   563,   564,   565,   566,
     567,   568,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   580,   581,   582,     5,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,    -1,
     149,    -1,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,   170,   171,   172,    -1,    -1,    -1,    -1,   177,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,    -1,   228,
     229,   230,   231,    -1,    -1,   234,    -1,   236,   237,   238,
     239,   240,   241,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,    -1,   254,    -1,    -1,    -1,   258,
     259,    -1,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,   282,    -1,    -1,   285,   286,   287,   288,
     289,    -1,   291,    -1,   293,   294,   295,   296,   297,   298,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
      -1,   320,   321,   322,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
      -1,    -1,   361,    -1,   363,   364,   365,   366,    -1,    -1,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,    -1,   388,
     389,   390,    -1,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,    -1,
     409,    -1,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,    -1,   446,   447,   448,
     449,   450,   451,   452,   453,    -1,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,    -1,   466,   467,   468,
     469,   470,    -1,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,    -1,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,    -1,   502,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,    -1,   515,   516,   517,    -1,
      -1,   520,   521,    -1,   523,    -1,    -1,   526,   527,   528,
     529,   530,   531,   532,   533,   534,    -1,    -1,   537,   538,
     539,   540,   541,    -1,    -1,   544,   545,   546,   547,   548,
      -1,   550,    -1,   552,   553,   554,   555,   556,   557,    -1,
      -1,   560,    -1,    -1,   563,   564,   565,   566,   567,   568,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   580,   581,   582,     5,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    -1,    40,
      41,    42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,    -1,   114,   115,   116,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,    -1,   149,    -1,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,   168,    -1,   170,
     171,   172,    -1,    -1,    -1,    -1,   177,    -1,    -1,    -1,
     181,   182,   183,   184,   185,   186,   187,   188,   189,    -1,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,   204,    -1,    -1,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,    -1,   228,   229,   230,
     231,    -1,    -1,   234,    -1,   236,   237,   238,   239,   240,
     241,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,    -1,   254,    -1,    -1,    -1,   258,   259,    -1,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,   282,    -1,    -1,   285,   286,   287,   288,   289,    -1,
     291,    -1,   293,   294,   295,   296,   297,   298,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   309,   310,
     311,   312,   313,   314,   315,    -1,    -1,   318,    -1,   320,
     321,   322,    -1,   324,   325,   326,    -1,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,    -1,
     361,    -1,   363,   364,   365,   366,    -1,    -1,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,    -1,    -1,   380,
     381,   382,    -1,    -1,   385,   386,    -1,   388,   389,   390,
      -1,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,    -1,   409,    -1,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,    -1,   446,   447,   448,   449,   450,
     451,   452,   453,    -1,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,    -1,   466,   467,   468,   469,   470,
      -1,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,    -1,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,    -1,   500,
      -1,   502,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,    -1,   515,   516,   517,    -1,    -1,   520,
     521,    -1,   523,    -1,    -1,   526,   527,   528,   529,   530,
     531,   532,   533,   534,    -1,    -1,   537,   538,   539,   540,
     541,    -1,    -1,   544,   545,   546,   547,   548,    -1,   550,
      -1,   552,   553,   554,   555,   556,   557,    -1,    -1,   560,
      -1,    -1,   563,   564,   565,   566,   567,   568,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   580,
     581,   582,     5,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    -1,    40,    41,    42,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,    -1,   149,    -1,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,   170,   171,   172,
      -1,    -1,    -1,    -1,   177,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,    -1,   228,   229,   230,   231,    -1,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
      -1,   254,    -1,    -1,    -1,   258,   259,    -1,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,   282,
      -1,    -1,   285,   286,   287,   288,   289,    -1,   291,    -1,
     293,   294,   295,   296,   297,   298,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,    -1,   320,   321,   322,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,    -1,   361,    -1,
     363,   364,   365,   366,    -1,    -1,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,    -1,   388,   389,   390,    -1,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,    -1,   409,    -1,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,   446,   447,   448,   449,   450,   451,   452,
     453,    -1,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,    -1,   466,   467,   468,   469,   470,    -1,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,    -1,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,    -1,   502,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,    -1,   515,   516,   517,    -1,    -1,   520,   521,    -1,
     523,    -1,    -1,   526,   527,   528,   529,   530,   531,   532,
     533,   534,    -1,    -1,   537,   538,   539,   540,   541,    -1,
      -1,   544,   545,   546,   547,   548,    -1,   550,    -1,   552,
     553,   554,   555,   556,   557,    -1,    -1,   560,    -1,    -1,
     563,   564,   565,   566,   567,   568,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   580,   581,   582,
       5,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    -1,    40,    41,    42,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,
     115,   116,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,    -1,   149,    -1,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,   168,    -1,   170,   171,   172,    -1,    -1,
      -1,    -1,   177,    -1,    -1,    -1,   181,   182,   183,   184,
     185,   186,   187,   188,   189,    -1,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,   204,
      -1,    -1,   207,   208,   209,   210,   211,    -1,   213,   214,
     215,   216,    -1,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,    -1,   228,   229,   230,   231,    -1,    -1,   234,
      -1,   236,   237,   238,   239,   240,    -1,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,    -1,   254,
      -1,    -1,    -1,   258,   259,    -1,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,   282,    -1,    -1,
     285,   286,   287,   288,   289,    -1,   291,    -1,   293,   294,
     295,   296,   297,   298,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   309,   310,   311,   312,   313,   314,
     315,    -1,    -1,   318,    -1,   320,   321,   322,    -1,   324,
     325,   326,    -1,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,    -1,   361,    -1,   363,   364,
     365,   366,    -1,    -1,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,
     385,   386,    -1,   388,   389,   390,    -1,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,    -1,   409,    -1,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,   446,   447,   448,   449,   450,   451,   452,   453,    -1,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
      -1,   466,   467,   468,   469,   470,    -1,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,    -1,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,    -1,   500,    -1,   502,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,    -1,
     515,   516,   517,    -1,    -1,   520,   521,    -1,   523,    -1,
      -1,   526,   527,   528,   529,   530,   531,   532,   533,   534,
      -1,    -1,   537,   538,   539,   540,   541,    -1,    -1,   544,
     545,   546,   547,   548,    -1,   550,    -1,   552,   553,   554,
     555,   556,   557,    -1,    -1,   560,    -1,    -1,   563,   564,
     565,   566,   567,   568,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   580,   581,   582,     5,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    -1,    40,    41,    42,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,    -1,   149,    -1,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,   170,   171,   172,    -1,    -1,    -1,    -1,
     177,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
      -1,   228,   229,   230,   231,    -1,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,    -1,   254,    -1,    -1,
      -1,   258,   259,    -1,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,   282,    -1,    -1,   285,   286,
     287,   288,   289,    -1,   291,    -1,   293,   294,   295,   296,
     297,   298,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,    -1,   320,   321,   322,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,    -1,    -1,   361,    -1,   363,   364,   365,   366,
      -1,    -1,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
      -1,   388,   389,   390,    -1,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,    -1,   409,    -1,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,    -1,   446,
     447,   448,   449,   450,   451,   452,   453,    -1,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,    -1,   466,
     467,   468,   469,   470,    -1,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,    -1,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,    -1,   500,    -1,   502,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,    -1,   515,   516,
     517,    -1,    -1,   520,   521,    -1,   523,    -1,    -1,   526,
     527,   528,   529,   530,   531,   532,   533,   534,    -1,    -1,
     537,   538,   539,   540,   541,    -1,    -1,   544,   545,   546,
     547,   548,    -1,   550,    -1,   552,   553,   554,   555,   556,
     557,    -1,    -1,   560,    -1,    -1,   563,   564,   565,   566,
     567,   568,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   580,   581,   582,     5,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      -1,    40,    41,    42,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,    -1,
     149,    -1,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,   170,   171,   172,    -1,    -1,    -1,    -1,   177,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,    -1,   228,
     229,   230,   231,    -1,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,    -1,   254,    -1,    -1,    -1,   258,
     259,    -1,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,   282,    -1,    -1,   285,   286,   287,   288,
     289,    -1,   291,    -1,   293,   294,   295,   296,   297,   298,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
      -1,   320,   321,   322,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
      -1,    -1,   361,    -1,   363,   364,   365,   366,    -1,    -1,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,    -1,   388,
     389,   390,    -1,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,    -1,
     409,    -1,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,    -1,   446,   447,   448,
     449,   450,   451,   452,   453,    -1,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,    -1,   466,   467,   468,
     469,   470,    -1,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,    -1,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
      -1,   500,    -1,   502,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,    -1,   515,   516,   517,    -1,
      -1,   520,   521,    -1,   523,    -1,    -1,   526,   527,   528,
     529,   530,   531,   532,   533,   534,    -1,    -1,   537,   538,
     539,   540,   541,    -1,    -1,   544,   545,   546,   547,   548,
      -1,   550,    -1,   552,   553,   554,   555,   556,   557,    -1,
      -1,   560,    -1,    -1,   563,   564,   565,   566,   567,   568,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   580,   581,   582,     5,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    -1,    40,
      41,    42,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,    -1,   114,   115,   116,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,    -1,   149,    -1,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,   168,    -1,   170,
     171,   172,    -1,    -1,    -1,    -1,   177,    -1,    -1,    -1,
     181,   182,   183,   184,   185,   186,   187,   188,   189,    -1,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,   204,    -1,    -1,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,    -1,   228,   229,   230,
     231,    -1,    -1,   234,    -1,   236,   237,   238,   239,   240,
      -1,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,    -1,   254,    -1,    -1,    -1,   258,   259,    -1,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,   282,    -1,    -1,   285,   286,   287,   288,   289,    -1,
     291,    -1,   293,   294,   295,   296,   297,   298,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   309,   310,
     311,   312,   313,   314,   315,    -1,    -1,   318,    -1,   320,
     321,   322,    -1,   324,   325,   326,    -1,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,    -1,    -1,
     361,    -1,   363,   364,   365,   366,    -1,    -1,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,    -1,    -1,   380,
     381,   382,    -1,    -1,   385,   386,    -1,   388,   389,   390,
      -1,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,    -1,   409,    -1,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,    -1,   446,   447,   448,   449,   450,
     451,   452,   453,    -1,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,    -1,   466,   467,   468,   469,   470,
      -1,   472,   473,    -1,   475,   476,   477,   478,   479,   480,
     481,    -1,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,    -1,   500,
      -1,   502,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,    -1,   515,   516,   517,    -1,    -1,   520,
     521,    -1,   523,    -1,    -1,   526,   527,   528,   529,   530,
     531,   532,   533,   534,    -1,    -1,   537,   538,   539,   540,
     541,    -1,    -1,   544,   545,   546,   547,   548,    -1,   550,
      -1,   552,   553,   554,   555,   556,   557,    -1,    -1,   560,
      -1,    -1,   563,   564,   565,   566,   567,   568,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   580,
     581,   582,     5,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    -1,    40,    41,    42,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,   118,   119,   120,   121,    -1,
      -1,   124,    -1,    -1,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,    -1,    -1,   141,    -1,
     143,   144,   145,   146,    -1,    -1,   149,    -1,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,   170,   171,   172,
      -1,    -1,    -1,    -1,   177,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,    -1,    -1,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,    -1,   228,   229,   230,   231,    -1,
      -1,   234,    -1,   236,   237,   238,    -1,   240,    -1,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
      -1,   254,    -1,    -1,    -1,   258,   259,    -1,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,   282,
      -1,    -1,   285,   286,   287,    -1,    -1,    -1,    -1,    -1,
     293,   294,   295,   296,   297,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,    -1,   320,   321,   322,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,   342,
     343,   344,   345,   346,   347,    -1,   349,    -1,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,    -1,   361,    -1,
     363,   364,   365,   366,    -1,    -1,   369,    -1,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,    -1,   388,   389,   390,    -1,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,    -1,   409,    -1,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,    -1,   427,   428,   429,   430,    -1,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,   446,   447,   448,   449,   450,   451,   452,
     453,    -1,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,    -1,   466,   467,   468,   469,   470,    -1,   472,
     473,    -1,   475,   476,   477,   478,   479,    -1,   481,    -1,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,    -1,   500,    -1,   502,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,    -1,   515,    -1,    -1,    -1,    -1,   520,   521,    -1,
     523,    -1,    -1,   526,   527,   528,   529,   530,   531,   532,
     533,   534,    -1,    -1,   537,   538,   539,   540,   541,    -1,
      -1,   544,   545,   546,   547,   548,    -1,    -1,    -1,   552,
     553,   554,   555,   556,   557,    -1,    -1,   560,    -1,    -1,
     563,   564,   565,   566,   567,   568,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   580,   581,   582,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    69,    -1,    -1,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,    -1,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,    -1,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,    -1,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,    -1,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,    -1,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,    -1,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,    -1,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,    -1,   581,   582,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,    -1,
      -1,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
      -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,   243,   244,   245,    -1,    -1,    -1,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,    -1,
     389,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,    -1,   446,   447,    -1,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,    -1,   466,   467,   468,
     469,   470,    -1,   472,   473,   474,   475,   476,    -1,   478,
     479,   480,   481,    -1,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,    -1,   502,   503,    -1,    -1,   506,    -1,   508,
     509,   510,   511,   512,   513,    -1,   515,   516,   517,    -1,
      -1,   520,   521,   522,   523,   524,    -1,   526,   527,   528,
     529,   530,   531,   532,   533,   534,    -1,   536,   537,   538,
     539,   540,   541,    -1,    -1,   544,   545,   546,   547,   548,
     549,   550,    -1,   552,    -1,   554,   555,   556,   557,    -1,
      -1,   560,    -1,    -1,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,    -1,    -1,   171,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,   243,   244,   245,    -1,    -1,    -1,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,    -1,   321,
     322,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,   446,   447,    -1,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,    -1,   466,   467,   468,   469,   470,    -1,
     472,   473,   474,   475,   476,    -1,   478,   479,   480,   481,
      -1,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,    -1,
     502,   503,    -1,    -1,   506,    -1,   508,   509,   510,   511,
     512,   513,    -1,   515,   516,   517,    -1,    -1,   520,   521,
     522,   523,   524,    -1,   526,   527,   528,   529,   530,   531,
     532,   533,   534,    -1,   536,   537,   538,   539,   540,   541,
      -1,    -1,   544,   545,   546,   547,   548,   549,   550,    -1,
     552,    -1,   554,   555,   556,   557,    -1,    -1,   560,    -1,
      -1,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    -1,
      25,    26,    27,    -1,    -1,    30,    31,    32,    33,    -1,
      -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,
     115,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,   147,    -1,    -1,    -1,   151,   152,   153,   154,
     155,   156,    -1,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,   168,   169,    -1,   171,   172,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,   184,
     185,   186,   187,   188,   189,    -1,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,   204,
      -1,    -1,   207,   208,   209,   210,   211,    -1,   213,   214,
     215,   216,    -1,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,   238,   239,   240,    -1,   242,    -1,   244,
     245,    -1,    -1,    -1,   249,   250,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,    -1,   267,   268,   269,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,    -1,   283,    -1,
     285,   286,   287,    -1,   289,    -1,   291,    -1,   293,    -1,
      -1,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
      -1,   366,    -1,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,
     385,   386,   387,    -1,   389,    -1,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,   446,   447,    -1,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,    -1,   472,   473,   474,
     475,   476,    -1,   478,   479,   480,   481,    -1,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,    -1,   502,   503,    -1,
      -1,   506,    -1,   508,   509,   510,   511,   512,   513,    -1,
     515,   516,   517,    -1,    -1,   520,   521,   522,   523,   524,
      -1,   526,   527,   528,   529,   530,   531,   532,   533,   534,
      -1,    -1,   537,   538,   539,   540,   541,    -1,    -1,   544,
     545,   546,   547,   548,   549,   550,    -1,   552,    -1,   554,
     555,   556,   557,    -1,    -1,   560,    -1,    -1,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,   169,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,
      -1,   249,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,    -1,   446,   447,
      -1,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,    -1,   472,   473,   474,   475,   476,    -1,
     478,   479,   480,   481,    -1,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,    -1,   502,   503,    -1,    -1,   506,    -1,
     508,   509,   510,   511,   512,   513,    -1,   515,   516,   517,
      -1,    -1,   520,   521,   522,   523,   524,    -1,   526,   527,
     528,   529,   530,   531,   532,   533,   534,    -1,    -1,   537,
     538,   539,   540,   541,    -1,    -1,   544,   545,   546,   547,
     548,   549,   550,    -1,   552,    -1,   554,   555,   556,   557,
      -1,    -1,   560,    -1,    -1,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    -1,    25,    26,    27,    -1,    -1,    30,
      31,    32,    33,    -1,    -1,    36,    37,    38,    -1,    40,
      -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,    -1,   114,   115,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,    -1,    -1,    -1,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,   162,   163,   164,   165,   166,   167,   168,    -1,    -1,
     171,   172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     181,   182,   183,   184,   185,   186,   187,   188,   189,    -1,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,   204,    -1,    -1,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,   238,   239,   240,
      -1,   242,   243,   244,   245,    -1,    -1,    -1,   249,   250,
     251,   252,    -1,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,    -1,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,    -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,
     291,    -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,    -1,   318,   319,    -1,
     321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,    -1,   366,    -1,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,    -1,    -1,   380,
     381,   382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,    -1,   446,   447,    -1,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,    -1,   466,   467,   468,   469,   470,
      -1,   472,   473,   474,   475,   476,    -1,   478,   479,   480,
     481,    -1,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
      -1,   502,   503,    -1,    -1,   506,    -1,   508,   509,   510,
     511,   512,   513,    -1,   515,   516,   517,    -1,    -1,   520,
     521,   522,   523,   524,    -1,   526,   527,   528,   529,   530,
     531,   532,   533,   534,    -1,   536,   537,   538,   539,   540,
     541,    -1,    -1,   544,   545,   546,   547,   548,   549,   550,
      -1,   552,    -1,   554,   555,   556,   557,    -1,    -1,   560,
      -1,    -1,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,    -1,    -1,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,    -1,   171,   172,   173,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
      -1,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,    -1,   389,    -1,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,    -1,   446,   447,    -1,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,    -1,   466,   467,   468,   469,   470,    -1,   472,   473,
     474,   475,   476,    -1,   478,   479,   480,   481,    -1,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,    -1,   502,   503,
      -1,    -1,   506,    -1,   508,   509,   510,   511,   512,   513,
      -1,   515,   516,   517,    -1,    -1,   520,   521,   522,   523,
     524,    -1,   526,   527,   528,   529,   530,   531,   532,   533,
     534,    -1,    -1,   537,   538,   539,   540,   541,    -1,    -1,
     544,   545,   546,   547,   548,   549,   550,    -1,   552,    -1,
     554,   555,   556,   557,    -1,    -1,   560,    -1,    -1,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,    -1,    -1,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,   169,    -1,   171,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,    -1,
      -1,    -1,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,    -1,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,    -1,   446,
     447,    -1,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,    -1,   472,   473,   474,   475,   476,
      -1,   478,   479,   480,   481,    -1,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,    -1,   502,   503,    -1,    -1,   506,
      -1,   508,   509,   510,   511,   512,   513,    -1,   515,   516,
     517,    -1,    -1,   520,   521,   522,   523,   524,    -1,   526,
     527,   528,   529,   530,   531,   532,   533,   534,    -1,    -1,
     537,   538,   539,   540,   541,    -1,    -1,   544,   545,   546,
     547,   548,   549,   550,    -1,   552,    -1,   554,   555,   556,
     557,    -1,    -1,   560,    -1,    -1,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,   112,    -1,   114,   115,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,   147,    -1,    -1,
      -1,   151,   152,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,    -1,   163,   164,   165,   166,   167,   168,    -1,
      -1,   171,   172,    -1,    -1,    -1,    -1,   177,    -1,    -1,
      -1,   181,   182,   183,   184,   185,   186,   187,   188,   189,
      -1,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
      -1,   201,   202,   203,   204,    -1,    -1,   207,   208,   209,
     210,   211,    -1,   213,   214,   215,   216,    -1,   218,   219,
     220,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,   238,   239,
     240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,   249,
     250,   251,   252,    -1,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,    -1,   267,   268,   269,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
      -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,   289,
      -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,    -1,   318,   319,
      -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,    -1,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,    -1,   379,
     380,   381,   382,    -1,    -1,   385,   386,   387,    -1,   389,
      -1,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,   447,    -1,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,    -1,   466,   467,   468,   469,
     470,    -1,   472,   473,   474,   475,   476,    -1,   478,   479,
     480,   481,    -1,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,    -1,   502,   503,    -1,   505,   506,    -1,   508,   509,
     510,   511,   512,   513,    -1,   515,   516,   517,    -1,    -1,
     520,   521,   522,   523,   524,    -1,   526,   527,   528,   529,
     530,   531,   532,   533,   534,    -1,    -1,   537,   538,   539,
     540,   541,    -1,    -1,   544,   545,   546,   547,   548,   549,
     550,    -1,   552,    -1,   554,   555,   556,   557,    -1,    -1,
     560,    -1,    -1,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,     6,     7,     8,     9,    10,    11,    12,
      13,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,    -1,   171,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,    -1,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,   446,   447,    -1,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,    -1,   466,   467,   468,   469,   470,    -1,   472,
     473,   474,   475,   476,    -1,   478,   479,   480,   481,    -1,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,    -1,   502,
     503,    -1,    -1,   506,    -1,   508,   509,   510,   511,   512,
     513,    -1,   515,   516,   517,    -1,    -1,   520,   521,   522,
     523,   524,    -1,   526,   527,   528,   529,   530,   531,   532,
     533,   534,    -1,    -1,   537,   538,   539,   540,   541,    -1,
      -1,   544,   545,   546,   547,   548,   549,   550,    -1,   552,
      -1,   554,   555,   556,   557,    -1,    -1,   560,    -1,    -1,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,    -1,
      76,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,   147,    -1,    -1,    -1,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,    -1,   163,   164,   165,
     166,   167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,    -1,   201,   202,   203,   204,    -1,
      -1,   207,   208,   209,   210,   211,    -1,   213,   214,   215,
     216,    -1,   218,   219,   220,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,   238,   239,   240,    -1,   242,    -1,   244,   245,
      -1,    -1,    -1,   249,   250,   251,   252,    -1,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
      -1,   267,   268,   269,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,    -1,   281,    -1,   283,    -1,   285,
     286,   287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,    -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,
     326,    -1,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,    -1,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,
     386,   387,    -1,   389,    -1,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,    -1,
     446,   447,    -1,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,    -1,
     466,   467,   468,   469,   470,    -1,   472,   473,   474,   475,
     476,    -1,   478,   479,   480,   481,    -1,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,    -1,   502,   503,    -1,    -1,
     506,    -1,   508,   509,   510,   511,   512,   513,    -1,   515,
     516,   517,    -1,    -1,   520,   521,   522,   523,   524,    -1,
     526,   527,   528,   529,   530,   531,   532,   533,   534,    -1,
      -1,   537,   538,   539,   540,   541,    -1,    -1,   544,   545,
     546,   547,   548,   549,   550,    -1,   552,    -1,   554,   555,
     556,   557,    -1,    -1,   560,    -1,    -1,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,   243,   244,   245,    -1,    -1,    -1,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,    -1,
     389,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,    -1,   446,   447,    -1,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,    -1,   466,   467,   468,
     469,   470,    -1,   472,   473,   474,   475,   476,    -1,   478,
     479,   480,   481,    -1,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,    -1,   502,   503,    -1,   505,   506,    -1,   508,
     509,   510,   511,   512,   513,    -1,   515,   516,   517,    -1,
      -1,   520,   521,   522,   523,   524,    -1,   526,   527,   528,
     529,   530,   531,   532,   533,   534,    -1,    -1,   537,   538,
     539,   540,   541,    -1,    -1,   544,   545,   546,   547,   548,
     549,   550,    -1,   552,    -1,   554,   555,   556,   557,    -1,
      -1,   560,    -1,    -1,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,   169,    -1,   171,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,   446,   447,    -1,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,    -1,
     472,   473,   474,   475,   476,    -1,   478,   479,   480,   481,
      -1,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,    -1,
     502,   503,    -1,    -1,   506,    -1,   508,   509,   510,   511,
     512,   513,    -1,   515,   516,   517,    -1,    -1,   520,   521,
     522,   523,   524,    -1,   526,   527,   528,   529,   530,   531,
     532,   533,   534,    -1,    -1,   537,   538,   539,   540,   541,
      -1,    -1,   544,   545,   546,   547,   548,   549,   550,    -1,
     552,    -1,   554,   555,   556,   557,    -1,    -1,   560,    -1,
      -1,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    -1,
      25,    26,    27,    -1,    -1,    30,    31,    32,    33,    -1,
      -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,
     115,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,   147,    -1,    -1,    -1,   151,   152,   153,   154,
     155,   156,    -1,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,   168,    -1,    -1,   171,   172,    -1,    -1,
      -1,    -1,   177,    -1,    -1,    -1,   181,   182,   183,   184,
     185,   186,   187,   188,   189,    -1,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,   204,
      -1,    -1,   207,   208,   209,   210,   211,    -1,   213,   214,
     215,   216,    -1,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,   238,   239,   240,    -1,   242,    -1,   244,
     245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,    -1,   267,   268,   269,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,    -1,   283,    -1,
     285,   286,   287,    -1,   289,    -1,   291,    -1,   293,    -1,
      -1,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
      -1,   366,    -1,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,    -1,   379,   380,   381,   382,    -1,    -1,
     385,   386,   387,    -1,   389,    -1,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,   446,   447,    -1,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
      -1,   466,   467,   468,   469,   470,    -1,   472,   473,   474,
     475,   476,    -1,   478,   479,   480,   481,    -1,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,    -1,   502,   503,    -1,
     505,   506,    -1,   508,   509,   510,   511,   512,   513,    -1,
     515,   516,   517,    -1,    -1,   520,   521,   522,   523,   524,
      -1,   526,   527,   528,   529,   530,   531,   532,   533,   534,
      -1,    -1,   537,   538,   539,   540,   541,    -1,    -1,   544,
     545,   546,   547,   548,   549,   550,    -1,   552,    -1,   554,
     555,   556,   557,    -1,    -1,   560,    -1,    -1,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,     6,     7,
       8,     9,    10,    11,    12,    13,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    70,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,
      -1,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,    -1,   446,   447,
      -1,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,    -1,   466,   467,
     468,   469,   470,    -1,   472,   473,   474,   475,   476,    -1,
     478,   479,   480,   481,    -1,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,    -1,   502,   503,    -1,   505,   506,    -1,
     508,   509,   510,   511,   512,   513,    -1,   515,   516,   517,
      -1,    -1,   520,   521,   522,   523,   524,    -1,   526,   527,
     528,   529,   530,   531,   532,   533,   534,    -1,    -1,   537,
     538,   539,   540,   541,    -1,    -1,   544,   545,   546,   547,
     548,   549,   550,    -1,   552,    -1,   554,   555,   556,   557,
      -1,    -1,   560,    -1,    -1,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    -1,    25,    26,    27,    -1,    -1,    30,
      31,    32,    33,    -1,    -1,    36,    37,    38,    -1,    40,
      -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    70,
      -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,    -1,   114,   115,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,   168,    -1,    -1,
     171,   172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     181,   182,   183,   184,   185,   186,   187,   188,   189,    -1,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,   204,    -1,    -1,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,   238,   239,   240,
      -1,   242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,
     251,   252,    -1,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,    -1,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,    -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,
     291,    -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,    -1,   318,   319,    -1,
     321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,    -1,   366,    -1,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,    -1,    -1,   380,
     381,   382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,    -1,   446,   447,    -1,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,    -1,   466,   467,   468,   469,   470,
      -1,   472,   473,   474,   475,   476,    -1,   478,   479,   480,
     481,    -1,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
      -1,   502,   503,    -1,    -1,   506,    -1,   508,   509,   510,
     511,   512,   513,    -1,   515,   516,   517,    -1,    -1,   520,
     521,   522,   523,   524,    -1,   526,   527,   528,   529,   530,
     531,   532,   533,   534,    -1,    -1,   537,   538,   539,   540,
     541,    -1,    -1,   544,   545,   546,   547,   548,   549,   550,
      -1,   552,    -1,   554,   555,   556,   557,    -1,    -1,   560,
      -1,    -1,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,    -1,    -1,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,    -1,   171,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
      -1,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,    -1,   389,    -1,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,    -1,   446,   447,    -1,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,    -1,   466,   467,   468,   469,   470,    -1,   472,   473,
     474,   475,   476,    -1,   478,   479,   480,   481,    -1,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,    -1,   502,   503,
      -1,    -1,   506,    -1,   508,   509,   510,   511,   512,   513,
      -1,   515,   516,   517,    -1,    -1,   520,   521,   522,   523,
     524,    -1,   526,   527,   528,   529,   530,   531,   532,   533,
     534,    -1,    -1,   537,   538,   539,   540,   541,    -1,    -1,
     544,   545,   546,   547,   548,   549,   550,    -1,   552,    -1,
     554,   555,   556,   557,    -1,    -1,   560,    -1,    -1,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    70,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,    -1,    -1,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,    -1,
      -1,    -1,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,    -1,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,    -1,   446,
     447,    -1,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,    -1,   466,
     467,   468,   469,   470,    -1,   472,   473,   474,   475,   476,
      -1,   478,   479,   480,   481,    -1,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,    -1,   502,   503,    -1,    -1,   506,
      -1,   508,   509,   510,   511,   512,   513,    -1,   515,   516,
     517,    -1,    -1,   520,   521,   522,   523,   524,    -1,   526,
     527,   528,   529,   530,   531,   532,   533,   534,    -1,    -1,
     537,   538,   539,   540,   541,    -1,    -1,   544,   545,   546,
     547,   548,   549,   550,    -1,   552,    -1,   554,   555,   556,
     557,    -1,    -1,   560,    -1,    -1,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      70,    -1,    -1,    73,    -1,    -1,    76,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,   112,    -1,   114,   115,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,   147,    -1,    -1,
      -1,   151,   152,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,    -1,   163,   164,   165,   166,   167,   168,    -1,
      -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   181,   182,   183,   184,   185,   186,   187,   188,   189,
      -1,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
      -1,   201,   202,   203,   204,    -1,    -1,   207,   208,   209,
     210,   211,    -1,   213,   214,   215,   216,    -1,   218,   219,
     220,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,   238,   239,
     240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,   249,
     250,   251,   252,    -1,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,    -1,   267,   268,   269,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
      -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,   289,
      -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,    -1,   318,   319,
      -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,    -1,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,    -1,    -1,
     380,   381,   382,    -1,    -1,   385,   386,   387,    -1,   389,
      -1,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,   447,    -1,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,    -1,   466,   467,   468,   469,
     470,    -1,   472,   473,   474,   475,   476,    -1,   478,   479,
     480,   481,    -1,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,    -1,   502,   503,    -1,    -1,   506,    -1,   508,   509,
     510,   511,   512,   513,    -1,   515,   516,   517,    -1,    -1,
     520,   521,   522,   523,   524,    -1,   526,   527,   528,   529,
     530,   531,   532,   533,   534,    -1,    -1,   537,   538,   539,
     540,   541,    -1,    -1,   544,   545,   546,   547,   548,   549,
     550,    -1,   552,    -1,   554,   555,   556,   557,    -1,    -1,
     560,    -1,    -1,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,    -1,   171,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,    -1,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,   379,   380,   381,   382,
      -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,   446,   447,    -1,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,    -1,   466,   467,   468,   469,   470,    -1,   472,
     473,   474,   475,   476,    -1,   478,   479,   480,   481,    -1,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,    -1,   502,
     503,    -1,    -1,   506,    -1,   508,   509,   510,   511,   512,
     513,    -1,   515,   516,   517,    -1,    -1,   520,   521,   522,
     523,   524,    -1,   526,   527,   528,   529,   530,   531,   532,
     533,   534,    -1,    -1,   537,   538,   539,   540,   541,    -1,
      -1,   544,   545,   546,   547,   548,   549,   550,    -1,   552,
      -1,   554,   555,   556,   557,    -1,    -1,   560,    -1,    -1,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,   147,    -1,    -1,    -1,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,    -1,   163,   164,   165,
     166,   167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,
     186,   187,   188,   189,    -1,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,    -1,   201,   202,   203,   204,    -1,
      -1,   207,   208,   209,   210,   211,    -1,   213,   214,   215,
     216,    -1,   218,   219,   220,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,   238,   239,   240,    -1,   242,    -1,   244,   245,
      -1,    -1,    -1,   249,   250,   251,   252,    -1,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
      -1,   267,   268,   269,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,    -1,   281,    -1,   283,    -1,   285,
     286,   287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,    -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,
     326,    -1,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,    -1,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,
     386,   387,    -1,   389,    -1,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,    -1,
     446,   447,    -1,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,    -1,
     466,   467,   468,   469,   470,    -1,   472,   473,   474,   475,
     476,    -1,   478,   479,   480,   481,    -1,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,    -1,   502,   503,    -1,    -1,
     506,    -1,   508,   509,   510,   511,   512,   513,    -1,   515,
     516,   517,    -1,    -1,   520,   521,   522,   523,   524,    -1,
     526,   527,   528,   529,   530,   531,   532,   533,   534,    -1,
      -1,   537,   538,   539,   540,   541,    -1,    -1,   544,   545,
     546,   547,   548,   549,   550,    -1,   552,    -1,   554,   555,
     556,   557,    -1,    -1,   560,    -1,    -1,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,    -1,
     389,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,    -1,   446,   447,    -1,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,    -1,   466,   467,   468,
     469,   470,    -1,   472,   473,   474,   475,   476,    -1,   478,
     479,   480,   481,    -1,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,    -1,   502,   503,    -1,    -1,   506,    -1,   508,
     509,   510,   511,   512,   513,    -1,   515,   516,   517,    -1,
      -1,   520,   521,   522,   523,   524,    -1,   526,   527,   528,
     529,   530,   531,   532,   533,   534,    -1,    -1,   537,   538,
     539,   540,   541,   542,    -1,   544,   545,   546,   547,   548,
     549,   550,    -1,   552,    -1,   554,   555,   556,   557,    -1,
      -1,   560,    -1,    -1,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,    -1,   171,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,   446,   447,    -1,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,    -1,   466,   467,   468,   469,   470,    -1,
     472,   473,   474,   475,   476,    -1,   478,   479,   480,   481,
      -1,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,    -1,
     502,   503,    -1,    -1,   506,    -1,   508,   509,   510,   511,
     512,   513,    -1,   515,   516,   517,    -1,    -1,   520,   521,
     522,   523,   524,    -1,   526,   527,   528,   529,   530,   531,
     532,   533,   534,    -1,    -1,   537,   538,   539,   540,   541,
     542,    -1,   544,   545,   546,   547,   548,   549,   550,    -1,
     552,    -1,   554,   555,   556,   557,    -1,    -1,   560,    -1,
      -1,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    -1,
      25,    26,    27,    -1,    -1,    30,    31,    32,    33,    -1,
      -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    70,    -1,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,
     115,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,   147,    -1,    -1,    -1,   151,   152,   153,   154,
     155,   156,    -1,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,   168,    -1,    -1,   171,   172,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,   184,
     185,   186,   187,   188,   189,    -1,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,   204,
      -1,    -1,   207,   208,   209,   210,   211,    -1,   213,   214,
     215,   216,    -1,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,   238,   239,   240,    -1,   242,    -1,   244,
     245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,    -1,   267,   268,   269,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,    -1,   283,    -1,
     285,   286,   287,    -1,   289,    -1,   291,    -1,   293,    -1,
      -1,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
      -1,   366,    -1,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,
     385,   386,   387,    -1,   389,    -1,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,   446,   447,    -1,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
      -1,   466,   467,   468,   469,   470,    -1,   472,   473,   474,
     475,   476,    -1,   478,   479,   480,   481,    -1,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,    -1,   502,   503,    -1,
      -1,   506,    -1,   508,   509,   510,   511,   512,   513,    -1,
     515,   516,   517,    -1,    -1,   520,   521,   522,   523,   524,
      -1,   526,   527,   528,   529,   530,   531,   532,   533,   534,
      -1,    -1,   537,   538,   539,   540,   541,    -1,    -1,   544,
     545,   546,   547,   548,   549,   550,    -1,   552,    -1,   554,
     555,   556,   557,    -1,    -1,   560,    -1,    -1,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    70,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,
      -1,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,    -1,   446,   447,
      -1,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,    -1,   466,   467,
     468,   469,   470,    -1,   472,   473,   474,   475,   476,    -1,
     478,   479,   480,   481,    -1,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,    -1,   502,   503,    -1,    -1,   506,    -1,
     508,   509,   510,   511,   512,   513,    -1,   515,   516,   517,
      -1,    -1,   520,   521,   522,   523,   524,    -1,   526,   527,
     528,   529,   530,   531,   532,   533,   534,    -1,    -1,   537,
     538,   539,   540,   541,    -1,    -1,   544,   545,   546,   547,
     548,   549,   550,    -1,   552,    -1,   554,   555,   556,   557,
      -1,    -1,   560,    -1,    -1,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    -1,    25,    26,    27,    -1,    -1,    30,
      31,    32,    33,    -1,    -1,    36,    37,    38,    -1,    40,
      -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    70,
      -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,    -1,   114,   115,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,   168,    -1,    -1,
     171,   172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     181,   182,   183,   184,   185,   186,   187,   188,   189,    -1,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,   204,    -1,    -1,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,   238,   239,   240,
      -1,   242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,
     251,   252,    -1,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,    -1,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,    -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,
     291,    -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,    -1,   318,   319,    -1,
     321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,    -1,   366,    -1,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,    -1,    -1,   380,
     381,   382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,    -1,   446,   447,    -1,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,    -1,   466,   467,   468,   469,   470,
      -1,   472,   473,   474,   475,   476,    -1,   478,   479,   480,
     481,    -1,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
      -1,   502,   503,    -1,    -1,   506,    -1,   508,   509,   510,
     511,   512,   513,    -1,   515,   516,   517,    -1,    -1,   520,
     521,   522,   523,   524,    -1,   526,   527,   528,   529,   530,
     531,   532,   533,   534,    -1,    -1,   537,   538,   539,   540,
     541,    -1,    -1,   544,   545,   546,   547,   548,   549,   550,
      -1,   552,    -1,   554,   555,   556,   557,    -1,    -1,   560,
      -1,    -1,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    70,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,    -1,    -1,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,    -1,   171,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
      -1,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,    -1,   389,    -1,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,    -1,   446,   447,    -1,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,    -1,   466,   467,   468,   469,   470,    -1,   472,   473,
     474,   475,   476,    -1,   478,   479,   480,   481,    -1,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,    -1,   502,   503,
      -1,    -1,   506,    -1,   508,   509,   510,   511,   512,   513,
      -1,   515,   516,   517,    -1,    -1,   520,   521,   522,   523,
     524,    -1,   526,   527,   528,   529,   530,   531,   532,   533,
     534,    -1,    -1,   537,   538,   539,   540,   541,    -1,    -1,
     544,   545,   546,   547,   548,   549,   550,    -1,   552,    -1,
     554,   555,   556,   557,    -1,    -1,   560,    -1,    -1,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,    -1,    -1,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,    -1,
      -1,    -1,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,   379,   380,   381,   382,    -1,    -1,   385,   386,
     387,    -1,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,    -1,   446,
     447,    -1,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,    -1,   466,
     467,   468,   469,   470,    -1,   472,   473,   474,   475,   476,
      -1,   478,   479,   480,   481,    -1,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,    -1,   502,   503,    -1,    -1,   506,
      -1,   508,   509,   510,   511,   512,   513,    -1,   515,   516,
     517,    -1,    -1,   520,   521,   522,   523,   524,    -1,   526,
     527,   528,   529,   530,   531,   532,   533,   534,    -1,    -1,
     537,   538,   539,   540,   541,    -1,    -1,   544,   545,   546,
     547,   548,   549,   550,    -1,   552,    -1,   554,   555,   556,
     557,    -1,    -1,   560,    -1,    -1,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,   112,    -1,   114,   115,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,   147,    -1,    -1,
      -1,   151,   152,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,    -1,   163,   164,   165,   166,   167,   168,    -1,
      -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   181,   182,   183,   184,   185,   186,   187,   188,   189,
      -1,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
      -1,   201,   202,   203,   204,    -1,    -1,   207,   208,   209,
     210,   211,    -1,   213,   214,   215,   216,    -1,   218,   219,
     220,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,   238,   239,
     240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,   249,
     250,   251,   252,    -1,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,    -1,   267,   268,   269,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
      -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,   289,
      -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,    -1,   318,   319,
      -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,    -1,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,    -1,    -1,
     380,   381,   382,    -1,    -1,   385,   386,   387,    -1,   389,
      -1,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,   447,    -1,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,    -1,   466,   467,   468,   469,
     470,    -1,   472,   473,   474,   475,   476,    -1,   478,   479,
     480,   481,    -1,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,    -1,   502,   503,    -1,    -1,   506,    -1,   508,   509,
     510,   511,   512,   513,    -1,   515,   516,   517,    -1,    -1,
     520,   521,   522,   523,   524,    -1,   526,   527,   528,   529,
     530,   531,   532,   533,   534,    -1,    -1,   537,   538,   539,
     540,   541,    -1,    -1,   544,   545,   546,   547,   548,   549,
     550,    -1,   552,    -1,   554,   555,   556,   557,    -1,    -1,
     560,    -1,    -1,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,    -1,   171,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,    -1,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,   446,   447,    -1,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,    -1,   466,   467,   468,   469,   470,    -1,   472,
     473,   474,   475,   476,    -1,   478,   479,   480,   481,    -1,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,    -1,   502,
     503,    -1,    -1,   506,    -1,   508,   509,   510,   511,   512,
     513,    -1,   515,   516,   517,    -1,    -1,   520,   521,   522,
     523,   524,    -1,   526,   527,   528,   529,   530,   531,   532,
     533,   534,    -1,    -1,   537,   538,   539,   540,   541,    -1,
      -1,   544,   545,   546,   547,   548,   549,   550,    -1,   552,
      -1,   554,   555,   556,   557,    -1,    -1,   560,    -1,    -1,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,   147,    -1,    -1,    -1,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,    -1,   163,   164,   165,
     166,   167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,
     186,   187,   188,   189,    -1,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,    -1,   201,   202,   203,   204,    -1,
      -1,   207,   208,   209,   210,   211,    -1,   213,   214,   215,
     216,    -1,   218,   219,   220,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,   238,   239,   240,    -1,   242,    -1,   244,   245,
      -1,    -1,    -1,   249,   250,   251,   252,    -1,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
      -1,   267,   268,   269,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,    -1,   281,    -1,   283,    -1,   285,
     286,   287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,    -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,
     326,    -1,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,    -1,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,    -1,   379,   380,   381,   382,    -1,    -1,   385,
     386,   387,    -1,   389,    -1,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,    -1,
     446,   447,    -1,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,    -1,
     466,   467,   468,   469,   470,    -1,   472,   473,   474,   475,
     476,    -1,   478,   479,   480,   481,    -1,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,    -1,   502,   503,    -1,    -1,
     506,    -1,   508,   509,   510,   511,   512,   513,    -1,   515,
     516,   517,    -1,    -1,   520,   521,   522,   523,   524,    -1,
     526,   527,   528,   529,   530,   531,   532,   533,   534,    -1,
      -1,   537,   538,   539,   540,   541,    -1,    -1,   544,   545,
     546,   547,   548,   549,   550,    -1,   552,    -1,   554,   555,
     556,   557,    -1,    -1,   560,    -1,    -1,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,    -1,
     389,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,    -1,   446,   447,    -1,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,    -1,   466,   467,   468,
     469,   470,    -1,   472,   473,   474,   475,   476,    -1,   478,
     479,   480,   481,    -1,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,    -1,   502,   503,    -1,    -1,   506,    -1,   508,
     509,   510,   511,   512,   513,    -1,   515,   516,   517,    -1,
      -1,   520,   521,   522,   523,   524,    -1,   526,   527,   528,
     529,   530,   531,   532,   533,   534,    -1,    -1,   537,   538,
     539,   540,   541,    -1,    -1,   544,   545,   546,   547,   548,
     549,   550,    -1,   552,    -1,   554,   555,   556,   557,    -1,
      -1,   560,    -1,    -1,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      72,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,    -1,   171,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,   446,   447,    -1,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,    -1,   466,   467,   468,   469,   470,    -1,
     472,   473,   474,   475,   476,    -1,   478,   479,   480,   481,
      -1,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,    -1,
     502,   503,    -1,    -1,   506,    -1,   508,   509,   510,   511,
     512,   513,    -1,   515,   516,   517,    -1,    -1,   520,   521,
     522,   523,   524,    -1,   526,   527,   528,   529,   530,   531,
     532,   533,   534,    -1,    -1,   537,   538,   539,   540,   541,
      -1,    -1,   544,   545,   546,   547,   548,   549,   550,    -1,
     552,    -1,   554,   555,   556,   557,    -1,    -1,   560,    -1,
      -1,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    -1,
      25,    26,    27,    -1,    -1,    30,    31,    32,    33,    -1,
      -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,
     115,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,   147,    -1,    -1,    -1,   151,   152,   153,   154,
     155,   156,    -1,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,   168,    -1,    -1,   171,   172,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,   184,
     185,   186,   187,   188,   189,    -1,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,   204,
      -1,    -1,   207,   208,   209,   210,   211,    -1,   213,   214,
     215,   216,    -1,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,   238,   239,   240,    -1,   242,    -1,   244,
     245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,    -1,   267,   268,   269,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,    -1,   283,    -1,
     285,   286,   287,    -1,   289,    -1,   291,    -1,   293,    -1,
      -1,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
      -1,   366,    -1,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,
     385,   386,   387,    -1,   389,    -1,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,   446,   447,    -1,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
      -1,   466,   467,   468,   469,   470,    -1,   472,   473,   474,
     475,   476,    -1,   478,   479,   480,   481,    -1,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,    -1,   502,   503,    -1,
      -1,   506,    -1,   508,   509,   510,   511,   512,   513,    -1,
     515,   516,   517,    -1,    -1,   520,   521,   522,   523,   524,
      -1,   526,   527,   528,   529,   530,   531,   532,   533,   534,
      -1,    -1,   537,   538,   539,   540,   541,    -1,    -1,   544,
     545,   546,   547,   548,   549,   550,    -1,   552,    -1,   554,
     555,   556,   557,    -1,    -1,   560,    -1,    -1,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    76,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,
      -1,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,    -1,   446,   447,
      -1,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,    -1,   466,   467,
     468,   469,   470,    -1,   472,   473,   474,   475,   476,    -1,
     478,   479,   480,   481,    -1,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,    -1,   502,   503,    -1,    -1,   506,    -1,
     508,   509,   510,   511,   512,   513,    -1,   515,   516,   517,
      -1,    -1,   520,   521,   522,   523,   524,    -1,   526,   527,
     528,   529,   530,   531,   532,   533,   534,    -1,    -1,   537,
     538,   539,   540,   541,    -1,    -1,   544,   545,   546,   547,
     548,   549,   550,    -1,   552,    -1,   554,   555,   556,   557,
      -1,    -1,   560,    -1,    -1,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    -1,    25,    26,    27,    -1,    -1,    30,
      31,    32,    33,    -1,    -1,    36,    37,    38,    -1,    40,
      -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      81,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,    -1,   114,   115,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,   168,    -1,    -1,
     171,   172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     181,   182,   183,   184,   185,   186,   187,   188,   189,    -1,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,   204,    -1,    -1,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,   238,   239,   240,
      -1,   242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,
     251,   252,    -1,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,    -1,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,    -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,
     291,    -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,    -1,   318,   319,    -1,
     321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,    -1,   366,    -1,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,    -1,    -1,   380,
     381,   382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,    -1,   446,   447,    -1,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,    -1,   466,   467,   468,   469,   470,
      -1,   472,   473,   474,   475,   476,    -1,   478,   479,   480,
     481,    -1,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
      -1,   502,   503,    -1,    -1,   506,    -1,   508,   509,   510,
     511,   512,   513,    -1,   515,   516,   517,    -1,    -1,   520,
     521,   522,   523,   524,    -1,   526,   527,   528,   529,   530,
     531,   532,   533,   534,    -1,    -1,   537,   538,   539,   540,
     541,    -1,    -1,   544,   545,   546,   547,   548,   549,   550,
      -1,   552,    -1,   554,   555,   556,   557,    -1,    -1,   560,
      -1,    -1,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,    -1,    -1,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,    -1,   171,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
      -1,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,    -1,   389,    -1,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,    -1,   446,   447,    -1,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,    -1,   466,   467,   468,   469,   470,    -1,   472,   473,
     474,   475,   476,    -1,   478,   479,   480,   481,    -1,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,    -1,   502,   503,
      -1,    -1,   506,    -1,   508,   509,   510,   511,   512,   513,
      -1,   515,   516,   517,    -1,    -1,   520,   521,   522,   523,
     524,    -1,   526,   527,   528,   529,   530,   531,   532,   533,
     534,    -1,    -1,   537,   538,   539,   540,   541,    -1,    -1,
     544,   545,   546,   547,   548,   549,   550,    -1,   552,    -1,
     554,   555,   556,   557,    -1,    -1,   560,    -1,    -1,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,   108,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,    -1,    -1,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,    -1,
      -1,    -1,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,    -1,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,    -1,   446,
     447,    -1,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,    -1,   466,
     467,   468,   469,   470,    -1,   472,   473,   474,   475,   476,
      -1,   478,   479,   480,   481,    -1,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,    -1,   502,   503,    -1,    -1,   506,
      -1,   508,   509,   510,   511,   512,   513,    -1,   515,   516,
     517,    -1,    -1,   520,   521,   522,   523,   524,    -1,   526,
     527,   528,   529,   530,   531,   532,   533,   534,    -1,    -1,
     537,   538,   539,   540,   541,    -1,    -1,   544,   545,   546,
     547,   548,   549,   550,    -1,   552,    -1,   554,   555,   556,
     557,    -1,    -1,   560,    -1,    -1,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,   108,    -1,
     110,   111,   112,    -1,   114,   115,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,   147,    -1,    -1,
      -1,   151,   152,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,    -1,   163,   164,   165,   166,   167,   168,    -1,
      -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   181,   182,   183,   184,   185,   186,   187,   188,   189,
      -1,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
      -1,   201,   202,   203,   204,    -1,    -1,   207,   208,   209,
     210,   211,    -1,   213,   214,   215,   216,    -1,   218,   219,
     220,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,   238,   239,
     240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,   249,
     250,   251,   252,    -1,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,    -1,   267,   268,   269,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
      -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,   289,
      -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,    -1,   318,   319,
      -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,    -1,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,    -1,    -1,
     380,   381,   382,    -1,    -1,   385,   386,   387,    -1,   389,
      -1,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,   447,    -1,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,    -1,   466,   467,   468,   469,
     470,    -1,   472,   473,   474,   475,   476,    -1,   478,   479,
     480,   481,    -1,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,    -1,   502,   503,    -1,    -1,   506,    -1,   508,   509,
     510,   511,   512,   513,    -1,   515,   516,   517,    -1,    -1,
     520,   521,   522,   523,   524,    -1,   526,   527,   528,   529,
     530,   531,   532,   533,   534,    -1,    -1,   537,   538,   539,
     540,   541,    -1,    -1,   544,   545,   546,   547,   548,   549,
     550,    -1,   552,    -1,   554,   555,   556,   557,    -1,    -1,
     560,    -1,    -1,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,    -1,   171,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,    -1,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,   446,   447,    -1,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,    -1,   466,   467,   468,   469,   470,    -1,   472,
     473,   474,   475,   476,    -1,   478,   479,   480,   481,    -1,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,    -1,   502,
     503,    -1,    -1,   506,    -1,   508,   509,   510,   511,   512,
     513,    -1,   515,   516,   517,    -1,    -1,   520,   521,   522,
     523,   524,    -1,   526,   527,   528,   529,   530,   531,   532,
     533,   534,    -1,    -1,   537,   538,   539,   540,   541,    -1,
      -1,   544,   545,   546,   547,   548,   549,   550,    -1,   552,
      -1,   554,   555,   556,   557,    -1,    -1,   560,    -1,    -1,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,   147,    -1,    -1,    -1,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,    -1,   163,   164,   165,
     166,   167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,
      -1,   177,    -1,    -1,    -1,   181,   182,   183,   184,   185,
     186,   187,   188,   189,    -1,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,    -1,   201,   202,   203,   204,    -1,
      -1,   207,   208,   209,   210,   211,    -1,   213,   214,   215,
     216,    -1,   218,   219,   220,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,   238,   239,   240,    -1,   242,    -1,   244,   245,
      -1,    -1,    -1,   249,   250,   251,   252,    -1,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
      -1,   267,   268,   269,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,    -1,   281,    -1,   283,    -1,   285,
     286,   287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,    -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,
     326,    -1,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,    -1,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,
     386,   387,    -1,   389,    -1,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,    -1,
     446,   447,    -1,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,    -1,
     466,   467,   468,   469,   470,    -1,   472,   473,   474,   475,
     476,    -1,   478,   479,   480,   481,    -1,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,    -1,   502,   503,    -1,    -1,
     506,    -1,   508,   509,   510,   511,   512,   513,    -1,   515,
     516,   517,    -1,    -1,   520,   521,   522,   523,   524,    -1,
     526,   527,   528,   529,   530,   531,   532,   533,   534,    -1,
      -1,   537,   538,   539,   540,   541,    -1,    -1,   544,   545,
     546,   547,   548,   549,   550,    -1,   552,    -1,   554,   555,
     556,   557,    -1,    -1,   560,    -1,    -1,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,    -1,
     389,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,    -1,   446,   447,    -1,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,    -1,   466,   467,   468,
     469,   470,    -1,   472,   473,   474,   475,   476,    -1,   478,
     479,   480,   481,    -1,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,    -1,   502,   503,    -1,    -1,   506,    -1,   508,
     509,   510,   511,   512,   513,    -1,   515,   516,   517,    -1,
      -1,   520,   521,   522,   523,   524,    -1,   526,   527,   528,
     529,   530,   531,   532,   533,   534,    -1,    -1,   537,   538,
     539,   540,   541,    -1,    -1,   544,   545,   546,   547,   548,
     549,   550,    -1,   552,    -1,   554,   555,   556,   557,    -1,
      -1,   560,    -1,    -1,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,    -1,   171,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,   446,   447,    -1,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,    -1,   466,   467,   468,   469,   470,    -1,
     472,   473,   474,   475,   476,    -1,   478,   479,   480,   481,
      -1,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,    -1,
     502,   503,    -1,    -1,   506,    -1,   508,   509,   510,   511,
     512,   513,    -1,   515,   516,   517,    -1,    -1,   520,   521,
     522,   523,   524,    -1,   526,   527,   528,   529,   530,   531,
     532,   533,   534,    -1,    -1,   537,   538,   539,   540,   541,
      -1,    -1,   544,   545,   546,   547,   548,   549,   550,    -1,
     552,    -1,   554,   555,   556,   557,    -1,    -1,   560,    -1,
      -1,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    -1,
      25,    26,    27,    -1,    -1,    30,    31,    32,    33,    -1,
      -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,
     115,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,   147,    -1,    -1,    -1,   151,   152,   153,   154,
     155,   156,    -1,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,   168,    -1,    -1,   171,   172,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,   184,
     185,   186,   187,   188,   189,    -1,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,   204,
      -1,    -1,   207,   208,   209,   210,   211,    -1,   213,   214,
     215,   216,    -1,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,   238,   239,   240,    -1,   242,    -1,   244,
     245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,    -1,   267,   268,   269,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,    -1,   283,    -1,
     285,   286,   287,    -1,   289,    -1,   291,    -1,   293,    -1,
      -1,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
      -1,   366,    -1,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,
     385,   386,   387,    -1,   389,    -1,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,   446,   447,    -1,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
      -1,   466,   467,   468,   469,   470,    -1,   472,   473,   474,
     475,   476,    -1,   478,   479,   480,   481,    -1,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,    -1,   502,   503,    -1,
      -1,   506,    -1,   508,   509,   510,   511,   512,   513,    -1,
     515,   516,   517,    -1,    -1,   520,   521,   522,   523,   524,
      -1,   526,   527,   528,   529,   530,   531,   532,   533,   534,
      -1,    -1,   537,   538,   539,   540,   541,    -1,    -1,   544,
     545,   546,   547,   548,   549,   550,    -1,   552,    -1,   554,
     555,   556,   557,    -1,    -1,   560,    -1,    -1,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,    -1,    -1,   163,   164,   165,   166,   167,
     168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,
      -1,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,    -1,   446,   447,
      -1,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,    -1,   466,   467,
     468,   469,   470,    -1,   472,   473,   474,   475,   476,    -1,
     478,   479,   480,   481,    -1,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,    -1,   502,   503,    -1,    -1,   506,    -1,
     508,   509,   510,   511,   512,   513,    -1,   515,   516,   517,
      -1,    -1,   520,   521,   522,   523,   524,    -1,   526,   527,
     528,   529,   530,   531,   532,   533,   534,    -1,    -1,   537,
     538,   539,   540,   541,    -1,    -1,   544,   545,   546,   547,
     548,   549,   550,    -1,   552,    -1,   554,   555,   556,   557,
      -1,    -1,   560,    -1,    -1,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    -1,    25,    26,    27,    -1,    -1,    30,
      31,    32,    33,    -1,    -1,    36,    37,    38,    -1,    40,
      -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,    -1,   114,   115,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
      -1,    -1,   163,   164,   165,   166,   167,   168,    -1,    -1,
     171,   172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     181,   182,   183,   184,   185,   186,   187,   188,   189,    -1,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,   204,    -1,    -1,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,   238,   239,   240,
      -1,   242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,
     251,   252,    -1,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,    -1,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,    -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,
     291,    -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,    -1,   318,   319,    -1,
     321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,    -1,   366,    -1,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,    -1,    -1,   380,
     381,   382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,    -1,   446,   447,    -1,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,    -1,   466,   467,   468,   469,   470,
      -1,   472,   473,   474,   475,   476,    -1,   478,   479,   480,
     481,    -1,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
      -1,   502,   503,    -1,    -1,   506,    -1,   508,   509,   510,
     511,   512,   513,    -1,   515,   516,   517,    -1,    -1,   520,
     521,   522,   523,   524,    -1,   526,   527,   528,   529,   530,
     531,   532,   533,   534,    -1,    -1,   537,   538,   539,   540,
     541,    -1,    -1,   544,   545,   546,   547,   548,   549,   550,
      -1,   552,    -1,   554,   555,   556,   557,    -1,    -1,   560,
      -1,    -1,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,    -1,    -1,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,    -1,   171,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
      -1,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,    -1,   389,    -1,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,    -1,   446,   447,    -1,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,    -1,   466,   467,   468,   469,   470,    -1,   472,   473,
     474,   475,   476,    -1,   478,   479,   480,   481,    -1,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,    -1,   502,   503,
      -1,    -1,   506,    -1,   508,   509,   510,   511,   512,   513,
      -1,   515,   516,   517,    -1,    -1,   520,   521,   522,   523,
     524,    -1,   526,   527,   528,   529,   530,   531,   532,   533,
     534,    -1,    -1,   537,   538,   539,   540,   541,    -1,    -1,
     544,   545,   546,   547,   548,   549,   550,    -1,   552,    -1,
     554,   555,   556,   557,    -1,    -1,   560,    -1,    -1,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,    -1,    -1,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,    -1,
      -1,    -1,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,    -1,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,    -1,   446,
     447,    -1,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,    -1,   466,
     467,   468,   469,   470,    -1,   472,   473,   474,   475,   476,
      -1,   478,   479,   480,   481,    -1,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,    -1,   502,   503,    -1,    -1,   506,
      -1,   508,   509,   510,   511,   512,   513,    -1,   515,   516,
     517,    -1,    -1,   520,   521,   522,   523,   524,    -1,   526,
     527,   528,   529,   530,   531,   532,   533,   534,    -1,    -1,
     537,   538,   539,   540,   541,    -1,    -1,   544,   545,   546,
     547,   548,   549,   550,    -1,   552,    -1,   554,   555,   556,
     557,    -1,    -1,   560,    -1,    -1,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,   112,    -1,   114,   115,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,   147,    -1,    -1,
      -1,   151,   152,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,    -1,   163,   164,   165,   166,   167,   168,    -1,
      -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   181,   182,   183,   184,   185,   186,   187,   188,   189,
      -1,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
      -1,   201,   202,   203,   204,    -1,    -1,   207,   208,   209,
     210,   211,    -1,   213,   214,   215,   216,    -1,   218,   219,
     220,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,   238,   239,
     240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,   249,
     250,   251,   252,    -1,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,    -1,   267,   268,   269,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
      -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,   289,
      -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,    -1,   318,   319,
      -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,    -1,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,    -1,    -1,
     380,   381,   382,    -1,    -1,   385,   386,   387,    -1,   389,
      -1,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,   447,    -1,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,    -1,   466,   467,   468,   469,
     470,    -1,   472,   473,   474,   475,   476,    -1,   478,   479,
     480,   481,    -1,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,    -1,   502,   503,    -1,    -1,   506,    -1,   508,   509,
     510,   511,   512,   513,    -1,   515,   516,   517,    -1,    -1,
     520,   521,   522,   523,   524,    -1,   526,   527,   528,   529,
     530,   531,   532,   533,   534,    -1,    -1,   537,   538,   539,
     540,   541,    -1,    -1,   544,   545,   546,   547,   548,   549,
     550,    -1,   552,    -1,   554,   555,   556,   557,    -1,    -1,
     560,    -1,    -1,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,    -1,   171,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,    -1,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,   446,   447,    -1,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,    -1,   466,   467,   468,   469,   470,    -1,   472,
     473,   474,   475,   476,    -1,   478,   479,   480,   481,    -1,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,    -1,   502,
     503,    -1,    -1,   506,    -1,   508,   509,   510,   511,   512,
     513,    -1,   515,   516,   517,    -1,    -1,   520,   521,   522,
     523,   524,    -1,   526,   527,   528,   529,   530,   531,   532,
     533,   534,    -1,    -1,   537,   538,   539,   540,   541,    -1,
      -1,   544,   545,   546,   547,   548,   549,   550,    -1,   552,
      -1,   554,   555,   556,   557,    -1,    -1,   560,    -1,    -1,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,   147,    -1,    -1,    -1,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,    -1,   163,   164,   165,
     166,   167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,
     186,   187,   188,   189,    -1,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,    -1,   201,   202,   203,   204,    -1,
      -1,   207,   208,   209,   210,   211,    -1,   213,   214,   215,
     216,    -1,   218,   219,   220,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,   238,   239,   240,    -1,   242,    -1,   244,   245,
      -1,    -1,    -1,   249,   250,   251,   252,    -1,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
      -1,   267,   268,   269,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,    -1,   281,    -1,   283,    -1,   285,
     286,   287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,    -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,
     326,    -1,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,    -1,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,
     386,   387,    -1,   389,    -1,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,    -1,
     446,   447,    -1,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,    -1,
     466,   467,   468,   469,   470,    -1,   472,   473,   474,   475,
     476,    -1,   478,   479,   480,   481,    -1,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,    -1,   502,   503,    -1,    -1,
     506,    -1,   508,   509,   510,   511,   512,   513,    -1,   515,
     516,   517,    -1,    -1,   520,   521,   522,   523,   524,    -1,
     526,   527,   528,   529,   530,   531,   532,   533,   534,    -1,
      -1,   537,   538,   539,   540,   541,    -1,    -1,   544,   545,
     546,   547,   548,   549,   550,    -1,   552,    -1,   554,   555,
     556,   557,    -1,    -1,   560,    -1,    -1,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,    -1,
     389,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,    -1,   446,   447,    -1,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,    -1,   466,   467,   468,
     469,   470,    -1,   472,   473,   474,   475,   476,    -1,   478,
     479,   480,   481,    -1,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,    -1,   502,   503,    -1,    -1,   506,    -1,   508,
     509,   510,   511,   512,   513,    -1,   515,   516,   517,    -1,
      -1,   520,   521,   522,   523,   524,    -1,   526,   527,   528,
     529,   530,   531,   532,   533,   534,    -1,    -1,   537,   538,
     539,   540,   541,    -1,    -1,   544,   545,   546,   547,   548,
     549,   550,    -1,   552,    -1,   554,   555,   556,   557,    -1,
      -1,   560,    -1,    -1,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,    -1,   171,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,   446,   447,    -1,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,    -1,   466,   467,   468,   469,   470,    -1,
     472,   473,   474,   475,   476,    -1,   478,   479,   480,   481,
      -1,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,    -1,
     502,   503,    -1,    -1,   506,    -1,   508,   509,   510,   511,
     512,   513,    -1,   515,   516,   517,    -1,    -1,   520,   521,
     522,   523,   524,    -1,   526,   527,   528,   529,   530,   531,
     532,   533,   534,    -1,    -1,   537,   538,   539,   540,   541,
      -1,    -1,   544,   545,   546,   547,   548,   549,   550,    -1,
     552,    -1,   554,   555,   556,   557,    -1,    -1,   560,    -1,
      -1,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    -1,
      25,    26,    27,    -1,    -1,    30,    31,    32,    33,    -1,
      -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,
     115,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,   147,    -1,    -1,    -1,   151,   152,   153,   154,
     155,   156,    -1,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,   168,    -1,    -1,   171,   172,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,   184,
     185,   186,   187,   188,   189,    -1,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,   204,
      -1,    -1,   207,   208,   209,   210,   211,    -1,   213,   214,
     215,   216,    -1,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,   238,   239,   240,    -1,   242,    -1,   244,
     245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,    -1,   267,   268,   269,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,    -1,   283,    -1,
     285,   286,   287,    -1,   289,    -1,   291,    -1,   293,    -1,
      -1,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
      -1,   366,    -1,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,
     385,   386,   387,    -1,   389,    -1,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,   446,   447,    -1,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
      -1,   466,   467,   468,   469,   470,    -1,   472,   473,   474,
     475,   476,    -1,   478,   479,   480,   481,    -1,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,    -1,   502,   503,    -1,
      -1,   506,    -1,   508,   509,   510,   511,   512,   513,    -1,
     515,   516,   517,    -1,    -1,   520,   521,   522,   523,   524,
      -1,   526,   527,   528,   529,   530,   531,   532,   533,   534,
      -1,    -1,   537,   538,   539,   540,   541,    -1,    -1,   544,
     545,   546,   547,   548,   549,   550,    -1,   552,    -1,   554,
     555,   556,   557,    -1,    -1,   560,    -1,    -1,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,
      -1,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,    -1,   446,   447,
      -1,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,    -1,   466,   467,
     468,   469,   470,    -1,   472,   473,   474,   475,   476,    -1,
     478,   479,   480,   481,    -1,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,    -1,   502,   503,    -1,    -1,   506,    -1,
     508,   509,   510,   511,   512,   513,    -1,   515,   516,   517,
      -1,    -1,   520,   521,   522,   523,   524,    -1,   526,   527,
     528,   529,   530,   531,   532,   533,   534,    -1,    -1,   537,
     538,   539,   540,   541,    -1,    -1,   544,   545,   546,   547,
     548,   549,   550,    -1,   552,    -1,   554,   555,   556,   557,
      -1,    -1,   560,    -1,    -1,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    -1,    25,    26,    27,    -1,    -1,    30,
      31,    32,    33,    -1,    -1,    36,    37,    38,    -1,    40,
      -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,    -1,   114,   115,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,   168,    -1,    -1,
     171,   172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     181,   182,   183,   184,   185,   186,   187,   188,   189,    -1,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,   204,    -1,    -1,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,   238,   239,   240,
      -1,   242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,
     251,   252,    -1,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,    -1,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,    -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,
     291,    -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,    -1,   318,   319,    -1,
     321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,    -1,   366,    -1,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,    -1,    -1,   380,
     381,   382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,    -1,   446,   447,    -1,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,    -1,   466,   467,   468,   469,   470,
      -1,   472,   473,   474,   475,   476,    -1,   478,   479,   480,
     481,    -1,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
      -1,   502,   503,    -1,    -1,   506,    -1,   508,   509,   510,
     511,   512,   513,    -1,   515,   516,   517,    -1,    -1,   520,
     521,   522,   523,   524,    -1,   526,   527,   528,   529,   530,
     531,   532,   533,   534,    -1,    -1,   537,   538,   539,   540,
     541,    -1,    -1,   544,   545,   546,   547,   548,   549,   550,
      -1,   552,    -1,   554,   555,   556,   557,    -1,    -1,   560,
      -1,    -1,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,    -1,    -1,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,    -1,   171,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
      -1,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,    -1,   389,    -1,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,    -1,   446,   447,    -1,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,    -1,   466,   467,   468,   469,   470,    -1,   472,   473,
     474,   475,   476,    -1,   478,   479,   480,   481,    -1,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,    -1,   502,   503,
      -1,    -1,   506,    -1,   508,   509,   510,   511,   512,   513,
      -1,   515,   516,   517,    -1,    -1,   520,   521,   522,   523,
     524,    -1,   526,   527,   528,   529,   530,   531,   532,   533,
     534,    -1,    -1,   537,   538,   539,   540,   541,    -1,    -1,
     544,   545,   546,   547,   548,   549,   550,    -1,   552,    -1,
     554,   555,   556,   557,    -1,    -1,   560,    -1,    -1,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,    -1,    -1,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,    -1,
      -1,    -1,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,    -1,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,    -1,   446,
     447,    -1,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,    -1,   466,
     467,   468,   469,   470,    -1,   472,   473,   474,   475,   476,
      -1,   478,   479,   480,   481,    -1,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,    -1,   502,   503,    -1,    -1,   506,
      -1,   508,   509,   510,   511,   512,   513,    -1,   515,   516,
     517,    -1,    -1,   520,   521,   522,   523,   524,    -1,   526,
     527,   528,   529,   530,   531,   532,   533,   534,    -1,    -1,
     537,   538,   539,   540,   541,    -1,    -1,   544,   545,   546,
     547,   548,   549,   550,    -1,   552,    -1,   554,   555,   556,
     557,    -1,    -1,   560,    -1,    -1,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,   112,    -1,   114,   115,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,   147,    -1,    -1,
      -1,   151,   152,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,    -1,   163,   164,   165,   166,   167,   168,    -1,
      -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   181,   182,   183,   184,   185,   186,   187,   188,   189,
      -1,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
      -1,   201,   202,   203,   204,    -1,    -1,   207,   208,   209,
     210,   211,    -1,   213,   214,   215,   216,    -1,   218,   219,
     220,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,   238,   239,
     240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,   249,
     250,   251,   252,    -1,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,    -1,   267,   268,   269,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
      -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,   289,
      -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,    -1,   318,   319,
      -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,    -1,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,    -1,    -1,
     380,   381,   382,    -1,    -1,   385,   386,   387,    -1,   389,
      -1,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,   447,    -1,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,    -1,   466,   467,   468,   469,
     470,    -1,   472,   473,   474,   475,   476,    -1,   478,   479,
     480,   481,    -1,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,    -1,   502,   503,    -1,    -1,   506,    -1,   508,   509,
     510,   511,   512,   513,    -1,   515,   516,   517,    -1,    -1,
     520,   521,   522,   523,   524,    -1,   526,   527,   528,   529,
     530,   531,   532,   533,   534,    -1,    -1,   537,   538,   539,
     540,   541,    -1,    -1,   544,   545,   546,   547,   548,   549,
     550,    -1,   552,    -1,   554,   555,   556,   557,    -1,    -1,
     560,    -1,    -1,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,    -1,   171,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,    -1,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,   446,   447,    -1,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,    -1,   466,   467,   468,   469,   470,    -1,   472,
     473,   474,   475,   476,    -1,   478,   479,   480,   481,    -1,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,    -1,   502,
     503,    -1,    -1,   506,    -1,   508,   509,   510,   511,   512,
     513,    -1,   515,   516,   517,    -1,    -1,   520,   521,   522,
     523,   524,    -1,   526,   527,   528,   529,   530,   531,   532,
     533,   534,    -1,    -1,   537,   538,   539,   540,   541,    -1,
      -1,   544,   545,   546,   547,   548,   549,   550,    -1,   552,
      -1,   554,   555,   556,   557,    -1,    -1,   560,    -1,    -1,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,   147,    -1,    -1,    -1,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,    -1,   163,   164,   165,
     166,   167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,
     186,   187,   188,   189,    -1,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,    -1,   201,   202,   203,   204,    -1,
      -1,   207,   208,   209,   210,   211,    -1,   213,   214,   215,
     216,    -1,   218,   219,   220,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,   238,   239,   240,    -1,   242,    -1,   244,   245,
      -1,    -1,    -1,   249,   250,   251,   252,    -1,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
      -1,   267,   268,   269,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,    -1,   281,    -1,   283,    -1,   285,
     286,   287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,    -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,
     326,    -1,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,    -1,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,
     386,   387,    -1,   389,    -1,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,    -1,
     446,   447,    -1,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,    -1,
     466,   467,   468,   469,   470,    -1,   472,   473,   474,   475,
     476,    -1,   478,   479,   480,   481,    -1,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,    -1,   502,   503,    -1,    -1,
     506,    -1,   508,   509,   510,   511,   512,   513,    -1,   515,
     516,   517,    -1,    -1,   520,   521,   522,   523,   524,    -1,
     526,   527,   528,   529,   530,   531,   532,   533,   534,    -1,
      -1,   537,   538,   539,   540,   541,    -1,    -1,   544,   545,
     546,   547,   548,   549,   550,    -1,   552,    -1,   554,   555,
     556,   557,    -1,    -1,   560,    -1,    -1,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,    -1,
     389,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,    -1,   446,   447,    -1,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,    -1,   466,   467,   468,
     469,   470,    -1,   472,   473,   474,   475,   476,    -1,   478,
     479,   480,   481,    -1,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,    -1,   502,   503,    -1,    -1,   506,    -1,   508,
     509,   510,   511,   512,   513,    -1,   515,   516,   517,    -1,
      -1,   520,   521,   522,   523,   524,    -1,   526,   527,   528,
     529,   530,   531,   532,   533,   534,    -1,    -1,   537,   538,
     539,   540,   541,    -1,    -1,   544,   545,   546,   547,   548,
     549,   550,    -1,   552,    -1,   554,   555,   556,   557,    -1,
      -1,   560,    -1,    -1,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,    -1,
      -1,   163,   164,   165,   166,   167,   168,    -1,    -1,   171,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,   446,   447,    -1,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,    -1,   466,   467,   468,   469,   470,    -1,
     472,   473,   474,   475,   476,    -1,   478,   479,   480,   481,
      -1,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,    -1,
     502,   503,    -1,    -1,   506,    -1,   508,   509,   510,   511,
     512,   513,    -1,   515,   516,   517,    -1,    -1,   520,   521,
     522,   523,   524,    -1,   526,   527,   528,   529,   530,   531,
     532,   533,   534,    -1,    -1,   537,   538,   539,   540,   541,
      -1,    -1,   544,   545,   546,   547,   548,   549,   550,    -1,
     552,    -1,   554,   555,   556,   557,    -1,    -1,   560,    -1,
      -1,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    -1,
      25,    26,    27,    -1,    -1,    30,    31,    32,    33,    -1,
      -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,
     115,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,   147,    -1,    -1,    -1,   151,   152,   153,   154,
     155,   156,    -1,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,   168,    -1,    -1,   171,   172,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,   184,
     185,   186,   187,   188,   189,    -1,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,   204,
      -1,    -1,   207,   208,   209,   210,   211,    -1,   213,   214,
     215,   216,    -1,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,   238,   239,   240,    -1,   242,    -1,   244,
     245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,    -1,   267,   268,   269,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,    -1,   283,    -1,
     285,   286,   287,    -1,   289,    -1,   291,    -1,   293,    -1,
      -1,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
      -1,   366,    -1,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,
     385,   386,   387,    -1,   389,    -1,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,   446,   447,    -1,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
      -1,   466,   467,   468,   469,   470,    -1,   472,   473,   474,
     475,   476,    -1,   478,   479,   480,   481,    -1,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,    -1,   502,   503,    -1,
      -1,   506,    -1,   508,   509,   510,   511,   512,   513,    -1,
     515,   516,   517,    -1,    -1,   520,   521,   522,   523,   524,
      -1,   526,   527,   528,   529,   530,   531,   532,   533,   534,
      -1,    -1,   537,   538,   539,   540,   541,    -1,    -1,   544,
     545,   546,   547,   548,   549,   550,    -1,   552,    -1,   554,
     555,   556,   557,    -1,    -1,   560,    -1,    -1,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,    -1,    -1,   163,   164,   165,   166,   167,
     168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,
      -1,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,    -1,   446,   447,
      -1,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,    -1,   466,   467,
     468,   469,   470,    -1,   472,   473,   474,   475,   476,    -1,
     478,   479,   480,   481,    -1,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,    -1,   502,   503,    -1,    -1,   506,    -1,
     508,   509,   510,   511,   512,   513,    -1,   515,   516,   517,
      -1,    -1,   520,   521,   522,   523,   524,    -1,   526,   527,
     528,   529,   530,   531,   532,   533,   534,    -1,    -1,   537,
     538,   539,   540,   541,    -1,    -1,   544,   545,   546,   547,
     548,   549,   550,    -1,   552,    -1,   554,   555,   556,   557,
      -1,    -1,   560,    -1,    -1,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    -1,    25,    26,    27,    -1,    -1,    30,
      31,    32,    33,    -1,    -1,    36,    37,    38,    -1,    40,
      -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,    -1,   114,   115,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,   168,    -1,    -1,
     171,   172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     181,   182,   183,   184,   185,   186,   187,   188,   189,    -1,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,   204,    -1,    -1,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,   238,   239,   240,
      -1,   242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,
     251,   252,    -1,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,    -1,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,    -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,
     291,    -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,    -1,   318,   319,    -1,
     321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,    -1,   366,    -1,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,    -1,    -1,   380,
     381,   382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,    -1,   446,   447,    -1,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,    -1,   466,   467,   468,   469,   470,
      -1,   472,   473,   474,   475,   476,    -1,   478,   479,   480,
     481,    -1,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
      -1,   502,   503,    -1,    -1,   506,    -1,   508,   509,   510,
     511,   512,   513,    -1,   515,   516,   517,    -1,    -1,   520,
     521,   522,   523,   524,    -1,   526,   527,   528,   529,   530,
     531,   532,   533,   534,    -1,    -1,   537,   538,   539,   540,
     541,    -1,    -1,   544,   545,   546,   547,   548,   549,   550,
      -1,   552,    -1,   554,   555,   556,   557,    -1,    -1,   560,
      -1,    -1,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,    -1,    -1,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,    -1,   171,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
      -1,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,    -1,   389,    -1,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,    -1,   446,   447,    -1,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,    -1,   466,   467,   468,   469,   470,    -1,   472,   473,
     474,   475,   476,    -1,   478,   479,   480,   481,    -1,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,    -1,   502,   503,
      -1,    -1,   506,    -1,   508,   509,   510,   511,   512,   513,
      -1,   515,   516,   517,    -1,    -1,   520,   521,   522,   523,
     524,    -1,   526,   527,   528,   529,   530,   531,   532,   533,
     534,    -1,    -1,   537,   538,   539,   540,   541,    -1,    -1,
     544,   545,   546,   547,   548,   549,   550,    -1,   552,    -1,
     554,   555,   556,   557,    -1,    -1,   560,    -1,    -1,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,    -1,    -1,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,    -1,
      -1,    -1,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,    -1,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,    -1,   446,
     447,    -1,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,    -1,   466,
     467,   468,   469,   470,    -1,   472,   473,   474,   475,   476,
      -1,   478,   479,   480,   481,    -1,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,    -1,   502,   503,    -1,    -1,   506,
      -1,   508,   509,   510,   511,   512,   513,    -1,   515,   516,
     517,    -1,    -1,   520,   521,   522,   523,   524,    -1,   526,
     527,   528,   529,   530,   531,   532,   533,   534,    -1,    -1,
     537,   538,   539,   540,   541,    -1,    -1,   544,   545,   546,
     547,   548,   549,   550,    -1,   552,    -1,   554,   555,   556,
     557,    -1,    -1,   560,    -1,    -1,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,   112,    -1,   114,   115,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,   147,    -1,    -1,
      -1,   151,   152,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,    -1,   163,   164,   165,   166,   167,   168,    -1,
      -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   181,   182,   183,   184,   185,   186,   187,   188,   189,
      -1,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
      -1,   201,   202,   203,   204,    -1,    -1,   207,   208,   209,
     210,   211,    -1,   213,   214,   215,   216,    -1,   218,   219,
     220,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,   238,   239,
     240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,   249,
     250,   251,   252,    -1,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,    -1,   267,   268,   269,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
      -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,   289,
      -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,    -1,   318,   319,
      -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,    -1,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,    -1,    -1,
     380,   381,   382,    -1,    -1,   385,   386,   387,    -1,   389,
      -1,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,   447,    -1,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,    -1,   466,   467,   468,   469,
     470,    -1,   472,   473,   474,   475,   476,    -1,   478,   479,
     480,   481,    -1,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,    -1,   502,   503,    -1,    -1,   506,    -1,   508,   509,
     510,   511,   512,   513,    -1,   515,   516,   517,    -1,    -1,
     520,   521,   522,   523,   524,    -1,   526,   527,   528,   529,
     530,   531,   532,   533,   534,    -1,    -1,   537,   538,   539,
     540,   541,    -1,    -1,   544,   545,   546,   547,   548,   549,
     550,    -1,   552,    -1,   554,   555,   556,   557,    -1,    -1,
     560,    -1,    -1,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,    -1,   171,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,    -1,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,   446,   447,    -1,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,    -1,   466,   467,   468,   469,   470,    -1,   472,
     473,   474,   475,   476,    -1,   478,   479,   480,   481,    -1,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,    -1,   502,
     503,    -1,    -1,   506,    -1,   508,   509,   510,   511,   512,
     513,    -1,   515,   516,   517,    -1,    -1,   520,   521,   522,
     523,   524,    -1,   526,   527,   528,   529,   530,   531,   532,
     533,   534,    -1,    -1,   537,   538,   539,   540,   541,    -1,
      -1,   544,   545,   546,   547,   548,   549,   550,    -1,   552,
      -1,   554,   555,   556,   557,    -1,    -1,   560,    -1,    -1,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,   147,    -1,    -1,    -1,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,    -1,   163,   164,   165,
     166,   167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,
     186,   187,   188,   189,    -1,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,    -1,   201,   202,   203,   204,    -1,
      -1,   207,   208,   209,   210,   211,    -1,   213,   214,   215,
     216,    -1,   218,   219,   220,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,   238,   239,   240,    -1,   242,    -1,   244,   245,
      -1,    -1,    -1,   249,   250,   251,   252,    -1,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
      -1,   267,   268,   269,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,    -1,   281,    -1,   283,    -1,   285,
     286,   287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,    -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,
     326,    -1,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,    -1,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,
     386,   387,    -1,   389,    -1,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,    -1,
     446,   447,    -1,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,    -1,
     466,   467,   468,   469,   470,    -1,   472,   473,   474,   475,
     476,    -1,   478,   479,   480,   481,    -1,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,    -1,   502,   503,    -1,    -1,
     506,    -1,   508,   509,   510,   511,   512,   513,    -1,   515,
     516,   517,    -1,    -1,   520,   521,   522,   523,   524,    -1,
     526,   527,   528,   529,   530,   531,   532,   533,   534,    -1,
      -1,   537,   538,   539,   540,   541,    -1,    -1,   544,   545,
     546,   547,   548,   549,   550,    -1,   552,    -1,   554,   555,
     556,   557,    -1,    -1,   560,    -1,    -1,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,    -1,
     389,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,    -1,   446,   447,    -1,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,    -1,   466,   467,   468,
     469,   470,    -1,   472,   473,   474,   475,   476,    -1,   478,
     479,   480,   481,    -1,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,    -1,   502,   503,    -1,    -1,   506,    -1,   508,
     509,   510,   511,   512,   513,    -1,   515,   516,   517,    -1,
      -1,   520,   521,   522,   523,   524,    -1,   526,   527,   528,
     529,   530,   531,   532,   533,   534,    -1,    -1,   537,   538,
     539,   540,   541,    -1,    -1,   544,   545,   546,   547,   548,
     549,   550,    -1,   552,    -1,   554,   555,   556,   557,    -1,
      -1,   560,    -1,    -1,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,   108,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,    -1,   171,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,   446,   447,    -1,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,    -1,   466,   467,   468,   469,   470,    -1,
      -1,   473,   474,   475,   476,    -1,   478,   479,   480,   481,
      -1,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,    -1,
     502,   503,    -1,    -1,   506,    -1,   508,   509,   510,   511,
     512,   513,    -1,   515,   516,   517,    -1,    -1,   520,   521,
     522,   523,   524,    -1,   526,   527,   528,   529,   530,   531,
     532,   533,   534,    -1,    -1,   537,   538,   539,   540,   541,
      -1,    -1,   544,   545,   546,   547,   548,   549,   550,    -1,
     552,    -1,   554,   555,   556,   557,    -1,    -1,   560,    -1,
      -1,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    -1,
      25,    26,    27,    -1,    -1,    30,    31,    32,    33,    -1,
      -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,
     115,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,   147,    -1,    -1,    -1,   151,   152,   153,   154,
     155,   156,    -1,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,   168,    -1,    -1,   171,   172,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,   184,
     185,   186,   187,   188,   189,    -1,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,   204,
      -1,    -1,   207,   208,   209,   210,   211,    -1,   213,   214,
     215,   216,    -1,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,   238,   239,   240,    -1,   242,    -1,   244,
     245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,    -1,   267,   268,   269,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,    -1,   283,    -1,
     285,   286,   287,    -1,   289,    -1,   291,    -1,   293,    -1,
      -1,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
      -1,   366,    -1,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,
     385,   386,   387,    -1,   389,    -1,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,   446,   447,    -1,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
      -1,   466,   467,   468,   469,   470,    -1,   472,   473,   474,
     475,   476,    -1,   478,   479,   480,   481,    -1,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,    -1,   502,   503,    -1,
      -1,   506,    -1,   508,   509,   510,   511,   512,   513,    -1,
     515,   516,   517,    -1,    -1,   520,   521,   522,   523,   524,
      -1,   526,   527,   528,   529,   530,   531,   532,   533,   534,
      -1,    -1,   537,   538,   539,   540,   541,    -1,    -1,   544,
     545,   546,   547,   548,   549,   550,    -1,   552,    -1,   554,
     555,   556,   557,    -1,    -1,   560,    -1,    -1,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,
      -1,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,    -1,   446,   447,
      -1,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,    -1,   466,   467,
     468,   469,   470,    -1,   472,   473,   474,   475,   476,    -1,
     478,   479,   480,   481,    -1,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,    -1,   502,   503,    -1,    -1,   506,    -1,
     508,   509,   510,   511,   512,   513,    -1,   515,   516,   517,
      -1,    -1,   520,   521,   522,   523,   524,    -1,   526,   527,
     528,   529,   530,   531,   532,   533,   534,    -1,    -1,   537,
     538,   539,   540,   541,    -1,    -1,   544,   545,   546,   547,
     548,   549,   550,    -1,   552,    -1,   554,   555,   556,   557,
      -1,    -1,   560,    -1,    -1,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    -1,    25,    26,    27,    -1,    -1,    30,
      31,    32,    33,    -1,    -1,    36,    37,    38,    -1,    40,
      -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,    -1,   114,   115,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
     161,    -1,   163,   164,   165,   166,   167,   168,    -1,    -1,
     171,   172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     181,   182,   183,   184,   185,   186,   187,   188,   189,    -1,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,   204,    -1,    -1,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,   238,   239,   240,
      -1,   242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,
     251,   252,    -1,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,    -1,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,    -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,
     291,    -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,    -1,   318,   319,    -1,
     321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,    -1,   366,    -1,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,    -1,    -1,   380,
     381,   382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,    -1,   446,   447,    -1,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,    -1,   466,   467,   468,   469,   470,
      -1,   472,   473,   474,   475,   476,    -1,   478,   479,   480,
     481,    -1,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
      -1,   502,   503,    -1,    -1,   506,    -1,   508,   509,   510,
     511,   512,   513,    -1,   515,   516,   517,    -1,    -1,   520,
     521,   522,   523,   524,    -1,   526,   527,   528,   529,   530,
     531,   532,   533,   534,    -1,    -1,   537,   538,   539,   540,
     541,    -1,    -1,   544,   545,   546,   547,   548,   549,   550,
      -1,   552,    -1,   554,   555,   556,   557,    -1,    -1,   560,
      -1,    -1,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,    -1,    -1,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,    -1,   163,
     164,   165,   166,   167,   168,    -1,    -1,   171,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
      -1,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,    -1,   389,    -1,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,    -1,   446,   447,    -1,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,    -1,   466,   467,   468,   469,   470,    -1,   472,   473,
     474,   475,   476,    -1,   478,   479,   480,   481,    -1,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,    -1,   502,   503,
      -1,    -1,   506,    -1,   508,   509,   510,   511,   512,   513,
      -1,   515,   516,   517,    -1,    -1,   520,   521,   522,   523,
     524,    -1,   526,   527,   528,   529,   530,   531,   532,   533,
     534,    -1,    -1,   537,   538,   539,   540,   541,    -1,    -1,
     544,   545,   546,   547,   548,   549,   550,    -1,   552,    -1,
     554,   555,   556,   557,    -1,    -1,   560,    -1,    -1,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,    -1,    -1,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,    -1,   163,   164,   165,   166,
     167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,    -1,
      -1,    -1,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,    -1,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,    -1,   446,
     447,    -1,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,    -1,   466,
     467,   468,   469,   470,    -1,   472,   473,   474,   475,   476,
      -1,   478,   479,   480,   481,    -1,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,    -1,   502,   503,    -1,    -1,   506,
      -1,   508,   509,   510,   511,   512,   513,    -1,   515,   516,
     517,    -1,    -1,   520,   521,   522,   523,   524,    -1,   526,
     527,   528,   529,   530,   531,   532,   533,   534,    -1,    -1,
     537,   538,   539,   540,   541,    -1,    -1,   544,   545,   546,
     547,   548,   549,   550,    -1,   552,    -1,   554,   555,   556,
     557,    -1,    -1,   560,    -1,    -1,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,   112,    -1,   114,   115,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,   147,    -1,    -1,
      -1,   151,   152,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,    -1,   163,   164,   165,   166,   167,   168,    -1,
      -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   181,   182,   183,   184,   185,   186,   187,   188,   189,
      -1,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
      -1,   201,   202,   203,   204,    -1,    -1,   207,   208,   209,
     210,   211,    -1,   213,   214,   215,   216,    -1,   218,   219,
     220,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,   238,   239,
     240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,   249,
     250,   251,   252,    -1,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,    -1,   267,   268,   269,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
      -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,   289,
      -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,    -1,   318,   319,
      -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,    -1,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,    -1,    -1,
     380,   381,   382,    -1,    -1,   385,   386,   387,    -1,   389,
      -1,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,   447,    -1,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,    -1,   466,   467,   468,   469,
     470,    -1,   472,   473,   474,   475,   476,    -1,   478,   479,
     480,   481,    -1,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,    -1,   502,   503,    -1,    -1,   506,    -1,   508,   509,
     510,   511,   512,   513,    -1,   515,   516,   517,    -1,    -1,
     520,   521,   522,   523,   524,    -1,   526,   527,   528,   529,
     530,   531,   532,   533,   534,    -1,    -1,   537,   538,   539,
     540,   541,    -1,    -1,   544,   545,   546,   547,   548,   549,
     550,    -1,   552,    -1,   554,   555,   556,   557,    -1,    -1,
     560,    -1,    -1,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,    -1,    -1,   171,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,    -1,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,   446,   447,    -1,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,    -1,   466,   467,   468,   469,   470,    -1,   472,
     473,   474,   475,   476,    -1,   478,   479,   480,   481,    -1,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,    -1,   502,
     503,    -1,    -1,   506,    -1,   508,   509,   510,   511,   512,
     513,    -1,   515,   516,   517,    -1,    -1,   520,   521,   522,
     523,   524,    -1,   526,   527,   528,   529,   530,   531,   532,
     533,   534,    -1,    -1,   537,   538,   539,   540,   541,    -1,
      -1,   544,   545,   546,   547,   548,   549,   550,    -1,   552,
      -1,   554,   555,   556,   557,    -1,    -1,   560,    -1,    -1,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,   147,    -1,    -1,    -1,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,    -1,   163,   164,   165,
     166,   167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,
     186,   187,   188,   189,    -1,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,    -1,   201,   202,   203,   204,    -1,
      -1,   207,   208,   209,   210,   211,    -1,   213,   214,   215,
     216,    -1,   218,   219,   220,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,   238,   239,   240,    -1,   242,    -1,   244,   245,
      -1,    -1,    -1,   249,   250,   251,   252,    -1,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
      -1,   267,   268,   269,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,    -1,   281,    -1,   283,    -1,   285,
     286,   287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,    -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,
     326,    -1,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,    -1,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,
     386,   387,    -1,   389,    -1,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,    -1,
     446,   447,    -1,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,    -1,
     466,   467,   468,   469,   470,    -1,   472,   473,   474,   475,
     476,    -1,   478,   479,   480,   481,    -1,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,    -1,   502,   503,    -1,    -1,
     506,    -1,   508,   509,   510,   511,   512,   513,    -1,   515,
     516,   517,    -1,    -1,   520,   521,   522,   523,   524,    -1,
     526,   527,   528,   529,   530,   531,   532,   533,   534,    -1,
      -1,   537,   538,   539,   540,   541,    -1,    -1,   544,   545,
     546,   547,   548,   549,   550,    -1,   552,    -1,   554,   555,
     556,   557,    -1,    -1,   560,    -1,    -1,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,    -1,
     389,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,    -1,   446,   447,    -1,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,    -1,   466,   467,   468,
     469,   470,    -1,   472,   473,   474,   475,   476,    -1,   478,
     479,   480,   481,    -1,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,    -1,   502,   503,    -1,    -1,   506,    -1,   508,
     509,   510,   511,   512,   513,    -1,   515,   516,   517,    -1,
      -1,   520,   521,   522,   523,   524,    -1,   526,   527,   528,
     529,   530,   531,   532,   533,   534,    -1,    -1,   537,   538,
     539,   540,   541,    -1,    -1,   544,   545,   546,   547,   548,
     549,   550,    -1,   552,    -1,   554,   555,   556,   557,    -1,
      -1,   560,    -1,    -1,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,     6,     7,     8,     9,    10,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    19,    20,    21,
      22,    23,    -1,    25,    26,    27,    -1,    -1,    30,    31,
      32,    33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,
      -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,
      -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,    -1,   119,   120,   121,
     122,   123,    -1,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,   163,   164,   165,   166,   167,   168,    -1,    -1,   171,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,
     182,   183,   184,   185,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,    -1,   321,
      -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,    -1,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,   446,   447,    -1,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,    -1,   466,   467,   468,   469,   470,    -1,
     472,   473,   474,   475,   476,    -1,   478,   479,   480,   481,
      -1,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,    -1,
     502,   503,    -1,    -1,   506,    -1,   508,   509,   510,   511,
     512,   513,    -1,   515,   516,   517,    -1,    -1,   520,   521,
     522,   523,   524,    -1,   526,   527,   528,   529,   530,   531,
     532,   533,   534,    -1,    -1,   537,   538,   539,   540,   541,
      -1,    -1,   544,   545,   546,   547,   548,   549,   550,    -1,
     552,    -1,   554,   555,   556,   557,    -1,    -1,   560,    -1,
      -1,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,     6,     7,     8,     9,    10,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    19,    20,    21,    22,    23,    -1,
      25,    26,    27,    -1,    -1,    30,    31,    32,    33,    -1,
      -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,    44,
      -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,
      65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,
     115,   116,   117,    -1,   119,   120,   121,   122,   123,    -1,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,   147,    -1,    -1,    -1,   151,   152,   153,   154,
     155,   156,    -1,   158,   159,   160,   161,    -1,   163,   164,
     165,   166,   167,   168,    -1,    -1,   171,   172,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,   184,
     185,   186,   187,   188,   189,    -1,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,   204,
      -1,    -1,   207,   208,   209,   210,   211,    -1,   213,   214,
     215,   216,    -1,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,   238,   239,   240,    -1,   242,    -1,   244,
     245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,    -1,   267,   268,   269,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,    -1,   283,    -1,
     285,   286,   287,    -1,   289,    -1,   291,    -1,   293,    -1,
      -1,   296,    -1,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,   324,
     325,   326,    -1,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
      -1,   366,    -1,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,
     385,   386,   387,    -1,   389,    -1,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,   446,   447,    -1,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
      -1,   466,   467,   468,   469,   470,    -1,   472,   473,   474,
     475,   476,    -1,   478,   479,   480,   481,    -1,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,    -1,   502,   503,    -1,
      -1,   506,    -1,   508,   509,   510,   511,   512,   513,    -1,
     515,   516,   517,    -1,    -1,   520,   521,   522,   523,   524,
      -1,   526,   527,   528,   529,   530,   531,   532,   533,   534,
      -1,    -1,   537,   538,   539,   540,   541,    -1,    -1,   544,
     545,   546,   547,   548,   549,   550,    -1,   552,    -1,   554,
     555,   556,   557,    -1,    -1,   560,    -1,    -1,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,     6,     7,
       8,     9,    10,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    19,    20,    21,    22,    23,    -1,    25,    26,    27,
      -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,    37,
      38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,
      48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,
      68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
      -1,   119,   120,   121,   122,   123,    -1,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,    -1,    -1,   151,   152,   153,   154,   155,   156,    -1,
     158,   159,   160,    -1,    -1,   163,   164,   165,   166,   167,
     168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   181,   182,   183,   184,   185,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,
      -1,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,    -1,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,    -1,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
      -1,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,    -1,   446,   447,
      -1,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,    -1,   466,   467,
     468,   469,   470,    -1,   472,   473,   474,   475,   476,    -1,
     478,   479,   480,   481,    -1,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,    -1,   502,   503,    -1,    -1,   506,    -1,
     508,   509,   510,   511,   512,   513,    -1,   515,   516,   517,
      -1,    -1,   520,   521,   522,   523,   524,    -1,   526,   527,
     528,   529,   530,   531,   532,   533,   534,    -1,    -1,   537,
     538,   539,   540,   541,    -1,    -1,   544,   545,   546,   547,
     548,   549,   550,    -1,   552,    -1,   554,   555,   556,   557,
      -1,    -1,   560,    -1,    -1,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,     6,     7,     8,     9,    10,
      11,    12,    -1,    14,    15,    -1,    -1,    18,    19,    20,
      21,    22,    23,    -1,    25,    26,    27,    -1,    -1,    30,
      31,    32,    33,    -1,    -1,    36,    37,    38,    -1,    40,
      -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,    -1,
      -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,    -1,
      -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,    -1,   114,   115,   116,   117,    -1,   119,   120,
     121,   122,   123,    -1,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,   147,    -1,    -1,    -1,
     151,   152,   153,   154,   155,   156,    -1,   158,   159,   160,
      -1,    -1,   163,   164,   165,   166,   167,   168,    -1,    -1,
     171,   172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     181,   182,   183,   184,   185,   186,   187,   188,   189,    -1,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,   204,    -1,    -1,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,   238,   239,   240,
      -1,   242,    -1,   244,   245,    -1,    -1,    -1,   249,   250,
     251,   252,    -1,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,    -1,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,    -1,   283,    -1,   285,   286,   287,    -1,   289,    -1,
     291,    -1,   293,    -1,    -1,   296,    -1,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,    -1,   318,   319,    -1,
     321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,    -1,   366,    -1,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,    -1,    -1,   380,
     381,   382,    -1,    -1,   385,   386,   387,    -1,   389,    -1,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,    -1,   446,   447,    -1,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,    -1,   466,   467,   468,   469,   470,
      -1,   472,   473,   474,   475,   476,    -1,   478,   479,   480,
     481,    -1,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
      -1,   502,   503,    -1,    -1,   506,    -1,   508,   509,   510,
     511,   512,   513,    -1,   515,   516,   517,    -1,    -1,   520,
     521,   522,   523,   524,    -1,   526,   527,   528,   529,   530,
     531,   532,   533,   534,    -1,    -1,   537,   538,   539,   540,
     541,    -1,    -1,   544,   545,   546,   547,   548,   549,   550,
      -1,   552,    -1,   554,   555,   556,   557,    -1,    -1,   560,
      -1,    -1,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,     6,     7,     8,     9,    10,    11,    12,    -1,
      14,    15,    -1,    -1,    18,    19,    20,    21,    22,    23,
      -1,    25,    26,    27,    -1,    -1,    30,    31,    32,    33,
      -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,    43,
      44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,    -1,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,
      -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,    -1,   119,   120,   121,   122,   123,
      -1,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,    -1,    -1,   151,   152,   153,
     154,   155,   156,    -1,   158,   159,   160,    -1,    -1,   163,
     164,   165,   166,   167,   168,    -1,    -1,   171,   172,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,   183,
     184,   185,   186,   187,   188,   189,    -1,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,    -1,    -1,    -1,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,    -1,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
      -1,    -1,   296,    -1,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,    -1,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,    -1,   389,    -1,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,    -1,   446,   447,    -1,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,    -1,   466,   467,   468,   469,   470,    -1,   472,   473,
     474,   475,   476,    -1,   478,   479,   480,   481,    -1,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,    -1,   502,   503,
      -1,    -1,   506,    -1,   508,   509,   510,   511,   512,   513,
      -1,   515,   516,   517,    -1,    -1,   520,   521,   522,   523,
     524,    -1,   526,   527,   528,   529,   530,   531,   532,   533,
     534,    -1,    -1,   537,   538,   539,   540,   541,    -1,    -1,
     544,   545,   546,   547,   548,   549,   550,    -1,   552,    -1,
     554,   555,   556,   557,    -1,    -1,   560,    -1,    -1,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,     6,
       7,     8,     9,    10,    11,    12,    -1,    14,    15,    -1,
      -1,    18,    19,    20,    21,    22,    23,    -1,    25,    26,
      27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,    36,
      37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,    -1,
      -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,    -1,
      67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,    -1,   119,   120,   121,   122,   123,    -1,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,    -1,    -1,   151,   152,   153,   154,   155,   156,
      -1,   158,   159,   160,    -1,    -1,   163,   164,   165,   166,
     167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,    -1,
      -1,    -1,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,   296,
      -1,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,    -1,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,    -1,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,    -1,   446,
     447,    -1,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,    -1,   466,
     467,   468,   469,   470,    -1,   472,   473,   474,   475,   476,
      -1,   478,   479,   480,   481,    -1,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,    -1,   502,   503,    -1,    -1,   506,
      -1,   508,   509,   510,   511,   512,   513,    -1,   515,   516,
     517,    -1,    -1,   520,   521,   522,   523,   524,    -1,   526,
     527,   528,   529,   530,   531,   532,   533,   534,    -1,    -1,
     537,   538,   539,   540,   541,    -1,    -1,   544,   545,   546,
     547,   548,   549,   550,    -1,   552,    -1,   554,   555,   556,
     557,    -1,    -1,   560,    -1,    -1,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,   580,   581,   582,     6,     7,     8,     9,
      10,    11,    12,    -1,    14,    15,    -1,    -1,    18,    19,
      20,    21,    22,    23,    -1,    25,    26,    27,    -1,    -1,
      30,    31,    32,    33,    -1,    -1,    36,    37,    38,    -1,
      40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,    49,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,   112,    -1,   114,   115,   116,   117,    -1,   119,
     120,   121,   122,   123,    -1,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,   147,    -1,    -1,
      -1,   151,   152,   153,   154,   155,   156,    -1,   158,   159,
     160,    -1,    -1,   163,   164,   165,   166,   167,   168,    -1,
      -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   181,   182,   183,   184,   185,   186,   187,   188,   189,
      -1,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
      -1,   201,   202,   203,   204,    -1,    -1,   207,   208,   209,
     210,   211,    -1,   213,   214,   215,   216,    -1,   218,   219,
     220,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,    -1,   234,    -1,   236,   237,   238,   239,
     240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,   249,
     250,   251,   252,    -1,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,    -1,   267,   268,   269,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
      -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,   289,
      -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,    -1,   318,   319,
      -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,    -1,   366,    -1,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,    -1,    -1,
     380,   381,   382,    -1,    -1,   385,   386,   387,    -1,   389,
      -1,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,   447,    -1,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,    -1,   466,   467,   468,   469,
     470,    -1,   472,   473,   474,   475,   476,    -1,   478,   479,
     480,   481,    -1,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,    -1,   502,   503,    -1,    -1,   506,    -1,   508,   509,
     510,   511,   512,   513,    -1,   515,   516,   517,    -1,    -1,
     520,   521,   522,   523,   524,    -1,   526,   527,   528,   529,
     530,   531,   532,   533,   534,    -1,    -1,   537,   538,   539,
     540,   541,    -1,    -1,   544,   545,   546,   547,   548,   549,
     550,    -1,   552,    -1,   554,   555,   556,   557,    -1,    -1,
     560,    -1,    -1,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,     6,     7,     8,     9,    10,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    19,    20,    21,    22,
      23,    -1,    25,    26,    27,    -1,    -1,    30,    31,    32,
      33,    -1,    -1,    36,    37,    38,    -1,    40,    -1,    -1,
      43,    44,    -1,    -1,    -1,    48,    49,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      63,    -1,    65,    -1,    67,    68,    69,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,    -1,   119,   120,   121,   122,
     123,    -1,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,    -1,    -1,   151,   152,
     153,   154,   155,   156,    -1,   158,   159,   160,    -1,    -1,
     163,   164,   165,   166,   167,   168,    -1,    -1,   171,   172,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   181,   182,
     183,   184,   185,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,    -1,    -1,    -1,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,    -1,    -1,   296,    -1,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,    -1,   321,    -1,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,    -1,   389,    -1,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,   446,   447,    -1,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,    -1,   466,   467,   468,   469,   470,    -1,   472,
     473,   474,   475,   476,    -1,   478,   479,   480,   481,    -1,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,    -1,   502,
     503,    -1,    -1,   506,    -1,   508,   509,   510,   511,   512,
     513,    -1,   515,   516,   517,    -1,    -1,   520,   521,   522,
     523,   524,    -1,   526,   527,   528,   529,   530,   531,   532,
     533,   534,    -1,    -1,   537,   538,   539,   540,   541,    -1,
      -1,   544,   545,   546,   547,   548,   549,   550,    -1,   552,
      -1,   554,   555,   556,   557,    -1,    -1,   560,    -1,    -1,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,   580,   581,   582,
       6,     7,     8,     9,    10,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    19,    20,    21,    22,    23,    -1,    25,
      26,    27,    -1,    -1,    30,    31,    32,    33,    -1,    -1,
      36,    37,    38,    -1,    40,    -1,    -1,    43,    44,    -1,
      -1,    -1,    48,    49,    -1,    -1,    -1,    -1,    54,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    63,    -1,    65,
      -1,    67,    68,    69,    -1,    -1,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,
     116,   117,    -1,   119,   120,   121,   122,   123,    -1,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,   147,    -1,    -1,    -1,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,   160,    -1,    -1,   163,   164,   165,
     166,   167,   168,    -1,    -1,   171,   172,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   181,   182,   183,   184,   185,
     186,   187,   188,   189,    -1,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,    -1,   201,   202,   203,   204,    -1,
      -1,   207,   208,   209,   210,   211,    -1,   213,   214,   215,
     216,    -1,   218,   219,   220,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,   238,   239,   240,    -1,   242,    -1,   244,   245,
      -1,    -1,    -1,   249,   250,   251,   252,    -1,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
      -1,   267,   268,   269,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,    -1,   281,    -1,   283,    -1,   285,
     286,   287,    -1,   289,    -1,   291,    -1,   293,    -1,    -1,
     296,    -1,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,    -1,   318,   319,    -1,   321,    -1,    -1,   324,   325,
     326,    -1,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,    -1,
     366,    -1,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,
     386,   387,    -1,   389,    -1,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,    -1,
     446,   447,    -1,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,    -1,
     466,   467,   468,   469,   470,    -1,   472,   473,   474,   475,
     476,    -1,   478,   479,   480,   481,    -1,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,    -1,   502,   503,    -1,    -1,
     506,    -1,   508,   509,   510,   511,   512,   513,    -1,   515,
     516,   517,    -1,    -1,   520,   521,   522,   523,   524,    -1,
     526,   527,   528,   529,   530,   531,   532,   533,   534,    -1,
      -1,   537,   538,   539,   540,   541,    -1,    -1,   544,   545,
     546,   547,   548,   549,   550,    -1,   552,    -1,   554,   555,
     556,   557,    -1,    -1,   560,    -1,    -1,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,     6,     7,     8,
       9,    10,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      19,    20,    21,    22,    23,    -1,    25,    26,    27,    -1,
      -1,    30,    31,    32,    33,    -1,    -1,    36,    37,    38,
      -1,    40,    -1,    -1,    43,    44,    -1,    -1,    -1,    48,
      49,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    63,    -1,    65,    -1,    67,    68,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,    -1,
     119,   120,   121,   122,   123,    -1,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
      -1,    -1,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
      -1,    -1,   171,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   181,   182,   183,   184,   185,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,    -1,    -1,    -1,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,    -1,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,    -1,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,    -1,    -1,   296,    -1,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,    -1,   321,    -1,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,    -1,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,    -1,
     389,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
      -1,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,    -1,   446,   447,    -1,
     449,   450,   451,   452,   453,   454,    -1,   456,   457,   458,
     459,   460,   461,   462,   463,   464,    -1,   466,   467,   468,
     469,   470,    -1,   472,   473,   474,   475,   476,    -1,   478,
     479,   480,   481,    -1,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,    -1,   502,   503,    -1,    -1,   506,    -1,   508,
     509,   510,   511,   512,   513,    -1,   515,   516,   517,    -1,
      -1,   520,   521,   522,   523,   524,    -1,   526,   527,   528,
     529,   530,   531,   532,   533,   534,    -1,    -1,   537,   538,
     539,   540,   541,    -1,    -1,   544,   545,   546,   547,   548,
     549,   550,    -1,   552,    -1,   554,   555,   556,   557,    -1,
      -1,   560,    -1,    -1,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,    69,    70,    -1,    -1,    73,    -1,
      75,    76,    -1,    -1,    -1,    -1,    81,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
      -1,    -1,   137,   138,    -1,   140,   141,    -1,   143,   144,
     145,   146,   147,    -1,   149,    -1,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,    -1,    -1,   163,   164,
     165,   166,   167,   168,    -1,   170,   171,   172,    -1,    -1,
      -1,    -1,   177,    -1,    -1,    -1,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,   190,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,   204,
      -1,    -1,   207,   208,   209,   210,   211,    -1,   213,   214,
     215,   216,    -1,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
      -1,   236,   237,   238,   239,   240,    -1,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,    -1,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,    -1,   264,
     265,   266,   267,   268,   269,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,   282,   283,    -1,
     285,   286,   287,    -1,   289,    -1,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,    -1,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,    -1,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,    -1,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,    -1,   380,   381,   382,    -1,    -1,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,   464,
      -1,   466,   467,   468,   469,   470,    -1,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,    -1,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,    -1,   502,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,    -1,
     515,   516,   517,    -1,    -1,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
      -1,    -1,   537,   538,   539,   540,   541,    -1,    -1,   544,
     545,   546,   547,   548,    -1,   550,    -1,   552,   553,   554,
     555,   556,   557,    -1,    -1,   560,    -1,    -1,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,    -1,   581,   582,    -1,    -1,
      69,    -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,   596,   597,   598,    -1,    -1,    -1,    -1,    -1,    -1,
     605,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,   103,   104,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
      -1,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
     149,    -1,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,    -1,    -1,   163,   164,   165,   166,   167,   168,
      -1,   170,   171,   172,    -1,    -1,    -1,    -1,   177,    -1,
      -1,    -1,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,    -1,   264,   265,   266,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,   282,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,    -1,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,    -1,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,   464,   465,   466,   467,   468,
     469,   470,    -1,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,    -1,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,    -1,   502,   503,    -1,   505,   506,   507,   508,
     509,   510,   511,   512,   513,    -1,   515,   516,   517,    -1,
      -1,   520,   521,   522,   523,   524,    -1,   526,   527,   528,
     529,   530,   531,   532,   533,   534,    -1,    -1,   537,   538,
     539,   540,   541,    -1,    -1,   544,   545,   546,   547,   548,
     549,   550,    -1,   552,   553,   554,   555,   556,   557,    -1,
      -1,   560,    -1,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,    -1,   581,   582,   583,    -1,    -1,   586,    -1,    69,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,
      80,    -1,    -1,    83,    -1,    -1,   605,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,    -1,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,    -1,
      -1,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,    -1,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,    -1,    -1,   237,   238,   239,
     240,    -1,   242,   243,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,    -1,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,    -1,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,    -1,   379,
     380,   381,   382,   383,    -1,   385,   386,   387,   388,    -1,
      -1,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
      -1,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,    -1,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,    -1,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,    -1,   553,   554,   555,   556,   557,   558,    -1,
     560,    -1,    -1,    -1,    -1,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
      -1,   581,   582,    -1,   584,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   593,   594,   595,   596,   597,   598,   599,
     600,   601,    69,    70,    -1,    -1,    73,    -1,    75,    76,
      -1,    -1,    -1,    -1,    81,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,    -1,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,   149,    -1,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,    -1,    -1,   163,   164,   165,   166,
     167,   168,    -1,   170,   171,   172,    -1,    -1,    -1,    -1,
     177,    -1,    -1,    -1,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,   190,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,    -1,   264,   265,   266,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,   282,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,    -1,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,   378,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,    -1,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,   464,    -1,   466,
     467,   468,   469,   470,    -1,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,    -1,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,    -1,   502,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,    -1,   515,   516,
     517,    -1,    -1,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,    -1,    -1,
     537,   538,   539,   540,   541,    -1,    -1,   544,   545,   546,
     547,   548,    -1,   550,    -1,   552,   553,   554,   555,   556,
     557,    -1,    -1,   560,    -1,    -1,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,    -1,   581,   582,    69,    70,    -1,    -1,
      73,    -1,    75,    76,    -1,    -1,    -1,    -1,    81,   596,
     597,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,    -1,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,   149,    -1,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,    -1,    -1,
     163,   164,   165,   166,   167,   168,    -1,   170,   171,   172,
      -1,    -1,    -1,    -1,   177,    -1,    -1,    -1,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,   190,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
      -1,   264,   265,   266,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,   282,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,    -1,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,   378,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,   464,    -1,   466,   467,   468,   469,   470,    -1,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,    -1,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,    -1,   502,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,    -1,   515,   516,   517,    -1,    -1,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,    -1,    -1,   537,   538,   539,   540,   541,    -1,
      -1,   544,   545,   546,   547,   548,    -1,   550,    -1,   552,
     553,   554,   555,   556,   557,    -1,    -1,   560,    -1,    -1,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,    -1,   581,   582,
      69,    70,    -1,    -1,    73,    -1,    75,    76,    -1,    -1,
      -1,    -1,    81,   596,   597,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
      -1,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
     149,    -1,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,    -1,    -1,   163,   164,   165,   166,   167,   168,
      -1,   170,   171,   172,    -1,    -1,    -1,    -1,   177,    -1,
      -1,    -1,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,   190,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,    -1,   264,   265,   266,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,   282,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,    -1,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,   378,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,    -1,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,   464,    -1,   466,   467,   468,
     469,   470,    -1,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,    -1,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,    -1,   502,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,    -1,   515,   516,   517,    -1,
      -1,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,    -1,    -1,   537,   538,
     539,   540,   541,    -1,    -1,   544,   545,   546,   547,   548,
      -1,   550,    -1,   552,   553,   554,   555,   556,   557,    -1,
      -1,   560,    -1,    -1,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,    -1,   581,   582,    69,    70,    -1,    -1,    73,    -1,
      75,    76,    -1,    -1,    -1,    -1,    81,   596,   597,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
      -1,    -1,   137,   138,    -1,   140,   141,    -1,   143,   144,
     145,   146,   147,    -1,   149,    -1,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,    -1,    -1,   163,   164,
     165,   166,   167,   168,    -1,   170,   171,   172,    -1,    -1,
      -1,    -1,   177,    -1,    -1,    -1,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,    -1,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,   204,
      -1,    -1,   207,   208,   209,   210,   211,    -1,   213,   214,
     215,   216,    -1,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
      -1,   236,   237,   238,   239,   240,    -1,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,    -1,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,    -1,   264,
     265,   266,   267,   268,   269,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,   282,   283,    -1,
     285,   286,   287,    -1,   289,    -1,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,    -1,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,    -1,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,    -1,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,   378,    -1,   380,   381,   382,    -1,    -1,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,   464,
      -1,   466,   467,   468,   469,   470,    -1,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,    -1,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,    -1,   502,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,    -1,
     515,   516,   517,    -1,    -1,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
      -1,    -1,   537,   538,   539,   540,   541,    -1,    -1,   544,
     545,   546,   547,   548,    -1,   550,    -1,   552,   553,   554,
     555,   556,   557,    -1,    -1,   560,    -1,    -1,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,    69,   581,   582,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   596,   597,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,   103,
     104,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,    -1,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,   149,    -1,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,    -1,    -1,   163,
     164,   165,   166,   167,   168,    -1,   170,   171,   172,    -1,
      -1,    -1,    -1,   177,    -1,    -1,    -1,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,    -1,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,    -1,
     264,   265,   266,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,   282,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,    -1,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
     464,    -1,   466,   467,   468,   469,   470,    -1,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,    -1,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,    -1,   502,   503,
      -1,    -1,   506,   507,   508,   509,   510,   511,   512,   513,
      -1,   515,   516,   517,    -1,    -1,   520,   521,   522,   523,
     524,    -1,   526,   527,   528,   529,   530,   531,   532,   533,
     534,    -1,    -1,   537,   538,   539,   540,   541,    -1,    -1,
     544,   545,   546,   547,   548,    -1,   550,    -1,   552,   553,
     554,   555,   556,   557,    -1,    -1,   560,    -1,    -1,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,    -1,   581,   582,   583,
      69,    70,    -1,    -1,    73,    -1,    -1,    76,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
      -1,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
     149,    -1,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,    -1,    -1,   163,   164,   165,   166,   167,   168,
      -1,   170,   171,   172,    -1,    -1,    -1,   176,   177,    -1,
      -1,   180,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,    -1,   264,   265,   266,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,   282,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,    -1,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,    -1,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,   464,    -1,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,    -1,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,    -1,   502,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,    -1,   515,   516,   517,   518,
      -1,   520,   521,   522,   523,   524,    -1,   526,   527,   528,
     529,   530,   531,   532,   533,   534,    -1,    -1,   537,   538,
     539,   540,   541,    -1,    -1,   544,   545,   546,   547,   548,
      -1,   550,    -1,   552,   553,   554,   555,   556,   557,    -1,
      -1,   560,    -1,    -1,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,    -1,   581,   582,    69,    70,    -1,    -1,    73,    -1,
      -1,    76,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
      -1,    -1,   137,   138,    -1,   140,   141,    -1,   143,   144,
     145,   146,   147,    -1,   149,    -1,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,    -1,    -1,   163,   164,
     165,   166,   167,   168,    -1,   170,   171,   172,    -1,    -1,
      -1,   176,   177,    -1,    -1,   180,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,    -1,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,   204,
      -1,    -1,   207,   208,   209,   210,   211,    -1,   213,   214,
     215,   216,    -1,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,   238,   239,   240,    -1,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,    -1,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,    -1,   264,
     265,   266,   267,   268,   269,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,   282,   283,    -1,
     285,   286,   287,    -1,   289,    -1,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,    -1,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,    -1,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,    -1,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,   464,
      -1,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,    -1,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,    -1,   502,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,    -1,
     515,   516,   517,    -1,    -1,   520,   521,   522,   523,   524,
      -1,   526,   527,   528,   529,   530,   531,   532,   533,   534,
      -1,    -1,   537,   538,   539,   540,   541,    -1,    -1,   544,
     545,   546,   547,   548,    -1,   550,    -1,   552,   553,   554,
     555,   556,   557,    -1,    -1,   560,    -1,    -1,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,    69,   581,   582,    -1,    73,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,    -1,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,   149,    -1,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,    -1,    -1,   163,
     164,   165,   166,   167,   168,    -1,   170,   171,   172,    -1,
      -1,    -1,   176,   177,    -1,    -1,   180,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,    -1,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,    -1,
     264,   265,   266,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,   282,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,    -1,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
     464,    -1,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,    -1,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,    -1,   502,   503,
      -1,    -1,   506,   507,   508,   509,   510,   511,   512,   513,
      -1,   515,   516,   517,    -1,    -1,   520,   521,   522,   523,
     524,    -1,   526,   527,   528,   529,   530,   531,   532,   533,
     534,    -1,    -1,   537,   538,   539,   540,   541,    -1,    -1,
     544,   545,   546,   547,   548,    -1,   550,    -1,   552,   553,
     554,   555,   556,   557,    -1,    -1,   560,    -1,    -1,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,    69,   581,   582,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,    -1,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,   149,    -1,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,    -1,    -1,
     163,   164,   165,   166,   167,   168,    -1,   170,   171,   172,
      -1,    -1,    -1,   176,   177,    -1,    -1,   180,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
      -1,   264,   265,   266,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,   282,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,    -1,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,   464,    -1,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,    -1,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,    -1,   502,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,    -1,   515,   516,   517,    -1,    -1,   520,   521,   522,
     523,   524,    -1,   526,   527,   528,   529,   530,   531,   532,
     533,   534,    -1,    -1,   537,   538,   539,   540,   541,    -1,
      -1,   544,   545,   546,   547,   548,    -1,   550,    -1,   552,
     553,   554,   555,   556,   557,    -1,    -1,   560,    -1,    -1,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,    69,   581,   582,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,    -1,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,   149,    -1,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,    -1,
      -1,   163,   164,   165,   166,   167,   168,    -1,   170,   171,
     172,    -1,    -1,    -1,   176,   177,    -1,    -1,   180,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,    -1,   264,   265,   266,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
     282,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,   464,    -1,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
      -1,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,    -1,
     502,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,    -1,   515,   516,   517,    -1,    -1,   520,   521,
     522,   523,   524,    -1,   526,   527,   528,   529,   530,   531,
     532,   533,   534,    -1,    -1,   537,   538,   539,   540,   541,
     542,    -1,   544,   545,   546,   547,   548,    -1,   550,    -1,
     552,   553,   554,   555,   556,   557,    -1,    -1,   560,    -1,
      -1,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,    69,   581,
     582,    -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,   112,    -1,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
     131,   132,   133,   134,    -1,    -1,   137,   138,    -1,   140,
     141,    -1,   143,   144,   145,   146,   147,    -1,   149,    -1,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
      -1,    -1,   163,   164,   165,   166,   167,   168,    -1,   170,
     171,   172,    -1,    -1,    -1,   176,   177,    -1,    -1,   180,
     181,   182,   183,   184,    -1,   186,   187,   188,   189,    -1,
     191,    -1,   193,   194,   195,   196,   197,   198,   199,    -1,
     201,   202,   203,   204,    -1,    -1,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,   216,    -1,   218,   219,   220,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,    -1,   234,    -1,   236,   237,   238,   239,   240,
      -1,   242,    -1,   244,   245,   246,    -1,   248,   249,   250,
     251,   252,    -1,   254,   255,   256,   257,   258,   259,    -1,
     261,   262,    -1,   264,   265,   266,   267,   268,   269,   270,
      -1,   272,   273,   274,   275,   276,   277,   278,   279,    -1,
     281,   282,   283,    -1,   285,   286,   287,    -1,   289,    -1,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,    -1,    -1,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,    -1,    -1,   329,   330,
     331,   332,   333,   334,   335,   336,   337,   338,   339,   340,
      -1,   342,   343,    -1,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,    -1,   363,   364,   365,   366,    -1,   368,   369,   370,
     371,   372,   373,    -1,   375,   376,   377,    -1,    -1,   380,
     381,   382,    -1,    -1,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,    -1,   405,   406,   407,   408,   409,   410,
     411,   412,   413,    -1,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
      -1,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,    -1,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,    -1,   464,    -1,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,    -1,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
      -1,   502,   503,    -1,    -1,   506,   507,   508,   509,   510,
     511,   512,   513,    -1,   515,   516,   517,    -1,    -1,   520,
     521,   522,   523,   524,    -1,   526,   527,   528,   529,   530,
     531,   532,   533,   534,    -1,    -1,   537,   538,   539,   540,
     541,    -1,    -1,   544,   545,   546,   547,   548,    -1,   550,
      -1,   552,   553,   554,   555,   556,   557,    -1,    -1,   560,
      -1,    -1,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,    69,
     581,   582,    -1,    73,    -1,    -1,    76,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,   112,    -1,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,   131,   132,   133,   134,    -1,    -1,   137,   138,    -1,
     140,   141,    -1,   143,   144,   145,   146,   147,    -1,   149,
      -1,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,    -1,    -1,   163,   164,   165,   166,   167,   168,    -1,
     170,   171,   172,    -1,    -1,    -1,    -1,   177,    -1,    -1,
      -1,   181,   182,   183,   184,    -1,   186,   187,   188,   189,
      -1,   191,    -1,   193,   194,   195,   196,   197,   198,   199,
      -1,   201,   202,   203,   204,    -1,    -1,   207,   208,   209,
     210,   211,    -1,   213,   214,   215,   216,    -1,   218,   219,
     220,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,    -1,   236,   237,   238,   239,
     240,    -1,   242,    -1,   244,   245,   246,    -1,   248,   249,
     250,   251,   252,    -1,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,    -1,   264,   265,   266,   267,   268,   269,
     270,    -1,   272,   273,   274,   275,   276,   277,   278,   279,
      -1,   281,   282,   283,    -1,   285,   286,   287,    -1,   289,
      -1,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,    -1,    -1,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,    -1,    -1,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,    -1,   342,   343,    -1,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,   365,   366,    -1,   368,   369,
     370,   371,   372,   373,    -1,   375,   376,   377,   378,    -1,
     380,   381,   382,    -1,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,    -1,   405,   406,   407,   408,   409,
     410,   411,   412,   413,    -1,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,    -1,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,    -1,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,    -1,   464,    -1,   466,   467,   468,   469,
     470,    -1,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,    -1,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,    -1,   502,   503,    -1,    -1,   506,   507,   508,   509,
     510,   511,   512,   513,    -1,   515,   516,   517,    -1,    -1,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,    -1,    -1,   537,   538,   539,
     540,   541,    -1,    -1,   544,   545,   546,   547,   548,    -1,
     550,    -1,   552,   553,   554,   555,   556,   557,    -1,    -1,
     560,    -1,    -1,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
      69,   581,   582,    -1,    73,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,   112,    -1,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,   131,   132,   133,   134,    -1,    -1,   137,   138,
      -1,   140,   141,    -1,   143,   144,   145,   146,   147,    -1,
     149,    -1,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,    -1,    -1,   163,   164,   165,   166,   167,   168,
      -1,   170,   171,   172,    -1,    -1,    -1,   176,   177,    -1,
      -1,   180,   181,   182,   183,   184,    -1,   186,   187,   188,
     189,    -1,   191,    -1,   193,   194,   195,   196,   197,   198,
     199,    -1,   201,   202,   203,   204,    -1,    -1,   207,   208,
     209,   210,   211,    -1,   213,   214,   215,   216,    -1,   218,
     219,   220,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,    -1,   236,   237,   238,
     239,   240,    -1,   242,    -1,   244,   245,   246,    -1,   248,
     249,   250,   251,   252,    -1,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,    -1,   264,   265,   266,   267,   268,
     269,   270,    -1,   272,   273,   274,   275,   276,   277,   278,
     279,    -1,   281,   282,   283,    -1,   285,   286,   287,    -1,
     289,    -1,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,    -1,    -1,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,    -1,    -1,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,    -1,   342,   343,    -1,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,   364,   365,   366,    -1,   368,
     369,   370,   371,   372,   373,    -1,   375,   376,   377,    -1,
      -1,   380,   381,   382,    -1,    -1,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,    -1,   405,   406,   407,   408,
     409,   410,   411,   412,   413,    -1,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,   428,
     429,   430,    -1,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,    -1,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,    -1,   464,    -1,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,    -1,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,    -1,   502,   503,    -1,    -1,   506,   507,   508,
     509,   510,   511,   512,   513,    -1,   515,   516,   517,    -1,
      -1,   520,   521,   522,   523,   524,    -1,   526,   527,   528,
     529,   530,   531,   532,   533,   534,    -1,    -1,   537,   538,
     539,   540,   541,    -1,    -1,   544,   545,   546,   547,   548,
      -1,   550,    -1,   552,   553,   554,   555,   556,   557,    -1,
      -1,   560,    -1,    -1,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,    69,   581,   582,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,   112,    -1,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,   137,
     138,    -1,   140,   141,    -1,   143,   144,   145,   146,   147,
      -1,   149,    -1,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,    -1,    -1,   163,   164,   165,   166,   167,
     168,    -1,   170,   171,   172,    -1,    -1,    -1,   176,   177,
      -1,    -1,   180,   181,   182,   183,   184,    -1,   186,   187,
     188,   189,    -1,   191,    -1,   193,   194,   195,   196,   197,
     198,   199,    -1,   201,   202,   203,   204,    -1,    -1,   207,
     208,   209,   210,   211,    -1,   213,   214,   215,   216,    -1,
     218,   219,   220,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,    -1,   236,   237,
     238,   239,   240,    -1,   242,    -1,   244,   245,   246,    -1,
     248,   249,   250,   251,   252,    -1,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,    -1,   264,   265,   266,   267,
     268,   269,   270,    -1,   272,   273,   274,   275,   276,   277,
     278,   279,    -1,   281,   282,   283,    -1,   285,   286,   287,
      -1,   289,    -1,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,    -1,    -1,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,    -1,
      -1,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,    -1,   342,   343,    -1,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,    -1,   363,   364,   365,   366,    -1,
     368,   369,   370,   371,   372,   373,    -1,   375,   376,   377,
      -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,    -1,   405,   406,   407,
     408,   409,   410,   411,   412,   413,    -1,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,    -1,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,    -1,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,    -1,   464,    -1,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,    -1,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,    -1,   502,   503,    -1,    -1,   506,   507,
     508,   509,   510,   511,   512,   513,    -1,   515,   516,   517,
      -1,    -1,   520,   521,   522,   523,   524,    -1,   526,   527,
     528,   529,   530,   531,   532,   533,   534,    -1,    -1,   537,
     538,   539,   540,   541,    -1,    -1,   544,   545,   546,   547,
     548,    -1,   550,    -1,   552,   553,   554,   555,   556,   557,
      -1,    -1,   560,    -1,    -1,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,    69,   581,   582,    -1,    73,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
     137,   138,    -1,   140,   141,    -1,   143,   144,   145,   146,
     147,    -1,   149,    -1,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,    -1,    -1,   163,   164,   165,   166,
     167,   168,    -1,   170,   171,   172,    -1,    -1,    -1,   176,
     177,    -1,    -1,   180,   181,   182,   183,   184,    -1,   186,
     187,   188,   189,    -1,   191,    -1,   193,   194,   195,   196,
     197,   198,   199,    -1,   201,   202,   203,   204,    -1,    -1,
     207,   208,   209,   210,   211,    -1,   213,   214,   215,   216,
      -1,   218,   219,   220,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,    -1,   236,
     237,   238,   239,   240,    -1,   242,    -1,   244,   245,   246,
      -1,   248,   249,   250,   251,   252,    -1,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,    -1,   264,   265,   266,
     267,   268,   269,   270,    -1,   272,   273,   274,   275,   276,
     277,   278,   279,    -1,   281,   282,   283,    -1,   285,   286,
     287,    -1,   289,    -1,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,    -1,
      -1,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
      -1,    -1,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,    -1,   342,   343,    -1,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,    -1,   363,   364,   365,   366,
      -1,   368,   369,   370,   371,   372,   373,    -1,   375,   376,
     377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,    -1,   405,   406,
     407,   408,   409,   410,   411,   412,   413,    -1,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,    -1,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,    -1,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,    -1,   464,    -1,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,    -1,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,    -1,   502,   503,    -1,    -1,   506,
     507,   508,   509,   510,   511,   512,   513,    -1,   515,   516,
     517,    -1,    -1,   520,   521,   522,   523,   524,    -1,   526,
     527,   528,   529,   530,   531,   532,   533,   534,    -1,    -1,
     537,   538,   539,   540,   541,    -1,    -1,   544,   545,   546,
     547,   548,    -1,   550,    -1,   552,   553,   554,   555,   556,
     557,    -1,    -1,   560,    -1,    -1,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
     577,   578,   579,    69,   581,   582,    -1,    73,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,   131,   132,   133,   134,    -1,
      -1,   137,   138,    -1,   140,   141,    -1,   143,   144,   145,
     146,   147,    -1,   149,    -1,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,    -1,    -1,   163,   164,   165,
     166,   167,   168,    -1,   170,   171,   172,    -1,    -1,    -1,
     176,   177,    -1,    -1,   180,   181,   182,   183,   184,    -1,
     186,   187,   188,   189,    -1,   191,    -1,   193,   194,   195,
     196,   197,   198,   199,    -1,   201,   202,   203,   204,    -1,
      -1,   207,   208,   209,   210,   211,    -1,   213,   214,   215,
     216,    -1,   218,   219,   220,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,    -1,   234,    -1,
     236,   237,   238,   239,   240,    -1,   242,    -1,   244,   245,
     246,    -1,   248,   249,   250,   251,   252,    -1,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,    -1,   264,   265,
     266,   267,   268,   269,   270,    -1,   272,   273,   274,   275,
     276,   277,   278,   279,    -1,   281,   282,   283,    -1,   285,
     286,   287,    -1,   289,    -1,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
      -1,    -1,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,    -1,    -1,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,    -1,   342,   343,    -1,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,    -1,   363,   364,   365,
     366,    -1,   368,   369,   370,   371,   372,   373,    -1,   375,
     376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,    -1,   405,
     406,   407,   408,   409,   410,   411,   412,   413,    -1,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,    -1,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,    -1,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,    -1,   464,    -1,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,    -1,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,    -1,   502,   503,    -1,    -1,
     506,   507,   508,   509,   510,   511,   512,   513,    -1,   515,
     516,   517,    -1,    -1,   520,   521,   522,   523,   524,    -1,
     526,   527,   528,   529,   530,   531,   532,   533,   534,    -1,
      -1,   537,   538,   539,   540,   541,    -1,    -1,   544,   545,
     546,   547,   548,    -1,   550,    -1,   552,   553,   554,   555,
     556,   557,    -1,    -1,   560,    -1,    -1,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,    69,   581,   582,    -1,    73,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,   131,   132,   133,   134,
      -1,    -1,   137,   138,    -1,   140,   141,    -1,   143,   144,
     145,   146,   147,    -1,   149,    -1,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,    -1,    -1,   163,   164,
     165,   166,   167,   168,    -1,   170,   171,   172,    -1,    -1,
      -1,   176,   177,    -1,    -1,   180,   181,   182,   183,   184,
      -1,   186,   187,   188,   189,    -1,   191,    -1,   193,   194,
     195,   196,   197,   198,   199,    -1,   201,   202,   203,   204,
      -1,    -1,   207,   208,   209,   210,   211,    -1,   213,   214,
     215,   216,    -1,   218,   219,   220,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,    -1,   234,
      -1,   236,   237,   238,   239,   240,    -1,   242,    -1,   244,
     245,   246,    -1,   248,   249,   250,   251,   252,    -1,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,    -1,   264,
     265,   266,   267,   268,   269,   270,    -1,   272,   273,   274,
     275,   276,   277,   278,   279,    -1,   281,   282,   283,    -1,
     285,   286,   287,    -1,   289,    -1,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,    -1,    -1,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,    -1,    -1,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,    -1,   342,   343,    -1,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,    -1,   363,   364,
     365,   366,    -1,   368,   369,   370,   371,   372,   373,    -1,
     375,   376,   377,    -1,    -1,   380,   381,   382,    -1,    -1,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,    -1,
     405,   406,   407,   408,   409,   410,   411,   412,   413,    -1,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,    -1,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
      -1,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,    -1,   464,
      -1,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,    -1,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,    -1,   502,   503,    -1,
      -1,   506,   507,   508,   509,   510,   511,   512,   513,    -1,
     515,   516,   517,    -1,    -1,   520,   521,   522,   523,   524,
      -1,   526,   527,   528,   529,   530,   531,   532,   533,   534,
      -1,    -1,   537,   538,   539,   540,   541,    -1,    -1,   544,
     545,   546,   547,   548,    -1,   550,    -1,   552,   553,   554,
     555,   556,   557,    -1,    -1,   560,    -1,    -1,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,    69,   581,   582,    -1,    73,
      -1,    -1,    76,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,    -1,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,   131,   132,   133,
     134,    -1,    -1,   137,   138,    -1,   140,   141,    -1,   143,
     144,   145,   146,   147,    -1,   149,    -1,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,    -1,    -1,   163,
     164,   165,   166,   167,   168,    -1,   170,   171,   172,    -1,
      -1,    -1,    -1,   177,    -1,    -1,    -1,   181,   182,   183,
     184,    -1,   186,   187,   188,   189,   190,   191,    -1,   193,
     194,   195,   196,   197,   198,   199,    -1,   201,   202,   203,
     204,    -1,    -1,   207,   208,   209,   210,   211,    -1,   213,
     214,   215,   216,    -1,   218,   219,   220,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,    -1,   236,   237,   238,   239,   240,    -1,   242,    -1,
     244,   245,   246,    -1,   248,   249,   250,   251,   252,    -1,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,    -1,
     264,   265,   266,   267,   268,   269,   270,    -1,   272,   273,
     274,   275,   276,   277,   278,   279,    -1,   281,   282,   283,
      -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,    -1,    -1,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,    -1,    -1,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,    -1,   342,   343,
      -1,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,    -1,   363,
     364,   365,   366,    -1,   368,   369,   370,   371,   372,   373,
      -1,   375,   376,   377,    -1,    -1,   380,   381,   382,    -1,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
      -1,   405,   406,   407,   408,   409,   410,   411,   412,   413,
      -1,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,    -1,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,    -1,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,    -1,
     464,    -1,   466,   467,   468,   469,   470,    -1,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,    -1,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,    -1,   502,   503,
      -1,    -1,   506,   507,   508,   509,   510,   511,   512,   513,
      -1,   515,   516,   517,    -1,    -1,   520,   521,   522,   523,
     524,    -1,   526,   527,   528,   529,   530,   531,   532,   533,
     534,    -1,    -1,   537,   538,   539,   540,   541,    -1,    -1,
     544,   545,   546,   547,   548,    -1,   550,    -1,   552,   553,
     554,   555,   556,   557,    -1,    -1,   560,    -1,    -1,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,    69,   581,   582,    -1,
      73,    -1,    -1,    76,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,   112,
      -1,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,   137,   138,    -1,   140,   141,    -1,
     143,   144,   145,   146,   147,    -1,   149,    -1,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,    -1,    -1,
     163,   164,   165,   166,   167,   168,    -1,   170,   171,   172,
      -1,    -1,    -1,    -1,   177,    -1,    -1,    -1,   181,   182,
     183,   184,    -1,   186,   187,   188,   189,    -1,   191,    -1,
     193,   194,   195,   196,   197,   198,   199,    -1,   201,   202,
     203,   204,    -1,    -1,   207,   208,   209,   210,   211,    -1,
     213,   214,   215,   216,    -1,   218,   219,   220,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,    -1,   236,   237,   238,   239,   240,    -1,   242,
      -1,   244,   245,   246,    -1,   248,   249,   250,   251,   252,
      -1,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
      -1,   264,   265,   266,   267,   268,   269,   270,    -1,   272,
     273,   274,   275,   276,   277,   278,   279,    -1,   281,   282,
     283,    -1,   285,   286,   287,    -1,   289,    -1,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,    -1,    -1,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,    -1,    -1,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,    -1,   342,
     343,    -1,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,    -1,
     363,   364,   365,   366,    -1,   368,   369,   370,   371,   372,
     373,    -1,   375,   376,   377,    -1,    -1,   380,   381,   382,
      -1,    -1,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,    -1,   405,   406,   407,   408,   409,   410,   411,   412,
     413,    -1,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,    -1,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,    -1,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
      -1,   464,    -1,   466,   467,   468,   469,   470,    -1,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,    -1,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,    -1,   502,
     503,    -1,    -1,   506,   507,   508,   509,   510,   511,   512,
     513,    -1,   515,   516,   517,    -1,    -1,   520,   521,   522,
     523,   524,    -1,   526,   527,   528,   529,   530,   531,   532,
     533,   534,    -1,    -1,   537,   538,   539,   540,   541,    -1,
      -1,   544,   545,   546,   547,   548,    -1,   550,    -1,   552,
     553,   554,   555,   556,   557,    -1,    -1,   560,    -1,    -1,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,   577,   578,   579,    69,   581,   582,
      -1,    73,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
     112,    -1,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,   131,
     132,   133,   134,    -1,    -1,   137,   138,    -1,   140,   141,
      -1,   143,   144,   145,   146,   147,    -1,   149,    -1,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,    -1,
      -1,   163,   164,   165,   166,   167,   168,    -1,   170,   171,
     172,    -1,    -1,    -1,    -1,   177,    -1,    -1,    -1,   181,
     182,   183,   184,    -1,   186,   187,   188,   189,    -1,   191,
      -1,   193,   194,   195,   196,   197,   198,   199,    -1,   201,
     202,   203,   204,    -1,    -1,   207,   208,   209,   210,   211,
      -1,   213,   214,   215,   216,    -1,   218,   219,   220,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,    -1,   236,   237,   238,   239,   240,    -1,
     242,    -1,   244,   245,   246,    -1,   248,   249,   250,   251,
     252,    -1,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,    -1,   264,   265,   266,   267,   268,   269,   270,    -1,
     272,   273,   274,   275,   276,   277,   278,   279,    -1,   281,
     282,   283,    -1,   285,   286,   287,    -1,   289,    -1,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,    -1,    -1,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,    -1,    -1,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,    -1,
     342,   343,    -1,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
      -1,   363,   364,   365,   366,    -1,   368,   369,   370,   371,
     372,   373,    -1,   375,   376,   377,    -1,    -1,   380,   381,
     382,    -1,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,    -1,   405,   406,   407,   408,   409,   410,   411,
     412,   413,    -1,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,    -1,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,    -1,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,    -1,   464,    -1,   466,   467,   468,   469,   470,    -1,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
      -1,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,    -1,
     502,   503,    -1,    -1,   506,   507,   508,   509,   510,   511,
     512,   513,    -1,   515,   516,   517,    -1,    -1,   520,   521,
     522,   523,   524,    -1,   526,   527,   528,   529,   530,   531,
     532,   533,   534,    -1,    -1,   537,   538,   539,   540,   541,
      -1,    -1,   544,   545,   546,   547,   548,    -1,   550,    -1,
     552,   553,   554,   555,   556,   557,    -1,    -1,   560,    -1,
      -1,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,    -1,   581,
     582
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,   614,  1331,     0,     5,    24,    34,    35,    39,    41,
      42,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    71,    73,    75,    76,
      81,   139,   218,   239,   263,   288,   341,   344,   367,   463,
     518,   535,   550,   580,   595,   596,   597,   598,   599,   600,
     603,   604,   605,   606,   608,   609,   610,   611,   612,  1319,
    1332,  1362,  1364,  1454,  1464,  1465,  1467,  1473,  1474,  1363,
       3,     8,    12,    14,    16,    17,    27,    35,    41,    42,
      43,    44,    48,    49,    54,    63,    65,    67,    68,    73,
      90,   101,   103,   104,   115,   121,   131,   143,   145,   146,
     152,   154,   167,   169,   184,   186,   188,   189,   204,   206,
     210,   217,   218,   226,   228,   235,   239,   253,   270,   291,
     324,   325,   330,   345,   364,   370,   412,   427,   433,   434,
     436,   441,   447,   450,   457,   464,   465,   472,   476,   488,
     496,   505,   517,   526,   528,   535,   538,   544,   549,   550,
     562,   586,   605,   615,   616,   621,   622,   628,   629,   631,
     632,   633,   634,   636,   639,   651,   656,   657,   660,   661,
     662,   684,   687,   688,   703,   754,   757,   760,   763,   764,
     765,   773,   780,   782,   783,   786,   789,   790,   794,   803,
     807,   808,   809,   812,   814,   815,   816,   817,   825,   827,
     847,   851,   853,   854,   864,   866,   873,   874,   877,   878,
     879,   880,   881,   890,   892,   894,   897,   901,   902,   912,
     913,   918,   923,   934,   966,   969,   970,   971,   976,   979,
     981,   983,   985,   986,   990,   991,   994,   996,   997,  1001,
    1002,  1003,  1006,  1007,  1008,  1009,  1010,  1017,  1019,  1020,
    1021,  1022,  1028,  1030,  1031,  1037,  1038,  1039,  1042,  1043,
    1044,  1045,  1047,  1048,  1050,  1051,  1053,  1054,  1056,  1068,
    1070,  1073,  1075,  1084,  1086,  1091,  1096,  1106,  1110,  1111,
    1112,  1113,  1114,  1115,  1121,  1156,  1333,  1336,  1337,  1354,
    1355,  1356,  1357,  1358,  1369,  1371,  1375,  1376,  1377,  1378,
    1379,  1381,  1383,  1385,  1386,  1387,  1388,  1390,  1395,  1396,
    1400,  1401,  1410,  1412,  1413,  1414,  1417,  1422,  1425,  1430,
    1432,  1433,  1436,  1438,  1475,    71,  1358,  1366,  1367,    13,
      70,    90,    91,    92,    93,    94,    95,    96,    97,    98,
     100,   101,   102,   110,   111,   112,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   128,
     129,   130,   131,   132,   133,   134,   137,   138,   140,   141,
     143,   144,   145,   146,   147,   149,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   163,   164,   165,   166,
     167,   168,   170,   171,   172,   176,   177,   180,   181,   182,
     183,   184,   186,   187,   188,   189,   191,   193,   194,   195,
     196,   197,   198,   199,   201,   202,   203,   204,   207,   208,
     209,   210,   211,   213,   214,   215,   216,   218,   219,   220,
     221,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   234,   236,   237,   238,   239,   240,   242,   244,   245,
     246,   248,   249,   250,   251,   252,   254,   255,   257,   258,
     259,   261,   262,   264,   265,   266,   267,   268,   269,   270,
     272,   273,   274,   275,   276,   277,   278,   279,   281,   282,
     283,   285,   286,   287,   289,   291,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   318,
     319,   320,   321,   322,   324,   325,   326,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   342,
     343,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   363,   364,
     365,   366,   368,   369,   370,   371,   372,   373,   375,   376,
     377,   380,   381,   382,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   464,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   502,   503,   506,   507,   508,   509,   510,
     511,   512,   513,   515,   516,   517,   518,   520,   521,   522,
     523,   524,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   537,   538,   539,   540,   541,   544,   545,   546,   547,
     548,   550,   552,   553,   554,   555,   556,   557,   560,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   581,   582,  1321,  1322,
    1324,  1326,  1327,  1328,  1347,  1348,  1459,  1461,  1465,  1467,
      28,   284,  1411,     6,     7,     8,     9,    10,    11,    12,
      14,    15,    18,    19,    20,    21,    22,    23,    25,    26,
      27,    30,    31,    32,    33,    36,    37,    38,    40,    43,
      44,    48,    49,    54,    63,    65,    67,    68,    99,   139,
     161,   173,   185,   190,   263,   341,   344,   463,   549,   580,
    1314,  1326,  1327,  1349,  1397,  1398,  1440,  1441,  1442,  1446,
    1450,  1451,  1452,  1461,  1467,    99,  1107,  1314,  1349,  1458,
      13,  1107,     5,    24,    28,    34,    35,    41,    42,    99,
     103,   104,   105,   106,   107,   108,   109,   113,   127,   135,
     136,   139,   142,   148,   150,   161,   162,   169,   173,   174,
     175,   176,   178,   179,   180,   190,   192,   200,   205,   206,
     212,   217,   222,   233,   235,   241,   243,   247,   253,   256,
     260,   271,   280,   284,   288,   290,   292,   316,   317,   323,
     327,   328,   362,   367,   374,   378,   379,   383,   384,   404,
     414,   431,   445,   465,   471,   482,   501,   504,   505,   514,
     518,   519,   525,   535,   536,   542,   543,   549,   551,   558,
     559,   561,   562,  1326,  1327,  1328,  1329,  1441,  1442,  1443,
    1444,  1448,  1449,  1450,  1452,  1467,    24,    34,   139,   288,
    1437,    36,    38,   362,  1370,   185,   263,   341,   344,   463,
     580,   605,  1218,  1219,  1361,   520,   565,  1023,    98,   149,
     166,   184,   190,   208,   221,   230,   243,   249,   256,   276,
     314,   336,   380,   407,   417,   418,   421,   449,   452,   456,
     459,   466,   469,   490,   498,   503,   505,   508,   513,   523,
     528,   542,   555,   779,  1398,   189,  1023,  1224,  1317,  1328,
    1440,  1443,  1446,  1447,  1450,  1451,  1467,    99,  1107,   553,
     605,  1061,   378,   413,  1023,   124,   605,   695,    93,   111,
     136,   149,   184,   190,   208,   221,   230,   243,   252,   256,
     326,   380,   383,   407,   421,   449,   459,   469,   490,   498,
     508,   510,   512,   513,   528,   536,   539,   542,   704,   762,
     869,   924,   935,  1314,  1338,  1339,  1340,  1349,  1465,  1467,
      13,    99,   412,  1314,  1349,  1353,   605,   489,  1107,  1314,
    1349,  1353,    99,   406,   467,   510,   512,   313,   977,   978,
    1465,    93,    98,   136,   149,   166,   184,   208,   221,   230,
     243,   249,   256,   276,   336,   380,   393,   407,   418,   421,
     449,   452,   456,   459,   466,   469,   490,   498,   505,   508,
     513,   521,   523,   528,   542,   555,   779,   882,   884,   885,
    1023,   611,  1380,  1444,   267,  1353,   169,   189,   226,   553,
     605,   760,   763,  1056,  1069,  1073,  1075,  1084,  1091,  1096,
    1106,  1110,  1333,    92,    99,   119,   238,   245,   247,   271,
     315,   353,   415,   435,   596,   597,   898,   899,  1107,  1319,
    1320,  1459,  1461,    99,   101,   169,   431,   465,   903,   904,
     905,  1446,   243,  1361,  1446,  1316,  1465,   505,  1124,   119,
     245,   898,  1446,   605,   520,  1353,   393,   336,   605,   989,
     457,  1446,    99,   139,   470,   516,   520,   549,   643,   652,
     653,  1326,  1327,  1440,  1445,  1450,  1452,  1467,   253,   903,
     904,  1446,   413,  1023,  1446,   312,    99,   205,  1126,  1127,
       4,    13,   137,   161,   163,   326,   347,   449,   459,   470,
     516,   520,   568,   640,   641,   642,   643,    99,   470,   516,
     520,   643,   520,   379,  1168,  1169,  1312,  1446,  1124,  1434,
    1444,   598,  1446,   248,   605,  1062,   605,   429,  1116,  1117,
    1314,  1116,  1111,  1112,  1115,   609,   605,  1061,   222,   290,
     384,   535,  1128,  1129,  1111,  1113,  1114,   195,   286,   338,
     541,   608,   121,   615,  1378,  1381,  1377,  1373,   609,  1382,
    1384,     5,    24,    34,   139,   209,   288,  1389,  1365,  1454,
      71,  1358,  1314,  1349,  1468,   190,  1338,    20,   543,   599,
    1353,  1353,  1468,   543,  1402,  1403,  1404,    24,   288,   288,
    1448,    18,    19,    37,    40,   131,   165,   206,  1439,  1439,
      15,  1378,   518,   518,   518,   518,   605,   518,   596,   597,
     771,  1320,  1359,  1464,   105,  1027,   951,  1317,   887,  1446,
     887,  1314,   416,   887,   523,  1314,   183,   505,   939,  1317,
    1328,  1446,  1321,  1322,    99,   265,  1312,   371,   555,    80,
      87,    88,    89,   144,   234,   593,   594,   595,   596,   597,
     598,   599,   600,   601,   973,   975,  1255,  1256,  1446,   265,
    1314,   939,  1314,    99,  1321,  1322,   939,  1314,  1314,   265,
    1312,  1314,   265,   887,  1314,   441,   472,    99,   265,  1168,
    1314,   462,  1314,   887,    99,   333,  1321,  1322,   265,  1312,
     313,    33,   192,   296,   362,   425,  1024,  1025,  1026,   605,
     603,   607,  1281,  1283,   583,  1055,  1056,  1057,  1058,  1324,
    1312,  1314,  1446,    98,   136,   150,   162,   184,   208,   249,
     276,   314,   380,   418,   449,   452,   498,   508,   521,   528,
     882,   883,   884,   885,  1465,  1027,  1072,  1075,  1084,  1091,
    1096,  1110,  1312,   340,   887,   605,   265,   887,  1314,   887,
     523,   265,  1314,   183,   505,   510,   512,  1321,   510,   512,
     144,   234,   973,   439,  1314,  1314,  1321,   265,   617,  1446,
     265,  1314,   265,   618,   887,  1314,  1314,   462,   887,   333,
    1321,   429,   466,   505,   555,   336,   166,   276,    98,   162,
     249,   418,   456,   521,   523,   527,   774,    80,  1341,  1342,
     610,  1461,  1468,    99,  1353,  1359,  1467,  1108,   489,   650,
    1324,  1465,   978,   340,   265,   951,   952,   265,   982,   265,
    1314,   123,   125,   126,   139,   140,   187,   188,   209,   239,
     265,   288,   289,   291,   298,   348,   350,   370,   426,   474,
     480,   516,   517,   550,   889,  1197,  1199,  1201,  1203,  1205,
    1207,  1208,  1209,  1211,  1212,  1213,  1215,  1216,  1220,  1440,
    1447,  1450,  1451,  1467,   523,   183,   505,   265,   938,   939,
     265,  1322,  1323,   157,   555,   144,   234,   265,   974,   975,
     129,   265,   938,   265,  1323,   265,   938,   265,  1314,   265,
    1314,   462,   982,   265,   889,   265,   333,  1323,   313,   265,
     886,   887,   265,  1313,  1314,   265,  1314,  1027,   605,   611,
    1469,  1470,  1471,  1472,  1474,  1380,    69,  1349,  1399,   605,
    1074,   704,  1107,  1069,  1055,  1061,  1320,   899,   900,    99,
     899,  1107,  1320,   900,    99,   899,  1107,  1320,   900,   900,
     900,  1320,  1319,  1319,   292,   543,  1404,  1405,  1478,  1480,
    1107,   900,   416,   605,   503,   605,   731,   731,   731,   378,
     518,   608,   731,   459,  1168,  1170,   899,  1107,   899,  1107,
     608,  1018,  1359,  1465,   247,   605,  1071,   129,   555,  1055,
     184,   276,   459,   503,   505,   987,   988,  1446,   118,   582,
     296,   607,   381,   378,   247,   381,  1465,   518,  1027,   241,
     895,   378,    78,    79,    80,    82,   107,   123,   125,   126,
     135,   136,   139,   140,   147,   149,   174,   175,   176,   177,
     178,   179,   180,   187,   188,   190,   227,   232,   233,   239,
     255,   257,   289,   291,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   308,   319,   327,   328,   339,   348,   350,
     360,   362,   367,   368,   370,   380,   391,   408,   426,   454,
     471,   480,   499,   504,   516,   517,   522,   524,   525,   536,
     542,   550,   570,   571,   572,   573,   575,   576,   577,   578,
     584,   596,   597,   598,   605,  1111,  1200,  1203,  1206,  1207,
    1208,  1210,  1211,  1212,  1215,  1216,  1220,  1221,  1223,  1224,
    1225,  1227,  1251,  1252,  1253,  1257,  1275,  1280,  1306,  1309,
    1310,  1317,  1318,  1319,  1446,  1457,  1459,  1461,  1462,  1463,
    1464,  1465,  1466,  1308,  1309,   518,   595,  1468,  1465,   518,
     595,  1398,    99,   658,  1311,  1312,   470,   640,   190,   649,
    1465,   650,  1465,   118,   141,   640,   582,   481,  1025,   381,
     247,   518,   595,   118,   582,   296,  1478,  1026,   605,  1312,
     598,  1283,  1170,  1449,  1055,   246,  1063,  1221,  1260,  1116,
     608,   605,  1064,   606,   606,  1055,  1065,  1066,  1067,  1312,
      99,   205,  1125,  1125,   129,  1125,   235,   241,   323,   374,
    1132,  1134,  1135,  1150,  1152,  1153,  1154,  1128,  1129,   247,
     292,   292,  1168,  1171,   605,   609,  1372,   598,  1391,  1392,
    1394,   611,   611,    24,   288,   288,   217,   108,  1345,   129,
    1348,  1348,   292,  1404,  1406,   292,  1404,  1405,  1406,   548,
    1415,  1416,  1461,    13,   485,   596,   597,  1319,  1407,  1408,
    1409,  1457,  1459,  1463,  1464,  1465,  1466,   288,   294,   518,
    1314,  1314,     6,   165,  1314,  1439,  1394,   185,   263,   341,
    1219,   341,  1219,  1219,   344,  1319,   341,   344,   463,  1464,
    1464,   608,  1360,   138,   358,   394,   437,   472,   605,   949,
     394,   433,   437,   472,   607,   888,   394,   437,   472,   161,
     215,   329,   394,   433,   437,   472,   508,   511,   562,   651,
     654,  1032,  1033,  1034,  1035,  1467,   919,    95,   210,   394,
     437,   472,   546,   669,  1314,    95,   210,   472,   541,   635,
     566,   265,  1168,   132,   168,   231,   268,   318,   358,   362,
     394,   395,   437,   446,   455,   464,   472,   486,   495,   500,
     557,   651,   655,   955,   967,   995,   605,   936,  1283,   437,
     635,   271,   227,    95,   101,   116,   146,   203,   210,   214,
     242,   278,   358,   362,   372,   382,   394,   437,   440,   441,
     472,   546,   663,   667,   668,   797,   995,   771,    99,   265,
    1312,   887,   887,   605,   972,   394,   472,   607,   227,   378,
     394,   437,   472,   967,   995,    95,   210,   394,   437,   472,
     271,   630,   437,   562,   586,   623,   630,   394,   437,   472,
     967,   995,   378,   394,   437,   227,   108,   130,   182,   274,
     337,   342,   358,   393,   437,   442,   466,   472,   488,   663,
     768,   769,   394,   437,   554,   797,   805,   227,   394,   437,
     472,    95,   161,   203,   210,   214,   394,   433,   437,   472,
     479,   653,   641,   643,   271,   227,   116,   201,   338,   358,
     437,   472,   483,   663,   666,   394,   437,   441,   472,   159,
     202,   397,   511,   378,    95,   101,   210,   394,   437,   472,
     685,   686,   630,   241,   437,   623,   630,   227,   437,   472,
     663,  1314,   609,   321,   192,   379,   567,   608,  1024,    99,
     205,   551,   598,   606,   944,  1221,  1261,  1262,  1447,  1221,
    1282,   598,  1315,  1448,  1281,   606,   608,   233,   378,   525,
     647,   650,   771,  1059,   543,  1052,   378,   951,   605,   887,
    1314,  1197,   939,   371,   144,   234,   975,   939,   939,   241,
    1197,   887,  1314,  1314,   606,   731,  1314,   142,  1197,   362,
     247,   605,   855,   623,   108,  1046,  1314,   362,   623,   566,
     265,  1312,   623,   887,   887,   855,   539,   704,   378,   241,
     562,   963,   623,   362,   118,   637,   362,   528,   804,   362,
    1064,   161,   394,   781,   159,   202,   397,   511,   108,   855,
     241,   265,   623,   555,   265,  1312,   265,   758,  1312,  1312,
     555,   887,   157,   619,  1317,   523,  1317,  1317,  1314,   241,
    1314,   779,    72,  1343,  1446,   610,  1344,  1341,  1360,   110,
     124,   181,   285,   358,   461,   227,   133,   443,   608,   620,
     227,   605,   227,   623,   552,  1214,  1214,  1214,   605,  1202,
    1202,   410,   605,  1204,   227,   139,   140,  1214,  1202,  1199,
     586,   587,   605,  1217,   605,  1217,   608,   620,   107,  1198,
     605,   185,   344,   580,   605,  1218,   888,  1202,   566,   227,
     608,   620,   227,   608,   265,   886,   265,   887,   265,   887,
     227,   608,   620,  1323,   227,   620,   227,   227,   620,   227,
     620,   227,   159,   202,   397,   511,   241,   227,   620,   227,
     241,   265,   227,   608,   620,   227,   608,   620,   227,   378,
     606,  1470,  1471,  1469,   608,   612,  1260,  1403,  1477,  1478,
     505,  1108,   606,  1069,   900,  1107,   900,  1107,  1480,  1481,
     900,  1107,   900,  1107,  1481,   900,  1107,  1107,  1107,   900,
      13,   485,  1453,  1456,  1461,  1107,   605,   732,   733,  1446,
     732,    99,   184,   208,   243,   249,   313,   314,   396,   418,
     452,   459,   466,   505,   508,   528,   908,  1311,  1323,   905,
    1314,   271,   608,  1087,  1107,  1107,  1465,  1360,  1399,  1197,
    1264,   108,  1323,   619,   606,   619,   619,   619,   321,  1446,
     241,   908,  1323,   241,   457,  1446,   650,   378,   605,   603,
    1111,  1265,  1221,  1279,   605,   605,   241,   605,   605,  1111,
     605,   605,   605,   605,   605,   605,   605,   605,   605,   605,
     605,   605,   605,   605,   605,   605,   605,   605,  1221,   605,
     605,   605,   605,   605,   605,   605,   605,   369,   720,   605,
     605,   605,   605,   605,   605,   605,   605,  1221,  1221,  1221,
     549,  1111,  1221,  1260,  1283,  1465,   605,  1465,    80,    83,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   237,   238,   239,   240,   242,   243,   244,   245,
     246,   248,   249,   250,   251,   252,   254,   255,   257,   258,
     259,   261,   262,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   291,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   342,   343,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   375,   376,
     377,   379,   380,   381,   382,   383,   385,   386,   387,   388,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   553,   554,   555,   556,
     557,   558,   560,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   581,   582,
     584,   593,   594,   595,   596,   597,   598,   599,   600,   601,
    1255,  1257,  1259,  1325,  1330,  1467,   563,  1238,   390,  1221,
     236,  1239,   292,   608,  1122,  1478,   605,  1465,  1283,    21,
    1460,  1461,  1284,  1122,   373,   378,  1431,  1431,     9,   548,
    1418,  1419,  1421,  1398,  1398,   193,   267,   659,   608,   141,
     190,   650,   108,   190,   326,   648,   771,  1216,  1465,  1467,
    1465,   164,   207,  1233,   173,   190,   644,   645,   647,   771,
     190,   644,  1478,  1478,   321,  1312,   165,   442,   891,   294,
     606,  1061,   105,   115,   122,   148,   266,   271,   294,   322,
     380,   383,   477,   606,   608,  1117,  1313,   108,   606,   608,
    1064,  1113,  1113,  1130,  1131,  1221,  1113,   238,   353,  1141,
     310,   358,   425,   475,   541,    99,  1136,  1221,   596,   597,
    1137,  1138,  1221,  1223,  1150,  1151,  1135,  1134,  1132,  1133,
     241,  1153,   372,  1155,  1132,  1150,  1171,  1076,  1312,  1171,
     108,  1446,   472,  1260,  1391,   598,   608,   609,  1449,  1368,
    1371,  1368,   288,   189,  1398,   542,  1346,  1348,  1314,   485,
    1319,  1420,  1461,   608,   595,  1314,    13,  1319,  1464,  1319,
    1464,   608,  1378,  1314,   605,   605,  1449,   606,   771,   606,
     138,   518,   518,   459,   271,   283,   384,   387,   474,   551,
     598,   942,   943,   944,   946,   948,   950,  1197,  1447,   518,
     554,   518,   459,  1315,   607,   518,   518,   459,   323,   518,
     149,   518,   508,   640,   394,  1032,  1034,   595,  1036,   241,
     253,   271,   447,   920,   921,   142,   162,   362,   728,   729,
     162,   190,   362,   518,   162,   518,   190,   362,   459,   162,
     203,   214,   394,   437,   852,   459,   787,    98,   136,   208,
     249,   380,   418,   452,   521,   528,   882,   883,  1314,   227,
     437,   472,   663,   378,   771,   464,   318,   518,  1446,   518,
     367,   771,   194,   293,   459,   470,   520,   642,   887,   443,
     472,   955,   968,   198,   606,   937,   942,   518,   542,   508,
    1312,   142,   150,   162,   223,   243,   265,   414,   536,   711,
     726,   727,  1446,   150,   162,   992,   399,   378,   454,   456,
     523,   162,   992,   102,   440,   454,   456,   523,   454,  1312,
     242,   278,   372,   887,   605,   518,   518,   264,   605,   673,
      93,   332,   508,   539,   564,   673,   162,   608,   198,   394,
     271,   227,   437,   472,   663,   995,   543,   543,   359,  1197,
     518,   459,   605,   973,  1314,  1312,   518,   518,   459,   968,
     198,   177,   505,   506,  1004,  1005,  1169,  1312,  1446,  1005,
     518,   518,   855,  1005,   184,   472,   654,   518,   625,   654,
     518,   518,   459,   968,   198,  1312,   518,   518,  1312,  1199,
     771,   129,   770,   771,   771,   182,   337,   342,   129,   518,
     623,   346,   459,   623,   358,   769,   518,   518,   367,  1465,
     797,   887,   518,   518,   459,   490,   421,  1465,   421,   518,
     421,   518,   421,   855,   855,   508,  1168,   399,   399,   400,
     162,   518,   992,   459,   399,   518,   518,   673,   673,   887,
     887,   887,   887,  1312,   117,   548,   117,   117,   548,   518,
     117,   518,   548,   459,   605,   608,   654,   542,   813,  1322,
     518,   625,   654,  1312,   518,   992,   459,   394,   437,   425,
     438,   468,   646,  1024,  1261,  1261,  1262,   606,    85,    86,
     608,  1128,  1129,   604,   610,  1312,  1057,  1314,  1312,   294,
    1197,   294,   378,   294,   294,   771,   887,   887,   294,   294,
     294,  1197,   294,   294,   294,   378,   518,   247,   518,   689,
     528,   605,   108,   227,   887,   856,   857,  1448,  1032,  1197,
     378,   227,   784,  1314,   362,   399,   605,   624,   869,   543,
     429,   555,  1312,    99,  1005,   855,   624,   227,  1322,   169,
     253,   638,   703,   764,   827,   901,   923,  1028,   227,  1465,
     805,   806,   227,   378,  1465,  1322,   329,   887,   887,   887,
     887,   218,   424,   605,   813,   362,   624,  1312,   362,   766,
     768,   362,   108,   372,   399,   605,   731,   731,   265,   761,
    1312,   241,   265,   617,  1446,   605,   859,   949,  1314,   605,
     940,   940,   108,  1197,    97,   120,   287,   828,   313,   607,
    1319,  1344,   606,   562,   564,  1109,   461,   952,   951,  1197,
    1314,   605,   605,  1260,  1319,   889,  1214,  1214,   107,  1198,
     516,   516,  1319,  1319,  1197,   603,   603,  1319,   518,   518,
    1319,  1202,   938,   939,  1323,  1322,   227,   620,   227,   543,
     227,   543,   974,   975,   620,   938,  1323,   938,  1314,  1314,
    1197,   889,  1323,   813,   227,   886,   887,  1313,  1314,  1314,
     887,   606,   612,  1472,   606,  1478,  1479,  1403,   265,  1312,
     181,  1069,  1107,  1107,  1481,  1107,  1107,  1481,  1107,  1107,
    1314,    13,   608,  1460,   732,   606,   608,   606,   250,   419,
     453,   467,   506,  1313,   886,   183,   469,   938,  1313,   371,
     906,   907,  1446,   938,   938,  1313,  1311,  1311,  1313,   886,
     518,   254,   562,   917,   222,   323,   810,   811,    93,   225,
     454,   475,  1088,  1168,   366,  1089,   606,   606,   608,  1072,
     518,  1312,  1314,  1312,   617,   903,   904,   247,   917,   904,
    1446,    98,   150,   208,   249,   314,   418,   452,   528,   882,
     883,  1260,   604,  1260,  1265,  1266,   558,  1276,  1277,  1221,
    1260,   605,  1319,  1319,   185,   263,   341,   344,   463,   580,
    1267,  1268,  1465,  1467,  1260,  1260,  1221,  1294,   445,  1111,
    1112,  1294,  1298,  1305,  1294,  1294,  1221,  1223,  1261,  1298,
    1301,  1302,  1221,  1302,  1294,  1221,  1294,  1294,  1260,  1319,
    1319,   606,  1221,  1221,   973,  1221,  1261,  1263,  1270,   454,
     596,   597,   605,  1222,  1223,  1257,  1271,   606,  1260,  1221,
    1263,  1272,  1221,   127,   247,   317,   519,  1221,  1260,  1273,
     205,   362,  1111,  1260,   346,  1223,  1221,  1231,  1232,  1233,
     346,  1221,  1233,   606,   608,  1319,  1218,  1197,  1221,  1221,
    1221,  1221,  1448,   326,   516,   113,   501,  1285,   887,  1221,
     605,  1111,  1274,   205,   207,   233,   298,   354,   355,   356,
     357,   361,   362,   367,   525,   537,  1269,  1299,  1221,   605,
    1221,   518,   122,   266,   271,   322,   477,  1221,  1221,  1221,
    1221,  1221,  1221,  1221,  1221,  1221,  1221,    99,   106,   482,
    1254,   256,  1239,   454,   605,  1251,   605,   389,  1243,   252,
     326,   505,   510,   512,   539,  1123,  1312,  1310,   247,  1157,
    1261,  1314,  1461,  1281,  1157,  1420,   608,   595,  1312,   520,
     605,  1465,   608,  1478,   606,   264,   264,   620,  1378,  1067,
    1056,  1060,  1221,   606,   336,   362,  1118,  1067,  1065,   608,
     109,   200,   543,   932,   454,   455,   596,   597,  1138,  1140,
    1223,   475,   310,   379,   608,  1139,  1319,  1464,  1139,   454,
     455,  1140,  1311,   366,   479,  1090,  1151,  1133,   543,  1085,
     190,   392,   605,  1077,  1110,   108,   543,  1446,   605,  1092,
    1093,  1094,  1446,   606,   609,  1392,  1198,   612,  1371,   612,
      33,  1347,  1423,  1424,  1461,  1416,  1421,  1468,  1407,  1198,
    1455,  1471,  1455,  1198,  1322,  1314,  1314,   387,   129,  1447,
     606,   944,   946,   943,   946,  1447,   384,   606,   608,   888,
    1322,  1314,  1314,  1315,  1322,  1314,  1314,  1322,   554,  1314,
    1314,   190,   647,   771,   449,   542,   903,   459,   253,   903,
     605,  1314,   367,   265,  1314,   367,  1322,  1314,  1314,  1221,
     367,  1314,  1314,   102,   440,   518,   518,  1314,   518,   788,
     951,   605,  1197,   939,   144,   234,   975,   939,   939,   241,
    1197,   887,  1314,   259,   358,   394,   437,   547,   791,   792,
     793,  1168,   518,   992,   459,   367,   194,   293,  1322,  1314,
     378,  1314,   378,   606,   608,  1321,  1323,  1314,   437,   663,
     605,   265,   711,  1314,   543,   925,   310,   362,   310,   543,
     720,   753,  1197,  1314,  1319,  1446,  1312,  1314,   321,  1314,
      99,   542,  1314,   265,  1314,   265,  1446,   456,   523,   456,
     523,   321,  1314,    99,   542,  1314,   321,   454,  1312,    95,
     210,   472,   798,   799,   800,   801,  1448,  1322,  1314,   190,
     248,   363,   543,   672,   675,   676,  1448,   340,  1314,   146,
     375,  1314,   668,   378,   518,   508,  1312,   518,   992,   459,
     198,  1314,  1314,   608,   606,   608,  1322,  1314,   998,   999,
    1448,   378,   437,   518,   821,  1322,  1314,  1314,   378,  1168,
     271,   608,   731,   731,  1283,  1322,  1314,  1314,  1321,   161,
     216,   278,   402,   534,   542,   545,   626,  1467,  1322,  1314,
    1314,   378,   437,  1322,  1314,   437,   472,   663,   768,   771,
     887,  1314,   771,   887,  1314,   771,  1322,  1314,   472,  1322,
    1314,  1314,   190,   679,  1320,  1313,  1313,  1322,   963,  1314,
    1313,  1314,   437,   472,   663,   666,  1312,  1312,   605,  1314,
    1314,  1314,  1314,  1312,  1322,  1314,    95,   101,   210,   394,
     437,   472,   394,   437,   472,   855,   437,   472,   437,   472,
     437,   995,  1183,  1446,   265,   865,  1446,   265,  1446,  1465,
    1322,  1314,  1314,  1465,  1314,   998,    95,   210,   686,   469,
    1321,   437,   472,   663,  1314,  1314,  1314,   518,   518,   155,
     533,   425,   608,  1128,  1128,  1128,  1221,  1221,   551,  1262,
     606,  1221,  1282,  1052,   367,   893,  1465,   108,   893,   208,
     887,   893,   893,   294,   543,   543,   893,   893,   893,   313,
     893,   893,   893,   887,   420,   690,   690,   276,   505,   826,
    1221,  1197,   887,   606,   608,   595,   717,  1448,  1314,   133,
     247,   459,   554,   785,   792,   793,   227,   372,   322,   705,
     707,   709,   711,   723,   726,    96,   271,   449,   502,   626,
     627,   241,  1314,   555,  1312,   108,   822,   506,   963,   617,
    1446,   637,   704,   935,  1314,   243,   887,   298,   605,   755,
     756,  1224,  1226,  1227,  1306,  1446,   421,  1465,   855,   855,
     855,   855,   605,   855,  1181,  1182,  1183,   469,   227,   605,
     227,   227,   226,  1334,   887,   372,   705,  1446,   543,   748,
     562,   674,   362,   108,   731,  1465,   362,   378,   860,   861,
    1467,   855,    97,   606,   941,   942,   947,   108,   313,   446,
     521,   561,   953,   954,   955,   956,   953,   378,   313,   372,
     195,   286,   526,   541,   829,   830,  1314,  1343,   599,   262,
     262,   241,   620,   108,   623,   242,  1040,  1041,  1260,   606,
     606,   620,   603,   582,   582,   606,   606,  1319,   604,   605,
    1319,  1446,  1465,  1476,   606,   606,   620,   886,   887,  1314,
     887,  1314,   620,   620,   620,   620,   313,   620,   469,   241,
     620,   620,   378,   620,   362,  1109,  1468,  1456,   606,   733,
     271,   271,   271,   271,   271,   566,  1313,   771,   772,   608,
     607,   256,   909,   910,  1322,   129,   914,   915,  1448,   518,
     605,   247,   225,   475,   225,   475,   454,   541,   343,  1197,
    1322,   562,   759,   378,   909,   620,   247,   951,   887,  1197,
     939,   371,   939,   939,  1197,   887,  1314,   606,   604,   604,
     608,  1221,   212,  1277,  1278,   108,   606,  1221,   606,   606,
     606,   247,   606,   606,   583,  1295,  1296,   562,   564,  1300,
    1197,  1296,   606,    91,   367,   608,  1304,   384,  1307,   608,
     610,   548,   606,   606,    91,   367,   608,  1303,  1303,   608,
     606,  1298,   608,   606,   606,   606,   606,   608,   608,   606,
     404,   606,   606,   605,  1222,  1222,  1260,    83,    87,    88,
      89,   271,   294,   380,   593,   594,   595,   596,   597,   598,
     599,   600,   601,  1257,  1222,   606,   606,   241,   247,   477,
     606,   606,   108,  1273,  1260,  1273,  1273,   247,   606,   205,
     606,  1448,   401,  1236,   108,   606,   608,  1221,  1448,   608,
    1221,  1284,  1221,   606,   582,  1222,  1222,   220,  1260,   247,
     107,   371,   458,   548,   205,   207,   233,   361,   367,   525,
     537,  1269,  1299,   361,  1300,   220,   973,  1221,   501,  1285,
    1221,  1274,  1221,   518,   605,  1111,   605,  1243,   605,  1260,
     559,   605,  1244,  1446,   510,   512,   510,   512,  1312,  1124,
    1124,  1124,   307,   316,   455,   579,   605,  1111,  1158,  1159,
    1160,  1168,  1174,  1184,  1191,  1226,  1446,   559,  1179,  1128,
    1179,     7,    10,    11,    21,    22,    23,    25,    26,    30,
      31,    32,   183,   346,   410,   528,  1426,  1427,  1429,  1419,
    1420,  1025,  1319,  1218,   645,  1198,  1067,   336,   605,  1131,
     380,  1255,  1258,   585,   933,  1319,  1464,  1140,   379,   562,
     541,  1137,   331,  1158,   559,  1180,   549,   503,   542,  1078,
    1079,  1080,  1446,   378,  1081,  1446,  1159,  1094,  1095,   608,
    1157,   595,  1284,   610,  1374,   609,   608,   595,    29,  1435,
     606,   606,   609,   950,   888,   946,   946,   129,   948,   600,
    1323,  1323,   378,  1313,   381,   378,  1221,   729,   845,   227,
     620,   518,  1322,  1314,   650,  1197,   887,   887,  1197,   775,
    1314,   259,   547,   518,   518,   775,   791,   797,   437,   472,
     663,  1314,  1314,  1314,   284,   367,   230,   942,   393,   472,
     518,  1221,   362,   223,   727,  1314,   605,   605,   227,   605,
     753,   276,   605,   845,   493,   715,   716,   845,   472,    95,
     210,   441,   442,   472,   669,   677,   678,   797,   993,   464,
     227,   620,   227,   620,  1314,  1314,  1314,  1314,   464,   464,
     321,   800,   801,   800,   606,   608,   802,  1465,   276,   606,
     608,   595,   607,   190,   680,  1446,   230,  1322,  1314,   437,
     472,   663,  1314,  1314,  1314,   378,   394,   437,   472,    95,
     210,   394,   437,   472,  1197,   359,  1197,   606,   608,   595,
    1312,   518,  1323,   543,   818,   230,   731,   459,  1004,   559,
     738,   738,   731,   323,   402,   367,  1465,   402,  1323,   540,
     230,   518,   518,   459,   490,   963,   963,   963,   393,   472,
     162,   518,   992,   459,   190,   241,   681,   237,   619,  1311,
     518,   518,   292,   333,   333,   333,   518,   518,   459,   518,
     518,   459,   518,   459,   518,   459,   518,   198,   620,  1197,
     362,  1465,   472,   993,   227,   620,   518,   518,   606,  1314,
     518,   992,   459,   518,  1322,  1314,   606,   606,   606,  1262,
     604,  1197,   887,   294,   893,  1314,  1314,  1314,   294,   491,
     492,   691,  1465,   691,   259,   606,   606,   247,   855,   857,
     359,   380,   596,   597,   771,   858,   946,  1258,  1329,  1465,
     142,   148,   162,   190,   192,   251,   280,   362,   367,   414,
     431,   536,   718,   719,   722,   226,   558,   623,   650,  1314,
     650,   382,   795,  1312,  1312,  1312,   606,   608,  1323,   256,
     449,  1323,  1319,   528,  1312,   731,  1467,   241,   823,   963,
     118,   637,   505,   804,   183,  1064,  1221,   247,   608,  1313,
     674,   862,   863,  1465,   606,   608,  1314,   241,   732,  1312,
     758,  1312,  1353,  1110,   605,   706,  1312,   606,  1314,   562,
     564,   749,   673,   108,   227,  1110,   748,   518,   227,  1168,
     606,   608,   595,   829,   606,   608,   190,   595,   957,  1465,
     650,   505,   945,   946,   241,   962,   121,   444,   958,   959,
     956,   959,   195,   286,   465,   541,  1015,  1314,   372,   378,
     383,   259,  1339,  1110,  1353,  1197,   605,   606,   608,   606,
    1319,  1217,  1217,   604,  1476,   605,   596,   597,   598,   599,
     600,   604,   620,   543,   620,   543,   620,  1314,  1314,   813,
     887,   227,   241,   459,   459,   459,   459,   459,  1313,   608,
     907,  1446,  1322,   562,   608,   911,  1322,   608,   917,   233,
     381,   525,   916,  1170,   469,   225,   225,   183,   358,   908,
     917,  1323,   294,   294,   294,   294,   771,   294,   294,   294,
     294,   294,  1265,   514,  1221,   217,  1197,   606,  1221,   298,
     536,   536,   606,  1296,  1298,   378,   378,  1294,  1298,   129,
    1304,  1221,  1294,  1294,   378,   378,  1302,  1300,  1300,  1221,
     606,  1221,  1269,  1221,  1221,   606,  1260,   608,  1197,  1222,
    1222,  1222,  1222,   205,   207,   362,  1222,  1222,  1222,  1222,
    1222,  1222,  1222,  1222,  1222,  1222,  1221,  1221,  1221,  1197,
     606,   606,   606,  1260,   606,   608,   129,  1223,  1237,   606,
    1448,  1232,   411,   497,  1235,   606,   608,   554,  1228,   108,
     606,  1465,  1221,   105,   105,  1221,   606,  1221,   247,   361,
    1300,  1221,   606,   220,  1222,  1222,   220,   220,  1221,  1221,
    1129,   606,  1260,   608,  1221,  1245,  1446,  1124,  1124,  1124,
    1124,  1312,  1312,  1312,   605,  1111,  1174,  1184,  1191,   247,
     605,  1111,  1159,  1160,   108,  1161,  1162,  1446,   608,   170,
     248,   282,   297,   320,   349,   448,  1165,  1162,   108,  1161,
    1164,  1446,  1162,  1162,   586,  1178,  1283,  1221,   256,  1142,
     606,  1142,   608,   595,   606,  1435,  1072,   605,   933,   238,
     315,   379,   562,   515,   173,  1221,   445,  1083,   548,   606,
     608,  1284,   160,  1083,   378,   606,   608,  1093,  1180,  1221,
    1319,   595,  1393,  1424,  1429,   606,   600,   950,   528,   250,
     453,   460,   467,   506,   529,   922,   241,   922,   606,   192,
     280,   358,   362,   846,  1314,  1314,   108,   543,   543,   313,
     888,  1322,  1314,   518,   992,   459,   518,   284,  1314,   129,
     508,  1314,   606,   227,   605,   736,   737,   928,  1226,  1446,
     732,   711,   732,   845,  1314,   732,   190,  1446,   156,   713,
     714,   490,   251,   229,   264,   362,   673,   623,   183,   229,
     251,   362,   490,   673,   713,   715,   769,   472,   678,   528,
    1314,  1446,   464,   799,  1314,   676,   858,  1448,  1314,   393,
     472,   518,   992,   459,   518,   230,   518,   518,   459,   249,
     380,   493,   867,   868,   249,   380,   875,   876,   518,   518,
     459,   606,   606,   606,   999,   359,   771,   946,  1000,  1258,
    1329,  1465,   437,  1314,   605,   562,   819,  1314,   738,   177,
    1446,   605,   738,  1320,  1465,  1465,  1465,  1314,  1314,  1314,
    1314,   679,   129,   508,  1314,  1314,  1314,  1314,   549,   606,
    1314,  1314,   605,   241,   241,   439,   241,   265,  1322,  1314,
    1314,  1322,  1314,  1314,  1314,  1314,  1314,  1314,  1314,   378,
     148,   670,   227,    97,   120,   528,  1446,  1314,  1465,   797,
    1314,  1314,  1314,  1314,  1128,   606,   294,   893,   294,   294,
     294,   893,   623,   543,   696,   697,   775,   845,   562,   564,
     887,   605,   887,  1314,  1222,   102,   129,   721,   193,   267,
     192,   367,   310,  1312,   720,   249,   418,   841,   848,   849,
    1446,   784,   605,   399,   605,   706,   724,   279,   743,   709,
    1323,  1323,  1197,   605,   674,    99,   195,   286,   465,   541,
     824,   518,   820,  1322,   265,  1312,   806,   566,   378,   606,
    1158,   756,   963,   606,   608,  1183,   795,   813,   606,   766,
     108,   372,   399,   605,  1074,   759,   708,   710,   712,   726,
    1446,   399,   744,   745,   706,   743,   673,   375,   378,   750,
    1110,   761,   759,   674,  1465,  1314,   925,   861,  1467,   858,
     378,   947,  1221,  1221,   608,   605,   953,   528,   608,   114,
    1221,   518,   605,   732,  1312,   830,   775,    80,  1350,   606,
    1040,  1041,   604,   606,  1378,  1476,  1476,  1476,  1476,  1476,
    1314,  1314,   620,   469,   620,  1313,  1313,  1313,  1313,  1313,
     771,   253,   910,   917,   915,   606,  1314,   183,   247,   620,
     917,   367,   896,  1465,   896,   896,   896,   294,   896,   896,
     896,   896,   896,  1221,   606,   215,   311,   311,   606,   367,
     367,   606,  1130,  1298,   401,  1286,   367,   367,  1298,  1298,
    1286,  1286,   606,   606,   247,   606,  1221,   247,   205,   207,
     247,   241,   220,   606,   569,  1230,  1260,   430,   548,   129,
    1237,  1223,   560,   560,   606,  1221,   358,  1221,   608,  1229,
    1199,  1221,  1221,  1221,  1221,   105,   105,  1221,  1221,   220,
     606,   606,   606,  1221,   606,   399,  1246,  1312,  1312,  1312,
    1312,  1294,  1162,  1164,  1162,  1162,   605,   574,  1223,   606,
    1446,   605,  1159,   297,   388,  1166,  1159,  1166,   297,  1165,
    1166,   297,   507,  1172,   605,  1446,   605,   385,   129,   260,
    1149,  1465,  1149,  1427,   597,  1420,  1428,  1464,  1465,  1465,
     606,   973,   515,   372,  1309,  1110,   392,  1110,  1080,   378,
     605,  1082,  1221,   595,  1094,  1083,  1472,   528,   606,   518,
     903,   247,   845,   193,   267,   278,   192,   545,   620,  1197,
    1314,  1314,  1314,  1314,  1314,  1314,  1314,  1323,  1314,   845,
     711,  1221,   606,   608,   562,   148,   927,   931,   927,   606,
     606,   606,   190,  1446,   795,   679,   721,   265,   265,   367,
     771,   108,   721,   367,   679,  1197,   620,   620,   595,   129,
     508,  1314,  1314,  1314,  1314,  1314,  1322,  1314,  1314,  1319,
    1319,  1197,   608,  1319,  1319,   608,  1322,  1314,  1314,   518,
    1221,   142,  1221,  1323,  1314,   518,   518,   247,   271,   562,
     292,   399,   664,   665,  1313,  1313,   887,  1313,   227,   230,
     887,  1465,  1465,  1197,   620,   620,   518,   606,   294,   893,
     893,   893,   893,   605,   692,   693,   623,   197,   249,   283,
     249,  1221,   362,   719,   190,   108,   963,   731,   963,  1317,
     105,   226,   271,   796,   800,   372,   705,   681,   224,   273,
     605,   469,   543,   732,   108,  1323,   818,   637,   362,   605,
     243,  1314,   755,  1465,   469,   674,   226,  1335,   887,   372,
     705,   759,   606,   608,   562,   717,   129,   748,   681,   744,
     154,   508,   751,   562,  1029,   108,   751,   247,   378,   605,
    1312,  1465,   944,   964,   965,  1447,   959,  1197,   241,   960,
    1312,   247,   518,   984,   432,   831,   281,   776,  1351,  1446,
     620,   606,   606,   620,   620,  1314,   381,   292,   909,   620,
     896,  1314,   606,  1287,  1288,  1294,   190,   213,   219,   233,
     367,   525,   537,  1290,  1291,  1293,   606,   606,  1298,  1298,
    1221,   606,  1222,   247,  1221,  1221,  1221,   605,   606,   608,
     606,  1237,   606,   548,   487,   606,   275,   358,  1234,  1221,
    1221,  1221,   606,   129,  1128,   608,  1175,  1176,  1226,   605,
    1236,  1161,   605,  1313,  1159,   378,   543,  1167,  1159,   297,
    1159,  1317,  1182,   605,  1182,  1446,  1125,  1221,   561,  1240,
    1240,  1319,  1464,   462,  1119,   606,  1107,  1479,  1078,   162,
     926,   928,   206,   558,  1097,  1098,  1099,  1100,  1221,   909,
     378,   909,   606,   518,   472,  1089,   606,   272,   734,   737,
     380,   973,   887,   618,   887,   431,   734,   734,   717,   108,
     227,   227,   605,   670,   858,  1323,  1314,   518,   605,   939,
     973,   975,   868,   605,   605,   876,  1314,   606,   605,   606,
     472,  1089,  1314,  1314,   605,   605,   605,  1312,  1312,   606,
     608,   562,   586,  1049,   439,  1049,  1049,   241,  1314,   670,
    1314,   893,   698,   699,  1448,   124,   171,   196,   215,   220,
     242,   246,   261,   367,   422,   694,   692,  1465,   939,   108,
     980,   980,   606,   264,   605,   543,   752,   334,   735,   752,
     605,   849,   841,   605,   606,   608,  1312,   606,   469,    99,
     153,   156,   163,   191,   251,   264,   277,   490,   493,   725,
     725,  1311,  1314,  1314,   606,  1110,   819,   227,   183,   795,
     247,  1314,   108,  1353,  1110,   706,  1312,   606,  1477,   710,
     382,  1446,   749,   744,   748,   195,   210,   411,  1314,   134,
     142,   326,  1110,   887,  1168,   926,   247,   844,   946,   606,
     608,   528,   217,   616,   958,   961,  1179,   485,   485,   606,
     352,   376,   832,   833,   834,   241,   837,   775,   358,   547,
     777,   778,   595,  1352,  1314,   917,   608,   108,  1221,   107,
     371,   378,   606,   562,   564,  1289,  1290,  1292,   241,  1222,
    1231,  1260,   358,   581,   275,   606,  1260,   258,   424,   455,
    1247,  1221,   606,   608,   108,  1177,   190,  1189,  1190,  1222,
     151,  1313,   606,  1221,   605,  1159,  1167,   605,   606,  1182,
     606,   172,   257,   451,   605,  1143,  1144,  1145,  1146,  1147,
    1148,  1221,  1241,  1242,  1446,   128,   199,   182,  1120,   548,
    1314,   606,   608,   363,   541,   335,   362,  1083,  1098,   105,
    1101,  1101,   911,   922,   620,  1314,   508,   927,   605,   963,
     605,   932,   673,  1312,   963,   963,   264,  1221,   543,   671,
     472,  1089,  1314,  1264,   241,   871,   871,  1264,  1264,  1221,
     508,  1260,  1260,   682,   683,  1324,   681,   665,   886,   887,
     886,   887,  1313,   620,   606,   608,   190,   598,   605,   647,
     700,   771,  1046,  1465,  1046,   362,   367,   422,  1046,  1046,
    1179,   980,   112,   269,   358,   730,   605,   767,  1221,   276,
     248,   398,   478,   378,   739,   740,   741,   606,  1317,    76,
     850,   800,   706,   743,  1314,   606,   795,   234,   870,   674,
    1029,  1312,   566,  1158,   795,  1110,  1074,   759,   744,   706,
     743,   717,   605,   750,   748,   749,   455,   455,   142,   381,
     142,   759,   925,   606,  1312,   845,   953,   964,  1197,   609,
     206,   562,   562,   833,   454,   505,   835,   211,   838,   558,
     840,   547,   775,  1319,  1459,  1467,    80,   795,   620,  1288,
    1448,   219,   107,   158,   532,   566,   107,   566,   309,   377,
    1297,   378,   606,  1221,   606,   606,   548,   122,   173,   531,
    1221,  1248,  1249,  1248,  1248,   606,   108,  1192,  1178,  1175,
     605,  1222,   606,   608,   108,  1185,  1186,  1446,   606,  1313,
    1260,   606,   605,   473,   605,   606,   608,   608,   108,   238,
     238,   732,  1110,  1179,   928,   472,   335,  1221,   514,   514,
     247,  1314,   732,   752,   973,   933,   932,   731,   752,   752,
     767,   606,  1221,   508,   606,   384,   462,   428,   872,   872,
     606,   606,   606,  1314,   606,   606,   606,   608,  1319,  1049,
     699,   647,   701,   702,  1465,  1465,   367,   598,   732,   598,
     732,  1465,  1465,   278,   768,   606,   508,   195,   541,   378,
     741,   378,   740,   605,   606,   608,   681,   469,   795,   887,
     108,   108,   605,  1314,  1029,   759,   748,   681,   744,   605,
     746,   747,  1226,  1446,   751,   749,   750,   381,   381,   605,
     272,   929,   241,   959,   100,   287,  1016,   249,   249,  1046,
     454,   489,   839,   605,   226,  1351,   566,   107,   566,   107,
     566,   566,   423,   423,  1292,   213,   219,  1249,   454,   240,
     409,   240,   409,   223,  1250,  1250,  1250,  1314,  1286,  1182,
     608,  1190,  1448,   606,   608,   241,  1197,   606,   606,  1260,
     605,  1260,  1144,  1242,  1244,   129,   129,   472,  1092,   129,
     195,   206,   541,  1102,  1103,   206,   286,  1104,   909,  1089,
     606,   738,   606,   933,   735,   845,   845,  1314,   939,   129,
    1089,   518,   682,   887,   606,   608,   598,   732,   606,   494,
    1314,   133,   358,   443,   472,   742,   742,   606,    76,   469,
    1314,   867,  1110,   795,  1477,   749,   744,   748,  1221,   606,
     608,   931,   931,   750,   751,   926,   605,   720,   211,   363,
     605,  1011,  1013,  1017,  1075,  1084,  1091,  1110,  1121,   939,
     939,   836,  1446,  1221,   841,   566,   566,   378,   378,   606,
    1290,   105,   173,   256,   358,   515,   151,   606,  1223,  1186,
     385,   190,   362,   367,   403,  1187,  1188,  1467,   108,  1163,
     438,  1173,   606,  1143,   606,   732,   732,  1446,  1179,   484,
     509,   363,   472,   363,   190,   392,   549,   605,  1105,   620,
     845,   739,  1089,   887,   605,   702,    94,   190,   367,  1314,
     795,  1029,   750,   748,   749,   606,   747,   618,   618,   751,
     606,   928,   930,   674,   454,  1012,  1013,  1014,  1111,  1112,
     608,   608,   606,  1317,   458,   458,   378,  1249,   454,   386,
     605,  1236,  1222,   367,  1222,  1188,  1222,  1446,   605,   606,
     472,   472,   518,   543,  1092,   549,  1078,   605,  1079,   845,
    1260,   731,   731,   795,   751,   749,   750,   931,   929,   606,
     608,   751,   840,   606,   609,   518,   247,   605,   496,   496,
     219,   351,  1193,  1194,  1446,   151,  1221,  1446,  1446,   298,
    1317,  1318,  1446,   548,  1260,   606,   606,   750,   751,   618,
     720,   928,  1179,   226,  1014,   485,   485,   842,   843,  1319,
    1448,  1464,  1465,   403,  1195,   606,   608,   241,  1197,  1185,
     606,   605,   190,  1105,   606,   392,  1105,   751,   674,   841,
     562,   562,   606,   608,  1465,  1293,  1194,   385,   227,   403,
    1196,  1295,   606,  1261,  1318,  1078,   751,  1317,   249,   249,
     843,   108,   151,   606,  1196,  1465,  1289,  1196,  1128,   543,
     548,  1179,   605,   939,   939,  1314,   605,  1292,  1297,  1289,
     606,  1446,  1105,   842,   151,  1193,  1292,  1297,   606,   605,
     606,  1292,  1193,   606
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   613,   614,   615,   615,   616,   616,   616,   616,   616,
     616,   616,   616,   616,   616,   616,   616,   616,   616,   616,
     616,   616,   616,   616,   616,   616,   616,   616,   616,   616,
     616,   616,   616,   616,   616,   616,   616,   616,   616,   616,
     616,   616,   616,   616,   616,   616,   616,   616,   616,   616,
     616,   616,   616,   616,   616,   616,   616,   616,   616,   616,
     616,   616,   616,   616,   616,   616,   616,   616,   616,   616,
     616,   616,   616,   616,   616,   616,   616,   616,   616,   616,
     616,   616,   616,   616,   616,   616,   616,   616,   616,   616,
     616,   616,   616,   616,   616,   616,   616,   616,   616,   616,
     616,   616,   616,   616,   616,   616,   616,   616,   616,   616,
     616,   616,   616,   616,   616,   616,   616,   616,   616,   616,
     616,   616,   616,   616,   616,   616,   616,   616,   616,   616,
     616,   616,   616,   616,   616,   616,   616,   616,   616,   616,
     616,   616,   616,   616,   616,   616,   616,   616,   616,   616,
     617,   617,   618,   618,   619,   619,   620,   620,   620,   621,
     622,   623,   623,   623,   624,   624,   625,   625,   626,   626,
     626,   626,   626,   626,   626,   626,   626,   627,   627,   627,
     627,   627,   627,   628,   629,   629,   630,   630,   631,   631,
     631,   631,   632,   632,   632,   632,   632,   632,   633,   634,
     635,   635,   636,   636,   636,   636,   637,   637,   638,   638,
     638,   638,   638,   638,   639,   639,   639,   640,   640,   640,
     641,   641,   641,   641,   642,   642,   642,   642,   642,   642,
     642,   642,   642,   642,   642,   643,   643,   644,   644,   645,
     645,   646,   646,   646,   646,   647,   647,   647,   647,   648,
     648,   648,   648,   648,   648,   648,   649,   649,   649,   650,
     650,   651,   652,   652,   652,   652,   653,   653,   654,   654,
     655,   655,   656,   656,   656,   656,   656,   657,   658,   658,
     659,   659,   660,   661,   661,   661,   661,   661,   662,   662,
     662,   662,   662,   662,   662,   662,   662,   662,   662,   662,
     662,   662,   662,   662,   662,   662,   662,   662,   662,   663,
     663,   664,   664,   665,   666,   666,   666,   666,   666,   667,
     668,   668,   668,   668,   668,   668,   668,   668,   668,   668,
     668,   668,   668,   668,   668,   668,   668,   668,   668,   668,
     668,   668,   668,   668,   668,   668,   668,   668,   668,   668,
     668,   668,   668,   668,   668,   668,   668,   668,   668,   668,
     668,   668,   668,   668,   668,   668,   668,   668,   668,   668,
     668,   668,   668,   668,   668,   668,   668,   668,   668,   668,
     668,   669,   669,   670,   670,   671,   671,   672,   672,   672,
     672,   673,   674,   674,   675,   675,   676,   676,   676,   676,
     677,   677,   678,   678,   678,   678,   679,   679,   680,   680,
     681,   681,   681,   681,   682,   683,   683,   684,   685,   685,
     686,   686,   686,   686,   687,   687,   688,   688,   689,   689,
     690,   690,   691,   691,   691,   692,   692,   693,   693,   694,
     694,   694,   694,   694,   694,   694,   694,   694,   694,   694,
     694,   694,   694,   694,   695,   695,   696,   696,   697,   697,
     698,   698,   699,   700,   700,   700,   700,   700,   700,   701,
     701,   702,   703,   703,   703,   703,   703,   703,   704,   704,
     704,   704,   704,   704,   704,   704,   705,   705,   706,   706,
     707,   707,   708,   708,   709,   709,   709,   710,   710,   711,
     712,   712,   713,   713,   714,   714,   715,   715,   716,   716,
     717,   717,   718,   718,   718,   718,   719,   719,   719,   719,
     719,   719,   719,   719,   719,   720,   720,   720,   721,   721,
     722,   722,   722,   722,   723,   724,   724,   724,   725,   725,
     725,   725,   725,   725,   725,   725,   725,   725,   726,   726,
     727,   727,   727,   727,   727,   727,   727,   728,   728,   729,
     729,   730,   730,   731,   731,   732,   732,   733,   734,   734,
     735,   735,   735,   735,   736,   736,   737,   737,   738,   738,
     739,   739,   739,   739,   739,   740,   741,   742,   742,   742,
     742,   742,   743,   743,   744,   744,   745,   746,   746,   747,
     747,   747,   748,   748,   749,   749,   749,   750,   750,   750,
     750,   751,   751,   752,   752,   753,   754,   754,   755,   755,
     756,   756,   756,   757,   757,   758,   759,   759,   759,   760,
     760,   761,   762,   762,   763,   764,   764,   765,   765,   766,
     766,   767,   767,   768,   768,   769,   769,   769,   769,   769,
     769,   769,   769,   769,   769,   769,   769,   769,   769,   770,
     770,   771,   771,   771,   771,   772,   772,   773,   773,   774,
     774,   775,   775,   776,   776,   777,   777,   778,   778,   779,
     779,   780,   781,   781,   782,   782,   783,   783,   784,   784,
     785,   785,   785,   785,   786,   787,   787,   788,   789,   789,
     789,   789,   789,   789,   789,   789,   789,   789,   789,   789,
     789,   790,   791,   791,   791,   791,   792,   792,   793,   793,
     794,   794,   795,   795,   796,   796,   797,   798,   798,   799,
     799,   799,   799,   800,   801,   802,   803,   803,   804,   804,
     805,   805,   806,   806,   807,   807,   807,   808,   808,   808,
     808,   809,   810,   810,   811,   811,   812,   812,   813,   813,
     814,   814,   815,   816,   817,   818,   818,   819,   819,   820,
     820,   821,   821,   822,   822,   823,   823,   824,   824,   824,
     824,   824,   825,   826,   826,   827,   827,   828,   828,   828,
     829,   829,   830,   830,   830,   830,   830,   831,   831,   832,
     832,   833,   834,   834,   835,   835,   836,   837,   837,   838,
     838,   839,   839,   840,   840,   841,   841,   842,   842,   842,
     843,   843,   843,   843,   844,   844,   845,   845,   846,   846,
     846,   846,   846,   846,   847,   847,   848,   848,   849,   850,
     850,   851,   852,   852,   852,   852,   853,   854,   854,   854,
     854,   854,   854,   854,   854,   854,   854,   854,   854,   854,
     854,   854,   854,   855,   856,   856,   857,   857,   858,   858,
     858,   858,   858,   858,   859,   860,   860,   861,   862,   862,
     863,   863,   864,   864,   864,   864,   864,   865,   865,   866,
     867,   867,   868,   868,   868,   868,   868,   869,   869,   870,
     870,   871,   871,   871,   872,   872,   873,   874,   874,   875,
     875,   876,   876,   877,   877,   878,   878,   879,   880,   881,
     881,   881,   881,   881,   881,   881,   881,   881,   881,   881,
     881,   882,   882,   882,   882,   882,   882,   882,   882,   882,
     882,   882,   882,   882,   883,   883,   883,   883,   883,   884,
     884,   884,   884,   884,   884,   884,   884,   885,   885,   885,
     886,   886,   887,   887,   888,   888,   889,   889,   890,   891,
     891,   891,   892,   892,   892,   892,   892,   892,   892,   892,
     892,   892,   892,   892,   892,   892,   892,   892,   892,   892,
     893,   893,   894,   894,   894,   894,   894,   894,   894,   894,
     894,   894,   895,   895,   896,   896,   897,   897,   897,   897,
     897,   897,   897,   897,   897,   897,   897,   898,   898,   898,
     898,   898,   898,   898,   898,   898,   898,   898,   898,   898,
     898,   899,   899,   900,   900,   901,   902,   902,   903,   903,
     903,   903,   903,   904,   904,   905,   905,   905,   905,   905,
     906,   906,   907,   907,   908,   908,   908,   908,   908,   908,
     908,   908,   908,   908,   908,   908,   908,   908,   908,   908,
     908,   908,   908,   908,   908,   909,   909,   910,   910,   911,
     911,   912,   912,   913,   913,   914,   914,   915,   916,   916,
     916,   917,   917,   918,   919,   919,   920,   920,   920,   921,
     921,   921,   922,   922,   922,   922,   922,   922,   923,   923,
     924,   924,   925,   925,   926,   926,   927,   927,   928,   928,
     928,   929,   929,   930,   930,   931,   931,   932,   932,   932,
     933,   933,   933,   934,   934,   934,   934,   935,   935,   936,
     936,   937,   937,   938,   938,   939,   939,   939,   939,   940,
     940,   941,   941,   942,   942,   942,   942,   942,   943,   943,
     943,   943,   943,   944,   945,   946,   946,   946,   947,   947,
     947,   948,   949,   949,   949,   949,   950,   950,   951,   952,
     952,   953,   953,   954,   954,   955,   955,   955,   955,   955,
     955,   955,   955,   955,   955,   955,   955,   955,   955,   955,
     955,   955,   956,   956,   956,   956,   956,   957,   957,   958,
     959,   959,   959,   960,   960,   961,   961,   962,   962,   963,
     963,   964,   965,   965,   966,   966,   966,   967,   967,   968,
     968,   969,   969,   969,   969,   969,   969,   970,   970,   971,
     971,   972,   972,   972,   972,   973,   973,   974,   974,   975,
     976,   977,   977,   978,   978,   979,   979,   979,   980,   980,
     980,   981,   982,   982,   983,   984,   984,   984,   984,   985,
     986,   986,   986,   987,   987,   988,   988,   989,   989,   990,
     990,   991,   991,   991,   991,   991,   991,   991,   991,   991,
     991,   991,   991,   991,   991,   991,   991,   991,   991,   991,
     991,   991,   991,   991,   991,   991,   991,   991,   991,   991,
     991,   991,   991,   991,   991,   991,   991,   991,   991,   991,
     991,   991,   991,   991,   991,   991,   991,   991,   991,   991,
     991,   991,   991,   991,   991,   991,   992,   992,   993,   993,
     994,   994,   994,   994,   994,   994,   995,   995,   996,   996,
     996,   996,   996,   996,   996,   996,   996,   996,   996,   996,
     996,   996,   996,   996,   996,   996,   996,   996,   996,   996,
     996,   996,   996,   996,   996,   997,   998,   998,   999,   999,
     999,  1000,  1000,  1000,  1000,  1000,  1001,  1002,  1002,  1002,
    1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,
    1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,
    1002,  1003,  1003,  1003,  1004,  1004,  1004,  1004,  1004,  1004,
    1004,  1005,  1005,  1006,  1006,  1006,  1006,  1007,  1008,  1008,
    1008,  1008,  1008,  1008,  1008,  1008,  1008,  1009,  1009,  1010,
    1011,  1011,  1011,  1012,  1012,  1013,  1013,  1013,  1013,  1013,
    1014,  1014,  1015,  1015,  1015,  1015,  1016,  1016,  1016,  1017,
    1018,  1018,  1019,  1020,  1020,  1021,  1021,  1021,  1021,  1021,
    1021,  1021,  1021,  1021,  1021,  1021,  1021,  1022,  1022,  1023,
    1023,  1023,  1024,  1024,  1024,  1024,  1024,  1025,  1025,  1025,
    1026,  1026,  1027,  1027,  1027,  1028,  1028,  1028,  1028,  1029,
    1029,  1029,  1029,  1030,  1031,  1032,  1032,  1033,  1033,  1034,
    1034,  1034,  1035,  1035,  1035,  1035,  1035,  1035,  1035,  1036,
    1036,  1037,  1037,  1037,  1037,  1038,  1039,  1039,  1039,  1039,
    1040,  1040,  1041,  1042,  1043,  1043,  1044,  1045,  1045,  1045,
    1045,  1045,  1045,  1045,  1046,  1046,  1047,  1048,  1048,  1048,
    1048,  1048,  1048,  1049,  1049,  1050,  1051,  1051,  1051,  1051,
    1051,  1052,  1052,  1053,  1053,  1054,  1054,  1055,  1055,  1056,
    1056,  1057,  1058,  1058,  1058,  1059,  1059,  1059,  1060,  1060,
    1061,  1061,  1062,  1062,  1063,  1063,  1064,  1064,  1065,  1066,
    1066,  1067,  1067,  1068,  1068,  1068,  1068,  1069,  1069,  1069,
    1069,  1069,  1069,  1069,  1069,  1069,  1069,  1070,  1070,  1071,
    1071,  1072,  1072,  1072,  1072,  1072,  1073,  1073,  1073,  1074,
    1074,  1075,  1076,  1076,  1077,  1077,  1077,  1077,  1077,  1078,
    1078,  1079,  1079,  1080,  1081,  1081,  1081,  1082,  1082,  1082,
    1083,  1083,  1084,  1085,  1085,  1086,  1087,  1087,  1088,  1088,
    1088,  1088,  1088,  1088,  1088,  1088,  1089,  1089,  1090,  1090,
    1090,  1091,  1092,  1092,  1093,  1093,  1094,  1095,  1095,  1096,
    1097,  1097,  1098,  1098,  1098,  1098,  1098,  1099,  1099,  1100,
    1100,  1101,  1101,  1102,  1103,  1104,  1104,  1104,  1104,  1104,
    1105,  1106,  1107,  1107,  1108,  1108,  1108,  1108,  1108,  1108,
    1109,  1109,  1109,  1110,  1110,  1111,  1111,  1112,  1112,  1112,
    1112,  1112,  1112,  1112,  1112,  1113,  1113,  1114,  1114,  1114,
    1114,  1114,  1114,  1114,  1115,  1115,  1115,  1116,  1116,  1117,
    1118,  1118,  1118,  1119,  1119,  1119,  1120,  1120,  1120,  1121,
    1121,  1122,  1122,  1122,  1123,  1123,  1123,  1123,  1123,  1123,
    1123,  1123,  1123,  1124,  1124,  1125,  1125,  1125,  1126,  1126,
    1127,  1127,  1128,  1128,  1129,  1130,  1130,  1131,  1131,  1132,
    1132,  1132,  1132,  1133,  1133,  1134,  1134,  1134,  1134,  1134,
    1134,  1135,  1135,  1136,  1136,  1137,  1138,  1138,  1138,  1139,
    1139,  1140,  1140,  1141,  1141,  1142,  1142,  1143,  1143,  1144,
    1144,  1144,  1144,  1144,  1145,  1146,  1147,  1148,  1149,  1149,
    1150,  1150,  1151,  1151,  1152,  1152,  1153,  1154,  1154,  1154,
    1154,  1155,  1155,  1156,  1156,  1157,  1157,  1158,  1158,  1159,
    1159,  1159,  1159,  1159,  1159,  1159,  1159,  1159,  1159,  1159,
    1159,  1160,  1160,  1160,  1160,  1160,  1160,  1161,  1161,  1161,
    1161,  1162,  1162,  1163,  1163,  1164,  1164,  1164,  1164,  1164,
    1165,  1165,  1165,  1165,  1166,  1166,  1167,  1167,  1168,  1168,
    1169,  1169,  1169,  1170,  1170,  1171,  1171,  1171,  1172,  1173,
    1173,  1174,  1174,  1175,  1176,  1176,  1177,  1177,  1178,  1178,
    1179,  1179,  1180,  1180,  1180,  1181,  1181,  1182,  1182,  1183,
    1184,  1184,  1185,  1185,  1186,  1186,  1186,  1187,  1187,  1188,
    1188,  1188,  1188,  1188,  1189,  1189,  1190,  1190,  1191,  1192,
    1192,  1193,  1193,  1194,  1194,  1194,  1194,  1194,  1194,  1195,
    1195,  1196,  1196,  1197,  1197,  1197,  1197,  1197,  1197,  1198,
    1198,  1198,  1199,  1199,  1199,  1199,  1199,  1199,  1199,  1199,
    1200,  1200,  1200,  1200,  1200,  1201,  1201,  1202,  1202,  1203,
    1203,  1203,  1203,  1203,  1203,  1203,  1203,  1203,  1203,  1203,
    1204,  1204,  1205,  1205,  1206,  1206,  1207,  1208,  1209,  1209,
    1210,  1210,  1211,  1212,  1213,  1213,  1213,  1213,  1213,  1213,
    1214,  1214,  1215,  1215,  1215,  1215,  1216,  1217,  1217,  1217,
    1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,  1218,
    1218,  1218,  1218,  1218,  1219,  1219,  1220,  1221,  1221,  1221,
    1221,  1221,  1221,  1221,  1221,  1221,  1221,  1221,  1221,  1221,
    1221,  1221,  1221,  1221,  1221,  1221,  1221,  1221,  1221,  1221,
    1221,  1221,  1221,  1221,  1221,  1221,  1221,  1221,  1221,  1221,
    1221,  1221,  1221,  1221,  1221,  1221,  1221,  1221,  1221,  1221,
    1221,  1221,  1221,  1221,  1221,  1221,  1221,  1221,  1221,  1221,
    1221,  1221,  1221,  1221,  1221,  1221,  1221,  1221,  1221,  1221,
    1221,  1221,  1221,  1221,  1221,  1222,  1222,  1222,  1222,  1222,
    1222,  1222,  1222,  1222,  1222,  1222,  1222,  1222,  1222,  1222,
    1222,  1222,  1222,  1222,  1222,  1222,  1222,  1223,  1223,  1223,
    1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,  1223,
    1223,  1224,  1224,  1224,  1224,  1224,  1224,  1224,  1225,  1225,
    1225,  1226,  1226,  1226,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,  1228,  1228,  1229,  1229,  1229,  1229,
    1230,  1231,  1231,  1232,  1232,  1233,  1233,  1234,  1234,  1234,
    1235,  1235,  1235,  1236,  1236,  1236,  1236,  1237,  1237,  1238,
    1238,  1239,  1239,  1240,  1240,  1241,  1241,  1242,  1243,  1243,
    1243,  1244,  1245,  1245,  1246,  1246,  1247,  1247,  1247,  1247,
    1248,  1248,  1249,  1249,  1249,  1249,  1249,  1250,  1250,  1250,
    1250,  1250,  1251,  1251,  1251,  1252,  1252,  1253,  1254,  1254,
    1254,  1255,  1255,  1256,  1256,  1256,  1256,  1256,  1256,  1256,
    1256,  1256,  1256,  1256,  1256,  1257,  1257,  1258,  1258,  1259,
    1259,  1259,  1259,  1259,  1259,  1260,  1260,  1261,  1261,  1262,
    1262,  1262,  1263,  1263,  1264,  1264,  1265,  1265,  1265,  1266,
    1266,  1267,  1268,  1268,  1268,  1268,  1268,  1268,  1268,  1268,
    1269,  1269,  1269,  1269,  1270,  1270,  1271,  1272,  1272,  1272,
    1272,  1272,  1273,  1273,  1273,  1274,  1274,  1275,  1276,  1276,
    1277,  1278,  1278,  1279,  1279,  1280,  1280,  1281,  1281,  1281,
    1281,  1282,  1282,  1283,  1283,  1284,  1284,  1285,  1285,  1286,
    1286,  1287,  1287,  1288,  1289,  1289,  1289,  1289,  1289,  1289,
    1289,  1289,  1289,  1290,  1290,  1291,  1291,  1291,  1291,  1291,
    1291,  1291,  1291,  1292,  1292,  1292,  1292,  1293,  1293,  1294,
    1295,  1295,  1296,  1296,  1297,  1297,  1297,  1297,  1297,  1298,
    1298,  1299,  1299,  1299,  1299,  1299,  1300,  1300,  1300,  1300,
    1300,  1301,  1301,  1302,  1302,  1303,  1303,  1303,  1304,  1304,
    1304,  1305,  1305,  1306,  1306,  1307,  1307,  1308,  1308,  1309,
    1309,  1310,  1310,  1310,  1310,  1311,  1311,  1312,  1312,  1313,
    1313,  1314,  1315,  1316,  1317,  1317,  1318,  1318,  1318,  1318,
    1318,  1318,  1318,  1318,  1318,  1318,  1318,  1318,  1318,  1318,
    1318,  1319,  1320,  1320,  1320,  1320,  1321,  1322,  1322,  1322,
    1322,  1323,  1323,  1324,  1324,  1324,  1324,  1325,  1325,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,
    1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1326,  1327,
    1327,  1327,  1327,  1327,  1327,  1327,  1327,  1327,  1327,  1327,
    1327,  1327,  1327,  1327,  1327,  1327,  1327,  1327,  1327,  1327,
    1327,  1327,  1327,  1327,  1327,  1327,  1327,  1327,  1327,  1327,
    1327,  1327,  1327,  1327,  1327,  1327,  1327,  1327,  1327,  1327,
    1327,  1327,  1327,  1327,  1327,  1327,  1327,  1327,  1327,  1327,
    1327,  1327,  1327,  1327,  1327,  1327,  1327,  1327,  1327,  1328,
    1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,
    1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,  1328,
    1328,  1328,  1329,  1329,  1329,  1329,  1329,  1329,  1329,  1329,
    1329,  1329,  1329,  1329,  1329,  1329,  1329,  1329,  1329,  1329,
    1329,  1329,  1329,  1329,  1329,  1329,  1329,  1329,  1329,  1329,
    1329,  1329,  1329,  1329,  1329,  1329,  1329,  1329,  1329,  1329,
    1329,  1329,  1329,  1329,  1329,  1329,  1329,  1329,  1329,  1329,
    1329,  1329,  1329,  1329,  1329,  1329,  1329,  1329,  1329,  1329,
    1329,  1329,  1329,  1329,  1329,  1329,  1329,  1329,  1329,  1329,
    1329,  1329,  1329,  1329,  1329,  1329,  1329,  1329,  1330,  1330,
    1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,
    1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,
    1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,
    1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,
    1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,
    1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,
    1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,
    1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,
    1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,
    1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,
    1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,
    1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,
    1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,
    1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,
    1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,
    1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,
    1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,
    1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,
    1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,
    1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,
    1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,
    1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,
    1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,
    1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,
    1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,
    1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,
    1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,
    1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,
    1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,
    1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,
    1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,
    1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,
    1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,
    1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,
    1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,
    1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,
    1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,
    1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,
    1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,
    1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,
    1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,
    1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,
    1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,
    1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,
    1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,  1330,
    1330,  1330,  1331,  1331,  1332,  1332,  1332,  1332,  1332,  1332,
    1332,  1332,  1334,  1333,  1335,  1333,  1336,  1337,  1337,  1337,
    1337,  1338,  1338,  1338,  1338,  1339,  1339,  1340,  1341,  1342,
    1342,  1343,  1343,  1343,  1344,  1344,  1345,  1345,  1346,  1346,
    1347,  1347,  1347,  1347,  1348,  1348,  1348,  1349,  1350,  1350,
    1351,  1351,  1352,  1352,  1352,  1352,  1353,  1353,  1354,  1355,
    1356,  1357,  1358,  1358,  1359,  1360,  1360,  1361,  1361,  1361,
    1361,  1361,  1363,  1362,  1364,  1365,  1366,  1366,  1367,  1367,
    1367,  1367,  1368,  1368,  1370,  1369,  1372,  1371,  1373,  1371,
    1371,  1374,  1374,  1375,  1375,  1375,  1376,  1376,  1376,  1376,
    1377,  1377,  1378,  1378,  1378,  1378,  1378,  1378,  1378,  1378,
    1378,  1378,  1378,  1378,  1378,  1378,  1378,  1379,  1379,  1379,
    1380,  1382,  1381,  1383,  1384,  1383,  1385,  1385,  1386,  1386,
    1387,  1387,  1388,  1388,  1388,  1388,  1388,  1388,  1388,  1388,
    1388,  1389,  1389,  1389,  1389,  1389,  1389,  1389,  1389,  1389,
    1389,  1390,  1390,  1391,  1391,  1392,  1393,  1393,  1394,  1394,
    1394,  1395,  1396,  1397,  1397,  1397,  1397,  1398,  1398,  1398,
    1399,  1399,  1400,  1400,  1401,  1402,  1402,  1403,  1403,  1404,
    1404,  1405,  1405,  1406,  1407,  1407,  1408,  1408,  1408,  1409,
    1409,  1409,  1409,  1409,  1409,  1409,  1409,  1409,  1410,  1410,
    1410,  1410,  1410,  1411,  1411,  1412,  1413,  1414,  1415,  1415,
    1416,  1417,  1418,  1418,  1419,  1420,  1420,  1421,  1422,  1423,
    1423,  1424,  1425,  1426,  1426,  1427,  1428,  1428,  1428,  1428,
    1428,  1429,  1429,  1429,  1429,  1429,  1429,  1429,  1429,  1429,
    1429,  1429,  1429,  1429,  1429,  1429,  1430,  1430,  1431,  1431,
    1432,  1432,  1432,  1434,  1433,  1435,  1435,  1437,  1436,  1438,
    1438,  1438,  1439,  1439,  1439,  1439,  1439,  1439,  1439,  1439,
    1439,  1439,  1440,  1440,  1441,  1441,  1441,  1441,  1441,  1441,
    1441,  1441,  1441,  1441,  1441,  1441,  1441,  1441,  1441,  1441,
    1441,  1441,  1441,  1441,  1441,  1441,  1442,  1442,  1442,  1442,
    1442,  1442,  1443,  1443,  1443,  1443,  1443,  1443,  1443,  1444,
    1445,  1445,  1445,  1445,  1445,  1445,  1445,  1445,  1446,  1446,
    1446,  1446,  1446,  1446,  1446,  1447,  1447,  1447,  1447,  1447,
    1447,  1448,  1448,  1448,  1448,  1448,  1448,  1448,  1448,  1448,
    1448,  1448,  1449,  1449,  1449,  1449,  1449,  1449,  1449,  1449,
    1450,  1450,  1450,  1450,  1450,  1450,  1450,  1451,  1451,  1451,
    1452,  1452,  1452,  1452,  1452,  1452,  1453,  1453,  1454,  1455,
    1455,  1456,  1456,  1457,  1458,  1459,  1460,  1460,  1460,  1461,
    1462,  1463,  1464,  1465,  1466,  1467,  1467,  1468,  1468,  1469,
    1469,  1469,  1470,  1470,  1471,  1471,  1472,  1472,  1473,  1473,
    1473,  1473,  1473,  1474,  1474,  1474,  1474,  1474,  1474,  1474,
    1474,  1474,  1474,  1474,  1474,  1474,  1474,  1474,  1474,  1474,
    1474,  1474,  1474,  1474,  1474,  1474,  1474,  1474,  1474,  1474,
    1474,  1474,  1474,  1474,  1474,  1474,  1474,  1474,  1474,  1474,
    1474,  1474,  1474,  1474,  1474,  1474,  1474,  1474,  1474,  1474,
    1474,  1474,  1474,  1474,  1474,  1474,  1474,  1474,  1474,  1475,
    1475,  1475,  1475,  1476,  1476,  1476,  1476,  1476,  1476,  1476,
    1476,  1476,  1476,  1477,  1477,  1477,  1477,  1478,  1478,  1479,
    1479,  1480,  1480,  1481,  1481
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     0,
       1,     0,     1,     0,     1,     0,     1,     1,     0,     2,
       5,     1,     1,     0,     2,     0,     2,     0,     2,     2,
       3,     3,     1,     3,     3,     2,     1,     1,     2,     2,
       2,     3,     3,     5,     5,     5,     0,     3,     5,     5,
       5,     5,     3,     5,     3,     5,     3,     5,     5,     6,
       1,     1,     6,     4,     9,     7,     2,     0,     1,     1,
       1,     1,     1,     1,     2,     3,     3,     2,     5,     1,
       3,     3,     3,     3,     1,     3,     3,     2,     2,     2,
       2,     3,     3,     3,     3,     1,     3,     1,     3,     1,
       1,     2,     2,     2,     1,     1,     1,     1,     1,     1,
       1,     3,     5,     1,     1,     1,     1,     1,     0,     1,
       1,     2,     1,     2,     3,     2,     1,     1,     2,     1,
       2,     1,     3,     4,     5,     4,     2,     4,     1,     1,
       1,     1,     1,     2,     2,     2,     2,     2,     4,     6,
       4,     6,    10,    13,     4,     6,     4,    10,    13,     4,
       6,     4,     6,     5,     7,    11,    14,     5,     7,     1,
       3,     1,     3,     3,     4,     4,     4,     7,     7,     3,
       2,     5,     3,     6,     4,     6,     6,     9,     5,     7,
       6,     6,     5,     5,     5,     5,     9,     4,     5,     7,
       6,     4,     8,     4,     2,     4,     3,     6,     4,     3,
       3,     3,     2,     2,     3,     4,     4,     3,     3,     3,
       3,     3,     3,     4,     4,     3,     2,     3,     2,     2,
       3,     4,     3,     2,     2,     3,     4,     4,     4,     5,
       1,     3,     2,     2,     0,     2,     0,     1,     1,     1,
       3,     3,     2,     0,     1,     3,     3,     1,     5,     3,
       1,     2,     1,     3,     2,     3,     1,     1,     1,     1,
       6,     6,    10,     1,     2,     1,     3,     4,     1,     3,
       4,     6,     4,     8,     2,     2,    11,     9,     1,     1,
       1,     0,     1,     1,     1,     1,     3,     2,     0,     1,
       1,     3,     3,     1,     1,     3,     3,     3,     3,     4,
       4,     3,     3,     2,     1,     0,     3,     0,     1,     0,
       1,     3,     2,     1,     1,     1,     1,     3,     0,     1,
       3,     1,    13,    16,    12,    15,    14,    17,     1,     1,
       2,     2,     2,     2,     1,     0,     1,     0,     3,     0,
       1,     3,     1,     3,     1,     1,     1,     1,     1,     6,
       2,     4,     2,     2,     1,     0,     2,     2,     1,     0,
       2,     0,     3,     1,     1,     2,     2,     1,     4,     4,
       5,     2,     5,     7,     5,     2,     3,     0,     1,     2,
       1,     2,     2,     2,     3,     3,     3,     0,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     3,     1,
       5,     9,     3,     9,     4,    10,    11,     3,     1,     5,
       3,     2,     0,     3,     0,     1,     3,     1,     4,     0,
       2,     2,     2,     0,     1,     3,     3,     6,     4,     0,
       1,     1,     2,     2,     0,     3,     3,     2,     1,     1,
       3,     3,     4,     0,     1,     0,     6,     1,     3,     3,
       3,     5,     2,     0,     2,     2,     0,     3,     4,     4,
       0,     2,     0,     4,     0,     3,     8,    11,     1,     3,
       1,     1,     3,     6,     8,     6,     2,     3,     0,     8,
      11,     5,     1,     0,     6,     5,     8,     4,     6,     1,
       0,     3,     0,     1,     2,     2,     2,     1,     2,     3,
       2,     2,     2,     2,     3,     3,     3,     1,     3,     1,
       0,     1,     2,     2,     1,     1,     3,     6,    10,     1,
       0,     1,     2,     2,     0,     2,     2,     1,     0,     1,
       0,     7,     2,     0,     3,     5,     5,     8,     2,     0,
       2,     2,     2,     1,     5,     2,     0,     2,     6,     6,
       6,    10,     6,     6,     6,     9,     9,     6,     6,     9,
       6,     7,     2,     2,     2,     2,     1,     2,     1,     0,
       7,     6,     4,     0,     1,     3,     4,     1,     3,     1,
       2,     2,     2,     2,     1,     1,    10,    13,     2,     0,
       2,     2,     1,     0,     5,     4,     4,    11,    14,    12,
      15,    11,     2,     1,     4,     0,     8,    11,     1,     1,
       7,     9,     8,    10,     8,     4,     0,     5,     0,     2,
       0,     2,     0,     2,     0,     2,     0,     1,     1,     1,
       1,     1,     8,     1,     1,    17,    21,     1,     1,     2,
       1,     3,     1,     1,     1,     3,     1,     2,     0,     1,
       2,     4,     1,     1,     1,     1,     1,     3,     0,     1,
       0,     1,     1,     4,     0,     1,     1,     1,     3,     0,
       1,     1,     1,     1,     2,     0,     0,     2,     2,     1,
       2,     2,     2,     2,    11,    13,     1,     3,     5,     1,
       3,     5,     1,     2,     2,     1,     8,     6,     5,     4,
       4,     3,     7,     8,     6,     6,     6,     6,     6,     4,
       7,     5,     8,     3,     1,     3,     3,     1,     1,     1,
       1,     1,     1,     1,     3,     1,     3,     3,     1,     0,
       1,     3,     7,     9,     9,     8,     6,     3,     0,    13,
       1,     3,     5,     5,     3,     6,     2,     1,     0,     2,
       0,     2,     4,     0,     1,     0,     6,     8,     8,     1,
       3,     5,     5,     7,     9,     7,     9,     5,     6,     6,
       4,     6,     4,     6,     8,     4,     6,     4,     6,     5,
       7,     1,     1,     1,     2,     1,     2,     1,     1,     1,
       3,     3,     3,     3,     1,     1,     1,     1,     1,     2,
       2,     1,     3,     2,     1,     1,     1,     1,     1,     1,
       1,     3,     1,     2,     2,     3,     1,     3,     5,     2,
       2,     0,     6,     6,     6,     6,     6,     6,     6,     6,
       8,     9,     8,     6,     6,     9,     9,     9,     7,    10,
       1,     1,     8,     8,     8,     8,     8,     8,     8,     9,
       8,     8,     2,     0,     1,     1,     2,     2,     3,     4,
       5,     4,     5,     3,     4,     3,     4,     1,     2,     3,
       3,     3,     3,     4,     4,     3,     3,     4,     4,     4,
       4,     1,     1,     1,     0,     8,     8,    11,     1,     1,
       2,     4,     5,     1,     3,     2,     2,     2,     2,     2,
       1,     3,     1,     3,     1,     2,     2,     4,     3,     2,
       2,     2,     2,     2,     2,     3,     2,     2,     2,     2,
       5,     5,     5,     5,     5,     1,     3,     1,     2,     3,
       0,     5,     7,     6,     9,     3,     1,     2,     1,     1,
       1,     3,     0,     5,     2,     0,     3,     3,     3,     7,
       7,    10,     1,     1,     1,     1,     1,     1,    16,    19,
       1,     0,     2,     0,     1,     3,     4,     5,     2,     2,
       4,     4,     0,     1,     3,     2,     0,     1,     1,     0,
       2,     2,     0,     9,    12,     7,     7,     2,     0,     3,
       2,     1,     3,     1,     3,     2,     1,     1,     2,     3,
       2,     1,     3,     3,     3,     2,     2,     1,     1,     1,
       1,     2,     1,     1,     1,     1,     4,     5,     1,     3,
       3,     1,     3,     3,     5,     6,     1,     3,     2,     1,
       3,     1,     0,     1,     2,     4,     5,     1,     1,     1,
       1,     3,     3,     2,     2,     1,     2,     2,     2,     2,
       1,     2,     2,     2,     2,     1,     1,     1,     3,     2,
       1,     4,     0,     3,     0,     1,     1,     3,     5,     2,
       0,     2,     1,     3,     5,     5,     5,     1,     2,     1,
       0,     4,     6,     4,     6,     4,     6,     4,     6,     4,
       6,     3,     5,     5,     5,     1,     3,     1,     3,     2,
       2,     1,     2,     1,     2,    11,    10,    10,     2,     2,
       0,     9,     2,     0,    10,    11,    11,     5,     5,     8,
       5,     5,     5,     1,     1,     1,     1,     3,     0,     5,
       5,     6,     6,     6,     6,     6,     8,     8,     6,     6,
       7,     9,     9,     8,    10,     6,     6,     6,     6,     6,
       6,     6,     8,     6,     8,     6,     8,     7,     9,     6,
       8,     7,     9,     8,    10,     8,    10,     9,    11,     8,
      10,     9,    11,     8,     8,     7,     6,     6,     6,     6,
       8,     8,     8,     8,     6,     9,     1,     0,     2,     0,
       8,     8,     8,    10,     9,     8,     1,     0,     6,     6,
       6,     6,     6,     6,     6,     9,     9,     6,     6,     6,
       8,     6,     8,     8,     8,     8,     6,     8,     6,     8,
       7,     9,     7,     9,     6,     7,     1,     3,     3,     3,
       1,     1,     1,     1,     1,     1,     7,     6,     6,     6,
       6,     6,     6,     7,     7,     6,     9,     9,     6,     6,
       6,     6,     6,     6,     8,     8,     8,     6,     7,     6,
       6,     4,     7,     6,     4,     4,     4,     3,     4,     3,
       1,     1,     3,     5,     5,     5,     5,     8,     5,     5,
       6,     7,     7,     7,     4,     4,     5,     4,     6,    13,
       1,     1,     3,     3,     1,     1,     1,     1,     1,     1,
       1,     0,     1,     1,     1,     1,     1,     1,     0,     3,
       2,     0,     2,     2,     2,     3,     3,     3,     3,     2,
       3,     2,     5,     4,     3,     3,     3,     3,     3,     1,
       1,     0,     3,     2,     2,     1,     2,     1,     3,     2,
       1,     0,     2,     3,     0,     9,    11,    12,    14,     3,
       4,     4,     0,     2,     5,     1,     0,     1,     2,     3,
       3,     3,     1,     2,     1,     1,     1,     1,     1,     1,
       0,     5,     4,     6,     6,     4,     3,     5,     7,     9,
       1,     3,     1,     5,     4,     4,     6,     4,     6,     6,
       5,     7,     9,     6,     1,     0,     6,    11,    11,    11,
      13,     9,    11,     1,     1,    10,     6,     4,     4,     2,
       5,     2,     0,     6,     5,     3,     5,     1,     3,     1,
       1,     2,     1,     1,     1,     1,     1,     0,     1,     0,
       1,     0,     1,     0,     1,     0,     3,     0,     2,     1,
       3,     1,     0,     2,     4,     3,     5,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     5,     4,     3,
       0,     1,     1,     1,     1,     1,     4,    10,    13,     3,
       0,     7,     1,     3,     1,     4,     4,     7,     2,     1,
       1,     1,     3,     2,     8,     5,     0,     4,     3,     0,
       3,     0,     7,     2,     0,     5,     3,     0,     2,     2,
       2,     3,     1,     3,     1,     2,     1,     0,     1,     2,
       0,     8,     1,     3,     3,     5,     2,     1,     3,    10,
       1,     2,     4,     4,     4,     5,     5,     2,     5,     3,
       5,     2,     0,     3,     1,     2,     5,     5,     8,     3,
       4,     7,     1,     1,     0,     3,     2,     2,     2,     2,
       0,     2,     2,     1,     1,     3,     3,     1,     2,     4,
       4,     2,     3,     5,     5,     1,     1,     9,     9,     1,
       2,     4,     4,     4,     2,     2,     3,     1,     3,     9,
       1,     2,     0,     7,     7,     0,    10,     6,     0,     1,
       0,     2,     1,     0,     3,     3,     4,     4,     4,     4,
       3,     2,     1,     1,     0,     1,     1,     0,     1,     5,
       1,     0,     1,     0,     3,     1,     3,     4,     3,     2,
       2,     1,     1,     1,     0,     2,     4,     5,     6,     4,
       5,     2,     3,     1,     1,     1,     1,     2,     2,     1,
       1,     1,     1,     1,     1,     4,     0,     1,     3,     1,
       1,     1,     1,     1,     2,     4,     4,     5,     2,     0,
       1,     3,     1,     0,     1,     2,     3,     2,     4,     2,
       3,     2,     0,     4,     5,     2,     0,     1,     3,     2,
       3,     2,     3,     2,     3,     2,     3,     1,     4,     2,
       3,     3,     4,     5,     4,     5,     4,     5,     2,     4,
       1,     1,     0,     2,     0,     1,     4,     5,     4,     0,
       2,     2,     2,     1,     1,     0,     5,     2,     1,     1,
       2,     2,     4,     1,     3,     1,     2,     3,     6,     4,
       0,     2,     6,     2,     1,     3,     4,     0,     2,     0,
       2,     0,     2,     4,     0,     1,     0,     1,     3,     3,
       7,    12,     1,     3,     2,     3,     3,     1,     2,     2,
       2,     2,     1,     2,     1,     3,     3,     2,    13,     2,
       0,     1,     3,     3,     6,     7,     5,     7,     9,     1,
       0,     2,     0,     2,     3,     5,     6,     2,     3,     3,
       4,     0,     1,     1,     1,     1,     1,     2,     4,     1,
       1,     1,     1,     1,     1,     2,     3,     3,     0,     1,
       1,     1,     1,     1,     2,     2,     2,     2,     2,     1,
       3,     0,     1,     1,     1,     1,     5,     2,     1,     1,
       1,     1,     4,     1,     2,     2,     1,     3,     3,     2,
       1,     0,     5,     2,     5,     2,     1,     3,     3,     0,
       1,     1,     1,     1,     1,     1,     3,     3,     3,     3,
       3,     3,     3,     0,     1,     4,     1,     1,     3,     3,
       5,     3,     2,     2,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     2,     3,     3,
       2,     2,     3,     5,     4,     6,     3,     5,     4,     6,
       4,     6,     5,     7,     3,     2,     4,     2,     3,     3,
       4,     3,     4,     3,     4,     5,     6,     6,     7,     6,
       7,     3,     4,     4,     6,     3,     3,     4,     3,     4,
       4,     5,     4,     5,     1,     1,     3,     2,     2,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     2,     5,     6,     3,     4,     1,     1,     2,
       4,     1,     1,     1,     2,     2,     2,     2,     1,     1,
       4,     3,     5,     6,     8,     6,     6,     4,     4,     3,
       1,     1,     1,     1,     5,     1,     1,     4,     1,     4,
       1,     4,     1,     4,     1,     1,     1,     1,     1,     1,
       1,     6,     4,     4,     6,     4,     4,     4,     4,     4,
       6,     5,     5,     5,     4,     6,     4,     4,     4,     4,
       5,     7,     7,     9,     5,     4,     6,     5,     7,     7,
       8,     4,     7,     4,     6,     6,     4,     5,     4,     5,
       3,    11,     8,     9,     2,     3,     3,     3,     4,     0,
       4,     1,     3,     3,     1,     1,     1,     1,     2,     0,
       2,     2,     0,     2,     3,     3,     4,     2,     2,     5,
       0,     5,     0,     2,     0,     1,     3,     3,     2,     2,
       0,     6,     1,     0,     3,     0,     3,     3,     3,     0,
       1,     4,     2,     2,     2,     2,     2,     3,     2,     2,
       3,     0,     4,     3,     5,     4,     3,     5,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     4,     1,     4,     1,
       4,     1,     2,     1,     2,     1,     3,     1,     3,     1,
       3,     3,     1,     0,     1,     3,     3,     3,     2,     1,
       3,     3,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     7,     5,     3,     5,     5,     3,
       3,     5,     3,     2,     1,     1,     3,     5,     1,     2,
       4,     2,     0,     1,     0,     1,     2,     2,     2,     3,
       5,     1,     0,     1,     2,     0,     2,     1,     0,     2,
       0,     1,     3,     3,     2,     3,     2,     3,     4,     4,
       3,     3,     0,     2,     1,     1,     1,     1,     1,     1,
       2,     2,     1,     3,     3,     6,     0,     3,     0,     2,
       4,     2,     1,     0,     5,     2,     5,     2,     0,     3,
       0,     1,     2,     2,     2,     2,     3,     2,     3,     2,
       0,     1,     3,     3,     3,     3,     3,     0,     3,     3,
       0,     1,     3,     7,     7,     3,     0,     1,     0,     1,
       3,     3,     2,     1,     1,     1,     3,     1,     2,     1,
       3,     1,     1,     1,     1,     2,     1,     1,     1,     1,
       1,     2,     6,     2,     3,     5,     1,     1,     1,     1,
       1,     1,     1,     1,     2,     2,     1,     1,     1,     1,
       1,     1,     3,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     0,     2,     4,     3,     2,     1,     1,     1,
       1,     1,     0,     8,     0,    11,     2,     5,     3,     2,
       2,     3,     7,     1,     1,     1,     0,     2,     2,     1,
       0,     1,     3,     1,     2,     0,     2,     0,     2,     0,
       1,     3,     4,     3,     1,     1,     1,     1,     2,     0,
       2,     4,     0,     2,     2,     2,     1,     1,     3,     7,
       3,     1,     1,     1,     1,     2,     0,     1,     3,     3,
       3,     3,     0,     4,     5,     5,     0,     1,     1,     1,
       2,     2,     1,     2,     0,     7,     0,     5,     0,     4,
       2,     2,     0,     2,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     5,     5,     5,     1,     1,
       1,     1,     1,     1,     2,     2,     1,     3,     2,     2,
       3,     0,     5,     1,     0,     5,     2,     2,     1,     1,
       1,     2,     2,     3,     1,     2,     2,     3,     3,     4,
       2,     1,     2,     1,     1,     2,     2,     3,     1,     1,
       1,     1,     0,     1,     3,     5,     0,     2,     0,     1,
       2,     3,     2,     1,     1,     1,     0,     1,     1,     1,
       1,     1,     2,     2,     3,     0,     1,     2,     1,     4,
       3,     4,     3,     2,     1,     3,     1,     1,     1,     1,
       2,     2,     1,     2,     2,     1,     1,     1,     4,     4,
       4,     4,     4,     1,     0,     3,     3,     4,     1,     3,
       3,     4,     1,     3,     3,     1,     1,     1,     6,     1,
       3,     3,     6,     1,     3,     3,     1,     1,     2,     2,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     4,     4,     1,     1,
       4,     4,     3,     0,     7,     1,     0,     0,     7,     3,
       4,     3,     1,     1,     1,     2,     3,     5,     2,     2,
       5,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     3,     1,     0,
       1,     2,     1,     2,     1,     1,     1,     2,     2,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       2,     3,     1,     2,     1,     3,     1,     3,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     2,
       3,     2,     3,     1,     3,     3,     3,     3,     3,     3,
       1,     1,     4,     0,     2,     2,     1,     2,     1,     0,
       1,     1,     1,     0,     1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static unsigned
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  unsigned res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  YYUSE (yylocationp);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Location data for the lookahead symbol.  */
YYLTYPE yylloc
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
/* Number of syntax errors so far.  */
int yynerrs;


/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);

        yyls = yyls1;
        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 3:
#line 1743 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 38896 "preproc.c" /* yacc.c:1646  */
    break;

  case 4:
#line 1747 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "{ ECPGtrans(__LINE__, %s, \"%s\");", connection ? connection : "NULL", (yyvsp[0].str));
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 38906 "preproc.c" /* yacc.c:1646  */
    break;

  case 5:
#line 1757 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 38912 "preproc.c" /* yacc.c:1646  */
    break;

  case 6:
#line 1759 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 38918 "preproc.c" /* yacc.c:1646  */
    break;

  case 7:
#line 1761 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 38924 "preproc.c" /* yacc.c:1646  */
    break;

  case 8:
#line 1763 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 38930 "preproc.c" /* yacc.c:1646  */
    break;

  case 9:
#line 1765 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 38936 "preproc.c" /* yacc.c:1646  */
    break;

  case 10:
#line 1767 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 38942 "preproc.c" /* yacc.c:1646  */
    break;

  case 11:
#line 1769 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 38948 "preproc.c" /* yacc.c:1646  */
    break;

  case 12:
#line 1771 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 38954 "preproc.c" /* yacc.c:1646  */
    break;

  case 13:
#line 1773 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 38960 "preproc.c" /* yacc.c:1646  */
    break;

  case 14:
#line 1775 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 38966 "preproc.c" /* yacc.c:1646  */
    break;

  case 15:
#line 1777 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 38972 "preproc.c" /* yacc.c:1646  */
    break;

  case 16:
#line 1779 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 38978 "preproc.c" /* yacc.c:1646  */
    break;

  case 17:
#line 1781 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 38984 "preproc.c" /* yacc.c:1646  */
    break;

  case 18:
#line 1783 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 38990 "preproc.c" /* yacc.c:1646  */
    break;

  case 19:
#line 1785 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 38996 "preproc.c" /* yacc.c:1646  */
    break;

  case 20:
#line 1787 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39002 "preproc.c" /* yacc.c:1646  */
    break;

  case 21:
#line 1789 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39008 "preproc.c" /* yacc.c:1646  */
    break;

  case 22:
#line 1791 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39014 "preproc.c" /* yacc.c:1646  */
    break;

  case 23:
#line 1793 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39020 "preproc.c" /* yacc.c:1646  */
    break;

  case 24:
#line 1795 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39026 "preproc.c" /* yacc.c:1646  */
    break;

  case 25:
#line 1797 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39032 "preproc.c" /* yacc.c:1646  */
    break;

  case 26:
#line 1799 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39038 "preproc.c" /* yacc.c:1646  */
    break;

  case 27:
#line 1801 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39044 "preproc.c" /* yacc.c:1646  */
    break;

  case 28:
#line 1803 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39050 "preproc.c" /* yacc.c:1646  */
    break;

  case 29:
#line 1805 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39056 "preproc.c" /* yacc.c:1646  */
    break;

  case 30:
#line 1807 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39062 "preproc.c" /* yacc.c:1646  */
    break;

  case 31:
#line 1809 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39068 "preproc.c" /* yacc.c:1646  */
    break;

  case 32:
#line 1811 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39074 "preproc.c" /* yacc.c:1646  */
    break;

  case 33:
#line 1813 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39080 "preproc.c" /* yacc.c:1646  */
    break;

  case 34:
#line 1815 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39086 "preproc.c" /* yacc.c:1646  */
    break;

  case 35:
#line 1817 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39092 "preproc.c" /* yacc.c:1646  */
    break;

  case 36:
#line 1819 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39098 "preproc.c" /* yacc.c:1646  */
    break;

  case 37:
#line 1821 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39104 "preproc.c" /* yacc.c:1646  */
    break;

  case 38:
#line 1823 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39110 "preproc.c" /* yacc.c:1646  */
    break;

  case 39:
#line 1825 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39116 "preproc.c" /* yacc.c:1646  */
    break;

  case 40:
#line 1827 "preproc.y" /* yacc.c:1646  */
    {
		if (INFORMIX_MODE)
		{
			if (pg_strcasecmp((yyvsp[0].str)+strlen("close "), "database") == 0)
			{
				if (connection)
					mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CLOSE DATABASE statement");

				fprintf(base_yyout, "{ ECPGdisconnect(__LINE__, \"CURRENT\");");
				whenever_action(2);
				free((yyvsp[0].str));
				break;
			}
		}

		output_statement((yyvsp[0].str), 0, ECPGst_normal);
	}
#line 39138 "preproc.c" /* yacc.c:1646  */
    break;

  case 41:
#line 1845 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39144 "preproc.c" /* yacc.c:1646  */
    break;

  case 42:
#line 1847 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39150 "preproc.c" /* yacc.c:1646  */
    break;

  case 43:
#line 1849 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39156 "preproc.c" /* yacc.c:1646  */
    break;

  case 44:
#line 1851 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39162 "preproc.c" /* yacc.c:1646  */
    break;

  case 45:
#line 1853 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39168 "preproc.c" /* yacc.c:1646  */
    break;

  case 46:
#line 1855 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39174 "preproc.c" /* yacc.c:1646  */
    break;

  case 47:
#line 1857 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39180 "preproc.c" /* yacc.c:1646  */
    break;

  case 48:
#line 1859 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39186 "preproc.c" /* yacc.c:1646  */
    break;

  case 49:
#line 1861 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39192 "preproc.c" /* yacc.c:1646  */
    break;

  case 50:
#line 1863 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39198 "preproc.c" /* yacc.c:1646  */
    break;

  case 51:
#line 1865 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39204 "preproc.c" /* yacc.c:1646  */
    break;

  case 52:
#line 1867 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39210 "preproc.c" /* yacc.c:1646  */
    break;

  case 53:
#line 1869 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39216 "preproc.c" /* yacc.c:1646  */
    break;

  case 54:
#line 1871 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39222 "preproc.c" /* yacc.c:1646  */
    break;

  case 55:
#line 1873 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39228 "preproc.c" /* yacc.c:1646  */
    break;

  case 56:
#line 1875 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39234 "preproc.c" /* yacc.c:1646  */
    break;

  case 57:
#line 1877 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39240 "preproc.c" /* yacc.c:1646  */
    break;

  case 58:
#line 1879 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39246 "preproc.c" /* yacc.c:1646  */
    break;

  case 59:
#line 1881 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39252 "preproc.c" /* yacc.c:1646  */
    break;

  case 60:
#line 1883 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39258 "preproc.c" /* yacc.c:1646  */
    break;

  case 61:
#line 1885 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39264 "preproc.c" /* yacc.c:1646  */
    break;

  case 62:
#line 1887 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39270 "preproc.c" /* yacc.c:1646  */
    break;

  case 63:
#line 1889 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39276 "preproc.c" /* yacc.c:1646  */
    break;

  case 64:
#line 1891 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39282 "preproc.c" /* yacc.c:1646  */
    break;

  case 65:
#line 1893 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39288 "preproc.c" /* yacc.c:1646  */
    break;

  case 66:
#line 1895 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39294 "preproc.c" /* yacc.c:1646  */
    break;

  case 67:
#line 1897 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39300 "preproc.c" /* yacc.c:1646  */
    break;

  case 68:
#line 1899 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39306 "preproc.c" /* yacc.c:1646  */
    break;

  case 69:
#line 1901 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39312 "preproc.c" /* yacc.c:1646  */
    break;

  case 70:
#line 1903 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39318 "preproc.c" /* yacc.c:1646  */
    break;

  case 71:
#line 1905 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39324 "preproc.c" /* yacc.c:1646  */
    break;

  case 72:
#line 1907 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39330 "preproc.c" /* yacc.c:1646  */
    break;

  case 73:
#line 1909 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39336 "preproc.c" /* yacc.c:1646  */
    break;

  case 74:
#line 1911 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39342 "preproc.c" /* yacc.c:1646  */
    break;

  case 75:
#line 1913 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39348 "preproc.c" /* yacc.c:1646  */
    break;

  case 76:
#line 1915 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39354 "preproc.c" /* yacc.c:1646  */
    break;

  case 77:
#line 1917 "preproc.y" /* yacc.c:1646  */
    {
		output_deallocate_prepare_statement((yyvsp[0].str));
	}
#line 39362 "preproc.c" /* yacc.c:1646  */
    break;

  case 78:
#line 1921 "preproc.y" /* yacc.c:1646  */
    { output_simple_statement((yyvsp[0].str), (strncmp((yyvsp[0].str), "ECPGset_var", strlen("ECPGset_var")) == 0) ? 4 : 0); }
#line 39368 "preproc.c" /* yacc.c:1646  */
    break;

  case 79:
#line 1923 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39374 "preproc.c" /* yacc.c:1646  */
    break;

  case 80:
#line 1925 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 39380 "preproc.c" /* yacc.c:1646  */
    break;

  case 81:
#line 1927 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_normal); }
#line 39386 "preproc.c" /* yacc.c:1646  */
    break;

  case 82:
#line 1929 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39392 "preproc.c" /* yacc.c:1646  */
    break;

  case 83:
#line 1931 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39398 "preproc.c" /* yacc.c:1646  */
    break;

  case 84:
#line 1933 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39404 "preproc.c" /* yacc.c:1646  */
    break;

  case 85:
#line 1935 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39410 "preproc.c" /* yacc.c:1646  */
    break;

  case 86:
#line 1937 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39416 "preproc.c" /* yacc.c:1646  */
    break;

  case 87:
#line 1939 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39422 "preproc.c" /* yacc.c:1646  */
    break;

  case 88:
#line 1941 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39428 "preproc.c" /* yacc.c:1646  */
    break;

  case 89:
#line 1943 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39434 "preproc.c" /* yacc.c:1646  */
    break;

  case 90:
#line 1945 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39440 "preproc.c" /* yacc.c:1646  */
    break;

  case 91:
#line 1947 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39446 "preproc.c" /* yacc.c:1646  */
    break;

  case 92:
#line 1949 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39452 "preproc.c" /* yacc.c:1646  */
    break;

  case 93:
#line 1951 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39458 "preproc.c" /* yacc.c:1646  */
    break;

  case 94:
#line 1953 "preproc.y" /* yacc.c:1646  */
    {
		check_declared_list((yyvsp[0].exec).name);
		if ((yyvsp[0].exec).type == NULL || strlen((yyvsp[0].exec).type) == 0)
			output_statement((yyvsp[0].exec).name, 1, ECPGst_execute);
		else
		{
			if ((yyvsp[0].exec).name[0] != '"')
				/* case of char_variable */
				add_variable_to_tail(&argsinsert, find_variable((yyvsp[0].exec).name), &no_indicator);
			else
			{
				/* case of ecpg_ident or CSTRING */
				char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
				char *str = mm_strdup((yyvsp[0].exec).name + 1);

				/* It must be cut off double quotation because new_variable() double-quotes. */
				str[strlen(str) - 1] = '\0';
				sprintf(length, "%zu", strlen(str));
				add_variable_to_tail(&argsinsert, new_variable(str, ECPGmake_simple_type(ECPGt_const, length, 0), 0), &no_indicator);
			}
			output_statement(cat_str(3, mm_strdup("execute"), mm_strdup("$0"), (yyvsp[0].exec).type), 0, ECPGst_exec_with_exprlist);
		}
	}
#line 39486 "preproc.c" /* yacc.c:1646  */
    break;

  case 95:
#line 1977 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39492 "preproc.c" /* yacc.c:1646  */
    break;

  case 96:
#line 1979 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_normal); }
#line 39498 "preproc.c" /* yacc.c:1646  */
    break;

  case 97:
#line 1981 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39504 "preproc.c" /* yacc.c:1646  */
    break;

  case 98:
#line 1983 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39510 "preproc.c" /* yacc.c:1646  */
    break;

  case 99:
#line 1985 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39516 "preproc.c" /* yacc.c:1646  */
    break;

  case 100:
#line 1987 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39522 "preproc.c" /* yacc.c:1646  */
    break;

  case 101:
#line 1989 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 39528 "preproc.c" /* yacc.c:1646  */
    break;

  case 102:
#line 1991 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39534 "preproc.c" /* yacc.c:1646  */
    break;

  case 103:
#line 1993 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39540 "preproc.c" /* yacc.c:1646  */
    break;

  case 104:
#line 1995 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39546 "preproc.c" /* yacc.c:1646  */
    break;

  case 105:
#line 1997 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39552 "preproc.c" /* yacc.c:1646  */
    break;

  case 106:
#line 1999 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39558 "preproc.c" /* yacc.c:1646  */
    break;

  case 107:
#line 2001 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39564 "preproc.c" /* yacc.c:1646  */
    break;

  case 108:
#line 2003 "preproc.y" /* yacc.c:1646  */
    {
		check_declared_list((yyvsp[0].prep).name);
		if ((yyvsp[0].prep).type == NULL)
			output_prepare_statement((yyvsp[0].prep).name, (yyvsp[0].prep).stmt);
		else if (strlen((yyvsp[0].prep).type) == 0)
		{
			char *stmt = cat_str(3, mm_strdup("\""), (yyvsp[0].prep).stmt, mm_strdup("\""));
			output_prepare_statement((yyvsp[0].prep).name, stmt);
		}
		else
		{
			if ((yyvsp[0].prep).name[0] != '"')
				/* case of char_variable */
				add_variable_to_tail(&argsinsert, find_variable((yyvsp[0].prep).name), &no_indicator);
			else
			{
				char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
				char *str = mm_strdup((yyvsp[0].prep).name + 1);

				/* It must be cut off double quotation because new_variable() double-quotes. */
				str[strlen(str) - 1] = '\0';
				sprintf(length, "%zu", strlen(str));
				add_variable_to_tail(&argsinsert, new_variable(str, ECPGmake_simple_type(ECPGt_const, length, 0), 0), &no_indicator);
			}
			output_statement(cat_str(5, mm_strdup("prepare"), mm_strdup("$0"), (yyvsp[0].prep).type, mm_strdup("as"), (yyvsp[0].prep).stmt), 0, ECPGst_prepare);
		}
	}
#line 39596 "preproc.c" /* yacc.c:1646  */
    break;

  case 109:
#line 2031 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39602 "preproc.c" /* yacc.c:1646  */
    break;

  case 110:
#line 2033 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39608 "preproc.c" /* yacc.c:1646  */
    break;

  case 111:
#line 2035 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39614 "preproc.c" /* yacc.c:1646  */
    break;

  case 112:
#line 2037 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39620 "preproc.c" /* yacc.c:1646  */
    break;

  case 113:
#line 2039 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39626 "preproc.c" /* yacc.c:1646  */
    break;

  case 114:
#line 2041 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39632 "preproc.c" /* yacc.c:1646  */
    break;

  case 115:
#line 2043 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39638 "preproc.c" /* yacc.c:1646  */
    break;

  case 116:
#line 2045 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39644 "preproc.c" /* yacc.c:1646  */
    break;

  case 117:
#line 2047 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39650 "preproc.c" /* yacc.c:1646  */
    break;

  case 118:
#line 2049 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39656 "preproc.c" /* yacc.c:1646  */
    break;

  case 119:
#line 2051 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 39662 "preproc.c" /* yacc.c:1646  */
    break;

  case 120:
#line 2053 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "{ ECPGtrans(__LINE__, %s, \"%s\");", connection ? connection : "NULL", (yyvsp[0].str));
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 39672 "preproc.c" /* yacc.c:1646  */
    break;

  case 121:
#line 2059 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39678 "preproc.c" /* yacc.c:1646  */
    break;

  case 122:
#line 2061 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39684 "preproc.c" /* yacc.c:1646  */
    break;

  case 123:
#line 2063 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 1, ECPGst_prepnormal); }
#line 39690 "preproc.c" /* yacc.c:1646  */
    break;

  case 124:
#line 2065 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39696 "preproc.c" /* yacc.c:1646  */
    break;

  case 125:
#line 2067 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39702 "preproc.c" /* yacc.c:1646  */
    break;

  case 126:
#line 2069 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39708 "preproc.c" /* yacc.c:1646  */
    break;

  case 127:
#line 2071 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39714 "preproc.c" /* yacc.c:1646  */
    break;

  case 128:
#line 2073 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_normal); }
#line 39720 "preproc.c" /* yacc.c:1646  */
    break;

  case 129:
#line 2075 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout,"ECPGallocate_desc(__LINE__, %s);",(yyvsp[0].str));
		whenever_action(0);
		free((yyvsp[0].str));
	}
#line 39730 "preproc.c" /* yacc.c:1646  */
    break;

  case 130:
#line 2081 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CONNECT statement");

		fprintf(base_yyout, "{ ECPGconnect(__LINE__, %d, %s, %d); ", compat, (yyvsp[0].str), autocommit);
		reset_variables();
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 39744 "preproc.c" /* yacc.c:1646  */
    break;

  case 131:
#line 2091 "preproc.y" /* yacc.c:1646  */
    {
		output_simple_statement((yyvsp[0].str), 0);
	}
#line 39752 "preproc.c" /* yacc.c:1646  */
    break;

  case 132:
#line 2095 "preproc.y" /* yacc.c:1646  */
    {
		 output_simple_statement((yyvsp[0].str), (strncmp((yyvsp[0].str), "ECPGset_var", strlen("ECPGset_var")) == 0) ? 4 : 0);
	}
#line 39760 "preproc.c" /* yacc.c:1646  */
    break;

  case 133:
#line 2099 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout,"ECPGdeallocate_desc(__LINE__, %s);",(yyvsp[0].str));
		whenever_action(0);
		free((yyvsp[0].str));
	}
#line 39770 "preproc.c" /* yacc.c:1646  */
    break;

  case 134:
#line 2105 "preproc.y" /* yacc.c:1646  */
    {
		output_simple_statement((yyvsp[0].str), 0);
	}
#line 39778 "preproc.c" /* yacc.c:1646  */
    break;

  case 135:
#line 2109 "preproc.y" /* yacc.c:1646  */
    {
		check_declared_list((yyvsp[0].describe).stmt_name);

		fprintf(base_yyout, "{ ECPGdescribe(__LINE__, %d, %d, %s, %s,", compat, (yyvsp[0].describe).input, connection ? connection : "NULL", (yyvsp[0].describe).stmt_name);
		dump_variables(argsresult, 1);
		fputs("ECPGt_EORT);", base_yyout);
		fprintf(base_yyout, "}");
		output_line_number();

		free((yyvsp[0].describe).stmt_name);
	}
#line 39794 "preproc.c" /* yacc.c:1646  */
    break;

  case 136:
#line 2121 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in DISCONNECT statement");

		fprintf(base_yyout, "{ ECPGdisconnect(__LINE__, %s);",
				(yyvsp[0].str) ? (yyvsp[0].str) : "\"CURRENT\"");
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 39808 "preproc.c" /* yacc.c:1646  */
    break;

  case 137:
#line 2130 "preproc.y" /* yacc.c:1646  */
    { output_statement((yyvsp[0].str), 0, ECPGst_exec_immediate); }
#line 39814 "preproc.c" /* yacc.c:1646  */
    break;

  case 138:
#line 2132 "preproc.y" /* yacc.c:1646  */
    {
		const char *con = connection ? connection : "NULL";

		if (strcmp((yyvsp[0].str), "all") == 0)
			fprintf(base_yyout, "{ ECPGdeallocate_all(__LINE__, %d, %s);", compat, con);
		else if ((yyvsp[0].str)[0] == ':')
			fprintf(base_yyout, "{ ECPGdeallocate(__LINE__, %d, %s, %s);", compat, con, (yyvsp[0].str)+1);
		else
			fprintf(base_yyout, "{ ECPGdeallocate(__LINE__, %d, %s, \"%s\");", compat, con, (yyvsp[0].str));

		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 39832 "preproc.c" /* yacc.c:1646  */
    break;

  case 139:
#line 2146 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].descriptor).name, connection);
		output_get_descr((yyvsp[0].descriptor).name, (yyvsp[0].descriptor).str);
		free((yyvsp[0].descriptor).name);
		free((yyvsp[0].descriptor).str);
	}
#line 39843 "preproc.c" /* yacc.c:1646  */
    break;

  case 140:
#line 2153 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].str), connection);
		output_get_descr_header((yyvsp[0].str));
		free((yyvsp[0].str));
	}
#line 39853 "preproc.c" /* yacc.c:1646  */
    break;

  case 141:
#line 2159 "preproc.y" /* yacc.c:1646  */
    {
		struct cursor *ptr;

		if ((ptr = add_additional_variables((yyvsp[0].str), true)) != NULL)
		{
			connection = ptr->connection ? mm_strdup(ptr->connection) : NULL;
			output_statement(mm_strdup(ptr->command), 0, ECPGst_normal);
			ptr->opened = true;
		}
	}
#line 39868 "preproc.c" /* yacc.c:1646  */
    break;

  case 142:
#line 2170 "preproc.y" /* yacc.c:1646  */
    {
		fprintf(base_yyout, "{ ECPGsetcommit(__LINE__, \"%s\", %s);", (yyvsp[0].str), connection ? connection : "NULL");
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 39878 "preproc.c" /* yacc.c:1646  */
    break;

  case 143:
#line 2176 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in SET CONNECTION statement");

		fprintf(base_yyout, "{ ECPGsetconn(__LINE__, %s);", (yyvsp[0].str));
		whenever_action(2);
		free((yyvsp[0].str));
	}
#line 39891 "preproc.c" /* yacc.c:1646  */
    break;

  case 144:
#line 2185 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].descriptor).name, connection);
		output_set_descr((yyvsp[0].descriptor).name, (yyvsp[0].descriptor).str);
		free((yyvsp[0].descriptor).name);
		free((yyvsp[0].descriptor).str);
	}
#line 39902 "preproc.c" /* yacc.c:1646  */
    break;

  case 145:
#line 2192 "preproc.y" /* yacc.c:1646  */
    {
		lookup_descriptor((yyvsp[0].str), connection);
		output_set_descr_header((yyvsp[0].str));
		free((yyvsp[0].str));
	}
#line 39912 "preproc.c" /* yacc.c:1646  */
    break;

  case 146:
#line 2198 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in TYPE statement");

		fprintf(base_yyout, "%s", (yyvsp[0].str));
		free((yyvsp[0].str));
		output_line_number();
	}
#line 39925 "preproc.c" /* yacc.c:1646  */
    break;

  case 147:
#line 2207 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in VAR statement");

		output_simple_statement((yyvsp[0].str), 0);
	}
#line 39936 "preproc.c" /* yacc.c:1646  */
    break;

  case 148:
#line 2214 "preproc.y" /* yacc.c:1646  */
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in WHENEVER statement");

		output_simple_statement((yyvsp[0].str), 0);
	}
#line 39947 "preproc.c" /* yacc.c:1646  */
    break;

  case 149:
#line 2221 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 39953 "preproc.c" /* yacc.c:1646  */
    break;

  case 150:
#line 2227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39961 "preproc.c" /* yacc.c:1646  */
    break;

  case 151:
#line 2231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39968 "preproc.c" /* yacc.c:1646  */
    break;

  case 152:
#line 2238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 39976 "preproc.c" /* yacc.c:1646  */
    break;

  case 153:
#line 2242 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39983 "preproc.c" /* yacc.c:1646  */
    break;

  case 154:
#line 2249 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("concurrently");
}
#line 39991 "preproc.c" /* yacc.c:1646  */
    break;

  case 155:
#line 2253 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 39998 "preproc.c" /* yacc.c:1646  */
    break;

  case 156:
#line 2260 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 40006 "preproc.c" /* yacc.c:1646  */
    break;

  case 157:
#line 2264 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 40014 "preproc.c" /* yacc.c:1646  */
    break;

  case 158:
#line 2268 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40021 "preproc.c" /* yacc.c:1646  */
    break;

  case 159:
#line 2275 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("call"),(yyvsp[0].str));
}
#line 40029 "preproc.c" /* yacc.c:1646  */
    break;

  case 160:
#line 2283 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40037 "preproc.c" /* yacc.c:1646  */
    break;

  case 161:
#line 2291 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 40045 "preproc.c" /* yacc.c:1646  */
    break;

  case 162:
#line 2295 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 40053 "preproc.c" /* yacc.c:1646  */
    break;

  case 163:
#line 2299 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40060 "preproc.c" /* yacc.c:1646  */
    break;

  case 164:
#line 2306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40068 "preproc.c" /* yacc.c:1646  */
    break;

  case 165:
#line 2310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40075 "preproc.c" /* yacc.c:1646  */
    break;

  case 166:
#line 2317 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40083 "preproc.c" /* yacc.c:1646  */
    break;

  case 167:
#line 2321 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40090 "preproc.c" /* yacc.c:1646  */
    break;

  case 168:
#line 2328 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("password"),(yyvsp[0].str));
}
#line 40098 "preproc.c" /* yacc.c:1646  */
    break;

  case 169:
#line 2332 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("password null");
}
#line 40106 "preproc.c" /* yacc.c:1646  */
    break;

  case 170:
#line 2336 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("encrypted password"),(yyvsp[0].str));
}
#line 40114 "preproc.c" /* yacc.c:1646  */
    break;

  case 171:
#line 2340 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("unencrypted password"),(yyvsp[0].str));
}
#line 40123 "preproc.c" /* yacc.c:1646  */
    break;

  case 172:
#line 2345 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherit");
}
#line 40131 "preproc.c" /* yacc.c:1646  */
    break;

  case 173:
#line 2349 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("connection limit"),(yyvsp[0].str));
}
#line 40139 "preproc.c" /* yacc.c:1646  */
    break;

  case 174:
#line 2353 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("valid until"),(yyvsp[0].str));
}
#line 40147 "preproc.c" /* yacc.c:1646  */
    break;

  case 175:
#line 2357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("user"),(yyvsp[0].str));
}
#line 40155 "preproc.c" /* yacc.c:1646  */
    break;

  case 176:
#line 2361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40163 "preproc.c" /* yacc.c:1646  */
    break;

  case 177:
#line 2369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40171 "preproc.c" /* yacc.c:1646  */
    break;

  case 178:
#line 2373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sysid"),(yyvsp[0].str));
}
#line 40179 "preproc.c" /* yacc.c:1646  */
    break;

  case 179:
#line 2377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("admin"),(yyvsp[0].str));
}
#line 40187 "preproc.c" /* yacc.c:1646  */
    break;

  case 180:
#line 2381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[0].str));
}
#line 40195 "preproc.c" /* yacc.c:1646  */
    break;

  case 181:
#line 2385 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in role"),(yyvsp[0].str));
}
#line 40203 "preproc.c" /* yacc.c:1646  */
    break;

  case 182:
#line 2389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in group"),(yyvsp[0].str));
}
#line 40211 "preproc.c" /* yacc.c:1646  */
    break;

  case 183:
#line 2397 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40219 "preproc.c" /* yacc.c:1646  */
    break;

  case 184:
#line 2405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40227 "preproc.c" /* yacc.c:1646  */
    break;

  case 185:
#line 2409 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40235 "preproc.c" /* yacc.c:1646  */
    break;

  case 186:
#line 2417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40242 "preproc.c" /* yacc.c:1646  */
    break;

  case 187:
#line 2420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in database"),(yyvsp[0].str));
}
#line 40250 "preproc.c" /* yacc.c:1646  */
    break;

  case 188:
#line 2428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40258 "preproc.c" /* yacc.c:1646  */
    break;

  case 189:
#line 2432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter role all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40266 "preproc.c" /* yacc.c:1646  */
    break;

  case 190:
#line 2436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40274 "preproc.c" /* yacc.c:1646  */
    break;

  case 191:
#line 2440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter user all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40282 "preproc.c" /* yacc.c:1646  */
    break;

  case 192:
#line 2448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role"),(yyvsp[0].str));
}
#line 40290 "preproc.c" /* yacc.c:1646  */
    break;

  case 193:
#line 2452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role if exists"),(yyvsp[0].str));
}
#line 40298 "preproc.c" /* yacc.c:1646  */
    break;

  case 194:
#line 2456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user"),(yyvsp[0].str));
}
#line 40306 "preproc.c" /* yacc.c:1646  */
    break;

  case 195:
#line 2460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user if exists"),(yyvsp[0].str));
}
#line 40314 "preproc.c" /* yacc.c:1646  */
    break;

  case 196:
#line 2464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group"),(yyvsp[0].str));
}
#line 40322 "preproc.c" /* yacc.c:1646  */
    break;

  case 197:
#line 2468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group if exists"),(yyvsp[0].str));
}
#line 40330 "preproc.c" /* yacc.c:1646  */
    break;

  case 198:
#line 2476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create group"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40338 "preproc.c" /* yacc.c:1646  */
    break;

  case 199:
#line 2484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter group"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("user"),(yyvsp[0].str));
}
#line 40346 "preproc.c" /* yacc.c:1646  */
    break;

  case 200:
#line 2492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("add");
}
#line 40354 "preproc.c" /* yacc.c:1646  */
    break;

  case 201:
#line 2496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop");
}
#line 40362 "preproc.c" /* yacc.c:1646  */
    break;

  case 202:
#line 2504 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create schema"),(yyvsp[-3].str),mm_strdup("authorization"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40370 "preproc.c" /* yacc.c:1646  */
    break;

  case 203:
#line 2508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create schema"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40378 "preproc.c" /* yacc.c:1646  */
    break;

  case 204:
#line 2512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create schema if not exists"),(yyvsp[-3].str),mm_strdup("authorization"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40386 "preproc.c" /* yacc.c:1646  */
    break;

  case 205:
#line 2516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create schema if not exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40394 "preproc.c" /* yacc.c:1646  */
    break;

  case 206:
#line 2524 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40402 "preproc.c" /* yacc.c:1646  */
    break;

  case 207:
#line 2528 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40409 "preproc.c" /* yacc.c:1646  */
    break;

  case 208:
#line 2535 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40417 "preproc.c" /* yacc.c:1646  */
    break;

  case 209:
#line 2539 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40425 "preproc.c" /* yacc.c:1646  */
    break;

  case 210:
#line 2543 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40433 "preproc.c" /* yacc.c:1646  */
    break;

  case 211:
#line 2547 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40441 "preproc.c" /* yacc.c:1646  */
    break;

  case 212:
#line 2551 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40449 "preproc.c" /* yacc.c:1646  */
    break;

  case 213:
#line 2555 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40457 "preproc.c" /* yacc.c:1646  */
    break;

  case 214:
#line 2563 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 40465 "preproc.c" /* yacc.c:1646  */
    break;

  case 215:
#line 2567 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set local"),(yyvsp[0].str));
}
#line 40473 "preproc.c" /* yacc.c:1646  */
    break;

  case 216:
#line 2571 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set session"),(yyvsp[0].str));
}
#line 40481 "preproc.c" /* yacc.c:1646  */
    break;

  case 217:
#line 2579 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction"),(yyvsp[0].str));
}
#line 40489 "preproc.c" /* yacc.c:1646  */
    break;

  case 218:
#line 2583 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("session characteristics as transaction"),(yyvsp[0].str));
}
#line 40497 "preproc.c" /* yacc.c:1646  */
    break;

  case 219:
#line 2587 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40505 "preproc.c" /* yacc.c:1646  */
    break;

  case 220:
#line 2595 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 40513 "preproc.c" /* yacc.c:1646  */
    break;

  case 221:
#line 2599 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 40521 "preproc.c" /* yacc.c:1646  */
    break;

  case 222:
#line 2603 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("to default"));
}
#line 40529 "preproc.c" /* yacc.c:1646  */
    break;

  case 223:
#line 2607 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("= default"));
}
#line 40537 "preproc.c" /* yacc.c:1646  */
    break;

  case 224:
#line 2615 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40545 "preproc.c" /* yacc.c:1646  */
    break;

  case 225:
#line 2619 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("from current"));
}
#line 40553 "preproc.c" /* yacc.c:1646  */
    break;

  case 226:
#line 2623 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("time zone"),(yyvsp[0].str));
}
#line 40561 "preproc.c" /* yacc.c:1646  */
    break;

  case 227:
#line 2627 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("catalog"),(yyvsp[0].str));
}
#line 40570 "preproc.c" /* yacc.c:1646  */
    break;

  case 228:
#line 2632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 40578 "preproc.c" /* yacc.c:1646  */
    break;

  case 229:
#line 2636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("names"),(yyvsp[0].str));
}
#line 40586 "preproc.c" /* yacc.c:1646  */
    break;

  case 230:
#line 2640 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[0].str));
}
#line 40594 "preproc.c" /* yacc.c:1646  */
    break;

  case 231:
#line 2644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("session authorization"),(yyvsp[0].str));
}
#line 40602 "preproc.c" /* yacc.c:1646  */
    break;

  case 232:
#line 2648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session authorization default");
}
#line 40610 "preproc.c" /* yacc.c:1646  */
    break;

  case 233:
#line 2652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("xml option"),(yyvsp[0].str));
}
#line 40618 "preproc.c" /* yacc.c:1646  */
    break;

  case 234:
#line 2656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction snapshot"),(yyvsp[0].str));
}
#line 40626 "preproc.c" /* yacc.c:1646  */
    break;

  case 235:
#line 2664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40634 "preproc.c" /* yacc.c:1646  */
    break;

  case 236:
#line 2668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 40642 "preproc.c" /* yacc.c:1646  */
    break;

  case 237:
#line 2676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40650 "preproc.c" /* yacc.c:1646  */
    break;

  case 238:
#line 2680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 40658 "preproc.c" /* yacc.c:1646  */
    break;

  case 239:
#line 2688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40666 "preproc.c" /* yacc.c:1646  */
    break;

  case 240:
#line 2692 "preproc.y" /* yacc.c:1646  */
    { 
		if ((yyvsp[0].str)[0] == '$')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[0].str);
}
#line 40680 "preproc.c" /* yacc.c:1646  */
    break;

  case 241:
#line 2706 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read uncommitted");
}
#line 40688 "preproc.c" /* yacc.c:1646  */
    break;

  case 242:
#line 2710 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read committed");
}
#line 40696 "preproc.c" /* yacc.c:1646  */
    break;

  case 243:
#line 2714 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("repeatable read");
}
#line 40704 "preproc.c" /* yacc.c:1646  */
    break;

  case 244:
#line 2718 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("serializable");
}
#line 40712 "preproc.c" /* yacc.c:1646  */
    break;

  case 245:
#line 2726 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 40720 "preproc.c" /* yacc.c:1646  */
    break;

  case 246:
#line 2730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 40728 "preproc.c" /* yacc.c:1646  */
    break;

  case 247:
#line 2734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on");
}
#line 40736 "preproc.c" /* yacc.c:1646  */
    break;

  case 248:
#line 2738 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40744 "preproc.c" /* yacc.c:1646  */
    break;

  case 249:
#line 2746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40752 "preproc.c" /* yacc.c:1646  */
    break;

  case 250:
#line 2750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40760 "preproc.c" /* yacc.c:1646  */
    break;

  case 251:
#line 2754 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40768 "preproc.c" /* yacc.c:1646  */
    break;

  case 252:
#line 2758 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 40776 "preproc.c" /* yacc.c:1646  */
    break;

  case 253:
#line 2762 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40784 "preproc.c" /* yacc.c:1646  */
    break;

  case 254:
#line 2766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 40792 "preproc.c" /* yacc.c:1646  */
    break;

  case 255:
#line 2770 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local");
}
#line 40800 "preproc.c" /* yacc.c:1646  */
    break;

  case 256:
#line 2778 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40808 "preproc.c" /* yacc.c:1646  */
    break;

  case 257:
#line 2782 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 40816 "preproc.c" /* yacc.c:1646  */
    break;

  case 258:
#line 2786 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 40823 "preproc.c" /* yacc.c:1646  */
    break;

  case 259:
#line 2793 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40831 "preproc.c" /* yacc.c:1646  */
    break;

  case 260:
#line 2797 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40839 "preproc.c" /* yacc.c:1646  */
    break;

  case 261:
#line 2805 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[0].str));
}
#line 40847 "preproc.c" /* yacc.c:1646  */
    break;

  case 262:
#line 2813 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40855 "preproc.c" /* yacc.c:1646  */
    break;

  case 263:
#line 2817 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("time zone");
}
#line 40863 "preproc.c" /* yacc.c:1646  */
    break;

  case 264:
#line 2821 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction isolation level");
}
#line 40871 "preproc.c" /* yacc.c:1646  */
    break;

  case 265:
#line 2825 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session authorization");
}
#line 40879 "preproc.c" /* yacc.c:1646  */
    break;

  case 266:
#line 2833 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40887 "preproc.c" /* yacc.c:1646  */
    break;

  case 267:
#line 2837 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 40895 "preproc.c" /* yacc.c:1646  */
    break;

  case 268:
#line 2845 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 40903 "preproc.c" /* yacc.c:1646  */
    break;

  case 269:
#line 2849 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40911 "preproc.c" /* yacc.c:1646  */
    break;

  case 270:
#line 2857 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 40919 "preproc.c" /* yacc.c:1646  */
    break;

  case 271:
#line 2861 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40927 "preproc.c" /* yacc.c:1646  */
    break;

  case 272:
#line 2869 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("show"),(yyvsp[-1].str));
}
#line 40935 "preproc.c" /* yacc.c:1646  */
    break;

  case 273:
#line 2873 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show time zone");
}
#line 40943 "preproc.c" /* yacc.c:1646  */
    break;

  case 274:
#line 2877 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show transaction isolation level");
}
#line 40951 "preproc.c" /* yacc.c:1646  */
    break;

  case 275:
#line 2881 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show session authorization");
}
#line 40959 "preproc.c" /* yacc.c:1646  */
    break;

  case 276:
#line 2885 "preproc.y" /* yacc.c:1646  */
    {
		mmerror(PARSE_ERROR, ET_ERROR, "SHOW ALL is not implemented");
		(yyval.str) = EMPTY;
	}
#line 40968 "preproc.c" /* yacc.c:1646  */
    break;

  case 277:
#line 2894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("set constraints"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 40976 "preproc.c" /* yacc.c:1646  */
    break;

  case 278:
#line 2902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 40984 "preproc.c" /* yacc.c:1646  */
    break;

  case 279:
#line 2906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 40992 "preproc.c" /* yacc.c:1646  */
    break;

  case 280:
#line 2914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferred");
}
#line 41000 "preproc.c" /* yacc.c:1646  */
    break;

  case 281:
#line 2918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immediate");
}
#line 41008 "preproc.c" /* yacc.c:1646  */
    break;

  case 282:
#line 2926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
#line 41016 "preproc.c" /* yacc.c:1646  */
    break;

  case 283:
#line 2934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard all");
}
#line 41024 "preproc.c" /* yacc.c:1646  */
    break;

  case 284:
#line 2938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard temp");
}
#line 41032 "preproc.c" /* yacc.c:1646  */
    break;

  case 285:
#line 2942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard temporary");
}
#line 41040 "preproc.c" /* yacc.c:1646  */
    break;

  case 286:
#line 2946 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard plans");
}
#line 41048 "preproc.c" /* yacc.c:1646  */
    break;

  case 287:
#line 2950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard sequences");
}
#line 41056 "preproc.c" /* yacc.c:1646  */
    break;

  case 288:
#line 2958 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41064 "preproc.c" /* yacc.c:1646  */
    break;

  case 289:
#line 2962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41072 "preproc.c" /* yacc.c:1646  */
    break;

  case 290:
#line 2966 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41080 "preproc.c" /* yacc.c:1646  */
    break;

  case 291:
#line 2970 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41088 "preproc.c" /* yacc.c:1646  */
    break;

  case 292:
#line 2974 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter table all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41096 "preproc.c" /* yacc.c:1646  */
    break;

  case 293:
#line 2978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41104 "preproc.c" /* yacc.c:1646  */
    break;

  case 294:
#line 2982 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41112 "preproc.c" /* yacc.c:1646  */
    break;

  case 295:
#line 2986 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41120 "preproc.c" /* yacc.c:1646  */
    break;

  case 296:
#line 2990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41128 "preproc.c" /* yacc.c:1646  */
    break;

  case 297:
#line 2994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter index all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41136 "preproc.c" /* yacc.c:1646  */
    break;

  case 298:
#line 2998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter index all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41144 "preproc.c" /* yacc.c:1646  */
    break;

  case 299:
#line 3002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41152 "preproc.c" /* yacc.c:1646  */
    break;

  case 300:
#line 3006 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41160 "preproc.c" /* yacc.c:1646  */
    break;

  case 301:
#line 3010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41168 "preproc.c" /* yacc.c:1646  */
    break;

  case 302:
#line 3014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41176 "preproc.c" /* yacc.c:1646  */
    break;

  case 303:
#line 3018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41184 "preproc.c" /* yacc.c:1646  */
    break;

  case 304:
#line 3022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41192 "preproc.c" /* yacc.c:1646  */
    break;

  case 305:
#line 3026 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter materialized view all in tablespace"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41200 "preproc.c" /* yacc.c:1646  */
    break;

  case 306:
#line 3030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view all in tablespace"),(yyvsp[-7].str),mm_strdup("owned by"),(yyvsp[-4].str),mm_strdup("set tablespace"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41208 "preproc.c" /* yacc.c:1646  */
    break;

  case 307:
#line 3034 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41216 "preproc.c" /* yacc.c:1646  */
    break;

  case 308:
#line 3038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41224 "preproc.c" /* yacc.c:1646  */
    break;

  case 309:
#line 3046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41232 "preproc.c" /* yacc.c:1646  */
    break;

  case 310:
#line 3050 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41240 "preproc.c" /* yacc.c:1646  */
    break;

  case 311:
#line 3058 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41248 "preproc.c" /* yacc.c:1646  */
    break;

  case 312:
#line 3062 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41256 "preproc.c" /* yacc.c:1646  */
    break;

  case 313:
#line 3070 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("partition"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41264 "preproc.c" /* yacc.c:1646  */
    break;

  case 314:
#line 3078 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("attach partition"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41272 "preproc.c" /* yacc.c:1646  */
    break;

  case 315:
#line 3082 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("detach partition"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41280 "preproc.c" /* yacc.c:1646  */
    break;

  case 316:
#line 3086 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("detach partition"),(yyvsp[-1].str),mm_strdup("finalize"));
}
#line 41288 "preproc.c" /* yacc.c:1646  */
    break;

  case 317:
#line 3090 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("split partition"),(yyvsp[-4].str),mm_strdup("into ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41296 "preproc.c" /* yacc.c:1646  */
    break;

  case 318:
#line 3094 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("merge partitions ("),(yyvsp[-3].str),mm_strdup(") into"),(yyvsp[0].str));
}
#line 41304 "preproc.c" /* yacc.c:1646  */
    break;

  case 319:
#line 3102 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("attach partition"),(yyvsp[0].str));
}
#line 41312 "preproc.c" /* yacc.c:1646  */
    break;

  case 320:
#line 3110 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 41320 "preproc.c" /* yacc.c:1646  */
    break;

  case 321:
#line 3114 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add if not exists"),(yyvsp[0].str));
}
#line 41328 "preproc.c" /* yacc.c:1646  */
    break;

  case 322:
#line 3118 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add column"),(yyvsp[0].str));
}
#line 41336 "preproc.c" /* yacc.c:1646  */
    break;

  case 323:
#line 3122 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add column if not exists"),(yyvsp[0].str));
}
#line 41344 "preproc.c" /* yacc.c:1646  */
    break;

  case 324:
#line 3126 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41352 "preproc.c" /* yacc.c:1646  */
    break;

  case 325:
#line 3130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("drop not null"));
}
#line 41360 "preproc.c" /* yacc.c:1646  */
    break;

  case 326:
#line 3134 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set not null"));
}
#line 41368 "preproc.c" /* yacc.c:1646  */
    break;

  case 327:
#line 3138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("set expression as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41376 "preproc.c" /* yacc.c:1646  */
    break;

  case 328:
#line 3142 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("drop expression"));
}
#line 41384 "preproc.c" /* yacc.c:1646  */
    break;

  case 329:
#line 3146 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("drop expression if exists"));
}
#line 41392 "preproc.c" /* yacc.c:1646  */
    break;

  case 330:
#line 3150 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set statistics"),(yyvsp[0].str));
}
#line 41400 "preproc.c" /* yacc.c:1646  */
    break;

  case 331:
#line 3154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("set statistics"),(yyvsp[0].str));
}
#line 41408 "preproc.c" /* yacc.c:1646  */
    break;

  case 332:
#line 3158 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 41416 "preproc.c" /* yacc.c:1646  */
    break;

  case 333:
#line 3162 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("reset"),(yyvsp[0].str));
}
#line 41424 "preproc.c" /* yacc.c:1646  */
    break;

  case 334:
#line 3166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 41432 "preproc.c" /* yacc.c:1646  */
    break;

  case 335:
#line 3170 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 41440 "preproc.c" /* yacc.c:1646  */
    break;

  case 336:
#line 3174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("add generated"),(yyvsp[-3].str),mm_strdup("as identity"),(yyvsp[0].str));
}
#line 41448 "preproc.c" /* yacc.c:1646  */
    break;

  case 337:
#line 3178 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41456 "preproc.c" /* yacc.c:1646  */
    break;

  case 338:
#line 3182 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("drop identity"));
}
#line 41464 "preproc.c" /* yacc.c:1646  */
    break;

  case 339:
#line 3186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("drop identity if exists"));
}
#line 41472 "preproc.c" /* yacc.c:1646  */
    break;

  case 340:
#line 3190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41480 "preproc.c" /* yacc.c:1646  */
    break;

  case 341:
#line 3194 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41488 "preproc.c" /* yacc.c:1646  */
    break;

  case 342:
#line 3198 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter"),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("type"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41496 "preproc.c" /* yacc.c:1646  */
    break;

  case 343:
#line 3202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41504 "preproc.c" /* yacc.c:1646  */
    break;

  case 344:
#line 3206 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 41512 "preproc.c" /* yacc.c:1646  */
    break;

  case 345:
#line 3210 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41520 "preproc.c" /* yacc.c:1646  */
    break;

  case 346:
#line 3214 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validate constraint"),(yyvsp[0].str));
}
#line 41528 "preproc.c" /* yacc.c:1646  */
    break;

  case 347:
#line 3218 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41536 "preproc.c" /* yacc.c:1646  */
    break;

  case 348:
#line 3222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41544 "preproc.c" /* yacc.c:1646  */
    break;

  case 349:
#line 3226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set without oids");
}
#line 41552 "preproc.c" /* yacc.c:1646  */
    break;

  case 350:
#line 3230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster on"),(yyvsp[0].str));
}
#line 41560 "preproc.c" /* yacc.c:1646  */
    break;

  case 351:
#line 3234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set without cluster");
}
#line 41568 "preproc.c" /* yacc.c:1646  */
    break;

  case 352:
#line 3238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set logged");
}
#line 41576 "preproc.c" /* yacc.c:1646  */
    break;

  case 353:
#line 3242 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set unlogged");
}
#line 41584 "preproc.c" /* yacc.c:1646  */
    break;

  case 354:
#line 3246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable trigger"),(yyvsp[0].str));
}
#line 41592 "preproc.c" /* yacc.c:1646  */
    break;

  case 355:
#line 3250 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always trigger"),(yyvsp[0].str));
}
#line 41600 "preproc.c" /* yacc.c:1646  */
    break;

  case 356:
#line 3254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica trigger"),(yyvsp[0].str));
}
#line 41608 "preproc.c" /* yacc.c:1646  */
    break;

  case 357:
#line 3258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable trigger all");
}
#line 41616 "preproc.c" /* yacc.c:1646  */
    break;

  case 358:
#line 3262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable trigger user");
}
#line 41624 "preproc.c" /* yacc.c:1646  */
    break;

  case 359:
#line 3266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable trigger"),(yyvsp[0].str));
}
#line 41632 "preproc.c" /* yacc.c:1646  */
    break;

  case 360:
#line 3270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable trigger all");
}
#line 41640 "preproc.c" /* yacc.c:1646  */
    break;

  case 361:
#line 3274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable trigger user");
}
#line 41648 "preproc.c" /* yacc.c:1646  */
    break;

  case 362:
#line 3278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable rule"),(yyvsp[0].str));
}
#line 41656 "preproc.c" /* yacc.c:1646  */
    break;

  case 363:
#line 3282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always rule"),(yyvsp[0].str));
}
#line 41664 "preproc.c" /* yacc.c:1646  */
    break;

  case 364:
#line 3286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica rule"),(yyvsp[0].str));
}
#line 41672 "preproc.c" /* yacc.c:1646  */
    break;

  case 365:
#line 3290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable rule"),(yyvsp[0].str));
}
#line 41680 "preproc.c" /* yacc.c:1646  */
    break;

  case 366:
#line 3294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("inherit"),(yyvsp[0].str));
}
#line 41688 "preproc.c" /* yacc.c:1646  */
    break;

  case 367:
#line 3298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("no inherit"),(yyvsp[0].str));
}
#line 41696 "preproc.c" /* yacc.c:1646  */
    break;

  case 368:
#line 3302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[0].str));
}
#line 41704 "preproc.c" /* yacc.c:1646  */
    break;

  case 369:
#line 3306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not of");
}
#line 41712 "preproc.c" /* yacc.c:1646  */
    break;

  case 370:
#line 3310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner to"),(yyvsp[0].str));
}
#line 41720 "preproc.c" /* yacc.c:1646  */
    break;

  case 371:
#line 3314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set access method"),(yyvsp[0].str));
}
#line 41728 "preproc.c" /* yacc.c:1646  */
    break;

  case 372:
#line 3318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set tablespace"),(yyvsp[0].str));
}
#line 41736 "preproc.c" /* yacc.c:1646  */
    break;

  case 373:
#line 3322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 41744 "preproc.c" /* yacc.c:1646  */
    break;

  case 374:
#line 3326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[0].str));
}
#line 41752 "preproc.c" /* yacc.c:1646  */
    break;

  case 375:
#line 3330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("replica identity"),(yyvsp[0].str));
}
#line 41760 "preproc.c" /* yacc.c:1646  */
    break;

  case 376:
#line 3334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable row level security");
}
#line 41768 "preproc.c" /* yacc.c:1646  */
    break;

  case 377:
#line 3338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable row level security");
}
#line 41776 "preproc.c" /* yacc.c:1646  */
    break;

  case 378:
#line 3342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force row level security");
}
#line 41784 "preproc.c" /* yacc.c:1646  */
    break;

  case 379:
#line 3346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no force row level security");
}
#line 41792 "preproc.c" /* yacc.c:1646  */
    break;

  case 380:
#line 3350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41800 "preproc.c" /* yacc.c:1646  */
    break;

  case 381:
#line 3358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set default"),(yyvsp[0].str));
}
#line 41808 "preproc.c" /* yacc.c:1646  */
    break;

  case 382:
#line 3362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop default");
}
#line 41816 "preproc.c" /* yacc.c:1646  */
    break;

  case 383:
#line 3370 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 41824 "preproc.c" /* yacc.c:1646  */
    break;

  case 384:
#line 3374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41831 "preproc.c" /* yacc.c:1646  */
    break;

  case 385:
#line 3381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 41839 "preproc.c" /* yacc.c:1646  */
    break;

  case 386:
#line 3385 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41846 "preproc.c" /* yacc.c:1646  */
    break;

  case 387:
#line 3392 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 41854 "preproc.c" /* yacc.c:1646  */
    break;

  case 388:
#line 3396 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 41862 "preproc.c" /* yacc.c:1646  */
    break;

  case 389:
#line 3400 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 41870 "preproc.c" /* yacc.c:1646  */
    break;

  case 390:
#line 3404 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[0].str));
}
#line 41878 "preproc.c" /* yacc.c:1646  */
    break;

  case 391:
#line 3412 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 41886 "preproc.c" /* yacc.c:1646  */
    break;

  case 392:
#line 3420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 41894 "preproc.c" /* yacc.c:1646  */
    break;

  case 393:
#line 3424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 41901 "preproc.c" /* yacc.c:1646  */
    break;

  case 394:
#line 3431 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41909 "preproc.c" /* yacc.c:1646  */
    break;

  case 395:
#line 3435 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 41917 "preproc.c" /* yacc.c:1646  */
    break;

  case 396:
#line 3443 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 41925 "preproc.c" /* yacc.c:1646  */
    break;

  case 397:
#line 3447 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41933 "preproc.c" /* yacc.c:1646  */
    break;

  case 398:
#line 3451 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("."),(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 41941 "preproc.c" /* yacc.c:1646  */
    break;

  case 399:
#line 3455 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 41949 "preproc.c" /* yacc.c:1646  */
    break;

  case 400:
#line 3463 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 41957 "preproc.c" /* yacc.c:1646  */
    break;

  case 401:
#line 3467 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41965 "preproc.c" /* yacc.c:1646  */
    break;

  case 402:
#line 3475 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 41973 "preproc.c" /* yacc.c:1646  */
    break;

  case 403:
#line 3479 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("restart"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 41981 "preproc.c" /* yacc.c:1646  */
    break;

  case 404:
#line 3483 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 41989 "preproc.c" /* yacc.c:1646  */
    break;

  case 405:
#line 3487 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set generated"),(yyvsp[0].str));
}
#line 41997 "preproc.c" /* yacc.c:1646  */
    break;

  case 406:
#line 3495 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42005 "preproc.c" /* yacc.c:1646  */
    break;

  case 407:
#line 3499 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 42013 "preproc.c" /* yacc.c:1646  */
    break;

  case 408:
#line 3507 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42021 "preproc.c" /* yacc.c:1646  */
    break;

  case 409:
#line 3511 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 42029 "preproc.c" /* yacc.c:1646  */
    break;

  case 410:
#line 3519 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("for values with ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42037 "preproc.c" /* yacc.c:1646  */
    break;

  case 411:
#line 3523 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("for values in ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42045 "preproc.c" /* yacc.c:1646  */
    break;

  case 412:
#line 3527 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("for values from ("),(yyvsp[-5].str),mm_strdup(") to ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42053 "preproc.c" /* yacc.c:1646  */
    break;

  case 413:
#line 3531 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 42061 "preproc.c" /* yacc.c:1646  */
    break;

  case 414:
#line 3539 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42069 "preproc.c" /* yacc.c:1646  */
    break;

  case 415:
#line 3547 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42077 "preproc.c" /* yacc.c:1646  */
    break;

  case 416:
#line 3551 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42085 "preproc.c" /* yacc.c:1646  */
    break;

  case 417:
#line 3559 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42093 "preproc.c" /* yacc.c:1646  */
    break;

  case 418:
#line 3567 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42101 "preproc.c" /* yacc.c:1646  */
    break;

  case 419:
#line 3571 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42109 "preproc.c" /* yacc.c:1646  */
    break;

  case 420:
#line 3579 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("add attribute"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42117 "preproc.c" /* yacc.c:1646  */
    break;

  case 421:
#line 3583 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42125 "preproc.c" /* yacc.c:1646  */
    break;

  case 422:
#line 3587 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42133 "preproc.c" /* yacc.c:1646  */
    break;

  case 423:
#line 3591 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter attribute"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("type"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42141 "preproc.c" /* yacc.c:1646  */
    break;

  case 424:
#line 3599 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		struct cursor *ptr = NULL;
		for (ptr = cur; ptr != NULL; ptr = ptr -> next)
		{
			if (strcmp((yyvsp[0].str), ptr -> name) == 0)
			{
				if (ptr -> connection)
					connection = mm_strdup(ptr -> connection);

				break;
			}
		}
		(yyval.str) = cat2_str(mm_strdup("close"), cursor_marker);
	}
#line 42161 "preproc.c" /* yacc.c:1646  */
    break;

  case 425:
#line 3615 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("close all");
}
#line 42169 "preproc.c" /* yacc.c:1646  */
    break;

  case 426:
#line 3623 "preproc.y" /* yacc.c:1646  */
    { 
			if (strcmp((yyvsp[-5].str), "from") == 0 &&
			   (strcmp((yyvsp[-4].str), "stdin") == 0 || strcmp((yyvsp[-4].str), "stdout") == 0))
				mmerror(PARSE_ERROR, ET_WARNING, "COPY FROM STDIN is not implemented");

 (yyval.str) = cat_str(11,mm_strdup("copy"),(yyvsp[-9].str),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42181 "preproc.c" /* yacc.c:1646  */
    break;

  case 427:
#line 3631 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("copy ("),(yyvsp[-6].str),mm_strdup(") to"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42189 "preproc.c" /* yacc.c:1646  */
    break;

  case 428:
#line 3639 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 42197 "preproc.c" /* yacc.c:1646  */
    break;

  case 429:
#line 3643 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("to");
}
#line 42205 "preproc.c" /* yacc.c:1646  */
    break;

  case 430:
#line 3651 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("program");
}
#line 42213 "preproc.c" /* yacc.c:1646  */
    break;

  case 431:
#line 3655 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42220 "preproc.c" /* yacc.c:1646  */
    break;

  case 432:
#line 3662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42228 "preproc.c" /* yacc.c:1646  */
    break;

  case 433:
#line 3666 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdin");
}
#line 42236 "preproc.c" /* yacc.c:1646  */
    break;

  case 434:
#line 3670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdout");
}
#line 42244 "preproc.c" /* yacc.c:1646  */
    break;

  case 435:
#line 3678 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42252 "preproc.c" /* yacc.c:1646  */
    break;

  case 436:
#line 3682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42260 "preproc.c" /* yacc.c:1646  */
    break;

  case 437:
#line 3690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42268 "preproc.c" /* yacc.c:1646  */
    break;

  case 438:
#line 3694 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42275 "preproc.c" /* yacc.c:1646  */
    break;

  case 439:
#line 3701 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 42283 "preproc.c" /* yacc.c:1646  */
    break;

  case 440:
#line 3705 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 42291 "preproc.c" /* yacc.c:1646  */
    break;

  case 441:
#line 3709 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("delimiter"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42299 "preproc.c" /* yacc.c:1646  */
    break;

  case 442:
#line 3713 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("null"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42307 "preproc.c" /* yacc.c:1646  */
    break;

  case 443:
#line 3717 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("csv");
}
#line 42315 "preproc.c" /* yacc.c:1646  */
    break;

  case 444:
#line 3721 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("header");
}
#line 42323 "preproc.c" /* yacc.c:1646  */
    break;

  case 445:
#line 3725 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("quote"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42331 "preproc.c" /* yacc.c:1646  */
    break;

  case 446:
#line 3729 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("escape"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42339 "preproc.c" /* yacc.c:1646  */
    break;

  case 447:
#line 3733 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force quote"),(yyvsp[0].str));
}
#line 42347 "preproc.c" /* yacc.c:1646  */
    break;

  case 448:
#line 3737 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force quote *");
}
#line 42355 "preproc.c" /* yacc.c:1646  */
    break;

  case 449:
#line 3741 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force not null"),(yyvsp[0].str));
}
#line 42363 "preproc.c" /* yacc.c:1646  */
    break;

  case 450:
#line 3745 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force not null *");
}
#line 42371 "preproc.c" /* yacc.c:1646  */
    break;

  case 451:
#line 3749 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("force null"),(yyvsp[0].str));
}
#line 42379 "preproc.c" /* yacc.c:1646  */
    break;

  case 452:
#line 3753 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force null *");
}
#line 42387 "preproc.c" /* yacc.c:1646  */
    break;

  case 453:
#line 3757 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("encoding"),(yyvsp[0].str));
}
#line 42395 "preproc.c" /* yacc.c:1646  */
    break;

  case 454:
#line 3765 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 42403 "preproc.c" /* yacc.c:1646  */
    break;

  case 455:
#line 3769 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42410 "preproc.c" /* yacc.c:1646  */
    break;

  case 456:
#line 3776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("delimiters"),(yyvsp[0].str));
}
#line 42418 "preproc.c" /* yacc.c:1646  */
    break;

  case 457:
#line 3780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42425 "preproc.c" /* yacc.c:1646  */
    break;

  case 458:
#line 3787 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("using");
}
#line 42433 "preproc.c" /* yacc.c:1646  */
    break;

  case 459:
#line 3791 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42440 "preproc.c" /* yacc.c:1646  */
    break;

  case 460:
#line 3798 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42448 "preproc.c" /* yacc.c:1646  */
    break;

  case 461:
#line 3802 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42456 "preproc.c" /* yacc.c:1646  */
    break;

  case 462:
#line 3810 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42464 "preproc.c" /* yacc.c:1646  */
    break;

  case 463:
#line 3818 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42472 "preproc.c" /* yacc.c:1646  */
    break;

  case 464:
#line 3822 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42480 "preproc.c" /* yacc.c:1646  */
    break;

  case 465:
#line 3826 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 42488 "preproc.c" /* yacc.c:1646  */
    break;

  case 466:
#line 3830 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 42496 "preproc.c" /* yacc.c:1646  */
    break;

  case 467:
#line 3834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42504 "preproc.c" /* yacc.c:1646  */
    break;

  case 468:
#line 3838 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42511 "preproc.c" /* yacc.c:1646  */
    break;

  case 469:
#line 3845 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42519 "preproc.c" /* yacc.c:1646  */
    break;

  case 470:
#line 3849 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42527 "preproc.c" /* yacc.c:1646  */
    break;

  case 471:
#line 3857 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42535 "preproc.c" /* yacc.c:1646  */
    break;

  case 472:
#line 3865 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(13,mm_strdup("create"),(yyvsp[-11].str),mm_strdup("table"),(yyvsp[-9].str),mm_strdup("("),(yyvsp[-7].str),mm_strdup(")"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42543 "preproc.c" /* yacc.c:1646  */
    break;

  case 473:
#line 3869 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(13,mm_strdup("create"),(yyvsp[-14].str),mm_strdup("table if not exists"),(yyvsp[-9].str),mm_strdup("("),(yyvsp[-7].str),mm_strdup(")"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42551 "preproc.c" /* yacc.c:1646  */
    break;

  case 474:
#line 3873 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("table"),(yyvsp[-8].str),mm_strdup("of"),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42559 "preproc.c" /* yacc.c:1646  */
    break;

  case 475:
#line 3877 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-13].str),mm_strdup("table if not exists"),(yyvsp[-8].str),mm_strdup("of"),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42567 "preproc.c" /* yacc.c:1646  */
    break;

  case 476:
#line 3881 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(13,mm_strdup("create"),(yyvsp[-12].str),mm_strdup("table"),(yyvsp[-10].str),mm_strdup("partition of"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42575 "preproc.c" /* yacc.c:1646  */
    break;

  case 477:
#line 3885 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(13,mm_strdup("create"),(yyvsp[-15].str),mm_strdup("table if not exists"),(yyvsp[-10].str),mm_strdup("partition of"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42583 "preproc.c" /* yacc.c:1646  */
    break;

  case 478:
#line 3893 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temporary");
}
#line 42591 "preproc.c" /* yacc.c:1646  */
    break;

  case 479:
#line 3897 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temp");
}
#line 42599 "preproc.c" /* yacc.c:1646  */
    break;

  case 480:
#line 3901 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local temporary");
}
#line 42607 "preproc.c" /* yacc.c:1646  */
    break;

  case 481:
#line 3905 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local temp");
}
#line 42615 "preproc.c" /* yacc.c:1646  */
    break;

  case 482:
#line 3909 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global temporary");
}
#line 42623 "preproc.c" /* yacc.c:1646  */
    break;

  case 483:
#line 3913 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global temp");
}
#line 42631 "preproc.c" /* yacc.c:1646  */
    break;

  case 484:
#line 3917 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 42639 "preproc.c" /* yacc.c:1646  */
    break;

  case 485:
#line 3921 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42646 "preproc.c" /* yacc.c:1646  */
    break;

  case 486:
#line 3928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42654 "preproc.c" /* yacc.c:1646  */
    break;

  case 487:
#line 3932 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42661 "preproc.c" /* yacc.c:1646  */
    break;

  case 488:
#line 3939 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 42669 "preproc.c" /* yacc.c:1646  */
    break;

  case 489:
#line 3943 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42676 "preproc.c" /* yacc.c:1646  */
    break;

  case 490:
#line 3950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42684 "preproc.c" /* yacc.c:1646  */
    break;

  case 491:
#line 3954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42692 "preproc.c" /* yacc.c:1646  */
    break;

  case 492:
#line 3962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42700 "preproc.c" /* yacc.c:1646  */
    break;

  case 493:
#line 3966 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 42708 "preproc.c" /* yacc.c:1646  */
    break;

  case 494:
#line 3974 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42716 "preproc.c" /* yacc.c:1646  */
    break;

  case 495:
#line 3978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42724 "preproc.c" /* yacc.c:1646  */
    break;

  case 496:
#line 3982 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42732 "preproc.c" /* yacc.c:1646  */
    break;

  case 497:
#line 3990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42740 "preproc.c" /* yacc.c:1646  */
    break;

  case 498:
#line 3994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42748 "preproc.c" /* yacc.c:1646  */
    break;

  case 499:
#line 4002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42756 "preproc.c" /* yacc.c:1646  */
    break;

  case 500:
#line 4010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42764 "preproc.c" /* yacc.c:1646  */
    break;

  case 501:
#line 4014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("with options"),(yyvsp[0].str));
}
#line 42772 "preproc.c" /* yacc.c:1646  */
    break;

  case 502:
#line 4022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("compression"),(yyvsp[0].str));
}
#line 42780 "preproc.c" /* yacc.c:1646  */
    break;

  case 503:
#line 4026 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("compression default");
}
#line 42788 "preproc.c" /* yacc.c:1646  */
    break;

  case 504:
#line 4034 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42796 "preproc.c" /* yacc.c:1646  */
    break;

  case 505:
#line 4038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42803 "preproc.c" /* yacc.c:1646  */
    break;

  case 506:
#line 4045 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("storage"),(yyvsp[0].str));
}
#line 42811 "preproc.c" /* yacc.c:1646  */
    break;

  case 507:
#line 4049 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("storage default");
}
#line 42819 "preproc.c" /* yacc.c:1646  */
    break;

  case 508:
#line 4057 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42827 "preproc.c" /* yacc.c:1646  */
    break;

  case 509:
#line 4061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42834 "preproc.c" /* yacc.c:1646  */
    break;

  case 510:
#line 4068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42842 "preproc.c" /* yacc.c:1646  */
    break;

  case 511:
#line 4072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42849 "preproc.c" /* yacc.c:1646  */
    break;

  case 512:
#line 4079 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42857 "preproc.c" /* yacc.c:1646  */
    break;

  case 513:
#line 4083 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42865 "preproc.c" /* yacc.c:1646  */
    break;

  case 514:
#line 4087 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 42873 "preproc.c" /* yacc.c:1646  */
    break;

  case 515:
#line 4091 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 42881 "preproc.c" /* yacc.c:1646  */
    break;

  case 516:
#line 4099 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not null");
}
#line 42889 "preproc.c" /* yacc.c:1646  */
    break;

  case 517:
#line 4103 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 42897 "preproc.c" /* yacc.c:1646  */
    break;

  case 518:
#line 4107 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("unique"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42905 "preproc.c" /* yacc.c:1646  */
    break;

  case 519:
#line 4111 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42913 "preproc.c" /* yacc.c:1646  */
    break;

  case 520:
#line 4115 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 42921 "preproc.c" /* yacc.c:1646  */
    break;

  case 521:
#line 4119 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[0].str));
}
#line 42929 "preproc.c" /* yacc.c:1646  */
    break;

  case 522:
#line 4123 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("generated"),(yyvsp[-3].str),mm_strdup("as identity"),(yyvsp[0].str));
}
#line 42937 "preproc.c" /* yacc.c:1646  */
    break;

  case 523:
#line 4127 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("generated"),(yyvsp[-5].str),mm_strdup("as ("),(yyvsp[-2].str),mm_strdup(") stored"));
}
#line 42945 "preproc.c" /* yacc.c:1646  */
    break;

  case 524:
#line 4131 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("references"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 42953 "preproc.c" /* yacc.c:1646  */
    break;

  case 525:
#line 4139 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls distinct");
}
#line 42961 "preproc.c" /* yacc.c:1646  */
    break;

  case 526:
#line 4143 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls not distinct");
}
#line 42969 "preproc.c" /* yacc.c:1646  */
    break;

  case 527:
#line 4147 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 42976 "preproc.c" /* yacc.c:1646  */
    break;

  case 528:
#line 4154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("always");
}
#line 42984 "preproc.c" /* yacc.c:1646  */
    break;

  case 529:
#line 4158 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by default");
}
#line 42992 "preproc.c" /* yacc.c:1646  */
    break;

  case 530:
#line 4166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 43000 "preproc.c" /* yacc.c:1646  */
    break;

  case 531:
#line 4170 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 43008 "preproc.c" /* yacc.c:1646  */
    break;

  case 532:
#line 4174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
#line 43016 "preproc.c" /* yacc.c:1646  */
    break;

  case 533:
#line 4178 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
#line 43024 "preproc.c" /* yacc.c:1646  */
    break;

  case 534:
#line 4186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("like"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43032 "preproc.c" /* yacc.c:1646  */
    break;

  case 535:
#line 4194 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("including"),(yyvsp[0].str));
}
#line 43040 "preproc.c" /* yacc.c:1646  */
    break;

  case 536:
#line 4198 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("excluding"),(yyvsp[0].str));
}
#line 43048 "preproc.c" /* yacc.c:1646  */
    break;

  case 537:
#line 4202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43055 "preproc.c" /* yacc.c:1646  */
    break;

  case 538:
#line 4209 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comments");
}
#line 43063 "preproc.c" /* yacc.c:1646  */
    break;

  case 539:
#line 4213 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("compression");
}
#line 43071 "preproc.c" /* yacc.c:1646  */
    break;

  case 540:
#line 4217 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraints");
}
#line 43079 "preproc.c" /* yacc.c:1646  */
    break;

  case 541:
#line 4221 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("defaults");
}
#line 43087 "preproc.c" /* yacc.c:1646  */
    break;

  case 542:
#line 4225 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("identity");
}
#line 43095 "preproc.c" /* yacc.c:1646  */
    break;

  case 543:
#line 4229 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("generated");
}
#line 43103 "preproc.c" /* yacc.c:1646  */
    break;

  case 544:
#line 4233 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("indexes");
}
#line 43111 "preproc.c" /* yacc.c:1646  */
    break;

  case 545:
#line 4237 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statistics");
}
#line 43119 "preproc.c" /* yacc.c:1646  */
    break;

  case 546:
#line 4241 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("storage");
}
#line 43127 "preproc.c" /* yacc.c:1646  */
    break;

  case 547:
#line 4245 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 43135 "preproc.c" /* yacc.c:1646  */
    break;

  case 548:
#line 4253 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43143 "preproc.c" /* yacc.c:1646  */
    break;

  case 549:
#line 4257 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43151 "preproc.c" /* yacc.c:1646  */
    break;

  case 550:
#line 4265 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 43159 "preproc.c" /* yacc.c:1646  */
    break;

  case 551:
#line 4269 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("unique"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43167 "preproc.c" /* yacc.c:1646  */
    break;

  case 552:
#line 4273 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43175 "preproc.c" /* yacc.c:1646  */
    break;

  case 553:
#line 4277 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("primary key ("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43183 "preproc.c" /* yacc.c:1646  */
    break;

  case 554:
#line 4281 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43191 "preproc.c" /* yacc.c:1646  */
    break;

  case 555:
#line 4285 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("exclude"),(yyvsp[-8].str),mm_strdup("("),(yyvsp[-6].str),mm_strdup(")"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43199 "preproc.c" /* yacc.c:1646  */
    break;

  case 556:
#line 4289 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("foreign key ("),(yyvsp[-7].str),mm_strdup(") references"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43207 "preproc.c" /* yacc.c:1646  */
    break;

  case 557:
#line 4297 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43215 "preproc.c" /* yacc.c:1646  */
    break;

  case 558:
#line 4301 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43223 "preproc.c" /* yacc.c:1646  */
    break;

  case 559:
#line 4309 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 43231 "preproc.c" /* yacc.c:1646  */
    break;

  case 560:
#line 4313 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("not null"),(yyvsp[0].str));
}
#line 43239 "preproc.c" /* yacc.c:1646  */
    break;

  case 561:
#line 4321 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no inherit");
}
#line 43247 "preproc.c" /* yacc.c:1646  */
    break;

  case 562:
#line 4325 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43254 "preproc.c" /* yacc.c:1646  */
    break;

  case 563:
#line 4332 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43262 "preproc.c" /* yacc.c:1646  */
    break;

  case 564:
#line 4336 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43269 "preproc.c" /* yacc.c:1646  */
    break;

  case 565:
#line 4343 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43277 "preproc.c" /* yacc.c:1646  */
    break;

  case 566:
#line 4347 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43285 "preproc.c" /* yacc.c:1646  */
    break;

  case 567:
#line 4355 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43293 "preproc.c" /* yacc.c:1646  */
    break;

  case 568:
#line 4363 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("include ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43301 "preproc.c" /* yacc.c:1646  */
    break;

  case 569:
#line 4367 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43308 "preproc.c" /* yacc.c:1646  */
    break;

  case 570:
#line 4374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match full");
}
#line 43316 "preproc.c" /* yacc.c:1646  */
    break;

  case 571:
#line 4378 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("match partial");
}
#line 43325 "preproc.c" /* yacc.c:1646  */
    break;

  case 572:
#line 4383 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match simple");
}
#line 43333 "preproc.c" /* yacc.c:1646  */
    break;

  case 573:
#line 4387 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43340 "preproc.c" /* yacc.c:1646  */
    break;

  case 574:
#line 4394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43348 "preproc.c" /* yacc.c:1646  */
    break;

  case 575:
#line 4398 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43356 "preproc.c" /* yacc.c:1646  */
    break;

  case 576:
#line 4406 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 43364 "preproc.c" /* yacc.c:1646  */
    break;

  case 577:
#line 4410 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("with operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43372 "preproc.c" /* yacc.c:1646  */
    break;

  case 578:
#line 4418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("where ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43380 "preproc.c" /* yacc.c:1646  */
    break;

  case 579:
#line 4422 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43387 "preproc.c" /* yacc.c:1646  */
    break;

  case 580:
#line 4429 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43395 "preproc.c" /* yacc.c:1646  */
    break;

  case 581:
#line 4433 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43403 "preproc.c" /* yacc.c:1646  */
    break;

  case 582:
#line 4437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43411 "preproc.c" /* yacc.c:1646  */
    break;

  case 583:
#line 4441 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43419 "preproc.c" /* yacc.c:1646  */
    break;

  case 584:
#line 4445 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43426 "preproc.c" /* yacc.c:1646  */
    break;

  case 585:
#line 4452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on update"),(yyvsp[0].str));
}
#line 43434 "preproc.c" /* yacc.c:1646  */
    break;

  case 586:
#line 4460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on delete"),(yyvsp[0].str));
}
#line 43442 "preproc.c" /* yacc.c:1646  */
    break;

  case 587:
#line 4468 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no action");
}
#line 43450 "preproc.c" /* yacc.c:1646  */
    break;

  case 588:
#line 4472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 43458 "preproc.c" /* yacc.c:1646  */
    break;

  case 589:
#line 4476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 43466 "preproc.c" /* yacc.c:1646  */
    break;

  case 590:
#line 4480 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set null"),(yyvsp[0].str));
}
#line 43474 "preproc.c" /* yacc.c:1646  */
    break;

  case 591:
#line 4484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set default"),(yyvsp[0].str));
}
#line 43482 "preproc.c" /* yacc.c:1646  */
    break;

  case 592:
#line 4492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("inherits ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43490 "preproc.c" /* yacc.c:1646  */
    break;

  case 593:
#line 4496 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43497 "preproc.c" /* yacc.c:1646  */
    break;

  case 594:
#line 4503 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43505 "preproc.c" /* yacc.c:1646  */
    break;

  case 595:
#line 4507 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43512 "preproc.c" /* yacc.c:1646  */
    break;

  case 596:
#line 4514 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("partition by"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43520 "preproc.c" /* yacc.c:1646  */
    break;

  case 597:
#line 4522 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43528 "preproc.c" /* yacc.c:1646  */
    break;

  case 598:
#line 4526 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43536 "preproc.c" /* yacc.c:1646  */
    break;

  case 599:
#line 4534 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43544 "preproc.c" /* yacc.c:1646  */
    break;

  case 600:
#line 4538 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43552 "preproc.c" /* yacc.c:1646  */
    break;

  case 601:
#line 4542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43560 "preproc.c" /* yacc.c:1646  */
    break;

  case 602:
#line 4550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 43568 "preproc.c" /* yacc.c:1646  */
    break;

  case 603:
#line 4554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43575 "preproc.c" /* yacc.c:1646  */
    break;

  case 604:
#line 4561 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 43583 "preproc.c" /* yacc.c:1646  */
    break;

  case 605:
#line 4565 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without oids");
}
#line 43591 "preproc.c" /* yacc.c:1646  */
    break;

  case 606:
#line 4569 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43598 "preproc.c" /* yacc.c:1646  */
    break;

  case 607:
#line 4576 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit drop");
}
#line 43606 "preproc.c" /* yacc.c:1646  */
    break;

  case 608:
#line 4580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit delete rows");
}
#line 43614 "preproc.c" /* yacc.c:1646  */
    break;

  case 609:
#line 4584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on commit preserve rows");
}
#line 43622 "preproc.c" /* yacc.c:1646  */
    break;

  case 610:
#line 4588 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43629 "preproc.c" /* yacc.c:1646  */
    break;

  case 611:
#line 4595 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[0].str));
}
#line 43637 "preproc.c" /* yacc.c:1646  */
    break;

  case 612:
#line 4599 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43644 "preproc.c" /* yacc.c:1646  */
    break;

  case 613:
#line 4606 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index tablespace"),(yyvsp[0].str));
}
#line 43652 "preproc.c" /* yacc.c:1646  */
    break;

  case 614:
#line 4610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43659 "preproc.c" /* yacc.c:1646  */
    break;

  case 615:
#line 4617 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[0].str));
}
#line 43667 "preproc.c" /* yacc.c:1646  */
    break;

  case 616:
#line 4625 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create statistics"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 43675 "preproc.c" /* yacc.c:1646  */
    break;

  case 617:
#line 4629 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create statistics if not exists"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 43683 "preproc.c" /* yacc.c:1646  */
    break;

  case 618:
#line 4637 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43691 "preproc.c" /* yacc.c:1646  */
    break;

  case 619:
#line 4641 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 43699 "preproc.c" /* yacc.c:1646  */
    break;

  case 620:
#line 4649 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43707 "preproc.c" /* yacc.c:1646  */
    break;

  case 621:
#line 4653 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43715 "preproc.c" /* yacc.c:1646  */
    break;

  case 622:
#line 4657 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43723 "preproc.c" /* yacc.c:1646  */
    break;

  case 623:
#line 4665 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter statistics"),(yyvsp[-3].str),mm_strdup("set statistics"),(yyvsp[0].str));
}
#line 43731 "preproc.c" /* yacc.c:1646  */
    break;

  case 624:
#line 4669 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter statistics if exists"),(yyvsp[-3].str),mm_strdup("set statistics"),(yyvsp[0].str));
}
#line 43739 "preproc.c" /* yacc.c:1646  */
    break;

  case 625:
#line 4677 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43747 "preproc.c" /* yacc.c:1646  */
    break;

  case 626:
#line 4685 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with data");
}
#line 43755 "preproc.c" /* yacc.c:1646  */
    break;

  case 627:
#line 4689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with no data");
}
#line 43763 "preproc.c" /* yacc.c:1646  */
    break;

  case 628:
#line 4693 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43770 "preproc.c" /* yacc.c:1646  */
    break;

  case 629:
#line 4700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-6].str),mm_strdup("materialized view"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43778 "preproc.c" /* yacc.c:1646  */
    break;

  case 630:
#line 4704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-9].str),mm_strdup("materialized view if not exists"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43786 "preproc.c" /* yacc.c:1646  */
    break;

  case 631:
#line 4712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43794 "preproc.c" /* yacc.c:1646  */
    break;

  case 632:
#line 4720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 43802 "preproc.c" /* yacc.c:1646  */
    break;

  case 633:
#line 4724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43809 "preproc.c" /* yacc.c:1646  */
    break;

  case 634:
#line 4731 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("refresh materialized view"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43817 "preproc.c" /* yacc.c:1646  */
    break;

  case 635:
#line 4739 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[-3].str),mm_strdup("sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43825 "preproc.c" /* yacc.c:1646  */
    break;

  case 636:
#line 4743 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[-6].str),mm_strdup("sequence if not exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43833 "preproc.c" /* yacc.c:1646  */
    break;

  case 637:
#line 4751 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43841 "preproc.c" /* yacc.c:1646  */
    break;

  case 638:
#line 4755 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43849 "preproc.c" /* yacc.c:1646  */
    break;

  case 639:
#line 4763 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43857 "preproc.c" /* yacc.c:1646  */
    break;

  case 640:
#line 4767 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43864 "preproc.c" /* yacc.c:1646  */
    break;

  case 641:
#line 4774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 43872 "preproc.c" /* yacc.c:1646  */
    break;

  case 642:
#line 4778 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 43879 "preproc.c" /* yacc.c:1646  */
    break;

  case 643:
#line 4785 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 43887 "preproc.c" /* yacc.c:1646  */
    break;

  case 644:
#line 4789 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43895 "preproc.c" /* yacc.c:1646  */
    break;

  case 645:
#line 4797 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 43903 "preproc.c" /* yacc.c:1646  */
    break;

  case 646:
#line 4801 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cache"),(yyvsp[0].str));
}
#line 43911 "preproc.c" /* yacc.c:1646  */
    break;

  case 647:
#line 4805 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cycle");
}
#line 43919 "preproc.c" /* yacc.c:1646  */
    break;

  case 648:
#line 4809 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no cycle");
}
#line 43927 "preproc.c" /* yacc.c:1646  */
    break;

  case 649:
#line 4813 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("increment"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43935 "preproc.c" /* yacc.c:1646  */
    break;

  case 650:
#line 4817 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("maxvalue"),(yyvsp[0].str));
}
#line 43943 "preproc.c" /* yacc.c:1646  */
    break;

  case 651:
#line 4821 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("minvalue"),(yyvsp[0].str));
}
#line 43951 "preproc.c" /* yacc.c:1646  */
    break;

  case 652:
#line 4825 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no maxvalue");
}
#line 43959 "preproc.c" /* yacc.c:1646  */
    break;

  case 653:
#line 4829 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no minvalue");
}
#line 43967 "preproc.c" /* yacc.c:1646  */
    break;

  case 654:
#line 4833 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owned by"),(yyvsp[0].str));
}
#line 43975 "preproc.c" /* yacc.c:1646  */
    break;

  case 655:
#line 4837 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sequence name"),(yyvsp[0].str));
}
#line 43983 "preproc.c" /* yacc.c:1646  */
    break;

  case 656:
#line 4841 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("start"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 43991 "preproc.c" /* yacc.c:1646  */
    break;

  case 657:
#line 4845 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 43999 "preproc.c" /* yacc.c:1646  */
    break;

  case 658:
#line 4849 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("restart"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44007 "preproc.c" /* yacc.c:1646  */
    break;

  case 659:
#line 4857 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by");
}
#line 44015 "preproc.c" /* yacc.c:1646  */
    break;

  case 660:
#line 4861 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44022 "preproc.c" /* yacc.c:1646  */
    break;

  case 661:
#line 4868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44030 "preproc.c" /* yacc.c:1646  */
    break;

  case 662:
#line 4872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 44038 "preproc.c" /* yacc.c:1646  */
    break;

  case 663:
#line 4876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 44046 "preproc.c" /* yacc.c:1646  */
    break;

  case 664:
#line 4880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44054 "preproc.c" /* yacc.c:1646  */
    break;

  case 665:
#line 4888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44062 "preproc.c" /* yacc.c:1646  */
    break;

  case 666:
#line 4892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 44070 "preproc.c" /* yacc.c:1646  */
    break;

  case 667:
#line 4900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 44078 "preproc.c" /* yacc.c:1646  */
    break;

  case 668:
#line 4904 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("language"),(yyvsp[-4].str),mm_strdup("handler"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44086 "preproc.c" /* yacc.c:1646  */
    break;

  case 669:
#line 4912 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trusted");
}
#line 44094 "preproc.c" /* yacc.c:1646  */
    break;

  case 670:
#line 4916 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44101 "preproc.c" /* yacc.c:1646  */
    break;

  case 671:
#line 4923 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44109 "preproc.c" /* yacc.c:1646  */
    break;

  case 672:
#line 4927 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44117 "preproc.c" /* yacc.c:1646  */
    break;

  case 673:
#line 4935 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("inline"),(yyvsp[0].str));
}
#line 44125 "preproc.c" /* yacc.c:1646  */
    break;

  case 674:
#line 4939 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44132 "preproc.c" /* yacc.c:1646  */
    break;

  case 675:
#line 4946 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[0].str));
}
#line 44140 "preproc.c" /* yacc.c:1646  */
    break;

  case 676:
#line 4950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no validator");
}
#line 44148 "preproc.c" /* yacc.c:1646  */
    break;

  case 677:
#line 4958 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44156 "preproc.c" /* yacc.c:1646  */
    break;

  case 678:
#line 4962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44163 "preproc.c" /* yacc.c:1646  */
    break;

  case 679:
#line 4969 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedural");
}
#line 44171 "preproc.c" /* yacc.c:1646  */
    break;

  case 680:
#line 4973 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44178 "preproc.c" /* yacc.c:1646  */
    break;

  case 681:
#line 4980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create tablespace"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("location"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44186 "preproc.c" /* yacc.c:1646  */
    break;

  case 682:
#line 4988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner"),(yyvsp[0].str));
}
#line 44194 "preproc.c" /* yacc.c:1646  */
    break;

  case 683:
#line 4992 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44201 "preproc.c" /* yacc.c:1646  */
    break;

  case 684:
#line 4999 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace"),(yyvsp[0].str));
}
#line 44209 "preproc.c" /* yacc.c:1646  */
    break;

  case 685:
#line 5003 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace if exists"),(yyvsp[0].str));
}
#line 44217 "preproc.c" /* yacc.c:1646  */
    break;

  case 686:
#line 5011 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44225 "preproc.c" /* yacc.c:1646  */
    break;

  case 687:
#line 5015 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension if not exists"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44233 "preproc.c" /* yacc.c:1646  */
    break;

  case 688:
#line 5023 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44241 "preproc.c" /* yacc.c:1646  */
    break;

  case 689:
#line 5027 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44248 "preproc.c" /* yacc.c:1646  */
    break;

  case 690:
#line 5034 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 44256 "preproc.c" /* yacc.c:1646  */
    break;

  case 691:
#line 5038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 44264 "preproc.c" /* yacc.c:1646  */
    break;

  case 692:
#line 5042 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 44273 "preproc.c" /* yacc.c:1646  */
    break;

  case 693:
#line 5047 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 44281 "preproc.c" /* yacc.c:1646  */
    break;

  case 694:
#line 5055 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[-2].str),mm_strdup("update"),(yyvsp[0].str));
}
#line 44289 "preproc.c" /* yacc.c:1646  */
    break;

  case 695:
#line 5063 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44297 "preproc.c" /* yacc.c:1646  */
    break;

  case 696:
#line 5067 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44304 "preproc.c" /* yacc.c:1646  */
    break;

  case 697:
#line 5074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 44312 "preproc.c" /* yacc.c:1646  */
    break;

  case 698:
#line 5082 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44320 "preproc.c" /* yacc.c:1646  */
    break;

  case 699:
#line 5086 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44328 "preproc.c" /* yacc.c:1646  */
    break;

  case 700:
#line 5090 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("aggregate"),(yyvsp[0].str));
}
#line 44336 "preproc.c" /* yacc.c:1646  */
    break;

  case 701:
#line 5094 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter extension"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("cast ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44344 "preproc.c" /* yacc.c:1646  */
    break;

  case 702:
#line 5098 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("domain"),(yyvsp[0].str));
}
#line 44352 "preproc.c" /* yacc.c:1646  */
    break;

  case 703:
#line 5102 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("function"),(yyvsp[0].str));
}
#line 44360 "preproc.c" /* yacc.c:1646  */
    break;

  case 704:
#line 5106 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("operator"),(yyvsp[0].str));
}
#line 44368 "preproc.c" /* yacc.c:1646  */
    break;

  case 705:
#line 5110 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("operator class"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 44376 "preproc.c" /* yacc.c:1646  */
    break;

  case 706:
#line 5114 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("operator family"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 44384 "preproc.c" /* yacc.c:1646  */
    break;

  case 707:
#line 5118 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("procedure"),(yyvsp[0].str));
}
#line 44392 "preproc.c" /* yacc.c:1646  */
    break;

  case 708:
#line 5122 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("routine"),(yyvsp[0].str));
}
#line 44400 "preproc.c" /* yacc.c:1646  */
    break;

  case 709:
#line 5126 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("transform for"),(yyvsp[-2].str),mm_strdup("language"),(yyvsp[0].str));
}
#line 44408 "preproc.c" /* yacc.c:1646  */
    break;

  case 710:
#line 5130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("type"),(yyvsp[0].str));
}
#line 44416 "preproc.c" /* yacc.c:1646  */
    break;

  case 711:
#line 5138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create foreign data wrapper"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44424 "preproc.c" /* yacc.c:1646  */
    break;

  case 712:
#line 5146 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("handler"),(yyvsp[0].str));
}
#line 44432 "preproc.c" /* yacc.c:1646  */
    break;

  case 713:
#line 5150 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no handler");
}
#line 44440 "preproc.c" /* yacc.c:1646  */
    break;

  case 714:
#line 5154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[0].str));
}
#line 44448 "preproc.c" /* yacc.c:1646  */
    break;

  case 715:
#line 5158 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no validator");
}
#line 44456 "preproc.c" /* yacc.c:1646  */
    break;

  case 716:
#line 5166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44464 "preproc.c" /* yacc.c:1646  */
    break;

  case 717:
#line 5170 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44472 "preproc.c" /* yacc.c:1646  */
    break;

  case 718:
#line 5178 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44480 "preproc.c" /* yacc.c:1646  */
    break;

  case 719:
#line 5182 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44487 "preproc.c" /* yacc.c:1646  */
    break;

  case 720:
#line 5189 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44495 "preproc.c" /* yacc.c:1646  */
    break;

  case 721:
#line 5193 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44503 "preproc.c" /* yacc.c:1646  */
    break;

  case 722:
#line 5201 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44511 "preproc.c" /* yacc.c:1646  */
    break;

  case 723:
#line 5205 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44518 "preproc.c" /* yacc.c:1646  */
    break;

  case 724:
#line 5212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44526 "preproc.c" /* yacc.c:1646  */
    break;

  case 725:
#line 5216 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 44534 "preproc.c" /* yacc.c:1646  */
    break;

  case 726:
#line 5224 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44542 "preproc.c" /* yacc.c:1646  */
    break;

  case 727:
#line 5232 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44550 "preproc.c" /* yacc.c:1646  */
    break;

  case 728:
#line 5236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 44558 "preproc.c" /* yacc.c:1646  */
    break;

  case 729:
#line 5244 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44566 "preproc.c" /* yacc.c:1646  */
    break;

  case 730:
#line 5248 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[0].str));
}
#line 44574 "preproc.c" /* yacc.c:1646  */
    break;

  case 731:
#line 5252 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[0].str));
}
#line 44582 "preproc.c" /* yacc.c:1646  */
    break;

  case 732:
#line 5256 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop"),(yyvsp[0].str));
}
#line 44590 "preproc.c" /* yacc.c:1646  */
    break;

  case 733:
#line 5264 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44598 "preproc.c" /* yacc.c:1646  */
    break;

  case 734:
#line 5272 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44606 "preproc.c" /* yacc.c:1646  */
    break;

  case 735:
#line 5280 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44614 "preproc.c" /* yacc.c:1646  */
    break;

  case 736:
#line 5288 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create server"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44622 "preproc.c" /* yacc.c:1646  */
    break;

  case 737:
#line 5292 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create server if not exists"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),mm_strdup("foreign data wrapper"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44630 "preproc.c" /* yacc.c:1646  */
    break;

  case 738:
#line 5300 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[0].str));
}
#line 44638 "preproc.c" /* yacc.c:1646  */
    break;

  case 739:
#line 5304 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44645 "preproc.c" /* yacc.c:1646  */
    break;

  case 740:
#line 5311 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 44653 "preproc.c" /* yacc.c:1646  */
    break;

  case 741:
#line 5315 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version null");
}
#line 44661 "preproc.c" /* yacc.c:1646  */
    break;

  case 742:
#line 5323 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44669 "preproc.c" /* yacc.c:1646  */
    break;

  case 743:
#line 5327 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44676 "preproc.c" /* yacc.c:1646  */
    break;

  case 744:
#line 5334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44684 "preproc.c" /* yacc.c:1646  */
    break;

  case 745:
#line 5338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44692 "preproc.c" /* yacc.c:1646  */
    break;

  case 746:
#line 5342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44700 "preproc.c" /* yacc.c:1646  */
    break;

  case 747:
#line 5350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44708 "preproc.c" /* yacc.c:1646  */
    break;

  case 748:
#line 5354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table if not exists"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44716 "preproc.c" /* yacc.c:1646  */
    break;

  case 749:
#line 5358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table"),(yyvsp[-8].str),mm_strdup("partition of"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44724 "preproc.c" /* yacc.c:1646  */
    break;

  case 750:
#line 5362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create foreign table if not exists"),(yyvsp[-8].str),mm_strdup("partition of"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44732 "preproc.c" /* yacc.c:1646  */
    break;

  case 751:
#line 5370 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("import foreign schema"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("from server"),(yyvsp[-3].str),mm_strdup("into"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44740 "preproc.c" /* yacc.c:1646  */
    break;

  case 752:
#line 5378 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("limit to");
}
#line 44748 "preproc.c" /* yacc.c:1646  */
    break;

  case 753:
#line 5382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("except");
}
#line 44756 "preproc.c" /* yacc.c:1646  */
    break;

  case 754:
#line 5390 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44764 "preproc.c" /* yacc.c:1646  */
    break;

  case 755:
#line 5394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44771 "preproc.c" /* yacc.c:1646  */
    break;

  case 756:
#line 5401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create user mapping for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44779 "preproc.c" /* yacc.c:1646  */
    break;

  case 757:
#line 5405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create user mapping if not exists for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44787 "preproc.c" /* yacc.c:1646  */
    break;

  case 758:
#line 5413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 44795 "preproc.c" /* yacc.c:1646  */
    break;

  case 759:
#line 5417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 44803 "preproc.c" /* yacc.c:1646  */
    break;

  case 760:
#line 5425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping for"),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 44811 "preproc.c" /* yacc.c:1646  */
    break;

  case 761:
#line 5429 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping if exists for"),(yyvsp[-2].str),mm_strdup("server"),(yyvsp[0].str));
}
#line 44819 "preproc.c" /* yacc.c:1646  */
    break;

  case 762:
#line 5437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter user mapping for"),(yyvsp[-3].str),mm_strdup("server"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44827 "preproc.c" /* yacc.c:1646  */
    break;

  case 763:
#line 5445 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create policy"),(yyvsp[-7].str),mm_strdup("on"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44835 "preproc.c" /* yacc.c:1646  */
    break;

  case 764:
#line 5453 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter policy"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 44843 "preproc.c" /* yacc.c:1646  */
    break;

  case 765:
#line 5461 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("using ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44851 "preproc.c" /* yacc.c:1646  */
    break;

  case 766:
#line 5465 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44858 "preproc.c" /* yacc.c:1646  */
    break;

  case 767:
#line 5472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("with check ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 44866 "preproc.c" /* yacc.c:1646  */
    break;

  case 768:
#line 5476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44873 "preproc.c" /* yacc.c:1646  */
    break;

  case 769:
#line 5483 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 44881 "preproc.c" /* yacc.c:1646  */
    break;

  case 770:
#line 5487 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44888 "preproc.c" /* yacc.c:1646  */
    break;

  case 771:
#line 5494 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[0].str));
}
#line 44896 "preproc.c" /* yacc.c:1646  */
    break;

  case 772:
#line 5498 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44903 "preproc.c" /* yacc.c:1646  */
    break;

  case 773:
#line 5505 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 44911 "preproc.c" /* yacc.c:1646  */
    break;

  case 774:
#line 5509 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44918 "preproc.c" /* yacc.c:1646  */
    break;

  case 775:
#line 5516 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 44926 "preproc.c" /* yacc.c:1646  */
    break;

  case 776:
#line 5520 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 44933 "preproc.c" /* yacc.c:1646  */
    break;

  case 777:
#line 5527 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 44941 "preproc.c" /* yacc.c:1646  */
    break;

  case 778:
#line 5531 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 44949 "preproc.c" /* yacc.c:1646  */
    break;

  case 779:
#line 5535 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 44957 "preproc.c" /* yacc.c:1646  */
    break;

  case 780:
#line 5539 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 44965 "preproc.c" /* yacc.c:1646  */
    break;

  case 781:
#line 5543 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 44973 "preproc.c" /* yacc.c:1646  */
    break;

  case 782:
#line 5551 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create access method"),(yyvsp[-4].str),mm_strdup("type"),(yyvsp[-2].str),mm_strdup("handler"),(yyvsp[0].str));
}
#line 44981 "preproc.c" /* yacc.c:1646  */
    break;

  case 783:
#line 5559 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 44989 "preproc.c" /* yacc.c:1646  */
    break;

  case 784:
#line 5563 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 44997 "preproc.c" /* yacc.c:1646  */
    break;

  case 785:
#line 5571 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(17,mm_strdup("create"),(yyvsp[-15].str),mm_strdup("trigger"),(yyvsp[-13].str),(yyvsp[-12].str),(yyvsp[-11].str),mm_strdup("on"),(yyvsp[-9].str),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("execute"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45005 "preproc.c" /* yacc.c:1646  */
    break;

  case 786:
#line 5575 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(18,mm_strdup("create"),(yyvsp[-19].str),mm_strdup("constraint trigger"),(yyvsp[-16].str),mm_strdup("after"),(yyvsp[-14].str),mm_strdup("on"),(yyvsp[-12].str),(yyvsp[-11].str),(yyvsp[-10].str),mm_strdup("for each row"),(yyvsp[-6].str),mm_strdup("execute"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45013 "preproc.c" /* yacc.c:1646  */
    break;

  case 787:
#line 5583 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("before");
}
#line 45021 "preproc.c" /* yacc.c:1646  */
    break;

  case 788:
#line 5587 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("after");
}
#line 45029 "preproc.c" /* yacc.c:1646  */
    break;

  case 789:
#line 5591 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead of");
}
#line 45037 "preproc.c" /* yacc.c:1646  */
    break;

  case 790:
#line 5599 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45045 "preproc.c" /* yacc.c:1646  */
    break;

  case 791:
#line 5603 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("or"),(yyvsp[0].str));
}
#line 45053 "preproc.c" /* yacc.c:1646  */
    break;

  case 792:
#line 5611 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 45061 "preproc.c" /* yacc.c:1646  */
    break;

  case 793:
#line 5615 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 45069 "preproc.c" /* yacc.c:1646  */
    break;

  case 794:
#line 5619 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 45077 "preproc.c" /* yacc.c:1646  */
    break;

  case 795:
#line 5623 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("update of"),(yyvsp[0].str));
}
#line 45085 "preproc.c" /* yacc.c:1646  */
    break;

  case 796:
#line 5627 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("truncate");
}
#line 45093 "preproc.c" /* yacc.c:1646  */
    break;

  case 797:
#line 5635 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("referencing"),(yyvsp[0].str));
}
#line 45101 "preproc.c" /* yacc.c:1646  */
    break;

  case 798:
#line 5639 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45108 "preproc.c" /* yacc.c:1646  */
    break;

  case 799:
#line 5646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45116 "preproc.c" /* yacc.c:1646  */
    break;

  case 800:
#line 5650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45124 "preproc.c" /* yacc.c:1646  */
    break;

  case 801:
#line 5658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45132 "preproc.c" /* yacc.c:1646  */
    break;

  case 802:
#line 5666 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("new");
}
#line 45140 "preproc.c" /* yacc.c:1646  */
    break;

  case 803:
#line 5670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("old");
}
#line 45148 "preproc.c" /* yacc.c:1646  */
    break;

  case 804:
#line 5678 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 45156 "preproc.c" /* yacc.c:1646  */
    break;

  case 805:
#line 5682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 45164 "preproc.c" /* yacc.c:1646  */
    break;

  case 806:
#line 5690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45172 "preproc.c" /* yacc.c:1646  */
    break;

  case 807:
#line 5698 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("for"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45180 "preproc.c" /* yacc.c:1646  */
    break;

  case 808:
#line 5702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45187 "preproc.c" /* yacc.c:1646  */
    break;

  case 809:
#line 5709 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("each");
}
#line 45195 "preproc.c" /* yacc.c:1646  */
    break;

  case 810:
#line 5713 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45202 "preproc.c" /* yacc.c:1646  */
    break;

  case 811:
#line 5720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 45210 "preproc.c" /* yacc.c:1646  */
    break;

  case 812:
#line 5724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statement");
}
#line 45218 "preproc.c" /* yacc.c:1646  */
    break;

  case 813:
#line 5732 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("when ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45226 "preproc.c" /* yacc.c:1646  */
    break;

  case 814:
#line 5736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45233 "preproc.c" /* yacc.c:1646  */
    break;

  case 815:
#line 5743 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("function");
}
#line 45241 "preproc.c" /* yacc.c:1646  */
    break;

  case 816:
#line 5747 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedure");
}
#line 45249 "preproc.c" /* yacc.c:1646  */
    break;

  case 817:
#line 5755 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45257 "preproc.c" /* yacc.c:1646  */
    break;

  case 818:
#line 5759 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 45265 "preproc.c" /* yacc.c:1646  */
    break;

  case 819:
#line 5763 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45272 "preproc.c" /* yacc.c:1646  */
    break;

  case 820:
#line 5770 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45280 "preproc.c" /* yacc.c:1646  */
    break;

  case 821:
#line 5774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45288 "preproc.c" /* yacc.c:1646  */
    break;

  case 822:
#line 5778 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45296 "preproc.c" /* yacc.c:1646  */
    break;

  case 823:
#line 5782 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45304 "preproc.c" /* yacc.c:1646  */
    break;

  case 824:
#line 5790 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 45312 "preproc.c" /* yacc.c:1646  */
    break;

  case 825:
#line 5794 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45319 "preproc.c" /* yacc.c:1646  */
    break;

  case 826:
#line 5801 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45326 "preproc.c" /* yacc.c:1646  */
    break;

  case 827:
#line 5804 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45334 "preproc.c" /* yacc.c:1646  */
    break;

  case 828:
#line 5812 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 45342 "preproc.c" /* yacc.c:1646  */
    break;

  case 829:
#line 5816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 45350 "preproc.c" /* yacc.c:1646  */
    break;

  case 830:
#line 5820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
#line 45358 "preproc.c" /* yacc.c:1646  */
    break;

  case 831:
#line 5824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
#line 45366 "preproc.c" /* yacc.c:1646  */
    break;

  case 832:
#line 5828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not valid");
}
#line 45374 "preproc.c" /* yacc.c:1646  */
    break;

  case 833:
#line 5832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no inherit");
}
#line 45382 "preproc.c" /* yacc.c:1646  */
    break;

  case 834:
#line 5840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("create event trigger"),(yyvsp[-7].str),mm_strdup("on"),(yyvsp[-5].str),mm_strdup("execute"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("( )"));
}
#line 45390 "preproc.c" /* yacc.c:1646  */
    break;

  case 835:
#line 5844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create event trigger"),(yyvsp[-9].str),mm_strdup("on"),(yyvsp[-7].str),mm_strdup("when"),(yyvsp[-5].str),mm_strdup("execute"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("( )"));
}
#line 45398 "preproc.c" /* yacc.c:1646  */
    break;

  case 836:
#line 5852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45406 "preproc.c" /* yacc.c:1646  */
    break;

  case 837:
#line 5856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 45414 "preproc.c" /* yacc.c:1646  */
    break;

  case 838:
#line 5864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("in ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45422 "preproc.c" /* yacc.c:1646  */
    break;

  case 839:
#line 5872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sconst");
}
#line 45430 "preproc.c" /* yacc.c:1646  */
    break;

  case 840:
#line 5876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup(", sconst"));
}
#line 45438 "preproc.c" /* yacc.c:1646  */
    break;

  case 841:
#line 5884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter event trigger"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45446 "preproc.c" /* yacc.c:1646  */
    break;

  case 842:
#line 5892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable");
}
#line 45454 "preproc.c" /* yacc.c:1646  */
    break;

  case 843:
#line 5896 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable replica");
}
#line 45462 "preproc.c" /* yacc.c:1646  */
    break;

  case 844:
#line 5900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable always");
}
#line 45470 "preproc.c" /* yacc.c:1646  */
    break;

  case 845:
#line 5904 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable");
}
#line 45478 "preproc.c" /* yacc.c:1646  */
    break;

  case 846:
#line 5912 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(6,mm_strdup("create assertion"),(yyvsp[-5].str),mm_strdup("check ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 45487 "preproc.c" /* yacc.c:1646  */
    break;

  case 847:
#line 5921 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create"),(yyvsp[-4].str),mm_strdup("aggregate"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45495 "preproc.c" /* yacc.c:1646  */
    break;

  case 848:
#line 5925 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[-3].str),mm_strdup("aggregate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45503 "preproc.c" /* yacc.c:1646  */
    break;

  case 849:
#line 5929 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create operator"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45511 "preproc.c" /* yacc.c:1646  */
    break;

  case 850:
#line 5933 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45519 "preproc.c" /* yacc.c:1646  */
    break;

  case 851:
#line 5937 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("create type"),(yyvsp[0].str));
}
#line 45527 "preproc.c" /* yacc.c:1646  */
    break;

  case 852:
#line 5941 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[-4].str),mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45535 "preproc.c" /* yacc.c:1646  */
    break;

  case 853:
#line 5945 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[-5].str),mm_strdup("as enum ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45543 "preproc.c" /* yacc.c:1646  */
    break;

  case 854:
#line 5949 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create type"),(yyvsp[-3].str),mm_strdup("as range"),(yyvsp[0].str));
}
#line 45551 "preproc.c" /* yacc.c:1646  */
    break;

  case 855:
#line 5953 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search parser"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45559 "preproc.c" /* yacc.c:1646  */
    break;

  case 856:
#line 5957 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search dictionary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45567 "preproc.c" /* yacc.c:1646  */
    break;

  case 857:
#line 5961 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search template"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45575 "preproc.c" /* yacc.c:1646  */
    break;

  case 858:
#line 5965 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search configuration"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45583 "preproc.c" /* yacc.c:1646  */
    break;

  case 859:
#line 5969 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create collation"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45591 "preproc.c" /* yacc.c:1646  */
    break;

  case 860:
#line 5973 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create collation if not exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45599 "preproc.c" /* yacc.c:1646  */
    break;

  case 861:
#line 5977 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create collation"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 45607 "preproc.c" /* yacc.c:1646  */
    break;

  case 862:
#line 5981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create collation if not exists"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 45615 "preproc.c" /* yacc.c:1646  */
    break;

  case 863:
#line 5989 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45623 "preproc.c" /* yacc.c:1646  */
    break;

  case 864:
#line 5997 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45631 "preproc.c" /* yacc.c:1646  */
    break;

  case 865:
#line 6001 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 45639 "preproc.c" /* yacc.c:1646  */
    break;

  case 866:
#line 6009 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 45647 "preproc.c" /* yacc.c:1646  */
    break;

  case 867:
#line 6013 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45655 "preproc.c" /* yacc.c:1646  */
    break;

  case 868:
#line 6021 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45663 "preproc.c" /* yacc.c:1646  */
    break;

  case 869:
#line 6025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45671 "preproc.c" /* yacc.c:1646  */
    break;

  case 870:
#line 6029 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45679 "preproc.c" /* yacc.c:1646  */
    break;

  case 871:
#line 6033 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45687 "preproc.c" /* yacc.c:1646  */
    break;

  case 872:
#line 6037 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45695 "preproc.c" /* yacc.c:1646  */
    break;

  case 873:
#line 6041 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("none");
}
#line 45703 "preproc.c" /* yacc.c:1646  */
    break;

  case 874:
#line 6049 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 45711 "preproc.c" /* yacc.c:1646  */
    break;

  case 875:
#line 6057 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45719 "preproc.c" /* yacc.c:1646  */
    break;

  case 876:
#line 6061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 45727 "preproc.c" /* yacc.c:1646  */
    break;

  case 877:
#line 6069 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 45735 "preproc.c" /* yacc.c:1646  */
    break;

  case 878:
#line 6077 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45743 "preproc.c" /* yacc.c:1646  */
    break;

  case 879:
#line 6081 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45750 "preproc.c" /* yacc.c:1646  */
    break;

  case 880:
#line 6088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45758 "preproc.c" /* yacc.c:1646  */
    break;

  case 881:
#line 6092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 45766 "preproc.c" /* yacc.c:1646  */
    break;

  case 882:
#line 6100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter type"),(yyvsp[-4].str),mm_strdup("add value"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45774 "preproc.c" /* yacc.c:1646  */
    break;

  case 883:
#line 6104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("add value"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("before"),(yyvsp[0].str));
}
#line 45782 "preproc.c" /* yacc.c:1646  */
    break;

  case 884:
#line 6108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("add value"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("after"),(yyvsp[0].str));
}
#line 45790 "preproc.c" /* yacc.c:1646  */
    break;

  case 885:
#line 6112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter type"),(yyvsp[-5].str),mm_strdup("rename value"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 45798 "preproc.c" /* yacc.c:1646  */
    break;

  case 886:
#line 6116 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("drop value"),(yyvsp[0].str));
}
#line 45807 "preproc.c" /* yacc.c:1646  */
    break;

  case 887:
#line 6125 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if not exists");
}
#line 45815 "preproc.c" /* yacc.c:1646  */
    break;

  case 888:
#line 6129 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45822 "preproc.c" /* yacc.c:1646  */
    break;

  case 889:
#line 6136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create operator class"),(yyvsp[-9].str),(yyvsp[-8].str),mm_strdup("for type"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 45830 "preproc.c" /* yacc.c:1646  */
    break;

  case 890:
#line 6144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45838 "preproc.c" /* yacc.c:1646  */
    break;

  case 891:
#line 6148 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 45846 "preproc.c" /* yacc.c:1646  */
    break;

  case 892:
#line 6156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45854 "preproc.c" /* yacc.c:1646  */
    break;

  case 893:
#line 6160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45862 "preproc.c" /* yacc.c:1646  */
    break;

  case 894:
#line 6164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("function"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 45870 "preproc.c" /* yacc.c:1646  */
    break;

  case 895:
#line 6168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("function"),(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 45878 "preproc.c" /* yacc.c:1646  */
    break;

  case 896:
#line 6172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("storage"),(yyvsp[0].str));
}
#line 45886 "preproc.c" /* yacc.c:1646  */
    break;

  case 897:
#line 6180 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 45894 "preproc.c" /* yacc.c:1646  */
    break;

  case 898:
#line 6184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45901 "preproc.c" /* yacc.c:1646  */
    break;

  case 899:
#line 6191 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("family"),(yyvsp[0].str));
}
#line 45909 "preproc.c" /* yacc.c:1646  */
    break;

  case 900:
#line 6195 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45916 "preproc.c" /* yacc.c:1646  */
    break;

  case 901:
#line 6202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for search");
}
#line 45924 "preproc.c" /* yacc.c:1646  */
    break;

  case 902:
#line 6206 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for order by"),(yyvsp[0].str));
}
#line 45932 "preproc.c" /* yacc.c:1646  */
    break;

  case 903:
#line 6210 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45939 "preproc.c" /* yacc.c:1646  */
    break;

  case 904:
#line 6217 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("recheck");
}
#line 45948 "preproc.c" /* yacc.c:1646  */
    break;

  case 905:
#line 6222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 45955 "preproc.c" /* yacc.c:1646  */
    break;

  case 906:
#line 6229 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create operator family"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 45963 "preproc.c" /* yacc.c:1646  */
    break;

  case 907:
#line 6237 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("add"),(yyvsp[0].str));
}
#line 45971 "preproc.c" /* yacc.c:1646  */
    break;

  case 908:
#line 6241 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("drop"),(yyvsp[0].str));
}
#line 45979 "preproc.c" /* yacc.c:1646  */
    break;

  case 909:
#line 6249 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 45987 "preproc.c" /* yacc.c:1646  */
    break;

  case 910:
#line 6253 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 45995 "preproc.c" /* yacc.c:1646  */
    break;

  case 911:
#line 6261 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46003 "preproc.c" /* yacc.c:1646  */
    break;

  case 912:
#line 6265 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("function"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 46011 "preproc.c" /* yacc.c:1646  */
    break;

  case 913:
#line 6273 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46019 "preproc.c" /* yacc.c:1646  */
    break;

  case 914:
#line 6277 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class if exists"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46027 "preproc.c" /* yacc.c:1646  */
    break;

  case 915:
#line 6285 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46035 "preproc.c" /* yacc.c:1646  */
    break;

  case 916:
#line 6289 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family if exists"),(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46043 "preproc.c" /* yacc.c:1646  */
    break;

  case 917:
#line 6297 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop owned by"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46051 "preproc.c" /* yacc.c:1646  */
    break;

  case 918:
#line 6305 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("reassign owned by"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 46059 "preproc.c" /* yacc.c:1646  */
    break;

  case 919:
#line 6313 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46067 "preproc.c" /* yacc.c:1646  */
    break;

  case 920:
#line 6317 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46075 "preproc.c" /* yacc.c:1646  */
    break;

  case 921:
#line 6321 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[-4].str),mm_strdup("if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46083 "preproc.c" /* yacc.c:1646  */
    break;

  case 922:
#line 6325 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46091 "preproc.c" /* yacc.c:1646  */
    break;

  case 923:
#line 6329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("drop"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46099 "preproc.c" /* yacc.c:1646  */
    break;

  case 924:
#line 6333 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("drop"),(yyvsp[-6].str),mm_strdup("if exists"),(yyvsp[-3].str),mm_strdup("on"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46107 "preproc.c" /* yacc.c:1646  */
    break;

  case 925:
#line 6337 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop type"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46115 "preproc.c" /* yacc.c:1646  */
    break;

  case 926:
#line 6341 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop type if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46123 "preproc.c" /* yacc.c:1646  */
    break;

  case 927:
#line 6345 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop domain"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46131 "preproc.c" /* yacc.c:1646  */
    break;

  case 928:
#line 6349 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop domain if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46139 "preproc.c" /* yacc.c:1646  */
    break;

  case 929:
#line 6353 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46147 "preproc.c" /* yacc.c:1646  */
    break;

  case 930:
#line 6357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46155 "preproc.c" /* yacc.c:1646  */
    break;

  case 931:
#line 6365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 46163 "preproc.c" /* yacc.c:1646  */
    break;

  case 932:
#line 6369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 46171 "preproc.c" /* yacc.c:1646  */
    break;

  case 933:
#line 6373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 46179 "preproc.c" /* yacc.c:1646  */
    break;

  case 934:
#line 6377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized view");
}
#line 46187 "preproc.c" /* yacc.c:1646  */
    break;

  case 935:
#line 6381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 46195 "preproc.c" /* yacc.c:1646  */
    break;

  case 936:
#line 6385 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign table");
}
#line 46203 "preproc.c" /* yacc.c:1646  */
    break;

  case 937:
#line 6389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 46211 "preproc.c" /* yacc.c:1646  */
    break;

  case 938:
#line 6393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 46219 "preproc.c" /* yacc.c:1646  */
    break;

  case 939:
#line 6397 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statistics");
}
#line 46227 "preproc.c" /* yacc.c:1646  */
    break;

  case 940:
#line 6401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search parser");
}
#line 46235 "preproc.c" /* yacc.c:1646  */
    break;

  case 941:
#line 6405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search dictionary");
}
#line 46243 "preproc.c" /* yacc.c:1646  */
    break;

  case 942:
#line 6409 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search template");
}
#line 46251 "preproc.c" /* yacc.c:1646  */
    break;

  case 943:
#line 6413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text search configuration");
}
#line 46259 "preproc.c" /* yacc.c:1646  */
    break;

  case 944:
#line 6421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46267 "preproc.c" /* yacc.c:1646  */
    break;

  case 945:
#line 6425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 46275 "preproc.c" /* yacc.c:1646  */
    break;

  case 946:
#line 6429 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 46283 "preproc.c" /* yacc.c:1646  */
    break;

  case 947:
#line 6433 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("subscription");
}
#line 46291 "preproc.c" /* yacc.c:1646  */
    break;

  case 948:
#line 6437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 46299 "preproc.c" /* yacc.c:1646  */
    break;

  case 949:
#line 6445 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access method");
}
#line 46307 "preproc.c" /* yacc.c:1646  */
    break;

  case 950:
#line 6449 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event trigger");
}
#line 46315 "preproc.c" /* yacc.c:1646  */
    break;

  case 951:
#line 6453 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 46323 "preproc.c" /* yacc.c:1646  */
    break;

  case 952:
#line 6457 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign data wrapper");
}
#line 46331 "preproc.c" /* yacc.c:1646  */
    break;

  case 953:
#line 6461 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("language"));
}
#line 46339 "preproc.c" /* yacc.c:1646  */
    break;

  case 954:
#line 6465 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("publication");
}
#line 46347 "preproc.c" /* yacc.c:1646  */
    break;

  case 955:
#line 6469 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 46355 "preproc.c" /* yacc.c:1646  */
    break;

  case 956:
#line 6473 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 46363 "preproc.c" /* yacc.c:1646  */
    break;

  case 957:
#line 6481 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("policy");
}
#line 46371 "preproc.c" /* yacc.c:1646  */
    break;

  case 958:
#line 6485 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rule");
}
#line 46379 "preproc.c" /* yacc.c:1646  */
    break;

  case 959:
#line 6489 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trigger");
}
#line 46387 "preproc.c" /* yacc.c:1646  */
    break;

  case 960:
#line 6497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46395 "preproc.c" /* yacc.c:1646  */
    break;

  case 961:
#line 6501 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46403 "preproc.c" /* yacc.c:1646  */
    break;

  case 962:
#line 6509 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46411 "preproc.c" /* yacc.c:1646  */
    break;

  case 963:
#line 6513 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46419 "preproc.c" /* yacc.c:1646  */
    break;

  case 964:
#line 6521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[0].str));
}
#line 46427 "preproc.c" /* yacc.c:1646  */
    break;

  case 965:
#line 6525 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 46435 "preproc.c" /* yacc.c:1646  */
    break;

  case 966:
#line 6533 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46443 "preproc.c" /* yacc.c:1646  */
    break;

  case 967:
#line 6537 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 46451 "preproc.c" /* yacc.c:1646  */
    break;

  case 968:
#line 6545 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("truncate"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46459 "preproc.c" /* yacc.c:1646  */
    break;

  case 969:
#line 6553 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("continue identity");
}
#line 46467 "preproc.c" /* yacc.c:1646  */
    break;

  case 970:
#line 6557 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart identity");
}
#line 46475 "preproc.c" /* yacc.c:1646  */
    break;

  case 971:
#line 6561 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46482 "preproc.c" /* yacc.c:1646  */
    break;

  case 972:
#line 6568 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46490 "preproc.c" /* yacc.c:1646  */
    break;

  case 973:
#line 6572 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on column"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46498 "preproc.c" /* yacc.c:1646  */
    break;

  case 974:
#line 6576 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46506 "preproc.c" /* yacc.c:1646  */
    break;

  case 975:
#line 6580 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on type"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46514 "preproc.c" /* yacc.c:1646  */
    break;

  case 976:
#line 6584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on domain"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46522 "preproc.c" /* yacc.c:1646  */
    break;

  case 977:
#line 6588 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on aggregate"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46530 "preproc.c" /* yacc.c:1646  */
    break;

  case 978:
#line 6592 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on function"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46538 "preproc.c" /* yacc.c:1646  */
    break;

  case 979:
#line 6596 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on operator"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46546 "preproc.c" /* yacc.c:1646  */
    break;

  case 980:
#line 6600 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on constraint"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46554 "preproc.c" /* yacc.c:1646  */
    break;

  case 981:
#line 6604 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on constraint"),(yyvsp[-5].str),mm_strdup("on domain"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46562 "preproc.c" /* yacc.c:1646  */
    break;

  case 982:
#line 6608 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("comment on"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46570 "preproc.c" /* yacc.c:1646  */
    break;

  case 983:
#line 6612 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on procedure"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46578 "preproc.c" /* yacc.c:1646  */
    break;

  case 984:
#line 6616 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on routine"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46586 "preproc.c" /* yacc.c:1646  */
    break;

  case 985:
#line 6620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on transform for"),(yyvsp[-4].str),mm_strdup("language"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46594 "preproc.c" /* yacc.c:1646  */
    break;

  case 986:
#line 6624 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator class"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46602 "preproc.c" /* yacc.c:1646  */
    break;

  case 987:
#line 6628 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator family"),(yyvsp[-4].str),mm_strdup("using"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46610 "preproc.c" /* yacc.c:1646  */
    break;

  case 988:
#line 6632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on large object"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46618 "preproc.c" /* yacc.c:1646  */
    break;

  case 989:
#line 6636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on cast ("),(yyvsp[-5].str),mm_strdup("as"),(yyvsp[-3].str),mm_strdup(") is"),(yyvsp[0].str));
}
#line 46626 "preproc.c" /* yacc.c:1646  */
    break;

  case 990:
#line 6644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46634 "preproc.c" /* yacc.c:1646  */
    break;

  case 991:
#line 6648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 46642 "preproc.c" /* yacc.c:1646  */
    break;

  case 992:
#line 6656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46650 "preproc.c" /* yacc.c:1646  */
    break;

  case 993:
#line 6660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on column"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46658 "preproc.c" /* yacc.c:1646  */
    break;

  case 994:
#line 6664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46666 "preproc.c" /* yacc.c:1646  */
    break;

  case 995:
#line 6668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on type"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46674 "preproc.c" /* yacc.c:1646  */
    break;

  case 996:
#line 6672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on domain"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46682 "preproc.c" /* yacc.c:1646  */
    break;

  case 997:
#line 6676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on aggregate"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46690 "preproc.c" /* yacc.c:1646  */
    break;

  case 998:
#line 6680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on function"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46698 "preproc.c" /* yacc.c:1646  */
    break;

  case 999:
#line 6684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-6].str),mm_strdup("on large object"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46706 "preproc.c" /* yacc.c:1646  */
    break;

  case 1000:
#line 6688 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on procedure"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46714 "preproc.c" /* yacc.c:1646  */
    break;

  case 1001:
#line 6692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[-5].str),mm_strdup("on routine"),(yyvsp[-2].str),mm_strdup("is"),(yyvsp[0].str));
}
#line 46722 "preproc.c" /* yacc.c:1646  */
    break;

  case 1002:
#line 6700 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[0].str));
}
#line 46730 "preproc.c" /* yacc.c:1646  */
    break;

  case 1003:
#line 6704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 46737 "preproc.c" /* yacc.c:1646  */
    break;

  case 1004:
#line 6711 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 46745 "preproc.c" /* yacc.c:1646  */
    break;

  case 1005:
#line 6715 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 46753 "preproc.c" /* yacc.c:1646  */
    break;

  case 1006:
#line 6723 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("fetch"),(yyvsp[0].str));
}
#line 46761 "preproc.c" /* yacc.c:1646  */
    break;

  case 1007:
#line 6727 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("move"),(yyvsp[0].str));
}
#line 46769 "preproc.c" /* yacc.c:1646  */
    break;

  case 1008:
#line 6731 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.str) = cat2_str(mm_strdup("fetch"), (yyvsp[-1].str));
	}
#line 46777 "preproc.c" /* yacc.c:1646  */
    break;

  case 1009:
#line 6735 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		struct cursor *ptr = add_additional_variables((yyvsp[-1].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		(yyval.str) = cat_str(2, mm_strdup("fetch forward"), cursor_marker);
	}
#line 46790 "preproc.c" /* yacc.c:1646  */
    break;

  case 1010:
#line 6744 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		struct cursor *ptr = add_additional_variables((yyvsp[-1].str), false);
			if (ptr -> connection)
				connection = mm_strdup(ptr -> connection);

		(yyval.str) = cat_str(2, mm_strdup("fetch forward from"), cursor_marker);
	}
#line 46803 "preproc.c" /* yacc.c:1646  */
    break;

  case 1011:
#line 6753 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		struct cursor *ptr = add_additional_variables((yyvsp[-1].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		(yyval.str) = cat_str(2, mm_strdup("fetch backward"), cursor_marker);
	}
#line 46816 "preproc.c" /* yacc.c:1646  */
    break;

  case 1012:
#line 6762 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[-1].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[-1].str);
		struct cursor *ptr = add_additional_variables((yyvsp[-1].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		(yyval.str) = cat_str(2, mm_strdup("fetch backward from"), cursor_marker);
	}
#line 46829 "preproc.c" /* yacc.c:1646  */
    break;

  case 1013:
#line 6771 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		(yyval.str) = cat_str(2, mm_strdup("move forward"), cursor_marker);
	}
#line 46842 "preproc.c" /* yacc.c:1646  */
    break;

  case 1014:
#line 6780 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		(yyval.str) = cat_str(2, mm_strdup("move forward from"), cursor_marker);
	}
#line 46855 "preproc.c" /* yacc.c:1646  */
    break;

  case 1015:
#line 6789 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		(yyval.str) = cat_str(2, mm_strdup("move backward"), cursor_marker);
	}
#line 46868 "preproc.c" /* yacc.c:1646  */
    break;

  case 1016:
#line 6798 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		(yyval.str) = cat_str(2, mm_strdup("move backward from"), cursor_marker);
	}
#line 46881 "preproc.c" /* yacc.c:1646  */
    break;

  case 1017:
#line 6811 "preproc.y" /* yacc.c:1646  */
    { 
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[0].str);
}
#line 46899 "preproc.c" /* yacc.c:1646  */
    break;

  case 1018:
#line 6825 "preproc.y" /* yacc.c:1646  */
    { 
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46917 "preproc.c" /* yacc.c:1646  */
    break;

  case 1019:
#line 6839 "preproc.y" /* yacc.c:1646  */
    { 
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("next"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46935 "preproc.c" /* yacc.c:1646  */
    break;

  case 1020:
#line 6853 "preproc.y" /* yacc.c:1646  */
    { 
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("prior"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46953 "preproc.c" /* yacc.c:1646  */
    break;

  case 1021:
#line 6867 "preproc.y" /* yacc.c:1646  */
    { 
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("first"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46971 "preproc.c" /* yacc.c:1646  */
    break;

  case 1022:
#line 6881 "preproc.y" /* yacc.c:1646  */
    { 
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("last"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 46989 "preproc.c" /* yacc.c:1646  */
    break;

  case 1023:
#line 6895 "preproc.y" /* yacc.c:1646  */
    { 
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("absolute"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47012 "preproc.c" /* yacc.c:1646  */
    break;

  case 1024:
#line 6914 "preproc.y" /* yacc.c:1646  */
    { 
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("relative"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47035 "preproc.c" /* yacc.c:1646  */
    break;

  case 1025:
#line 6933 "preproc.y" /* yacc.c:1646  */
    { 
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47058 "preproc.c" /* yacc.c:1646  */
    break;

  case 1026:
#line 6952 "preproc.y" /* yacc.c:1646  */
    { 
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47076 "preproc.c" /* yacc.c:1646  */
    break;

  case 1027:
#line 6966 "preproc.y" /* yacc.c:1646  */
    { 
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("forward"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47099 "preproc.c" /* yacc.c:1646  */
    break;

  case 1028:
#line 6985 "preproc.y" /* yacc.c:1646  */
    { 
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("forward all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47117 "preproc.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 6999 "preproc.y" /* yacc.c:1646  */
    { 
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}
		if ((yyvsp[-2].str)[0] == '$')
		{
			free((yyvsp[-2].str));
			(yyvsp[-2].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("backward"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47140 "preproc.c" /* yacc.c:1646  */
    break;

  case 1030:
#line 7018 "preproc.y" /* yacc.c:1646  */
    { 
		struct cursor *ptr = add_additional_variables((yyvsp[0].str), false);
		if (ptr -> connection)
			connection = mm_strdup(ptr -> connection);

		if ((yyvsp[0].str)[0] == ':')
		{
			free((yyvsp[0].str));
			(yyvsp[0].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("backward all"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47158 "preproc.c" /* yacc.c:1646  */
    break;

  case 1031:
#line 7036 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 47166 "preproc.c" /* yacc.c:1646  */
    break;

  case 1032:
#line 7040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 47174 "preproc.c" /* yacc.c:1646  */
    break;

  case 1033:
#line 7048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47182 "preproc.c" /* yacc.c:1646  */
    break;

  case 1034:
#line 7052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47189 "preproc.c" /* yacc.c:1646  */
    break;

  case 1035:
#line 7059 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("grant"),(yyvsp[-6].str),mm_strdup("on"),(yyvsp[-4].str),mm_strdup("to"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47197 "preproc.c" /* yacc.c:1646  */
    break;

  case 1036:
#line 7067 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("revoke"),(yyvsp[-6].str),mm_strdup("on"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47205 "preproc.c" /* yacc.c:1646  */
    break;

  case 1037:
#line 7071 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("revoke grant option for"),(yyvsp[-6].str),mm_strdup("on"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47213 "preproc.c" /* yacc.c:1646  */
    break;

  case 1038:
#line 7079 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47221 "preproc.c" /* yacc.c:1646  */
    break;

  case 1039:
#line 7083 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 47229 "preproc.c" /* yacc.c:1646  */
    break;

  case 1040:
#line 7087 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all privileges");
}
#line 47237 "preproc.c" /* yacc.c:1646  */
    break;

  case 1041:
#line 7091 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("all ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47245 "preproc.c" /* yacc.c:1646  */
    break;

  case 1042:
#line 7095 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("all privileges ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47253 "preproc.c" /* yacc.c:1646  */
    break;

  case 1043:
#line 7103 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47261 "preproc.c" /* yacc.c:1646  */
    break;

  case 1044:
#line 7107 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 47269 "preproc.c" /* yacc.c:1646  */
    break;

  case 1045:
#line 7115 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("select"),(yyvsp[0].str));
}
#line 47277 "preproc.c" /* yacc.c:1646  */
    break;

  case 1046:
#line 7119 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("references"),(yyvsp[0].str));
}
#line 47285 "preproc.c" /* yacc.c:1646  */
    break;

  case 1047:
#line 7123 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("create"),(yyvsp[0].str));
}
#line 47293 "preproc.c" /* yacc.c:1646  */
    break;

  case 1048:
#line 7127 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("alter system");
}
#line 47301 "preproc.c" /* yacc.c:1646  */
    break;

  case 1049:
#line 7131 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47309 "preproc.c" /* yacc.c:1646  */
    break;

  case 1050:
#line 7139 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47317 "preproc.c" /* yacc.c:1646  */
    break;

  case 1051:
#line 7143 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 47325 "preproc.c" /* yacc.c:1646  */
    break;

  case 1052:
#line 7151 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47333 "preproc.c" /* yacc.c:1646  */
    break;

  case 1053:
#line 7155 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 47341 "preproc.c" /* yacc.c:1646  */
    break;

  case 1054:
#line 7163 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47349 "preproc.c" /* yacc.c:1646  */
    break;

  case 1055:
#line 7167 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 47357 "preproc.c" /* yacc.c:1646  */
    break;

  case 1056:
#line 7171 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("sequence"),(yyvsp[0].str));
}
#line 47365 "preproc.c" /* yacc.c:1646  */
    break;

  case 1057:
#line 7175 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign data wrapper"),(yyvsp[0].str));
}
#line 47373 "preproc.c" /* yacc.c:1646  */
    break;

  case 1058:
#line 7179 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign server"),(yyvsp[0].str));
}
#line 47381 "preproc.c" /* yacc.c:1646  */
    break;

  case 1059:
#line 7183 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("function"),(yyvsp[0].str));
}
#line 47389 "preproc.c" /* yacc.c:1646  */
    break;

  case 1060:
#line 7187 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("procedure"),(yyvsp[0].str));
}
#line 47397 "preproc.c" /* yacc.c:1646  */
    break;

  case 1061:
#line 7191 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("routine"),(yyvsp[0].str));
}
#line 47405 "preproc.c" /* yacc.c:1646  */
    break;

  case 1062:
#line 7195 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("database"),(yyvsp[0].str));
}
#line 47413 "preproc.c" /* yacc.c:1646  */
    break;

  case 1063:
#line 7199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("domain"),(yyvsp[0].str));
}
#line 47421 "preproc.c" /* yacc.c:1646  */
    break;

  case 1064:
#line 7203 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 47429 "preproc.c" /* yacc.c:1646  */
    break;

  case 1065:
#line 7207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("large object"),(yyvsp[0].str));
}
#line 47437 "preproc.c" /* yacc.c:1646  */
    break;

  case 1066:
#line 7211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("parameter"),(yyvsp[0].str));
}
#line 47445 "preproc.c" /* yacc.c:1646  */
    break;

  case 1067:
#line 7215 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[0].str));
}
#line 47453 "preproc.c" /* yacc.c:1646  */
    break;

  case 1068:
#line 7219 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[0].str));
}
#line 47461 "preproc.c" /* yacc.c:1646  */
    break;

  case 1069:
#line 7223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[0].str));
}
#line 47469 "preproc.c" /* yacc.c:1646  */
    break;

  case 1070:
#line 7227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all tables in schema"),(yyvsp[0].str));
}
#line 47477 "preproc.c" /* yacc.c:1646  */
    break;

  case 1071:
#line 7231 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all sequences in schema"),(yyvsp[0].str));
}
#line 47485 "preproc.c" /* yacc.c:1646  */
    break;

  case 1072:
#line 7235 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all functions in schema"),(yyvsp[0].str));
}
#line 47493 "preproc.c" /* yacc.c:1646  */
    break;

  case 1073:
#line 7239 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all procedures in schema"),(yyvsp[0].str));
}
#line 47501 "preproc.c" /* yacc.c:1646  */
    break;

  case 1074:
#line 7243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("all routines in schema"),(yyvsp[0].str));
}
#line 47509 "preproc.c" /* yacc.c:1646  */
    break;

  case 1075:
#line 7251 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47517 "preproc.c" /* yacc.c:1646  */
    break;

  case 1076:
#line 7255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 47525 "preproc.c" /* yacc.c:1646  */
    break;

  case 1077:
#line 7263 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47533 "preproc.c" /* yacc.c:1646  */
    break;

  case 1078:
#line 7267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("group"),(yyvsp[0].str));
}
#line 47541 "preproc.c" /* yacc.c:1646  */
    break;

  case 1079:
#line 7275 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with grant option");
}
#line 47549 "preproc.c" /* yacc.c:1646  */
    break;

  case 1080:
#line 7279 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47556 "preproc.c" /* yacc.c:1646  */
    break;

  case 1081:
#line 7286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("grant"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47564 "preproc.c" /* yacc.c:1646  */
    break;

  case 1082:
#line 7290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[-5].str),mm_strdup("to"),(yyvsp[-3].str),mm_strdup("with"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47572 "preproc.c" /* yacc.c:1646  */
    break;

  case 1083:
#line 7298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47580 "preproc.c" /* yacc.c:1646  */
    break;

  case 1084:
#line 7302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("revoke"),(yyvsp[-7].str),mm_strdup("option for"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47588 "preproc.c" /* yacc.c:1646  */
    break;

  case 1085:
#line 7310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 47596 "preproc.c" /* yacc.c:1646  */
    break;

  case 1086:
#line 7314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47604 "preproc.c" /* yacc.c:1646  */
    break;

  case 1087:
#line 7322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47612 "preproc.c" /* yacc.c:1646  */
    break;

  case 1088:
#line 7330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("option");
}
#line 47620 "preproc.c" /* yacc.c:1646  */
    break;

  case 1089:
#line 7334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 47628 "preproc.c" /* yacc.c:1646  */
    break;

  case 1090:
#line 7338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 47636 "preproc.c" /* yacc.c:1646  */
    break;

  case 1091:
#line 7346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("granted by"),(yyvsp[0].str));
}
#line 47644 "preproc.c" /* yacc.c:1646  */
    break;

  case 1092:
#line 7350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47651 "preproc.c" /* yacc.c:1646  */
    break;

  case 1093:
#line 7357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter default privileges"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47659 "preproc.c" /* yacc.c:1646  */
    break;

  case 1094:
#line 7365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47667 "preproc.c" /* yacc.c:1646  */
    break;

  case 1095:
#line 7369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47674 "preproc.c" /* yacc.c:1646  */
    break;

  case 1096:
#line 7376 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("in schema"),(yyvsp[0].str));
}
#line 47682 "preproc.c" /* yacc.c:1646  */
    break;

  case 1097:
#line 7380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for role"),(yyvsp[0].str));
}
#line 47690 "preproc.c" /* yacc.c:1646  */
    break;

  case 1098:
#line 7384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for user"),(yyvsp[0].str));
}
#line 47698 "preproc.c" /* yacc.c:1646  */
    break;

  case 1099:
#line 7392 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47706 "preproc.c" /* yacc.c:1646  */
    break;

  case 1100:
#line 7396 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47714 "preproc.c" /* yacc.c:1646  */
    break;

  case 1101:
#line 7400 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("from"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47722 "preproc.c" /* yacc.c:1646  */
    break;

  case 1102:
#line 7408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tables");
}
#line 47730 "preproc.c" /* yacc.c:1646  */
    break;

  case 1103:
#line 7412 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("functions");
}
#line 47738 "preproc.c" /* yacc.c:1646  */
    break;

  case 1104:
#line 7416 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("routines");
}
#line 47746 "preproc.c" /* yacc.c:1646  */
    break;

  case 1105:
#line 7420 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequences");
}
#line 47754 "preproc.c" /* yacc.c:1646  */
    break;

  case 1106:
#line 7424 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("types");
}
#line 47762 "preproc.c" /* yacc.c:1646  */
    break;

  case 1107:
#line 7428 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schemas");
}
#line 47770 "preproc.c" /* yacc.c:1646  */
    break;

  case 1108:
#line 7436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(16,mm_strdup("create"),(yyvsp[-14].str),mm_strdup("index"),(yyvsp[-12].str),(yyvsp[-11].str),mm_strdup("on"),(yyvsp[-9].str),(yyvsp[-8].str),mm_strdup("("),(yyvsp[-6].str),mm_strdup(")"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47778 "preproc.c" /* yacc.c:1646  */
    break;

  case 1109:
#line 7440 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(17,mm_strdup("create"),(yyvsp[-17].str),mm_strdup("index"),(yyvsp[-15].str),mm_strdup("if not exists"),(yyvsp[-11].str),mm_strdup("on"),(yyvsp[-9].str),(yyvsp[-8].str),mm_strdup("("),(yyvsp[-6].str),mm_strdup(")"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47786 "preproc.c" /* yacc.c:1646  */
    break;

  case 1110:
#line 7448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unique");
}
#line 47794 "preproc.c" /* yacc.c:1646  */
    break;

  case 1111:
#line 7452 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47801 "preproc.c" /* yacc.c:1646  */
    break;

  case 1112:
#line 7459 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 47809 "preproc.c" /* yacc.c:1646  */
    break;

  case 1113:
#line 7463 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47816 "preproc.c" /* yacc.c:1646  */
    break;

  case 1114:
#line 7470 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47824 "preproc.c" /* yacc.c:1646  */
    break;

  case 1115:
#line 7474 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 47832 "preproc.c" /* yacc.c:1646  */
    break;

  case 1116:
#line 7482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47840 "preproc.c" /* yacc.c:1646  */
    break;

  case 1117:
#line 7486 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47848 "preproc.c" /* yacc.c:1646  */
    break;

  case 1118:
#line 7494 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47856 "preproc.c" /* yacc.c:1646  */
    break;

  case 1119:
#line 7498 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47864 "preproc.c" /* yacc.c:1646  */
    break;

  case 1120:
#line 7502 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 47872 "preproc.c" /* yacc.c:1646  */
    break;

  case 1121:
#line 7510 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("include ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 47880 "preproc.c" /* yacc.c:1646  */
    break;

  case 1122:
#line 7514 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47887 "preproc.c" /* yacc.c:1646  */
    break;

  case 1123:
#line 7521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 47895 "preproc.c" /* yacc.c:1646  */
    break;

  case 1124:
#line 7525 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 47903 "preproc.c" /* yacc.c:1646  */
    break;

  case 1125:
#line 7533 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[0].str));
}
#line 47911 "preproc.c" /* yacc.c:1646  */
    break;

  case 1126:
#line 7537 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47918 "preproc.c" /* yacc.c:1646  */
    break;

  case 1127:
#line 7544 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asc");
}
#line 47926 "preproc.c" /* yacc.c:1646  */
    break;

  case 1128:
#line 7548 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("desc");
}
#line 47934 "preproc.c" /* yacc.c:1646  */
    break;

  case 1129:
#line 7552 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47941 "preproc.c" /* yacc.c:1646  */
    break;

  case 1130:
#line 7559 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls first");
}
#line 47949 "preproc.c" /* yacc.c:1646  */
    break;

  case 1131:
#line 7563 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls last");
}
#line 47957 "preproc.c" /* yacc.c:1646  */
    break;

  case 1132:
#line 7567 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 47964 "preproc.c" /* yacc.c:1646  */
    break;

  case 1133:
#line 7574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("function"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("returns"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47972 "preproc.c" /* yacc.c:1646  */
    break;

  case 1134:
#line 7578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("function"),(yyvsp[-8].str),(yyvsp[-7].str),mm_strdup("returns table ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47980 "preproc.c" /* yacc.c:1646  */
    break;

  case 1135:
#line 7582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-5].str),mm_strdup("function"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47988 "preproc.c" /* yacc.c:1646  */
    break;

  case 1136:
#line 7586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[-5].str),mm_strdup("procedure"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 47996 "preproc.c" /* yacc.c:1646  */
    break;

  case 1137:
#line 7594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("or replace");
}
#line 48004 "preproc.c" /* yacc.c:1646  */
    break;

  case 1138:
#line 7598 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48011 "preproc.c" /* yacc.c:1646  */
    break;

  case 1139:
#line 7605 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48019 "preproc.c" /* yacc.c:1646  */
    break;

  case 1140:
#line 7609 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 48027 "preproc.c" /* yacc.c:1646  */
    break;

  case 1141:
#line 7617 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48035 "preproc.c" /* yacc.c:1646  */
    break;

  case 1142:
#line 7621 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 48043 "preproc.c" /* yacc.c:1646  */
    break;

  case 1143:
#line 7629 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48051 "preproc.c" /* yacc.c:1646  */
    break;

  case 1144:
#line 7633 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 48059 "preproc.c" /* yacc.c:1646  */
    break;

  case 1145:
#line 7641 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48067 "preproc.c" /* yacc.c:1646  */
    break;

  case 1146:
#line 7645 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48075 "preproc.c" /* yacc.c:1646  */
    break;

  case 1147:
#line 7649 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48083 "preproc.c" /* yacc.c:1646  */
    break;

  case 1148:
#line 7653 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48091 "preproc.c" /* yacc.c:1646  */
    break;

  case 1149:
#line 7661 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48099 "preproc.c" /* yacc.c:1646  */
    break;

  case 1150:
#line 7665 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 48107 "preproc.c" /* yacc.c:1646  */
    break;

  case 1151:
#line 7673 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48115 "preproc.c" /* yacc.c:1646  */
    break;

  case 1152:
#line 7677 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 48123 "preproc.c" /* yacc.c:1646  */
    break;

  case 1153:
#line 7685 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48131 "preproc.c" /* yacc.c:1646  */
    break;

  case 1154:
#line 7689 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48139 "preproc.c" /* yacc.c:1646  */
    break;

  case 1155:
#line 7693 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48147 "preproc.c" /* yacc.c:1646  */
    break;

  case 1156:
#line 7697 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48155 "preproc.c" /* yacc.c:1646  */
    break;

  case 1157:
#line 7701 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48163 "preproc.c" /* yacc.c:1646  */
    break;

  case 1158:
#line 7709 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 48171 "preproc.c" /* yacc.c:1646  */
    break;

  case 1159:
#line 7713 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("out");
}
#line 48179 "preproc.c" /* yacc.c:1646  */
    break;

  case 1160:
#line 7717 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inout");
}
#line 48187 "preproc.c" /* yacc.c:1646  */
    break;

  case 1161:
#line 7721 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in out");
}
#line 48195 "preproc.c" /* yacc.c:1646  */
    break;

  case 1162:
#line 7725 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("variadic");
}
#line 48203 "preproc.c" /* yacc.c:1646  */
    break;

  case 1163:
#line 7733 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48211 "preproc.c" /* yacc.c:1646  */
    break;

  case 1164:
#line 7741 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48219 "preproc.c" /* yacc.c:1646  */
    break;

  case 1165:
#line 7749 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48227 "preproc.c" /* yacc.c:1646  */
    break;

  case 1166:
#line 7753 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("% type"));
}
#line 48235 "preproc.c" /* yacc.c:1646  */
    break;

  case 1167:
#line 7757 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("setof"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("% type"));
}
#line 48243 "preproc.c" /* yacc.c:1646  */
    break;

  case 1168:
#line 7765 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48251 "preproc.c" /* yacc.c:1646  */
    break;

  case 1169:
#line 7769 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("default"),(yyvsp[0].str));
}
#line 48259 "preproc.c" /* yacc.c:1646  */
    break;

  case 1170:
#line 7773 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 48267 "preproc.c" /* yacc.c:1646  */
    break;

  case 1171:
#line 7781 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48275 "preproc.c" /* yacc.c:1646  */
    break;

  case 1172:
#line 7789 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( * )");
}
#line 48283 "preproc.c" /* yacc.c:1646  */
    break;

  case 1173:
#line 7793 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48291 "preproc.c" /* yacc.c:1646  */
    break;

  case 1174:
#line 7797 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("( order by"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48299 "preproc.c" /* yacc.c:1646  */
    break;

  case 1175:
#line 7801 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-4].str),mm_strdup("order by"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48307 "preproc.c" /* yacc.c:1646  */
    break;

  case 1176:
#line 7809 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48315 "preproc.c" /* yacc.c:1646  */
    break;

  case 1177:
#line 7813 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 48323 "preproc.c" /* yacc.c:1646  */
    break;

  case 1178:
#line 7821 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48331 "preproc.c" /* yacc.c:1646  */
    break;

  case 1179:
#line 7829 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48339 "preproc.c" /* yacc.c:1646  */
    break;

  case 1180:
#line 7833 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 48347 "preproc.c" /* yacc.c:1646  */
    break;

  case 1181:
#line 7841 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48355 "preproc.c" /* yacc.c:1646  */
    break;

  case 1182:
#line 7845 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48362 "preproc.c" /* yacc.c:1646  */
    break;

  case 1183:
#line 7852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48370 "preproc.c" /* yacc.c:1646  */
    break;

  case 1184:
#line 7856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48378 "preproc.c" /* yacc.c:1646  */
    break;

  case 1185:
#line 7864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("called on null input");
}
#line 48386 "preproc.c" /* yacc.c:1646  */
    break;

  case 1186:
#line 7868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returns null on null input");
}
#line 48394 "preproc.c" /* yacc.c:1646  */
    break;

  case 1187:
#line 7872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strict");
}
#line 48402 "preproc.c" /* yacc.c:1646  */
    break;

  case 1188:
#line 7876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immutable");
}
#line 48410 "preproc.c" /* yacc.c:1646  */
    break;

  case 1189:
#line 7880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stable");
}
#line 48418 "preproc.c" /* yacc.c:1646  */
    break;

  case 1190:
#line 7884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("volatile");
}
#line 48426 "preproc.c" /* yacc.c:1646  */
    break;

  case 1191:
#line 7888 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external security definer");
}
#line 48434 "preproc.c" /* yacc.c:1646  */
    break;

  case 1192:
#line 7892 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external security invoker");
}
#line 48442 "preproc.c" /* yacc.c:1646  */
    break;

  case 1193:
#line 7896 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security definer");
}
#line 48450 "preproc.c" /* yacc.c:1646  */
    break;

  case 1194:
#line 7900 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security invoker");
}
#line 48458 "preproc.c" /* yacc.c:1646  */
    break;

  case 1195:
#line 7904 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leakproof");
}
#line 48466 "preproc.c" /* yacc.c:1646  */
    break;

  case 1196:
#line 7908 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not leakproof");
}
#line 48474 "preproc.c" /* yacc.c:1646  */
    break;

  case 1197:
#line 7912 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cost"),(yyvsp[0].str));
}
#line 48482 "preproc.c" /* yacc.c:1646  */
    break;

  case 1198:
#line 7916 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[0].str));
}
#line 48490 "preproc.c" /* yacc.c:1646  */
    break;

  case 1199:
#line 7920 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("support"),(yyvsp[0].str));
}
#line 48498 "preproc.c" /* yacc.c:1646  */
    break;

  case 1200:
#line 7924 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48506 "preproc.c" /* yacc.c:1646  */
    break;

  case 1201:
#line 7928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("parallel"),(yyvsp[0].str));
}
#line 48514 "preproc.c" /* yacc.c:1646  */
    break;

  case 1202:
#line 7936 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 48522 "preproc.c" /* yacc.c:1646  */
    break;

  case 1203:
#line 7940 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 48530 "preproc.c" /* yacc.c:1646  */
    break;

  case 1204:
#line 7944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("transform"),(yyvsp[0].str));
}
#line 48538 "preproc.c" /* yacc.c:1646  */
    break;

  case 1205:
#line 7948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("window");
}
#line 48546 "preproc.c" /* yacc.c:1646  */
    break;

  case 1206:
#line 7952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48554 "preproc.c" /* yacc.c:1646  */
    break;

  case 1207:
#line 7960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48562 "preproc.c" /* yacc.c:1646  */
    break;

  case 1208:
#line 7964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 48570 "preproc.c" /* yacc.c:1646  */
    break;

  case 1209:
#line 7972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("return"),(yyvsp[0].str));
}
#line 48578 "preproc.c" /* yacc.c:1646  */
    break;

  case 1210:
#line 7980 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48586 "preproc.c" /* yacc.c:1646  */
    break;

  case 1211:
#line 7984 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("begin atomic"),(yyvsp[-1].str),mm_strdup("end"));
}
#line 48594 "preproc.c" /* yacc.c:1646  */
    break;

  case 1212:
#line 7988 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48601 "preproc.c" /* yacc.c:1646  */
    break;

  case 1213:
#line 7995 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(";"));
}
#line 48609 "preproc.c" /* yacc.c:1646  */
    break;

  case 1214:
#line 7999 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48616 "preproc.c" /* yacc.c:1646  */
    break;

  case 1215:
#line 8006 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48624 "preproc.c" /* yacc.c:1646  */
    break;

  case 1216:
#line 8010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48632 "preproc.c" /* yacc.c:1646  */
    break;

  case 1217:
#line 8018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("for type"),(yyvsp[0].str));
}
#line 48640 "preproc.c" /* yacc.c:1646  */
    break;

  case 1218:
#line 8022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup(", for type"),(yyvsp[0].str));
}
#line 48648 "preproc.c" /* yacc.c:1646  */
    break;

  case 1219:
#line 8030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 48656 "preproc.c" /* yacc.c:1646  */
    break;

  case 1220:
#line 8034 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48663 "preproc.c" /* yacc.c:1646  */
    break;

  case 1221:
#line 8041 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48671 "preproc.c" /* yacc.c:1646  */
    break;

  case 1222:
#line 8049 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48679 "preproc.c" /* yacc.c:1646  */
    break;

  case 1223:
#line 8053 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 48687 "preproc.c" /* yacc.c:1646  */
    break;

  case 1224:
#line 8061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48695 "preproc.c" /* yacc.c:1646  */
    break;

  case 1225:
#line 8065 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter procedure"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48703 "preproc.c" /* yacc.c:1646  */
    break;

  case 1226:
#line 8069 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter routine"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48711 "preproc.c" /* yacc.c:1646  */
    break;

  case 1227:
#line 8077 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48719 "preproc.c" /* yacc.c:1646  */
    break;

  case 1228:
#line 8081 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48727 "preproc.c" /* yacc.c:1646  */
    break;

  case 1229:
#line 8089 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 48735 "preproc.c" /* yacc.c:1646  */
    break;

  case 1230:
#line 8093 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48742 "preproc.c" /* yacc.c:1646  */
    break;

  case 1231:
#line 8100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop function"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48750 "preproc.c" /* yacc.c:1646  */
    break;

  case 1232:
#line 8104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop function if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48758 "preproc.c" /* yacc.c:1646  */
    break;

  case 1233:
#line 8108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop procedure"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48766 "preproc.c" /* yacc.c:1646  */
    break;

  case 1234:
#line 8112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop procedure if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48774 "preproc.c" /* yacc.c:1646  */
    break;

  case 1235:
#line 8116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop routine"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48782 "preproc.c" /* yacc.c:1646  */
    break;

  case 1236:
#line 8120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop routine if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48790 "preproc.c" /* yacc.c:1646  */
    break;

  case 1237:
#line 8128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop aggregate"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48798 "preproc.c" /* yacc.c:1646  */
    break;

  case 1238:
#line 8132 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop aggregate if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48806 "preproc.c" /* yacc.c:1646  */
    break;

  case 1239:
#line 8140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop operator"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48814 "preproc.c" /* yacc.c:1646  */
    break;

  case 1240:
#line 8144 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop operator if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48822 "preproc.c" /* yacc.c:1646  */
    break;

  case 1241:
#line 8152 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48830 "preproc.c" /* yacc.c:1646  */
    break;

  case 1242:
#line 8156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48838 "preproc.c" /* yacc.c:1646  */
    break;

  case 1243:
#line 8160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("( none ,"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 48846 "preproc.c" /* yacc.c:1646  */
    break;

  case 1244:
#line 8164 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-3].str),mm_strdup(", none )"));
}
#line 48854 "preproc.c" /* yacc.c:1646  */
    break;

  case 1245:
#line 8172 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48862 "preproc.c" /* yacc.c:1646  */
    break;

  case 1246:
#line 8176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("."),(yyvsp[0].str));
}
#line 48870 "preproc.c" /* yacc.c:1646  */
    break;

  case 1247:
#line 8184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48878 "preproc.c" /* yacc.c:1646  */
    break;

  case 1248:
#line 8188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 48886 "preproc.c" /* yacc.c:1646  */
    break;

  case 1249:
#line 8196 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48894 "preproc.c" /* yacc.c:1646  */
    break;

  case 1250:
#line 8204 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("do"),(yyvsp[0].str));
}
#line 48902 "preproc.c" /* yacc.c:1646  */
    break;

  case 1251:
#line 8212 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48910 "preproc.c" /* yacc.c:1646  */
    break;

  case 1252:
#line 8216 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48918 "preproc.c" /* yacc.c:1646  */
    break;

  case 1253:
#line 8224 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 48926 "preproc.c" /* yacc.c:1646  */
    break;

  case 1254:
#line 8228 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[0].str));
}
#line 48934 "preproc.c" /* yacc.c:1646  */
    break;

  case 1255:
#line 8236 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create cast ("),(yyvsp[-7].str),mm_strdup("as"),(yyvsp[-5].str),mm_strdup(") with function"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 48942 "preproc.c" /* yacc.c:1646  */
    break;

  case 1256:
#line 8240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[-6].str),mm_strdup("as"),(yyvsp[-4].str),mm_strdup(") without function"),(yyvsp[0].str));
}
#line 48950 "preproc.c" /* yacc.c:1646  */
    break;

  case 1257:
#line 8244 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[-6].str),mm_strdup("as"),(yyvsp[-4].str),mm_strdup(") with inout"),(yyvsp[0].str));
}
#line 48958 "preproc.c" /* yacc.c:1646  */
    break;

  case 1258:
#line 8252 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as implicit");
}
#line 48966 "preproc.c" /* yacc.c:1646  */
    break;

  case 1259:
#line 8256 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as assignment");
}
#line 48974 "preproc.c" /* yacc.c:1646  */
    break;

  case 1260:
#line 8260 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 48981 "preproc.c" /* yacc.c:1646  */
    break;

  case 1261:
#line 8267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("drop cast"),(yyvsp[-6].str),mm_strdup("("),(yyvsp[-4].str),mm_strdup("as"),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 48989 "preproc.c" /* yacc.c:1646  */
    break;

  case 1262:
#line 8275 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if exists");
}
#line 48997 "preproc.c" /* yacc.c:1646  */
    break;

  case 1263:
#line 8279 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 49004 "preproc.c" /* yacc.c:1646  */
    break;

  case 1264:
#line 8286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("transform for"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49012 "preproc.c" /* yacc.c:1646  */
    break;

  case 1265:
#line 8294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("from sql with function"),(yyvsp[-6].str),mm_strdup(", to sql with function"),(yyvsp[0].str));
}
#line 49020 "preproc.c" /* yacc.c:1646  */
    break;

  case 1266:
#line 8298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("to sql with function"),(yyvsp[-6].str),mm_strdup(", from sql with function"),(yyvsp[0].str));
}
#line 49028 "preproc.c" /* yacc.c:1646  */
    break;

  case 1267:
#line 8302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from sql with function"),(yyvsp[0].str));
}
#line 49036 "preproc.c" /* yacc.c:1646  */
    break;

  case 1268:
#line 8306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("to sql with function"),(yyvsp[0].str));
}
#line 49044 "preproc.c" /* yacc.c:1646  */
    break;

  case 1269:
#line 8314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("drop transform"),(yyvsp[-5].str),mm_strdup("for"),(yyvsp[-3].str),mm_strdup("language"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49052 "preproc.c" /* yacc.c:1646  */
    break;

  case 1270:
#line 8322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("reindex"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49060 "preproc.c" /* yacc.c:1646  */
    break;

  case 1271:
#line 8326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("reindex"),(yyvsp[-3].str),mm_strdup("schema"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49068 "preproc.c" /* yacc.c:1646  */
    break;

  case 1272:
#line 8330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("reindex"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49076 "preproc.c" /* yacc.c:1646  */
    break;

  case 1273:
#line 8338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 49084 "preproc.c" /* yacc.c:1646  */
    break;

  case 1274:
#line 8342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 49092 "preproc.c" /* yacc.c:1646  */
    break;

  case 1275:
#line 8350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("system");
}
#line 49100 "preproc.c" /* yacc.c:1646  */
    break;

  case 1276:
#line 8354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 49108 "preproc.c" /* yacc.c:1646  */
    break;

  case 1277:
#line 8362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49116 "preproc.c" /* yacc.c:1646  */
    break;

  case 1278:
#line 8366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 49123 "preproc.c" /* yacc.c:1646  */
    break;

  case 1279:
#line 8373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 49131 "preproc.c" /* yacc.c:1646  */
    break;

  case 1280:
#line 8377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-2].str),mm_strdup("reset"),(yyvsp[0].str));
}
#line 49139 "preproc.c" /* yacc.c:1646  */
    break;

  case 1281:
#line 8385 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter aggregate"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49147 "preproc.c" /* yacc.c:1646  */
    break;

  case 1282:
#line 8389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49155 "preproc.c" /* yacc.c:1646  */
    break;

  case 1283:
#line 8393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49163 "preproc.c" /* yacc.c:1646  */
    break;

  case 1284:
#line 8397 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49171 "preproc.c" /* yacc.c:1646  */
    break;

  case 1285:
#line 8401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49179 "preproc.c" /* yacc.c:1646  */
    break;

  case 1286:
#line 8405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter domain"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 49187 "preproc.c" /* yacc.c:1646  */
    break;

  case 1287:
#line 8409 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49195 "preproc.c" /* yacc.c:1646  */
    break;

  case 1288:
#line 8413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49203 "preproc.c" /* yacc.c:1646  */
    break;

  case 1289:
#line 8417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter group"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49211 "preproc.c" /* yacc.c:1646  */
    break;

  case 1290:
#line 8421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49219 "preproc.c" /* yacc.c:1646  */
    break;

  case 1291:
#line 8425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49227 "preproc.c" /* yacc.c:1646  */
    break;

  case 1292:
#line 8429 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49235 "preproc.c" /* yacc.c:1646  */
    break;

  case 1293:
#line 8433 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter policy"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49243 "preproc.c" /* yacc.c:1646  */
    break;

  case 1294:
#line 8437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter policy if exists"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49251 "preproc.c" /* yacc.c:1646  */
    break;

  case 1295:
#line 8441 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter procedure"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49259 "preproc.c" /* yacc.c:1646  */
    break;

  case 1296:
#line 8445 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49267 "preproc.c" /* yacc.c:1646  */
    break;

  case 1297:
#line 8449 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter routine"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49275 "preproc.c" /* yacc.c:1646  */
    break;

  case 1298:
#line 8453 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49283 "preproc.c" /* yacc.c:1646  */
    break;

  case 1299:
#line 8457 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49291 "preproc.c" /* yacc.c:1646  */
    break;

  case 1300:
#line 8461 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49299 "preproc.c" /* yacc.c:1646  */
    break;

  case 1301:
#line 8465 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49307 "preproc.c" /* yacc.c:1646  */
    break;

  case 1302:
#line 8469 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49315 "preproc.c" /* yacc.c:1646  */
    break;

  case 1303:
#line 8473 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49323 "preproc.c" /* yacc.c:1646  */
    break;

  case 1304:
#line 8477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49331 "preproc.c" /* yacc.c:1646  */
    break;

  case 1305:
#line 8481 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49339 "preproc.c" /* yacc.c:1646  */
    break;

  case 1306:
#line 8485 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49347 "preproc.c" /* yacc.c:1646  */
    break;

  case 1307:
#line 8489 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49355 "preproc.c" /* yacc.c:1646  */
    break;

  case 1308:
#line 8493 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49363 "preproc.c" /* yacc.c:1646  */
    break;

  case 1309:
#line 8497 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49371 "preproc.c" /* yacc.c:1646  */
    break;

  case 1310:
#line 8501 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49379 "preproc.c" /* yacc.c:1646  */
    break;

  case 1311:
#line 8505 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49387 "preproc.c" /* yacc.c:1646  */
    break;

  case 1312:
#line 8509 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49395 "preproc.c" /* yacc.c:1646  */
    break;

  case 1313:
#line 8513 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 49403 "preproc.c" /* yacc.c:1646  */
    break;

  case 1314:
#line 8517 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 49411 "preproc.c" /* yacc.c:1646  */
    break;

  case 1315:
#line 8521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter view"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 49419 "preproc.c" /* yacc.c:1646  */
    break;

  case 1316:
#line 8525 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter view if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 49427 "preproc.c" /* yacc.c:1646  */
    break;

  case 1317:
#line 8529 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 49435 "preproc.c" /* yacc.c:1646  */
    break;

  case 1318:
#line 8533 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 49443 "preproc.c" /* yacc.c:1646  */
    break;

  case 1319:
#line 8537 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter table"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 49451 "preproc.c" /* yacc.c:1646  */
    break;

  case 1320:
#line 8541 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter table if exists"),(yyvsp[-5].str),mm_strdup("rename constraint"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 49459 "preproc.c" /* yacc.c:1646  */
    break;

  case 1321:
#line 8545 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 49467 "preproc.c" /* yacc.c:1646  */
    break;

  case 1322:
#line 8549 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table if exists"),(yyvsp[-5].str),mm_strdup("rename"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 49475 "preproc.c" /* yacc.c:1646  */
    break;

  case 1323:
#line 8553 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter rule"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49483 "preproc.c" /* yacc.c:1646  */
    break;

  case 1324:
#line 8557 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter trigger"),(yyvsp[-5].str),mm_strdup("on"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49491 "preproc.c" /* yacc.c:1646  */
    break;

  case 1325:
#line 8561 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49499 "preproc.c" /* yacc.c:1646  */
    break;

  case 1326:
#line 8565 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49507 "preproc.c" /* yacc.c:1646  */
    break;

  case 1327:
#line 8569 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49515 "preproc.c" /* yacc.c:1646  */
    break;

  case 1328:
#line 8573 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49523 "preproc.c" /* yacc.c:1646  */
    break;

  case 1329:
#line 8577 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter statistics"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49531 "preproc.c" /* yacc.c:1646  */
    break;

  case 1330:
#line 8581 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49539 "preproc.c" /* yacc.c:1646  */
    break;

  case 1331:
#line 8585 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49547 "preproc.c" /* yacc.c:1646  */
    break;

  case 1332:
#line 8589 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49555 "preproc.c" /* yacc.c:1646  */
    break;

  case 1333:
#line 8593 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49563 "preproc.c" /* yacc.c:1646  */
    break;

  case 1334:
#line 8597 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("rename to"),(yyvsp[0].str));
}
#line 49571 "preproc.c" /* yacc.c:1646  */
    break;

  case 1335:
#line 8601 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[-6].str),mm_strdup("rename attribute"),(yyvsp[-3].str),mm_strdup("to"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 49579 "preproc.c" /* yacc.c:1646  */
    break;

  case 1336:
#line 8609 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 49587 "preproc.c" /* yacc.c:1646  */
    break;

  case 1337:
#line 8613 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 49594 "preproc.c" /* yacc.c:1646  */
    break;

  case 1338:
#line 8620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set data");
}
#line 49602 "preproc.c" /* yacc.c:1646  */
    break;

  case 1339:
#line 8624 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 49609 "preproc.c" /* yacc.c:1646  */
    break;

  case 1340:
#line 8631 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter function"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 49617 "preproc.c" /* yacc.c:1646  */
    break;

  case 1341:
#line 8635 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter procedure"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 49625 "preproc.c" /* yacc.c:1646  */
    break;

  case 1342:
#line 8639 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter routine"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 49633 "preproc.c" /* yacc.c:1646  */
    break;

  case 1343:
#line 8643 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter trigger"),(yyvsp[-7].str),mm_strdup("on"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 49641 "preproc.c" /* yacc.c:1646  */
    break;

  case 1344:
#line 8647 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter materialized view"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 49649 "preproc.c" /* yacc.c:1646  */
    break;

  case 1345:
#line 8651 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter index"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("depends on extension"),(yyvsp[0].str));
}
#line 49657 "preproc.c" /* yacc.c:1646  */
    break;

  case 1346:
#line 8659 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no");
}
#line 49665 "preproc.c" /* yacc.c:1646  */
    break;

  case 1347:
#line 8663 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 49672 "preproc.c" /* yacc.c:1646  */
    break;

  case 1348:
#line 8670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter aggregate"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 49680 "preproc.c" /* yacc.c:1646  */
    break;

  case 1349:
#line 8674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 49688 "preproc.c" /* yacc.c:1646  */
    break;

  case 1350:
#line 8678 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 49696 "preproc.c" /* yacc.c:1646  */
    break;

  case 1351:
#line 8682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 49704 "preproc.c" /* yacc.c:1646  */
    break;

  case 1352:
#line 8686 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 49712 "preproc.c" /* yacc.c:1646  */
    break;

  case 1353:
#line 8690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 49720 "preproc.c" /* yacc.c:1646  */
    break;

  case 1354:
#line 8694 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter operator"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 49728 "preproc.c" /* yacc.c:1646  */
    break;

  case 1355:
#line 8698 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 49736 "preproc.c" /* yacc.c:1646  */
    break;

  case 1356:
#line 8702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 49744 "preproc.c" /* yacc.c:1646  */
    break;

  case 1357:
#line 8706 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter procedure"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 49752 "preproc.c" /* yacc.c:1646  */
    break;

  case 1358:
#line 8710 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter routine"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 49760 "preproc.c" /* yacc.c:1646  */
    break;

  case 1359:
#line 8714 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 49768 "preproc.c" /* yacc.c:1646  */
    break;

  case 1360:
#line 8718 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 49776 "preproc.c" /* yacc.c:1646  */
    break;

  case 1361:
#line 8722 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter statistics"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 49784 "preproc.c" /* yacc.c:1646  */
    break;

  case 1362:
#line 8726 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 49792 "preproc.c" /* yacc.c:1646  */
    break;

  case 1363:
#line 8730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 49800 "preproc.c" /* yacc.c:1646  */
    break;

  case 1364:
#line 8734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 49808 "preproc.c" /* yacc.c:1646  */
    break;

  case 1365:
#line 8738 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 49816 "preproc.c" /* yacc.c:1646  */
    break;

  case 1366:
#line 8742 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 49824 "preproc.c" /* yacc.c:1646  */
    break;

  case 1367:
#line 8746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 49832 "preproc.c" /* yacc.c:1646  */
    break;

  case 1368:
#line 8750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 49840 "preproc.c" /* yacc.c:1646  */
    break;

  case 1369:
#line 8754 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 49848 "preproc.c" /* yacc.c:1646  */
    break;

  case 1370:
#line 8758 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 49856 "preproc.c" /* yacc.c:1646  */
    break;

  case 1371:
#line 8762 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 49864 "preproc.c" /* yacc.c:1646  */
    break;

  case 1372:
#line 8766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 49872 "preproc.c" /* yacc.c:1646  */
    break;

  case 1373:
#line 8770 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 49880 "preproc.c" /* yacc.c:1646  */
    break;

  case 1374:
#line 8774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("set schema"),(yyvsp[0].str));
}
#line 49888 "preproc.c" /* yacc.c:1646  */
    break;

  case 1375:
#line 8782 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[-4].str),mm_strdup("set ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49896 "preproc.c" /* yacc.c:1646  */
    break;

  case 1376:
#line 8790 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49904 "preproc.c" /* yacc.c:1646  */
    break;

  case 1377:
#line 8794 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 49912 "preproc.c" /* yacc.c:1646  */
    break;

  case 1378:
#line 8802 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("= none"));
}
#line 49920 "preproc.c" /* yacc.c:1646  */
    break;

  case 1379:
#line 8806 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 49928 "preproc.c" /* yacc.c:1646  */
    break;

  case 1380:
#line 8810 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49936 "preproc.c" /* yacc.c:1646  */
    break;

  case 1381:
#line 8818 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49944 "preproc.c" /* yacc.c:1646  */
    break;

  case 1382:
#line 8822 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49952 "preproc.c" /* yacc.c:1646  */
    break;

  case 1383:
#line 8826 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49960 "preproc.c" /* yacc.c:1646  */
    break;

  case 1384:
#line 8830 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49968 "preproc.c" /* yacc.c:1646  */
    break;

  case 1385:
#line 8834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 49976 "preproc.c" /* yacc.c:1646  */
    break;

  case 1386:
#line 8842 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter type"),(yyvsp[-4].str),mm_strdup("set ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 49984 "preproc.c" /* yacc.c:1646  */
    break;

  case 1387:
#line 8850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter aggregate"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 49992 "preproc.c" /* yacc.c:1646  */
    break;

  case 1388:
#line 8854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50000 "preproc.c" /* yacc.c:1646  */
    break;

  case 1389:
#line 8858 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50008 "preproc.c" /* yacc.c:1646  */
    break;

  case 1390:
#line 8862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50016 "preproc.c" /* yacc.c:1646  */
    break;

  case 1391:
#line 8866 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50024 "preproc.c" /* yacc.c:1646  */
    break;

  case 1392:
#line 8870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50032 "preproc.c" /* yacc.c:1646  */
    break;

  case 1393:
#line 8874 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[-5].str),mm_strdup("language"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50040 "preproc.c" /* yacc.c:1646  */
    break;

  case 1394:
#line 8878 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter large object"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50048 "preproc.c" /* yacc.c:1646  */
    break;

  case 1395:
#line 8882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter operator"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50056 "preproc.c" /* yacc.c:1646  */
    break;

  case 1396:
#line 8886 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50064 "preproc.c" /* yacc.c:1646  */
    break;

  case 1397:
#line 8890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[-5].str),mm_strdup("using"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50072 "preproc.c" /* yacc.c:1646  */
    break;

  case 1398:
#line 8894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter procedure"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50080 "preproc.c" /* yacc.c:1646  */
    break;

  case 1399:
#line 8898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter routine"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50088 "preproc.c" /* yacc.c:1646  */
    break;

  case 1400:
#line 8902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50096 "preproc.c" /* yacc.c:1646  */
    break;

  case 1401:
#line 8906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50104 "preproc.c" /* yacc.c:1646  */
    break;

  case 1402:
#line 8910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50112 "preproc.c" /* yacc.c:1646  */
    break;

  case 1403:
#line 8914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter statistics"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50120 "preproc.c" /* yacc.c:1646  */
    break;

  case 1404:
#line 8918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50128 "preproc.c" /* yacc.c:1646  */
    break;

  case 1405:
#line 8922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50136 "preproc.c" /* yacc.c:1646  */
    break;

  case 1406:
#line 8926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50144 "preproc.c" /* yacc.c:1646  */
    break;

  case 1407:
#line 8930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50152 "preproc.c" /* yacc.c:1646  */
    break;

  case 1408:
#line 8934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50160 "preproc.c" /* yacc.c:1646  */
    break;

  case 1409:
#line 8938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50168 "preproc.c" /* yacc.c:1646  */
    break;

  case 1410:
#line 8942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-3].str),mm_strdup("owner to"),(yyvsp[0].str));
}
#line 50176 "preproc.c" /* yacc.c:1646  */
    break;

  case 1411:
#line 8950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("create publication"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50184 "preproc.c" /* yacc.c:1646  */
    break;

  case 1412:
#line 8954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create publication"),(yyvsp[-4].str),mm_strdup("for all tables"),(yyvsp[0].str));
}
#line 50192 "preproc.c" /* yacc.c:1646  */
    break;

  case 1413:
#line 8958 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create publication"),(yyvsp[-3].str),mm_strdup("for"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50200 "preproc.c" /* yacc.c:1646  */
    break;

  case 1414:
#line 8966 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("table"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50208 "preproc.c" /* yacc.c:1646  */
    break;

  case 1415:
#line 8970 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("tables in schema"),(yyvsp[0].str));
}
#line 50216 "preproc.c" /* yacc.c:1646  */
    break;

  case 1416:
#line 8974 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tables in schema current_schema");
}
#line 50224 "preproc.c" /* yacc.c:1646  */
    break;

  case 1417:
#line 8978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50232 "preproc.c" /* yacc.c:1646  */
    break;

  case 1418:
#line 8982 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50240 "preproc.c" /* yacc.c:1646  */
    break;

  case 1419:
#line 8986 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50248 "preproc.c" /* yacc.c:1646  */
    break;

  case 1420:
#line 8990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 50256 "preproc.c" /* yacc.c:1646  */
    break;

  case 1421:
#line 8998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50264 "preproc.c" /* yacc.c:1646  */
    break;

  case 1422:
#line 9002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 50272 "preproc.c" /* yacc.c:1646  */
    break;

  case 1423:
#line 9010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 50280 "preproc.c" /* yacc.c:1646  */
    break;

  case 1424:
#line 9014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-2].str),mm_strdup("add"),(yyvsp[0].str));
}
#line 50288 "preproc.c" /* yacc.c:1646  */
    break;

  case 1425:
#line 9018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 50296 "preproc.c" /* yacc.c:1646  */
    break;

  case 1426:
#line 9022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter publication"),(yyvsp[-2].str),mm_strdup("drop"),(yyvsp[0].str));
}
#line 50304 "preproc.c" /* yacc.c:1646  */
    break;

  case 1427:
#line 9030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("create subscription"),(yyvsp[-5].str),mm_strdup("connection"),(yyvsp[-3].str),mm_strdup("publication"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50312 "preproc.c" /* yacc.c:1646  */
    break;

  case 1428:
#line 9038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 50320 "preproc.c" /* yacc.c:1646  */
    break;

  case 1429:
#line 9042 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-2].str),mm_strdup("connection"),(yyvsp[0].str));
}
#line 50328 "preproc.c" /* yacc.c:1646  */
    break;

  case 1430:
#line 9046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-3].str),mm_strdup("refresh publication"),(yyvsp[0].str));
}
#line 50336 "preproc.c" /* yacc.c:1646  */
    break;

  case 1431:
#line 9050 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter subscription"),(yyvsp[-4].str),mm_strdup("add publication"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50344 "preproc.c" /* yacc.c:1646  */
    break;

  case 1432:
#line 9054 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter subscription"),(yyvsp[-4].str),mm_strdup("drop publication"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50352 "preproc.c" /* yacc.c:1646  */
    break;

  case 1433:
#line 9058 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter subscription"),(yyvsp[-4].str),mm_strdup("set publication"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50360 "preproc.c" /* yacc.c:1646  */
    break;

  case 1434:
#line 9062 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter subscription"),(yyvsp[-1].str),mm_strdup("enable"));
}
#line 50368 "preproc.c" /* yacc.c:1646  */
    break;

  case 1435:
#line 9066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter subscription"),(yyvsp[-1].str),mm_strdup("disable"));
}
#line 50376 "preproc.c" /* yacc.c:1646  */
    break;

  case 1436:
#line 9070 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter subscription"),(yyvsp[-2].str),mm_strdup("skip"),(yyvsp[0].str));
}
#line 50384 "preproc.c" /* yacc.c:1646  */
    break;

  case 1437:
#line 9078 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop subscription"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50392 "preproc.c" /* yacc.c:1646  */
    break;

  case 1438:
#line 9082 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop subscription if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50400 "preproc.c" /* yacc.c:1646  */
    break;

  case 1439:
#line 9090 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[-11].str),mm_strdup("rule"),(yyvsp[-9].str),mm_strdup("as on"),(yyvsp[-6].str),mm_strdup("to"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("do"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50408 "preproc.c" /* yacc.c:1646  */
    break;

  case 1440:
#line 9098 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 50416 "preproc.c" /* yacc.c:1646  */
    break;

  case 1441:
#line 9102 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50424 "preproc.c" /* yacc.c:1646  */
    break;

  case 1442:
#line 9106 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 50432 "preproc.c" /* yacc.c:1646  */
    break;

  case 1443:
#line 9114 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(";"),(yyvsp[0].str));
}
#line 50440 "preproc.c" /* yacc.c:1646  */
    break;

  case 1444:
#line 9118 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50448 "preproc.c" /* yacc.c:1646  */
    break;

  case 1445:
#line 9126 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50456 "preproc.c" /* yacc.c:1646  */
    break;

  case 1446:
#line 9130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50464 "preproc.c" /* yacc.c:1646  */
    break;

  case 1447:
#line 9134 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50472 "preproc.c" /* yacc.c:1646  */
    break;

  case 1448:
#line 9138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50480 "preproc.c" /* yacc.c:1646  */
    break;

  case 1449:
#line 9142 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50488 "preproc.c" /* yacc.c:1646  */
    break;

  case 1450:
#line 9150 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50496 "preproc.c" /* yacc.c:1646  */
    break;

  case 1451:
#line 9154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 50503 "preproc.c" /* yacc.c:1646  */
    break;

  case 1452:
#line 9161 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 50511 "preproc.c" /* yacc.c:1646  */
    break;

  case 1453:
#line 9165 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 50519 "preproc.c" /* yacc.c:1646  */
    break;

  case 1454:
#line 9169 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 50527 "preproc.c" /* yacc.c:1646  */
    break;

  case 1455:
#line 9173 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 50535 "preproc.c" /* yacc.c:1646  */
    break;

  case 1456:
#line 9181 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead");
}
#line 50543 "preproc.c" /* yacc.c:1646  */
    break;

  case 1457:
#line 9185 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("also");
}
#line 50551 "preproc.c" /* yacc.c:1646  */
    break;

  case 1458:
#line 9189 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 50558 "preproc.c" /* yacc.c:1646  */
    break;

  case 1459:
#line 9196 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("notify"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50566 "preproc.c" /* yacc.c:1646  */
    break;

  case 1460:
#line 9204 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup(","),(yyvsp[0].str));
}
#line 50574 "preproc.c" /* yacc.c:1646  */
    break;

  case 1461:
#line 9208 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 50581 "preproc.c" /* yacc.c:1646  */
    break;

  case 1462:
#line 9215 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("listen"),(yyvsp[0].str));
}
#line 50589 "preproc.c" /* yacc.c:1646  */
    break;

  case 1463:
#line 9223 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("unlisten"),(yyvsp[0].str));
}
#line 50597 "preproc.c" /* yacc.c:1646  */
    break;

  case 1464:
#line 9227 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlisten *");
}
#line 50605 "preproc.c" /* yacc.c:1646  */
    break;

  case 1465:
#line 9235 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("abort"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50613 "preproc.c" /* yacc.c:1646  */
    break;

  case 1466:
#line 9239 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("start transaction"),(yyvsp[0].str));
}
#line 50621 "preproc.c" /* yacc.c:1646  */
    break;

  case 1467:
#line 9243 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("commit"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50629 "preproc.c" /* yacc.c:1646  */
    break;

  case 1468:
#line 9247 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("rollback"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50637 "preproc.c" /* yacc.c:1646  */
    break;

  case 1469:
#line 9251 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("savepoint"),(yyvsp[0].str));
}
#line 50645 "preproc.c" /* yacc.c:1646  */
    break;

  case 1470:
#line 9255 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("release savepoint"),(yyvsp[0].str));
}
#line 50653 "preproc.c" /* yacc.c:1646  */
    break;

  case 1471:
#line 9259 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("release"),(yyvsp[0].str));
}
#line 50661 "preproc.c" /* yacc.c:1646  */
    break;

  case 1472:
#line 9263 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[-3].str),mm_strdup("to savepoint"),(yyvsp[0].str));
}
#line 50669 "preproc.c" /* yacc.c:1646  */
    break;

  case 1473:
#line 9267 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[-2].str),mm_strdup("to"),(yyvsp[0].str));
}
#line 50677 "preproc.c" /* yacc.c:1646  */
    break;

  case 1474:
#line 9271 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("prepare transaction"),(yyvsp[0].str));
}
#line 50685 "preproc.c" /* yacc.c:1646  */
    break;

  case 1475:
#line 9275 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit prepared"),(yyvsp[0].str));
}
#line 50693 "preproc.c" /* yacc.c:1646  */
    break;

  case 1476:
#line 9279 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback prepared"),(yyvsp[0].str));
}
#line 50701 "preproc.c" /* yacc.c:1646  */
    break;

  case 1477:
#line 9287 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("begin"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50709 "preproc.c" /* yacc.c:1646  */
    break;

  case 1478:
#line 9291 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("end"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50717 "preproc.c" /* yacc.c:1646  */
    break;

  case 1479:
#line 9299 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("work");
}
#line 50725 "preproc.c" /* yacc.c:1646  */
    break;

  case 1480:
#line 9303 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction");
}
#line 50733 "preproc.c" /* yacc.c:1646  */
    break;

  case 1481:
#line 9307 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 50740 "preproc.c" /* yacc.c:1646  */
    break;

  case 1482:
#line 9314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("isolation level"),(yyvsp[0].str));
}
#line 50748 "preproc.c" /* yacc.c:1646  */
    break;

  case 1483:
#line 9318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read only");
}
#line 50756 "preproc.c" /* yacc.c:1646  */
    break;

  case 1484:
#line 9322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read write");
}
#line 50764 "preproc.c" /* yacc.c:1646  */
    break;

  case 1485:
#line 9326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 50772 "preproc.c" /* yacc.c:1646  */
    break;

  case 1486:
#line 9330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
#line 50780 "preproc.c" /* yacc.c:1646  */
    break;

  case 1487:
#line 9338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50788 "preproc.c" /* yacc.c:1646  */
    break;

  case 1488:
#line 9342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 50796 "preproc.c" /* yacc.c:1646  */
    break;

  case 1489:
#line 9346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50804 "preproc.c" /* yacc.c:1646  */
    break;

  case 1490:
#line 9354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50812 "preproc.c" /* yacc.c:1646  */
    break;

  case 1491:
#line 9358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 50819 "preproc.c" /* yacc.c:1646  */
    break;

  case 1492:
#line 9365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("and chain");
}
#line 50827 "preproc.c" /* yacc.c:1646  */
    break;

  case 1493:
#line 9369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("and no chain");
}
#line 50835 "preproc.c" /* yacc.c:1646  */
    break;

  case 1494:
#line 9373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 50842 "preproc.c" /* yacc.c:1646  */
    break;

  case 1495:
#line 9380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[-7].str),mm_strdup("view"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50850 "preproc.c" /* yacc.c:1646  */
    break;

  case 1496:
#line 9384 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("create or replace"),(yyvsp[-7].str),mm_strdup("view"),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50858 "preproc.c" /* yacc.c:1646  */
    break;

  case 1497:
#line 9388 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[-10].str),mm_strdup("recursive view"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50866 "preproc.c" /* yacc.c:1646  */
    break;

  case 1498:
#line 9392 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(11,mm_strdup("create or replace"),(yyvsp[-10].str),mm_strdup("recursive view"),(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(")"),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50874 "preproc.c" /* yacc.c:1646  */
    break;

  case 1499:
#line 9400 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with check option");
}
#line 50882 "preproc.c" /* yacc.c:1646  */
    break;

  case 1500:
#line 9404 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with cascaded check option");
}
#line 50890 "preproc.c" /* yacc.c:1646  */
    break;

  case 1501:
#line 9408 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with local check option");
}
#line 50898 "preproc.c" /* yacc.c:1646  */
    break;

  case 1502:
#line 9412 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 50905 "preproc.c" /* yacc.c:1646  */
    break;

  case 1503:
#line 9419 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("load"),(yyvsp[0].str));
}
#line 50913 "preproc.c" /* yacc.c:1646  */
    break;

  case 1504:
#line 9427 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("create database"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50921 "preproc.c" /* yacc.c:1646  */
    break;

  case 1505:
#line 9435 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50929 "preproc.c" /* yacc.c:1646  */
    break;

  case 1506:
#line 9439 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 50936 "preproc.c" /* yacc.c:1646  */
    break;

  case 1507:
#line 9446 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50944 "preproc.c" /* yacc.c:1646  */
    break;

  case 1508:
#line 9450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50952 "preproc.c" /* yacc.c:1646  */
    break;

  case 1509:
#line 9458 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50960 "preproc.c" /* yacc.c:1646  */
    break;

  case 1510:
#line 9462 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 50968 "preproc.c" /* yacc.c:1646  */
    break;

  case 1511:
#line 9466 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("default"));
}
#line 50976 "preproc.c" /* yacc.c:1646  */
    break;

  case 1512:
#line 9474 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 50984 "preproc.c" /* yacc.c:1646  */
    break;

  case 1513:
#line 9478 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("connection limit");
}
#line 50992 "preproc.c" /* yacc.c:1646  */
    break;

  case 1514:
#line 9482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encoding");
}
#line 51000 "preproc.c" /* yacc.c:1646  */
    break;

  case 1515:
#line 9486 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("location");
}
#line 51008 "preproc.c" /* yacc.c:1646  */
    break;

  case 1516:
#line 9490 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owner");
}
#line 51016 "preproc.c" /* yacc.c:1646  */
    break;

  case 1517:
#line 9494 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 51024 "preproc.c" /* yacc.c:1646  */
    break;

  case 1518:
#line 9498 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("template");
}
#line 51032 "preproc.c" /* yacc.c:1646  */
    break;

  case 1519:
#line 9506 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("=");
}
#line 51040 "preproc.c" /* yacc.c:1646  */
    break;

  case 1520:
#line 9510 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 51047 "preproc.c" /* yacc.c:1646  */
    break;

  case 1521:
#line 9517 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-2].str),mm_strdup("with"),(yyvsp[0].str));
}
#line 51055 "preproc.c" /* yacc.c:1646  */
    break;

  case 1522:
#line 9521 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51063 "preproc.c" /* yacc.c:1646  */
    break;

  case 1523:
#line 9525 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("set tablespace"),(yyvsp[0].str));
}
#line 51071 "preproc.c" /* yacc.c:1646  */
    break;

  case 1524:
#line 9529 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[-3].str),mm_strdup("refresh collation version"));
}
#line 51079 "preproc.c" /* yacc.c:1646  */
    break;

  case 1525:
#line 9537 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51087 "preproc.c" /* yacc.c:1646  */
    break;

  case 1526:
#line 9545 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database"),(yyvsp[0].str));
}
#line 51095 "preproc.c" /* yacc.c:1646  */
    break;

  case 1527:
#line 9549 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database if exists"),(yyvsp[0].str));
}
#line 51103 "preproc.c" /* yacc.c:1646  */
    break;

  case 1528:
#line 9553 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("drop database"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 51111 "preproc.c" /* yacc.c:1646  */
    break;

  case 1529:
#line 9557 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("drop database if exists"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 51119 "preproc.c" /* yacc.c:1646  */
    break;

  case 1530:
#line 9565 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51127 "preproc.c" /* yacc.c:1646  */
    break;

  case 1531:
#line 9569 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 51135 "preproc.c" /* yacc.c:1646  */
    break;

  case 1532:
#line 9577 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force");
}
#line 51143 "preproc.c" /* yacc.c:1646  */
    break;

  case 1533:
#line 9585 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter collation"),(yyvsp[-2].str),mm_strdup("refresh version"));
}
#line 51151 "preproc.c" /* yacc.c:1646  */
    break;

  case 1534:
#line 9593 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("alter system set"),(yyvsp[0].str));
}
#line 51159 "preproc.c" /* yacc.c:1646  */
    break;

  case 1535:
#line 9597 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("alter system reset"),(yyvsp[0].str));
}
#line 51167 "preproc.c" /* yacc.c:1646  */
    break;

  case 1536:
#line 9605 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("create domain"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51175 "preproc.c" /* yacc.c:1646  */
    break;

  case 1537:
#line 9613 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51183 "preproc.c" /* yacc.c:1646  */
    break;

  case 1538:
#line 9617 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("drop not null"));
}
#line 51191 "preproc.c" /* yacc.c:1646  */
    break;

  case 1539:
#line 9621 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("set not null"));
}
#line 51199 "preproc.c" /* yacc.c:1646  */
    break;

  case 1540:
#line 9625 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-2].str),mm_strdup("add"),(yyvsp[0].str));
}
#line 51207 "preproc.c" /* yacc.c:1646  */
    break;

  case 1541:
#line 9629 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[-4].str),mm_strdup("drop constraint"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51215 "preproc.c" /* yacc.c:1646  */
    break;

  case 1542:
#line 9633 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[-6].str),mm_strdup("drop constraint if exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51223 "preproc.c" /* yacc.c:1646  */
    break;

  case 1543:
#line 9637 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[-3].str),mm_strdup("validate constraint"),(yyvsp[0].str));
}
#line 51231 "preproc.c" /* yacc.c:1646  */
    break;

  case 1544:
#line 9645 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as");
}
#line 51239 "preproc.c" /* yacc.c:1646  */
    break;

  case 1545:
#line 9649 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 51246 "preproc.c" /* yacc.c:1646  */
    break;

  case 1546:
#line 9656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter text search dictionary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51254 "preproc.c" /* yacc.c:1646  */
    break;

  case 1547:
#line 9664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("add mapping for"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51262 "preproc.c" /* yacc.c:1646  */
    break;

  case 1548:
#line 9668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("alter mapping for"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51270 "preproc.c" /* yacc.c:1646  */
    break;

  case 1549:
#line 9672 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("alter mapping replace"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51278 "preproc.c" /* yacc.c:1646  */
    break;

  case 1550:
#line 9676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter text search configuration"),(yyvsp[-8].str),mm_strdup("alter mapping for"),(yyvsp[-4].str),mm_strdup("replace"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51286 "preproc.c" /* yacc.c:1646  */
    break;

  case 1551:
#line 9680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-4].str),mm_strdup("drop mapping for"),(yyvsp[0].str));
}
#line 51294 "preproc.c" /* yacc.c:1646  */
    break;

  case 1552:
#line 9684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[-6].str),mm_strdup("drop mapping if exists for"),(yyvsp[0].str));
}
#line 51302 "preproc.c" /* yacc.c:1646  */
    break;

  case 1553:
#line 9692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 51310 "preproc.c" /* yacc.c:1646  */
    break;

  case 1554:
#line 9696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 51318 "preproc.c" /* yacc.c:1646  */
    break;

  case 1555:
#line 9704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("conversion"),(yyvsp[-6].str),mm_strdup("for"),(yyvsp[-4].str),mm_strdup("to"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 51326 "preproc.c" /* yacc.c:1646  */
    break;

  case 1556:
#line 9712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("cluster ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51334 "preproc.c" /* yacc.c:1646  */
    break;

  case 1557:
#line 9716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("cluster ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 51342 "preproc.c" /* yacc.c:1646  */
    break;

  case 1558:
#line 9720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("cluster"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51350 "preproc.c" /* yacc.c:1646  */
    break;

  case 1559:
#line 9724 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster"),(yyvsp[0].str));
}
#line 51358 "preproc.c" /* yacc.c:1646  */
    break;

  case 1560:
#line 9728 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("cluster"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("on"),(yyvsp[0].str));
}
#line 51366 "preproc.c" /* yacc.c:1646  */
    break;

  case 1561:
#line 9736 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 51374 "preproc.c" /* yacc.c:1646  */
    break;

  case 1562:
#line 9740 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 51381 "preproc.c" /* yacc.c:1646  */
    break;

  case 1563:
#line 9747 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("vacuum"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51389 "preproc.c" /* yacc.c:1646  */
    break;

  case 1564:
#line 9751 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("vacuum ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 51397 "preproc.c" /* yacc.c:1646  */
    break;

  case 1565:
#line 9759 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51405 "preproc.c" /* yacc.c:1646  */
    break;

  case 1566:
#line 9763 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 51413 "preproc.c" /* yacc.c:1646  */
    break;

  case 1567:
#line 9771 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51421 "preproc.c" /* yacc.c:1646  */
    break;

  case 1568:
#line 9775 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 51429 "preproc.c" /* yacc.c:1646  */
    break;

  case 1569:
#line 9783 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyze");
}
#line 51437 "preproc.c" /* yacc.c:1646  */
    break;

  case 1570:
#line 9787 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyse");
}
#line 51445 "preproc.c" /* yacc.c:1646  */
    break;

  case 1571:
#line 9795 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51453 "preproc.c" /* yacc.c:1646  */
    break;

  case 1572:
#line 9803 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51461 "preproc.c" /* yacc.c:1646  */
    break;

  case 1573:
#line 9807 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51469 "preproc.c" /* yacc.c:1646  */
    break;

  case 1574:
#line 9811 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("format");
}
#line 51477 "preproc.c" /* yacc.c:1646  */
    break;

  case 1575:
#line 9819 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51485 "preproc.c" /* yacc.c:1646  */
    break;

  case 1576:
#line 9823 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51493 "preproc.c" /* yacc.c:1646  */
    break;

  case 1577:
#line 9827 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 51500 "preproc.c" /* yacc.c:1646  */
    break;

  case 1578:
#line 9834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51508 "preproc.c" /* yacc.c:1646  */
    break;

  case 1579:
#line 9838 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 51515 "preproc.c" /* yacc.c:1646  */
    break;

  case 1580:
#line 9845 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 51523 "preproc.c" /* yacc.c:1646  */
    break;

  case 1581:
#line 9849 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 51530 "preproc.c" /* yacc.c:1646  */
    break;

  case 1582:
#line 9856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 51538 "preproc.c" /* yacc.c:1646  */
    break;

  case 1583:
#line 9860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 51545 "preproc.c" /* yacc.c:1646  */
    break;

  case 1584:
#line 9867 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 51553 "preproc.c" /* yacc.c:1646  */
    break;

  case 1585:
#line 9871 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 51560 "preproc.c" /* yacc.c:1646  */
    break;

  case 1586:
#line 9878 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 51568 "preproc.c" /* yacc.c:1646  */
    break;

  case 1587:
#line 9882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 51575 "preproc.c" /* yacc.c:1646  */
    break;

  case 1588:
#line 9889 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51583 "preproc.c" /* yacc.c:1646  */
    break;

  case 1589:
#line 9897 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51591 "preproc.c" /* yacc.c:1646  */
    break;

  case 1590:
#line 9901 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 51599 "preproc.c" /* yacc.c:1646  */
    break;

  case 1591:
#line 9909 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51607 "preproc.c" /* yacc.c:1646  */
    break;

  case 1592:
#line 9913 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 51614 "preproc.c" /* yacc.c:1646  */
    break;

  case 1593:
#line 9920 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain"),(yyvsp[0].str));
}
#line 51622 "preproc.c" /* yacc.c:1646  */
    break;

  case 1594:
#line 9924 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51630 "preproc.c" /* yacc.c:1646  */
    break;

  case 1595:
#line 9928 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain verbose"),(yyvsp[0].str));
}
#line 51638 "preproc.c" /* yacc.c:1646  */
    break;

  case 1596:
#line 9932 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 51646 "preproc.c" /* yacc.c:1646  */
    break;

  case 1597:
#line 9940 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51654 "preproc.c" /* yacc.c:1646  */
    break;

  case 1598:
#line 9944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51662 "preproc.c" /* yacc.c:1646  */
    break;

  case 1599:
#line 9948 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51670 "preproc.c" /* yacc.c:1646  */
    break;

  case 1600:
#line 9952 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51678 "preproc.c" /* yacc.c:1646  */
    break;

  case 1601:
#line 9956 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51686 "preproc.c" /* yacc.c:1646  */
    break;

  case 1602:
#line 9960 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51694 "preproc.c" /* yacc.c:1646  */
    break;

  case 1603:
#line 9964 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51702 "preproc.c" /* yacc.c:1646  */
    break;

  case 1604:
#line 9968 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51710 "preproc.c" /* yacc.c:1646  */
    break;

  case 1605:
#line 9972 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51718 "preproc.c" /* yacc.c:1646  */
    break;

  case 1606:
#line 9976 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.str) = (yyvsp[0].exec).name;
	}
#line 51726 "preproc.c" /* yacc.c:1646  */
    break;

  case 1607:
#line 9984 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.prep).name = (yyvsp[-3].str);
		(yyval.prep).type = (yyvsp[-2].str);
		(yyval.prep).stmt = (yyvsp[0].str);
	}
#line 51736 "preproc.c" /* yacc.c:1646  */
    break;

  case 1608:
#line 9990 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.prep).name = (yyvsp[-2].str);
		(yyval.prep).type = NULL;
		(yyval.prep).stmt = (yyvsp[0].str);
	}
#line 51746 "preproc.c" /* yacc.c:1646  */
    break;

  case 1609:
#line 10000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 51754 "preproc.c" /* yacc.c:1646  */
    break;

  case 1610:
#line 10004 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 51761 "preproc.c" /* yacc.c:1646  */
    break;

  case 1611:
#line 10011 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51769 "preproc.c" /* yacc.c:1646  */
    break;

  case 1612:
#line 10015 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51777 "preproc.c" /* yacc.c:1646  */
    break;

  case 1613:
#line 10019 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51785 "preproc.c" /* yacc.c:1646  */
    break;

  case 1614:
#line 10023 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51793 "preproc.c" /* yacc.c:1646  */
    break;

  case 1615:
#line 10027 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51801 "preproc.c" /* yacc.c:1646  */
    break;

  case 1616:
#line 10035 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.exec).name = (yyvsp[-2].str);
		(yyval.exec).type = (yyvsp[-1].str);
	}
#line 51810 "preproc.c" /* yacc.c:1646  */
    break;

  case 1617:
#line 10040 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.exec).name = cat_str(8,mm_strdup("create"),(yyvsp[-8].str),mm_strdup("table"),(yyvsp[-6].str),mm_strdup("as execute"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str));
	}
#line 51818 "preproc.c" /* yacc.c:1646  */
    break;

  case 1618:
#line 10044 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.exec).name = cat_str(8,mm_strdup("create"),(yyvsp[-11].str),mm_strdup("table if not exists"),(yyvsp[-6].str),mm_strdup("as execute"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str));
	}
#line 51826 "preproc.c" /* yacc.c:1646  */
    break;

  case 1619:
#line 10052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 51834 "preproc.c" /* yacc.c:1646  */
    break;

  case 1620:
#line 10056 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 51841 "preproc.c" /* yacc.c:1646  */
    break;

  case 1621:
#line 10063 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("insert into"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51849 "preproc.c" /* yacc.c:1646  */
    break;

  case 1622:
#line 10071 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51857 "preproc.c" /* yacc.c:1646  */
    break;

  case 1623:
#line 10075 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 51865 "preproc.c" /* yacc.c:1646  */
    break;

  case 1624:
#line 10083 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51873 "preproc.c" /* yacc.c:1646  */
    break;

  case 1625:
#line 10087 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("overriding"),(yyvsp[-2].str),mm_strdup("value"),(yyvsp[0].str));
}
#line 51881 "preproc.c" /* yacc.c:1646  */
    break;

  case 1626:
#line 10091 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 51889 "preproc.c" /* yacc.c:1646  */
    break;

  case 1627:
#line 10095 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("("),(yyvsp[-5].str),mm_strdup(") overriding"),(yyvsp[-2].str),mm_strdup("value"),(yyvsp[0].str));
}
#line 51897 "preproc.c" /* yacc.c:1646  */
    break;

  case 1628:
#line 10099 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default values");
}
#line 51905 "preproc.c" /* yacc.c:1646  */
    break;

  case 1629:
#line 10107 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 51913 "preproc.c" /* yacc.c:1646  */
    break;

  case 1630:
#line 10111 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("system");
}
#line 51921 "preproc.c" /* yacc.c:1646  */
    break;

  case 1631:
#line 10119 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 51929 "preproc.c" /* yacc.c:1646  */
    break;

  case 1632:
#line 10123 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 51937 "preproc.c" /* yacc.c:1646  */
    break;

  case 1633:
#line 10131 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51945 "preproc.c" /* yacc.c:1646  */
    break;

  case 1634:
#line 10139 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("on conflict"),(yyvsp[-5].str),mm_strdup("do update set"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 51953 "preproc.c" /* yacc.c:1646  */
    break;

  case 1635:
#line 10143 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("on conflict"),(yyvsp[-2].str),mm_strdup("do nothing"));
}
#line 51961 "preproc.c" /* yacc.c:1646  */
    break;

  case 1636:
#line 10147 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 51968 "preproc.c" /* yacc.c:1646  */
    break;

  case 1637:
#line 10154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 51976 "preproc.c" /* yacc.c:1646  */
    break;

  case 1638:
#line 10158 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on constraint"),(yyvsp[0].str));
}
#line 51984 "preproc.c" /* yacc.c:1646  */
    break;

  case 1639:
#line 10162 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 51991 "preproc.c" /* yacc.c:1646  */
    break;

  case 1640:
#line 10169 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("returning"),(yyvsp[-1].str));
}
#line 51999 "preproc.c" /* yacc.c:1646  */
    break;

  case 1641:
#line 10173 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 52006 "preproc.c" /* yacc.c:1646  */
    break;

  case 1642:
#line 10180 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("delete from"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52014 "preproc.c" /* yacc.c:1646  */
    break;

  case 1643:
#line 10188 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[0].str));
}
#line 52022 "preproc.c" /* yacc.c:1646  */
    break;

  case 1644:
#line 10192 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 52029 "preproc.c" /* yacc.c:1646  */
    break;

  case 1645:
#line 10199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("lock"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52037 "preproc.c" /* yacc.c:1646  */
    break;

  case 1646:
#line 10207 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("in"),(yyvsp[-1].str),mm_strdup("mode"));
}
#line 52045 "preproc.c" /* yacc.c:1646  */
    break;

  case 1647:
#line 10211 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 52052 "preproc.c" /* yacc.c:1646  */
    break;

  case 1648:
#line 10218 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access share");
}
#line 52060 "preproc.c" /* yacc.c:1646  */
    break;

  case 1649:
#line 10222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row share");
}
#line 52068 "preproc.c" /* yacc.c:1646  */
    break;

  case 1650:
#line 10226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row exclusive");
}
#line 52076 "preproc.c" /* yacc.c:1646  */
    break;

  case 1651:
#line 10230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share update exclusive");
}
#line 52084 "preproc.c" /* yacc.c:1646  */
    break;

  case 1652:
#line 10234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share");
}
#line 52092 "preproc.c" /* yacc.c:1646  */
    break;

  case 1653:
#line 10238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share row exclusive");
}
#line 52100 "preproc.c" /* yacc.c:1646  */
    break;

  case 1654:
#line 10242 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclusive");
}
#line 52108 "preproc.c" /* yacc.c:1646  */
    break;

  case 1655:
#line 10246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access exclusive");
}
#line 52116 "preproc.c" /* yacc.c:1646  */
    break;

  case 1656:
#line 10254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 52124 "preproc.c" /* yacc.c:1646  */
    break;

  case 1657:
#line 10258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 52131 "preproc.c" /* yacc.c:1646  */
    break;

  case 1658:
#line 10265 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 52139 "preproc.c" /* yacc.c:1646  */
    break;

  case 1659:
#line 10269 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("skip locked");
}
#line 52147 "preproc.c" /* yacc.c:1646  */
    break;

  case 1660:
#line 10273 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 52154 "preproc.c" /* yacc.c:1646  */
    break;

  case 1661:
#line 10280 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,(yyvsp[-7].str),mm_strdup("update"),(yyvsp[-5].str),mm_strdup("set"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52162 "preproc.c" /* yacc.c:1646  */
    break;

  case 1662:
#line 10288 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52170 "preproc.c" /* yacc.c:1646  */
    break;

  case 1663:
#line 10292 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 52178 "preproc.c" /* yacc.c:1646  */
    break;

  case 1664:
#line 10300 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 52186 "preproc.c" /* yacc.c:1646  */
    break;

  case 1665:
#line 10304 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-3].str),mm_strdup(") ="),(yyvsp[0].str));
}
#line 52194 "preproc.c" /* yacc.c:1646  */
    break;

  case 1666:
#line 10312 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52202 "preproc.c" /* yacc.c:1646  */
    break;

  case 1667:
#line 10320 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52210 "preproc.c" /* yacc.c:1646  */
    break;

  case 1668:
#line 10324 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 52218 "preproc.c" /* yacc.c:1646  */
    break;

  case 1669:
#line 10332 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,(yyvsp[-9].str),mm_strdup("merge into"),(yyvsp[-6].str),mm_strdup("using"),(yyvsp[-4].str),mm_strdup("on"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52226 "preproc.c" /* yacc.c:1646  */
    break;

  case 1670:
#line 10340 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52234 "preproc.c" /* yacc.c:1646  */
    break;

  case 1671:
#line 10344 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52242 "preproc.c" /* yacc.c:1646  */
    break;

  case 1672:
#line 10352 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("then"),(yyvsp[0].str));
}
#line 52250 "preproc.c" /* yacc.c:1646  */
    break;

  case 1673:
#line 10356 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("then"),(yyvsp[0].str));
}
#line 52258 "preproc.c" /* yacc.c:1646  */
    break;

  case 1674:
#line 10360 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("then"),(yyvsp[0].str));
}
#line 52266 "preproc.c" /* yacc.c:1646  */
    break;

  case 1675:
#line 10364 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("then do nothing"));
}
#line 52274 "preproc.c" /* yacc.c:1646  */
    break;

  case 1676:
#line 10368 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("then do nothing"));
}
#line 52282 "preproc.c" /* yacc.c:1646  */
    break;

  case 1677:
#line 10376 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("when matched");
}
#line 52290 "preproc.c" /* yacc.c:1646  */
    break;

  case 1678:
#line 10380 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("when not matched by source");
}
#line 52298 "preproc.c" /* yacc.c:1646  */
    break;

  case 1679:
#line 10388 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("when not matched");
}
#line 52306 "preproc.c" /* yacc.c:1646  */
    break;

  case 1680:
#line 10392 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("when not matched by target");
}
#line 52314 "preproc.c" /* yacc.c:1646  */
    break;

  case 1681:
#line 10400 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("and"),(yyvsp[0].str));
}
#line 52322 "preproc.c" /* yacc.c:1646  */
    break;

  case 1682:
#line 10404 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 52329 "preproc.c" /* yacc.c:1646  */
    break;

  case 1683:
#line 10411 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("update set"),(yyvsp[0].str));
}
#line 52337 "preproc.c" /* yacc.c:1646  */
    break;

  case 1684:
#line 10419 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 52345 "preproc.c" /* yacc.c:1646  */
    break;

  case 1685:
#line 10427 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("insert"),(yyvsp[0].str));
}
#line 52353 "preproc.c" /* yacc.c:1646  */
    break;

  case 1686:
#line 10431 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("insert overriding"),(yyvsp[-2].str),mm_strdup("value"),(yyvsp[0].str));
}
#line 52361 "preproc.c" /* yacc.c:1646  */
    break;

  case 1687:
#line 10435 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("insert ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 52369 "preproc.c" /* yacc.c:1646  */
    break;

  case 1688:
#line 10439 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("insert ("),(yyvsp[-5].str),mm_strdup(") overriding"),(yyvsp[-2].str),mm_strdup("value"),(yyvsp[0].str));
}
#line 52377 "preproc.c" /* yacc.c:1646  */
    break;

  case 1689:
#line 10443 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert default values");
}
#line 52385 "preproc.c" /* yacc.c:1646  */
    break;

  case 1690:
#line 10451 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("values ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 52393 "preproc.c" /* yacc.c:1646  */
    break;

  case 1691:
#line 10459 "preproc.y" /* yacc.c:1646  */
    {
		struct cursor *ptr, *this;
		char *cursor_marker = (yyvsp[-5].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[-5].str));
		char *comment, *c1, *c2;
		int (* strcmp_fn)(const char *, const char *) = (((yyvsp[-5].str)[0] == ':' || (yyvsp[-5].str)[0] == '"') ? strcmp : pg_strcasecmp);

                if (INFORMIX_MODE && pg_strcasecmp((yyvsp[-5].str), "database") == 0)
                        mmfatal(PARSE_ERROR, "\"database\" cannot be used as cursor name in INFORMIX mode");

		for (ptr = cur; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp_fn((yyvsp[-5].str), ptr->name) == 0)
			{
				if ((yyvsp[-5].str)[0] == ':')
					mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[-5].str)+1);
				else
					mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[-5].str));
			}
		}

		this = (struct cursor *) mm_alloc(sizeof(struct cursor));

		this->next = cur;
		this->name = (yyvsp[-5].str);
		this->function = (current_function ? mm_strdup(current_function) : NULL);
		this->connection = connection ? mm_strdup(connection) : NULL;
		this->opened = false;
		this->command =  cat_str(7, mm_strdup("declare"), cursor_marker, (yyvsp[-4].str), mm_strdup("cursor"), (yyvsp[-2].str), mm_strdup("for"), (yyvsp[0].str));
		this->argsinsert = argsinsert;
		this->argsinsert_oos = NULL;
		this->argsresult = argsresult;
		this->argsresult_oos = NULL;
		argsinsert = argsresult = NULL;
		cur = this;

		c1 = mm_strdup(this->command);
		if ((c2 = strstr(c1, "*/")) != NULL)
		{
			/* We put this text into a comment, so we better remove [*][/]. */
			c2[0] = '.';
			c2[1] = '.';
		}
		comment = cat_str(3, mm_strdup("/*"), c1, mm_strdup("*/"));

		(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
	}
#line 52444 "preproc.c" /* yacc.c:1646  */
    break;

  case 1692:
#line 10510 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52452 "preproc.c" /* yacc.c:1646  */
    break;

  case 1693:
#line 10514 "preproc.y" /* yacc.c:1646  */
    {
			char *curname = mm_alloc(strlen((yyvsp[0].str)) + 2);
			sprintf(curname, ":%s", (yyvsp[0].str));
			free((yyvsp[0].str));
			(yyvsp[0].str) = curname;
			(yyval.str) = (yyvsp[0].str);
		}
#line 52464 "preproc.c" /* yacc.c:1646  */
    break;

  case 1694:
#line 10526 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 52471 "preproc.c" /* yacc.c:1646  */
    break;

  case 1695:
#line 10529 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("no scroll"));
}
#line 52479 "preproc.c" /* yacc.c:1646  */
    break;

  case 1696:
#line 10533 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("scroll"));
}
#line 52487 "preproc.c" /* yacc.c:1646  */
    break;

  case 1697:
#line 10537 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("binary"));
}
#line 52495 "preproc.c" /* yacc.c:1646  */
    break;

  case 1698:
#line 10541 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("asensitive"));
}
#line 52503 "preproc.c" /* yacc.c:1646  */
    break;

  case 1699:
#line 10545 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("insensitive"));
}
#line 52511 "preproc.c" /* yacc.c:1646  */
    break;

  case 1700:
#line 10553 "preproc.y" /* yacc.c:1646  */
    {
		if (compat == ECPG_COMPAT_INFORMIX_SE && autocommit)
			(yyval.str) = mm_strdup("with hold");
		else
			(yyval.str) = EMPTY;
	}
#line 52522 "preproc.c" /* yacc.c:1646  */
    break;

  case 1701:
#line 10560 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with hold");
}
#line 52530 "preproc.c" /* yacc.c:1646  */
    break;

  case 1702:
#line 10564 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without hold");
}
#line 52538 "preproc.c" /* yacc.c:1646  */
    break;

  case 1703:
#line 10572 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52546 "preproc.c" /* yacc.c:1646  */
    break;

  case 1704:
#line 10576 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52554 "preproc.c" /* yacc.c:1646  */
    break;

  case 1705:
#line 10584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 52562 "preproc.c" /* yacc.c:1646  */
    break;

  case 1706:
#line 10588 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 52570 "preproc.c" /* yacc.c:1646  */
    break;

  case 1707:
#line 10596 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52578 "preproc.c" /* yacc.c:1646  */
    break;

  case 1708:
#line 10600 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52586 "preproc.c" /* yacc.c:1646  */
    break;

  case 1709:
#line 10604 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52594 "preproc.c" /* yacc.c:1646  */
    break;

  case 1710:
#line 10608 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52602 "preproc.c" /* yacc.c:1646  */
    break;

  case 1711:
#line 10612 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52610 "preproc.c" /* yacc.c:1646  */
    break;

  case 1712:
#line 10616 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52618 "preproc.c" /* yacc.c:1646  */
    break;

  case 1713:
#line 10620 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52626 "preproc.c" /* yacc.c:1646  */
    break;

  case 1714:
#line 10624 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52634 "preproc.c" /* yacc.c:1646  */
    break;

  case 1715:
#line 10632 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52642 "preproc.c" /* yacc.c:1646  */
    break;

  case 1716:
#line 10636 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52650 "preproc.c" /* yacc.c:1646  */
    break;

  case 1717:
#line 10644 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("select"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52658 "preproc.c" /* yacc.c:1646  */
    break;

  case 1718:
#line 10648 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,mm_strdup("select"),(yyvsp[-7].str),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52666 "preproc.c" /* yacc.c:1646  */
    break;

  case 1719:
#line 10652 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52674 "preproc.c" /* yacc.c:1646  */
    break;

  case 1720:
#line 10656 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 52682 "preproc.c" /* yacc.c:1646  */
    break;

  case 1721:
#line 10660 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("union"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52690 "preproc.c" /* yacc.c:1646  */
    break;

  case 1722:
#line 10664 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("intersect"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52698 "preproc.c" /* yacc.c:1646  */
    break;

  case 1723:
#line 10668 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("except"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52706 "preproc.c" /* yacc.c:1646  */
    break;

  case 1724:
#line 10676 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 52714 "preproc.c" /* yacc.c:1646  */
    break;

  case 1725:
#line 10680 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[0].str));
}
#line 52722 "preproc.c" /* yacc.c:1646  */
    break;

  case 1726:
#line 10684 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("with recursive"),(yyvsp[0].str));
}
#line 52730 "preproc.c" /* yacc.c:1646  */
    break;

  case 1727:
#line 10692 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52738 "preproc.c" /* yacc.c:1646  */
    break;

  case 1728:
#line 10696 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 52746 "preproc.c" /* yacc.c:1646  */
    break;

  case 1729:
#line 10704 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(9,(yyvsp[-8].str),(yyvsp[-7].str),mm_strdup("as"),(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52754 "preproc.c" /* yacc.c:1646  */
    break;

  case 1730:
#line 10712 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized");
}
#line 52762 "preproc.c" /* yacc.c:1646  */
    break;

  case 1731:
#line 10716 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not materialized");
}
#line 52770 "preproc.c" /* yacc.c:1646  */
    break;

  case 1732:
#line 10720 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 52777 "preproc.c" /* yacc.c:1646  */
    break;

  case 1733:
#line 10727 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("search depth first by"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 52785 "preproc.c" /* yacc.c:1646  */
    break;

  case 1734:
#line 10731 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("search breadth first by"),(yyvsp[-2].str),mm_strdup("set"),(yyvsp[0].str));
}
#line 52793 "preproc.c" /* yacc.c:1646  */
    break;

  case 1735:
#line 10735 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 52800 "preproc.c" /* yacc.c:1646  */
    break;

  case 1736:
#line 10742 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("cycle"),(yyvsp[-8].str),mm_strdup("set"),(yyvsp[-6].str),mm_strdup("to"),(yyvsp[-4].str),mm_strdup("default"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 52808 "preproc.c" /* yacc.c:1646  */
    break;

  case 1737:
#line 10746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("cycle"),(yyvsp[-4].str),mm_strdup("set"),(yyvsp[-2].str),mm_strdup("using"),(yyvsp[0].str));
}
#line 52816 "preproc.c" /* yacc.c:1646  */
    break;

  case 1738:
#line 10750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 52823 "preproc.c" /* yacc.c:1646  */
    break;

  case 1739:
#line 10757 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52831 "preproc.c" /* yacc.c:1646  */
    break;

  case 1740:
#line 10761 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 52838 "preproc.c" /* yacc.c:1646  */
    break;

  case 1741:
#line 10768 "preproc.y" /* yacc.c:1646  */
    {
						FoundInto = 1;
						(yyval.str)= cat2_str(mm_strdup("into"), (yyvsp[0].str));
					}
#line 52847 "preproc.c" /* yacc.c:1646  */
    break;

  case 1742:
#line 10772 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 52853 "preproc.c" /* yacc.c:1646  */
    break;

  case 1743:
#line 10774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 52860 "preproc.c" /* yacc.c:1646  */
    break;

  case 1744:
#line 10781 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52868 "preproc.c" /* yacc.c:1646  */
    break;

  case 1745:
#line 10785 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52876 "preproc.c" /* yacc.c:1646  */
    break;

  case 1746:
#line 10789 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52884 "preproc.c" /* yacc.c:1646  */
    break;

  case 1747:
#line 10793 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52892 "preproc.c" /* yacc.c:1646  */
    break;

  case 1748:
#line 10797 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temporary"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52900 "preproc.c" /* yacc.c:1646  */
    break;

  case 1749:
#line 10801 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temp"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52908 "preproc.c" /* yacc.c:1646  */
    break;

  case 1750:
#line 10805 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("unlogged"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 52916 "preproc.c" /* yacc.c:1646  */
    break;

  case 1751:
#line 10809 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[0].str));
}
#line 52924 "preproc.c" /* yacc.c:1646  */
    break;

  case 1752:
#line 10813 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 52932 "preproc.c" /* yacc.c:1646  */
    break;

  case 1753:
#line 10821 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 52940 "preproc.c" /* yacc.c:1646  */
    break;

  case 1754:
#line 10825 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 52947 "preproc.c" /* yacc.c:1646  */
    break;

  case 1755:
#line 10832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 52955 "preproc.c" /* yacc.c:1646  */
    break;

  case 1756:
#line 10836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 52963 "preproc.c" /* yacc.c:1646  */
    break;

  case 1757:
#line 10840 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 52970 "preproc.c" /* yacc.c:1646  */
    break;

  case 1758:
#line 10847 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 52978 "preproc.c" /* yacc.c:1646  */
    break;

  case 1759:
#line 10851 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("distinct on ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 52986 "preproc.c" /* yacc.c:1646  */
    break;

  case 1760:
#line 10859 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 52994 "preproc.c" /* yacc.c:1646  */
    break;

  case 1761:
#line 10863 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 53001 "preproc.c" /* yacc.c:1646  */
    break;

  case 1762:
#line 10870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53009 "preproc.c" /* yacc.c:1646  */
    break;

  case 1763:
#line 10874 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 53016 "preproc.c" /* yacc.c:1646  */
    break;

  case 1764:
#line 10881 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("order by"),(yyvsp[0].str));
}
#line 53024 "preproc.c" /* yacc.c:1646  */
    break;

  case 1765:
#line 10889 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53032 "preproc.c" /* yacc.c:1646  */
    break;

  case 1766:
#line 10893 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 53040 "preproc.c" /* yacc.c:1646  */
    break;

  case 1767:
#line 10901 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("using"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53048 "preproc.c" /* yacc.c:1646  */
    break;

  case 1768:
#line 10905 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53056 "preproc.c" /* yacc.c:1646  */
    break;

  case 1769:
#line 10913 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53064 "preproc.c" /* yacc.c:1646  */
    break;

  case 1770:
#line 10917 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53072 "preproc.c" /* yacc.c:1646  */
    break;

  case 1771:
#line 10921 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53080 "preproc.c" /* yacc.c:1646  */
    break;

  case 1772:
#line 10925 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53088 "preproc.c" /* yacc.c:1646  */
    break;

  case 1773:
#line 10933 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53096 "preproc.c" /* yacc.c:1646  */
    break;

  case 1774:
#line 10937 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 53103 "preproc.c" /* yacc.c:1646  */
    break;

  case 1775:
#line 10944 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("limit"),(yyvsp[0].str));
}
#line 53111 "preproc.c" /* yacc.c:1646  */
    break;

  case 1776:
#line 10948 "preproc.y" /* yacc.c:1646  */
    {
		mmerror(PARSE_ERROR, ET_WARNING, "no longer supported LIMIT #,# syntax passed to server");
		(yyval.str) = cat_str(4, mm_strdup("limit"), (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str));
	}
#line 53120 "preproc.c" /* yacc.c:1646  */
    break;

  case 1777:
#line 10953 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("fetch"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("only"));
}
#line 53128 "preproc.c" /* yacc.c:1646  */
    break;

  case 1778:
#line 10957 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("fetch"),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("with ties"));
}
#line 53136 "preproc.c" /* yacc.c:1646  */
    break;

  case 1779:
#line 10961 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("fetch"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("only"));
}
#line 53144 "preproc.c" /* yacc.c:1646  */
    break;

  case 1780:
#line 10965 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("fetch"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("with ties"));
}
#line 53152 "preproc.c" /* yacc.c:1646  */
    break;

  case 1781:
#line 10973 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("offset"),(yyvsp[0].str));
}
#line 53160 "preproc.c" /* yacc.c:1646  */
    break;

  case 1782:
#line 10977 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("offset"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53168 "preproc.c" /* yacc.c:1646  */
    break;

  case 1783:
#line 10985 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53176 "preproc.c" /* yacc.c:1646  */
    break;

  case 1784:
#line 10989 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 53184 "preproc.c" /* yacc.c:1646  */
    break;

  case 1785:
#line 10997 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53192 "preproc.c" /* yacc.c:1646  */
    break;

  case 1786:
#line 11005 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53200 "preproc.c" /* yacc.c:1646  */
    break;

  case 1787:
#line 11009 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 53208 "preproc.c" /* yacc.c:1646  */
    break;

  case 1788:
#line 11013 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 53216 "preproc.c" /* yacc.c:1646  */
    break;

  case 1789:
#line 11021 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53224 "preproc.c" /* yacc.c:1646  */
    break;

  case 1790:
#line 11025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53232 "preproc.c" /* yacc.c:1646  */
    break;

  case 1791:
#line 11033 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 53240 "preproc.c" /* yacc.c:1646  */
    break;

  case 1792:
#line 11037 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rows");
}
#line 53248 "preproc.c" /* yacc.c:1646  */
    break;

  case 1793:
#line 11045 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("first");
}
#line 53256 "preproc.c" /* yacc.c:1646  */
    break;

  case 1794:
#line 11049 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("next");
}
#line 53264 "preproc.c" /* yacc.c:1646  */
    break;

  case 1795:
#line 11057 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("group by"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53272 "preproc.c" /* yacc.c:1646  */
    break;

  case 1796:
#line 11061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 53279 "preproc.c" /* yacc.c:1646  */
    break;

  case 1797:
#line 11068 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53287 "preproc.c" /* yacc.c:1646  */
    break;

  case 1798:
#line 11072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 53295 "preproc.c" /* yacc.c:1646  */
    break;

  case 1799:
#line 11080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53303 "preproc.c" /* yacc.c:1646  */
    break;

  case 1800:
#line 11084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53311 "preproc.c" /* yacc.c:1646  */
    break;

  case 1801:
#line 11088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53319 "preproc.c" /* yacc.c:1646  */
    break;

  case 1802:
#line 11092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53327 "preproc.c" /* yacc.c:1646  */
    break;

  case 1803:
#line 11096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53335 "preproc.c" /* yacc.c:1646  */
    break;

  case 1804:
#line 11104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("( )");
}
#line 53343 "preproc.c" /* yacc.c:1646  */
    break;

  case 1805:
#line 11112 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("rollup ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 53351 "preproc.c" /* yacc.c:1646  */
    break;

  case 1806:
#line 11120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("cube ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 53359 "preproc.c" /* yacc.c:1646  */
    break;

  case 1807:
#line 11128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("grouping sets ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 53367 "preproc.c" /* yacc.c:1646  */
    break;

  case 1808:
#line 11136 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("having"),(yyvsp[0].str));
}
#line 53375 "preproc.c" /* yacc.c:1646  */
    break;

  case 1809:
#line 11140 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 53382 "preproc.c" /* yacc.c:1646  */
    break;

  case 1810:
#line 11147 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53390 "preproc.c" /* yacc.c:1646  */
    break;

  case 1811:
#line 11151 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for read only");
}
#line 53398 "preproc.c" /* yacc.c:1646  */
    break;

  case 1812:
#line 11159 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53406 "preproc.c" /* yacc.c:1646  */
    break;

  case 1813:
#line 11163 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 53413 "preproc.c" /* yacc.c:1646  */
    break;

  case 1814:
#line 11170 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53421 "preproc.c" /* yacc.c:1646  */
    break;

  case 1815:
#line 11174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53429 "preproc.c" /* yacc.c:1646  */
    break;

  case 1816:
#line 11182 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53437 "preproc.c" /* yacc.c:1646  */
    break;

  case 1817:
#line 11190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for update");
}
#line 53445 "preproc.c" /* yacc.c:1646  */
    break;

  case 1818:
#line 11194 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for no key update");
}
#line 53453 "preproc.c" /* yacc.c:1646  */
    break;

  case 1819:
#line 11198 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for share");
}
#line 53461 "preproc.c" /* yacc.c:1646  */
    break;

  case 1820:
#line 11202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for key share");
}
#line 53469 "preproc.c" /* yacc.c:1646  */
    break;

  case 1821:
#line 11210 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[0].str));
}
#line 53477 "preproc.c" /* yacc.c:1646  */
    break;

  case 1822:
#line 11214 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 53484 "preproc.c" /* yacc.c:1646  */
    break;

  case 1823:
#line 11221 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("values ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 53492 "preproc.c" /* yacc.c:1646  */
    break;

  case 1824:
#line 11225 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup(", ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 53500 "preproc.c" /* yacc.c:1646  */
    break;

  case 1825:
#line 11233 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 53508 "preproc.c" /* yacc.c:1646  */
    break;

  case 1826:
#line 11237 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 53515 "preproc.c" /* yacc.c:1646  */
    break;

  case 1827:
#line 11244 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53523 "preproc.c" /* yacc.c:1646  */
    break;

  case 1828:
#line 11248 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 53531 "preproc.c" /* yacc.c:1646  */
    break;

  case 1829:
#line 11256 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53539 "preproc.c" /* yacc.c:1646  */
    break;

  case 1830:
#line 11260 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53547 "preproc.c" /* yacc.c:1646  */
    break;

  case 1831:
#line 11264 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53555 "preproc.c" /* yacc.c:1646  */
    break;

  case 1832:
#line 11268 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53563 "preproc.c" /* yacc.c:1646  */
    break;

  case 1833:
#line 11272 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53571 "preproc.c" /* yacc.c:1646  */
    break;

  case 1834:
#line 11276 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53579 "preproc.c" /* yacc.c:1646  */
    break;

  case 1835:
#line 11280 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53587 "preproc.c" /* yacc.c:1646  */
    break;

  case 1836:
#line 11284 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53595 "preproc.c" /* yacc.c:1646  */
    break;

  case 1837:
#line 11288 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53603 "preproc.c" /* yacc.c:1646  */
    break;

  case 1838:
#line 11292 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 53611 "preproc.c" /* yacc.c:1646  */
    break;

  case 1839:
#line 11296 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53619 "preproc.c" /* yacc.c:1646  */
    break;

  case 1840:
#line 11300 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53627 "preproc.c" /* yacc.c:1646  */
    break;

  case 1841:
#line 11308 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 53635 "preproc.c" /* yacc.c:1646  */
    break;

  case 1842:
#line 11312 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("cross join"),(yyvsp[0].str));
}
#line 53643 "preproc.c" /* yacc.c:1646  */
    break;

  case 1843:
#line 11316 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("join"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53651 "preproc.c" /* yacc.c:1646  */
    break;

  case 1844:
#line 11320 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("join"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53659 "preproc.c" /* yacc.c:1646  */
    break;

  case 1845:
#line 11324 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("natural"),(yyvsp[-2].str),mm_strdup("join"),(yyvsp[0].str));
}
#line 53667 "preproc.c" /* yacc.c:1646  */
    break;

  case 1846:
#line 11328 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("natural join"),(yyvsp[0].str));
}
#line 53675 "preproc.c" /* yacc.c:1646  */
    break;

  case 1847:
#line 11336 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 53683 "preproc.c" /* yacc.c:1646  */
    break;

  case 1848:
#line 11340 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 53691 "preproc.c" /* yacc.c:1646  */
    break;

  case 1849:
#line 11344 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 53699 "preproc.c" /* yacc.c:1646  */
    break;

  case 1850:
#line 11348 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53707 "preproc.c" /* yacc.c:1646  */
    break;

  case 1851:
#line 11356 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53715 "preproc.c" /* yacc.c:1646  */
    break;

  case 1852:
#line 11360 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 53722 "preproc.c" /* yacc.c:1646  */
    break;

  case 1853:
#line 11367 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 53730 "preproc.c" /* yacc.c:1646  */
    break;

  case 1854:
#line 11371 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 53737 "preproc.c" /* yacc.c:1646  */
    break;

  case 1855:
#line 11378 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53745 "preproc.c" /* yacc.c:1646  */
    break;

  case 1856:
#line 11382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 53753 "preproc.c" /* yacc.c:1646  */
    break;

  case 1857:
#line 11386 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 53761 "preproc.c" /* yacc.c:1646  */
    break;

  case 1858:
#line 11390 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 53769 "preproc.c" /* yacc.c:1646  */
    break;

  case 1859:
#line 11394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 53776 "preproc.c" /* yacc.c:1646  */
    break;

  case 1860:
#line 11401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("full"),(yyvsp[0].str));
}
#line 53784 "preproc.c" /* yacc.c:1646  */
    break;

  case 1861:
#line 11405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("left"),(yyvsp[0].str));
}
#line 53792 "preproc.c" /* yacc.c:1646  */
    break;

  case 1862:
#line 11409 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("right"),(yyvsp[0].str));
}
#line 53800 "preproc.c" /* yacc.c:1646  */
    break;

  case 1863:
#line 11413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inner");
}
#line 53808 "preproc.c" /* yacc.c:1646  */
    break;

  case 1864:
#line 11421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("outer");
}
#line 53816 "preproc.c" /* yacc.c:1646  */
    break;

  case 1865:
#line 11425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 53823 "preproc.c" /* yacc.c:1646  */
    break;

  case 1866:
#line 11432 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("using ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 53831 "preproc.c" /* yacc.c:1646  */
    break;

  case 1867:
#line 11436 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("on"),(yyvsp[0].str));
}
#line 53839 "preproc.c" /* yacc.c:1646  */
    break;

  case 1868:
#line 11444 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53847 "preproc.c" /* yacc.c:1646  */
    break;

  case 1869:
#line 11448 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53855 "preproc.c" /* yacc.c:1646  */
    break;

  case 1870:
#line 11456 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("*"));
}
#line 53863 "preproc.c" /* yacc.c:1646  */
    break;

  case 1871:
#line 11460 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("only"),(yyvsp[0].str));
}
#line 53871 "preproc.c" /* yacc.c:1646  */
    break;

  case 1872:
#line 11464 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("only ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 53879 "preproc.c" /* yacc.c:1646  */
    break;

  case 1873:
#line 11472 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53887 "preproc.c" /* yacc.c:1646  */
    break;

  case 1874:
#line 11476 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 53895 "preproc.c" /* yacc.c:1646  */
    break;

  case 1875:
#line 11484 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53903 "preproc.c" /* yacc.c:1646  */
    break;

  case 1876:
#line 11488 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53911 "preproc.c" /* yacc.c:1646  */
    break;

  case 1877:
#line 11492 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 53919 "preproc.c" /* yacc.c:1646  */
    break;

  case 1878:
#line 11500 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("tablesample"),(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 53927 "preproc.c" /* yacc.c:1646  */
    break;

  case 1879:
#line 11508 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("repeatable ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 53935 "preproc.c" /* yacc.c:1646  */
    break;

  case 1880:
#line 11512 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 53942 "preproc.c" /* yacc.c:1646  */
    break;

  case 1881:
#line 11519 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53950 "preproc.c" /* yacc.c:1646  */
    break;

  case 1882:
#line 11523 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("rows from ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 53958 "preproc.c" /* yacc.c:1646  */
    break;

  case 1883:
#line 11531 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 53966 "preproc.c" /* yacc.c:1646  */
    break;

  case 1884:
#line 11539 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 53974 "preproc.c" /* yacc.c:1646  */
    break;

  case 1885:
#line 11543 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 53982 "preproc.c" /* yacc.c:1646  */
    break;

  case 1886:
#line 11551 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("as ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 53990 "preproc.c" /* yacc.c:1646  */
    break;

  case 1887:
#line 11555 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 53997 "preproc.c" /* yacc.c:1646  */
    break;

  case 1888:
#line 11562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with ordinality");
}
#line 54005 "preproc.c" /* yacc.c:1646  */
    break;

  case 1889:
#line 11566 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 54012 "preproc.c" /* yacc.c:1646  */
    break;

  case 1890:
#line 11573 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[0].str));
}
#line 54020 "preproc.c" /* yacc.c:1646  */
    break;

  case 1891:
#line 11577 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 54027 "preproc.c" /* yacc.c:1646  */
    break;

  case 1892:
#line 11584 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[0].str));
}
#line 54035 "preproc.c" /* yacc.c:1646  */
    break;

  case 1893:
#line 11588 "preproc.y" /* yacc.c:1646  */
    {
		char *cursor_marker = (yyvsp[0].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[0].str);
		(yyval.str) = cat_str(2,mm_strdup("where current of"), cursor_marker);
	}
#line 54044 "preproc.c" /* yacc.c:1646  */
    break;

  case 1894:
#line 11593 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 54051 "preproc.c" /* yacc.c:1646  */
    break;

  case 1895:
#line 11600 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54059 "preproc.c" /* yacc.c:1646  */
    break;

  case 1896:
#line 11604 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 54066 "preproc.c" /* yacc.c:1646  */
    break;

  case 1897:
#line 11611 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54074 "preproc.c" /* yacc.c:1646  */
    break;

  case 1898:
#line 11615 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 54082 "preproc.c" /* yacc.c:1646  */
    break;

  case 1899:
#line 11623 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 54090 "preproc.c" /* yacc.c:1646  */
    break;

  case 1900:
#line 11631 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmltable ("),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("columns"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54098 "preproc.c" /* yacc.c:1646  */
    break;

  case 1901:
#line 11635 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("xmltable ( xmlnamespaces ("),(yyvsp[-7].str),mm_strdup(") ,"),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("columns"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54106 "preproc.c" /* yacc.c:1646  */
    break;

  case 1902:
#line 11643 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54114 "preproc.c" /* yacc.c:1646  */
    break;

  case 1903:
#line 11647 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 54122 "preproc.c" /* yacc.c:1646  */
    break;

  case 1904:
#line 11655 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 54130 "preproc.c" /* yacc.c:1646  */
    break;

  case 1905:
#line 11659 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 54138 "preproc.c" /* yacc.c:1646  */
    break;

  case 1906:
#line 11663 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("for ordinality"));
}
#line 54146 "preproc.c" /* yacc.c:1646  */
    break;

  case 1907:
#line 11671 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54154 "preproc.c" /* yacc.c:1646  */
    break;

  case 1908:
#line 11675 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 54162 "preproc.c" /* yacc.c:1646  */
    break;

  case 1909:
#line 11683 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 54170 "preproc.c" /* yacc.c:1646  */
    break;

  case 1910:
#line 11687 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[0].str));
}
#line 54178 "preproc.c" /* yacc.c:1646  */
    break;

  case 1911:
#line 11691 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not null");
}
#line 54186 "preproc.c" /* yacc.c:1646  */
    break;

  case 1912:
#line 11695 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 54194 "preproc.c" /* yacc.c:1646  */
    break;

  case 1913:
#line 11699 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("path"),(yyvsp[0].str));
}
#line 54202 "preproc.c" /* yacc.c:1646  */
    break;

  case 1914:
#line 11707 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54210 "preproc.c" /* yacc.c:1646  */
    break;

  case 1915:
#line 11711 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 54218 "preproc.c" /* yacc.c:1646  */
    break;

  case 1916:
#line 11719 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 54226 "preproc.c" /* yacc.c:1646  */
    break;

  case 1917:
#line 11723 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[0].str));
}
#line 54234 "preproc.c" /* yacc.c:1646  */
    break;

  case 1918:
#line 11731 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(11,mm_strdup("json_table ("),(yyvsp[-10].str),mm_strdup(","),(yyvsp[-8].str),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("columns ("),(yyvsp[-3].str),mm_strdup(")"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54242 "preproc.c" /* yacc.c:1646  */
    break;

  case 1919:
#line 11739 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[0].str));
}
#line 54250 "preproc.c" /* yacc.c:1646  */
    break;

  case 1920:
#line 11743 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 54257 "preproc.c" /* yacc.c:1646  */
    break;

  case 1921:
#line 11750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54265 "preproc.c" /* yacc.c:1646  */
    break;

  case 1922:
#line 11754 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 54273 "preproc.c" /* yacc.c:1646  */
    break;

  case 1923:
#line 11762 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("for ordinality"));
}
#line 54281 "preproc.c" /* yacc.c:1646  */
    break;

  case 1924:
#line 11766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 54289 "preproc.c" /* yacc.c:1646  */
    break;

  case 1925:
#line 11770 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 54297 "preproc.c" /* yacc.c:1646  */
    break;

  case 1926:
#line 11774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("exists"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 54305 "preproc.c" /* yacc.c:1646  */
    break;

  case 1927:
#line 11778 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("nested"),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("columns ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54313 "preproc.c" /* yacc.c:1646  */
    break;

  case 1928:
#line 11782 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("nested"),(yyvsp[-7].str),(yyvsp[-6].str),mm_strdup("as"),(yyvsp[-4].str),mm_strdup("columns ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54321 "preproc.c" /* yacc.c:1646  */
    break;

  case 1929:
#line 11790 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("path");
}
#line 54329 "preproc.c" /* yacc.c:1646  */
    break;

  case 1930:
#line 11794 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 54336 "preproc.c" /* yacc.c:1646  */
    break;

  case 1931:
#line 11801 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("path"),(yyvsp[0].str));
}
#line 54344 "preproc.c" /* yacc.c:1646  */
    break;

  case 1932:
#line 11805 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 54351 "preproc.c" /* yacc.c:1646  */
    break;

  case 1933:
#line 11812 "preproc.y" /* yacc.c:1646  */
    {	(yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].index).str); }
#line 54357 "preproc.c" /* yacc.c:1646  */
    break;

  case 1934:
#line 11814 "preproc.y" /* yacc.c:1646  */
    {	(yyval.str) = cat_str(3, mm_strdup("setof"), (yyvsp[-1].str), (yyvsp[0].index).str); }
#line 54363 "preproc.c" /* yacc.c:1646  */
    break;

  case 1935:
#line 11816 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("array ["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 54371 "preproc.c" /* yacc.c:1646  */
    break;

  case 1936:
#line 11820 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("setof"),(yyvsp[-4].str),mm_strdup("array ["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 54379 "preproc.c" /* yacc.c:1646  */
    break;

  case 1937:
#line 11824 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("array"));
}
#line 54387 "preproc.c" /* yacc.c:1646  */
    break;

  case 1938:
#line 11828 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("setof"),(yyvsp[-1].str),mm_strdup("array"));
}
#line 54395 "preproc.c" /* yacc.c:1646  */
    break;

  case 1939:
#line 11836 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = (yyvsp[-2].index).index1;
		(yyval.index).index2 = (yyvsp[-2].index).index2;
		if (strcmp((yyval.index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup("0");
		else if (strcmp((yyvsp[-2].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup("0");
		(yyval.index).str = cat_str(2, (yyvsp[-2].index).str, mm_strdup("[]"));
	}
#line 54409 "preproc.c" /* yacc.c:1646  */
    break;

  case 1940:
#line 11846 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = (yyvsp[-3].index).index1;
		(yyval.index).index2 = (yyvsp[-3].index).index2;
		if (strcmp((yyvsp[-3].index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup((yyvsp[-1].str));
		else if (strcmp((yyvsp[-3].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup((yyvsp[-1].str));
		(yyval.index).str = cat_str(4, (yyvsp[-3].index).str, mm_strdup("["), (yyvsp[-1].str), mm_strdup("]"));
	}
#line 54423 "preproc.c" /* yacc.c:1646  */
    break;

  case 1941:
#line 11856 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.index).index1 = mm_strdup("-1");
		(yyval.index).index2 = mm_strdup("-1");
		(yyval.index).str= EMPTY;
	}
#line 54433 "preproc.c" /* yacc.c:1646  */
    break;

  case 1942:
#line 11866 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54441 "preproc.c" /* yacc.c:1646  */
    break;

  case 1943:
#line 11870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54449 "preproc.c" /* yacc.c:1646  */
    break;

  case 1944:
#line 11874 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54457 "preproc.c" /* yacc.c:1646  */
    break;

  case 1945:
#line 11878 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54465 "preproc.c" /* yacc.c:1646  */
    break;

  case 1946:
#line 11882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54473 "preproc.c" /* yacc.c:1646  */
    break;

  case 1947:
#line 11886 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 54481 "preproc.c" /* yacc.c:1646  */
    break;

  case 1948:
#line 11890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54489 "preproc.c" /* yacc.c:1646  */
    break;

  case 1949:
#line 11894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54497 "preproc.c" /* yacc.c:1646  */
    break;

  case 1950:
#line 11902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54505 "preproc.c" /* yacc.c:1646  */
    break;

  case 1951:
#line 11906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54513 "preproc.c" /* yacc.c:1646  */
    break;

  case 1952:
#line 11910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54521 "preproc.c" /* yacc.c:1646  */
    break;

  case 1953:
#line 11914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54529 "preproc.c" /* yacc.c:1646  */
    break;

  case 1954:
#line 11918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54537 "preproc.c" /* yacc.c:1646  */
    break;

  case 1955:
#line 11926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 54545 "preproc.c" /* yacc.c:1646  */
    break;

  case 1956:
#line 11930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 54553 "preproc.c" /* yacc.c:1646  */
    break;

  case 1957:
#line 11938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54561 "preproc.c" /* yacc.c:1646  */
    break;

  case 1958:
#line 11942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 54568 "preproc.c" /* yacc.c:1646  */
    break;

  case 1959:
#line 11949 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("int");
}
#line 54576 "preproc.c" /* yacc.c:1646  */
    break;

  case 1960:
#line 11953 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("integer");
}
#line 54584 "preproc.c" /* yacc.c:1646  */
    break;

  case 1961:
#line 11957 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("smallint");
}
#line 54592 "preproc.c" /* yacc.c:1646  */
    break;

  case 1962:
#line 11961 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bigint");
}
#line 54600 "preproc.c" /* yacc.c:1646  */
    break;

  case 1963:
#line 11965 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("real");
}
#line 54608 "preproc.c" /* yacc.c:1646  */
    break;

  case 1964:
#line 11969 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("float"),(yyvsp[0].str));
}
#line 54616 "preproc.c" /* yacc.c:1646  */
    break;

  case 1965:
#line 11973 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("double precision");
}
#line 54624 "preproc.c" /* yacc.c:1646  */
    break;

  case 1966:
#line 11977 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("decimal"),(yyvsp[0].str));
}
#line 54632 "preproc.c" /* yacc.c:1646  */
    break;

  case 1967:
#line 11981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("dec"),(yyvsp[0].str));
}
#line 54640 "preproc.c" /* yacc.c:1646  */
    break;

  case 1968:
#line 11985 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("numeric"),(yyvsp[0].str));
}
#line 54648 "preproc.c" /* yacc.c:1646  */
    break;

  case 1969:
#line 11989 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("boolean");
}
#line 54656 "preproc.c" /* yacc.c:1646  */
    break;

  case 1970:
#line 11997 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54664 "preproc.c" /* yacc.c:1646  */
    break;

  case 1971:
#line 12001 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 54671 "preproc.c" /* yacc.c:1646  */
    break;

  case 1972:
#line 12008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54679 "preproc.c" /* yacc.c:1646  */
    break;

  case 1973:
#line 12012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54687 "preproc.c" /* yacc.c:1646  */
    break;

  case 1974:
#line 12020 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54695 "preproc.c" /* yacc.c:1646  */
    break;

  case 1975:
#line 12024 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54703 "preproc.c" /* yacc.c:1646  */
    break;

  case 1976:
#line 12032 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("bit"),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54711 "preproc.c" /* yacc.c:1646  */
    break;

  case 1977:
#line 12040 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("bit"),(yyvsp[0].str));
}
#line 54719 "preproc.c" /* yacc.c:1646  */
    break;

  case 1978:
#line 12048 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54727 "preproc.c" /* yacc.c:1646  */
    break;

  case 1979:
#line 12052 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54735 "preproc.c" /* yacc.c:1646  */
    break;

  case 1980:
#line 12060 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54743 "preproc.c" /* yacc.c:1646  */
    break;

  case 1981:
#line 12064 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54751 "preproc.c" /* yacc.c:1646  */
    break;

  case 1982:
#line 12072 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 54759 "preproc.c" /* yacc.c:1646  */
    break;

  case 1983:
#line 12080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54767 "preproc.c" /* yacc.c:1646  */
    break;

  case 1984:
#line 12088 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("character"),(yyvsp[0].str));
}
#line 54775 "preproc.c" /* yacc.c:1646  */
    break;

  case 1985:
#line 12092 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("char"),(yyvsp[0].str));
}
#line 54783 "preproc.c" /* yacc.c:1646  */
    break;

  case 1986:
#line 12096 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varchar");
}
#line 54791 "preproc.c" /* yacc.c:1646  */
    break;

  case 1987:
#line 12100 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("national character"),(yyvsp[0].str));
}
#line 54799 "preproc.c" /* yacc.c:1646  */
    break;

  case 1988:
#line 12104 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("national char"),(yyvsp[0].str));
}
#line 54807 "preproc.c" /* yacc.c:1646  */
    break;

  case 1989:
#line 12108 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("nchar"),(yyvsp[0].str));
}
#line 54815 "preproc.c" /* yacc.c:1646  */
    break;

  case 1990:
#line 12116 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varying");
}
#line 54823 "preproc.c" /* yacc.c:1646  */
    break;

  case 1991:
#line 12120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 54830 "preproc.c" /* yacc.c:1646  */
    break;

  case 1992:
#line 12127 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("timestamp ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 54838 "preproc.c" /* yacc.c:1646  */
    break;

  case 1993:
#line 12131 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("timestamp"),(yyvsp[0].str));
}
#line 54846 "preproc.c" /* yacc.c:1646  */
    break;

  case 1994:
#line 12135 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("time ("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 54854 "preproc.c" /* yacc.c:1646  */
    break;

  case 1995:
#line 12139 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("time"),(yyvsp[0].str));
}
#line 54862 "preproc.c" /* yacc.c:1646  */
    break;

  case 1996:
#line 12147 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("interval");
}
#line 54870 "preproc.c" /* yacc.c:1646  */
    break;

  case 1997:
#line 12155 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with time zone");
}
#line 54878 "preproc.c" /* yacc.c:1646  */
    break;

  case 1998:
#line 12159 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without time zone");
}
#line 54886 "preproc.c" /* yacc.c:1646  */
    break;

  case 1999:
#line 12163 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 54893 "preproc.c" /* yacc.c:1646  */
    break;

  case 2000:
#line 12170 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year");
}
#line 54901 "preproc.c" /* yacc.c:1646  */
    break;

  case 2001:
#line 12174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("month");
}
#line 54909 "preproc.c" /* yacc.c:1646  */
    break;

  case 2002:
#line 12178 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day");
}
#line 54917 "preproc.c" /* yacc.c:1646  */
    break;

  case 2003:
#line 12182 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour");
}
#line 54925 "preproc.c" /* yacc.c:1646  */
    break;

  case 2004:
#line 12186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minute");
}
#line 54933 "preproc.c" /* yacc.c:1646  */
    break;

  case 2005:
#line 12190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 54941 "preproc.c" /* yacc.c:1646  */
    break;

  case 2006:
#line 12194 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year to month");
}
#line 54949 "preproc.c" /* yacc.c:1646  */
    break;

  case 2007:
#line 12198 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day to hour");
}
#line 54957 "preproc.c" /* yacc.c:1646  */
    break;

  case 2008:
#line 12202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day to minute");
}
#line 54965 "preproc.c" /* yacc.c:1646  */
    break;

  case 2009:
#line 12206 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("day to"),(yyvsp[0].str));
}
#line 54973 "preproc.c" /* yacc.c:1646  */
    break;

  case 2010:
#line 12210 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour to minute");
}
#line 54981 "preproc.c" /* yacc.c:1646  */
    break;

  case 2011:
#line 12214 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("hour to"),(yyvsp[0].str));
}
#line 54989 "preproc.c" /* yacc.c:1646  */
    break;

  case 2012:
#line 12218 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("minute to"),(yyvsp[0].str));
}
#line 54997 "preproc.c" /* yacc.c:1646  */
    break;

  case 2013:
#line 12222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 55004 "preproc.c" /* yacc.c:1646  */
    break;

  case 2014:
#line 12229 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("second");
}
#line 55012 "preproc.c" /* yacc.c:1646  */
    break;

  case 2015:
#line 12233 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("second ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 55020 "preproc.c" /* yacc.c:1646  */
    break;

  case 2016:
#line 12241 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json");
}
#line 55028 "preproc.c" /* yacc.c:1646  */
    break;

  case 2017:
#line 12249 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55036 "preproc.c" /* yacc.c:1646  */
    break;

  case 2018:
#line 12253 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("::"),(yyvsp[0].str));
}
#line 55044 "preproc.c" /* yacc.c:1646  */
    break;

  case 2019:
#line 12257 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("collate"),(yyvsp[0].str));
}
#line 55052 "preproc.c" /* yacc.c:1646  */
    break;

  case 2020:
#line 12261 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("at time zone"),(yyvsp[0].str));
}
#line 55060 "preproc.c" /* yacc.c:1646  */
    break;

  case 2021:
#line 12265 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("at local"));
}
#line 55068 "preproc.c" /* yacc.c:1646  */
    break;

  case 2022:
#line 12269 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 55076 "preproc.c" /* yacc.c:1646  */
    break;

  case 2023:
#line 12273 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 55084 "preproc.c" /* yacc.c:1646  */
    break;

  case 2024:
#line 12277 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("+"),(yyvsp[0].str));
}
#line 55092 "preproc.c" /* yacc.c:1646  */
    break;

  case 2025:
#line 12281 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("-"),(yyvsp[0].str));
}
#line 55100 "preproc.c" /* yacc.c:1646  */
    break;

  case 2026:
#line 12285 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("*"),(yyvsp[0].str));
}
#line 55108 "preproc.c" /* yacc.c:1646  */
    break;

  case 2027:
#line 12289 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("/"),(yyvsp[0].str));
}
#line 55116 "preproc.c" /* yacc.c:1646  */
    break;

  case 2028:
#line 12293 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("%"),(yyvsp[0].str));
}
#line 55124 "preproc.c" /* yacc.c:1646  */
    break;

  case 2029:
#line 12297 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("^"),(yyvsp[0].str));
}
#line 55132 "preproc.c" /* yacc.c:1646  */
    break;

  case 2030:
#line 12301 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<"),(yyvsp[0].str));
}
#line 55140 "preproc.c" /* yacc.c:1646  */
    break;

  case 2031:
#line 12305 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">"),(yyvsp[0].str));
}
#line 55148 "preproc.c" /* yacc.c:1646  */
    break;

  case 2032:
#line 12309 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 55156 "preproc.c" /* yacc.c:1646  */
    break;

  case 2033:
#line 12313 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<="),(yyvsp[0].str));
}
#line 55164 "preproc.c" /* yacc.c:1646  */
    break;

  case 2034:
#line 12317 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">="),(yyvsp[0].str));
}
#line 55172 "preproc.c" /* yacc.c:1646  */
    break;

  case 2035:
#line 12321 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<>"),(yyvsp[0].str));
}
#line 55180 "preproc.c" /* yacc.c:1646  */
    break;

  case 2036:
#line 12325 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 55188 "preproc.c" /* yacc.c:1646  */
    break;

  case 2037:
#line 12329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 55196 "preproc.c" /* yacc.c:1646  */
    break;

  case 2038:
#line 12333 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 55204 "preproc.c" /* yacc.c:1646  */
    break;

  case 2039:
#line 12337 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("or"),(yyvsp[0].str));
}
#line 55212 "preproc.c" /* yacc.c:1646  */
    break;

  case 2040:
#line 12341 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("not"),(yyvsp[0].str));
}
#line 55220 "preproc.c" /* yacc.c:1646  */
    break;

  case 2041:
#line 12345 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("not"),(yyvsp[0].str));
}
#line 55228 "preproc.c" /* yacc.c:1646  */
    break;

  case 2042:
#line 12349 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("like"),(yyvsp[0].str));
}
#line 55236 "preproc.c" /* yacc.c:1646  */
    break;

  case 2043:
#line 12353 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("like"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 55244 "preproc.c" /* yacc.c:1646  */
    break;

  case 2044:
#line 12357 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not like"),(yyvsp[0].str));
}
#line 55252 "preproc.c" /* yacc.c:1646  */
    break;

  case 2045:
#line 12361 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("not like"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 55260 "preproc.c" /* yacc.c:1646  */
    break;

  case 2046:
#line 12365 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("ilike"),(yyvsp[0].str));
}
#line 55268 "preproc.c" /* yacc.c:1646  */
    break;

  case 2047:
#line 12369 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("ilike"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 55276 "preproc.c" /* yacc.c:1646  */
    break;

  case 2048:
#line 12373 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not ilike"),(yyvsp[0].str));
}
#line 55284 "preproc.c" /* yacc.c:1646  */
    break;

  case 2049:
#line 12377 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("not ilike"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 55292 "preproc.c" /* yacc.c:1646  */
    break;

  case 2050:
#line 12381 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("similar to"),(yyvsp[0].str));
}
#line 55300 "preproc.c" /* yacc.c:1646  */
    break;

  case 2051:
#line 12385 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("similar to"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 55308 "preproc.c" /* yacc.c:1646  */
    break;

  case 2052:
#line 12389 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("not similar to"),(yyvsp[0].str));
}
#line 55316 "preproc.c" /* yacc.c:1646  */
    break;

  case 2053:
#line 12393 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-6].str),mm_strdup("not similar to"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 55324 "preproc.c" /* yacc.c:1646  */
    break;

  case 2054:
#line 12397 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is null"));
}
#line 55332 "preproc.c" /* yacc.c:1646  */
    break;

  case 2055:
#line 12401 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("isnull"));
}
#line 55340 "preproc.c" /* yacc.c:1646  */
    break;

  case 2056:
#line 12405 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not null"));
}
#line 55348 "preproc.c" /* yacc.c:1646  */
    break;

  case 2057:
#line 12409 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("notnull"));
}
#line 55356 "preproc.c" /* yacc.c:1646  */
    break;

  case 2058:
#line 12413 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("overlaps"),(yyvsp[0].str));
}
#line 55364 "preproc.c" /* yacc.c:1646  */
    break;

  case 2059:
#line 12417 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is true"));
}
#line 55372 "preproc.c" /* yacc.c:1646  */
    break;

  case 2060:
#line 12421 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not true"));
}
#line 55380 "preproc.c" /* yacc.c:1646  */
    break;

  case 2061:
#line 12425 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is false"));
}
#line 55388 "preproc.c" /* yacc.c:1646  */
    break;

  case 2062:
#line 12429 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not false"));
}
#line 55396 "preproc.c" /* yacc.c:1646  */
    break;

  case 2063:
#line 12433 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is unknown"));
}
#line 55404 "preproc.c" /* yacc.c:1646  */
    break;

  case 2064:
#line 12437 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not unknown"));
}
#line 55412 "preproc.c" /* yacc.c:1646  */
    break;

  case 2065:
#line 12441 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("is distinct from"),(yyvsp[0].str));
}
#line 55420 "preproc.c" /* yacc.c:1646  */
    break;

  case 2066:
#line 12445 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-5].str),mm_strdup("is not distinct from"),(yyvsp[0].str));
}
#line 55428 "preproc.c" /* yacc.c:1646  */
    break;

  case 2067:
#line 12449 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("between"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 55436 "preproc.c" /* yacc.c:1646  */
    break;

  case 2068:
#line 12453 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-6].str),mm_strdup("not between"),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 55444 "preproc.c" /* yacc.c:1646  */
    break;

  case 2069:
#line 12457 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("between symmetric"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 55452 "preproc.c" /* yacc.c:1646  */
    break;

  case 2070:
#line 12461 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-6].str),mm_strdup("not between symmetric"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 55460 "preproc.c" /* yacc.c:1646  */
    break;

  case 2071:
#line 12465 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("in"),(yyvsp[0].str));
}
#line 55468 "preproc.c" /* yacc.c:1646  */
    break;

  case 2072:
#line 12469 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-3].str),mm_strdup("not in"),(yyvsp[0].str));
}
#line 55476 "preproc.c" /* yacc.c:1646  */
    break;

  case 2073:
#line 12473 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 55484 "preproc.c" /* yacc.c:1646  */
    break;

  case 2074:
#line 12477 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 55492 "preproc.c" /* yacc.c:1646  */
    break;

  case 2075:
#line 12481 "preproc.y" /* yacc.c:1646  */
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 55501 "preproc.c" /* yacc.c:1646  */
    break;

  case 2076:
#line 12486 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is document"));
}
#line 55509 "preproc.c" /* yacc.c:1646  */
    break;

  case 2077:
#line 12490 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not document"));
}
#line 55517 "preproc.c" /* yacc.c:1646  */
    break;

  case 2078:
#line 12494 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is normalized"));
}
#line 55525 "preproc.c" /* yacc.c:1646  */
    break;

  case 2079:
#line 12498 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("is"),(yyvsp[-1].str),mm_strdup("normalized"));
}
#line 55533 "preproc.c" /* yacc.c:1646  */
    break;

  case 2080:
#line 12502 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not normalized"));
}
#line 55541 "preproc.c" /* yacc.c:1646  */
    break;

  case 2081:
#line 12506 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("is not"),(yyvsp[-1].str),mm_strdup("normalized"));
}
#line 55549 "preproc.c" /* yacc.c:1646  */
    break;

  case 2082:
#line 12510 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),mm_strdup("is"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 55557 "preproc.c" /* yacc.c:1646  */
    break;

  case 2083:
#line 12514 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-4].str),mm_strdup("is not"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 55565 "preproc.c" /* yacc.c:1646  */
    break;

  case 2084:
#line 12518 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 55573 "preproc.c" /* yacc.c:1646  */
    break;

  case 2085:
#line 12526 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55581 "preproc.c" /* yacc.c:1646  */
    break;

  case 2086:
#line 12530 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("::"),(yyvsp[0].str));
}
#line 55589 "preproc.c" /* yacc.c:1646  */
    break;

  case 2087:
#line 12534 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 55597 "preproc.c" /* yacc.c:1646  */
    break;

  case 2088:
#line 12538 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 55605 "preproc.c" /* yacc.c:1646  */
    break;

  case 2089:
#line 12542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("+"),(yyvsp[0].str));
}
#line 55613 "preproc.c" /* yacc.c:1646  */
    break;

  case 2090:
#line 12546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("-"),(yyvsp[0].str));
}
#line 55621 "preproc.c" /* yacc.c:1646  */
    break;

  case 2091:
#line 12550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("*"),(yyvsp[0].str));
}
#line 55629 "preproc.c" /* yacc.c:1646  */
    break;

  case 2092:
#line 12554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("/"),(yyvsp[0].str));
}
#line 55637 "preproc.c" /* yacc.c:1646  */
    break;

  case 2093:
#line 12558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("%"),(yyvsp[0].str));
}
#line 55645 "preproc.c" /* yacc.c:1646  */
    break;

  case 2094:
#line 12562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("^"),(yyvsp[0].str));
}
#line 55653 "preproc.c" /* yacc.c:1646  */
    break;

  case 2095:
#line 12566 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<"),(yyvsp[0].str));
}
#line 55661 "preproc.c" /* yacc.c:1646  */
    break;

  case 2096:
#line 12570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">"),(yyvsp[0].str));
}
#line 55669 "preproc.c" /* yacc.c:1646  */
    break;

  case 2097:
#line 12574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("="),(yyvsp[0].str));
}
#line 55677 "preproc.c" /* yacc.c:1646  */
    break;

  case 2098:
#line 12578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<="),(yyvsp[0].str));
}
#line 55685 "preproc.c" /* yacc.c:1646  */
    break;

  case 2099:
#line 12582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(">="),(yyvsp[0].str));
}
#line 55693 "preproc.c" /* yacc.c:1646  */
    break;

  case 2100:
#line 12586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("<>"),(yyvsp[0].str));
}
#line 55701 "preproc.c" /* yacc.c:1646  */
    break;

  case 2101:
#line 12590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 55709 "preproc.c" /* yacc.c:1646  */
    break;

  case 2102:
#line 12594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 55717 "preproc.c" /* yacc.c:1646  */
    break;

  case 2103:
#line 12598 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-4].str),mm_strdup("is distinct from"),(yyvsp[0].str));
}
#line 55725 "preproc.c" /* yacc.c:1646  */
    break;

  case 2104:
#line 12602 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-5].str),mm_strdup("is not distinct from"),(yyvsp[0].str));
}
#line 55733 "preproc.c" /* yacc.c:1646  */
    break;

  case 2105:
#line 12606 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("is document"));
}
#line 55741 "preproc.c" /* yacc.c:1646  */
    break;

  case 2106:
#line 12610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("is not document"));
}
#line 55749 "preproc.c" /* yacc.c:1646  */
    break;

  case 2107:
#line 12618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55757 "preproc.c" /* yacc.c:1646  */
    break;

  case 2108:
#line 12622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55765 "preproc.c" /* yacc.c:1646  */
    break;

  case 2109:
#line 12626 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 55773 "preproc.c" /* yacc.c:1646  */
    break;

  case 2110:
#line 12630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 55781 "preproc.c" /* yacc.c:1646  */
    break;

  case 2111:
#line 12634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55789 "preproc.c" /* yacc.c:1646  */
    break;

  case 2112:
#line 12638 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55797 "preproc.c" /* yacc.c:1646  */
    break;

  case 2113:
#line 12642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55805 "preproc.c" /* yacc.c:1646  */
    break;

  case 2114:
#line 12646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 55813 "preproc.c" /* yacc.c:1646  */
    break;

  case 2115:
#line 12650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("exists"),(yyvsp[0].str));
}
#line 55821 "preproc.c" /* yacc.c:1646  */
    break;

  case 2116:
#line 12654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[0].str));
}
#line 55829 "preproc.c" /* yacc.c:1646  */
    break;

  case 2117:
#line 12658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[0].str));
}
#line 55837 "preproc.c" /* yacc.c:1646  */
    break;

  case 2118:
#line 12662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55845 "preproc.c" /* yacc.c:1646  */
    break;

  case 2119:
#line 12666 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55853 "preproc.c" /* yacc.c:1646  */
    break;

  case 2120:
#line 12670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("grouping ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 55861 "preproc.c" /* yacc.c:1646  */
    break;

  case 2121:
#line 12678 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("( )"));
}
#line 55869 "preproc.c" /* yacc.c:1646  */
    break;

  case 2122:
#line 12682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 55877 "preproc.c" /* yacc.c:1646  */
    break;

  case 2123:
#line 12686 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( variadic"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 55885 "preproc.c" /* yacc.c:1646  */
    break;

  case 2124:
#line 12690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,(yyvsp[-7].str),mm_strdup("("),(yyvsp[-5].str),mm_strdup(", variadic"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 55893 "preproc.c" /* yacc.c:1646  */
    break;

  case 2125:
#line 12694 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( all"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 55901 "preproc.c" /* yacc.c:1646  */
    break;

  case 2126:
#line 12698 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-5].str),mm_strdup("( distinct"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 55909 "preproc.c" /* yacc.c:1646  */
    break;

  case 2127:
#line 12702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-3].str),mm_strdup("( * )"));
}
#line 55917 "preproc.c" /* yacc.c:1646  */
    break;

  case 2128:
#line 12710 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 55925 "preproc.c" /* yacc.c:1646  */
    break;

  case 2129:
#line 12714 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 55933 "preproc.c" /* yacc.c:1646  */
    break;

  case 2130:
#line 12718 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55941 "preproc.c" /* yacc.c:1646  */
    break;

  case 2131:
#line 12726 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55949 "preproc.c" /* yacc.c:1646  */
    break;

  case 2132:
#line 12730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55957 "preproc.c" /* yacc.c:1646  */
    break;

  case 2133:
#line 12734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 55965 "preproc.c" /* yacc.c:1646  */
    break;

  case 2134:
#line 12742 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("collation for ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 55973 "preproc.c" /* yacc.c:1646  */
    break;

  case 2135:
#line 12746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_date");
}
#line 55981 "preproc.c" /* yacc.c:1646  */
    break;

  case 2136:
#line 12750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_time");
}
#line 55989 "preproc.c" /* yacc.c:1646  */
    break;

  case 2137:
#line 12754 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_time ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 55997 "preproc.c" /* yacc.c:1646  */
    break;

  case 2138:
#line 12758 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
#line 56005 "preproc.c" /* yacc.c:1646  */
    break;

  case 2139:
#line 12762 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_timestamp ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56013 "preproc.c" /* yacc.c:1646  */
    break;

  case 2140:
#line 12766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtime");
}
#line 56021 "preproc.c" /* yacc.c:1646  */
    break;

  case 2141:
#line 12770 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtime ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56029 "preproc.c" /* yacc.c:1646  */
    break;

  case 2142:
#line 12774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
#line 56037 "preproc.c" /* yacc.c:1646  */
    break;

  case 2143:
#line 12778 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtimestamp ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56045 "preproc.c" /* yacc.c:1646  */
    break;

  case 2144:
#line 12782 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_role");
}
#line 56053 "preproc.c" /* yacc.c:1646  */
    break;

  case 2145:
#line 12786 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 56061 "preproc.c" /* yacc.c:1646  */
    break;

  case 2146:
#line 12790 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 56069 "preproc.c" /* yacc.c:1646  */
    break;

  case 2147:
#line 12794 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("system_user");
}
#line 56077 "preproc.c" /* yacc.c:1646  */
    break;

  case 2148:
#line 12798 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 56085 "preproc.c" /* yacc.c:1646  */
    break;

  case 2149:
#line 12802 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
#line 56093 "preproc.c" /* yacc.c:1646  */
    break;

  case 2150:
#line 12806 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 56101 "preproc.c" /* yacc.c:1646  */
    break;

  case 2151:
#line 12810 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("cast ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56109 "preproc.c" /* yacc.c:1646  */
    break;

  case 2152:
#line 12814 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("extract ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56117 "preproc.c" /* yacc.c:1646  */
    break;

  case 2153:
#line 12818 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("normalize ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56125 "preproc.c" /* yacc.c:1646  */
    break;

  case 2154:
#line 12822 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("normalize ("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56133 "preproc.c" /* yacc.c:1646  */
    break;

  case 2155:
#line 12826 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("overlay ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56141 "preproc.c" /* yacc.c:1646  */
    break;

  case 2156:
#line 12830 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("overlay ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56149 "preproc.c" /* yacc.c:1646  */
    break;

  case 2157:
#line 12834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("position ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56157 "preproc.c" /* yacc.c:1646  */
    break;

  case 2158:
#line 12838 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("substring ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56165 "preproc.c" /* yacc.c:1646  */
    break;

  case 2159:
#line 12842 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("substring ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56173 "preproc.c" /* yacc.c:1646  */
    break;

  case 2160:
#line 12846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("treat ("),(yyvsp[-3].str),mm_strdup("as"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56181 "preproc.c" /* yacc.c:1646  */
    break;

  case 2161:
#line 12850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( both"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56189 "preproc.c" /* yacc.c:1646  */
    break;

  case 2162:
#line 12854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( leading"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56197 "preproc.c" /* yacc.c:1646  */
    break;

  case 2163:
#line 12858 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( trailing"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56205 "preproc.c" /* yacc.c:1646  */
    break;

  case 2164:
#line 12862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56213 "preproc.c" /* yacc.c:1646  */
    break;

  case 2165:
#line 12866 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("nullif ("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56221 "preproc.c" /* yacc.c:1646  */
    break;

  case 2166:
#line 12870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("coalesce ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56229 "preproc.c" /* yacc.c:1646  */
    break;

  case 2167:
#line 12874 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("greatest ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56237 "preproc.c" /* yacc.c:1646  */
    break;

  case 2168:
#line 12878 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("least ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56245 "preproc.c" /* yacc.c:1646  */
    break;

  case 2169:
#line 12882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlconcat ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56253 "preproc.c" /* yacc.c:1646  */
    break;

  case 2170:
#line 12886 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlelement ( name"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56261 "preproc.c" /* yacc.c:1646  */
    break;

  case 2171:
#line 12890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56269 "preproc.c" /* yacc.c:1646  */
    break;

  case 2172:
#line 12894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56277 "preproc.c" /* yacc.c:1646  */
    break;

  case 2173:
#line 12898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("xmlelement ( name"),(yyvsp[-5].str),mm_strdup(","),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56285 "preproc.c" /* yacc.c:1646  */
    break;

  case 2174:
#line 12902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("xmlexists ("),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56293 "preproc.c" /* yacc.c:1646  */
    break;

  case 2175:
#line 12906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlforest ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56301 "preproc.c" /* yacc.c:1646  */
    break;

  case 2176:
#line 12910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlparse ("),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56309 "preproc.c" /* yacc.c:1646  */
    break;

  case 2177:
#line 12914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlpi ( name"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56317 "preproc.c" /* yacc.c:1646  */
    break;

  case 2178:
#line 12918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlpi ( name"),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56325 "preproc.c" /* yacc.c:1646  */
    break;

  case 2179:
#line 12922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlroot ("),(yyvsp[-4].str),mm_strdup(","),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56333 "preproc.c" /* yacc.c:1646  */
    break;

  case 2180:
#line 12926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("xmlserialize ("),(yyvsp[-5].str),(yyvsp[-4].str),mm_strdup("as"),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56341 "preproc.c" /* yacc.c:1646  */
    break;

  case 2181:
#line 12930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("json_object ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56349 "preproc.c" /* yacc.c:1646  */
    break;

  case 2182:
#line 12934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("json_object ("),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56357 "preproc.c" /* yacc.c:1646  */
    break;

  case 2183:
#line 12938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("json_object ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56365 "preproc.c" /* yacc.c:1646  */
    break;

  case 2184:
#line 12942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("json_array ("),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56373 "preproc.c" /* yacc.c:1646  */
    break;

  case 2185:
#line 12946 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("json_array ("),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56381 "preproc.c" /* yacc.c:1646  */
    break;

  case 2186:
#line 12950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("json_array ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56389 "preproc.c" /* yacc.c:1646  */
    break;

  case 2187:
#line 12954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("json ("),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56397 "preproc.c" /* yacc.c:1646  */
    break;

  case 2188:
#line 12958 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("json_scalar ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56405 "preproc.c" /* yacc.c:1646  */
    break;

  case 2189:
#line 12962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("json_serialize ("),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56413 "preproc.c" /* yacc.c:1646  */
    break;

  case 2190:
#line 12966 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("merge_action ( )");
}
#line 56421 "preproc.c" /* yacc.c:1646  */
    break;

  case 2191:
#line 12970 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(10,mm_strdup("json_query ("),(yyvsp[-8].str),mm_strdup(","),(yyvsp[-6].str),(yyvsp[-5].str),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56429 "preproc.c" /* yacc.c:1646  */
    break;

  case 2192:
#line 12974 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,mm_strdup("json_exists ("),(yyvsp[-5].str),mm_strdup(","),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56437 "preproc.c" /* yacc.c:1646  */
    break;

  case 2193:
#line 12978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(8,mm_strdup("json_value ("),(yyvsp[-6].str),mm_strdup(","),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56445 "preproc.c" /* yacc.c:1646  */
    break;

  case 2194:
#line 12986 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[0].str));
}
#line 56453 "preproc.c" /* yacc.c:1646  */
    break;

  case 2195:
#line 12990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version no value");
}
#line 56461 "preproc.c" /* yacc.c:1646  */
    break;

  case 2196:
#line 12998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone yes");
}
#line 56469 "preproc.c" /* yacc.c:1646  */
    break;

  case 2197:
#line 13002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone no");
}
#line 56477 "preproc.c" /* yacc.c:1646  */
    break;

  case 2198:
#line 13006 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(", standalone no value");
}
#line 56485 "preproc.c" /* yacc.c:1646  */
    break;

  case 2199:
#line 13010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 56492 "preproc.c" /* yacc.c:1646  */
    break;

  case 2200:
#line 13017 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlattributes ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56500 "preproc.c" /* yacc.c:1646  */
    break;

  case 2201:
#line 13025 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 56508 "preproc.c" /* yacc.c:1646  */
    break;

  case 2202:
#line 13029 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 56516 "preproc.c" /* yacc.c:1646  */
    break;

  case 2203:
#line 13037 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 56524 "preproc.c" /* yacc.c:1646  */
    break;

  case 2204:
#line 13041 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 56532 "preproc.c" /* yacc.c:1646  */
    break;

  case 2205:
#line 13049 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("document");
}
#line 56540 "preproc.c" /* yacc.c:1646  */
    break;

  case 2206:
#line 13053 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("content");
}
#line 56548 "preproc.c" /* yacc.c:1646  */
    break;

  case 2207:
#line 13061 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("indent");
}
#line 56556 "preproc.c" /* yacc.c:1646  */
    break;

  case 2208:
#line 13065 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no indent");
}
#line 56564 "preproc.c" /* yacc.c:1646  */
    break;

  case 2209:
#line 13069 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 56571 "preproc.c" /* yacc.c:1646  */
    break;

  case 2210:
#line 13076 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preserve whitespace");
}
#line 56579 "preproc.c" /* yacc.c:1646  */
    break;

  case 2211:
#line 13080 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strip whitespace");
}
#line 56587 "preproc.c" /* yacc.c:1646  */
    break;

  case 2212:
#line 13084 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 56594 "preproc.c" /* yacc.c:1646  */
    break;

  case 2213:
#line 13091 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing"),(yyvsp[0].str));
}
#line 56602 "preproc.c" /* yacc.c:1646  */
    break;

  case 2214:
#line 13095 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 56610 "preproc.c" /* yacc.c:1646  */
    break;

  case 2215:
#line 13099 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 56618 "preproc.c" /* yacc.c:1646  */
    break;

  case 2216:
#line 13103 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("passing"),(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 56626 "preproc.c" /* yacc.c:1646  */
    break;

  case 2217:
#line 13111 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by ref");
}
#line 56634 "preproc.c" /* yacc.c:1646  */
    break;

  case 2218:
#line 13115 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by value");
}
#line 56642 "preproc.c" /* yacc.c:1646  */
    break;

  case 2219:
#line 13123 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("within group ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56650 "preproc.c" /* yacc.c:1646  */
    break;

  case 2220:
#line 13127 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 56657 "preproc.c" /* yacc.c:1646  */
    break;

  case 2221:
#line 13134 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("filter ( where"),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56665 "preproc.c" /* yacc.c:1646  */
    break;

  case 2222:
#line 13138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 56672 "preproc.c" /* yacc.c:1646  */
    break;

  case 2223:
#line 13145 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("window"),(yyvsp[0].str));
}
#line 56680 "preproc.c" /* yacc.c:1646  */
    break;

  case 2224:
#line 13149 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 56687 "preproc.c" /* yacc.c:1646  */
    break;

  case 2225:
#line 13156 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 56695 "preproc.c" /* yacc.c:1646  */
    break;

  case 2226:
#line 13160 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 56703 "preproc.c" /* yacc.c:1646  */
    break;

  case 2227:
#line 13168 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 56711 "preproc.c" /* yacc.c:1646  */
    break;

  case 2228:
#line 13176 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[0].str));
}
#line 56719 "preproc.c" /* yacc.c:1646  */
    break;

  case 2229:
#line 13180 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[0].str));
}
#line 56727 "preproc.c" /* yacc.c:1646  */
    break;

  case 2230:
#line 13184 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 56734 "preproc.c" /* yacc.c:1646  */
    break;

  case 2231:
#line 13191 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("("),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56742 "preproc.c" /* yacc.c:1646  */
    break;

  case 2232:
#line 13199 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 56750 "preproc.c" /* yacc.c:1646  */
    break;

  case 2233:
#line 13203 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 56757 "preproc.c" /* yacc.c:1646  */
    break;

  case 2234:
#line 13210 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("partition by"),(yyvsp[0].str));
}
#line 56765 "preproc.c" /* yacc.c:1646  */
    break;

  case 2235:
#line 13214 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 56772 "preproc.c" /* yacc.c:1646  */
    break;

  case 2236:
#line 13221 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("range"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 56780 "preproc.c" /* yacc.c:1646  */
    break;

  case 2237:
#line 13225 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("rows"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 56788 "preproc.c" /* yacc.c:1646  */
    break;

  case 2238:
#line 13229 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("groups"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 56796 "preproc.c" /* yacc.c:1646  */
    break;

  case 2239:
#line 13233 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 56803 "preproc.c" /* yacc.c:1646  */
    break;

  case 2240:
#line 13240 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 56811 "preproc.c" /* yacc.c:1646  */
    break;

  case 2241:
#line 13244 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("between"),(yyvsp[-2].str),mm_strdup("and"),(yyvsp[0].str));
}
#line 56819 "preproc.c" /* yacc.c:1646  */
    break;

  case 2242:
#line 13252 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded preceding");
}
#line 56827 "preproc.c" /* yacc.c:1646  */
    break;

  case 2243:
#line 13256 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded following");
}
#line 56835 "preproc.c" /* yacc.c:1646  */
    break;

  case 2244:
#line 13260 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current row");
}
#line 56843 "preproc.c" /* yacc.c:1646  */
    break;

  case 2245:
#line 13264 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("preceding"));
}
#line 56851 "preproc.c" /* yacc.c:1646  */
    break;

  case 2246:
#line 13268 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),mm_strdup("following"));
}
#line 56859 "preproc.c" /* yacc.c:1646  */
    break;

  case 2247:
#line 13276 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclude current row");
}
#line 56867 "preproc.c" /* yacc.c:1646  */
    break;

  case 2248:
#line 13280 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclude group");
}
#line 56875 "preproc.c" /* yacc.c:1646  */
    break;

  case 2249:
#line 13284 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclude ties");
}
#line 56883 "preproc.c" /* yacc.c:1646  */
    break;

  case 2250:
#line 13288 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclude no others");
}
#line 56891 "preproc.c" /* yacc.c:1646  */
    break;

  case 2251:
#line 13292 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 56898 "preproc.c" /* yacc.c:1646  */
    break;

  case 2252:
#line 13299 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("row ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56906 "preproc.c" /* yacc.c:1646  */
    break;

  case 2253:
#line 13303 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row ( )");
}
#line 56914 "preproc.c" /* yacc.c:1646  */
    break;

  case 2254:
#line 13307 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56922 "preproc.c" /* yacc.c:1646  */
    break;

  case 2255:
#line 13315 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("row ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56930 "preproc.c" /* yacc.c:1646  */
    break;

  case 2256:
#line 13319 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row ( )");
}
#line 56938 "preproc.c" /* yacc.c:1646  */
    break;

  case 2257:
#line 13327 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[-3].str),mm_strdup(","),(yyvsp[-1].str),mm_strdup(")"));
}
#line 56946 "preproc.c" /* yacc.c:1646  */
    break;

  case 2258:
#line 13335 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("any");
}
#line 56954 "preproc.c" /* yacc.c:1646  */
    break;

  case 2259:
#line 13339 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("some");
}
#line 56962 "preproc.c" /* yacc.c:1646  */
    break;

  case 2260:
#line 13343 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 56970 "preproc.c" /* yacc.c:1646  */
    break;

  case 2261:
#line 13351 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 56978 "preproc.c" /* yacc.c:1646  */
    break;

  case 2262:
#line 13355 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 56986 "preproc.c" /* yacc.c:1646  */
    break;

  case 2263:
#line 13363 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("+");
}
#line 56994 "preproc.c" /* yacc.c:1646  */
    break;

  case 2264:
#line 13367 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("-");
}
#line 57002 "preproc.c" /* yacc.c:1646  */
    break;

  case 2265:
#line 13371 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 57010 "preproc.c" /* yacc.c:1646  */
    break;

  case 2266:
#line 13375 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("/");
}
#line 57018 "preproc.c" /* yacc.c:1646  */
    break;

  case 2267:
#line 13379 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("%");
}
#line 57026 "preproc.c" /* yacc.c:1646  */
    break;

  case 2268:
#line 13383 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("^");
}
#line 57034 "preproc.c" /* yacc.c:1646  */
    break;

  case 2269:
#line 13387 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("<");
}
#line 57042 "preproc.c" /* yacc.c:1646  */
    break;

  case 2270:
#line 13391 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(">");
}
#line 57050 "preproc.c" /* yacc.c:1646  */
    break;

  case 2271:
#line 13395 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("=");
}
#line 57058 "preproc.c" /* yacc.c:1646  */
    break;

  case 2272:
#line 13399 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("<=");
}
#line 57066 "preproc.c" /* yacc.c:1646  */
    break;

  case 2273:
#line 13403 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(">=");
}
#line 57074 "preproc.c" /* yacc.c:1646  */
    break;

  case 2274:
#line 13407 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("<>");
}
#line 57082 "preproc.c" /* yacc.c:1646  */
    break;

  case 2275:
#line 13415 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 57090 "preproc.c" /* yacc.c:1646  */
    break;

  case 2276:
#line 13419 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 57098 "preproc.c" /* yacc.c:1646  */
    break;

  case 2277:
#line 13427 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 57106 "preproc.c" /* yacc.c:1646  */
    break;

  case 2278:
#line 13431 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 57114 "preproc.c" /* yacc.c:1646  */
    break;

  case 2279:
#line 13439 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 57122 "preproc.c" /* yacc.c:1646  */
    break;

  case 2280:
#line 13443 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 57130 "preproc.c" /* yacc.c:1646  */
    break;

  case 2281:
#line 13447 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("like");
}
#line 57138 "preproc.c" /* yacc.c:1646  */
    break;

  case 2282:
#line 13451 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not like");
}
#line 57146 "preproc.c" /* yacc.c:1646  */
    break;

  case 2283:
#line 13455 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ilike");
}
#line 57154 "preproc.c" /* yacc.c:1646  */
    break;

  case 2284:
#line 13459 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not ilike");
}
#line 57162 "preproc.c" /* yacc.c:1646  */
    break;

  case 2285:
#line 13467 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 57170 "preproc.c" /* yacc.c:1646  */
    break;

  case 2286:
#line 13471 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 57178 "preproc.c" /* yacc.c:1646  */
    break;

  case 2287:
#line 13479 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 57186 "preproc.c" /* yacc.c:1646  */
    break;

  case 2288:
#line 13483 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 57194 "preproc.c" /* yacc.c:1646  */
    break;

  case 2289:
#line 13491 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 57202 "preproc.c" /* yacc.c:1646  */
    break;

  case 2290:
#line 13495 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(":="),(yyvsp[0].str));
}
#line 57210 "preproc.c" /* yacc.c:1646  */
    break;

  case 2291:
#line 13499 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("=>"),(yyvsp[0].str));
}
#line 57218 "preproc.c" /* yacc.c:1646  */
    break;

  case 2292:
#line 13507 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 57226 "preproc.c" /* yacc.c:1646  */
    break;

  case 2293:
#line 13511 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 57233 "preproc.c" /* yacc.c:1646  */
    break;

  case 2294:
#line 13518 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 57241 "preproc.c" /* yacc.c:1646  */
    break;

  case 2295:
#line 13522 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 57249 "preproc.c" /* yacc.c:1646  */
    break;

  case 2296:
#line 13530 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 57257 "preproc.c" /* yacc.c:1646  */
    break;

  case 2297:
#line 13534 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 57265 "preproc.c" /* yacc.c:1646  */
    break;

  case 2298:
#line 13538 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("[ ]");
}
#line 57273 "preproc.c" /* yacc.c:1646  */
    break;

  case 2299:
#line 13546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 57281 "preproc.c" /* yacc.c:1646  */
    break;

  case 2300:
#line 13550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 57289 "preproc.c" /* yacc.c:1646  */
    break;

  case 2301:
#line 13558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 57297 "preproc.c" /* yacc.c:1646  */
    break;

  case 2302:
#line 13566 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 57305 "preproc.c" /* yacc.c:1646  */
    break;

  case 2303:
#line 13570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("year");
}
#line 57313 "preproc.c" /* yacc.c:1646  */
    break;

  case 2304:
#line 13574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("month");
}
#line 57321 "preproc.c" /* yacc.c:1646  */
    break;

  case 2305:
#line 13578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("day");
}
#line 57329 "preproc.c" /* yacc.c:1646  */
    break;

  case 2306:
#line 13582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hour");
}
#line 57337 "preproc.c" /* yacc.c:1646  */
    break;

  case 2307:
#line 13586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minute");
}
#line 57345 "preproc.c" /* yacc.c:1646  */
    break;

  case 2308:
#line 13590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("second");
}
#line 57353 "preproc.c" /* yacc.c:1646  */
    break;

  case 2309:
#line 13594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 57361 "preproc.c" /* yacc.c:1646  */
    break;

  case 2310:
#line 13602 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nfc");
}
#line 57369 "preproc.c" /* yacc.c:1646  */
    break;

  case 2311:
#line 13606 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nfd");
}
#line 57377 "preproc.c" /* yacc.c:1646  */
    break;

  case 2312:
#line 13610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nfkc");
}
#line 57385 "preproc.c" /* yacc.c:1646  */
    break;

  case 2313:
#line 13614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nfkd");
}
#line 57393 "preproc.c" /* yacc.c:1646  */
    break;

  case 2314:
#line 13622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(7,(yyvsp[-6].str),mm_strdup("placing"),(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),mm_strdup("for"),(yyvsp[0].str));
}
#line 57401 "preproc.c" /* yacc.c:1646  */
    break;

  case 2315:
#line 13626 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("placing"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 57409 "preproc.c" /* yacc.c:1646  */
    break;

  case 2316:
#line 13634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("in"),(yyvsp[0].str));
}
#line 57417 "preproc.c" /* yacc.c:1646  */
    break;

  case 2317:
#line 13642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("from"),(yyvsp[-2].str),mm_strdup("for"),(yyvsp[0].str));
}
#line 57425 "preproc.c" /* yacc.c:1646  */
    break;

  case 2318:
#line 13646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("for"),(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 57433 "preproc.c" /* yacc.c:1646  */
    break;

  case 2319:
#line 13650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 57441 "preproc.c" /* yacc.c:1646  */
    break;

  case 2320:
#line 13654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("for"),(yyvsp[0].str));
}
#line 57449 "preproc.c" /* yacc.c:1646  */
    break;

  case 2321:
#line 13658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("similar"),(yyvsp[-2].str),mm_strdup("escape"),(yyvsp[0].str));
}
#line 57457 "preproc.c" /* yacc.c:1646  */
    break;

  case 2322:
#line 13666 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("from"),(yyvsp[0].str));
}
#line 57465 "preproc.c" /* yacc.c:1646  */
    break;

  case 2323:
#line 13670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[0].str));
}
#line 57473 "preproc.c" /* yacc.c:1646  */
    break;

  case 2324:
#line 13674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 57481 "preproc.c" /* yacc.c:1646  */
    break;

  case 2325:
#line 13682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 57489 "preproc.c" /* yacc.c:1646  */
    break;

  case 2326:
#line 13686 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[-1].str),mm_strdup(")"));
}
#line 57497 "preproc.c" /* yacc.c:1646  */
    break;

  case 2327:
#line 13694 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("case"),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup("end"));
}
#line 57505 "preproc.c" /* yacc.c:1646  */
    break;

  case 2328:
#line 13702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 57513 "preproc.c" /* yacc.c:1646  */
    break;

  case 2329:
#line 13706 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 57521 "preproc.c" /* yacc.c:1646  */
    break;

  case 2330:
#line 13714 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,mm_strdup("when"),(yyvsp[-2].str),mm_strdup("then"),(yyvsp[0].str));
}
#line 57529 "preproc.c" /* yacc.c:1646  */
    break;

  case 2331:
#line 13722 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("else"),(yyvsp[0].str));
}
#line 57537 "preproc.c" /* yacc.c:1646  */
    break;

  case 2332:
#line 13726 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 57544 "preproc.c" /* yacc.c:1646  */
    break;

  case 2333:
#line 13733 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 57552 "preproc.c" /* yacc.c:1646  */
    break;

  case 2334:
#line 13737 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 57559 "preproc.c" /* yacc.c:1646  */
    break;

  case 2335:
#line 13744 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 57567 "preproc.c" /* yacc.c:1646  */
    break;

  case 2336:
#line 13748 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 57575 "preproc.c" /* yacc.c:1646  */
    break;

  case 2337:
#line 13756 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[0].str));
}
#line 57583 "preproc.c" /* yacc.c:1646  */
    break;

  case 2338:
#line 13760 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup(". *");
}
#line 57591 "preproc.c" /* yacc.c:1646  */
    break;

  case 2339:
#line 13764 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[-1].str),mm_strdup("]"));
}
#line 57599 "preproc.c" /* yacc.c:1646  */
    break;

  case 2340:
#line 13768 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,mm_strdup("["),(yyvsp[-3].str),mm_strdup(":"),(yyvsp[-1].str),mm_strdup("]"));
}
#line 57607 "preproc.c" /* yacc.c:1646  */
    break;

  case 2341:
#line 13776 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 57615 "preproc.c" /* yacc.c:1646  */
    break;

  case 2342:
#line 13780 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 57622 "preproc.c" /* yacc.c:1646  */
    break;

  case 2343:
#line 13787 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 57630 "preproc.c" /* yacc.c:1646  */
    break;

  case 2344:
#line 13791 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 57638 "preproc.c" /* yacc.c:1646  */
    break;

  case 2345:
#line 13799 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 57645 "preproc.c" /* yacc.c:1646  */
    break;

  case 2346:
#line 13802 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 57653 "preproc.c" /* yacc.c:1646  */
    break;

  case 2347:
#line 13810 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
#line 57661 "preproc.c" /* yacc.c:1646  */
    break;

  case 2348:
#line 13814 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 57668 "preproc.c" /* yacc.c:1646  */
    break;

  case 2349:
#line 13821 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing"),(yyvsp[0].str));
}
#line 57676 "preproc.c" /* yacc.c:1646  */
    break;

  case 2350:
#line 13825 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 57683 "preproc.c" /* yacc.c:1646  */
    break;

  case 2351:
#line 13832 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 57691 "preproc.c" /* yacc.c:1646  */
    break;

  case 2352:
#line 13836 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 57699 "preproc.c" /* yacc.c:1646  */
    break;

  case 2353:
#line 13844 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 57707 "preproc.c" /* yacc.c:1646  */
    break;

  case 2354:
#line 13852 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without wrapper");
}
#line 57715 "preproc.c" /* yacc.c:1646  */
    break;

  case 2355:
#line 13856 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without array wrapper");
}
#line 57723 "preproc.c" /* yacc.c:1646  */
    break;

  case 2356:
#line 13860 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with wrapper");
}
#line 57731 "preproc.c" /* yacc.c:1646  */
    break;

  case 2357:
#line 13864 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with array wrapper");
}
#line 57739 "preproc.c" /* yacc.c:1646  */
    break;

  case 2358:
#line 13868 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with conditional array wrapper");
}
#line 57747 "preproc.c" /* yacc.c:1646  */
    break;

  case 2359:
#line 13872 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with unconditional array wrapper");
}
#line 57755 "preproc.c" /* yacc.c:1646  */
    break;

  case 2360:
#line 13876 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with conditional wrapper");
}
#line 57763 "preproc.c" /* yacc.c:1646  */
    break;

  case 2361:
#line 13880 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with unconditional wrapper");
}
#line 57771 "preproc.c" /* yacc.c:1646  */
    break;

  case 2362:
#line 13884 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 57778 "preproc.c" /* yacc.c:1646  */
    break;

  case 2363:
#line 13891 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[0].str));
}
#line 57786 "preproc.c" /* yacc.c:1646  */
    break;

  case 2364:
#line 13895 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 57794 "preproc.c" /* yacc.c:1646  */
    break;

  case 2365:
#line 13903 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("error");
}
#line 57802 "preproc.c" /* yacc.c:1646  */
    break;

  case 2366:
#line 13907 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 57810 "preproc.c" /* yacc.c:1646  */
    break;

  case 2367:
#line 13911 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 57818 "preproc.c" /* yacc.c:1646  */
    break;

  case 2368:
#line 13915 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 57826 "preproc.c" /* yacc.c:1646  */
    break;

  case 2369:
#line 13919 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unknown");
}
#line 57834 "preproc.c" /* yacc.c:1646  */
    break;

  case 2370:
#line 13923 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("empty array");
}
#line 57842 "preproc.c" /* yacc.c:1646  */
    break;

  case 2371:
#line 13927 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("empty object");
}
#line 57850 "preproc.c" /* yacc.c:1646  */
    break;

  case 2372:
#line 13931 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("empty");
}
#line 57858 "preproc.c" /* yacc.c:1646  */
    break;

  case 2373:
#line 13939 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("on empty"));
}
#line 57866 "preproc.c" /* yacc.c:1646  */
    break;

  case 2374:
#line 13943 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("on error"));
}
#line 57874 "preproc.c" /* yacc.c:1646  */
    break;

  case 2375:
#line 13947 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(4,(yyvsp[-5].str),mm_strdup("on empty"),(yyvsp[-2].str),mm_strdup("on error"));
}
#line 57882 "preproc.c" /* yacc.c:1646  */
    break;

  case 2376:
#line 13951 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 57889 "preproc.c" /* yacc.c:1646  */
    break;

  case 2377:
#line 13958 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-2].str),mm_strdup("on error"));
}
#line 57897 "preproc.c" /* yacc.c:1646  */
    break;

  case 2378:
#line 13962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 57904 "preproc.c" /* yacc.c:1646  */
    break;

  case 2379:
#line 13969 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 57912 "preproc.c" /* yacc.c:1646  */
    break;

  case 2380:
#line 13977 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("format json encoding"),(yyvsp[0].str));
}
#line 57920 "preproc.c" /* yacc.c:1646  */
    break;

  case 2381:
#line 13981 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("format json");
}
#line 57928 "preproc.c" /* yacc.c:1646  */
    break;

  case 2382:
#line 13989 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 57936 "preproc.c" /* yacc.c:1646  */
    break;

  case 2383:
#line 13993 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 57943 "preproc.c" /* yacc.c:1646  */
    break;

  case 2384:
#line 14000 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("keep quotes on scalar string");
}
#line 57951 "preproc.c" /* yacc.c:1646  */
    break;

  case 2385:
#line 14004 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("keep quotes");
}
#line 57959 "preproc.c" /* yacc.c:1646  */
    break;

  case 2386:
#line 14008 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("omit quotes on scalar string");
}
#line 57967 "preproc.c" /* yacc.c:1646  */
    break;

  case 2387:
#line 14012 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("omit quotes");
}
#line 57975 "preproc.c" /* yacc.c:1646  */
    break;

  case 2388:
#line 14016 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 57982 "preproc.c" /* yacc.c:1646  */
    break;

  case 2389:
#line 14023 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,mm_strdup("returning"),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 57990 "preproc.c" /* yacc.c:1646  */
    break;

  case 2390:
#line 14027 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 57997 "preproc.c" /* yacc.c:1646  */
    break;

  case 2391:
#line 14034 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json");
}
#line 58005 "preproc.c" /* yacc.c:1646  */
    break;

  case 2392:
#line 14038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json value");
}
#line 58013 "preproc.c" /* yacc.c:1646  */
    break;

  case 2393:
#line 14042 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json array");
}
#line 58021 "preproc.c" /* yacc.c:1646  */
    break;

  case 2394:
#line 14046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json object");
}
#line 58029 "preproc.c" /* yacc.c:1646  */
    break;

  case 2395:
#line 14050 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json scalar");
}
#line 58037 "preproc.c" /* yacc.c:1646  */
    break;

  case 2396:
#line 14058 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with unique keys");
}
#line 58045 "preproc.c" /* yacc.c:1646  */
    break;

  case 2397:
#line 14062 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with unique");
}
#line 58053 "preproc.c" /* yacc.c:1646  */
    break;

  case 2398:
#line 14066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without unique keys");
}
#line 58061 "preproc.c" /* yacc.c:1646  */
    break;

  case 2399:
#line 14070 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without unique");
}
#line 58069 "preproc.c" /* yacc.c:1646  */
    break;

  case 2400:
#line 14074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 58076 "preproc.c" /* yacc.c:1646  */
    break;

  case 2401:
#line 14081 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58084 "preproc.c" /* yacc.c:1646  */
    break;

  case 2402:
#line 14085 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 58092 "preproc.c" /* yacc.c:1646  */
    break;

  case 2403:
#line 14093 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("value"),(yyvsp[0].str));
}
#line 58100 "preproc.c" /* yacc.c:1646  */
    break;

  case 2404:
#line 14097 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(":"),(yyvsp[0].str));
}
#line 58108 "preproc.c" /* yacc.c:1646  */
    break;

  case 2405:
#line 14105 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null on null");
}
#line 58116 "preproc.c" /* yacc.c:1646  */
    break;

  case 2406:
#line 14109 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("absent on null");
}
#line 58124 "preproc.c" /* yacc.c:1646  */
    break;

  case 2407:
#line 14113 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 58131 "preproc.c" /* yacc.c:1646  */
    break;

  case 2408:
#line 14120 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null on null");
}
#line 58139 "preproc.c" /* yacc.c:1646  */
    break;

  case 2409:
#line 14124 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("absent on null");
}
#line 58147 "preproc.c" /* yacc.c:1646  */
    break;

  case 2410:
#line 14128 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 58154 "preproc.c" /* yacc.c:1646  */
    break;

  case 2411:
#line 14135 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58162 "preproc.c" /* yacc.c:1646  */
    break;

  case 2412:
#line 14139 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 58170 "preproc.c" /* yacc.c:1646  */
    break;

  case 2413:
#line 14147 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("json_objectagg ("),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 58178 "preproc.c" /* yacc.c:1646  */
    break;

  case 2414:
#line 14151 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,mm_strdup("json_arrayagg ("),(yyvsp[-4].str),(yyvsp[-3].str),(yyvsp[-2].str),(yyvsp[-1].str),mm_strdup(")"));
}
#line 58186 "preproc.c" /* yacc.c:1646  */
    break;

  case 2415:
#line 14159 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("order by"),(yyvsp[0].str));
}
#line 58194 "preproc.c" /* yacc.c:1646  */
    break;

  case 2416:
#line 14163 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 58201 "preproc.c" /* yacc.c:1646  */
    break;

  case 2417:
#line 14170 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58209 "preproc.c" /* yacc.c:1646  */
    break;

  case 2418:
#line 14174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str)=EMPTY; }
#line 58216 "preproc.c" /* yacc.c:1646  */
    break;

  case 2419:
#line 14181 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58224 "preproc.c" /* yacc.c:1646  */
    break;

  case 2420:
#line 14185 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 58232 "preproc.c" /* yacc.c:1646  */
    break;

  case 2421:
#line 14193 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup("as"),(yyvsp[0].str));
}
#line 58240 "preproc.c" /* yacc.c:1646  */
    break;

  case 2422:
#line 14197 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 58248 "preproc.c" /* yacc.c:1646  */
    break;

  case 2423:
#line 14201 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58256 "preproc.c" /* yacc.c:1646  */
    break;

  case 2424:
#line 14205 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("*");
}
#line 58264 "preproc.c" /* yacc.c:1646  */
    break;

  case 2425:
#line 14213 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58272 "preproc.c" /* yacc.c:1646  */
    break;

  case 2426:
#line 14217 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 58280 "preproc.c" /* yacc.c:1646  */
    break;

  case 2427:
#line 14225 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58288 "preproc.c" /* yacc.c:1646  */
    break;

  case 2428:
#line 14229 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 58296 "preproc.c" /* yacc.c:1646  */
    break;

  case 2429:
#line 14237 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58304 "preproc.c" /* yacc.c:1646  */
    break;

  case 2430:
#line 14241 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 58312 "preproc.c" /* yacc.c:1646  */
    break;

  case 2431:
#line 14249 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58320 "preproc.c" /* yacc.c:1646  */
    break;

  case 2432:
#line 14257 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58328 "preproc.c" /* yacc.c:1646  */
    break;

  case 2433:
#line 14265 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58336 "preproc.c" /* yacc.c:1646  */
    break;

  case 2434:
#line 14273 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58344 "preproc.c" /* yacc.c:1646  */
    break;

  case 2435:
#line 14277 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 58352 "preproc.c" /* yacc.c:1646  */
    break;

  case 2436:
#line 14285 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58360 "preproc.c" /* yacc.c:1646  */
    break;

  case 2437:
#line 14289 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58368 "preproc.c" /* yacc.c:1646  */
    break;

  case 2438:
#line 14293 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58376 "preproc.c" /* yacc.c:1646  */
    break;

  case 2439:
#line 14297 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58384 "preproc.c" /* yacc.c:1646  */
    break;

  case 2440:
#line 14301 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58392 "preproc.c" /* yacc.c:1646  */
    break;

  case 2441:
#line 14305 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 58400 "preproc.c" /* yacc.c:1646  */
    break;

  case 2442:
#line 14309 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(6,(yyvsp[-5].str),mm_strdup("("),(yyvsp[-3].str),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 58408 "preproc.c" /* yacc.c:1646  */
    break;

  case 2443:
#line 14313 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,(yyvsp[-1].str),(yyvsp[0].str));
}
#line 58416 "preproc.c" /* yacc.c:1646  */
    break;

  case 2444:
#line 14317 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),(yyvsp[-1].str),(yyvsp[0].str));
}
#line 58424 "preproc.c" /* yacc.c:1646  */
    break;

  case 2445:
#line 14321 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(5,(yyvsp[-4].str),mm_strdup("("),(yyvsp[-2].str),mm_strdup(")"),(yyvsp[0].str));
}
#line 58432 "preproc.c" /* yacc.c:1646  */
    break;

  case 2446:
#line 14325 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 58440 "preproc.c" /* yacc.c:1646  */
    break;

  case 2447:
#line 14329 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 58448 "preproc.c" /* yacc.c:1646  */
    break;

  case 2448:
#line 14333 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 58456 "preproc.c" /* yacc.c:1646  */
    break;

  case 2449:
#line 14336 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58462 "preproc.c" /* yacc.c:1646  */
    break;

  case 2450:
#line 14337 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58468 "preproc.c" /* yacc.c:1646  */
    break;

  case 2451:
#line 14343 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 58474 "preproc.c" /* yacc.c:1646  */
    break;

  case 2452:
#line 14349 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58482 "preproc.c" /* yacc.c:1646  */
    break;

  case 2453:
#line 14352 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 58488 "preproc.c" /* yacc.c:1646  */
    break;

  case 2454:
#line 14354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[0].str));
}
#line 58496 "preproc.c" /* yacc.c:1646  */
    break;

  case 2455:
#line 14358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[0].str));
}
#line 58504 "preproc.c" /* yacc.c:1646  */
    break;

  case 2456:
#line 14366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58512 "preproc.c" /* yacc.c:1646  */
    break;

  case 2457:
#line 14374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58520 "preproc.c" /* yacc.c:1646  */
    break;

  case 2458:
#line 14378 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_role");
}
#line 58528 "preproc.c" /* yacc.c:1646  */
    break;

  case 2459:
#line 14382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 58536 "preproc.c" /* yacc.c:1646  */
    break;

  case 2460:
#line 14386 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 58544 "preproc.c" /* yacc.c:1646  */
    break;

  case 2461:
#line 14394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58552 "preproc.c" /* yacc.c:1646  */
    break;

  case 2462:
#line 14398 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = cat_str(3,(yyvsp[-2].str),mm_strdup(","),(yyvsp[0].str));
}
#line 58560 "preproc.c" /* yacc.c:1646  */
    break;

  case 2463:
#line 14406 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58568 "preproc.c" /* yacc.c:1646  */
    break;

  case 2464:
#line 14410 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58576 "preproc.c" /* yacc.c:1646  */
    break;

  case 2465:
#line 14414 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58584 "preproc.c" /* yacc.c:1646  */
    break;

  case 2466:
#line 14418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58592 "preproc.c" /* yacc.c:1646  */
    break;

  case 2467:
#line 14426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58600 "preproc.c" /* yacc.c:1646  */
    break;

  case 2468:
#line 14430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = (yyvsp[0].str);
}
#line 58608 "preproc.c" /* yacc.c:1646  */
    break;

  case 2469:
#line 14438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("abort");
}
#line 58616 "preproc.c" /* yacc.c:1646  */
    break;

  case 2470:
#line 14442 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("absent");
}
#line 58624 "preproc.c" /* yacc.c:1646  */
    break;

  case 2471:
#line 14446 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("absolute");
}
#line 58632 "preproc.c" /* yacc.c:1646  */
    break;

  case 2472:
#line 14450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access");
}
#line 58640 "preproc.c" /* yacc.c:1646  */
    break;

  case 2473:
#line 14454 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("action");
}
#line 58648 "preproc.c" /* yacc.c:1646  */
    break;

  case 2474:
#line 14458 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("add");
}
#line 58656 "preproc.c" /* yacc.c:1646  */
    break;

  case 2475:
#line 14462 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("admin");
}
#line 58664 "preproc.c" /* yacc.c:1646  */
    break;

  case 2476:
#line 14466 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("after");
}
#line 58672 "preproc.c" /* yacc.c:1646  */
    break;

  case 2477:
#line 14470 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("aggregate");
}
#line 58680 "preproc.c" /* yacc.c:1646  */
    break;

  case 2478:
#line 14474 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("also");
}
#line 58688 "preproc.c" /* yacc.c:1646  */
    break;

  case 2479:
#line 14478 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("alter");
}
#line 58696 "preproc.c" /* yacc.c:1646  */
    break;

  case 2480:
#line 14482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("always");
}
#line 58704 "preproc.c" /* yacc.c:1646  */
    break;

  case 2481:
#line 14486 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asensitive");
}
#line 58712 "preproc.c" /* yacc.c:1646  */
    break;

  case 2482:
#line 14490 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("assertion");
}
#line 58720 "preproc.c" /* yacc.c:1646  */
    break;

  case 2483:
#line 14494 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("assignment");
}
#line 58728 "preproc.c" /* yacc.c:1646  */
    break;

  case 2484:
#line 14498 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("at");
}
#line 58736 "preproc.c" /* yacc.c:1646  */
    break;

  case 2485:
#line 14502 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("atomic");
}
#line 58744 "preproc.c" /* yacc.c:1646  */
    break;

  case 2486:
#line 14506 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("attach");
}
#line 58752 "preproc.c" /* yacc.c:1646  */
    break;

  case 2487:
#line 14510 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("attribute");
}
#line 58760 "preproc.c" /* yacc.c:1646  */
    break;

  case 2488:
#line 14514 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("backward");
}
#line 58768 "preproc.c" /* yacc.c:1646  */
    break;

  case 2489:
#line 14518 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("before");
}
#line 58776 "preproc.c" /* yacc.c:1646  */
    break;

  case 2490:
#line 14522 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("begin");
}
#line 58784 "preproc.c" /* yacc.c:1646  */
    break;

  case 2491:
#line 14526 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("breadth");
}
#line 58792 "preproc.c" /* yacc.c:1646  */
    break;

  case 2492:
#line 14530 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by");
}
#line 58800 "preproc.c" /* yacc.c:1646  */
    break;

  case 2493:
#line 14534 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cache");
}
#line 58808 "preproc.c" /* yacc.c:1646  */
    break;

  case 2494:
#line 14538 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("call");
}
#line 58816 "preproc.c" /* yacc.c:1646  */
    break;

  case 2495:
#line 14542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("called");
}
#line 58824 "preproc.c" /* yacc.c:1646  */
    break;

  case 2496:
#line 14546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 58832 "preproc.c" /* yacc.c:1646  */
    break;

  case 2497:
#line 14550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascaded");
}
#line 58840 "preproc.c" /* yacc.c:1646  */
    break;

  case 2498:
#line 14554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("catalog");
}
#line 58848 "preproc.c" /* yacc.c:1646  */
    break;

  case 2499:
#line 14558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("chain");
}
#line 58856 "preproc.c" /* yacc.c:1646  */
    break;

  case 2500:
#line 14562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("characteristics");
}
#line 58864 "preproc.c" /* yacc.c:1646  */
    break;

  case 2501:
#line 14566 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
#line 58872 "preproc.c" /* yacc.c:1646  */
    break;

  case 2502:
#line 14570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("class");
}
#line 58880 "preproc.c" /* yacc.c:1646  */
    break;

  case 2503:
#line 14574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("close");
}
#line 58888 "preproc.c" /* yacc.c:1646  */
    break;

  case 2504:
#line 14578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cluster");
}
#line 58896 "preproc.c" /* yacc.c:1646  */
    break;

  case 2505:
#line 14582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("columns");
}
#line 58904 "preproc.c" /* yacc.c:1646  */
    break;

  case 2506:
#line 14586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comment");
}
#line 58912 "preproc.c" /* yacc.c:1646  */
    break;

  case 2507:
#line 14590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comments");
}
#line 58920 "preproc.c" /* yacc.c:1646  */
    break;

  case 2508:
#line 14594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("commit");
}
#line 58928 "preproc.c" /* yacc.c:1646  */
    break;

  case 2509:
#line 14598 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("committed");
}
#line 58936 "preproc.c" /* yacc.c:1646  */
    break;

  case 2510:
#line 14602 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("compression");
}
#line 58944 "preproc.c" /* yacc.c:1646  */
    break;

  case 2511:
#line 14606 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conditional");
}
#line 58952 "preproc.c" /* yacc.c:1646  */
    break;

  case 2512:
#line 14610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("configuration");
}
#line 58960 "preproc.c" /* yacc.c:1646  */
    break;

  case 2513:
#line 14614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conflict");
}
#line 58968 "preproc.c" /* yacc.c:1646  */
    break;

  case 2514:
#line 14618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraints");
}
#line 58976 "preproc.c" /* yacc.c:1646  */
    break;

  case 2515:
#line 14622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("content");
}
#line 58984 "preproc.c" /* yacc.c:1646  */
    break;

  case 2516:
#line 14626 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("continue");
}
#line 58992 "preproc.c" /* yacc.c:1646  */
    break;

  case 2517:
#line 14630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 59000 "preproc.c" /* yacc.c:1646  */
    break;

  case 2518:
#line 14634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("copy");
}
#line 59008 "preproc.c" /* yacc.c:1646  */
    break;

  case 2519:
#line 14638 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cost");
}
#line 59016 "preproc.c" /* yacc.c:1646  */
    break;

  case 2520:
#line 14642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("csv");
}
#line 59024 "preproc.c" /* yacc.c:1646  */
    break;

  case 2521:
#line 14646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cube");
}
#line 59032 "preproc.c" /* yacc.c:1646  */
    break;

  case 2522:
#line 14650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cursor");
}
#line 59040 "preproc.c" /* yacc.c:1646  */
    break;

  case 2523:
#line 14654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cycle");
}
#line 59048 "preproc.c" /* yacc.c:1646  */
    break;

  case 2524:
#line 14658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("data");
}
#line 59056 "preproc.c" /* yacc.c:1646  */
    break;

  case 2525:
#line 14662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 59064 "preproc.c" /* yacc.c:1646  */
    break;

  case 2526:
#line 14666 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deallocate");
}
#line 59072 "preproc.c" /* yacc.c:1646  */
    break;

  case 2527:
#line 14670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("declare");
}
#line 59080 "preproc.c" /* yacc.c:1646  */
    break;

  case 2528:
#line 14674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("defaults");
}
#line 59088 "preproc.c" /* yacc.c:1646  */
    break;

  case 2529:
#line 14678 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferred");
}
#line 59096 "preproc.c" /* yacc.c:1646  */
    break;

  case 2530:
#line 14682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("definer");
}
#line 59104 "preproc.c" /* yacc.c:1646  */
    break;

  case 2531:
#line 14686 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 59112 "preproc.c" /* yacc.c:1646  */
    break;

  case 2532:
#line 14690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delimiter");
}
#line 59120 "preproc.c" /* yacc.c:1646  */
    break;

  case 2533:
#line 14694 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delimiters");
}
#line 59128 "preproc.c" /* yacc.c:1646  */
    break;

  case 2534:
#line 14698 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("depends");
}
#line 59136 "preproc.c" /* yacc.c:1646  */
    break;

  case 2535:
#line 14702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("depth");
}
#line 59144 "preproc.c" /* yacc.c:1646  */
    break;

  case 2536:
#line 14706 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("detach");
}
#line 59152 "preproc.c" /* yacc.c:1646  */
    break;

  case 2537:
#line 14710 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("dictionary");
}
#line 59160 "preproc.c" /* yacc.c:1646  */
    break;

  case 2538:
#line 14714 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable");
}
#line 59168 "preproc.c" /* yacc.c:1646  */
    break;

  case 2539:
#line 14718 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard");
}
#line 59176 "preproc.c" /* yacc.c:1646  */
    break;

  case 2540:
#line 14722 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("document");
}
#line 59184 "preproc.c" /* yacc.c:1646  */
    break;

  case 2541:
#line 14726 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("domain");
}
#line 59192 "preproc.c" /* yacc.c:1646  */
    break;

  case 2542:
#line 14730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("double");
}
#line 59200 "preproc.c" /* yacc.c:1646  */
    break;

  case 2543:
#line 14734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop");
}
#line 59208 "preproc.c" /* yacc.c:1646  */
    break;

  case 2544:
#line 14738 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("each");
}
#line 59216 "preproc.c" /* yacc.c:1646  */
    break;

  case 2545:
#line 14742 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("empty");
}
#line 59224 "preproc.c" /* yacc.c:1646  */
    break;

  case 2546:
#line 14746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable");
}
#line 59232 "preproc.c" /* yacc.c:1646  */
    break;

  case 2547:
#line 14750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encoding");
}
#line 59240 "preproc.c" /* yacc.c:1646  */
    break;

  case 2548:
#line 14754 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encrypted");
}
#line 59248 "preproc.c" /* yacc.c:1646  */
    break;

  case 2549:
#line 14758 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enum");
}
#line 59256 "preproc.c" /* yacc.c:1646  */
    break;

  case 2550:
#line 14762 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("error");
}
#line 59264 "preproc.c" /* yacc.c:1646  */
    break;

  case 2551:
#line 14766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("escape");
}
#line 59272 "preproc.c" /* yacc.c:1646  */
    break;

  case 2552:
#line 14770 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event");
}
#line 59280 "preproc.c" /* yacc.c:1646  */
    break;

  case 2553:
#line 14774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclude");
}
#line 59288 "preproc.c" /* yacc.c:1646  */
    break;

  case 2554:
#line 14778 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("excluding");
}
#line 59296 "preproc.c" /* yacc.c:1646  */
    break;

  case 2555:
#line 14782 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclusive");
}
#line 59304 "preproc.c" /* yacc.c:1646  */
    break;

  case 2556:
#line 14786 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("execute");
}
#line 59312 "preproc.c" /* yacc.c:1646  */
    break;

  case 2557:
#line 14790 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("explain");
}
#line 59320 "preproc.c" /* yacc.c:1646  */
    break;

  case 2558:
#line 14794 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("expression");
}
#line 59328 "preproc.c" /* yacc.c:1646  */
    break;

  case 2559:
#line 14798 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 59336 "preproc.c" /* yacc.c:1646  */
    break;

  case 2560:
#line 14802 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external");
}
#line 59344 "preproc.c" /* yacc.c:1646  */
    break;

  case 2561:
#line 14806 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("family");
}
#line 59352 "preproc.c" /* yacc.c:1646  */
    break;

  case 2562:
#line 14810 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("filter");
}
#line 59360 "preproc.c" /* yacc.c:1646  */
    break;

  case 2563:
#line 14814 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("finalize");
}
#line 59368 "preproc.c" /* yacc.c:1646  */
    break;

  case 2564:
#line 14818 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("first");
}
#line 59376 "preproc.c" /* yacc.c:1646  */
    break;

  case 2565:
#line 14822 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("following");
}
#line 59384 "preproc.c" /* yacc.c:1646  */
    break;

  case 2566:
#line 14826 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force");
}
#line 59392 "preproc.c" /* yacc.c:1646  */
    break;

  case 2567:
#line 14830 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("format");
}
#line 59400 "preproc.c" /* yacc.c:1646  */
    break;

  case 2568:
#line 14834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("forward");
}
#line 59408 "preproc.c" /* yacc.c:1646  */
    break;

  case 2569:
#line 14838 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("function");
}
#line 59416 "preproc.c" /* yacc.c:1646  */
    break;

  case 2570:
#line 14842 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("functions");
}
#line 59424 "preproc.c" /* yacc.c:1646  */
    break;

  case 2571:
#line 14846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("generated");
}
#line 59432 "preproc.c" /* yacc.c:1646  */
    break;

  case 2572:
#line 14850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global");
}
#line 59440 "preproc.c" /* yacc.c:1646  */
    break;

  case 2573:
#line 14854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("granted");
}
#line 59448 "preproc.c" /* yacc.c:1646  */
    break;

  case 2574:
#line 14858 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("groups");
}
#line 59456 "preproc.c" /* yacc.c:1646  */
    break;

  case 2575:
#line 14862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("handler");
}
#line 59464 "preproc.c" /* yacc.c:1646  */
    break;

  case 2576:
#line 14866 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("header");
}
#line 59472 "preproc.c" /* yacc.c:1646  */
    break;

  case 2577:
#line 14870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hold");
}
#line 59480 "preproc.c" /* yacc.c:1646  */
    break;

  case 2578:
#line 14874 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("identity");
}
#line 59488 "preproc.c" /* yacc.c:1646  */
    break;

  case 2579:
#line 14878 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if");
}
#line 59496 "preproc.c" /* yacc.c:1646  */
    break;

  case 2580:
#line 14882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immediate");
}
#line 59504 "preproc.c" /* yacc.c:1646  */
    break;

  case 2581:
#line 14886 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immutable");
}
#line 59512 "preproc.c" /* yacc.c:1646  */
    break;

  case 2582:
#line 14890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("implicit");
}
#line 59520 "preproc.c" /* yacc.c:1646  */
    break;

  case 2583:
#line 14894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("import");
}
#line 59528 "preproc.c" /* yacc.c:1646  */
    break;

  case 2584:
#line 14898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("include");
}
#line 59536 "preproc.c" /* yacc.c:1646  */
    break;

  case 2585:
#line 14902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("including");
}
#line 59544 "preproc.c" /* yacc.c:1646  */
    break;

  case 2586:
#line 14906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("increment");
}
#line 59552 "preproc.c" /* yacc.c:1646  */
    break;

  case 2587:
#line 14910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("indent");
}
#line 59560 "preproc.c" /* yacc.c:1646  */
    break;

  case 2588:
#line 14914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 59568 "preproc.c" /* yacc.c:1646  */
    break;

  case 2589:
#line 14918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("indexes");
}
#line 59576 "preproc.c" /* yacc.c:1646  */
    break;

  case 2590:
#line 14922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherit");
}
#line 59584 "preproc.c" /* yacc.c:1646  */
    break;

  case 2591:
#line 14926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherits");
}
#line 59592 "preproc.c" /* yacc.c:1646  */
    break;

  case 2592:
#line 14930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inline");
}
#line 59600 "preproc.c" /* yacc.c:1646  */
    break;

  case 2593:
#line 14934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insensitive");
}
#line 59608 "preproc.c" /* yacc.c:1646  */
    break;

  case 2594:
#line 14938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 59616 "preproc.c" /* yacc.c:1646  */
    break;

  case 2595:
#line 14942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead");
}
#line 59624 "preproc.c" /* yacc.c:1646  */
    break;

  case 2596:
#line 14946 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("invoker");
}
#line 59632 "preproc.c" /* yacc.c:1646  */
    break;

  case 2597:
#line 14950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("isolation");
}
#line 59640 "preproc.c" /* yacc.c:1646  */
    break;

  case 2598:
#line 14954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("keep");
}
#line 59648 "preproc.c" /* yacc.c:1646  */
    break;

  case 2599:
#line 14958 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("key");
}
#line 59656 "preproc.c" /* yacc.c:1646  */
    break;

  case 2600:
#line 14962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("keys");
}
#line 59664 "preproc.c" /* yacc.c:1646  */
    break;

  case 2601:
#line 14966 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("label");
}
#line 59672 "preproc.c" /* yacc.c:1646  */
    break;

  case 2602:
#line 14970 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("language");
}
#line 59680 "preproc.c" /* yacc.c:1646  */
    break;

  case 2603:
#line 14974 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("large");
}
#line 59688 "preproc.c" /* yacc.c:1646  */
    break;

  case 2604:
#line 14978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("last");
}
#line 59696 "preproc.c" /* yacc.c:1646  */
    break;

  case 2605:
#line 14982 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leakproof");
}
#line 59704 "preproc.c" /* yacc.c:1646  */
    break;

  case 2606:
#line 14986 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("level");
}
#line 59712 "preproc.c" /* yacc.c:1646  */
    break;

  case 2607:
#line 14990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("listen");
}
#line 59720 "preproc.c" /* yacc.c:1646  */
    break;

  case 2608:
#line 14994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("load");
}
#line 59728 "preproc.c" /* yacc.c:1646  */
    break;

  case 2609:
#line 14998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local");
}
#line 59736 "preproc.c" /* yacc.c:1646  */
    break;

  case 2610:
#line 15002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("location");
}
#line 59744 "preproc.c" /* yacc.c:1646  */
    break;

  case 2611:
#line 15006 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lock");
}
#line 59752 "preproc.c" /* yacc.c:1646  */
    break;

  case 2612:
#line 15010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("locked");
}
#line 59760 "preproc.c" /* yacc.c:1646  */
    break;

  case 2613:
#line 15014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("logged");
}
#line 59768 "preproc.c" /* yacc.c:1646  */
    break;

  case 2614:
#line 15018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("mapping");
}
#line 59776 "preproc.c" /* yacc.c:1646  */
    break;

  case 2615:
#line 15022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match");
}
#line 59784 "preproc.c" /* yacc.c:1646  */
    break;

  case 2616:
#line 15026 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("matched");
}
#line 59792 "preproc.c" /* yacc.c:1646  */
    break;

  case 2617:
#line 15030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized");
}
#line 59800 "preproc.c" /* yacc.c:1646  */
    break;

  case 2618:
#line 15034 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("maxvalue");
}
#line 59808 "preproc.c" /* yacc.c:1646  */
    break;

  case 2619:
#line 15038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("merge");
}
#line 59816 "preproc.c" /* yacc.c:1646  */
    break;

  case 2620:
#line 15042 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("method");
}
#line 59824 "preproc.c" /* yacc.c:1646  */
    break;

  case 2621:
#line 15046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minvalue");
}
#line 59832 "preproc.c" /* yacc.c:1646  */
    break;

  case 2622:
#line 15050 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("mode");
}
#line 59840 "preproc.c" /* yacc.c:1646  */
    break;

  case 2623:
#line 15054 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("move");
}
#line 59848 "preproc.c" /* yacc.c:1646  */
    break;

  case 2624:
#line 15058 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("name");
}
#line 59856 "preproc.c" /* yacc.c:1646  */
    break;

  case 2625:
#line 15062 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("names");
}
#line 59864 "preproc.c" /* yacc.c:1646  */
    break;

  case 2626:
#line 15066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nested");
}
#line 59872 "preproc.c" /* yacc.c:1646  */
    break;

  case 2627:
#line 15070 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("new");
}
#line 59880 "preproc.c" /* yacc.c:1646  */
    break;

  case 2628:
#line 15074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("next");
}
#line 59888 "preproc.c" /* yacc.c:1646  */
    break;

  case 2629:
#line 15078 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nfc");
}
#line 59896 "preproc.c" /* yacc.c:1646  */
    break;

  case 2630:
#line 15082 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nfd");
}
#line 59904 "preproc.c" /* yacc.c:1646  */
    break;

  case 2631:
#line 15086 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nfkc");
}
#line 59912 "preproc.c" /* yacc.c:1646  */
    break;

  case 2632:
#line 15090 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nfkd");
}
#line 59920 "preproc.c" /* yacc.c:1646  */
    break;

  case 2633:
#line 15094 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no");
}
#line 59928 "preproc.c" /* yacc.c:1646  */
    break;

  case 2634:
#line 15098 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("normalized");
}
#line 59936 "preproc.c" /* yacc.c:1646  */
    break;

  case 2635:
#line 15102 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 59944 "preproc.c" /* yacc.c:1646  */
    break;

  case 2636:
#line 15106 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("notify");
}
#line 59952 "preproc.c" /* yacc.c:1646  */
    break;

  case 2637:
#line 15110 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 59960 "preproc.c" /* yacc.c:1646  */
    break;

  case 2638:
#line 15114 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls");
}
#line 59968 "preproc.c" /* yacc.c:1646  */
    break;

  case 2639:
#line 15118 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("object");
}
#line 59976 "preproc.c" /* yacc.c:1646  */
    break;

  case 2640:
#line 15122 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("of");
}
#line 59984 "preproc.c" /* yacc.c:1646  */
    break;

  case 2641:
#line 15126 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("off");
}
#line 59992 "preproc.c" /* yacc.c:1646  */
    break;

  case 2642:
#line 15130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("oids");
}
#line 60000 "preproc.c" /* yacc.c:1646  */
    break;

  case 2643:
#line 15134 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("old");
}
#line 60008 "preproc.c" /* yacc.c:1646  */
    break;

  case 2644:
#line 15138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("omit");
}
#line 60016 "preproc.c" /* yacc.c:1646  */
    break;

  case 2645:
#line 15142 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("operator");
}
#line 60024 "preproc.c" /* yacc.c:1646  */
    break;

  case 2646:
#line 15146 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("option");
}
#line 60032 "preproc.c" /* yacc.c:1646  */
    break;

  case 2647:
#line 15150 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("options");
}
#line 60040 "preproc.c" /* yacc.c:1646  */
    break;

  case 2648:
#line 15154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ordinality");
}
#line 60048 "preproc.c" /* yacc.c:1646  */
    break;

  case 2649:
#line 15158 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("others");
}
#line 60056 "preproc.c" /* yacc.c:1646  */
    break;

  case 2650:
#line 15162 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("over");
}
#line 60064 "preproc.c" /* yacc.c:1646  */
    break;

  case 2651:
#line 15166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overriding");
}
#line 60072 "preproc.c" /* yacc.c:1646  */
    break;

  case 2652:
#line 15170 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owned");
}
#line 60080 "preproc.c" /* yacc.c:1646  */
    break;

  case 2653:
#line 15174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owner");
}
#line 60088 "preproc.c" /* yacc.c:1646  */
    break;

  case 2654:
#line 15178 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("parallel");
}
#line 60096 "preproc.c" /* yacc.c:1646  */
    break;

  case 2655:
#line 15182 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("parameter");
}
#line 60104 "preproc.c" /* yacc.c:1646  */
    break;

  case 2656:
#line 15186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("parser");
}
#line 60112 "preproc.c" /* yacc.c:1646  */
    break;

  case 2657:
#line 15190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("partial");
}
#line 60120 "preproc.c" /* yacc.c:1646  */
    break;

  case 2658:
#line 15194 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("partition");
}
#line 60128 "preproc.c" /* yacc.c:1646  */
    break;

  case 2659:
#line 15198 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("partitions");
}
#line 60136 "preproc.c" /* yacc.c:1646  */
    break;

  case 2660:
#line 15202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("passing");
}
#line 60144 "preproc.c" /* yacc.c:1646  */
    break;

  case 2661:
#line 15206 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("password");
}
#line 60152 "preproc.c" /* yacc.c:1646  */
    break;

  case 2662:
#line 15210 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("path");
}
#line 60160 "preproc.c" /* yacc.c:1646  */
    break;

  case 2663:
#line 15214 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("plan");
}
#line 60168 "preproc.c" /* yacc.c:1646  */
    break;

  case 2664:
#line 15218 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("plans");
}
#line 60176 "preproc.c" /* yacc.c:1646  */
    break;

  case 2665:
#line 15222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("policy");
}
#line 60184 "preproc.c" /* yacc.c:1646  */
    break;

  case 2666:
#line 15226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preceding");
}
#line 60192 "preproc.c" /* yacc.c:1646  */
    break;

  case 2667:
#line 15230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prepare");
}
#line 60200 "preproc.c" /* yacc.c:1646  */
    break;

  case 2668:
#line 15234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prepared");
}
#line 60208 "preproc.c" /* yacc.c:1646  */
    break;

  case 2669:
#line 15238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preserve");
}
#line 60216 "preproc.c" /* yacc.c:1646  */
    break;

  case 2670:
#line 15242 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prior");
}
#line 60224 "preproc.c" /* yacc.c:1646  */
    break;

  case 2671:
#line 15246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("privileges");
}
#line 60232 "preproc.c" /* yacc.c:1646  */
    break;

  case 2672:
#line 15250 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedural");
}
#line 60240 "preproc.c" /* yacc.c:1646  */
    break;

  case 2673:
#line 15254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedure");
}
#line 60248 "preproc.c" /* yacc.c:1646  */
    break;

  case 2674:
#line 15258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedures");
}
#line 60256 "preproc.c" /* yacc.c:1646  */
    break;

  case 2675:
#line 15262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("program");
}
#line 60264 "preproc.c" /* yacc.c:1646  */
    break;

  case 2676:
#line 15266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("publication");
}
#line 60272 "preproc.c" /* yacc.c:1646  */
    break;

  case 2677:
#line 15270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("quote");
}
#line 60280 "preproc.c" /* yacc.c:1646  */
    break;

  case 2678:
#line 15274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("quotes");
}
#line 60288 "preproc.c" /* yacc.c:1646  */
    break;

  case 2679:
#line 15278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("range");
}
#line 60296 "preproc.c" /* yacc.c:1646  */
    break;

  case 2680:
#line 15282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read");
}
#line 60304 "preproc.c" /* yacc.c:1646  */
    break;

  case 2681:
#line 15286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reassign");
}
#line 60312 "preproc.c" /* yacc.c:1646  */
    break;

  case 2682:
#line 15290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("recheck");
}
#line 60320 "preproc.c" /* yacc.c:1646  */
    break;

  case 2683:
#line 15294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("recursive");
}
#line 60328 "preproc.c" /* yacc.c:1646  */
    break;

  case 2684:
#line 15298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ref");
}
#line 60336 "preproc.c" /* yacc.c:1646  */
    break;

  case 2685:
#line 15302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("referencing");
}
#line 60344 "preproc.c" /* yacc.c:1646  */
    break;

  case 2686:
#line 15306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("refresh");
}
#line 60352 "preproc.c" /* yacc.c:1646  */
    break;

  case 2687:
#line 15310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reindex");
}
#line 60360 "preproc.c" /* yacc.c:1646  */
    break;

  case 2688:
#line 15314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("relative");
}
#line 60368 "preproc.c" /* yacc.c:1646  */
    break;

  case 2689:
#line 15318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("release");
}
#line 60376 "preproc.c" /* yacc.c:1646  */
    break;

  case 2690:
#line 15322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rename");
}
#line 60384 "preproc.c" /* yacc.c:1646  */
    break;

  case 2691:
#line 15326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("repeatable");
}
#line 60392 "preproc.c" /* yacc.c:1646  */
    break;

  case 2692:
#line 15330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("replace");
}
#line 60400 "preproc.c" /* yacc.c:1646  */
    break;

  case 2693:
#line 15334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("replica");
}
#line 60408 "preproc.c" /* yacc.c:1646  */
    break;

  case 2694:
#line 15338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reset");
}
#line 60416 "preproc.c" /* yacc.c:1646  */
    break;

  case 2695:
#line 15342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 60424 "preproc.c" /* yacc.c:1646  */
    break;

  case 2696:
#line 15346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 60432 "preproc.c" /* yacc.c:1646  */
    break;

  case 2697:
#line 15350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("return");
}
#line 60440 "preproc.c" /* yacc.c:1646  */
    break;

  case 2698:
#line 15354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returns");
}
#line 60448 "preproc.c" /* yacc.c:1646  */
    break;

  case 2699:
#line 15358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("revoke");
}
#line 60456 "preproc.c" /* yacc.c:1646  */
    break;

  case 2700:
#line 15362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 60464 "preproc.c" /* yacc.c:1646  */
    break;

  case 2701:
#line 15366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rollback");
}
#line 60472 "preproc.c" /* yacc.c:1646  */
    break;

  case 2702:
#line 15370 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rollup");
}
#line 60480 "preproc.c" /* yacc.c:1646  */
    break;

  case 2703:
#line 15374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("routine");
}
#line 60488 "preproc.c" /* yacc.c:1646  */
    break;

  case 2704:
#line 15378 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("routines");
}
#line 60496 "preproc.c" /* yacc.c:1646  */
    break;

  case 2705:
#line 15382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rows");
}
#line 60504 "preproc.c" /* yacc.c:1646  */
    break;

  case 2706:
#line 15386 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rule");
}
#line 60512 "preproc.c" /* yacc.c:1646  */
    break;

  case 2707:
#line 15390 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("savepoint");
}
#line 60520 "preproc.c" /* yacc.c:1646  */
    break;

  case 2708:
#line 15394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("scalar");
}
#line 60528 "preproc.c" /* yacc.c:1646  */
    break;

  case 2709:
#line 15398 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 60536 "preproc.c" /* yacc.c:1646  */
    break;

  case 2710:
#line 15402 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schemas");
}
#line 60544 "preproc.c" /* yacc.c:1646  */
    break;

  case 2711:
#line 15406 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("scroll");
}
#line 60552 "preproc.c" /* yacc.c:1646  */
    break;

  case 2712:
#line 15410 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("search");
}
#line 60560 "preproc.c" /* yacc.c:1646  */
    break;

  case 2713:
#line 15414 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security");
}
#line 60568 "preproc.c" /* yacc.c:1646  */
    break;

  case 2714:
#line 15418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 60576 "preproc.c" /* yacc.c:1646  */
    break;

  case 2715:
#line 15422 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequences");
}
#line 60584 "preproc.c" /* yacc.c:1646  */
    break;

  case 2716:
#line 15426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("serializable");
}
#line 60592 "preproc.c" /* yacc.c:1646  */
    break;

  case 2717:
#line 15430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 60600 "preproc.c" /* yacc.c:1646  */
    break;

  case 2718:
#line 15434 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session");
}
#line 60608 "preproc.c" /* yacc.c:1646  */
    break;

  case 2719:
#line 15438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set");
}
#line 60616 "preproc.c" /* yacc.c:1646  */
    break;

  case 2720:
#line 15442 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sets");
}
#line 60624 "preproc.c" /* yacc.c:1646  */
    break;

  case 2721:
#line 15446 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share");
}
#line 60632 "preproc.c" /* yacc.c:1646  */
    break;

  case 2722:
#line 15450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show");
}
#line 60640 "preproc.c" /* yacc.c:1646  */
    break;

  case 2723:
#line 15454 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("simple");
}
#line 60648 "preproc.c" /* yacc.c:1646  */
    break;

  case 2724:
#line 15458 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("skip");
}
#line 60656 "preproc.c" /* yacc.c:1646  */
    break;

  case 2725:
#line 15462 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("snapshot");
}
#line 60664 "preproc.c" /* yacc.c:1646  */
    break;

  case 2726:
#line 15466 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("source");
}
#line 60672 "preproc.c" /* yacc.c:1646  */
    break;

  case 2727:
#line 15470 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("split");
}
#line 60680 "preproc.c" /* yacc.c:1646  */
    break;

  case 2728:
#line 15474 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sql");
}
#line 60688 "preproc.c" /* yacc.c:1646  */
    break;

  case 2729:
#line 15478 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stable");
}
#line 60696 "preproc.c" /* yacc.c:1646  */
    break;

  case 2730:
#line 15482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("standalone");
}
#line 60704 "preproc.c" /* yacc.c:1646  */
    break;

  case 2731:
#line 15486 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("start");
}
#line 60712 "preproc.c" /* yacc.c:1646  */
    break;

  case 2732:
#line 15490 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statement");
}
#line 60720 "preproc.c" /* yacc.c:1646  */
    break;

  case 2733:
#line 15494 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statistics");
}
#line 60728 "preproc.c" /* yacc.c:1646  */
    break;

  case 2734:
#line 15498 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdin");
}
#line 60736 "preproc.c" /* yacc.c:1646  */
    break;

  case 2735:
#line 15502 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdout");
}
#line 60744 "preproc.c" /* yacc.c:1646  */
    break;

  case 2736:
#line 15506 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("storage");
}
#line 60752 "preproc.c" /* yacc.c:1646  */
    break;

  case 2737:
#line 15510 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stored");
}
#line 60760 "preproc.c" /* yacc.c:1646  */
    break;

  case 2738:
#line 15514 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strict");
}
#line 60768 "preproc.c" /* yacc.c:1646  */
    break;

  case 2739:
#line 15518 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("string");
}
#line 60776 "preproc.c" /* yacc.c:1646  */
    break;

  case 2740:
#line 15522 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strip");
}
#line 60784 "preproc.c" /* yacc.c:1646  */
    break;

  case 2741:
#line 15526 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("subscription");
}
#line 60792 "preproc.c" /* yacc.c:1646  */
    break;

  case 2742:
#line 15530 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("support");
}
#line 60800 "preproc.c" /* yacc.c:1646  */
    break;

  case 2743:
#line 15534 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sysid");
}
#line 60808 "preproc.c" /* yacc.c:1646  */
    break;

  case 2744:
#line 15538 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("system");
}
#line 60816 "preproc.c" /* yacc.c:1646  */
    break;

  case 2745:
#line 15542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tables");
}
#line 60824 "preproc.c" /* yacc.c:1646  */
    break;

  case 2746:
#line 15546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 60832 "preproc.c" /* yacc.c:1646  */
    break;

  case 2747:
#line 15550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("target");
}
#line 60840 "preproc.c" /* yacc.c:1646  */
    break;

  case 2748:
#line 15554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temp");
}
#line 60848 "preproc.c" /* yacc.c:1646  */
    break;

  case 2749:
#line 15558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("template");
}
#line 60856 "preproc.c" /* yacc.c:1646  */
    break;

  case 2750:
#line 15562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temporary");
}
#line 60864 "preproc.c" /* yacc.c:1646  */
    break;

  case 2751:
#line 15566 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text");
}
#line 60872 "preproc.c" /* yacc.c:1646  */
    break;

  case 2752:
#line 15570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ties");
}
#line 60880 "preproc.c" /* yacc.c:1646  */
    break;

  case 2753:
#line 15574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction");
}
#line 60888 "preproc.c" /* yacc.c:1646  */
    break;

  case 2754:
#line 15578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transform");
}
#line 60896 "preproc.c" /* yacc.c:1646  */
    break;

  case 2755:
#line 15582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trigger");
}
#line 60904 "preproc.c" /* yacc.c:1646  */
    break;

  case 2756:
#line 15586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("truncate");
}
#line 60912 "preproc.c" /* yacc.c:1646  */
    break;

  case 2757:
#line 15590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trusted");
}
#line 60920 "preproc.c" /* yacc.c:1646  */
    break;

  case 2758:
#line 15594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("type");
}
#line 60928 "preproc.c" /* yacc.c:1646  */
    break;

  case 2759:
#line 15598 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("types");
}
#line 60936 "preproc.c" /* yacc.c:1646  */
    break;

  case 2760:
#line 15602 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("uescape");
}
#line 60944 "preproc.c" /* yacc.c:1646  */
    break;

  case 2761:
#line 15606 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded");
}
#line 60952 "preproc.c" /* yacc.c:1646  */
    break;

  case 2762:
#line 15610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("uncommitted");
}
#line 60960 "preproc.c" /* yacc.c:1646  */
    break;

  case 2763:
#line 15614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unconditional");
}
#line 60968 "preproc.c" /* yacc.c:1646  */
    break;

  case 2764:
#line 15618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unencrypted");
}
#line 60976 "preproc.c" /* yacc.c:1646  */
    break;

  case 2765:
#line 15622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unknown");
}
#line 60984 "preproc.c" /* yacc.c:1646  */
    break;

  case 2766:
#line 15626 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlisten");
}
#line 60992 "preproc.c" /* yacc.c:1646  */
    break;

  case 2767:
#line 15630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 61000 "preproc.c" /* yacc.c:1646  */
    break;

  case 2768:
#line 15634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("until");
}
#line 61008 "preproc.c" /* yacc.c:1646  */
    break;

  case 2769:
#line 15638 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 61016 "preproc.c" /* yacc.c:1646  */
    break;

  case 2770:
#line 15642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("vacuum");
}
#line 61024 "preproc.c" /* yacc.c:1646  */
    break;

  case 2771:
#line 15646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("valid");
}
#line 61032 "preproc.c" /* yacc.c:1646  */
    break;

  case 2772:
#line 15650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("validate");
}
#line 61040 "preproc.c" /* yacc.c:1646  */
    break;

  case 2773:
#line 15654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("validator");
}
#line 61048 "preproc.c" /* yacc.c:1646  */
    break;

  case 2774:
#line 15658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("value");
}
#line 61056 "preproc.c" /* yacc.c:1646  */
    break;

  case 2775:
#line 15662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varying");
}
#line 61064 "preproc.c" /* yacc.c:1646  */
    break;

  case 2776:
#line 15666 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version");
}
#line 61072 "preproc.c" /* yacc.c:1646  */
    break;

  case 2777:
#line 15670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 61080 "preproc.c" /* yacc.c:1646  */
    break;

  case 2778:
#line 15674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("views");
}
#line 61088 "preproc.c" /* yacc.c:1646  */
    break;

  case 2779:
#line 15678 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("volatile");
}
#line 61096 "preproc.c" /* yacc.c:1646  */
    break;

  case 2780:
#line 15682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("whitespace");
}
#line 61104 "preproc.c" /* yacc.c:1646  */
    break;

  case 2781:
#line 15686 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("within");
}
#line 61112 "preproc.c" /* yacc.c:1646  */
    break;

  case 2782:
#line 15690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("without");
}
#line 61120 "preproc.c" /* yacc.c:1646  */
    break;

  case 2783:
#line 15694 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("work");
}
#line 61128 "preproc.c" /* yacc.c:1646  */
    break;

  case 2784:
#line 15698 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("wrapper");
}
#line 61136 "preproc.c" /* yacc.c:1646  */
    break;

  case 2785:
#line 15702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("write");
}
#line 61144 "preproc.c" /* yacc.c:1646  */
    break;

  case 2786:
#line 15706 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xml");
}
#line 61152 "preproc.c" /* yacc.c:1646  */
    break;

  case 2787:
#line 15710 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("yes");
}
#line 61160 "preproc.c" /* yacc.c:1646  */
    break;

  case 2788:
#line 15714 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("zone");
}
#line 61168 "preproc.c" /* yacc.c:1646  */
    break;

  case 2789:
#line 15722 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("between");
}
#line 61176 "preproc.c" /* yacc.c:1646  */
    break;

  case 2790:
#line 15726 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bigint");
}
#line 61184 "preproc.c" /* yacc.c:1646  */
    break;

  case 2791:
#line 15730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bit");
}
#line 61192 "preproc.c" /* yacc.c:1646  */
    break;

  case 2792:
#line 15734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("boolean");
}
#line 61200 "preproc.c" /* yacc.c:1646  */
    break;

  case 2793:
#line 15738 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("character");
}
#line 61208 "preproc.c" /* yacc.c:1646  */
    break;

  case 2794:
#line 15742 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("coalesce");
}
#line 61216 "preproc.c" /* yacc.c:1646  */
    break;

  case 2795:
#line 15746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("dec");
}
#line 61224 "preproc.c" /* yacc.c:1646  */
    break;

  case 2796:
#line 15750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("decimal");
}
#line 61232 "preproc.c" /* yacc.c:1646  */
    break;

  case 2797:
#line 15754 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exists");
}
#line 61240 "preproc.c" /* yacc.c:1646  */
    break;

  case 2798:
#line 15758 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extract");
}
#line 61248 "preproc.c" /* yacc.c:1646  */
    break;

  case 2799:
#line 15762 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("float");
}
#line 61256 "preproc.c" /* yacc.c:1646  */
    break;

  case 2800:
#line 15766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("greatest");
}
#line 61264 "preproc.c" /* yacc.c:1646  */
    break;

  case 2801:
#line 15770 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("grouping");
}
#line 61272 "preproc.c" /* yacc.c:1646  */
    break;

  case 2802:
#line 15774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inout");
}
#line 61280 "preproc.c" /* yacc.c:1646  */
    break;

  case 2803:
#line 15778 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("integer");
}
#line 61288 "preproc.c" /* yacc.c:1646  */
    break;

  case 2804:
#line 15782 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("interval");
}
#line 61296 "preproc.c" /* yacc.c:1646  */
    break;

  case 2805:
#line 15786 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json");
}
#line 61304 "preproc.c" /* yacc.c:1646  */
    break;

  case 2806:
#line 15790 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json_array");
}
#line 61312 "preproc.c" /* yacc.c:1646  */
    break;

  case 2807:
#line 15794 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json_arrayagg");
}
#line 61320 "preproc.c" /* yacc.c:1646  */
    break;

  case 2808:
#line 15798 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json_exists");
}
#line 61328 "preproc.c" /* yacc.c:1646  */
    break;

  case 2809:
#line 15802 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json_object");
}
#line 61336 "preproc.c" /* yacc.c:1646  */
    break;

  case 2810:
#line 15806 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json_objectagg");
}
#line 61344 "preproc.c" /* yacc.c:1646  */
    break;

  case 2811:
#line 15810 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json_query");
}
#line 61352 "preproc.c" /* yacc.c:1646  */
    break;

  case 2812:
#line 15814 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json_scalar");
}
#line 61360 "preproc.c" /* yacc.c:1646  */
    break;

  case 2813:
#line 15818 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json_serialize");
}
#line 61368 "preproc.c" /* yacc.c:1646  */
    break;

  case 2814:
#line 15822 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json_table");
}
#line 61376 "preproc.c" /* yacc.c:1646  */
    break;

  case 2815:
#line 15826 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json_value");
}
#line 61384 "preproc.c" /* yacc.c:1646  */
    break;

  case 2816:
#line 15830 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("least");
}
#line 61392 "preproc.c" /* yacc.c:1646  */
    break;

  case 2817:
#line 15834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("merge_action");
}
#line 61400 "preproc.c" /* yacc.c:1646  */
    break;

  case 2818:
#line 15838 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("national");
}
#line 61408 "preproc.c" /* yacc.c:1646  */
    break;

  case 2819:
#line 15842 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nchar");
}
#line 61416 "preproc.c" /* yacc.c:1646  */
    break;

  case 2820:
#line 15846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("none");
}
#line 61424 "preproc.c" /* yacc.c:1646  */
    break;

  case 2821:
#line 15850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("normalize");
}
#line 61432 "preproc.c" /* yacc.c:1646  */
    break;

  case 2822:
#line 15854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nullif");
}
#line 61440 "preproc.c" /* yacc.c:1646  */
    break;

  case 2823:
#line 15858 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("numeric");
}
#line 61448 "preproc.c" /* yacc.c:1646  */
    break;

  case 2824:
#line 15862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("out");
}
#line 61456 "preproc.c" /* yacc.c:1646  */
    break;

  case 2825:
#line 15866 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overlay");
}
#line 61464 "preproc.c" /* yacc.c:1646  */
    break;

  case 2826:
#line 15870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("position");
}
#line 61472 "preproc.c" /* yacc.c:1646  */
    break;

  case 2827:
#line 15874 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("precision");
}
#line 61480 "preproc.c" /* yacc.c:1646  */
    break;

  case 2828:
#line 15878 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("real");
}
#line 61488 "preproc.c" /* yacc.c:1646  */
    break;

  case 2829:
#line 15882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 61496 "preproc.c" /* yacc.c:1646  */
    break;

  case 2830:
#line 15886 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("setof");
}
#line 61504 "preproc.c" /* yacc.c:1646  */
    break;

  case 2831:
#line 15890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("smallint");
}
#line 61512 "preproc.c" /* yacc.c:1646  */
    break;

  case 2832:
#line 15894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("substring");
}
#line 61520 "preproc.c" /* yacc.c:1646  */
    break;

  case 2833:
#line 15898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("time");
}
#line 61528 "preproc.c" /* yacc.c:1646  */
    break;

  case 2834:
#line 15902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("timestamp");
}
#line 61536 "preproc.c" /* yacc.c:1646  */
    break;

  case 2835:
#line 15906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("treat");
}
#line 61544 "preproc.c" /* yacc.c:1646  */
    break;

  case 2836:
#line 15910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trim");
}
#line 61552 "preproc.c" /* yacc.c:1646  */
    break;

  case 2837:
#line 15914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varchar");
}
#line 61560 "preproc.c" /* yacc.c:1646  */
    break;

  case 2838:
#line 15918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlattributes");
}
#line 61568 "preproc.c" /* yacc.c:1646  */
    break;

  case 2839:
#line 15922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlconcat");
}
#line 61576 "preproc.c" /* yacc.c:1646  */
    break;

  case 2840:
#line 15926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlelement");
}
#line 61584 "preproc.c" /* yacc.c:1646  */
    break;

  case 2841:
#line 15930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlexists");
}
#line 61592 "preproc.c" /* yacc.c:1646  */
    break;

  case 2842:
#line 15934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlforest");
}
#line 61600 "preproc.c" /* yacc.c:1646  */
    break;

  case 2843:
#line 15938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlnamespaces");
}
#line 61608 "preproc.c" /* yacc.c:1646  */
    break;

  case 2844:
#line 15942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlparse");
}
#line 61616 "preproc.c" /* yacc.c:1646  */
    break;

  case 2845:
#line 15946 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlpi");
}
#line 61624 "preproc.c" /* yacc.c:1646  */
    break;

  case 2846:
#line 15950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlroot");
}
#line 61632 "preproc.c" /* yacc.c:1646  */
    break;

  case 2847:
#line 15954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlserialize");
}
#line 61640 "preproc.c" /* yacc.c:1646  */
    break;

  case 2848:
#line 15958 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmltable");
}
#line 61648 "preproc.c" /* yacc.c:1646  */
    break;

  case 2849:
#line 15966 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("authorization");
}
#line 61656 "preproc.c" /* yacc.c:1646  */
    break;

  case 2850:
#line 15970 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 61664 "preproc.c" /* yacc.c:1646  */
    break;

  case 2851:
#line 15974 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 61672 "preproc.c" /* yacc.c:1646  */
    break;

  case 2852:
#line 15978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("concurrently");
}
#line 61680 "preproc.c" /* yacc.c:1646  */
    break;

  case 2853:
#line 15982 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cross");
}
#line 61688 "preproc.c" /* yacc.c:1646  */
    break;

  case 2854:
#line 15986 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 61696 "preproc.c" /* yacc.c:1646  */
    break;

  case 2855:
#line 15990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 61704 "preproc.c" /* yacc.c:1646  */
    break;

  case 2856:
#line 15994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 61712 "preproc.c" /* yacc.c:1646  */
    break;

  case 2857:
#line 15998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ilike");
}
#line 61720 "preproc.c" /* yacc.c:1646  */
    break;

  case 2858:
#line 16002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inner");
}
#line 61728 "preproc.c" /* yacc.c:1646  */
    break;

  case 2859:
#line 16006 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("is");
}
#line 61736 "preproc.c" /* yacc.c:1646  */
    break;

  case 2860:
#line 16010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("isnull");
}
#line 61744 "preproc.c" /* yacc.c:1646  */
    break;

  case 2861:
#line 16014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("join");
}
#line 61752 "preproc.c" /* yacc.c:1646  */
    break;

  case 2862:
#line 16018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("left");
}
#line 61760 "preproc.c" /* yacc.c:1646  */
    break;

  case 2863:
#line 16022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("like");
}
#line 61768 "preproc.c" /* yacc.c:1646  */
    break;

  case 2864:
#line 16026 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("natural");
}
#line 61776 "preproc.c" /* yacc.c:1646  */
    break;

  case 2865:
#line 16030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("notnull");
}
#line 61784 "preproc.c" /* yacc.c:1646  */
    break;

  case 2866:
#line 16034 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("outer");
}
#line 61792 "preproc.c" /* yacc.c:1646  */
    break;

  case 2867:
#line 16038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overlaps");
}
#line 61800 "preproc.c" /* yacc.c:1646  */
    break;

  case 2868:
#line 16042 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("right");
}
#line 61808 "preproc.c" /* yacc.c:1646  */
    break;

  case 2869:
#line 16046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("similar");
}
#line 61816 "preproc.c" /* yacc.c:1646  */
    break;

  case 2870:
#line 16050 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablesample");
}
#line 61824 "preproc.c" /* yacc.c:1646  */
    break;

  case 2871:
#line 16054 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 61832 "preproc.c" /* yacc.c:1646  */
    break;

  case 2872:
#line 16062 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 61840 "preproc.c" /* yacc.c:1646  */
    break;

  case 2873:
#line 16066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyse");
}
#line 61848 "preproc.c" /* yacc.c:1646  */
    break;

  case 2874:
#line 16070 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyze");
}
#line 61856 "preproc.c" /* yacc.c:1646  */
    break;

  case 2875:
#line 16074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("and");
}
#line 61864 "preproc.c" /* yacc.c:1646  */
    break;

  case 2876:
#line 16078 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("any");
}
#line 61872 "preproc.c" /* yacc.c:1646  */
    break;

  case 2877:
#line 16082 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("array");
}
#line 61880 "preproc.c" /* yacc.c:1646  */
    break;

  case 2878:
#line 16086 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("as");
}
#line 61888 "preproc.c" /* yacc.c:1646  */
    break;

  case 2879:
#line 16090 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asc");
}
#line 61896 "preproc.c" /* yacc.c:1646  */
    break;

  case 2880:
#line 16094 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
#line 61904 "preproc.c" /* yacc.c:1646  */
    break;

  case 2881:
#line 16098 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("both");
}
#line 61912 "preproc.c" /* yacc.c:1646  */
    break;

  case 2882:
#line 16102 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("case");
}
#line 61920 "preproc.c" /* yacc.c:1646  */
    break;

  case 2883:
#line 16106 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cast");
}
#line 61928 "preproc.c" /* yacc.c:1646  */
    break;

  case 2884:
#line 16110 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("check");
}
#line 61936 "preproc.c" /* yacc.c:1646  */
    break;

  case 2885:
#line 16114 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collate");
}
#line 61944 "preproc.c" /* yacc.c:1646  */
    break;

  case 2886:
#line 16118 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 61952 "preproc.c" /* yacc.c:1646  */
    break;

  case 2887:
#line 16122 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraint");
}
#line 61960 "preproc.c" /* yacc.c:1646  */
    break;

  case 2888:
#line 16126 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("create");
}
#line 61968 "preproc.c" /* yacc.c:1646  */
    break;

  case 2889:
#line 16130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
#line 61976 "preproc.c" /* yacc.c:1646  */
    break;

  case 2890:
#line 16134 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_date");
}
#line 61984 "preproc.c" /* yacc.c:1646  */
    break;

  case 2891:
#line 16138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_role");
}
#line 61992 "preproc.c" /* yacc.c:1646  */
    break;

  case 2892:
#line 16142 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_time");
}
#line 62000 "preproc.c" /* yacc.c:1646  */
    break;

  case 2893:
#line 16146 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
#line 62008 "preproc.c" /* yacc.c:1646  */
    break;

  case 2894:
#line 16150 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 62016 "preproc.c" /* yacc.c:1646  */
    break;

  case 2895:
#line 16154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 62024 "preproc.c" /* yacc.c:1646  */
    break;

  case 2896:
#line 16158 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 62032 "preproc.c" /* yacc.c:1646  */
    break;

  case 2897:
#line 16162 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("desc");
}
#line 62040 "preproc.c" /* yacc.c:1646  */
    break;

  case 2898:
#line 16166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 62048 "preproc.c" /* yacc.c:1646  */
    break;

  case 2899:
#line 16170 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("do");
}
#line 62056 "preproc.c" /* yacc.c:1646  */
    break;

  case 2900:
#line 16174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("else");
}
#line 62064 "preproc.c" /* yacc.c:1646  */
    break;

  case 2901:
#line 16178 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("end");
}
#line 62072 "preproc.c" /* yacc.c:1646  */
    break;

  case 2902:
#line 16182 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("except");
}
#line 62080 "preproc.c" /* yacc.c:1646  */
    break;

  case 2903:
#line 16186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 62088 "preproc.c" /* yacc.c:1646  */
    break;

  case 2904:
#line 16190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("fetch");
}
#line 62096 "preproc.c" /* yacc.c:1646  */
    break;

  case 2905:
#line 16194 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("for");
}
#line 62104 "preproc.c" /* yacc.c:1646  */
    break;

  case 2906:
#line 16198 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign");
}
#line 62112 "preproc.c" /* yacc.c:1646  */
    break;

  case 2907:
#line 16202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("from");
}
#line 62120 "preproc.c" /* yacc.c:1646  */
    break;

  case 2908:
#line 16206 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("grant");
}
#line 62128 "preproc.c" /* yacc.c:1646  */
    break;

  case 2909:
#line 16210 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("group");
}
#line 62136 "preproc.c" /* yacc.c:1646  */
    break;

  case 2910:
#line 16214 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("having");
}
#line 62144 "preproc.c" /* yacc.c:1646  */
    break;

  case 2911:
#line 16218 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 62152 "preproc.c" /* yacc.c:1646  */
    break;

  case 2912:
#line 16222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially");
}
#line 62160 "preproc.c" /* yacc.c:1646  */
    break;

  case 2913:
#line 16226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("intersect");
}
#line 62168 "preproc.c" /* yacc.c:1646  */
    break;

  case 2914:
#line 16230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("into");
}
#line 62176 "preproc.c" /* yacc.c:1646  */
    break;

  case 2915:
#line 16234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lateral");
}
#line 62184 "preproc.c" /* yacc.c:1646  */
    break;

  case 2916:
#line 16238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leading");
}
#line 62192 "preproc.c" /* yacc.c:1646  */
    break;

  case 2917:
#line 16242 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("limit");
}
#line 62200 "preproc.c" /* yacc.c:1646  */
    break;

  case 2918:
#line 16246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtime");
}
#line 62208 "preproc.c" /* yacc.c:1646  */
    break;

  case 2919:
#line 16250 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
#line 62216 "preproc.c" /* yacc.c:1646  */
    break;

  case 2920:
#line 16254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not");
}
#line 62224 "preproc.c" /* yacc.c:1646  */
    break;

  case 2921:
#line 16258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 62232 "preproc.c" /* yacc.c:1646  */
    break;

  case 2922:
#line 16262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("offset");
}
#line 62240 "preproc.c" /* yacc.c:1646  */
    break;

  case 2923:
#line 16266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("on");
}
#line 62248 "preproc.c" /* yacc.c:1646  */
    break;

  case 2924:
#line 16270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("only");
}
#line 62256 "preproc.c" /* yacc.c:1646  */
    break;

  case 2925:
#line 16274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("or");
}
#line 62264 "preproc.c" /* yacc.c:1646  */
    break;

  case 2926:
#line 16278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("order");
}
#line 62272 "preproc.c" /* yacc.c:1646  */
    break;

  case 2927:
#line 16282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("placing");
}
#line 62280 "preproc.c" /* yacc.c:1646  */
    break;

  case 2928:
#line 16286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("primary");
}
#line 62288 "preproc.c" /* yacc.c:1646  */
    break;

  case 2929:
#line 16290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("references");
}
#line 62296 "preproc.c" /* yacc.c:1646  */
    break;

  case 2930:
#line 16294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returning");
}
#line 62304 "preproc.c" /* yacc.c:1646  */
    break;

  case 2931:
#line 16298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 62312 "preproc.c" /* yacc.c:1646  */
    break;

  case 2932:
#line 16302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 62320 "preproc.c" /* yacc.c:1646  */
    break;

  case 2933:
#line 16306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("some");
}
#line 62328 "preproc.c" /* yacc.c:1646  */
    break;

  case 2934:
#line 16310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("symmetric");
}
#line 62336 "preproc.c" /* yacc.c:1646  */
    break;

  case 2935:
#line 16314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("system_user");
}
#line 62344 "preproc.c" /* yacc.c:1646  */
    break;

  case 2936:
#line 16318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 62352 "preproc.c" /* yacc.c:1646  */
    break;

  case 2937:
#line 16322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("then");
}
#line 62360 "preproc.c" /* yacc.c:1646  */
    break;

  case 2938:
#line 16326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trailing");
}
#line 62368 "preproc.c" /* yacc.c:1646  */
    break;

  case 2939:
#line 16330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 62376 "preproc.c" /* yacc.c:1646  */
    break;

  case 2940:
#line 16334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unique");
}
#line 62384 "preproc.c" /* yacc.c:1646  */
    break;

  case 2941:
#line 16338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 62392 "preproc.c" /* yacc.c:1646  */
    break;

  case 2942:
#line 16342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("using");
}
#line 62400 "preproc.c" /* yacc.c:1646  */
    break;

  case 2943:
#line 16346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("variadic");
}
#line 62408 "preproc.c" /* yacc.c:1646  */
    break;

  case 2944:
#line 16350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("when");
}
#line 62416 "preproc.c" /* yacc.c:1646  */
    break;

  case 2945:
#line 16354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("where");
}
#line 62424 "preproc.c" /* yacc.c:1646  */
    break;

  case 2946:
#line 16358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("window");
}
#line 62432 "preproc.c" /* yacc.c:1646  */
    break;

  case 2947:
#line 16362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("with");
}
#line 62440 "preproc.c" /* yacc.c:1646  */
    break;

  case 2948:
#line 16370 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("abort");
}
#line 62448 "preproc.c" /* yacc.c:1646  */
    break;

  case 2949:
#line 16374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("absent");
}
#line 62456 "preproc.c" /* yacc.c:1646  */
    break;

  case 2950:
#line 16378 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("absolute");
}
#line 62464 "preproc.c" /* yacc.c:1646  */
    break;

  case 2951:
#line 16382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("access");
}
#line 62472 "preproc.c" /* yacc.c:1646  */
    break;

  case 2952:
#line 16386 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("action");
}
#line 62480 "preproc.c" /* yacc.c:1646  */
    break;

  case 2953:
#line 16390 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("add");
}
#line 62488 "preproc.c" /* yacc.c:1646  */
    break;

  case 2954:
#line 16394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("admin");
}
#line 62496 "preproc.c" /* yacc.c:1646  */
    break;

  case 2955:
#line 16398 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("after");
}
#line 62504 "preproc.c" /* yacc.c:1646  */
    break;

  case 2956:
#line 16402 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("aggregate");
}
#line 62512 "preproc.c" /* yacc.c:1646  */
    break;

  case 2957:
#line 16406 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("all");
}
#line 62520 "preproc.c" /* yacc.c:1646  */
    break;

  case 2958:
#line 16410 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("also");
}
#line 62528 "preproc.c" /* yacc.c:1646  */
    break;

  case 2959:
#line 16414 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("alter");
}
#line 62536 "preproc.c" /* yacc.c:1646  */
    break;

  case 2960:
#line 16418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("always");
}
#line 62544 "preproc.c" /* yacc.c:1646  */
    break;

  case 2961:
#line 16422 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyse");
}
#line 62552 "preproc.c" /* yacc.c:1646  */
    break;

  case 2962:
#line 16426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("analyze");
}
#line 62560 "preproc.c" /* yacc.c:1646  */
    break;

  case 2963:
#line 16430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("and");
}
#line 62568 "preproc.c" /* yacc.c:1646  */
    break;

  case 2964:
#line 16434 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("any");
}
#line 62576 "preproc.c" /* yacc.c:1646  */
    break;

  case 2965:
#line 16438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asc");
}
#line 62584 "preproc.c" /* yacc.c:1646  */
    break;

  case 2966:
#line 16442 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asensitive");
}
#line 62592 "preproc.c" /* yacc.c:1646  */
    break;

  case 2967:
#line 16446 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("assertion");
}
#line 62600 "preproc.c" /* yacc.c:1646  */
    break;

  case 2968:
#line 16450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("assignment");
}
#line 62608 "preproc.c" /* yacc.c:1646  */
    break;

  case 2969:
#line 16454 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
#line 62616 "preproc.c" /* yacc.c:1646  */
    break;

  case 2970:
#line 16458 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("at");
}
#line 62624 "preproc.c" /* yacc.c:1646  */
    break;

  case 2971:
#line 16462 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("atomic");
}
#line 62632 "preproc.c" /* yacc.c:1646  */
    break;

  case 2972:
#line 16466 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("attach");
}
#line 62640 "preproc.c" /* yacc.c:1646  */
    break;

  case 2973:
#line 16470 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("attribute");
}
#line 62648 "preproc.c" /* yacc.c:1646  */
    break;

  case 2974:
#line 16474 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("authorization");
}
#line 62656 "preproc.c" /* yacc.c:1646  */
    break;

  case 2975:
#line 16478 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("backward");
}
#line 62664 "preproc.c" /* yacc.c:1646  */
    break;

  case 2976:
#line 16482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("before");
}
#line 62672 "preproc.c" /* yacc.c:1646  */
    break;

  case 2977:
#line 16486 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("begin");
}
#line 62680 "preproc.c" /* yacc.c:1646  */
    break;

  case 2978:
#line 16490 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("between");
}
#line 62688 "preproc.c" /* yacc.c:1646  */
    break;

  case 2979:
#line 16494 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bigint");
}
#line 62696 "preproc.c" /* yacc.c:1646  */
    break;

  case 2980:
#line 16498 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("binary");
}
#line 62704 "preproc.c" /* yacc.c:1646  */
    break;

  case 2981:
#line 16502 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("bit");
}
#line 62712 "preproc.c" /* yacc.c:1646  */
    break;

  case 2982:
#line 16506 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("boolean");
}
#line 62720 "preproc.c" /* yacc.c:1646  */
    break;

  case 2983:
#line 16510 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("both");
}
#line 62728 "preproc.c" /* yacc.c:1646  */
    break;

  case 2984:
#line 16514 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("breadth");
}
#line 62736 "preproc.c" /* yacc.c:1646  */
    break;

  case 2985:
#line 16518 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("by");
}
#line 62744 "preproc.c" /* yacc.c:1646  */
    break;

  case 2986:
#line 16522 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cache");
}
#line 62752 "preproc.c" /* yacc.c:1646  */
    break;

  case 2987:
#line 16526 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("call");
}
#line 62760 "preproc.c" /* yacc.c:1646  */
    break;

  case 2988:
#line 16530 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("called");
}
#line 62768 "preproc.c" /* yacc.c:1646  */
    break;

  case 2989:
#line 16534 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascade");
}
#line 62776 "preproc.c" /* yacc.c:1646  */
    break;

  case 2990:
#line 16538 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cascaded");
}
#line 62784 "preproc.c" /* yacc.c:1646  */
    break;

  case 2991:
#line 16542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("case");
}
#line 62792 "preproc.c" /* yacc.c:1646  */
    break;

  case 2992:
#line 16546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cast");
}
#line 62800 "preproc.c" /* yacc.c:1646  */
    break;

  case 2993:
#line 16550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("catalog");
}
#line 62808 "preproc.c" /* yacc.c:1646  */
    break;

  case 2994:
#line 16554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("chain");
}
#line 62816 "preproc.c" /* yacc.c:1646  */
    break;

  case 2995:
#line 16558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("characteristics");
}
#line 62824 "preproc.c" /* yacc.c:1646  */
    break;

  case 2996:
#line 16562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("check");
}
#line 62832 "preproc.c" /* yacc.c:1646  */
    break;

  case 2997:
#line 16566 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
#line 62840 "preproc.c" /* yacc.c:1646  */
    break;

  case 2998:
#line 16570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("class");
}
#line 62848 "preproc.c" /* yacc.c:1646  */
    break;

  case 2999:
#line 16574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("close");
}
#line 62856 "preproc.c" /* yacc.c:1646  */
    break;

  case 3000:
#line 16578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cluster");
}
#line 62864 "preproc.c" /* yacc.c:1646  */
    break;

  case 3001:
#line 16582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("coalesce");
}
#line 62872 "preproc.c" /* yacc.c:1646  */
    break;

  case 3002:
#line 16586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collate");
}
#line 62880 "preproc.c" /* yacc.c:1646  */
    break;

  case 3003:
#line 16590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("collation");
}
#line 62888 "preproc.c" /* yacc.c:1646  */
    break;

  case 3004:
#line 16594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("column");
}
#line 62896 "preproc.c" /* yacc.c:1646  */
    break;

  case 3005:
#line 16598 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("columns");
}
#line 62904 "preproc.c" /* yacc.c:1646  */
    break;

  case 3006:
#line 16602 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comment");
}
#line 62912 "preproc.c" /* yacc.c:1646  */
    break;

  case 3007:
#line 16606 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("comments");
}
#line 62920 "preproc.c" /* yacc.c:1646  */
    break;

  case 3008:
#line 16610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("commit");
}
#line 62928 "preproc.c" /* yacc.c:1646  */
    break;

  case 3009:
#line 16614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("committed");
}
#line 62936 "preproc.c" /* yacc.c:1646  */
    break;

  case 3010:
#line 16618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("compression");
}
#line 62944 "preproc.c" /* yacc.c:1646  */
    break;

  case 3011:
#line 16622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("concurrently");
}
#line 62952 "preproc.c" /* yacc.c:1646  */
    break;

  case 3012:
#line 16626 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conditional");
}
#line 62960 "preproc.c" /* yacc.c:1646  */
    break;

  case 3013:
#line 16630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("configuration");
}
#line 62968 "preproc.c" /* yacc.c:1646  */
    break;

  case 3014:
#line 16634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conflict");
}
#line 62976 "preproc.c" /* yacc.c:1646  */
    break;

  case 3015:
#line 16638 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("connection");
}
#line 62984 "preproc.c" /* yacc.c:1646  */
    break;

  case 3016:
#line 16642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraint");
}
#line 62992 "preproc.c" /* yacc.c:1646  */
    break;

  case 3017:
#line 16646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("constraints");
}
#line 63000 "preproc.c" /* yacc.c:1646  */
    break;

  case 3018:
#line 16650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("content");
}
#line 63008 "preproc.c" /* yacc.c:1646  */
    break;

  case 3019:
#line 16654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("continue");
}
#line 63016 "preproc.c" /* yacc.c:1646  */
    break;

  case 3020:
#line 16658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("conversion");
}
#line 63024 "preproc.c" /* yacc.c:1646  */
    break;

  case 3021:
#line 16662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("copy");
}
#line 63032 "preproc.c" /* yacc.c:1646  */
    break;

  case 3022:
#line 16666 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cost");
}
#line 63040 "preproc.c" /* yacc.c:1646  */
    break;

  case 3023:
#line 16670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cross");
}
#line 63048 "preproc.c" /* yacc.c:1646  */
    break;

  case 3024:
#line 16674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("csv");
}
#line 63056 "preproc.c" /* yacc.c:1646  */
    break;

  case 3025:
#line 16678 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cube");
}
#line 63064 "preproc.c" /* yacc.c:1646  */
    break;

  case 3026:
#line 16682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current");
}
#line 63072 "preproc.c" /* yacc.c:1646  */
    break;

  case 3027:
#line 16686 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
#line 63080 "preproc.c" /* yacc.c:1646  */
    break;

  case 3028:
#line 16690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_date");
}
#line 63088 "preproc.c" /* yacc.c:1646  */
    break;

  case 3029:
#line 16694 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_role");
}
#line 63096 "preproc.c" /* yacc.c:1646  */
    break;

  case 3030:
#line 16698 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_schema");
}
#line 63104 "preproc.c" /* yacc.c:1646  */
    break;

  case 3031:
#line 16702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_time");
}
#line 63112 "preproc.c" /* yacc.c:1646  */
    break;

  case 3032:
#line 16706 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
#line 63120 "preproc.c" /* yacc.c:1646  */
    break;

  case 3033:
#line 16710 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("current_user");
}
#line 63128 "preproc.c" /* yacc.c:1646  */
    break;

  case 3034:
#line 16714 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cursor");
}
#line 63136 "preproc.c" /* yacc.c:1646  */
    break;

  case 3035:
#line 16718 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("cycle");
}
#line 63144 "preproc.c" /* yacc.c:1646  */
    break;

  case 3036:
#line 16722 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("data");
}
#line 63152 "preproc.c" /* yacc.c:1646  */
    break;

  case 3037:
#line 16726 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("database");
}
#line 63160 "preproc.c" /* yacc.c:1646  */
    break;

  case 3038:
#line 16730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deallocate");
}
#line 63168 "preproc.c" /* yacc.c:1646  */
    break;

  case 3039:
#line 16734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("dec");
}
#line 63176 "preproc.c" /* yacc.c:1646  */
    break;

  case 3040:
#line 16738 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("decimal");
}
#line 63184 "preproc.c" /* yacc.c:1646  */
    break;

  case 3041:
#line 16742 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("declare");
}
#line 63192 "preproc.c" /* yacc.c:1646  */
    break;

  case 3042:
#line 16746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("default");
}
#line 63200 "preproc.c" /* yacc.c:1646  */
    break;

  case 3043:
#line 16750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("defaults");
}
#line 63208 "preproc.c" /* yacc.c:1646  */
    break;

  case 3044:
#line 16754 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferrable");
}
#line 63216 "preproc.c" /* yacc.c:1646  */
    break;

  case 3045:
#line 16758 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("deferred");
}
#line 63224 "preproc.c" /* yacc.c:1646  */
    break;

  case 3046:
#line 16762 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("definer");
}
#line 63232 "preproc.c" /* yacc.c:1646  */
    break;

  case 3047:
#line 16766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delete");
}
#line 63240 "preproc.c" /* yacc.c:1646  */
    break;

  case 3048:
#line 16770 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delimiter");
}
#line 63248 "preproc.c" /* yacc.c:1646  */
    break;

  case 3049:
#line 16774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("delimiters");
}
#line 63256 "preproc.c" /* yacc.c:1646  */
    break;

  case 3050:
#line 16778 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("depends");
}
#line 63264 "preproc.c" /* yacc.c:1646  */
    break;

  case 3051:
#line 16782 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("depth");
}
#line 63272 "preproc.c" /* yacc.c:1646  */
    break;

  case 3052:
#line 16786 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("desc");
}
#line 63280 "preproc.c" /* yacc.c:1646  */
    break;

  case 3053:
#line 16790 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("detach");
}
#line 63288 "preproc.c" /* yacc.c:1646  */
    break;

  case 3054:
#line 16794 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("dictionary");
}
#line 63296 "preproc.c" /* yacc.c:1646  */
    break;

  case 3055:
#line 16798 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("disable");
}
#line 63304 "preproc.c" /* yacc.c:1646  */
    break;

  case 3056:
#line 16802 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("discard");
}
#line 63312 "preproc.c" /* yacc.c:1646  */
    break;

  case 3057:
#line 16806 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("distinct");
}
#line 63320 "preproc.c" /* yacc.c:1646  */
    break;

  case 3058:
#line 16810 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("do");
}
#line 63328 "preproc.c" /* yacc.c:1646  */
    break;

  case 3059:
#line 16814 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("document");
}
#line 63336 "preproc.c" /* yacc.c:1646  */
    break;

  case 3060:
#line 16818 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("domain");
}
#line 63344 "preproc.c" /* yacc.c:1646  */
    break;

  case 3061:
#line 16822 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("double");
}
#line 63352 "preproc.c" /* yacc.c:1646  */
    break;

  case 3062:
#line 16826 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("drop");
}
#line 63360 "preproc.c" /* yacc.c:1646  */
    break;

  case 3063:
#line 16830 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("each");
}
#line 63368 "preproc.c" /* yacc.c:1646  */
    break;

  case 3064:
#line 16834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("else");
}
#line 63376 "preproc.c" /* yacc.c:1646  */
    break;

  case 3065:
#line 16838 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("empty");
}
#line 63384 "preproc.c" /* yacc.c:1646  */
    break;

  case 3066:
#line 16842 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enable");
}
#line 63392 "preproc.c" /* yacc.c:1646  */
    break;

  case 3067:
#line 16846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encoding");
}
#line 63400 "preproc.c" /* yacc.c:1646  */
    break;

  case 3068:
#line 16850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("encrypted");
}
#line 63408 "preproc.c" /* yacc.c:1646  */
    break;

  case 3069:
#line 16854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("end");
}
#line 63416 "preproc.c" /* yacc.c:1646  */
    break;

  case 3070:
#line 16858 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("enum");
}
#line 63424 "preproc.c" /* yacc.c:1646  */
    break;

  case 3071:
#line 16862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("error");
}
#line 63432 "preproc.c" /* yacc.c:1646  */
    break;

  case 3072:
#line 16866 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("escape");
}
#line 63440 "preproc.c" /* yacc.c:1646  */
    break;

  case 3073:
#line 16870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("event");
}
#line 63448 "preproc.c" /* yacc.c:1646  */
    break;

  case 3074:
#line 16874 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclude");
}
#line 63456 "preproc.c" /* yacc.c:1646  */
    break;

  case 3075:
#line 16878 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("excluding");
}
#line 63464 "preproc.c" /* yacc.c:1646  */
    break;

  case 3076:
#line 16882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exclusive");
}
#line 63472 "preproc.c" /* yacc.c:1646  */
    break;

  case 3077:
#line 16886 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("execute");
}
#line 63480 "preproc.c" /* yacc.c:1646  */
    break;

  case 3078:
#line 16890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("exists");
}
#line 63488 "preproc.c" /* yacc.c:1646  */
    break;

  case 3079:
#line 16894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("explain");
}
#line 63496 "preproc.c" /* yacc.c:1646  */
    break;

  case 3080:
#line 16898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("expression");
}
#line 63504 "preproc.c" /* yacc.c:1646  */
    break;

  case 3081:
#line 16902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extension");
}
#line 63512 "preproc.c" /* yacc.c:1646  */
    break;

  case 3082:
#line 16906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("external");
}
#line 63520 "preproc.c" /* yacc.c:1646  */
    break;

  case 3083:
#line 16910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("extract");
}
#line 63528 "preproc.c" /* yacc.c:1646  */
    break;

  case 3084:
#line 16914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("false");
}
#line 63536 "preproc.c" /* yacc.c:1646  */
    break;

  case 3085:
#line 16918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("family");
}
#line 63544 "preproc.c" /* yacc.c:1646  */
    break;

  case 3086:
#line 16922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("finalize");
}
#line 63552 "preproc.c" /* yacc.c:1646  */
    break;

  case 3087:
#line 16926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("first");
}
#line 63560 "preproc.c" /* yacc.c:1646  */
    break;

  case 3088:
#line 16930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("float");
}
#line 63568 "preproc.c" /* yacc.c:1646  */
    break;

  case 3089:
#line 16934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("following");
}
#line 63576 "preproc.c" /* yacc.c:1646  */
    break;

  case 3090:
#line 16938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("force");
}
#line 63584 "preproc.c" /* yacc.c:1646  */
    break;

  case 3091:
#line 16942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("foreign");
}
#line 63592 "preproc.c" /* yacc.c:1646  */
    break;

  case 3092:
#line 16946 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("format");
}
#line 63600 "preproc.c" /* yacc.c:1646  */
    break;

  case 3093:
#line 16950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("forward");
}
#line 63608 "preproc.c" /* yacc.c:1646  */
    break;

  case 3094:
#line 16954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("freeze");
}
#line 63616 "preproc.c" /* yacc.c:1646  */
    break;

  case 3095:
#line 16958 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("full");
}
#line 63624 "preproc.c" /* yacc.c:1646  */
    break;

  case 3096:
#line 16962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("function");
}
#line 63632 "preproc.c" /* yacc.c:1646  */
    break;

  case 3097:
#line 16966 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("functions");
}
#line 63640 "preproc.c" /* yacc.c:1646  */
    break;

  case 3098:
#line 16970 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("generated");
}
#line 63648 "preproc.c" /* yacc.c:1646  */
    break;

  case 3099:
#line 16974 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("global");
}
#line 63656 "preproc.c" /* yacc.c:1646  */
    break;

  case 3100:
#line 16978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("granted");
}
#line 63664 "preproc.c" /* yacc.c:1646  */
    break;

  case 3101:
#line 16982 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("greatest");
}
#line 63672 "preproc.c" /* yacc.c:1646  */
    break;

  case 3102:
#line 16986 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("grouping");
}
#line 63680 "preproc.c" /* yacc.c:1646  */
    break;

  case 3103:
#line 16990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("groups");
}
#line 63688 "preproc.c" /* yacc.c:1646  */
    break;

  case 3104:
#line 16994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("handler");
}
#line 63696 "preproc.c" /* yacc.c:1646  */
    break;

  case 3105:
#line 16998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("header");
}
#line 63704 "preproc.c" /* yacc.c:1646  */
    break;

  case 3106:
#line 17002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("hold");
}
#line 63712 "preproc.c" /* yacc.c:1646  */
    break;

  case 3107:
#line 17006 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("identity");
}
#line 63720 "preproc.c" /* yacc.c:1646  */
    break;

  case 3108:
#line 17010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("if");
}
#line 63728 "preproc.c" /* yacc.c:1646  */
    break;

  case 3109:
#line 17014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ilike");
}
#line 63736 "preproc.c" /* yacc.c:1646  */
    break;

  case 3110:
#line 17018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immediate");
}
#line 63744 "preproc.c" /* yacc.c:1646  */
    break;

  case 3111:
#line 17022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("immutable");
}
#line 63752 "preproc.c" /* yacc.c:1646  */
    break;

  case 3112:
#line 17026 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("implicit");
}
#line 63760 "preproc.c" /* yacc.c:1646  */
    break;

  case 3113:
#line 17030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("import");
}
#line 63768 "preproc.c" /* yacc.c:1646  */
    break;

  case 3114:
#line 17034 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("in");
}
#line 63776 "preproc.c" /* yacc.c:1646  */
    break;

  case 3115:
#line 17038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("include");
}
#line 63784 "preproc.c" /* yacc.c:1646  */
    break;

  case 3116:
#line 17042 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("including");
}
#line 63792 "preproc.c" /* yacc.c:1646  */
    break;

  case 3117:
#line 17046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("increment");
}
#line 63800 "preproc.c" /* yacc.c:1646  */
    break;

  case 3118:
#line 17050 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("indent");
}
#line 63808 "preproc.c" /* yacc.c:1646  */
    break;

  case 3119:
#line 17054 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("index");
}
#line 63816 "preproc.c" /* yacc.c:1646  */
    break;

  case 3120:
#line 17058 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("indexes");
}
#line 63824 "preproc.c" /* yacc.c:1646  */
    break;

  case 3121:
#line 17062 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherit");
}
#line 63832 "preproc.c" /* yacc.c:1646  */
    break;

  case 3122:
#line 17066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inherits");
}
#line 63840 "preproc.c" /* yacc.c:1646  */
    break;

  case 3123:
#line 17070 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("initially");
}
#line 63848 "preproc.c" /* yacc.c:1646  */
    break;

  case 3124:
#line 17074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inline");
}
#line 63856 "preproc.c" /* yacc.c:1646  */
    break;

  case 3125:
#line 17078 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inner");
}
#line 63864 "preproc.c" /* yacc.c:1646  */
    break;

  case 3126:
#line 17082 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("inout");
}
#line 63872 "preproc.c" /* yacc.c:1646  */
    break;

  case 3127:
#line 17086 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("input");
}
#line 63880 "preproc.c" /* yacc.c:1646  */
    break;

  case 3128:
#line 17090 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insensitive");
}
#line 63888 "preproc.c" /* yacc.c:1646  */
    break;

  case 3129:
#line 17094 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("insert");
}
#line 63896 "preproc.c" /* yacc.c:1646  */
    break;

  case 3130:
#line 17098 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("instead");
}
#line 63904 "preproc.c" /* yacc.c:1646  */
    break;

  case 3131:
#line 17102 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("int");
}
#line 63912 "preproc.c" /* yacc.c:1646  */
    break;

  case 3132:
#line 17106 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("integer");
}
#line 63920 "preproc.c" /* yacc.c:1646  */
    break;

  case 3133:
#line 17110 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("interval");
}
#line 63928 "preproc.c" /* yacc.c:1646  */
    break;

  case 3134:
#line 17114 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("invoker");
}
#line 63936 "preproc.c" /* yacc.c:1646  */
    break;

  case 3135:
#line 17118 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("is");
}
#line 63944 "preproc.c" /* yacc.c:1646  */
    break;

  case 3136:
#line 17122 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("isolation");
}
#line 63952 "preproc.c" /* yacc.c:1646  */
    break;

  case 3137:
#line 17126 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("join");
}
#line 63960 "preproc.c" /* yacc.c:1646  */
    break;

  case 3138:
#line 17130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json");
}
#line 63968 "preproc.c" /* yacc.c:1646  */
    break;

  case 3139:
#line 17134 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json_array");
}
#line 63976 "preproc.c" /* yacc.c:1646  */
    break;

  case 3140:
#line 17138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json_arrayagg");
}
#line 63984 "preproc.c" /* yacc.c:1646  */
    break;

  case 3141:
#line 17142 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json_exists");
}
#line 63992 "preproc.c" /* yacc.c:1646  */
    break;

  case 3142:
#line 17146 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json_object");
}
#line 64000 "preproc.c" /* yacc.c:1646  */
    break;

  case 3143:
#line 17150 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json_objectagg");
}
#line 64008 "preproc.c" /* yacc.c:1646  */
    break;

  case 3144:
#line 17154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json_query");
}
#line 64016 "preproc.c" /* yacc.c:1646  */
    break;

  case 3145:
#line 17158 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json_scalar");
}
#line 64024 "preproc.c" /* yacc.c:1646  */
    break;

  case 3146:
#line 17162 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json_serialize");
}
#line 64032 "preproc.c" /* yacc.c:1646  */
    break;

  case 3147:
#line 17166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json_table");
}
#line 64040 "preproc.c" /* yacc.c:1646  */
    break;

  case 3148:
#line 17170 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("json_value");
}
#line 64048 "preproc.c" /* yacc.c:1646  */
    break;

  case 3149:
#line 17174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("keep");
}
#line 64056 "preproc.c" /* yacc.c:1646  */
    break;

  case 3150:
#line 17178 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("key");
}
#line 64064 "preproc.c" /* yacc.c:1646  */
    break;

  case 3151:
#line 17182 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("keys");
}
#line 64072 "preproc.c" /* yacc.c:1646  */
    break;

  case 3152:
#line 17186 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("label");
}
#line 64080 "preproc.c" /* yacc.c:1646  */
    break;

  case 3153:
#line 17190 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("language");
}
#line 64088 "preproc.c" /* yacc.c:1646  */
    break;

  case 3154:
#line 17194 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("large");
}
#line 64096 "preproc.c" /* yacc.c:1646  */
    break;

  case 3155:
#line 17198 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("last");
}
#line 64104 "preproc.c" /* yacc.c:1646  */
    break;

  case 3156:
#line 17202 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lateral");
}
#line 64112 "preproc.c" /* yacc.c:1646  */
    break;

  case 3157:
#line 17206 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leading");
}
#line 64120 "preproc.c" /* yacc.c:1646  */
    break;

  case 3158:
#line 17210 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("leakproof");
}
#line 64128 "preproc.c" /* yacc.c:1646  */
    break;

  case 3159:
#line 17214 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("least");
}
#line 64136 "preproc.c" /* yacc.c:1646  */
    break;

  case 3160:
#line 17218 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("left");
}
#line 64144 "preproc.c" /* yacc.c:1646  */
    break;

  case 3161:
#line 17222 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("level");
}
#line 64152 "preproc.c" /* yacc.c:1646  */
    break;

  case 3162:
#line 17226 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("like");
}
#line 64160 "preproc.c" /* yacc.c:1646  */
    break;

  case 3163:
#line 17230 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("listen");
}
#line 64168 "preproc.c" /* yacc.c:1646  */
    break;

  case 3164:
#line 17234 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("load");
}
#line 64176 "preproc.c" /* yacc.c:1646  */
    break;

  case 3165:
#line 17238 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("local");
}
#line 64184 "preproc.c" /* yacc.c:1646  */
    break;

  case 3166:
#line 17242 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtime");
}
#line 64192 "preproc.c" /* yacc.c:1646  */
    break;

  case 3167:
#line 17246 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
#line 64200 "preproc.c" /* yacc.c:1646  */
    break;

  case 3168:
#line 17250 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("location");
}
#line 64208 "preproc.c" /* yacc.c:1646  */
    break;

  case 3169:
#line 17254 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("lock");
}
#line 64216 "preproc.c" /* yacc.c:1646  */
    break;

  case 3170:
#line 17258 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("locked");
}
#line 64224 "preproc.c" /* yacc.c:1646  */
    break;

  case 3171:
#line 17262 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("logged");
}
#line 64232 "preproc.c" /* yacc.c:1646  */
    break;

  case 3172:
#line 17266 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("mapping");
}
#line 64240 "preproc.c" /* yacc.c:1646  */
    break;

  case 3173:
#line 17270 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("match");
}
#line 64248 "preproc.c" /* yacc.c:1646  */
    break;

  case 3174:
#line 17274 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("matched");
}
#line 64256 "preproc.c" /* yacc.c:1646  */
    break;

  case 3175:
#line 17278 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("materialized");
}
#line 64264 "preproc.c" /* yacc.c:1646  */
    break;

  case 3176:
#line 17282 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("maxvalue");
}
#line 64272 "preproc.c" /* yacc.c:1646  */
    break;

  case 3177:
#line 17286 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("merge");
}
#line 64280 "preproc.c" /* yacc.c:1646  */
    break;

  case 3178:
#line 17290 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("merge_action");
}
#line 64288 "preproc.c" /* yacc.c:1646  */
    break;

  case 3179:
#line 17294 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("method");
}
#line 64296 "preproc.c" /* yacc.c:1646  */
    break;

  case 3180:
#line 17298 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("minvalue");
}
#line 64304 "preproc.c" /* yacc.c:1646  */
    break;

  case 3181:
#line 17302 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("mode");
}
#line 64312 "preproc.c" /* yacc.c:1646  */
    break;

  case 3182:
#line 17306 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("move");
}
#line 64320 "preproc.c" /* yacc.c:1646  */
    break;

  case 3183:
#line 17310 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("name");
}
#line 64328 "preproc.c" /* yacc.c:1646  */
    break;

  case 3184:
#line 17314 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("names");
}
#line 64336 "preproc.c" /* yacc.c:1646  */
    break;

  case 3185:
#line 17318 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("national");
}
#line 64344 "preproc.c" /* yacc.c:1646  */
    break;

  case 3186:
#line 17322 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("natural");
}
#line 64352 "preproc.c" /* yacc.c:1646  */
    break;

  case 3187:
#line 17326 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nchar");
}
#line 64360 "preproc.c" /* yacc.c:1646  */
    break;

  case 3188:
#line 17330 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nested");
}
#line 64368 "preproc.c" /* yacc.c:1646  */
    break;

  case 3189:
#line 17334 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("new");
}
#line 64376 "preproc.c" /* yacc.c:1646  */
    break;

  case 3190:
#line 17338 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("next");
}
#line 64384 "preproc.c" /* yacc.c:1646  */
    break;

  case 3191:
#line 17342 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nfc");
}
#line 64392 "preproc.c" /* yacc.c:1646  */
    break;

  case 3192:
#line 17346 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nfd");
}
#line 64400 "preproc.c" /* yacc.c:1646  */
    break;

  case 3193:
#line 17350 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nfkc");
}
#line 64408 "preproc.c" /* yacc.c:1646  */
    break;

  case 3194:
#line 17354 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nfkd");
}
#line 64416 "preproc.c" /* yacc.c:1646  */
    break;

  case 3195:
#line 17358 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("no");
}
#line 64424 "preproc.c" /* yacc.c:1646  */
    break;

  case 3196:
#line 17362 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("none");
}
#line 64432 "preproc.c" /* yacc.c:1646  */
    break;

  case 3197:
#line 17366 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("normalize");
}
#line 64440 "preproc.c" /* yacc.c:1646  */
    break;

  case 3198:
#line 17370 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("normalized");
}
#line 64448 "preproc.c" /* yacc.c:1646  */
    break;

  case 3199:
#line 17374 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("not");
}
#line 64456 "preproc.c" /* yacc.c:1646  */
    break;

  case 3200:
#line 17378 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nothing");
}
#line 64464 "preproc.c" /* yacc.c:1646  */
    break;

  case 3201:
#line 17382 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("notify");
}
#line 64472 "preproc.c" /* yacc.c:1646  */
    break;

  case 3202:
#line 17386 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nowait");
}
#line 64480 "preproc.c" /* yacc.c:1646  */
    break;

  case 3203:
#line 17390 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("null");
}
#line 64488 "preproc.c" /* yacc.c:1646  */
    break;

  case 3204:
#line 17394 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nullif");
}
#line 64496 "preproc.c" /* yacc.c:1646  */
    break;

  case 3205:
#line 17398 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("nulls");
}
#line 64504 "preproc.c" /* yacc.c:1646  */
    break;

  case 3206:
#line 17402 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("numeric");
}
#line 64512 "preproc.c" /* yacc.c:1646  */
    break;

  case 3207:
#line 17406 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("object");
}
#line 64520 "preproc.c" /* yacc.c:1646  */
    break;

  case 3208:
#line 17410 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("of");
}
#line 64528 "preproc.c" /* yacc.c:1646  */
    break;

  case 3209:
#line 17414 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("off");
}
#line 64536 "preproc.c" /* yacc.c:1646  */
    break;

  case 3210:
#line 17418 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("oids");
}
#line 64544 "preproc.c" /* yacc.c:1646  */
    break;

  case 3211:
#line 17422 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("old");
}
#line 64552 "preproc.c" /* yacc.c:1646  */
    break;

  case 3212:
#line 17426 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("omit");
}
#line 64560 "preproc.c" /* yacc.c:1646  */
    break;

  case 3213:
#line 17430 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("only");
}
#line 64568 "preproc.c" /* yacc.c:1646  */
    break;

  case 3214:
#line 17434 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("operator");
}
#line 64576 "preproc.c" /* yacc.c:1646  */
    break;

  case 3215:
#line 17438 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("option");
}
#line 64584 "preproc.c" /* yacc.c:1646  */
    break;

  case 3216:
#line 17442 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("options");
}
#line 64592 "preproc.c" /* yacc.c:1646  */
    break;

  case 3217:
#line 17446 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("or");
}
#line 64600 "preproc.c" /* yacc.c:1646  */
    break;

  case 3218:
#line 17450 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ordinality");
}
#line 64608 "preproc.c" /* yacc.c:1646  */
    break;

  case 3219:
#line 17454 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("others");
}
#line 64616 "preproc.c" /* yacc.c:1646  */
    break;

  case 3220:
#line 17458 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("out");
}
#line 64624 "preproc.c" /* yacc.c:1646  */
    break;

  case 3221:
#line 17462 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("outer");
}
#line 64632 "preproc.c" /* yacc.c:1646  */
    break;

  case 3222:
#line 17466 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overlay");
}
#line 64640 "preproc.c" /* yacc.c:1646  */
    break;

  case 3223:
#line 17470 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("overriding");
}
#line 64648 "preproc.c" /* yacc.c:1646  */
    break;

  case 3224:
#line 17474 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owned");
}
#line 64656 "preproc.c" /* yacc.c:1646  */
    break;

  case 3225:
#line 17478 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("owner");
}
#line 64664 "preproc.c" /* yacc.c:1646  */
    break;

  case 3226:
#line 17482 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("parallel");
}
#line 64672 "preproc.c" /* yacc.c:1646  */
    break;

  case 3227:
#line 17486 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("parameter");
}
#line 64680 "preproc.c" /* yacc.c:1646  */
    break;

  case 3228:
#line 17490 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("parser");
}
#line 64688 "preproc.c" /* yacc.c:1646  */
    break;

  case 3229:
#line 17494 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("partial");
}
#line 64696 "preproc.c" /* yacc.c:1646  */
    break;

  case 3230:
#line 17498 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("partition");
}
#line 64704 "preproc.c" /* yacc.c:1646  */
    break;

  case 3231:
#line 17502 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("partitions");
}
#line 64712 "preproc.c" /* yacc.c:1646  */
    break;

  case 3232:
#line 17506 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("passing");
}
#line 64720 "preproc.c" /* yacc.c:1646  */
    break;

  case 3233:
#line 17510 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("password");
}
#line 64728 "preproc.c" /* yacc.c:1646  */
    break;

  case 3234:
#line 17514 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("path");
}
#line 64736 "preproc.c" /* yacc.c:1646  */
    break;

  case 3235:
#line 17518 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("placing");
}
#line 64744 "preproc.c" /* yacc.c:1646  */
    break;

  case 3236:
#line 17522 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("plan");
}
#line 64752 "preproc.c" /* yacc.c:1646  */
    break;

  case 3237:
#line 17526 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("plans");
}
#line 64760 "preproc.c" /* yacc.c:1646  */
    break;

  case 3238:
#line 17530 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("policy");
}
#line 64768 "preproc.c" /* yacc.c:1646  */
    break;

  case 3239:
#line 17534 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("position");
}
#line 64776 "preproc.c" /* yacc.c:1646  */
    break;

  case 3240:
#line 17538 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preceding");
}
#line 64784 "preproc.c" /* yacc.c:1646  */
    break;

  case 3241:
#line 17542 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prepare");
}
#line 64792 "preproc.c" /* yacc.c:1646  */
    break;

  case 3242:
#line 17546 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prepared");
}
#line 64800 "preproc.c" /* yacc.c:1646  */
    break;

  case 3243:
#line 17550 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("preserve");
}
#line 64808 "preproc.c" /* yacc.c:1646  */
    break;

  case 3244:
#line 17554 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("primary");
}
#line 64816 "preproc.c" /* yacc.c:1646  */
    break;

  case 3245:
#line 17558 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("prior");
}
#line 64824 "preproc.c" /* yacc.c:1646  */
    break;

  case 3246:
#line 17562 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("privileges");
}
#line 64832 "preproc.c" /* yacc.c:1646  */
    break;

  case 3247:
#line 17566 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedural");
}
#line 64840 "preproc.c" /* yacc.c:1646  */
    break;

  case 3248:
#line 17570 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedure");
}
#line 64848 "preproc.c" /* yacc.c:1646  */
    break;

  case 3249:
#line 17574 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("procedures");
}
#line 64856 "preproc.c" /* yacc.c:1646  */
    break;

  case 3250:
#line 17578 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("program");
}
#line 64864 "preproc.c" /* yacc.c:1646  */
    break;

  case 3251:
#line 17582 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("publication");
}
#line 64872 "preproc.c" /* yacc.c:1646  */
    break;

  case 3252:
#line 17586 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("quote");
}
#line 64880 "preproc.c" /* yacc.c:1646  */
    break;

  case 3253:
#line 17590 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("quotes");
}
#line 64888 "preproc.c" /* yacc.c:1646  */
    break;

  case 3254:
#line 17594 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("range");
}
#line 64896 "preproc.c" /* yacc.c:1646  */
    break;

  case 3255:
#line 17598 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("read");
}
#line 64904 "preproc.c" /* yacc.c:1646  */
    break;

  case 3256:
#line 17602 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("real");
}
#line 64912 "preproc.c" /* yacc.c:1646  */
    break;

  case 3257:
#line 17606 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reassign");
}
#line 64920 "preproc.c" /* yacc.c:1646  */
    break;

  case 3258:
#line 17610 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("recheck");
}
#line 64928 "preproc.c" /* yacc.c:1646  */
    break;

  case 3259:
#line 17614 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("recursive");
}
#line 64936 "preproc.c" /* yacc.c:1646  */
    break;

  case 3260:
#line 17618 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ref");
}
#line 64944 "preproc.c" /* yacc.c:1646  */
    break;

  case 3261:
#line 17622 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("references");
}
#line 64952 "preproc.c" /* yacc.c:1646  */
    break;

  case 3262:
#line 17626 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("referencing");
}
#line 64960 "preproc.c" /* yacc.c:1646  */
    break;

  case 3263:
#line 17630 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("refresh");
}
#line 64968 "preproc.c" /* yacc.c:1646  */
    break;

  case 3264:
#line 17634 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reindex");
}
#line 64976 "preproc.c" /* yacc.c:1646  */
    break;

  case 3265:
#line 17638 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("relative");
}
#line 64984 "preproc.c" /* yacc.c:1646  */
    break;

  case 3266:
#line 17642 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("release");
}
#line 64992 "preproc.c" /* yacc.c:1646  */
    break;

  case 3267:
#line 17646 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rename");
}
#line 65000 "preproc.c" /* yacc.c:1646  */
    break;

  case 3268:
#line 17650 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("repeatable");
}
#line 65008 "preproc.c" /* yacc.c:1646  */
    break;

  case 3269:
#line 17654 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("replace");
}
#line 65016 "preproc.c" /* yacc.c:1646  */
    break;

  case 3270:
#line 17658 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("replica");
}
#line 65024 "preproc.c" /* yacc.c:1646  */
    break;

  case 3271:
#line 17662 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("reset");
}
#line 65032 "preproc.c" /* yacc.c:1646  */
    break;

  case 3272:
#line 17666 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restart");
}
#line 65040 "preproc.c" /* yacc.c:1646  */
    break;

  case 3273:
#line 17670 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("restrict");
}
#line 65048 "preproc.c" /* yacc.c:1646  */
    break;

  case 3274:
#line 17674 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("return");
}
#line 65056 "preproc.c" /* yacc.c:1646  */
    break;

  case 3275:
#line 17678 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("returns");
}
#line 65064 "preproc.c" /* yacc.c:1646  */
    break;

  case 3276:
#line 17682 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("revoke");
}
#line 65072 "preproc.c" /* yacc.c:1646  */
    break;

  case 3277:
#line 17686 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("right");
}
#line 65080 "preproc.c" /* yacc.c:1646  */
    break;

  case 3278:
#line 17690 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("role");
}
#line 65088 "preproc.c" /* yacc.c:1646  */
    break;

  case 3279:
#line 17694 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rollback");
}
#line 65096 "preproc.c" /* yacc.c:1646  */
    break;

  case 3280:
#line 17698 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rollup");
}
#line 65104 "preproc.c" /* yacc.c:1646  */
    break;

  case 3281:
#line 17702 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("routine");
}
#line 65112 "preproc.c" /* yacc.c:1646  */
    break;

  case 3282:
#line 17706 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("routines");
}
#line 65120 "preproc.c" /* yacc.c:1646  */
    break;

  case 3283:
#line 17710 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("row");
}
#line 65128 "preproc.c" /* yacc.c:1646  */
    break;

  case 3284:
#line 17714 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rows");
}
#line 65136 "preproc.c" /* yacc.c:1646  */
    break;

  case 3285:
#line 17718 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("rule");
}
#line 65144 "preproc.c" /* yacc.c:1646  */
    break;

  case 3286:
#line 17722 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("savepoint");
}
#line 65152 "preproc.c" /* yacc.c:1646  */
    break;

  case 3287:
#line 17726 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("scalar");
}
#line 65160 "preproc.c" /* yacc.c:1646  */
    break;

  case 3288:
#line 17730 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schema");
}
#line 65168 "preproc.c" /* yacc.c:1646  */
    break;

  case 3289:
#line 17734 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("schemas");
}
#line 65176 "preproc.c" /* yacc.c:1646  */
    break;

  case 3290:
#line 17738 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("scroll");
}
#line 65184 "preproc.c" /* yacc.c:1646  */
    break;

  case 3291:
#line 17742 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("search");
}
#line 65192 "preproc.c" /* yacc.c:1646  */
    break;

  case 3292:
#line 17746 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("security");
}
#line 65200 "preproc.c" /* yacc.c:1646  */
    break;

  case 3293:
#line 17750 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("select");
}
#line 65208 "preproc.c" /* yacc.c:1646  */
    break;

  case 3294:
#line 17754 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequence");
}
#line 65216 "preproc.c" /* yacc.c:1646  */
    break;

  case 3295:
#line 17758 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sequences");
}
#line 65224 "preproc.c" /* yacc.c:1646  */
    break;

  case 3296:
#line 17762 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("serializable");
}
#line 65232 "preproc.c" /* yacc.c:1646  */
    break;

  case 3297:
#line 17766 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("server");
}
#line 65240 "preproc.c" /* yacc.c:1646  */
    break;

  case 3298:
#line 17770 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session");
}
#line 65248 "preproc.c" /* yacc.c:1646  */
    break;

  case 3299:
#line 17774 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("session_user");
}
#line 65256 "preproc.c" /* yacc.c:1646  */
    break;

  case 3300:
#line 17778 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("set");
}
#line 65264 "preproc.c" /* yacc.c:1646  */
    break;

  case 3301:
#line 17782 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("setof");
}
#line 65272 "preproc.c" /* yacc.c:1646  */
    break;

  case 3302:
#line 17786 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sets");
}
#line 65280 "preproc.c" /* yacc.c:1646  */
    break;

  case 3303:
#line 17790 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("share");
}
#line 65288 "preproc.c" /* yacc.c:1646  */
    break;

  case 3304:
#line 17794 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("show");
}
#line 65296 "preproc.c" /* yacc.c:1646  */
    break;

  case 3305:
#line 17798 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("similar");
}
#line 65304 "preproc.c" /* yacc.c:1646  */
    break;

  case 3306:
#line 17802 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("simple");
}
#line 65312 "preproc.c" /* yacc.c:1646  */
    break;

  case 3307:
#line 17806 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("skip");
}
#line 65320 "preproc.c" /* yacc.c:1646  */
    break;

  case 3308:
#line 17810 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("smallint");
}
#line 65328 "preproc.c" /* yacc.c:1646  */
    break;

  case 3309:
#line 17814 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("snapshot");
}
#line 65336 "preproc.c" /* yacc.c:1646  */
    break;

  case 3310:
#line 17818 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("some");
}
#line 65344 "preproc.c" /* yacc.c:1646  */
    break;

  case 3311:
#line 17822 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("source");
}
#line 65352 "preproc.c" /* yacc.c:1646  */
    break;

  case 3312:
#line 17826 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("split");
}
#line 65360 "preproc.c" /* yacc.c:1646  */
    break;

  case 3313:
#line 17830 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sql");
}
#line 65368 "preproc.c" /* yacc.c:1646  */
    break;

  case 3314:
#line 17834 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stable");
}
#line 65376 "preproc.c" /* yacc.c:1646  */
    break;

  case 3315:
#line 17838 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("standalone");
}
#line 65384 "preproc.c" /* yacc.c:1646  */
    break;

  case 3316:
#line 17842 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("start");
}
#line 65392 "preproc.c" /* yacc.c:1646  */
    break;

  case 3317:
#line 17846 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statement");
}
#line 65400 "preproc.c" /* yacc.c:1646  */
    break;

  case 3318:
#line 17850 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("statistics");
}
#line 65408 "preproc.c" /* yacc.c:1646  */
    break;

  case 3319:
#line 17854 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdin");
}
#line 65416 "preproc.c" /* yacc.c:1646  */
    break;

  case 3320:
#line 17858 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stdout");
}
#line 65424 "preproc.c" /* yacc.c:1646  */
    break;

  case 3321:
#line 17862 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("storage");
}
#line 65432 "preproc.c" /* yacc.c:1646  */
    break;

  case 3322:
#line 17866 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("stored");
}
#line 65440 "preproc.c" /* yacc.c:1646  */
    break;

  case 3323:
#line 17870 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strict");
}
#line 65448 "preproc.c" /* yacc.c:1646  */
    break;

  case 3324:
#line 17874 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("string");
}
#line 65456 "preproc.c" /* yacc.c:1646  */
    break;

  case 3325:
#line 17878 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("strip");
}
#line 65464 "preproc.c" /* yacc.c:1646  */
    break;

  case 3326:
#line 17882 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("subscription");
}
#line 65472 "preproc.c" /* yacc.c:1646  */
    break;

  case 3327:
#line 17886 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("substring");
}
#line 65480 "preproc.c" /* yacc.c:1646  */
    break;

  case 3328:
#line 17890 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("support");
}
#line 65488 "preproc.c" /* yacc.c:1646  */
    break;

  case 3329:
#line 17894 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("symmetric");
}
#line 65496 "preproc.c" /* yacc.c:1646  */
    break;

  case 3330:
#line 17898 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("sysid");
}
#line 65504 "preproc.c" /* yacc.c:1646  */
    break;

  case 3331:
#line 17902 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("system");
}
#line 65512 "preproc.c" /* yacc.c:1646  */
    break;

  case 3332:
#line 17906 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("system_user");
}
#line 65520 "preproc.c" /* yacc.c:1646  */
    break;

  case 3333:
#line 17910 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("table");
}
#line 65528 "preproc.c" /* yacc.c:1646  */
    break;

  case 3334:
#line 17914 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tables");
}
#line 65536 "preproc.c" /* yacc.c:1646  */
    break;

  case 3335:
#line 17918 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablesample");
}
#line 65544 "preproc.c" /* yacc.c:1646  */
    break;

  case 3336:
#line 17922 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("tablespace");
}
#line 65552 "preproc.c" /* yacc.c:1646  */
    break;

  case 3337:
#line 17926 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("target");
}
#line 65560 "preproc.c" /* yacc.c:1646  */
    break;

  case 3338:
#line 17930 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temp");
}
#line 65568 "preproc.c" /* yacc.c:1646  */
    break;

  case 3339:
#line 17934 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("template");
}
#line 65576 "preproc.c" /* yacc.c:1646  */
    break;

  case 3340:
#line 17938 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("temporary");
}
#line 65584 "preproc.c" /* yacc.c:1646  */
    break;

  case 3341:
#line 17942 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("text");
}
#line 65592 "preproc.c" /* yacc.c:1646  */
    break;

  case 3342:
#line 17946 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("then");
}
#line 65600 "preproc.c" /* yacc.c:1646  */
    break;

  case 3343:
#line 17950 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("ties");
}
#line 65608 "preproc.c" /* yacc.c:1646  */
    break;

  case 3344:
#line 17954 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("time");
}
#line 65616 "preproc.c" /* yacc.c:1646  */
    break;

  case 3345:
#line 17958 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("timestamp");
}
#line 65624 "preproc.c" /* yacc.c:1646  */
    break;

  case 3346:
#line 17962 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trailing");
}
#line 65632 "preproc.c" /* yacc.c:1646  */
    break;

  case 3347:
#line 17966 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transaction");
}
#line 65640 "preproc.c" /* yacc.c:1646  */
    break;

  case 3348:
#line 17970 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("transform");
}
#line 65648 "preproc.c" /* yacc.c:1646  */
    break;

  case 3349:
#line 17974 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("treat");
}
#line 65656 "preproc.c" /* yacc.c:1646  */
    break;

  case 3350:
#line 17978 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trigger");
}
#line 65664 "preproc.c" /* yacc.c:1646  */
    break;

  case 3351:
#line 17982 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trim");
}
#line 65672 "preproc.c" /* yacc.c:1646  */
    break;

  case 3352:
#line 17986 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("true");
}
#line 65680 "preproc.c" /* yacc.c:1646  */
    break;

  case 3353:
#line 17990 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("truncate");
}
#line 65688 "preproc.c" /* yacc.c:1646  */
    break;

  case 3354:
#line 17994 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("trusted");
}
#line 65696 "preproc.c" /* yacc.c:1646  */
    break;

  case 3355:
#line 17998 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("type");
}
#line 65704 "preproc.c" /* yacc.c:1646  */
    break;

  case 3356:
#line 18002 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("types");
}
#line 65712 "preproc.c" /* yacc.c:1646  */
    break;

  case 3357:
#line 18006 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("uescape");
}
#line 65720 "preproc.c" /* yacc.c:1646  */
    break;

  case 3358:
#line 18010 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unbounded");
}
#line 65728 "preproc.c" /* yacc.c:1646  */
    break;

  case 3359:
#line 18014 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("uncommitted");
}
#line 65736 "preproc.c" /* yacc.c:1646  */
    break;

  case 3360:
#line 18018 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unconditional");
}
#line 65744 "preproc.c" /* yacc.c:1646  */
    break;

  case 3361:
#line 18022 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unencrypted");
}
#line 65752 "preproc.c" /* yacc.c:1646  */
    break;

  case 3362:
#line 18026 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unique");
}
#line 65760 "preproc.c" /* yacc.c:1646  */
    break;

  case 3363:
#line 18030 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unknown");
}
#line 65768 "preproc.c" /* yacc.c:1646  */
    break;

  case 3364:
#line 18034 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlisten");
}
#line 65776 "preproc.c" /* yacc.c:1646  */
    break;

  case 3365:
#line 18038 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("unlogged");
}
#line 65784 "preproc.c" /* yacc.c:1646  */
    break;

  case 3366:
#line 18042 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("until");
}
#line 65792 "preproc.c" /* yacc.c:1646  */
    break;

  case 3367:
#line 18046 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("update");
}
#line 65800 "preproc.c" /* yacc.c:1646  */
    break;

  case 3368:
#line 18050 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("user");
}
#line 65808 "preproc.c" /* yacc.c:1646  */
    break;

  case 3369:
#line 18054 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("using");
}
#line 65816 "preproc.c" /* yacc.c:1646  */
    break;

  case 3370:
#line 18058 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("vacuum");
}
#line 65824 "preproc.c" /* yacc.c:1646  */
    break;

  case 3371:
#line 18062 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("valid");
}
#line 65832 "preproc.c" /* yacc.c:1646  */
    break;

  case 3372:
#line 18066 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("validate");
}
#line 65840 "preproc.c" /* yacc.c:1646  */
    break;

  case 3373:
#line 18070 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("validator");
}
#line 65848 "preproc.c" /* yacc.c:1646  */
    break;

  case 3374:
#line 18074 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("value");
}
#line 65856 "preproc.c" /* yacc.c:1646  */
    break;

  case 3375:
#line 18078 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("values");
}
#line 65864 "preproc.c" /* yacc.c:1646  */
    break;

  case 3376:
#line 18082 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("varchar");
}
#line 65872 "preproc.c" /* yacc.c:1646  */
    break;

  case 3377:
#line 18086 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("variadic");
}
#line 65880 "preproc.c" /* yacc.c:1646  */
    break;

  case 3378:
#line 18090 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("verbose");
}
#line 65888 "preproc.c" /* yacc.c:1646  */
    break;

  case 3379:
#line 18094 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("version");
}
#line 65896 "preproc.c" /* yacc.c:1646  */
    break;

  case 3380:
#line 18098 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("view");
}
#line 65904 "preproc.c" /* yacc.c:1646  */
    break;

  case 3381:
#line 18102 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("views");
}
#line 65912 "preproc.c" /* yacc.c:1646  */
    break;

  case 3382:
#line 18106 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("volatile");
}
#line 65920 "preproc.c" /* yacc.c:1646  */
    break;

  case 3383:
#line 18110 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("when");
}
#line 65928 "preproc.c" /* yacc.c:1646  */
    break;

  case 3384:
#line 18114 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("whitespace");
}
#line 65936 "preproc.c" /* yacc.c:1646  */
    break;

  case 3385:
#line 18118 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("work");
}
#line 65944 "preproc.c" /* yacc.c:1646  */
    break;

  case 3386:
#line 18122 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("wrapper");
}
#line 65952 "preproc.c" /* yacc.c:1646  */
    break;

  case 3387:
#line 18126 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("write");
}
#line 65960 "preproc.c" /* yacc.c:1646  */
    break;

  case 3388:
#line 18130 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xml");
}
#line 65968 "preproc.c" /* yacc.c:1646  */
    break;

  case 3389:
#line 18134 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlattributes");
}
#line 65976 "preproc.c" /* yacc.c:1646  */
    break;

  case 3390:
#line 18138 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlconcat");
}
#line 65984 "preproc.c" /* yacc.c:1646  */
    break;

  case 3391:
#line 18142 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlelement");
}
#line 65992 "preproc.c" /* yacc.c:1646  */
    break;

  case 3392:
#line 18146 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlexists");
}
#line 66000 "preproc.c" /* yacc.c:1646  */
    break;

  case 3393:
#line 18150 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlforest");
}
#line 66008 "preproc.c" /* yacc.c:1646  */
    break;

  case 3394:
#line 18154 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlnamespaces");
}
#line 66016 "preproc.c" /* yacc.c:1646  */
    break;

  case 3395:
#line 18158 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlparse");
}
#line 66024 "preproc.c" /* yacc.c:1646  */
    break;

  case 3396:
#line 18162 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlpi");
}
#line 66032 "preproc.c" /* yacc.c:1646  */
    break;

  case 3397:
#line 18166 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlroot");
}
#line 66040 "preproc.c" /* yacc.c:1646  */
    break;

  case 3398:
#line 18170 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmlserialize");
}
#line 66048 "preproc.c" /* yacc.c:1646  */
    break;

  case 3399:
#line 18174 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("xmltable");
}
#line 66056 "preproc.c" /* yacc.c:1646  */
    break;

  case 3400:
#line 18178 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("yes");
}
#line 66064 "preproc.c" /* yacc.c:1646  */
    break;

  case 3401:
#line 18182 "preproc.y" /* yacc.c:1646  */
    { 
 (yyval.str) = mm_strdup("zone");
}
#line 66072 "preproc.c" /* yacc.c:1646  */
    break;

  case 3404:
#line 18196 "preproc.y" /* yacc.c:1646  */
    {
					if (connection)
						free(connection);
					connection = NULL;
				}
#line 66082 "preproc.c" /* yacc.c:1646  */
    break;

  case 3405:
#line 18202 "preproc.y" /* yacc.c:1646  */
    {
					if (connection)
						free(connection);
					connection = NULL;
				}
#line 66092 "preproc.c" /* yacc.c:1646  */
    break;

  case 3406:
#line 18208 "preproc.y" /* yacc.c:1646  */
    {
					fprintf(base_yyout, "%s", (yyvsp[0].str));
					free((yyvsp[0].str));
					output_line_number();
				}
#line 66102 "preproc.c" /* yacc.c:1646  */
    break;

  case 3408:
#line 18214 "preproc.y" /* yacc.c:1646  */
    { fprintf(base_yyout, "%s", (yyvsp[0].str)); free((yyvsp[0].str)); }
#line 66108 "preproc.c" /* yacc.c:1646  */
    break;

  case 3409:
#line 18215 "preproc.y" /* yacc.c:1646  */
    { fprintf(base_yyout, "%s", (yyvsp[0].str)); free((yyvsp[0].str)); }
#line 66114 "preproc.c" /* yacc.c:1646  */
    break;

  case 3410:
#line 18216 "preproc.y" /* yacc.c:1646  */
    { braces_open++; fputs("{", base_yyout); }
#line 66120 "preproc.c" /* yacc.c:1646  */
    break;

  case 3411:
#line 18218 "preproc.y" /* yacc.c:1646  */
    {
			remove_typedefs(braces_open);
			remove_variables(braces_open--);
			if (braces_open == 0)
			{
				free(current_function);
				current_function = NULL;
			}
			fputs("}", base_yyout);
		}
#line 66135 "preproc.c" /* yacc.c:1646  */
    break;

  case 3412:
#line 18230 "preproc.y" /* yacc.c:1646  */
    {FoundInto = 0;}
#line 66141 "preproc.c" /* yacc.c:1646  */
    break;

  case 3413:
#line 18231 "preproc.y" /* yacc.c:1646  */
    {
			if (FoundInto == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "CREATE TABLE AS cannot specify INTO");

			(yyval.str) = cat_str(7, mm_strdup("create"), (yyvsp[-6].str), mm_strdup("table"), (yyvsp[-4].str), mm_strdup("as"), (yyvsp[-1].str), (yyvsp[0].str));
		}
#line 66152 "preproc.c" /* yacc.c:1646  */
    break;

  case 3414:
#line 18237 "preproc.y" /* yacc.c:1646  */
    {FoundInto = 0;}
#line 66158 "preproc.c" /* yacc.c:1646  */
    break;

  case 3415:
#line 18238 "preproc.y" /* yacc.c:1646  */
    {
			if (FoundInto == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "CREATE TABLE AS cannot specify INTO");

			(yyval.str) = cat_str(7, mm_strdup("create"), (yyvsp[-9].str), mm_strdup("table if not exists"), (yyvsp[-4].str), mm_strdup("as"), (yyvsp[-1].str), (yyvsp[0].str));
		}
#line 66169 "preproc.c" /* yacc.c:1646  */
    break;

  case 3416:
#line 18247 "preproc.y" /* yacc.c:1646  */
    {
			connection = (yyvsp[0].str);
			/*
			 * Do we have a variable as connection target?  Remove the variable
			 * from the variable list or else it will be used twice.
			 */
			if (argsinsert != NULL)
				argsinsert = NULL;
		}
#line 66183 "preproc.c" /* yacc.c:1646  */
    break;

  case 3417:
#line 18262 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(5, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str), mm_strdup(","), (yyvsp[-1].str)); }
#line 66189 "preproc.c" /* yacc.c:1646  */
    break;

  case 3418:
#line 18264 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL, NULL, NULL, \"DEFAULT\""); }
#line 66195 "preproc.c" /* yacc.c:1646  */
    break;

  case 3419:
#line 18267 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("NULL,"), (yyvsp[0].str), mm_strdup(", NULL")); }
#line 66201 "preproc.c" /* yacc.c:1646  */
    break;

  case 3420:
#line 18269 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[0].str), mm_strdup(", NULL, NULL, NULL")); }
#line 66207 "preproc.c" /* yacc.c:1646  */
    break;

  case 3421:
#line 18273 "preproc.y" /* yacc.c:1646  */
    {
			/* old style: dbname[@server][:port] */
			if (strlen((yyvsp[-1].str)) > 0 && *((yyvsp[-1].str)) != '@')
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\", found \"%s\"", (yyvsp[-1].str));

			/* C strings need to be handled differently */
			if ((yyvsp[-2].str)[0] == '\"')
				(yyval.str) = (yyvsp[-2].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), make3_str((yyvsp[-2].str), (yyvsp[-1].str), (yyvsp[0].str)), mm_strdup("\""));
		}
#line 66223 "preproc.c" /* yacc.c:1646  */
    break;

  case 3422:
#line 18285 "preproc.y" /* yacc.c:1646  */
    {
			/* new style: <tcp|unix>:postgresql://server[:port][/dbname] */
			if (strncmp((yyvsp[-6].str), "unix:postgresql", strlen("unix:postgresql")) != 0 && strncmp((yyvsp[-6].str), "tcp:postgresql", strlen("tcp:postgresql")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "only protocols \"tcp\" and \"unix\" and database type \"postgresql\" are supported");

			if (strncmp((yyvsp[-4].str), "//", strlen("//")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"://\", found \"%s\"", (yyvsp[-4].str));

			if (strncmp((yyvsp[-6].str), "unix", strlen("unix")) == 0 &&
				strncmp((yyvsp[-4].str) + strlen("//"), "localhost", strlen("localhost")) != 0 &&
				strncmp((yyvsp[-4].str) + strlen("//"), "127.0.0.1", strlen("127.0.0.1")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "Unix-domain sockets only work on \"localhost\" but not on \"%s\"", (yyvsp[-4].str) + strlen("//"));

			(yyval.str) = make3_str(make3_str(mm_strdup("\""), (yyvsp[-6].str), mm_strdup(":")), (yyvsp[-4].str), make3_str(make3_str((yyvsp[-3].str), mm_strdup("/"), (yyvsp[-1].str)), (yyvsp[0].str), mm_strdup("\"")));
		}
#line 66243 "preproc.c" /* yacc.c:1646  */
    break;

  case 3423:
#line 18301 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 66251 "preproc.c" /* yacc.c:1646  */
    break;

  case 3424:
#line 18305 "preproc.y" /* yacc.c:1646  */
    {
			/* We can only process double quoted strings not single quotes ones,
			 * so we change the quotes.
			 * Note, that the rule for ecpg_sconst adds these single quotes. */
			(yyvsp[0].str)[0] = '\"';
			(yyvsp[0].str)[strlen((yyvsp[0].str))-1] = '\"';
			(yyval.str) = (yyvsp[0].str);
		}
#line 66264 "preproc.c" /* yacc.c:1646  */
    break;

  case 3425:
#line 18315 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 66270 "preproc.c" /* yacc.c:1646  */
    break;

  case 3426:
#line 18316 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 66276 "preproc.c" /* yacc.c:1646  */
    break;

  case 3427:
#line 18320 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[0].str), "postgresql") != 0 && strcmp((yyvsp[0].str), "postgres") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"postgresql\", found \"%s\"", (yyvsp[0].str));

			if (strcmp((yyvsp[-1].str), "tcp") != 0 && strcmp((yyvsp[-1].str), "unix") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "invalid connection type: %s", (yyvsp[-1].str));

			(yyval.str) = make3_str((yyvsp[-1].str), mm_strdup(":"), (yyvsp[0].str));
		}
#line 66290 "preproc.c" /* yacc.c:1646  */
    break;

  case 3428:
#line 18332 "preproc.y" /* yacc.c:1646  */
    {
			if (strcmp((yyvsp[-1].str), "@") != 0 && strcmp((yyvsp[-1].str), "//") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\" or \"://\", found \"%s\"", (yyvsp[-1].str));

			(yyval.str) = make2_str((yyvsp[-1].str), (yyvsp[0].str));
		}
#line 66301 "preproc.c" /* yacc.c:1646  */
    break;

  case 3429:
#line 18340 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 66307 "preproc.c" /* yacc.c:1646  */
    break;

  case 3430:
#line 18341 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 66313 "preproc.c" /* yacc.c:1646  */
    break;

  case 3431:
#line 18344 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 66319 "preproc.c" /* yacc.c:1646  */
    break;

  case 3432:
#line 18345 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str((yyvsp[-2].str), mm_strdup("."), (yyvsp[0].str)); }
#line 66325 "preproc.c" /* yacc.c:1646  */
    break;

  case 3433:
#line 18346 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 66331 "preproc.c" /* yacc.c:1646  */
    break;

  case 3434:
#line 18349 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup(":"), (yyvsp[0].str)); }
#line 66337 "preproc.c" /* yacc.c:1646  */
    break;

  case 3435:
#line 18350 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 66343 "preproc.c" /* yacc.c:1646  */
    break;

  case 3436:
#line 18353 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 66349 "preproc.c" /* yacc.c:1646  */
    break;

  case 3437:
#line 18354 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL"); }
#line 66355 "preproc.c" /* yacc.c:1646  */
    break;

  case 3438:
#line 18357 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 66361 "preproc.c" /* yacc.c:1646  */
    break;

  case 3439:
#line 18358 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL, NULL"); }
#line 66367 "preproc.c" /* yacc.c:1646  */
    break;

  case 3440:
#line 18362 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[0].str), mm_strdup(", NULL")); }
#line 66373 "preproc.c" /* yacc.c:1646  */
    break;

  case 3441:
#line 18364 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 66379 "preproc.c" /* yacc.c:1646  */
    break;

  case 3442:
#line 18366 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-3].str), mm_strdup(","), (yyvsp[0].str)); }
#line 66385 "preproc.c" /* yacc.c:1646  */
    break;

  case 3443:
#line 18368 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 66391 "preproc.c" /* yacc.c:1646  */
    break;

  case 3444:
#line 18372 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"')
				(yyval.str) = (yyvsp[0].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
		}
#line 66402 "preproc.c" /* yacc.c:1646  */
    break;

  case 3445:
#line 18379 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"')
				(yyval.str) = (yyvsp[0].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
		}
#line 66413 "preproc.c" /* yacc.c:1646  */
    break;

  case 3446:
#line 18386 "preproc.y" /* yacc.c:1646  */
    {
			enum ECPGttype type = argsinsert->variable->type->type;

			/* if array see what's inside */
			if (type == ECPGt_array)
				type = argsinsert->variable->type->u.element->type;

			/* handle varchars */
			if (type == ECPGt_varchar)
				(yyval.str) = make2_str(mm_strdup(argsinsert->variable->name), mm_strdup(".arr"));
			else
				(yyval.str) = mm_strdup(argsinsert->variable->name);
		}
#line 66431 "preproc.c" /* yacc.c:1646  */
    break;

  case 3447:
#line 18402 "preproc.y" /* yacc.c:1646  */
    {
			/* check if we have a string variable */
			struct variable *p = find_variable((yyvsp[0].str));
			enum ECPGttype type = p->type->type;

			/* If we have just one character this is not a string */
			if (atol(p->type->size) == 1)
					mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
			else
			{
				/* if array see what's inside */
				if (type == ECPGt_array)
					type = p->type->u.element->type;

				switch (type)
				{
					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						(yyval.str) = (yyvsp[0].str);
						break;
					case ECPGt_varchar:
						(yyval.str) = make2_str((yyvsp[0].str), mm_strdup(".arr"));
						break;
					default:
						mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
						(yyval.str) = (yyvsp[0].str);
						break;
				}
			}
		}
#line 66467 "preproc.c" /* yacc.c:1646  */
    break;

  case 3448:
#line 18436 "preproc.y" /* yacc.c:1646  */
    {
			if (strlen((yyvsp[-1].str)) == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

			if (strcmp((yyvsp[-1].str), "?") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[-1].str));

			(yyval.str) = make2_str(mm_strdup("?"), (yyvsp[0].str));
		}
#line 66481 "preproc.c" /* yacc.c:1646  */
    break;

  case 3449:
#line 18445 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 66487 "preproc.c" /* yacc.c:1646  */
    break;

  case 3450:
#line 18449 "preproc.y" /* yacc.c:1646  */
    {
				(yyval.str) = make2_str((yyvsp[-1].str), (yyvsp[0].str));
			}
#line 66495 "preproc.c" /* yacc.c:1646  */
    break;

  case 3451:
#line 18453 "preproc.y" /* yacc.c:1646  */
    {
				if (strlen((yyvsp[-1].str)) == 0)
					mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

				if (strcmp((yyvsp[-1].str), "&") != 0)
					mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[-1].str));

				(yyval.str) = cat_str(3, make2_str((yyvsp[-3].str), (yyvsp[-2].str)), (yyvsp[-1].str), (yyvsp[0].str));
			}
#line 66509 "preproc.c" /* yacc.c:1646  */
    break;

  case 3452:
#line 18465 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 66515 "preproc.c" /* yacc.c:1646  */
    break;

  case 3453:
#line 18467 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 66521 "preproc.c" /* yacc.c:1646  */
    break;

  case 3454:
#line 18469 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 66527 "preproc.c" /* yacc.c:1646  */
    break;

  case 3455:
#line 18471 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[0].str)); }
#line 66533 "preproc.c" /* yacc.c:1646  */
    break;

  case 3456:
#line 18475 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[0].str)[0] == '\"' && (yyvsp[0].str)[strlen((yyvsp[0].str))-1] == '\"') /* already quoted? */
				(yyval.str) = (yyvsp[0].str);
			else /* not quoted => convert to lowercase */
			{
				size_t i;

				for (i = 0; i< strlen((yyvsp[0].str)); i++)
					(yyvsp[0].str)[i] = tolower((unsigned char) (yyvsp[0].str)[i]);

				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\""));
			}
		}
#line 66551 "preproc.c" /* yacc.c:1646  */
    break;

  case 3457:
#line 18488 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 66557 "preproc.c" /* yacc.c:1646  */
    break;

  case 3458:
#line 18495 "preproc.y" /* yacc.c:1646  */
    {
			struct declared_list *ptr = NULL;
			/* Check whether the declared name has been defined or not */
			for (ptr = g_declared_list; ptr != NULL; ptr = ptr->next)
			{
				if (strcmp((yyvsp[-1].str), ptr->name) == 0)
				{
					/* re-definition is not allowed */
					mmerror(PARSE_ERROR, ET_ERROR, "name \"%s\" is already declared", ptr->name);
				}
			}

			/* Add a new declared name into the g_declared_list */
			ptr = NULL;
			ptr = (struct declared_list *)mm_alloc(sizeof(struct declared_list));
			if (ptr)
			{
				/* initial definition */
				ptr -> name = (yyvsp[-1].str);
				if (connection)
					ptr -> connection = mm_strdup(connection);
				else
					ptr -> connection = NULL;

				ptr -> next = g_declared_list;
				g_declared_list = ptr;
			}

			(yyval.str) = cat_str(3 , mm_strdup("/* declare "), mm_strdup((yyvsp[-1].str)), mm_strdup(" as an SQL identifier */"));
		}
#line 66592 "preproc.c" /* yacc.c:1646  */
    break;

  case 3459:
#line 18532 "preproc.y" /* yacc.c:1646  */
    {
			struct cursor *ptr, *this;
			char *cursor_marker = (yyvsp[-5].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[-5].str));
			int (* strcmp_fn)(const char *, const char *) = (((yyvsp[-5].str)[0] == ':' || (yyvsp[-5].str)[0] == '"') ? strcmp : pg_strcasecmp);
			struct variable *thisquery = (struct variable *)mm_alloc(sizeof(struct variable));
			char *comment;
			char *con;

			if (INFORMIX_MODE && pg_strcasecmp((yyvsp[-5].str), "database") == 0)
                                mmfatal(PARSE_ERROR, "\"database\" cannot be used as cursor name in INFORMIX mode");

                        check_declared_list((yyvsp[0].str));
			con = connection ? connection : "NULL";
			for (ptr = cur; ptr != NULL; ptr = ptr->next)
			{
				if (strcmp_fn((yyvsp[-5].str), ptr->name) == 0)
				{
					/* re-definition is a bug */
					if ((yyvsp[-5].str)[0] == ':')
						mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[-5].str)+1);
					else
						mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[-5].str));
				}
			}

			this = (struct cursor *) mm_alloc(sizeof(struct cursor));

			/* initial definition */
			this->next = cur;
			this->name = (yyvsp[-5].str);
			this->function = (current_function ? mm_strdup(current_function) : NULL);
			this->connection = connection ? mm_strdup(connection) : NULL;
			this->command =  cat_str(6, mm_strdup("declare"), cursor_marker, (yyvsp[-4].str), mm_strdup("cursor"), (yyvsp[-2].str), mm_strdup("for $1"));
			this->argsresult = NULL;
			this->argsresult_oos = NULL;

			thisquery->type = &ecpg_query;
			thisquery->brace_level = 0;
			thisquery->next = NULL;
			thisquery->name = (char *) mm_alloc(sizeof("ECPGprepared_statement(, , __LINE__)") + strlen(con) + strlen((yyvsp[0].str)));
			sprintf(thisquery->name, "ECPGprepared_statement(%s, %s, __LINE__)", con, (yyvsp[0].str));

			this->argsinsert = NULL;
			this->argsinsert_oos = NULL;
			if ((yyvsp[-5].str)[0] == ':')
			{
				struct variable *var = find_variable((yyvsp[-5].str) + 1);
				remove_variable_from_list(&argsinsert, var);
				add_variable_to_head(&(this->argsinsert), var, &no_indicator);
			}
			add_variable_to_head(&(this->argsinsert), thisquery, &no_indicator);

			cur = this;

			comment = cat_str(3, mm_strdup("/*"), mm_strdup(this->command), mm_strdup("*/"));

			(yyval.str) = cat_str(2, adjust_outofscope_cursor_vars(this),
					comment);
		}
#line 66656 "preproc.c" /* yacc.c:1646  */
    break;

  case 3460:
#line 18594 "preproc.y" /* yacc.c:1646  */
    {
			  /* execute immediate means prepare the statement and
			   * immediately execute it */
			  (yyval.str) = (yyvsp[0].str);
			}
#line 66666 "preproc.c" /* yacc.c:1646  */
    break;

  case 3462:
#line 18604 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 66672 "preproc.c" /* yacc.c:1646  */
    break;

  case 3463:
#line 18605 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 66678 "preproc.c" /* yacc.c:1646  */
    break;

  case 3464:
#line 18608 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 66684 "preproc.c" /* yacc.c:1646  */
    break;

  case 3465:
#line 18610 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 66690 "preproc.c" /* yacc.c:1646  */
    break;

  case 3466:
#line 18611 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 66696 "preproc.c" /* yacc.c:1646  */
    break;

  case 3467:
#line 18614 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 66702 "preproc.c" /* yacc.c:1646  */
    break;

  case 3468:
#line 18615 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year to minute"); }
#line 66708 "preproc.c" /* yacc.c:1646  */
    break;

  case 3469:
#line 18616 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year to second"); }
#line 66714 "preproc.c" /* yacc.c:1646  */
    break;

  case 3470:
#line 18617 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("day to day"); }
#line 66720 "preproc.c" /* yacc.c:1646  */
    break;

  case 3471:
#line 18618 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month to month"); }
#line 66726 "preproc.c" /* yacc.c:1646  */
    break;

  case 3472:
#line 18625 "preproc.y" /* yacc.c:1646  */
    { fputs("/* exec sql begin declare section */", base_yyout); }
#line 66732 "preproc.c" /* yacc.c:1646  */
    break;

  case 3473:
#line 18627 "preproc.y" /* yacc.c:1646  */
    {
			fprintf(base_yyout, "%s/* exec sql end declare section */", (yyvsp[-1].str));
			free((yyvsp[-1].str));
			output_line_number();
		}
#line 66742 "preproc.c" /* yacc.c:1646  */
    break;

  case 3474:
#line 18634 "preproc.y" /* yacc.c:1646  */
    {}
#line 66748 "preproc.c" /* yacc.c:1646  */
    break;

  case 3475:
#line 18636 "preproc.y" /* yacc.c:1646  */
    {}
#line 66754 "preproc.c" /* yacc.c:1646  */
    break;

  case 3476:
#line 18638 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 66760 "preproc.c" /* yacc.c:1646  */
    break;

  case 3477:
#line 18639 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 66766 "preproc.c" /* yacc.c:1646  */
    break;

  case 3478:
#line 18642 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 66772 "preproc.c" /* yacc.c:1646  */
    break;

  case 3479:
#line 18643 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 66778 "preproc.c" /* yacc.c:1646  */
    break;

  case 3480:
#line 18644 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 66784 "preproc.c" /* yacc.c:1646  */
    break;

  case 3481:
#line 18645 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 66790 "preproc.c" /* yacc.c:1646  */
    break;

  case 3482:
#line 18648 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 66796 "preproc.c" /* yacc.c:1646  */
    break;

  case 3483:
#line 18649 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 66802 "preproc.c" /* yacc.c:1646  */
    break;

  case 3484:
#line 18653 "preproc.y" /* yacc.c:1646  */
    {
		/* reset this variable so we see if there was */
		/* an initializer specified */
		initializer = 0;
	}
#line 66812 "preproc.c" /* yacc.c:1646  */
    break;

  case 3485:
#line 18659 "preproc.y" /* yacc.c:1646  */
    {
		add_typedef((yyvsp[-2].str), (yyvsp[-1].index).index1, (yyvsp[-1].index).index2, (yyvsp[-4].type).type_enum, (yyvsp[-4].type).type_dimension, (yyvsp[-4].type).type_index, initializer, *(yyvsp[-3].str) ? 1 : 0);

		fprintf(base_yyout, "typedef %s %s %s %s;\n", (yyvsp[-4].type).type_str, *(yyvsp[-3].str) ? "*" : "", (yyvsp[-2].str), (yyvsp[-1].index).str);
		output_line_number();
		(yyval.str) = mm_strdup("");
	}
#line 66824 "preproc.c" /* yacc.c:1646  */
    break;

  case 3486:
#line 18669 "preproc.y" /* yacc.c:1646  */
    {
			actual_type[struct_level].type_storage = (yyvsp[-1].str);
			actual_type[struct_level].type_enum = (yyvsp[0].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[0].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[0].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[0].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[0].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
#line 66839 "preproc.c" /* yacc.c:1646  */
    break;

  case 3487:
#line 18680 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat_str(5, actual_startline[struct_level], (yyvsp[-4].str), (yyvsp[-3].type).type_str, (yyvsp[-1].str), mm_strdup(";\n"));
		}
#line 66847 "preproc.c" /* yacc.c:1646  */
    break;

  case 3488:
#line 18684 "preproc.y" /* yacc.c:1646  */
    {
			actual_type[struct_level].type_storage = EMPTY;
			actual_type[struct_level].type_enum = (yyvsp[0].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[0].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[0].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[0].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[0].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
#line 66862 "preproc.c" /* yacc.c:1646  */
    break;

  case 3489:
#line 18695 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat_str(4, actual_startline[struct_level], (yyvsp[-3].type).type_str, (yyvsp[-1].str), mm_strdup(";\n"));
		}
#line 66870 "preproc.c" /* yacc.c:1646  */
    break;

  case 3490:
#line 18699 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = cat2_str((yyvsp[-1].str), mm_strdup(";"));
		}
#line 66878 "preproc.c" /* yacc.c:1646  */
    break;

  case 3491:
#line 18704 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) =cat2_str(mm_strdup(":"), (yyvsp[0].str)); }
#line 66884 "preproc.c" /* yacc.c:1646  */
    break;

  case 3492:
#line 18705 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 66890 "preproc.c" /* yacc.c:1646  */
    break;

  case 3493:
#line 18709 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = cat2_str ((yyvsp[-1].str), (yyvsp[0].str)); }
#line 66896 "preproc.c" /* yacc.c:1646  */
    break;

  case 3494:
#line 18710 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = (yyvsp[0].str); }
#line 66902 "preproc.c" /* yacc.c:1646  */
    break;

  case 3495:
#line 18711 "preproc.y" /* yacc.c:1646  */
    {(yyval.str) = (yyvsp[0].str); }
#line 66908 "preproc.c" /* yacc.c:1646  */
    break;

  case 3496:
#line 18714 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 66914 "preproc.c" /* yacc.c:1646  */
    break;

  case 3497:
#line 18715 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 66920 "preproc.c" /* yacc.c:1646  */
    break;

  case 3498:
#line 18716 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 66926 "preproc.c" /* yacc.c:1646  */
    break;

  case 3499:
#line 18717 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 66932 "preproc.c" /* yacc.c:1646  */
    break;

  case 3500:
#line 18720 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 66938 "preproc.c" /* yacc.c:1646  */
    break;

  case 3501:
#line 18721 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 66944 "preproc.c" /* yacc.c:1646  */
    break;

  case 3502:
#line 18725 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_enum = (yyvsp[0].type_enum);
			(yyval.type).type_str = mm_strdup(ecpg_type_name((yyvsp[0].type_enum)));
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 66956 "preproc.c" /* yacc.c:1646  */
    break;

  case 3503:
#line 18733 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_str = (yyvsp[0].str);
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");

			if (strncmp((yyvsp[0].str), "struct", sizeof("struct")-1) == 0)
			{
				(yyval.type).type_enum = ECPGt_struct;
				(yyval.type).type_sizeof = ECPGstruct_sizeof;
			}
			else
			{
				(yyval.type).type_enum = ECPGt_union;
				(yyval.type).type_sizeof = NULL;
			}
		}
#line 66977 "preproc.c" /* yacc.c:1646  */
    break;

  case 3504:
#line 18750 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_str = (yyvsp[0].str);
			(yyval.type).type_enum = ECPGt_int;
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 66989 "preproc.c" /* yacc.c:1646  */
    break;

  case 3505:
#line 18758 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_enum = ECPGt_numeric;
			(yyval.type).type_str = mm_strdup("numeric");
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 67001 "preproc.c" /* yacc.c:1646  */
    break;

  case 3506:
#line 18766 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_enum = ECPGt_decimal;
			(yyval.type).type_str = mm_strdup("decimal");
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 67013 "preproc.c" /* yacc.c:1646  */
    break;

  case 3507:
#line 18774 "preproc.y" /* yacc.c:1646  */
    {
			/*
			 * In C parsing mode, NUMERIC and DECIMAL are not keywords, so
			 * they will show up here as a plain identifier, and we need
			 * this duplicate code to recognize them.
			 */
			if (strcmp((yyvsp[-4].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}
			else if (strcmp((yyvsp[-4].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
			}
			else
			{
				mmerror(PARSE_ERROR, ET_ERROR, "only data types numeric and decimal have precision/scale argument");
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}

			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 67045 "preproc.c" /* yacc.c:1646  */
    break;

  case 3508:
#line 18802 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_enum = ECPGt_varchar;
			(yyval.type).type_str = EMPTY; /*mm_strdup("varchar");*/
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 67057 "preproc.c" /* yacc.c:1646  */
    break;

  case 3509:
#line 18810 "preproc.y" /* yacc.c:1646  */
    {
			/* Note: DOUBLE is handled in simple_type */
			(yyval.type).type_enum = ECPGt_float;
			(yyval.type).type_str = mm_strdup("float");
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 67070 "preproc.c" /* yacc.c:1646  */
    break;

  case 3510:
#line 18819 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_enum = ECPGt_numeric;
			(yyval.type).type_str = mm_strdup("numeric");
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 67082 "preproc.c" /* yacc.c:1646  */
    break;

  case 3511:
#line 18827 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_enum = ECPGt_decimal;
			(yyval.type).type_str = mm_strdup("decimal");
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 67094 "preproc.c" /* yacc.c:1646  */
    break;

  case 3512:
#line 18835 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_enum = ECPGt_timestamp;
			(yyval.type).type_str = mm_strdup("timestamp");
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 67106 "preproc.c" /* yacc.c:1646  */
    break;

  case 3513:
#line 18843 "preproc.y" /* yacc.c:1646  */
    {
			if (INFORMIX_MODE)
			{
				/* In Informix mode, "string" is automatically a typedef */
				(yyval.type).type_enum = ECPGt_string;
				(yyval.type).type_str = mm_strdup("char");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else
			{
				/* Otherwise, legal only if user typedef'ed it */
				struct typedefs *this = get_typedef("string", false);

				(yyval.type).type_str = (this->type->type_enum == ECPGt_varchar || this->type->type_enum == ECPGt_bytea) ? EMPTY : mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				if (this->type->type_sizeof && strlen(this->type->type_sizeof) != 0)
					(yyval.type).type_sizeof = this->type->type_sizeof;
				else
					(yyval.type).type_sizeof = cat_str(3, mm_strdup("sizeof("), mm_strdup(this->name), mm_strdup(")"));

				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
			}
		}
#line 67138 "preproc.c" /* yacc.c:1646  */
    break;

  case 3514:
#line 18871 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.type).type_enum = ECPGt_interval;
			(yyval.type).type_str = mm_strdup("interval");
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
#line 67150 "preproc.c" /* yacc.c:1646  */
    break;

  case 3515:
#line 18879 "preproc.y" /* yacc.c:1646  */
    {
			/*
			 * In C parsing mode, the above SQL type names are not keywords,
			 * so they will show up here as a plain identifier, and we need
			 * this duplicate code to recognize them.
			 *
			 * Note that we also handle the type names bytea, date, and
			 * datetime here, but not above because those are not currently
			 * SQL keywords.  If they ever become so, they must gain duplicate
			 * productions above.
			 */
			if (strlen((yyvsp[0].str)) != 0 && strcmp ((yyvsp[-1].str), "datetime") != 0 && strcmp ((yyvsp[-1].str), "interval") != 0)
				mmerror (PARSE_ERROR, ET_ERROR, "interval specification not allowed here");

			if (strcmp((yyvsp[-1].str), "varchar") == 0)
			{
				(yyval.type).type_enum = ECPGt_varchar;
				(yyval.type).type_str = EMPTY; /*mm_strdup("varchar");*/
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "bytea") == 0)
			{
				(yyval.type).type_enum = ECPGt_bytea;
				(yyval.type).type_str = EMPTY;
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "float") == 0)
			{
				(yyval.type).type_enum = ECPGt_float;
				(yyval.type).type_str = mm_strdup("float");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "double") == 0)
			{
				(yyval.type).type_enum = ECPGt_double;
				(yyval.type).type_str = mm_strdup("double");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "date") == 0)
			{
				(yyval.type).type_enum = ECPGt_date;
				(yyval.type).type_str = mm_strdup("date");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "timestamp") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "interval") == 0)
			{
				(yyval.type).type_enum = ECPGt_interval;
				(yyval.type).type_str = mm_strdup("interval");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[-1].str), "datetime") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if ((strcmp((yyvsp[-1].str), "string") == 0) && INFORMIX_MODE)
			{
				(yyval.type).type_enum = ECPGt_string;
				(yyval.type).type_str = mm_strdup("char");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else
			{
				/* Otherwise, it must be a user-defined typedef name */
				struct typedefs *this = get_typedef((yyvsp[-1].str), false);

				(yyval.type).type_str = (this->type->type_enum == ECPGt_varchar || this->type->type_enum == ECPGt_bytea) ? EMPTY : mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				if (this->type->type_sizeof && strlen(this->type->type_sizeof) != 0)
					(yyval.type).type_sizeof = this->type->type_sizeof;
				else
					(yyval.type).type_sizeof = cat_str(3, mm_strdup("sizeof("), mm_strdup(this->name), mm_strdup(")"));

				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
			}
		}
#line 67274 "preproc.c" /* yacc.c:1646  */
    break;

  case 3516:
#line 18999 "preproc.y" /* yacc.c:1646  */
    {
			/* this is for named structs/unions */
			char *name;
			struct typedefs *this;
			bool forward = (forward_name != NULL && strcmp((yyvsp[0].struct_union).symbol, forward_name) == 0 && strcmp((yyvsp[0].struct_union).su, "struct") == 0);

			name = cat2_str((yyvsp[0].struct_union).su, (yyvsp[0].struct_union).symbol);
			/* Do we have a forward definition? */
			if (!forward)
			{
				/* No */

				this = get_typedef(name, false);
				(yyval.type).type_str = mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				(yyval.type).type_sizeof = this->type->type_sizeof;
				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
				free(name);
			}
			else
			{
				(yyval.type).type_str = name;
				(yyval.type).type_enum = ECPGt_long;
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = mm_strdup("");
				struct_member_list[struct_level] = NULL;
			}
		}
#line 67310 "preproc.c" /* yacc.c:1646  */
    break;

  case 3517:
#line 19033 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("enum"), (yyvsp[-1].str), (yyvsp[0].str)); }
#line 67316 "preproc.c" /* yacc.c:1646  */
    break;

  case 3518:
#line 19035 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[0].str)); }
#line 67322 "preproc.c" /* yacc.c:1646  */
    break;

  case 3519:
#line 19037 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[0].str)); }
#line 67328 "preproc.c" /* yacc.c:1646  */
    break;

  case 3520:
#line 19041 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}")); }
#line 67334 "preproc.c" /* yacc.c:1646  */
    break;

  case 3521:
#line 19044 "preproc.y" /* yacc.c:1646  */
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
			forward_name = mm_strdup((yyvsp[0].struct_union).symbol);
		}
#line 67345 "preproc.c" /* yacc.c:1646  */
    break;

  case 3522:
#line 19051 "preproc.y" /* yacc.c:1646  */
    {
			struct typedefs *ptr, *this;
			struct this_type su_type;

			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			if (strncmp((yyvsp[-4].struct_union).su, "struct", sizeof("struct")-1) == 0)
				su_type.type_enum = ECPGt_struct;
			else
				su_type.type_enum = ECPGt_union;
			su_type.type_str = cat2_str((yyvsp[-4].struct_union).su, (yyvsp[-4].struct_union).symbol);
			free(forward_name);
			forward_name = NULL;

			/* This is essentially a typedef but needs the keyword struct/union as well.
			 * So we create the typedef for each struct definition with symbol */
			for (ptr = types; ptr != NULL; ptr = ptr->next)
			{
					if (strcmp(su_type.type_str, ptr->name) == 0)
							/* re-definition is a bug */
							mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", su_type.type_str);
			}

			this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

			/* initial definition */
			this->next = types;
			this->name = mm_strdup(su_type.type_str);
			this->brace_level = braces_open;
			this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
			this->type->type_enum = su_type.type_enum;
			this->type->type_str = mm_strdup(su_type.type_str);
			this->type->type_dimension = mm_strdup("-1"); /* dimension of array */
			this->type->type_index = mm_strdup("-1");	/* length of string */
			this->type->type_sizeof = ECPGstruct_sizeof;
			this->struct_member_list = struct_member_list[struct_level];

			types = this;
			(yyval.str) = cat_str(4, su_type.type_str, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}"));
		}
#line 67391 "preproc.c" /* yacc.c:1646  */
    break;

  case 3523:
#line 19094 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 67397 "preproc.c" /* yacc.c:1646  */
    break;

  case 3524:
#line 19096 "preproc.y" /* yacc.c:1646  */
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
		}
#line 67407 "preproc.c" /* yacc.c:1646  */
    break;

  case 3525:
#line 19102 "preproc.y" /* yacc.c:1646  */
    {
			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			(yyval.str) = cat_str(4, (yyvsp[-4].str), mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}"));
		}
#line 67418 "preproc.c" /* yacc.c:1646  */
    break;

  case 3526:
#line 19111 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.struct_union).su = mm_strdup("struct");
			(yyval.struct_union).symbol = (yyvsp[0].str);
			ECPGstruct_sizeof = cat_str(3, mm_strdup("sizeof("), cat2_str(mm_strdup((yyval.struct_union).su), mm_strdup((yyval.struct_union).symbol)), mm_strdup(")"));
		}
#line 67428 "preproc.c" /* yacc.c:1646  */
    break;

  case 3527:
#line 19117 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.struct_union).su = mm_strdup("union");
			(yyval.struct_union).symbol = (yyvsp[0].str);
		}
#line 67437 "preproc.c" /* yacc.c:1646  */
    break;

  case 3528:
#line 19124 "preproc.y" /* yacc.c:1646  */
    {
			ECPGstruct_sizeof = mm_strdup(""); /* This must not be NULL to distinguish from simple types. */
			(yyval.str) = mm_strdup("struct");
		}
#line 67446 "preproc.c" /* yacc.c:1646  */
    break;

  case 3529:
#line 19129 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = mm_strdup("union");
		}
#line 67454 "preproc.c" /* yacc.c:1646  */
    break;

  case 3530:
#line 19134 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum)=(yyvsp[0].type_enum); }
#line 67460 "preproc.c" /* yacc.c:1646  */
    break;

  case 3531:
#line 19135 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum)=(yyvsp[0].type_enum); }
#line 67466 "preproc.c" /* yacc.c:1646  */
    break;

  case 3532:
#line 19138 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_short; }
#line 67472 "preproc.c" /* yacc.c:1646  */
    break;

  case 3533:
#line 19139 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_short; }
#line 67478 "preproc.c" /* yacc.c:1646  */
    break;

  case 3534:
#line 19140 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_int; }
#line 67484 "preproc.c" /* yacc.c:1646  */
    break;

  case 3535:
#line 19141 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_int; }
#line 67490 "preproc.c" /* yacc.c:1646  */
    break;

  case 3536:
#line 19142 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_long; }
#line 67496 "preproc.c" /* yacc.c:1646  */
    break;

  case 3537:
#line 19143 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_long; }
#line 67502 "preproc.c" /* yacc.c:1646  */
    break;

  case 3538:
#line 19144 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_long_long; }
#line 67508 "preproc.c" /* yacc.c:1646  */
    break;

  case 3539:
#line 19145 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_long_long; }
#line 67514 "preproc.c" /* yacc.c:1646  */
    break;

  case 3540:
#line 19146 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_unsigned_char; }
#line 67520 "preproc.c" /* yacc.c:1646  */
    break;

  case 3541:
#line 19149 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_short; }
#line 67526 "preproc.c" /* yacc.c:1646  */
    break;

  case 3542:
#line 19150 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_short; }
#line 67532 "preproc.c" /* yacc.c:1646  */
    break;

  case 3543:
#line 19151 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_int; }
#line 67538 "preproc.c" /* yacc.c:1646  */
    break;

  case 3544:
#line 19152 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_long; }
#line 67544 "preproc.c" /* yacc.c:1646  */
    break;

  case 3545:
#line 19153 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_long; }
#line 67550 "preproc.c" /* yacc.c:1646  */
    break;

  case 3546:
#line 19154 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_long_long; }
#line 67556 "preproc.c" /* yacc.c:1646  */
    break;

  case 3547:
#line 19155 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_long_long; }
#line 67562 "preproc.c" /* yacc.c:1646  */
    break;

  case 3548:
#line 19156 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_bool; }
#line 67568 "preproc.c" /* yacc.c:1646  */
    break;

  case 3549:
#line 19157 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_char; }
#line 67574 "preproc.c" /* yacc.c:1646  */
    break;

  case 3550:
#line 19158 "preproc.y" /* yacc.c:1646  */
    { (yyval.type_enum) = ECPGt_double; }
#line 67580 "preproc.c" /* yacc.c:1646  */
    break;

  case 3553:
#line 19166 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 67586 "preproc.c" /* yacc.c:1646  */
    break;

  case 3554:
#line 19168 "preproc.y" /* yacc.c:1646  */
    {
			if (actual_type[struct_level].type_enum == ECPGt_varchar || actual_type[struct_level].type_enum == ECPGt_bytea)
				(yyval.str) = cat_str(4, (yyvsp[-2].str), mm_strdup(";"), mm_strdup(actual_type[struct_level].type_storage), (yyvsp[0].str));
			else
				(yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str));
		}
#line 67597 "preproc.c" /* yacc.c:1646  */
    break;

  case 3555:
#line 19177 "preproc.y" /* yacc.c:1646  */
    {
			struct ECPGtype * type;
			char *dimension = (yyvsp[-2].index).index1;	/* dimension of array */
			char *length = (yyvsp[-2].index).index2;		/* length of string */
			char *dim_str;
			char *vcn;
			int *varlen_type_counter;
			char *struct_name;

			adjust_array(actual_type[struct_level].type_enum, &dimension, &length, actual_type[struct_level].type_dimension, actual_type[struct_level].type_index, strlen((yyvsp[-4].str)), false);
			switch (actual_type[struct_level].type_enum)
			{
				case ECPGt_struct:
				case ECPGt_union:
					if (atoi(dimension) < 0)
						type = ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof);
					else
						type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;

				case ECPGt_varchar:
				case ECPGt_bytea:
					if (actual_type[struct_level].type_enum == ECPGt_varchar)
					{
						varlen_type_counter = &varchar_counter;
						struct_name = " struct varchar_";
					}
					else
					{
						varlen_type_counter = &bytea_counter;
						struct_name = " struct bytea_";
					}
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, *varlen_type_counter);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, *varlen_type_counter), dimension);

					if (strcmp(dimension, "0") == 0 || abs(atoi(dimension)) == 1)
							dim_str=mm_strdup("");
					else
							dim_str=cat_str(3, mm_strdup("["), mm_strdup(dimension), mm_strdup("]"));
					/* cannot check for atoi <= 0 because a defined constant will yield 0 here as well */
					if (atoi(length) < 0 || strcmp(length, "0") == 0)
						mmerror(PARSE_ERROR, ET_ERROR, "pointers to varchar are not implemented");

					/* make sure varchar struct name is unique by adding a unique counter to its definition */
					vcn = (char *) mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
					sprintf(vcn, "%d", *varlen_type_counter);
					if (strcmp(dimension, "0") == 0)
						(yyval.str) = cat_str(7, make2_str(mm_strdup(struct_name), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } *"), mm_strdup((yyvsp[-3].str)), (yyvsp[-1].str), (yyvsp[0].str));
					else
						(yyval.str) = cat_str(8, make2_str(mm_strdup(struct_name), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } "), mm_strdup((yyvsp[-3].str)), dim_str, (yyvsp[-1].str), (yyvsp[0].str));
					(*varlen_type_counter)++;
					break;

				case ECPGt_char:
				case ECPGt_unsigned_char:
				case ECPGt_string:
					if (atoi(dimension) == -1)
					{
						int i = strlen((yyvsp[0].str));

						if (atoi(length) == -1 && i > 0) /* char <var>[] = "string" */
						{
							/* if we have an initializer but no string size set, let's use the initializer's length */
							free(length);
							length = mm_alloc(i+sizeof("sizeof()"));
							sprintf(length, "sizeof(%s)", (yyvsp[0].str)+2);
						}
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0);
					}
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;

				default:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[-4].str), mm_strdup((yyvsp[-3].str)), (yyvsp[-2].index).str, (yyvsp[-1].str), (yyvsp[0].str));
					break;
			}

			if (struct_level == 0)
				new_variable((yyvsp[-3].str), type, braces_open);
			else
				ECPGmake_struct_member((yyvsp[-3].str), type, &(struct_member_list[struct_level - 1]));

			free((yyvsp[-3].str));
		}
#line 67698 "preproc.c" /* yacc.c:1646  */
    break;

  case 3556:
#line 19276 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 67704 "preproc.c" /* yacc.c:1646  */
    break;

  case 3557:
#line 19278 "preproc.y" /* yacc.c:1646  */
    {
			initializer = 1;
			(yyval.str) = cat2_str(mm_strdup("="), (yyvsp[0].str));
		}
#line 67713 "preproc.c" /* yacc.c:1646  */
    break;

  case 3558:
#line 19284 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 67719 "preproc.c" /* yacc.c:1646  */
    break;

  case 3559:
#line 19285 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*"); }
#line 67725 "preproc.c" /* yacc.c:1646  */
    break;

  case 3560:
#line 19286 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("**"); }
#line 67731 "preproc.c" /* yacc.c:1646  */
    break;

  case 3561:
#line 19293 "preproc.y" /* yacc.c:1646  */
    {
			/* this is only supported for compatibility */
			(yyval.str) = cat_str(3, mm_strdup("/* declare statement"), (yyvsp[0].str), mm_strdup("*/"));
		}
#line 67740 "preproc.c" /* yacc.c:1646  */
    break;

  case 3562:
#line 19301 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 67746 "preproc.c" /* yacc.c:1646  */
    break;

  case 3563:
#line 19304 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 67752 "preproc.c" /* yacc.c:1646  */
    break;

  case 3564:
#line 19305 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
#line 67758 "preproc.c" /* yacc.c:1646  */
    break;

  case 3565:
#line 19306 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"ALL\""); }
#line 67764 "preproc.c" /* yacc.c:1646  */
    break;

  case 3566:
#line 19307 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
#line 67770 "preproc.c" /* yacc.c:1646  */
    break;

  case 3567:
#line 19310 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 67776 "preproc.c" /* yacc.c:1646  */
    break;

  case 3568:
#line 19311 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("\"DEFAULT\""); }
#line 67782 "preproc.c" /* yacc.c:1646  */
    break;

  case 3569:
#line 19312 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 67788 "preproc.c" /* yacc.c:1646  */
    break;

  case 3570:
#line 19316 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 67794 "preproc.c" /* yacc.c:1646  */
    break;

  case 3571:
#line 19318 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 67800 "preproc.c" /* yacc.c:1646  */
    break;

  case 3572:
#line 19325 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 67806 "preproc.c" /* yacc.c:1646  */
    break;

  case 3573:
#line 19326 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 67812 "preproc.c" /* yacc.c:1646  */
    break;

  case 3574:
#line 19333 "preproc.y" /* yacc.c:1646  */
    {
			if ((yyvsp[-1].str)[0] == ':')
				remove_variable_from_list(&argsinsert, find_variable((yyvsp[-1].str) + 1));
			(yyval.str) = (yyvsp[-1].str);
		}
#line 67822 "preproc.c" /* yacc.c:1646  */
    break;

  case 3575:
#line 19340 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 67828 "preproc.c" /* yacc.c:1646  */
    break;

  case 3576:
#line 19341 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 67834 "preproc.c" /* yacc.c:1646  */
    break;

  case 3577:
#line 19344 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 67840 "preproc.c" /* yacc.c:1646  */
    break;

  case 3578:
#line 19345 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 67846 "preproc.c" /* yacc.c:1646  */
    break;

  case 3579:
#line 19349 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, descriptor_variable((yyvsp[0].str),0), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 67855 "preproc.c" /* yacc.c:1646  */
    break;

  case 3580:
#line 19354 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 67864 "preproc.c" /* yacc.c:1646  */
    break;

  case 3581:
#line 19361 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, descriptor_variable((yyvsp[0].str),1), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 67873 "preproc.c" /* yacc.c:1646  */
    break;

  case 3582:
#line 19366 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 67882 "preproc.c" /* yacc.c:1646  */
    break;

  case 3583:
#line 19373 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
#line 67891 "preproc.c" /* yacc.c:1646  */
    break;

  case 3586:
#line 19382 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(32);

			sprintf(length, "%zu", strlen((yyvsp[0].str)));
			add_variable_to_head(&argsinsert, new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0), &no_indicator);
		}
#line 67902 "preproc.c" /* yacc.c:1646  */
    break;

  case 3587:
#line 19388 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 67908 "preproc.c" /* yacc.c:1646  */
    break;

  case 3588:
#line 19389 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 67914 "preproc.c" /* yacc.c:1646  */
    break;

  case 3589:
#line 19392 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 67920 "preproc.c" /* yacc.c:1646  */
    break;

  case 3590:
#line 19393 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[0].str)); }
#line 67926 "preproc.c" /* yacc.c:1646  */
    break;

  case 3591:
#line 19394 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[0].str)); }
#line 67932 "preproc.c" /* yacc.c:1646  */
    break;

  case 3592:
#line 19395 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 67938 "preproc.c" /* yacc.c:1646  */
    break;

  case 3593:
#line 19396 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[0].str)); }
#line 67944 "preproc.c" /* yacc.c:1646  */
    break;

  case 3594:
#line 19397 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[0].str)); }
#line 67950 "preproc.c" /* yacc.c:1646  */
    break;

  case 3595:
#line 19398 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 67956 "preproc.c" /* yacc.c:1646  */
    break;

  case 3596:
#line 19399 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 67962 "preproc.c" /* yacc.c:1646  */
    break;

  case 3597:
#line 19400 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 67968 "preproc.c" /* yacc.c:1646  */
    break;

  case 3598:
#line 19407 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.describe).input = 1;
		(yyval.describe).stmt_name = (yyvsp[-1].str);
	}
#line 67977 "preproc.c" /* yacc.c:1646  */
    break;

  case 3599:
#line 19412 "preproc.y" /* yacc.c:1646  */
    {
		struct variable *var;
		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);

		(yyval.describe).input = 0;
		(yyval.describe).stmt_name = (yyvsp[-1].str);
	}
#line 67991 "preproc.c" /* yacc.c:1646  */
    break;

  case 3600:
#line 19422 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.describe).input = 0;
		(yyval.describe).stmt_name = (yyvsp[-1].str);
	}
#line 68000 "preproc.c" /* yacc.c:1646  */
    break;

  case 3601:
#line 19427 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.describe).input = 1;
		(yyval.describe).stmt_name = (yyvsp[-1].str);
	}
#line 68009 "preproc.c" /* yacc.c:1646  */
    break;

  case 3602:
#line 19432 "preproc.y" /* yacc.c:1646  */
    {
		(yyval.describe).input = 0;
		(yyval.describe).stmt_name = (yyvsp[-1].str);
	}
#line 68018 "preproc.c" /* yacc.c:1646  */
    break;

  case 3603:
#line 19438 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("output"); }
#line 68024 "preproc.c" /* yacc.c:1646  */
    break;

  case 3604:
#line 19439 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 68030 "preproc.c" /* yacc.c:1646  */
    break;

  case 3605:
#line 19452 "preproc.y" /* yacc.c:1646  */
    {
			add_descriptor((yyvsp[0].str),connection);
			(yyval.str) = (yyvsp[0].str);
		}
#line 68039 "preproc.c" /* yacc.c:1646  */
    break;

  case 3606:
#line 19463 "preproc.y" /* yacc.c:1646  */
    {
			drop_descriptor((yyvsp[0].str),connection);
			(yyval.str) = (yyvsp[0].str);
		}
#line 68048 "preproc.c" /* yacc.c:1646  */
    break;

  case 3607:
#line 19474 "preproc.y" /* yacc.c:1646  */
    {  (yyval.str) = (yyvsp[-1].str); }
#line 68054 "preproc.c" /* yacc.c:1646  */
    break;

  case 3610:
#line 19482 "preproc.y" /* yacc.c:1646  */
    { push_assignment((yyvsp[-2].str), (yyvsp[0].dtype_enum)); }
#line 68060 "preproc.c" /* yacc.c:1646  */
    break;

  case 3611:
#line 19487 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[-1].str); }
#line 68066 "preproc.c" /* yacc.c:1646  */
    break;

  case 3614:
#line 19495 "preproc.y" /* yacc.c:1646  */
    {
			push_assignment((yyvsp[0].str), (yyvsp[-2].dtype_enum));
		}
#line 68074 "preproc.c" /* yacc.c:1646  */
    break;

  case 3615:
#line 19501 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%zu", strlen((yyvsp[0].str)));
			new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[0].str);
		}
#line 68086 "preproc.c" /* yacc.c:1646  */
    break;

  case 3616:
#line 19509 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 68094 "preproc.c" /* yacc.c:1646  */
    break;

  case 3617:
#line 19514 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_count; }
#line 68100 "preproc.c" /* yacc.c:1646  */
    break;

  case 3618:
#line 19522 "preproc.y" /* yacc.c:1646  */
    {  (yyval.descriptor).str = (yyvsp[-1].str); (yyval.descriptor).name = (yyvsp[-3].str); }
#line 68106 "preproc.c" /* yacc.c:1646  */
    break;

  case 3621:
#line 19529 "preproc.y" /* yacc.c:1646  */
    { push_assignment((yyvsp[-2].str), (yyvsp[0].dtype_enum)); }
#line 68112 "preproc.c" /* yacc.c:1646  */
    break;

  case 3622:
#line 19533 "preproc.y" /* yacc.c:1646  */
    {  (yyval.descriptor).str = (yyvsp[-1].str); (yyval.descriptor).name = (yyvsp[-3].str); }
#line 68118 "preproc.c" /* yacc.c:1646  */
    break;

  case 3625:
#line 19541 "preproc.y" /* yacc.c:1646  */
    {
			push_assignment((yyvsp[0].str), (yyvsp[-2].dtype_enum));
		}
#line 68126 "preproc.c" /* yacc.c:1646  */
    break;

  case 3626:
#line 19547 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%zu", strlen((yyvsp[0].str)));
			new_variable((yyvsp[0].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[0].str);
		}
#line 68138 "preproc.c" /* yacc.c:1646  */
    break;

  case 3627:
#line 19556 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.str) = (yyvsp[0].str);
		}
#line 68146 "preproc.c" /* yacc.c:1646  */
    break;

  case 3628:
#line 19561 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[0].str));

			sprintf(length, "%zu", strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 68159 "preproc.c" /* yacc.c:1646  */
    break;

  case 3629:
#line 19571 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[0].str));

			sprintf(length, "%zu", strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 68172 "preproc.c" /* yacc.c:1646  */
    break;

  case 3630:
#line 19581 "preproc.y" /* yacc.c:1646  */
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = (yyvsp[0].str) + 1;

			var[strlen(var) - 1] = '\0';
			sprintf(length, "%zu", strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
#line 68186 "preproc.c" /* yacc.c:1646  */
    break;

  case 3631:
#line 19592 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_cardinality; }
#line 68192 "preproc.c" /* yacc.c:1646  */
    break;

  case 3632:
#line 19593 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_data; }
#line 68198 "preproc.c" /* yacc.c:1646  */
    break;

  case 3633:
#line 19594 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_di_code; }
#line 68204 "preproc.c" /* yacc.c:1646  */
    break;

  case 3634:
#line 19595 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_di_precision; }
#line 68210 "preproc.c" /* yacc.c:1646  */
    break;

  case 3635:
#line 19596 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_indicator; }
#line 68216 "preproc.c" /* yacc.c:1646  */
    break;

  case 3636:
#line 19597 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_key_member; }
#line 68222 "preproc.c" /* yacc.c:1646  */
    break;

  case 3637:
#line 19598 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_length; }
#line 68228 "preproc.c" /* yacc.c:1646  */
    break;

  case 3638:
#line 19599 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_name; }
#line 68234 "preproc.c" /* yacc.c:1646  */
    break;

  case 3639:
#line 19600 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_nullable; }
#line 68240 "preproc.c" /* yacc.c:1646  */
    break;

  case 3640:
#line 19601 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_octet; }
#line 68246 "preproc.c" /* yacc.c:1646  */
    break;

  case 3641:
#line 19602 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_precision; }
#line 68252 "preproc.c" /* yacc.c:1646  */
    break;

  case 3642:
#line 19603 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_length; }
#line 68258 "preproc.c" /* yacc.c:1646  */
    break;

  case 3643:
#line 19604 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_ret_octet; }
#line 68264 "preproc.c" /* yacc.c:1646  */
    break;

  case 3644:
#line 19605 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_scale; }
#line 68270 "preproc.c" /* yacc.c:1646  */
    break;

  case 3645:
#line 19606 "preproc.y" /* yacc.c:1646  */
    { (yyval.dtype_enum) = ECPGd_type; }
#line 68276 "preproc.c" /* yacc.c:1646  */
    break;

  case 3646:
#line 19613 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68282 "preproc.c" /* yacc.c:1646  */
    break;

  case 3647:
#line 19614 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68288 "preproc.c" /* yacc.c:1646  */
    break;

  case 3648:
#line 19617 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("on"); }
#line 68294 "preproc.c" /* yacc.c:1646  */
    break;

  case 3649:
#line 19618 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("off"); }
#line 68300 "preproc.c" /* yacc.c:1646  */
    break;

  case 3650:
#line 19625 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68306 "preproc.c" /* yacc.c:1646  */
    break;

  case 3651:
#line 19626 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68312 "preproc.c" /* yacc.c:1646  */
    break;

  case 3652:
#line 19627 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68318 "preproc.c" /* yacc.c:1646  */
    break;

  case 3653:
#line 19634 "preproc.y" /* yacc.c:1646  */
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
#line 68328 "preproc.c" /* yacc.c:1646  */
    break;

  case 3654:
#line 19640 "preproc.y" /* yacc.c:1646  */
    {
			add_typedef((yyvsp[-4].str), (yyvsp[-1].index).index1, (yyvsp[-1].index).index2, (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_dimension, (yyvsp[-2].type).type_index, initializer, *(yyvsp[0].str) ? 1 : 0);

			if (auto_create_c == false)
				(yyval.str) = cat_str(7, mm_strdup("/* exec sql type"), mm_strdup((yyvsp[-4].str)), mm_strdup("is"), mm_strdup((yyvsp[-2].type).type_str), mm_strdup((yyvsp[-1].index).str), (yyvsp[0].str), mm_strdup("*/"));
			else
				(yyval.str) = cat_str(6, mm_strdup("typedef "), mm_strdup((yyvsp[-2].type).type_str), *(yyvsp[0].str)?mm_strdup("*"):mm_strdup(""), mm_strdup((yyvsp[-4].str)), mm_strdup((yyvsp[-1].index).str), mm_strdup(";"));
		}
#line 68341 "preproc.c" /* yacc.c:1646  */
    break;

  case 3655:
#line 19650 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("reference"); }
#line 68347 "preproc.c" /* yacc.c:1646  */
    break;

  case 3656:
#line 19651 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 68353 "preproc.c" /* yacc.c:1646  */
    break;

  case 3657:
#line 19658 "preproc.y" /* yacc.c:1646  */
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
#line 68363 "preproc.c" /* yacc.c:1646  */
    break;

  case 3658:
#line 19664 "preproc.y" /* yacc.c:1646  */
    {
			struct variable *p = find_variable((yyvsp[-4].str));
			char *dimension = (yyvsp[-1].index).index1;
			char *length = (yyvsp[-1].index).index2;
			struct ECPGtype * type;

			if (((yyvsp[-2].type).type_enum == ECPGt_struct ||
				 (yyvsp[-2].type).type_enum == ECPGt_union) &&
				initializer == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in EXEC SQL VAR command");
			else
			{
				adjust_array((yyvsp[-2].type).type_enum, &dimension, &length, (yyvsp[-2].type).type_dimension, (yyvsp[-2].type).type_index, *(yyvsp[0].str)?1:0, false);

				switch ((yyvsp[-2].type).type_enum)
				{
					case ECPGt_struct:
					case ECPGt_union:
						if (atoi(dimension) < 0)
							type = ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_str, (yyvsp[-2].type).type_sizeof);
						else
							type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[-2].type).type_enum, (yyvsp[-2].type).type_str, (yyvsp[-2].type).type_sizeof), dimension);
						break;

					case ECPGt_varchar:
					case ECPGt_bytea:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0), dimension);
						break;

					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, length, 0), dimension);
						break;

					default:
						if (atoi(length) >= 0)
							mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

						if (atoi(dimension) < 0)
							type = ECPGmake_simple_type((yyvsp[-2].type).type_enum, mm_strdup("1"), 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[-2].type).type_enum, mm_strdup("1"), 0), dimension);
						break;
				}

				ECPGfree_type(p->type);
				p->type = type;
			}

			(yyval.str) = cat_str(7, mm_strdup("/* exec sql var"), mm_strdup((yyvsp[-4].str)), mm_strdup("is"), mm_strdup((yyvsp[-2].type).type_str), mm_strdup((yyvsp[-1].index).str), (yyvsp[0].str), mm_strdup("*/"));
		}
#line 68426 "preproc.c" /* yacc.c:1646  */
    break;

  case 3659:
#line 19729 "preproc.y" /* yacc.c:1646  */
    {
			when_error.code = (yyvsp[0].action).code;
			when_error.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sqlerror "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 68436 "preproc.c" /* yacc.c:1646  */
    break;

  case 3660:
#line 19735 "preproc.y" /* yacc.c:1646  */
    {
			when_nf.code = (yyvsp[0].action).code;
			when_nf.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever not found "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 68446 "preproc.c" /* yacc.c:1646  */
    break;

  case 3661:
#line 19741 "preproc.y" /* yacc.c:1646  */
    {
			when_warn.code = (yyvsp[0].action).code;
			when_warn.command = (yyvsp[0].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sql_warning "), (yyvsp[0].action).str, mm_strdup("; */"));
		}
#line 68456 "preproc.c" /* yacc.c:1646  */
    break;

  case 3662:
#line 19749 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_NOTHING;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("continue");
		}
#line 68466 "preproc.c" /* yacc.c:1646  */
    break;

  case 3663:
#line 19755 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_SQLPRINT;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("sqlprint");
		}
#line 68476 "preproc.c" /* yacc.c:1646  */
    break;

  case 3664:
#line 19761 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_STOP;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("stop");
		}
#line 68486 "preproc.c" /* yacc.c:1646  */
    break;

  case 3665:
#line 19767 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = mm_strdup((yyvsp[0].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[0].str));
		}
#line 68496 "preproc.c" /* yacc.c:1646  */
    break;

  case 3666:
#line 19773 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = mm_strdup((yyvsp[0].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[0].str));
		}
#line 68506 "preproc.c" /* yacc.c:1646  */
    break;

  case 3667:
#line 19779 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("do"), mm_strdup((yyval.action).command));
		}
#line 68516 "preproc.c" /* yacc.c:1646  */
    break;

  case 3668:
#line 19785 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_BREAK;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("break");
		}
#line 68526 "preproc.c" /* yacc.c:1646  */
    break;

  case 3669:
#line 19791 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_CONTINUE;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("continue");
		}
#line 68536 "preproc.c" /* yacc.c:1646  */
    break;

  case 3670:
#line 19797 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
#line 68546 "preproc.c" /* yacc.c:1646  */
    break;

  case 3671:
#line 19803 "preproc.y" /* yacc.c:1646  */
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat2_str((yyvsp[0].str), mm_strdup("()"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
#line 68556 "preproc.c" /* yacc.c:1646  */
    break;

  case 3672:
#line 19813 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68562 "preproc.c" /* yacc.c:1646  */
    break;

  case 3673:
#line 19814 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68568 "preproc.c" /* yacc.c:1646  */
    break;

  case 3674:
#line 19817 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("break"); }
#line 68574 "preproc.c" /* yacc.c:1646  */
    break;

  case 3675:
#line 19818 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("cardinality"); }
#line 68580 "preproc.c" /* yacc.c:1646  */
    break;

  case 3676:
#line 19819 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("count"); }
#line 68586 "preproc.c" /* yacc.c:1646  */
    break;

  case 3677:
#line 19820 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("datetime_interval_code"); }
#line 68592 "preproc.c" /* yacc.c:1646  */
    break;

  case 3678:
#line 19821 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("datetime_interval_precision"); }
#line 68598 "preproc.c" /* yacc.c:1646  */
    break;

  case 3679:
#line 19822 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("found"); }
#line 68604 "preproc.c" /* yacc.c:1646  */
    break;

  case 3680:
#line 19823 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("go"); }
#line 68610 "preproc.c" /* yacc.c:1646  */
    break;

  case 3681:
#line 19824 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("goto"); }
#line 68616 "preproc.c" /* yacc.c:1646  */
    break;

  case 3682:
#line 19825 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("identified"); }
#line 68622 "preproc.c" /* yacc.c:1646  */
    break;

  case 3683:
#line 19826 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("indicator"); }
#line 68628 "preproc.c" /* yacc.c:1646  */
    break;

  case 3684:
#line 19827 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("key_member"); }
#line 68634 "preproc.c" /* yacc.c:1646  */
    break;

  case 3685:
#line 19828 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("length"); }
#line 68640 "preproc.c" /* yacc.c:1646  */
    break;

  case 3686:
#line 19829 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("nullable"); }
#line 68646 "preproc.c" /* yacc.c:1646  */
    break;

  case 3687:
#line 19830 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("octet_length"); }
#line 68652 "preproc.c" /* yacc.c:1646  */
    break;

  case 3688:
#line 19831 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("returned_length"); }
#line 68658 "preproc.c" /* yacc.c:1646  */
    break;

  case 3689:
#line 19832 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("returned_octet_length"); }
#line 68664 "preproc.c" /* yacc.c:1646  */
    break;

  case 3690:
#line 19833 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("scale"); }
#line 68670 "preproc.c" /* yacc.c:1646  */
    break;

  case 3691:
#line 19834 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("section"); }
#line 68676 "preproc.c" /* yacc.c:1646  */
    break;

  case 3692:
#line 19835 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlerror"); }
#line 68682 "preproc.c" /* yacc.c:1646  */
    break;

  case 3693:
#line 19836 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlprint"); }
#line 68688 "preproc.c" /* yacc.c:1646  */
    break;

  case 3694:
#line 19837 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("sqlwarning"); }
#line 68694 "preproc.c" /* yacc.c:1646  */
    break;

  case 3695:
#line 19838 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("stop"); }
#line 68700 "preproc.c" /* yacc.c:1646  */
    break;

  case 3696:
#line 19841 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connect"); }
#line 68706 "preproc.c" /* yacc.c:1646  */
    break;

  case 3697:
#line 19842 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("describe"); }
#line 68712 "preproc.c" /* yacc.c:1646  */
    break;

  case 3698:
#line 19843 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("disconnect"); }
#line 68718 "preproc.c" /* yacc.c:1646  */
    break;

  case 3699:
#line 19844 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("open"); }
#line 68724 "preproc.c" /* yacc.c:1646  */
    break;

  case 3700:
#line 19845 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("var"); }
#line 68730 "preproc.c" /* yacc.c:1646  */
    break;

  case 3701:
#line 19846 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("whenever"); }
#line 68736 "preproc.c" /* yacc.c:1646  */
    break;

  case 3702:
#line 19850 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("bool"); }
#line 68742 "preproc.c" /* yacc.c:1646  */
    break;

  case 3703:
#line 19851 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("long"); }
#line 68748 "preproc.c" /* yacc.c:1646  */
    break;

  case 3704:
#line 19852 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("output"); }
#line 68754 "preproc.c" /* yacc.c:1646  */
    break;

  case 3705:
#line 19853 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("short"); }
#line 68760 "preproc.c" /* yacc.c:1646  */
    break;

  case 3706:
#line 19854 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("struct"); }
#line 68766 "preproc.c" /* yacc.c:1646  */
    break;

  case 3707:
#line 19855 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("signed"); }
#line 68772 "preproc.c" /* yacc.c:1646  */
    break;

  case 3708:
#line 19856 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("unsigned"); }
#line 68778 "preproc.c" /* yacc.c:1646  */
    break;

  case 3709:
#line 19859 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68784 "preproc.c" /* yacc.c:1646  */
    break;

  case 3710:
#line 19862 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68790 "preproc.c" /* yacc.c:1646  */
    break;

  case 3711:
#line 19863 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68796 "preproc.c" /* yacc.c:1646  */
    break;

  case 3712:
#line 19864 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68802 "preproc.c" /* yacc.c:1646  */
    break;

  case 3713:
#line 19865 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68808 "preproc.c" /* yacc.c:1646  */
    break;

  case 3714:
#line 19866 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68814 "preproc.c" /* yacc.c:1646  */
    break;

  case 3715:
#line 19867 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68820 "preproc.c" /* yacc.c:1646  */
    break;

  case 3716:
#line 19868 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 68826 "preproc.c" /* yacc.c:1646  */
    break;

  case 3717:
#line 19869 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 68832 "preproc.c" /* yacc.c:1646  */
    break;

  case 3718:
#line 19882 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68838 "preproc.c" /* yacc.c:1646  */
    break;

  case 3719:
#line 19883 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68844 "preproc.c" /* yacc.c:1646  */
    break;

  case 3720:
#line 19884 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68850 "preproc.c" /* yacc.c:1646  */
    break;

  case 3721:
#line 19885 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68856 "preproc.c" /* yacc.c:1646  */
    break;

  case 3722:
#line 19886 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68862 "preproc.c" /* yacc.c:1646  */
    break;

  case 3723:
#line 19887 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 68868 "preproc.c" /* yacc.c:1646  */
    break;

  case 3724:
#line 19888 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 68874 "preproc.c" /* yacc.c:1646  */
    break;

  case 3725:
#line 19893 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68880 "preproc.c" /* yacc.c:1646  */
    break;

  case 3726:
#line 19894 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68886 "preproc.c" /* yacc.c:1646  */
    break;

  case 3727:
#line 19895 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68892 "preproc.c" /* yacc.c:1646  */
    break;

  case 3728:
#line 19896 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68898 "preproc.c" /* yacc.c:1646  */
    break;

  case 3729:
#line 19897 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68904 "preproc.c" /* yacc.c:1646  */
    break;

  case 3730:
#line 19898 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68910 "preproc.c" /* yacc.c:1646  */
    break;

  case 3731:
#line 19904 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68916 "preproc.c" /* yacc.c:1646  */
    break;

  case 3732:
#line 19905 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68922 "preproc.c" /* yacc.c:1646  */
    break;

  case 3733:
#line 19906 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 68928 "preproc.c" /* yacc.c:1646  */
    break;

  case 3734:
#line 19907 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("current"); }
#line 68934 "preproc.c" /* yacc.c:1646  */
    break;

  case 3735:
#line 19908 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("input"); }
#line 68940 "preproc.c" /* yacc.c:1646  */
    break;

  case 3736:
#line 19909 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("int"); }
#line 68946 "preproc.c" /* yacc.c:1646  */
    break;

  case 3737:
#line 19910 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("to"); }
#line 68952 "preproc.c" /* yacc.c:1646  */
    break;

  case 3738:
#line 19911 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("union"); }
#line 68958 "preproc.c" /* yacc.c:1646  */
    break;

  case 3739:
#line 19912 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("values"); }
#line 68964 "preproc.c" /* yacc.c:1646  */
    break;

  case 3740:
#line 19913 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68970 "preproc.c" /* yacc.c:1646  */
    break;

  case 3741:
#line 19914 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68976 "preproc.c" /* yacc.c:1646  */
    break;

  case 3742:
#line 19917 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68982 "preproc.c" /* yacc.c:1646  */
    break;

  case 3743:
#line 19918 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68988 "preproc.c" /* yacc.c:1646  */
    break;

  case 3744:
#line 19919 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 68994 "preproc.c" /* yacc.c:1646  */
    break;

  case 3745:
#line 19920 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69000 "preproc.c" /* yacc.c:1646  */
    break;

  case 3746:
#line 19921 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69006 "preproc.c" /* yacc.c:1646  */
    break;

  case 3747:
#line 19922 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69012 "preproc.c" /* yacc.c:1646  */
    break;

  case 3748:
#line 19923 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69018 "preproc.c" /* yacc.c:1646  */
    break;

  case 3749:
#line 19924 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connection"); }
#line 69024 "preproc.c" /* yacc.c:1646  */
    break;

  case 3750:
#line 19927 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 69030 "preproc.c" /* yacc.c:1646  */
    break;

  case 3751:
#line 19928 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 69036 "preproc.c" /* yacc.c:1646  */
    break;

  case 3752:
#line 19929 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 69042 "preproc.c" /* yacc.c:1646  */
    break;

  case 3753:
#line 19930 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 69048 "preproc.c" /* yacc.c:1646  */
    break;

  case 3754:
#line 19931 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 69054 "preproc.c" /* yacc.c:1646  */
    break;

  case 3755:
#line 19932 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("typedef"); }
#line 69060 "preproc.c" /* yacc.c:1646  */
    break;

  case 3756:
#line 19933 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 69066 "preproc.c" /* yacc.c:1646  */
    break;

  case 3757:
#line 19950 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69072 "preproc.c" /* yacc.c:1646  */
    break;

  case 3758:
#line 19951 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69078 "preproc.c" /* yacc.c:1646  */
    break;

  case 3759:
#line 19952 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("connection"); }
#line 69084 "preproc.c" /* yacc.c:1646  */
    break;

  case 3760:
#line 19955 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("day"); }
#line 69090 "preproc.c" /* yacc.c:1646  */
    break;

  case 3761:
#line 19956 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("hour"); }
#line 69096 "preproc.c" /* yacc.c:1646  */
    break;

  case 3762:
#line 19957 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("minute"); }
#line 69102 "preproc.c" /* yacc.c:1646  */
    break;

  case 3763:
#line 19958 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month"); }
#line 69108 "preproc.c" /* yacc.c:1646  */
    break;

  case 3764:
#line 19959 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("second"); }
#line 69114 "preproc.c" /* yacc.c:1646  */
    break;

  case 3765:
#line 19960 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year"); }
#line 69120 "preproc.c" /* yacc.c:1646  */
    break;

  case 3768:
#line 19967 "preproc.y" /* yacc.c:1646  */
    {
				reset_variables();
				pacounter = 1;
			}
#line 69129 "preproc.c" /* yacc.c:1646  */
    break;

  case 3769:
#line 19973 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 69135 "preproc.c" /* yacc.c:1646  */
    break;

  case 3770:
#line 19974 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69141 "preproc.c" /* yacc.c:1646  */
    break;

  case 3771:
#line 19978 "preproc.y" /* yacc.c:1646  */
    { add_variable_to_head(&argsresult, find_variable((yyvsp[-1].str)), find_variable((yyvsp[0].str))); }
#line 69147 "preproc.c" /* yacc.c:1646  */
    break;

  case 3772:
#line 19980 "preproc.y" /* yacc.c:1646  */
    { add_variable_to_head(&argsresult, find_variable((yyvsp[0].str)), &no_indicator); }
#line 69153 "preproc.c" /* yacc.c:1646  */
    break;

  case 3773:
#line 19985 "preproc.y" /* yacc.c:1646  */
    {
			if (find_variable((yyvsp[0].str))->type->type == ECPGt_array)
				mmerror(PARSE_ERROR, ET_ERROR, "arrays of indicators are not allowed on input");

			add_variable_to_head(&argsinsert, find_variable((yyvsp[-1].str)), find_variable((yyvsp[0].str)));
			(yyval.str) = create_questionmarks((yyvsp[-1].str), false);
		}
#line 69165 "preproc.c" /* yacc.c:1646  */
    break;

  case 3774:
#line 19995 "preproc.y" /* yacc.c:1646  */
    {
			char *ptr = strstr((yyvsp[0].str), ".arr");

			if (ptr) /* varchar, we need the struct name here, not the struct element */
				*ptr = '\0';
			add_variable_to_head(&argsinsert, find_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = (yyvsp[0].str);
		}
#line 69178 "preproc.c" /* yacc.c:1646  */
    break;

  case 3775:
#line 20006 "preproc.y" /* yacc.c:1646  */
    {
			add_variable_to_head(&argsinsert, find_variable((yyvsp[0].str)), &no_indicator);
			(yyval.str) = create_questionmarks((yyvsp[0].str), false);
		}
#line 69187 "preproc.c" /* yacc.c:1646  */
    break;

  case 3776:
#line 20012 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 69193 "preproc.c" /* yacc.c:1646  */
    break;

  case 3777:
#line 20013 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 69199 "preproc.c" /* yacc.c:1646  */
    break;

  case 3778:
#line 20014 "preproc.y" /* yacc.c:1646  */
    { check_indicator((find_variable((yyvsp[0].str)))->type); (yyval.str) = (yyvsp[0].str); }
#line 69205 "preproc.c" /* yacc.c:1646  */
    break;

  case 3779:
#line 20018 "preproc.y" /* yacc.c:1646  */
    {
			/* As long as multidimensional arrays are not implemented we have to check for those here */
			char *ptr = (yyvsp[0].str);
			int brace_open=0, brace = false;

			for (; *ptr; ptr++)
			{
				switch (*ptr)
				{
					case '[':
							if (brace)
								mmfatal(PARSE_ERROR, "multidimensional arrays for simple data types are not supported");
							brace_open++;
							break;
					case ']':
							brace_open--;
							if (brace_open == 0)
								brace = true;
							break;
					case '\t':
					case ' ':
							break;
					default:
							if (brace_open == 0)
								brace = false;
							break;
				}
			}
			(yyval.str) = (yyvsp[0].str);
		}
#line 69240 "preproc.c" /* yacc.c:1646  */
    break;

  case 3780:
#line 20050 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 69246 "preproc.c" /* yacc.c:1646  */
    break;

  case 3781:
#line 20052 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69252 "preproc.c" /* yacc.c:1646  */
    break;

  case 3782:
#line 20054 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 69258 "preproc.c" /* yacc.c:1646  */
    break;

  case 3783:
#line 20056 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69264 "preproc.c" /* yacc.c:1646  */
    break;

  case 3784:
#line 20058 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69270 "preproc.c" /* yacc.c:1646  */
    break;

  case 3785:
#line 20060 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69276 "preproc.c" /* yacc.c:1646  */
    break;

  case 3786:
#line 20061 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 69282 "preproc.c" /* yacc.c:1646  */
    break;

  case 3787:
#line 20065 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[0].str), mm_strdup("\"")); }
#line 69288 "preproc.c" /* yacc.c:1646  */
    break;

  case 3788:
#line 20067 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make3_str(mm_strdup("("), (yyvsp[0].str), mm_strdup(")")); }
#line 69294 "preproc.c" /* yacc.c:1646  */
    break;

  case 3789:
#line 20074 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69300 "preproc.c" /* yacc.c:1646  */
    break;

  case 3790:
#line 20075 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("()"); }
#line 69306 "preproc.c" /* yacc.c:1646  */
    break;

  case 3791:
#line 20077 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[-1].str), mm_strdup(")")); }
#line 69312 "preproc.c" /* yacc.c:1646  */
    break;

  case 3792:
#line 20080 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69318 "preproc.c" /* yacc.c:1646  */
    break;

  case 3793:
#line 20082 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat2_str((yyvsp[-1].str), (yyvsp[0].str)); }
#line 69324 "preproc.c" /* yacc.c:1646  */
    break;

  case 3794:
#line 20085 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69330 "preproc.c" /* yacc.c:1646  */
    break;

  case 3795:
#line 20086 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup(","), (yyvsp[0].str)); }
#line 69336 "preproc.c" /* yacc.c:1646  */
    break;

  case 3796:
#line 20089 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69342 "preproc.c" /* yacc.c:1646  */
    break;

  case 3797:
#line 20090 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[-1].str), mm_strdup("}")); }
#line 69348 "preproc.c" /* yacc.c:1646  */
    break;

  case 3798:
#line 20093 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69354 "preproc.c" /* yacc.c:1646  */
    break;

  case 3799:
#line 20094 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("("); }
#line 69360 "preproc.c" /* yacc.c:1646  */
    break;

  case 3800:
#line 20095 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(")"); }
#line 69366 "preproc.c" /* yacc.c:1646  */
    break;

  case 3801:
#line 20096 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(","); }
#line 69372 "preproc.c" /* yacc.c:1646  */
    break;

  case 3802:
#line 20097 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(";"); }
#line 69378 "preproc.c" /* yacc.c:1646  */
    break;

  case 3803:
#line 20100 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69384 "preproc.c" /* yacc.c:1646  */
    break;

  case 3804:
#line 20101 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69390 "preproc.c" /* yacc.c:1646  */
    break;

  case 3805:
#line 20102 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69396 "preproc.c" /* yacc.c:1646  */
    break;

  case 3806:
#line 20103 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69402 "preproc.c" /* yacc.c:1646  */
    break;

  case 3807:
#line 20104 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*"); }
#line 69408 "preproc.c" /* yacc.c:1646  */
    break;

  case 3808:
#line 20105 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("+"); }
#line 69414 "preproc.c" /* yacc.c:1646  */
    break;

  case 3809:
#line 20106 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("-"); }
#line 69420 "preproc.c" /* yacc.c:1646  */
    break;

  case 3810:
#line 20107 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("/"); }
#line 69426 "preproc.c" /* yacc.c:1646  */
    break;

  case 3811:
#line 20108 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("%"); }
#line 69432 "preproc.c" /* yacc.c:1646  */
    break;

  case 3812:
#line 20109 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("NULL"); }
#line 69438 "preproc.c" /* yacc.c:1646  */
    break;

  case 3813:
#line 20110 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("+="); }
#line 69444 "preproc.c" /* yacc.c:1646  */
    break;

  case 3814:
#line 20111 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("&&"); }
#line 69450 "preproc.c" /* yacc.c:1646  */
    break;

  case 3815:
#line 20112 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = make_name(); }
#line 69456 "preproc.c" /* yacc.c:1646  */
    break;

  case 3816:
#line 20113 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("auto"); }
#line 69462 "preproc.c" /* yacc.c:1646  */
    break;

  case 3817:
#line 20114 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("const"); }
#line 69468 "preproc.c" /* yacc.c:1646  */
    break;

  case 3818:
#line 20115 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("--"); }
#line 69474 "preproc.c" /* yacc.c:1646  */
    break;

  case 3819:
#line 20116 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("/="); }
#line 69480 "preproc.c" /* yacc.c:1646  */
    break;

  case 3820:
#line 20117 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(".*"); }
#line 69486 "preproc.c" /* yacc.c:1646  */
    break;

  case 3821:
#line 20118 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("=="); }
#line 69492 "preproc.c" /* yacc.c:1646  */
    break;

  case 3822:
#line 20119 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("extern"); }
#line 69498 "preproc.c" /* yacc.c:1646  */
    break;

  case 3823:
#line 20120 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("++"); }
#line 69504 "preproc.c" /* yacc.c:1646  */
    break;

  case 3824:
#line 20121 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("<<"); }
#line 69510 "preproc.c" /* yacc.c:1646  */
    break;

  case 3825:
#line 20122 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("->"); }
#line 69516 "preproc.c" /* yacc.c:1646  */
    break;

  case 3826:
#line 20123 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("->*"); }
#line 69522 "preproc.c" /* yacc.c:1646  */
    break;

  case 3827:
#line 20124 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("%="); }
#line 69528 "preproc.c" /* yacc.c:1646  */
    break;

  case 3828:
#line 20125 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("*="); }
#line 69534 "preproc.c" /* yacc.c:1646  */
    break;

  case 3829:
#line 20126 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("!="); }
#line 69540 "preproc.c" /* yacc.c:1646  */
    break;

  case 3830:
#line 20127 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("||"); }
#line 69546 "preproc.c" /* yacc.c:1646  */
    break;

  case 3831:
#line 20128 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("register"); }
#line 69552 "preproc.c" /* yacc.c:1646  */
    break;

  case 3832:
#line 20129 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(">>"); }
#line 69558 "preproc.c" /* yacc.c:1646  */
    break;

  case 3833:
#line 20130 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("static"); }
#line 69564 "preproc.c" /* yacc.c:1646  */
    break;

  case 3834:
#line 20131 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("-="); }
#line 69570 "preproc.c" /* yacc.c:1646  */
    break;

  case 3835:
#line 20132 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("typedef"); }
#line 69576 "preproc.c" /* yacc.c:1646  */
    break;

  case 3836:
#line 20133 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("volatile"); }
#line 69582 "preproc.c" /* yacc.c:1646  */
    break;

  case 3837:
#line 20134 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("bool"); }
#line 69588 "preproc.c" /* yacc.c:1646  */
    break;

  case 3838:
#line 20135 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("enum"); }
#line 69594 "preproc.c" /* yacc.c:1646  */
    break;

  case 3839:
#line 20136 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("hour"); }
#line 69600 "preproc.c" /* yacc.c:1646  */
    break;

  case 3840:
#line 20137 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("int"); }
#line 69606 "preproc.c" /* yacc.c:1646  */
    break;

  case 3841:
#line 20138 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("long"); }
#line 69612 "preproc.c" /* yacc.c:1646  */
    break;

  case 3842:
#line 20139 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("minute"); }
#line 69618 "preproc.c" /* yacc.c:1646  */
    break;

  case 3843:
#line 20140 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("month"); }
#line 69624 "preproc.c" /* yacc.c:1646  */
    break;

  case 3844:
#line 20141 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("second"); }
#line 69630 "preproc.c" /* yacc.c:1646  */
    break;

  case 3845:
#line 20142 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("short"); }
#line 69636 "preproc.c" /* yacc.c:1646  */
    break;

  case 3846:
#line 20143 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("signed"); }
#line 69642 "preproc.c" /* yacc.c:1646  */
    break;

  case 3847:
#line 20144 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("struct"); }
#line 69648 "preproc.c" /* yacc.c:1646  */
    break;

  case 3848:
#line 20145 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("unsigned"); }
#line 69654 "preproc.c" /* yacc.c:1646  */
    break;

  case 3849:
#line 20146 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("year"); }
#line 69660 "preproc.c" /* yacc.c:1646  */
    break;

  case 3850:
#line 20147 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("char"); }
#line 69666 "preproc.c" /* yacc.c:1646  */
    break;

  case 3851:
#line 20148 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("float"); }
#line 69672 "preproc.c" /* yacc.c:1646  */
    break;

  case 3852:
#line 20149 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("to"); }
#line 69678 "preproc.c" /* yacc.c:1646  */
    break;

  case 3853:
#line 20150 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("union"); }
#line 69684 "preproc.c" /* yacc.c:1646  */
    break;

  case 3854:
#line 20151 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("varchar"); }
#line 69690 "preproc.c" /* yacc.c:1646  */
    break;

  case 3855:
#line 20152 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("["); }
#line 69696 "preproc.c" /* yacc.c:1646  */
    break;

  case 3856:
#line 20153 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("]"); }
#line 69702 "preproc.c" /* yacc.c:1646  */
    break;

  case 3857:
#line 20154 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("="); }
#line 69708 "preproc.c" /* yacc.c:1646  */
    break;

  case 3858:
#line 20155 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup(":"); }
#line 69714 "preproc.c" /* yacc.c:1646  */
    break;

  case 3859:
#line 20158 "preproc.y" /* yacc.c:1646  */
    { check_declared_list((yyvsp[0].str)); (yyval.str) = (yyvsp[0].str); }
#line 69720 "preproc.c" /* yacc.c:1646  */
    break;

  case 3860:
#line 20159 "preproc.y" /* yacc.c:1646  */
    { check_declared_list((yyvsp[0].str)); (yyval.str) = (yyvsp[0].str); }
#line 69726 "preproc.c" /* yacc.c:1646  */
    break;

  case 3861:
#line 20160 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 69732 "preproc.c" /* yacc.c:1646  */
    break;

  case 3862:
#line 20161 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = mm_strdup("all"); }
#line 69738 "preproc.c" /* yacc.c:1646  */
    break;

  case 3863:
#line 20164 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69744 "preproc.c" /* yacc.c:1646  */
    break;

  case 3864:
#line 20165 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[-1].str), mm_strdup(")")); }
#line 69750 "preproc.c" /* yacc.c:1646  */
    break;

  case 3865:
#line 20166 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("+"), (yyvsp[0].str)); }
#line 69756 "preproc.c" /* yacc.c:1646  */
    break;

  case 3866:
#line 20167 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("-"), (yyvsp[0].str)); }
#line 69762 "preproc.c" /* yacc.c:1646  */
    break;

  case 3867:
#line 20168 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("*"), (yyvsp[0].str)); }
#line 69768 "preproc.c" /* yacc.c:1646  */
    break;

  case 3868:
#line 20169 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("/"), (yyvsp[0].str)); }
#line 69774 "preproc.c" /* yacc.c:1646  */
    break;

  case 3869:
#line 20170 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = cat_str(3, (yyvsp[-2].str), mm_strdup("%"), (yyvsp[0].str)); }
#line 69780 "preproc.c" /* yacc.c:1646  */
    break;

  case 3870:
#line 20171 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69786 "preproc.c" /* yacc.c:1646  */
    break;

  case 3871:
#line 20172 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69792 "preproc.c" /* yacc.c:1646  */
    break;

  case 3872:
#line 20173 "preproc.y" /* yacc.c:1646  */
    { if (pg_strcasecmp((yyvsp[-3].str), "sizeof") != 0)
							mmerror(PARSE_ERROR, ET_ERROR, "operator not allowed in variable definition");
						  else
							(yyval.str) = cat_str(4, (yyvsp[-3].str), mm_strdup("("), (yyvsp[-1].type).type_str, mm_strdup(")"));
						}
#line 69802 "preproc.c" /* yacc.c:1646  */
    break;

  case 3873:
#line 20180 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 69808 "preproc.c" /* yacc.c:1646  */
    break;

  case 3874:
#line 20181 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 69814 "preproc.c" /* yacc.c:1646  */
    break;

  case 3875:
#line 20182 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 69820 "preproc.c" /* yacc.c:1646  */
    break;

  case 3876:
#line 20183 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 69826 "preproc.c" /* yacc.c:1646  */
    break;

  case 3877:
#line 20186 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 69832 "preproc.c" /* yacc.c:1646  */
    break;

  case 3878:
#line 20187 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69838 "preproc.c" /* yacc.c:1646  */
    break;

  case 3879:
#line 20190 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 69844 "preproc.c" /* yacc.c:1646  */
    break;

  case 3880:
#line 20191 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69850 "preproc.c" /* yacc.c:1646  */
    break;

  case 3881:
#line 20194 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69856 "preproc.c" /* yacc.c:1646  */
    break;

  case 3882:
#line 20196 "preproc.y" /* yacc.c:1646  */
    {
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);
		(yyval.str) = (yyvsp[0].str);
	}
#line 69869 "preproc.c" /* yacc.c:1646  */
    break;

  case 3883:
#line 20206 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = EMPTY; }
#line 69875 "preproc.c" /* yacc.c:1646  */
    break;

  case 3884:
#line 20207 "preproc.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 69881 "preproc.c" /* yacc.c:1646  */
    break;


#line 69885 "preproc.c" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 20210 "preproc.y" /* yacc.c:1906  */


void base_yyerror(const char *error)
{
	/* translator: %s is typically the translation of "syntax error" */
	mmerror(PARSE_ERROR, ET_ERROR, "%s at or near \"%s\"",
			_(error), token_start ? token_start : base_yytext);
}

void parser_init(void)
{
 /* This function is empty. It only exists for compatibility with the backend parser right now. */
}
